// $ANTLR 3.2 Sep 23, 2009 12:02:23 H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g 2009-10-20 13:37:07

package jkit.java.parser;
import jkit.compiler.SyntaxError;


import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.util.HashMap;

import org.antlr.runtime.tree.*;

/** A Java 1.5 grammar for ANTLR v3 derived from the spec
 *
 *  This is a very close representation of the spec; the changes
 *  are comestic (remove left recursion) and also fixes (the spec
 *  isn't exactly perfect).  I have run this on the 1.4.2 source
 *  and some nasty looking enums from 1.5, but have not really
 *  tested for 1.5 compatibility.
 *
 *  I built this with: java -Xmx100M org.antlr.Tool java.g 
 *  and got two errors that are ok (for now):
 *  java.g:691:9: Decision can match input such as
 *    "'0'..'9'{'E', 'e'}{'+', '-'}'0'..'9'{'D', 'F', 'd', 'f'}"
 *    using multiple alternatives: 3, 4
 *  As a result, alternative(s) 4 were disabled for that input
 *  java.g:734:35: Decision can match input such as "{'$', 'A'..'Z',
 *    '_', 'a'..'z', '\u00C0'..'\u00D6', '\u00D8'..'\u00F6',
 *    '\u00F8'..'\u1FFF', '\u3040'..'\u318F', '\u3300'..'\u337F',
 *    '\u3400'..'\u3D2D', '\u4E00'..'\u9FFF', '\uF900'..'\uFAFF'}"
 *    using multiple alternatives: 1, 2
 *  As a result, alternative(s) 2 were disabled for that input
 *
 *  You can turn enum on/off as a keyword :)
 *
 *  Version 1.0 -- initial release July 5, 2006 (requires 3.0b2 or higher)
 *
 *  Primary author: Terence Parr, July 2006
 *
 *  Version 1.0.1 -- corrections by Koen Vanderkimpen & Marko van Dooren,
 *      October 25, 2006;
 *      fixed normalInterfaceDeclaration: now uses typeParameters instead
 *          of typeParameter (according to JLS, 3rd edition)
 *      fixed castExpression: no longer allows expression next to type
 *          (according to semantics in JLS, in contrast with syntax in JLS)
 *
 *  Version 1.0.2 -- Terence Parr, Nov 27, 2006
 *      java spec I built this from had some bizarre for-loop control.
 *          Looked weird and so I looked elsewhere...Yep, it's messed up.
 *          simplified.
 *
 *  Version 1.0.3 -- Chris Hogue, Feb 26, 2007
 *      Factored out an annotationName rule and used it in the annotation rule.
 *          Not sure why, but typeName wasn't recognizing references to inner
 *          annotations (e.g. @InterfaceName.InnerAnnotation())
 *      Factored out the elementValue section of an annotation reference.  Created 
 *          elementValuePair and elementValuePairs rules, then used them in the 
 *          annotation rule.  Allows it to recognize annotation references with 
 *          multiple, comma separated attributes.
 *      Updated elementValueArrayInitializer so that it allows multiple elements.
 *          (It was only allowing 0 or 1 element).
 *      Updated localVariableDeclaration to allow annotations.  Interestingly the JLS
 *          doesn't appear to indicate this is legal, but it does work as of at least
 *          JDK 1.5.0_06.
 *      Moved the Identifier portion of annotationTypeElementRest to annotationMethodRest.
 *          Because annotationConstantRest already references variableDeclarator which 
 *          has the Identifier portion in it, the parser would fail on constants in 
 *          annotation definitions because it expected two identifiers.  
 *      Added optional trailing ';' to the alternatives in annotationTypeElementRest.
 *          Wouldn't handle an inner interface that has a trailing ';'.
 *      Swapped the expression and type rule reference order in castExpression to 
 *          make it check for genericized casts first.  It was failing to recognize a
 *          statement like  "Class<Byte> TYPE = (Class<Byte>)...;" because it was seeing
 *          'Class<Byte' in the cast expression as a less than expression, then failing 
 *          on the '>'.
 *      Changed createdName to use typeArguments instead of nonWildcardTypeArguments.
 *          Again, JLS doesn't seem to allow this, but java.lang.Class has an example of
 *          of this construct.
 *      Changed the 'this' alternative in primary to allow 'identifierSuffix' rather than
 *          just 'arguments'.  The case it couldn't handle was a call to an explicit
 *          generic method invocation (e.g. this.<E>doSomething()).  Using identifierSuffix
 *          may be overly aggressive--perhaps should create a more constrained thisSuffix rule?
 * 		
 *  Version 1.0.4 -- Hiroaki Nakamura, May 3, 2007
 *
 *	Fixed formalParameterDecls, localVariableDeclaration, forInit,
 *	and forVarControl to use variableModifier* not 'final'? (annotation)?
 *
 *  Version 1.0.5 -- Terence, June 21, 2007
 *	--a[i].foo didn't work. Fixed unaryExpression
 */
public class JavaParser extends Parser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "CTXT_PARAMETER", "CTXT_PARAMETERS", "CONTEXT", "INSIDE", "OUTSIDE", "UNIT", "PACKAGE", "IMPORT", "STATIC_IMPORT", "CLASS", "INTERFACE", "ENUM", "MODIFIERS", "EXTENDS", "IMPLEMENTS", "FIELD", "METHOD", "PARAMETER", "VARARGS", "TYPE", "VOID", "TYPE_PARAMETER", "THROWS", "ANNOTATION", "SUPER", "INTVAL", "FLOATVAL", "DOUBLEVAL", "CHARVAL", "STRINGVAL", "BOOLVAL", "NULLVAL", "BLOCK", "VARDEF", "ASSERT", "IF", "FOR", "WHILE", "DOWHILE", "RETURN", "THROW", "BREAK", "CONTINUE", "ASSIGN", "VAR", "LOR", "OR", "LAND", "AND", "XOR", "EQ", "NEQ", "INSTANCEOF", "LTEQ", "GTEQ", "LT", "GT", "SHL", "SHR", "USHR", "ADD", "SUB", "DIV", "MUL", "MOD", "DEREF", "NEG", "POSTINC", "PREINC", "PREDEC", "POSTDEC", "NOT", "INV", "CAST", "SELECTOR", "INVOKE", "ARRAYINDEX", "NEW", "GETCLASS", "SYNCHRONIZED", "INIT", "TEST", "STEP", "LABEL", "FOREACH", "TRY", "CATCH", "FINALLY", "CONDEXPR", "ARRAYVAL", "SWITCH", "CASE", "DEFAULT", "ARRAYINIT", "ARGUMENTS", "LABINOP", "NONE", "STATIC", "ENUM_CONSTANT", "ASSIGNOP", "PARAMETERS", "TYPE_PARAMETERS", "Identifier", "FloatingPointLiteral", "CharacterLiteral", "StringLiteral", "HexLiteral", "OctalLiteral", "DecimalLiteral", "HexDigit", "IntegerTypeSuffix", "Exponent", "FloatTypeSuffix", "EscapeSequence", "UnicodeEscape", "OctalEscape", "Letter", "JavaIDDigit", "WS", "COMMENT", "LINE_COMMENT", "'package'", "';'", "'import'", "'static'", "'.'", "'*'", "'class'", "'extends'", "'implements'", "'<'", "','", "'>'", "'&'", "'{'", "'}'", "'interface'", "'void'", "'throws'", "'['", "']'", "'='", "'public'", "'protected'", "'private'", "'abstract'", "'final'", "'native'", "'synchronized'", "'transient'", "'volatile'", "'strictfp'", "':'", "'.owner'", "'?'", "'inside'", "'boolean'", "'char'", "'byte'", "'short'", "'int'", "'long'", "'float'", "'double'", "'super'", "'('", "')'", "'...'", "'null'", "'true'", "'false'", "'@'", "'default'", "'assert'", "'if'", "'else'", "'for'", "'while'", "'do'", "'try'", "'finally'", "'switch'", "'return'", "'throw'", "'break'", "'continue'", "'catch'", "'case'", "'+'", "'-'", "'/'", "'&='", "'|='", "'^='", "'%'", "'||'", "'&&'", "'|'", "'^'", "'=='", "'!='", "'instanceof'", "'++'", "'--'", "'~'", "'!'", "'new'"
    };
    public static final int PACKAGE=10;
    public static final int SHR=62;
    public static final int T__159=159;
    public static final int T__158=158;
    public static final int SHL=61;
    public static final int MOD=68;
    public static final int PREDEC=73;
    public static final int T__160=160;
    public static final int DEREF=69;
    public static final int NOT=75;
    public static final int T__167=167;
    public static final int T__168=168;
    public static final int EOF=-1;
    public static final int T__165=165;
    public static final int T__166=166;
    public static final int T__163=163;
    public static final int T__164=164;
    public static final int T__161=161;
    public static final int TYPE=23;
    public static final int T__162=162;
    public static final int IMPORT=11;
    public static final int T__148=148;
    public static final int T__147=147;
    public static final int T__149=149;
    public static final int RETURN=43;
    public static final int TYPE_PARAMETERS=105;
    public static final int EQ=54;
    public static final int T__154=154;
    public static final int T__155=155;
    public static final int T__156=156;
    public static final int T__157=157;
    public static final int T__150=150;
    public static final int T__151=151;
    public static final int T__152=152;
    public static final int T__153=153;
    public static final int T__139=139;
    public static final int T__138=138;
    public static final int T__137=137;
    public static final int T__136=136;
    public static final int IntegerTypeSuffix=114;
    public static final int STATIC=101;
    public static final int CTXT_PARAMETER=4;
    public static final int INV=76;
    public static final int OUTSIDE=8;
    public static final int STATIC_IMPORT=12;
    public static final int T__141=141;
    public static final int T__142=142;
    public static final int CTXT_PARAMETERS=5;
    public static final int T__140=140;
    public static final int T__145=145;
    public static final int T__146=146;
    public static final int T__143=143;
    public static final int T__144=144;
    public static final int T__126=126;
    public static final int T__125=125;
    public static final int T__128=128;
    public static final int T__127=127;
    public static final int WS=122;
    public static final int T__129=129;
    public static final int FloatingPointLiteral=107;
    public static final int NONE=100;
    public static final int JavaIDDigit=121;
    public static final int FLOATVAL=30;
    public static final int GT=60;
    public static final int POSTINC=71;
    public static final int INVOKE=79;
    public static final int T__130=130;
    public static final int INIT=84;
    public static final int T__131=131;
    public static final int LAND=51;
    public static final int T__132=132;
    public static final int T__133=133;
    public static final int T__134=134;
    public static final int T__135=135;
    public static final int PARAMETERS=104;
    public static final int ANNOTATION=27;
    public static final int LTEQ=57;
    public static final int STEP=86;
    public static final int SUB=65;
    public static final int ASSIGNOP=103;
    public static final int HexDigit=113;
    public static final int T__202=202;
    public static final int T__203=203;
    public static final int T__204=204;
    public static final int T__205=205;
    public static final int T__206=206;
    public static final int SELECTOR=78;
    public static final int T__207=207;
    public static final int T__208=208;
    public static final int IMPLEMENTS=18;
    public static final int T__209=209;
    public static final int PREINC=72;
    public static final int ARRAYINIT=97;
    public static final int T__210=210;
    public static final int ADD=64;
    public static final int HexLiteral=110;
    public static final int INSTANCEOF=56;
    public static final int StringLiteral=109;
    public static final int ENUM=15;
    public static final int BLOCK=36;
    public static final int INTERFACE=14;
    public static final int DIV=66;
    public static final int OctalEscape=119;
    public static final int LOR=49;
    public static final int CAST=77;
    public static final int LT=59;
    public static final int BOOLVAL=34;
    public static final int WHILE=41;
    public static final int FloatTypeSuffix=116;
    public static final int OctalLiteral=111;
    public static final int CASE=95;
    public static final int NEW=81;
    public static final int BREAK=45;
    public static final int Identifier=106;
    public static final int PARAMETER=21;
    public static final int VAR=48;
    public static final int VOID=24;
    public static final int SUPER=28;
    public static final int COMMENT=123;
    public static final int VARDEF=37;
    public static final int ENUM_CONSTANT=102;
    public static final int GETCLASS=82;
    public static final int ARGUMENTS=98;
    public static final int LINE_COMMENT=124;
    public static final int SWITCH=94;
    public static final int THROWS=26;
    public static final int ARRAYVAL=93;
    public static final int ASSERT=38;
    public static final int MUL=67;
    public static final int TRY=89;
    public static final int CONDEXPR=92;
    public static final int UNIT=9;
    public static final int T__200=200;
    public static final int NULLVAL=35;
    public static final int T__201=201;
    public static final int INTVAL=29;
    public static final int OR=50;
    public static final int TEST=85;
    public static final int FIELD=19;
    public static final int FOREACH=88;
    public static final int CATCH=90;
    public static final int Letter=120;
    public static final int EscapeSequence=117;
    public static final int THROW=44;
    public static final int POSTDEC=74;
    public static final int CLASS=13;
    public static final int VARARGS=22;
    public static final int STRINGVAL=33;
    public static final int CharacterLiteral=108;
    public static final int Exponent=115;
    public static final int FOR=40;
    public static final int AND=52;
    public static final int CONTEXT=6;
    public static final int IF=39;
    public static final int MODIFIERS=16;
    public static final int T__199=199;
    public static final int T__198=198;
    public static final int T__197=197;
    public static final int SYNCHRONIZED=83;
    public static final int T__196=196;
    public static final int T__195=195;
    public static final int T__194=194;
    public static final int T__193=193;
    public static final int CONTINUE=46;
    public static final int T__192=192;
    public static final int T__191=191;
    public static final int T__190=190;
    public static final int ARRAYINDEX=80;
    public static final int T__184=184;
    public static final int T__183=183;
    public static final int T__186=186;
    public static final int T__185=185;
    public static final int T__188=188;
    public static final int XOR=53;
    public static final int T__187=187;
    public static final int T__189=189;
    public static final int CHARVAL=32;
    public static final int T__180=180;
    public static final int T__182=182;
    public static final int DEFAULT=96;
    public static final int T__181=181;
    public static final int DOUBLEVAL=31;
    public static final int GTEQ=58;
    public static final int DecimalLiteral=112;
    public static final int INSIDE=7;
    public static final int LABINOP=99;
    public static final int T__175=175;
    public static final int T__174=174;
    public static final int T__173=173;
    public static final int T__172=172;
    public static final int T__179=179;
    public static final int TYPE_PARAMETER=25;
    public static final int NEQ=55;
    public static final int T__178=178;
    public static final int T__177=177;
    public static final int T__176=176;
    public static final int FINALLY=91;
    public static final int LABEL=87;
    public static final int UnicodeEscape=118;
    public static final int T__171=171;
    public static final int T__170=170;
    public static final int NEG=70;
    public static final int ASSIGN=47;
    public static final int T__169=169;
    public static final int EXTENDS=17;
    public static final int METHOD=20;
    public static final int USHR=63;
    public static final int DOWHILE=42;

    // delegates
    // delegators


        public JavaParser(TokenStream input) {
            this(input, new RecognizerSharedState());
        }
        public JavaParser(TokenStream input, RecognizerSharedState state) {
            super(input, state);
            this.state.ruleMemo = new HashMap[404+1];
             
             
        }
        
    protected TreeAdaptor adaptor = new CommonTreeAdaptor();

    public void setTreeAdaptor(TreeAdaptor adaptor) {
        this.adaptor = adaptor;
    }
    public TreeAdaptor getTreeAdaptor() {
        return adaptor;
    }

    public String[] getTokenNames() { return JavaParser.tokenNames; }
    public String getGrammarFileName() { return "H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g"; }


        public void displayRecognitionError(String[] tokenNames,
                                            RecognitionException e) {
    	  throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
        }    	


    public static class compilationUnit_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "compilationUnit"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:227:1: compilationUnit : ( annotations )? ( packageDeclaration )? ( importDeclaration )* ( typeDeclaration )* -> ^( UNIT ( packageDeclaration )? ( importDeclaration )* ( typeDeclaration )* ) ;
    public final JavaParser.compilationUnit_return compilationUnit() throws RecognitionException {
        JavaParser.compilationUnit_return retval = new JavaParser.compilationUnit_return();
        retval.start = input.LT(1);
        int compilationUnit_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.annotations_return annotations1 = null;

        JavaParser.packageDeclaration_return packageDeclaration2 = null;

        JavaParser.importDeclaration_return importDeclaration3 = null;

        JavaParser.typeDeclaration_return typeDeclaration4 = null;


        RewriteRuleSubtreeStream stream_packageDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule packageDeclaration");
        RewriteRuleSubtreeStream stream_annotations=new RewriteRuleSubtreeStream(adaptor,"rule annotations");
        RewriteRuleSubtreeStream stream_typeDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule typeDeclaration");
        RewriteRuleSubtreeStream stream_importDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule importDeclaration");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 1) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:228:2: ( ( annotations )? ( packageDeclaration )? ( importDeclaration )* ( typeDeclaration )* -> ^( UNIT ( packageDeclaration )? ( importDeclaration )* ( typeDeclaration )* ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:228:4: ( annotations )? ( packageDeclaration )? ( importDeclaration )* ( typeDeclaration )*
            {
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:228:4: ( annotations )?
            int alt1=2;
            alt1 = dfa1.predict(input);
            switch (alt1) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: annotations
                    {
                    pushFollow(FOLLOW_annotations_in_compilationUnit495);
                    annotations1=annotations();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_annotations.add(annotations1.getTree());

                    }
                    break;

            }

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:228:17: ( packageDeclaration )?
            int alt2=2;
            alt2 = dfa2.predict(input);
            switch (alt2) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: packageDeclaration
                    {
                    pushFollow(FOLLOW_packageDeclaration_in_compilationUnit498);
                    packageDeclaration2=packageDeclaration();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_packageDeclaration.add(packageDeclaration2.getTree());

                    }
                    break;

            }

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:228:37: ( importDeclaration )*
            loop3:
            do {
                int alt3=2;
                alt3 = dfa3.predict(input);
                switch (alt3) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: importDeclaration
            	    {
            	    pushFollow(FOLLOW_importDeclaration_in_compilationUnit501);
            	    importDeclaration3=importDeclaration();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) stream_importDeclaration.add(importDeclaration3.getTree());

            	    }
            	    break;

            	default :
            	    break loop3;
                }
            } while (true);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:228:56: ( typeDeclaration )*
            loop4:
            do {
                int alt4=2;
                alt4 = dfa4.predict(input);
                switch (alt4) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: typeDeclaration
            	    {
            	    pushFollow(FOLLOW_typeDeclaration_in_compilationUnit504);
            	    typeDeclaration4=typeDeclaration();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) stream_typeDeclaration.add(typeDeclaration4.getTree());

            	    }
            	    break;

            	default :
            	    break loop4;
                }
            } while (true);



            // AST REWRITE
            // elements: importDeclaration, packageDeclaration, typeDeclaration
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 229:3: -> ^( UNIT ( packageDeclaration )? ( importDeclaration )* ( typeDeclaration )* )
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:229:6: ^( UNIT ( packageDeclaration )? ( importDeclaration )* ( typeDeclaration )* )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(UNIT, "UNIT"), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:229:13: ( packageDeclaration )?
                if ( stream_packageDeclaration.hasNext() ) {
                    adaptor.addChild(root_1, stream_packageDeclaration.nextTree());

                }
                stream_packageDeclaration.reset();
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:229:33: ( importDeclaration )*
                while ( stream_importDeclaration.hasNext() ) {
                    adaptor.addChild(root_1, stream_importDeclaration.nextTree());

                }
                stream_importDeclaration.reset();
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:229:52: ( typeDeclaration )*
                while ( stream_typeDeclaration.hasNext() ) {
                    adaptor.addChild(root_1, stream_typeDeclaration.nextTree());

                }
                stream_typeDeclaration.reset();

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 1, compilationUnit_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "compilationUnit"

    public static class packageDeclaration_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "packageDeclaration"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:232:1: packageDeclaration : 'package' qualifiedName ';' -> ^( PACKAGE qualifiedName ) ;
    public final JavaParser.packageDeclaration_return packageDeclaration() throws RecognitionException {
        JavaParser.packageDeclaration_return retval = new JavaParser.packageDeclaration_return();
        retval.start = input.LT(1);
        int packageDeclaration_StartIndex = input.index();
        Object root_0 = null;

        Token string_literal5=null;
        Token char_literal7=null;
        JavaParser.qualifiedName_return qualifiedName6 = null;


        Object string_literal5_tree=null;
        Object char_literal7_tree=null;
        RewriteRuleTokenStream stream_125=new RewriteRuleTokenStream(adaptor,"token 125");
        RewriteRuleTokenStream stream_126=new RewriteRuleTokenStream(adaptor,"token 126");
        RewriteRuleSubtreeStream stream_qualifiedName=new RewriteRuleSubtreeStream(adaptor,"rule qualifiedName");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 2) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:233:2: ( 'package' qualifiedName ';' -> ^( PACKAGE qualifiedName ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:233:4: 'package' qualifiedName ';'
            {
            string_literal5=(Token)match(input,125,FOLLOW_125_in_packageDeclaration538); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_125.add(string_literal5);

            pushFollow(FOLLOW_qualifiedName_in_packageDeclaration540);
            qualifiedName6=qualifiedName();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_qualifiedName.add(qualifiedName6.getTree());
            char_literal7=(Token)match(input,126,FOLLOW_126_in_packageDeclaration542); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_126.add(char_literal7);



            // AST REWRITE
            // elements: qualifiedName
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 233:32: -> ^( PACKAGE qualifiedName )
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:233:35: ^( PACKAGE qualifiedName )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(PACKAGE, "PACKAGE"), root_1);

                adaptor.addChild(root_1, stream_qualifiedName.nextTree());

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 2, packageDeclaration_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "packageDeclaration"

    public static class importDeclaration_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "importDeclaration"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:236:1: importDeclaration : 'import' ( 'static' i+= Identifier ( '.' i+= Identifier )* ( '.' i+= '*' )? ';' -> ^( STATIC_IMPORT ( $i)+ ) | i+= Identifier ( '.' i+= Identifier )* ( '.' i+= '*' )? ';' -> ^( IMPORT ( $i)+ ) ) ;
    public final JavaParser.importDeclaration_return importDeclaration() throws RecognitionException {
        JavaParser.importDeclaration_return retval = new JavaParser.importDeclaration_return();
        retval.start = input.LT(1);
        int importDeclaration_StartIndex = input.index();
        Object root_0 = null;

        Token string_literal8=null;
        Token string_literal9=null;
        Token char_literal10=null;
        Token char_literal11=null;
        Token char_literal12=null;
        Token char_literal13=null;
        Token char_literal14=null;
        Token char_literal15=null;
        Token i=null;
        List list_i=null;

        Object string_literal8_tree=null;
        Object string_literal9_tree=null;
        Object char_literal10_tree=null;
        Object char_literal11_tree=null;
        Object char_literal12_tree=null;
        Object char_literal13_tree=null;
        Object char_literal14_tree=null;
        Object char_literal15_tree=null;
        Object i_tree=null;
        RewriteRuleTokenStream stream_126=new RewriteRuleTokenStream(adaptor,"token 126");
        RewriteRuleTokenStream stream_127=new RewriteRuleTokenStream(adaptor,"token 127");
        RewriteRuleTokenStream stream_128=new RewriteRuleTokenStream(adaptor,"token 128");
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleTokenStream stream_129=new RewriteRuleTokenStream(adaptor,"token 129");
        RewriteRuleTokenStream stream_130=new RewriteRuleTokenStream(adaptor,"token 130");

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 3) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:237:2: ( 'import' ( 'static' i+= Identifier ( '.' i+= Identifier )* ( '.' i+= '*' )? ';' -> ^( STATIC_IMPORT ( $i)+ ) | i+= Identifier ( '.' i+= Identifier )* ( '.' i+= '*' )? ';' -> ^( IMPORT ( $i)+ ) ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:237:4: 'import' ( 'static' i+= Identifier ( '.' i+= Identifier )* ( '.' i+= '*' )? ';' -> ^( STATIC_IMPORT ( $i)+ ) | i+= Identifier ( '.' i+= Identifier )* ( '.' i+= '*' )? ';' -> ^( IMPORT ( $i)+ ) )
            {
            string_literal8=(Token)match(input,127,FOLLOW_127_in_importDeclaration562); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_127.add(string_literal8);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:237:13: ( 'static' i+= Identifier ( '.' i+= Identifier )* ( '.' i+= '*' )? ';' -> ^( STATIC_IMPORT ( $i)+ ) | i+= Identifier ( '.' i+= Identifier )* ( '.' i+= '*' )? ';' -> ^( IMPORT ( $i)+ ) )
            int alt9=2;
            int LA9_0 = input.LA(1);

            if ( (LA9_0==128) ) {
                alt9=1;
            }
            else if ( (LA9_0==Identifier) ) {
                alt9=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return retval;}
                NoViableAltException nvae =
                    new NoViableAltException("", 9, 0, input);

                throw nvae;
            }
            switch (alt9) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:238:4: 'static' i+= Identifier ( '.' i+= Identifier )* ( '.' i+= '*' )? ';'
                    {
                    string_literal9=(Token)match(input,128,FOLLOW_128_in_importDeclaration569); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_128.add(string_literal9);

                    i=(Token)match(input,Identifier,FOLLOW_Identifier_in_importDeclaration573); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_Identifier.add(i);

                    if (list_i==null) list_i=new ArrayList();
                    list_i.add(i);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:238:27: ( '.' i+= Identifier )*
                    loop5:
                    do {
                        int alt5=2;
                        int LA5_0 = input.LA(1);

                        if ( (LA5_0==129) ) {
                            int LA5_1 = input.LA(2);

                            if ( (LA5_1==Identifier) ) {
                                alt5=1;
                            }


                        }


                        switch (alt5) {
                    	case 1 :
                    	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:238:28: '.' i+= Identifier
                    	    {
                    	    char_literal10=(Token)match(input,129,FOLLOW_129_in_importDeclaration576); if (state.failed) return retval; 
                    	    if ( state.backtracking==0 ) stream_129.add(char_literal10);

                    	    i=(Token)match(input,Identifier,FOLLOW_Identifier_in_importDeclaration580); if (state.failed) return retval; 
                    	    if ( state.backtracking==0 ) stream_Identifier.add(i);

                    	    if (list_i==null) list_i=new ArrayList();
                    	    list_i.add(i);


                    	    }
                    	    break;

                    	default :
                    	    break loop5;
                        }
                    } while (true);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:238:48: ( '.' i+= '*' )?
                    int alt6=2;
                    int LA6_0 = input.LA(1);

                    if ( (LA6_0==129) ) {
                        alt6=1;
                    }
                    switch (alt6) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:238:49: '.' i+= '*'
                            {
                            char_literal11=(Token)match(input,129,FOLLOW_129_in_importDeclaration585); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_129.add(char_literal11);

                            i=(Token)match(input,130,FOLLOW_130_in_importDeclaration589); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_130.add(i);

                            if (list_i==null) list_i=new ArrayList();
                            list_i.add(i);


                            }
                            break;

                    }

                    char_literal12=(Token)match(input,126,FOLLOW_126_in_importDeclaration593); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_126.add(char_literal12);



                    // AST REWRITE
                    // elements: i
                    // token labels: 
                    // rule labels: retval
                    // token list labels: i
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleTokenStream stream_i=new RewriteRuleTokenStream(adaptor,"token i", list_i);
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 238:66: -> ^( STATIC_IMPORT ( $i)+ )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:238:69: ^( STATIC_IMPORT ( $i)+ )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(STATIC_IMPORT, "STATIC_IMPORT"), root_1);

                        if ( !(stream_i.hasNext()) ) {
                            throw new RewriteEarlyExitException();
                        }
                        while ( stream_i.hasNext() ) {
                            adaptor.addChild(root_1, stream_i.nextNode());

                        }
                        stream_i.reset();

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:239:6: i+= Identifier ( '.' i+= Identifier )* ( '.' i+= '*' )? ';'
                    {
                    i=(Token)match(input,Identifier,FOLLOW_Identifier_in_importDeclaration612); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_Identifier.add(i);

                    if (list_i==null) list_i=new ArrayList();
                    list_i.add(i);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:239:20: ( '.' i+= Identifier )*
                    loop7:
                    do {
                        int alt7=2;
                        int LA7_0 = input.LA(1);

                        if ( (LA7_0==129) ) {
                            int LA7_1 = input.LA(2);

                            if ( (LA7_1==Identifier) ) {
                                alt7=1;
                            }


                        }


                        switch (alt7) {
                    	case 1 :
                    	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:239:21: '.' i+= Identifier
                    	    {
                    	    char_literal13=(Token)match(input,129,FOLLOW_129_in_importDeclaration615); if (state.failed) return retval; 
                    	    if ( state.backtracking==0 ) stream_129.add(char_literal13);

                    	    i=(Token)match(input,Identifier,FOLLOW_Identifier_in_importDeclaration619); if (state.failed) return retval; 
                    	    if ( state.backtracking==0 ) stream_Identifier.add(i);

                    	    if (list_i==null) list_i=new ArrayList();
                    	    list_i.add(i);


                    	    }
                    	    break;

                    	default :
                    	    break loop7;
                        }
                    } while (true);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:239:41: ( '.' i+= '*' )?
                    int alt8=2;
                    int LA8_0 = input.LA(1);

                    if ( (LA8_0==129) ) {
                        alt8=1;
                    }
                    switch (alt8) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:239:42: '.' i+= '*'
                            {
                            char_literal14=(Token)match(input,129,FOLLOW_129_in_importDeclaration624); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_129.add(char_literal14);

                            i=(Token)match(input,130,FOLLOW_130_in_importDeclaration628); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_130.add(i);

                            if (list_i==null) list_i=new ArrayList();
                            list_i.add(i);


                            }
                            break;

                    }

                    char_literal15=(Token)match(input,126,FOLLOW_126_in_importDeclaration632); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_126.add(char_literal15);



                    // AST REWRITE
                    // elements: i
                    // token labels: 
                    // rule labels: retval
                    // token list labels: i
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleTokenStream stream_i=new RewriteRuleTokenStream(adaptor,"token i", list_i);
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 239:59: -> ^( IMPORT ( $i)+ )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:239:62: ^( IMPORT ( $i)+ )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(IMPORT, "IMPORT"), root_1);

                        if ( !(stream_i.hasNext()) ) {
                            throw new RewriteEarlyExitException();
                        }
                        while ( stream_i.hasNext() ) {
                            adaptor.addChild(root_1, stream_i.nextNode());

                        }
                        stream_i.reset();

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 3, importDeclaration_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "importDeclaration"

    public static class typeDeclaration_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "typeDeclaration"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:243:1: typeDeclaration : ( classOrInterfaceDeclaration | ';' );
    public final JavaParser.typeDeclaration_return typeDeclaration() throws RecognitionException {
        JavaParser.typeDeclaration_return retval = new JavaParser.typeDeclaration_return();
        retval.start = input.LT(1);
        int typeDeclaration_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal17=null;
        JavaParser.classOrInterfaceDeclaration_return classOrInterfaceDeclaration16 = null;


        Object char_literal17_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 4) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:244:2: ( classOrInterfaceDeclaration | ';' )
            int alt10=2;
            alt10 = dfa10.predict(input);
            switch (alt10) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:244:4: classOrInterfaceDeclaration
                    {
                    root_0 = (Object)adaptor.nil();

                    pushFollow(FOLLOW_classOrInterfaceDeclaration_in_typeDeclaration659);
                    classOrInterfaceDeclaration16=classOrInterfaceDeclaration();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, classOrInterfaceDeclaration16.getTree());

                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:245:9: ';'
                    {
                    root_0 = (Object)adaptor.nil();

                    char_literal17=(Token)match(input,126,FOLLOW_126_in_typeDeclaration669); if (state.failed) return retval;
                    if ( state.backtracking==0 ) {
                    char_literal17_tree = (Object)adaptor.create(char_literal17);
                    adaptor.addChild(root_0, char_literal17_tree);
                    }

                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 4, typeDeclaration_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "typeDeclaration"

    public static class classOrInterfaceDeclaration_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "classOrInterfaceDeclaration"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:248:1: classOrInterfaceDeclaration : ( modifier )* ( classDeclaration -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) | normalInterfaceDeclaration -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) ) ;
    public final JavaParser.classOrInterfaceDeclaration_return classOrInterfaceDeclaration() throws RecognitionException {
        JavaParser.classOrInterfaceDeclaration_return retval = new JavaParser.classOrInterfaceDeclaration_return();
        retval.start = input.LT(1);
        int classOrInterfaceDeclaration_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.modifier_return modifier18 = null;

        JavaParser.classDeclaration_return classDeclaration19 = null;

        JavaParser.enumDeclaration_return enumDeclaration20 = null;

        JavaParser.normalInterfaceDeclaration_return normalInterfaceDeclaration21 = null;

        JavaParser.annotationTypeDeclaration_return annotationTypeDeclaration22 = null;


        RewriteRuleSubtreeStream stream_modifier=new RewriteRuleSubtreeStream(adaptor,"rule modifier");
        RewriteRuleSubtreeStream stream_annotationTypeDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule annotationTypeDeclaration");
        RewriteRuleSubtreeStream stream_classDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule classDeclaration");
        RewriteRuleSubtreeStream stream_enumDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule enumDeclaration");
        RewriteRuleSubtreeStream stream_normalInterfaceDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule normalInterfaceDeclaration");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 5) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:249:2: ( ( modifier )* ( classDeclaration -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) | normalInterfaceDeclaration -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:249:4: ( modifier )* ( classDeclaration -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) | normalInterfaceDeclaration -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) )
            {
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:249:4: ( modifier )*
            loop11:
            do {
                int alt11=2;
                alt11 = dfa11.predict(input);
                switch (alt11) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: modifier
            	    {
            	    pushFollow(FOLLOW_modifier_in_classOrInterfaceDeclaration681);
            	    modifier18=modifier();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) stream_modifier.add(modifier18.getTree());

            	    }
            	    break;

            	default :
            	    break loop11;
                }
            } while (true);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:249:14: ( classDeclaration -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) | normalInterfaceDeclaration -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) )
            int alt12=4;
            switch ( input.LA(1) ) {
            case 131:
                {
                alt12=1;
                }
                break;
            case ENUM:
                {
                alt12=2;
                }
                break;
            case 140:
                {
                alt12=3;
                }
                break;
            case 175:
                {
                alt12=4;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return retval;}
                NoViableAltException nvae =
                    new NoViableAltException("", 12, 0, input);

                throw nvae;
            }

            switch (alt12) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:250:3: classDeclaration
                    {
                    pushFollow(FOLLOW_classDeclaration_in_classOrInterfaceDeclaration688);
                    classDeclaration19=classDeclaration();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_classDeclaration.add(classDeclaration19.getTree());


                    // AST REWRITE
                    // elements: modifier, classDeclaration
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 250:20: -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:250:23: ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(CLASS, "CLASS"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:250:31: ^( MODIFIERS ( modifier )* )
                        {
                        Object root_2 = (Object)adaptor.nil();
                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:250:43: ( modifier )*
                        while ( stream_modifier.hasNext() ) {
                            adaptor.addChild(root_2, stream_modifier.nextTree());

                        }
                        stream_modifier.reset();

                        adaptor.addChild(root_1, root_2);
                        }
                        adaptor.addChild(root_1, stream_classDeclaration.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:251:5: enumDeclaration
                    {
                    pushFollow(FOLLOW_enumDeclaration_in_classOrInterfaceDeclaration709);
                    enumDeclaration20=enumDeclaration();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_enumDeclaration.add(enumDeclaration20.getTree());


                    // AST REWRITE
                    // elements: enumDeclaration, modifier
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 251:21: -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:251:24: ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ENUM, "ENUM"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:251:31: ^( MODIFIERS ( modifier )* )
                        {
                        Object root_2 = (Object)adaptor.nil();
                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:251:43: ( modifier )*
                        while ( stream_modifier.hasNext() ) {
                            adaptor.addChild(root_2, stream_modifier.nextTree());

                        }
                        stream_modifier.reset();

                        adaptor.addChild(root_1, root_2);
                        }
                        adaptor.addChild(root_1, stream_enumDeclaration.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:252:5: normalInterfaceDeclaration
                    {
                    pushFollow(FOLLOW_normalInterfaceDeclaration_in_classOrInterfaceDeclaration730);
                    normalInterfaceDeclaration21=normalInterfaceDeclaration();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_normalInterfaceDeclaration.add(normalInterfaceDeclaration21.getTree());


                    // AST REWRITE
                    // elements: modifier, normalInterfaceDeclaration
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 252:32: -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:252:35: ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(INTERFACE, "INTERFACE"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:252:47: ^( MODIFIERS ( modifier )* )
                        {
                        Object root_2 = (Object)adaptor.nil();
                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:252:59: ( modifier )*
                        while ( stream_modifier.hasNext() ) {
                            adaptor.addChild(root_2, stream_modifier.nextTree());

                        }
                        stream_modifier.reset();

                        adaptor.addChild(root_1, root_2);
                        }
                        adaptor.addChild(root_1, stream_normalInterfaceDeclaration.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 4 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:253:5: annotationTypeDeclaration
                    {
                    pushFollow(FOLLOW_annotationTypeDeclaration_in_classOrInterfaceDeclaration751);
                    annotationTypeDeclaration22=annotationTypeDeclaration();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_annotationTypeDeclaration.add(annotationTypeDeclaration22.getTree());


                    // AST REWRITE
                    // elements: annotationTypeDeclaration, modifier
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 253:31: -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:253:34: ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ANNOTATION, "ANNOTATION"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:253:47: ^( MODIFIERS ( modifier )* )
                        {
                        Object root_2 = (Object)adaptor.nil();
                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:253:59: ( modifier )*
                        while ( stream_modifier.hasNext() ) {
                            adaptor.addChild(root_2, stream_modifier.nextTree());

                        }
                        stream_modifier.reset();

                        adaptor.addChild(root_1, root_2);
                        }
                        adaptor.addChild(root_1, stream_annotationTypeDeclaration.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 5, classOrInterfaceDeclaration_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "classOrInterfaceDeclaration"

    public static class classDeclaration_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "classDeclaration"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:257:1: classDeclaration : 'class' Identifier ( typeParameters )? ( 'extends' type )? ( 'implements' typeList )? classBody -> ^( Identifier ( typeParameters )? ) ^( EXTENDS ( type )? ) ^( IMPLEMENTS ( typeList )? ) ( classBody )? ;
    public final JavaParser.classDeclaration_return classDeclaration() throws RecognitionException {
        JavaParser.classDeclaration_return retval = new JavaParser.classDeclaration_return();
        retval.start = input.LT(1);
        int classDeclaration_StartIndex = input.index();
        Object root_0 = null;

        Token string_literal23=null;
        Token Identifier24=null;
        Token string_literal26=null;
        Token string_literal28=null;
        JavaParser.typeParameters_return typeParameters25 = null;

        JavaParser.type_return type27 = null;

        JavaParser.typeList_return typeList29 = null;

        JavaParser.classBody_return classBody30 = null;


        Object string_literal23_tree=null;
        Object Identifier24_tree=null;
        Object string_literal26_tree=null;
        Object string_literal28_tree=null;
        RewriteRuleTokenStream stream_132=new RewriteRuleTokenStream(adaptor,"token 132");
        RewriteRuleTokenStream stream_133=new RewriteRuleTokenStream(adaptor,"token 133");
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleTokenStream stream_131=new RewriteRuleTokenStream(adaptor,"token 131");
        RewriteRuleSubtreeStream stream_typeParameters=new RewriteRuleSubtreeStream(adaptor,"rule typeParameters");
        RewriteRuleSubtreeStream stream_classBody=new RewriteRuleSubtreeStream(adaptor,"rule classBody");
        RewriteRuleSubtreeStream stream_type=new RewriteRuleSubtreeStream(adaptor,"rule type");
        RewriteRuleSubtreeStream stream_typeList=new RewriteRuleSubtreeStream(adaptor,"rule typeList");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 6) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:258:2: ( 'class' Identifier ( typeParameters )? ( 'extends' type )? ( 'implements' typeList )? classBody -> ^( Identifier ( typeParameters )? ) ^( EXTENDS ( type )? ) ^( IMPLEMENTS ( typeList )? ) ( classBody )? )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:258:4: 'class' Identifier ( typeParameters )? ( 'extends' type )? ( 'implements' typeList )? classBody
            {
            string_literal23=(Token)match(input,131,FOLLOW_131_in_classDeclaration783); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_131.add(string_literal23);

            Identifier24=(Token)match(input,Identifier,FOLLOW_Identifier_in_classDeclaration785); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_Identifier.add(Identifier24);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:258:23: ( typeParameters )?
            int alt13=2;
            int LA13_0 = input.LA(1);

            if ( (LA13_0==134) ) {
                alt13=1;
            }
            switch (alt13) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:258:24: typeParameters
                    {
                    pushFollow(FOLLOW_typeParameters_in_classDeclaration788);
                    typeParameters25=typeParameters();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_typeParameters.add(typeParameters25.getTree());

                    }
                    break;

            }

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:259:9: ( 'extends' type )?
            int alt14=2;
            int LA14_0 = input.LA(1);

            if ( (LA14_0==132) ) {
                alt14=1;
            }
            switch (alt14) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:259:10: 'extends' type
                    {
                    string_literal26=(Token)match(input,132,FOLLOW_132_in_classDeclaration801); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_132.add(string_literal26);

                    pushFollow(FOLLOW_type_in_classDeclaration803);
                    type27=type();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_type.add(type27.getTree());

                    }
                    break;

            }

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:260:9: ( 'implements' typeList )?
            int alt15=2;
            int LA15_0 = input.LA(1);

            if ( (LA15_0==133) ) {
                alt15=1;
            }
            switch (alt15) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:260:10: 'implements' typeList
                    {
                    string_literal28=(Token)match(input,133,FOLLOW_133_in_classDeclaration817); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_133.add(string_literal28);

                    pushFollow(FOLLOW_typeList_in_classDeclaration819);
                    typeList29=typeList();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_typeList.add(typeList29.getTree());

                    }
                    break;

            }

            pushFollow(FOLLOW_classBody_in_classDeclaration831);
            classBody30=classBody();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_classBody.add(classBody30.getTree());


            // AST REWRITE
            // elements: typeParameters, typeList, classBody, Identifier, type
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 261:19: -> ^( Identifier ( typeParameters )? ) ^( EXTENDS ( type )? ) ^( IMPLEMENTS ( typeList )? ) ( classBody )?
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:261:22: ^( Identifier ( typeParameters )? )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot(stream_Identifier.nextNode(), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:261:35: ( typeParameters )?
                if ( stream_typeParameters.hasNext() ) {
                    adaptor.addChild(root_1, stream_typeParameters.nextTree());

                }
                stream_typeParameters.reset();

                adaptor.addChild(root_0, root_1);
                }
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:261:52: ^( EXTENDS ( type )? )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(EXTENDS, "EXTENDS"), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:261:62: ( type )?
                if ( stream_type.hasNext() ) {
                    adaptor.addChild(root_1, stream_type.nextTree());

                }
                stream_type.reset();

                adaptor.addChild(root_0, root_1);
                }
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:261:69: ^( IMPLEMENTS ( typeList )? )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(IMPLEMENTS, "IMPLEMENTS"), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:261:82: ( typeList )?
                if ( stream_typeList.hasNext() ) {
                    adaptor.addChild(root_1, stream_typeList.nextTree());

                }
                stream_typeList.reset();

                adaptor.addChild(root_0, root_1);
                }
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:261:93: ( classBody )?
                if ( stream_classBody.hasNext() ) {
                    adaptor.addChild(root_0, stream_classBody.nextTree());

                }
                stream_classBody.reset();

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 6, classDeclaration_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "classDeclaration"

    public static class typeParameters_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "typeParameters"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:264:1: typeParameters : '<' t+= typeParameter ( ',' t+= typeParameter )* '>' -> ( $t)* ;
    public final JavaParser.typeParameters_return typeParameters() throws RecognitionException {
        JavaParser.typeParameters_return retval = new JavaParser.typeParameters_return();
        retval.start = input.LT(1);
        int typeParameters_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal31=null;
        Token char_literal32=null;
        Token char_literal33=null;
        List list_t=null;
        RuleReturnScope t = null;
        Object char_literal31_tree=null;
        Object char_literal32_tree=null;
        Object char_literal33_tree=null;
        RewriteRuleTokenStream stream_134=new RewriteRuleTokenStream(adaptor,"token 134");
        RewriteRuleTokenStream stream_135=new RewriteRuleTokenStream(adaptor,"token 135");
        RewriteRuleTokenStream stream_136=new RewriteRuleTokenStream(adaptor,"token 136");
        RewriteRuleSubtreeStream stream_typeParameter=new RewriteRuleSubtreeStream(adaptor,"rule typeParameter");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 7) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:265:2: ( '<' t+= typeParameter ( ',' t+= typeParameter )* '>' -> ( $t)* )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:265:4: '<' t+= typeParameter ( ',' t+= typeParameter )* '>'
            {
            char_literal31=(Token)match(input,134,FOLLOW_134_in_typeParameters868); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_134.add(char_literal31);

            pushFollow(FOLLOW_typeParameter_in_typeParameters872);
            t=typeParameter();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_typeParameter.add(t.getTree());
            if (list_t==null) list_t=new ArrayList();
            list_t.add(t.getTree());

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:265:25: ( ',' t+= typeParameter )*
            loop16:
            do {
                int alt16=2;
                int LA16_0 = input.LA(1);

                if ( (LA16_0==135) ) {
                    alt16=1;
                }


                switch (alt16) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:265:26: ',' t+= typeParameter
            	    {
            	    char_literal32=(Token)match(input,135,FOLLOW_135_in_typeParameters875); if (state.failed) return retval; 
            	    if ( state.backtracking==0 ) stream_135.add(char_literal32);

            	    pushFollow(FOLLOW_typeParameter_in_typeParameters879);
            	    t=typeParameter();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) stream_typeParameter.add(t.getTree());
            	    if (list_t==null) list_t=new ArrayList();
            	    list_t.add(t.getTree());


            	    }
            	    break;

            	default :
            	    break loop16;
                }
            } while (true);

            char_literal33=(Token)match(input,136,FOLLOW_136_in_typeParameters883); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_136.add(char_literal33);



            // AST REWRITE
            // elements: t
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: t
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);
            RewriteRuleSubtreeStream stream_t=new RewriteRuleSubtreeStream(adaptor,"token t",list_t);
            root_0 = (Object)adaptor.nil();
            // 265:53: -> ( $t)*
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:265:56: ( $t)*
                while ( stream_t.hasNext() ) {
                    adaptor.addChild(root_0, stream_t.nextTree());

                }
                stream_t.reset();

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 7, typeParameters_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "typeParameters"

    public static class typeParameter_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "typeParameter"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:268:1: typeParameter : Identifier ( 'extends' bound )? -> ^( TYPE_PARAMETER ^( Identifier ( ^( EXTENDS bound ) )? ) ) ;
    public final JavaParser.typeParameter_return typeParameter() throws RecognitionException {
        JavaParser.typeParameter_return retval = new JavaParser.typeParameter_return();
        retval.start = input.LT(1);
        int typeParameter_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier34=null;
        Token string_literal35=null;
        JavaParser.bound_return bound36 = null;


        Object Identifier34_tree=null;
        Object string_literal35_tree=null;
        RewriteRuleTokenStream stream_132=new RewriteRuleTokenStream(adaptor,"token 132");
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleSubtreeStream stream_bound=new RewriteRuleSubtreeStream(adaptor,"rule bound");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 8) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:269:2: ( Identifier ( 'extends' bound )? -> ^( TYPE_PARAMETER ^( Identifier ( ^( EXTENDS bound ) )? ) ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:269:4: Identifier ( 'extends' bound )?
            {
            Identifier34=(Token)match(input,Identifier,FOLLOW_Identifier_in_typeParameter900); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_Identifier.add(Identifier34);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:269:15: ( 'extends' bound )?
            int alt17=2;
            int LA17_0 = input.LA(1);

            if ( (LA17_0==132) ) {
                alt17=1;
            }
            switch (alt17) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:269:16: 'extends' bound
                    {
                    string_literal35=(Token)match(input,132,FOLLOW_132_in_typeParameter903); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_132.add(string_literal35);

                    pushFollow(FOLLOW_bound_in_typeParameter905);
                    bound36=bound();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_bound.add(bound36.getTree());

                    }
                    break;

            }



            // AST REWRITE
            // elements: Identifier, bound
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 269:34: -> ^( TYPE_PARAMETER ^( Identifier ( ^( EXTENDS bound ) )? ) )
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:269:37: ^( TYPE_PARAMETER ^( Identifier ( ^( EXTENDS bound ) )? ) )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE_PARAMETER, "TYPE_PARAMETER"), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:269:54: ^( Identifier ( ^( EXTENDS bound ) )? )
                {
                Object root_2 = (Object)adaptor.nil();
                root_2 = (Object)adaptor.becomeRoot(stream_Identifier.nextNode(), root_2);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:269:67: ( ^( EXTENDS bound ) )?
                if ( stream_bound.hasNext() ) {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:269:67: ^( EXTENDS bound )
                    {
                    Object root_3 = (Object)adaptor.nil();
                    root_3 = (Object)adaptor.becomeRoot((Object)adaptor.create(EXTENDS, "EXTENDS"), root_3);

                    adaptor.addChild(root_3, stream_bound.nextTree());

                    adaptor.addChild(root_2, root_3);
                    }

                }
                stream_bound.reset();

                adaptor.addChild(root_1, root_2);
                }

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 8, typeParameter_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "typeParameter"

    public static class bound_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "bound"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:272:1: bound : t+= type ( '&' t+= type )* -> ( $t)* ;
    public final JavaParser.bound_return bound() throws RecognitionException {
        JavaParser.bound_return retval = new JavaParser.bound_return();
        retval.start = input.LT(1);
        int bound_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal37=null;
        List list_t=null;
        RuleReturnScope t = null;
        Object char_literal37_tree=null;
        RewriteRuleTokenStream stream_137=new RewriteRuleTokenStream(adaptor,"token 137");
        RewriteRuleSubtreeStream stream_type=new RewriteRuleSubtreeStream(adaptor,"rule type");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 9) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:273:2: (t+= type ( '&' t+= type )* -> ( $t)* )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:273:4: t+= type ( '&' t+= type )*
            {
            pushFollow(FOLLOW_type_in_bound939);
            t=type();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_type.add(t.getTree());
            if (list_t==null) list_t=new ArrayList();
            list_t.add(t.getTree());

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:273:12: ( '&' t+= type )*
            loop18:
            do {
                int alt18=2;
                int LA18_0 = input.LA(1);

                if ( (LA18_0==137) ) {
                    alt18=1;
                }


                switch (alt18) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:273:13: '&' t+= type
            	    {
            	    char_literal37=(Token)match(input,137,FOLLOW_137_in_bound942); if (state.failed) return retval; 
            	    if ( state.backtracking==0 ) stream_137.add(char_literal37);

            	    pushFollow(FOLLOW_type_in_bound946);
            	    t=type();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) stream_type.add(t.getTree());
            	    if (list_t==null) list_t=new ArrayList();
            	    list_t.add(t.getTree());


            	    }
            	    break;

            	default :
            	    break loop18;
                }
            } while (true);



            // AST REWRITE
            // elements: t
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: t
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);
            RewriteRuleSubtreeStream stream_t=new RewriteRuleSubtreeStream(adaptor,"token t",list_t);
            root_0 = (Object)adaptor.nil();
            // 273:27: -> ( $t)*
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:273:30: ( $t)*
                while ( stream_t.hasNext() ) {
                    adaptor.addChild(root_0, stream_t.nextTree());

                }
                stream_t.reset();

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 9, bound_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "bound"

    public static class enumDeclaration_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "enumDeclaration"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:276:1: enumDeclaration : ENUM Identifier ( 'implements' typeList )? enumBody -> Identifier ^( IMPLEMENTS ( typeList )? ) ( enumBody )? ;
    public final JavaParser.enumDeclaration_return enumDeclaration() throws RecognitionException {
        JavaParser.enumDeclaration_return retval = new JavaParser.enumDeclaration_return();
        retval.start = input.LT(1);
        int enumDeclaration_StartIndex = input.index();
        Object root_0 = null;

        Token ENUM38=null;
        Token Identifier39=null;
        Token string_literal40=null;
        JavaParser.typeList_return typeList41 = null;

        JavaParser.enumBody_return enumBody42 = null;


        Object ENUM38_tree=null;
        Object Identifier39_tree=null;
        Object string_literal40_tree=null;
        RewriteRuleTokenStream stream_133=new RewriteRuleTokenStream(adaptor,"token 133");
        RewriteRuleTokenStream stream_ENUM=new RewriteRuleTokenStream(adaptor,"token ENUM");
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleSubtreeStream stream_enumBody=new RewriteRuleSubtreeStream(adaptor,"rule enumBody");
        RewriteRuleSubtreeStream stream_typeList=new RewriteRuleSubtreeStream(adaptor,"rule typeList");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 10) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:277:2: ( ENUM Identifier ( 'implements' typeList )? enumBody -> Identifier ^( IMPLEMENTS ( typeList )? ) ( enumBody )? )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:277:4: ENUM Identifier ( 'implements' typeList )? enumBody
            {
            ENUM38=(Token)match(input,ENUM,FOLLOW_ENUM_in_enumDeclaration965); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_ENUM.add(ENUM38);

            Identifier39=(Token)match(input,Identifier,FOLLOW_Identifier_in_enumDeclaration967); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_Identifier.add(Identifier39);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:277:20: ( 'implements' typeList )?
            int alt19=2;
            int LA19_0 = input.LA(1);

            if ( (LA19_0==133) ) {
                alt19=1;
            }
            switch (alt19) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:277:21: 'implements' typeList
                    {
                    string_literal40=(Token)match(input,133,FOLLOW_133_in_enumDeclaration970); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_133.add(string_literal40);

                    pushFollow(FOLLOW_typeList_in_enumDeclaration972);
                    typeList41=typeList();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_typeList.add(typeList41.getTree());

                    }
                    break;

            }

            pushFollow(FOLLOW_enumBody_in_enumDeclaration976);
            enumBody42=enumBody();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_enumBody.add(enumBody42.getTree());


            // AST REWRITE
            // elements: enumBody, Identifier, typeList
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 277:54: -> Identifier ^( IMPLEMENTS ( typeList )? ) ( enumBody )?
            {
                adaptor.addChild(root_0, stream_Identifier.nextNode());
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:277:68: ^( IMPLEMENTS ( typeList )? )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(IMPLEMENTS, "IMPLEMENTS"), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:277:81: ( typeList )?
                if ( stream_typeList.hasNext() ) {
                    adaptor.addChild(root_1, stream_typeList.nextTree());

                }
                stream_typeList.reset();

                adaptor.addChild(root_0, root_1);
                }
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:277:92: ( enumBody )?
                if ( stream_enumBody.hasNext() ) {
                    adaptor.addChild(root_0, stream_enumBody.nextTree());

                }
                stream_enumBody.reset();

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 10, enumDeclaration_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "enumDeclaration"

    public static class enumBody_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "enumBody"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:280:1: enumBody : '{' ( enumConstants )? ( ',' )? ( enumBodyDeclarations )? '}' -> ( enumConstants )? ( enumBodyDeclarations )? ;
    public final JavaParser.enumBody_return enumBody() throws RecognitionException {
        JavaParser.enumBody_return retval = new JavaParser.enumBody_return();
        retval.start = input.LT(1);
        int enumBody_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal43=null;
        Token char_literal45=null;
        Token char_literal47=null;
        JavaParser.enumConstants_return enumConstants44 = null;

        JavaParser.enumBodyDeclarations_return enumBodyDeclarations46 = null;


        Object char_literal43_tree=null;
        Object char_literal45_tree=null;
        Object char_literal47_tree=null;
        RewriteRuleTokenStream stream_135=new RewriteRuleTokenStream(adaptor,"token 135");
        RewriteRuleTokenStream stream_138=new RewriteRuleTokenStream(adaptor,"token 138");
        RewriteRuleTokenStream stream_139=new RewriteRuleTokenStream(adaptor,"token 139");
        RewriteRuleSubtreeStream stream_enumBodyDeclarations=new RewriteRuleSubtreeStream(adaptor,"rule enumBodyDeclarations");
        RewriteRuleSubtreeStream stream_enumConstants=new RewriteRuleSubtreeStream(adaptor,"rule enumConstants");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 11) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:281:2: ( '{' ( enumConstants )? ( ',' )? ( enumBodyDeclarations )? '}' -> ( enumConstants )? ( enumBodyDeclarations )? )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:281:4: '{' ( enumConstants )? ( ',' )? ( enumBodyDeclarations )? '}'
            {
            char_literal43=(Token)match(input,138,FOLLOW_138_in_enumBody1002); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_138.add(char_literal43);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:281:8: ( enumConstants )?
            int alt20=2;
            int LA20_0 = input.LA(1);

            if ( (LA20_0==Identifier||LA20_0==175) ) {
                alt20=1;
            }
            switch (alt20) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: enumConstants
                    {
                    pushFollow(FOLLOW_enumConstants_in_enumBody1004);
                    enumConstants44=enumConstants();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_enumConstants.add(enumConstants44.getTree());

                    }
                    break;

            }

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:281:23: ( ',' )?
            int alt21=2;
            int LA21_0 = input.LA(1);

            if ( (LA21_0==135) ) {
                alt21=1;
            }
            switch (alt21) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: ','
                    {
                    char_literal45=(Token)match(input,135,FOLLOW_135_in_enumBody1007); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_135.add(char_literal45);


                    }
                    break;

            }

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:281:28: ( enumBodyDeclarations )?
            int alt22=2;
            int LA22_0 = input.LA(1);

            if ( (LA22_0==126) ) {
                alt22=1;
            }
            switch (alt22) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: enumBodyDeclarations
                    {
                    pushFollow(FOLLOW_enumBodyDeclarations_in_enumBody1010);
                    enumBodyDeclarations46=enumBodyDeclarations();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_enumBodyDeclarations.add(enumBodyDeclarations46.getTree());

                    }
                    break;

            }

            char_literal47=(Token)match(input,139,FOLLOW_139_in_enumBody1013); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_139.add(char_literal47);



            // AST REWRITE
            // elements: enumBodyDeclarations, enumConstants
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 281:54: -> ( enumConstants )? ( enumBodyDeclarations )?
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:281:57: ( enumConstants )?
                if ( stream_enumConstants.hasNext() ) {
                    adaptor.addChild(root_0, stream_enumConstants.nextTree());

                }
                stream_enumConstants.reset();
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:281:72: ( enumBodyDeclarations )?
                if ( stream_enumBodyDeclarations.hasNext() ) {
                    adaptor.addChild(root_0, stream_enumBodyDeclarations.nextTree());

                }
                stream_enumBodyDeclarations.reset();

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 11, enumBody_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "enumBody"

    public static class enumConstants_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "enumConstants"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:284:1: enumConstants : enumConstant ( ',' enumConstant )* -> ( enumConstant )+ ;
    public final JavaParser.enumConstants_return enumConstants() throws RecognitionException {
        JavaParser.enumConstants_return retval = new JavaParser.enumConstants_return();
        retval.start = input.LT(1);
        int enumConstants_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal49=null;
        JavaParser.enumConstant_return enumConstant48 = null;

        JavaParser.enumConstant_return enumConstant50 = null;


        Object char_literal49_tree=null;
        RewriteRuleTokenStream stream_135=new RewriteRuleTokenStream(adaptor,"token 135");
        RewriteRuleSubtreeStream stream_enumConstant=new RewriteRuleSubtreeStream(adaptor,"rule enumConstant");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 12) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:285:2: ( enumConstant ( ',' enumConstant )* -> ( enumConstant )+ )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:285:4: enumConstant ( ',' enumConstant )*
            {
            pushFollow(FOLLOW_enumConstant_in_enumConstants1032);
            enumConstant48=enumConstant();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_enumConstant.add(enumConstant48.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:285:17: ( ',' enumConstant )*
            loop23:
            do {
                int alt23=2;
                int LA23_0 = input.LA(1);

                if ( (LA23_0==135) ) {
                    int LA23_1 = input.LA(2);

                    if ( (LA23_1==Identifier||LA23_1==175) ) {
                        alt23=1;
                    }


                }


                switch (alt23) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:285:18: ',' enumConstant
            	    {
            	    char_literal49=(Token)match(input,135,FOLLOW_135_in_enumConstants1035); if (state.failed) return retval; 
            	    if ( state.backtracking==0 ) stream_135.add(char_literal49);

            	    pushFollow(FOLLOW_enumConstant_in_enumConstants1037);
            	    enumConstant50=enumConstant();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) stream_enumConstant.add(enumConstant50.getTree());

            	    }
            	    break;

            	default :
            	    break loop23;
                }
            } while (true);



            // AST REWRITE
            // elements: enumConstant
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 285:37: -> ( enumConstant )+
            {
                if ( !(stream_enumConstant.hasNext()) ) {
                    throw new RewriteEarlyExitException();
                }
                while ( stream_enumConstant.hasNext() ) {
                    adaptor.addChild(root_0, stream_enumConstant.nextTree());

                }
                stream_enumConstant.reset();

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 12, enumConstants_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "enumConstants"

    public static class enumConstant_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "enumConstant"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:288:1: enumConstant : ( annotations )? Identifier ( arguments )? ( classBody )? -> ^( ENUM_CONSTANT ( annotations )? Identifier ( arguments )? ( classBody )? ) ;
    public final JavaParser.enumConstant_return enumConstant() throws RecognitionException {
        JavaParser.enumConstant_return retval = new JavaParser.enumConstant_return();
        retval.start = input.LT(1);
        int enumConstant_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier52=null;
        JavaParser.annotations_return annotations51 = null;

        JavaParser.arguments_return arguments53 = null;

        JavaParser.classBody_return classBody54 = null;


        Object Identifier52_tree=null;
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleSubtreeStream stream_arguments=new RewriteRuleSubtreeStream(adaptor,"rule arguments");
        RewriteRuleSubtreeStream stream_annotations=new RewriteRuleSubtreeStream(adaptor,"rule annotations");
        RewriteRuleSubtreeStream stream_classBody=new RewriteRuleSubtreeStream(adaptor,"rule classBody");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 13) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:289:2: ( ( annotations )? Identifier ( arguments )? ( classBody )? -> ^( ENUM_CONSTANT ( annotations )? Identifier ( arguments )? ( classBody )? ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:289:4: ( annotations )? Identifier ( arguments )? ( classBody )?
            {
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:289:4: ( annotations )?
            int alt24=2;
            int LA24_0 = input.LA(1);

            if ( (LA24_0==175) ) {
                alt24=1;
            }
            switch (alt24) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: annotations
                    {
                    pushFollow(FOLLOW_annotations_in_enumConstant1056);
                    annotations51=annotations();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_annotations.add(annotations51.getTree());

                    }
                    break;

            }

            Identifier52=(Token)match(input,Identifier,FOLLOW_Identifier_in_enumConstant1059); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_Identifier.add(Identifier52);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:289:28: ( arguments )?
            int alt25=2;
            int LA25_0 = input.LA(1);

            if ( (LA25_0==169) ) {
                alt25=1;
            }
            switch (alt25) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:289:29: arguments
                    {
                    pushFollow(FOLLOW_arguments_in_enumConstant1062);
                    arguments53=arguments();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_arguments.add(arguments53.getTree());

                    }
                    break;

            }

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:289:41: ( classBody )?
            int alt26=2;
            int LA26_0 = input.LA(1);

            if ( (LA26_0==138) ) {
                alt26=1;
            }
            switch (alt26) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:289:42: classBody
                    {
                    pushFollow(FOLLOW_classBody_in_enumConstant1067);
                    classBody54=classBody();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_classBody.add(classBody54.getTree());

                    }
                    break;

            }



            // AST REWRITE
            // elements: classBody, Identifier, annotations, arguments
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 289:54: -> ^( ENUM_CONSTANT ( annotations )? Identifier ( arguments )? ( classBody )? )
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:289:57: ^( ENUM_CONSTANT ( annotations )? Identifier ( arguments )? ( classBody )? )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ENUM_CONSTANT, "ENUM_CONSTANT"), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:289:73: ( annotations )?
                if ( stream_annotations.hasNext() ) {
                    adaptor.addChild(root_1, stream_annotations.nextTree());

                }
                stream_annotations.reset();
                adaptor.addChild(root_1, stream_Identifier.nextNode());
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:289:97: ( arguments )?
                if ( stream_arguments.hasNext() ) {
                    adaptor.addChild(root_1, stream_arguments.nextTree());

                }
                stream_arguments.reset();
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:289:110: ( classBody )?
                if ( stream_classBody.hasNext() ) {
                    adaptor.addChild(root_1, stream_classBody.nextTree());

                }
                stream_classBody.reset();

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 13, enumConstant_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "enumConstant"

    public static class enumBodyDeclarations_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "enumBodyDeclarations"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:292:1: enumBodyDeclarations : ';' ( classBodyDeclaration )* -> ( classBodyDeclaration )* ;
    public final JavaParser.enumBodyDeclarations_return enumBodyDeclarations() throws RecognitionException {
        JavaParser.enumBodyDeclarations_return retval = new JavaParser.enumBodyDeclarations_return();
        retval.start = input.LT(1);
        int enumBodyDeclarations_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal55=null;
        JavaParser.classBodyDeclaration_return classBodyDeclaration56 = null;


        Object char_literal55_tree=null;
        RewriteRuleTokenStream stream_126=new RewriteRuleTokenStream(adaptor,"token 126");
        RewriteRuleSubtreeStream stream_classBodyDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule classBodyDeclaration");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 14) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:293:2: ( ';' ( classBodyDeclaration )* -> ( classBodyDeclaration )* )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:293:4: ';' ( classBodyDeclaration )*
            {
            char_literal55=(Token)match(input,126,FOLLOW_126_in_enumBodyDeclarations1102); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_126.add(char_literal55);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:293:8: ( classBodyDeclaration )*
            loop27:
            do {
                int alt27=2;
                alt27 = dfa27.predict(input);
                switch (alt27) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:293:9: classBodyDeclaration
            	    {
            	    pushFollow(FOLLOW_classBodyDeclaration_in_enumBodyDeclarations1105);
            	    classBodyDeclaration56=classBodyDeclaration();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) stream_classBodyDeclaration.add(classBodyDeclaration56.getTree());

            	    }
            	    break;

            	default :
            	    break loop27;
                }
            } while (true);



            // AST REWRITE
            // elements: classBodyDeclaration
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 293:32: -> ( classBodyDeclaration )*
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:293:35: ( classBodyDeclaration )*
                while ( stream_classBodyDeclaration.hasNext() ) {
                    adaptor.addChild(root_0, stream_classBodyDeclaration.nextTree());

                }
                stream_classBodyDeclaration.reset();

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 14, enumBodyDeclarations_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "enumBodyDeclarations"

    public static class normalInterfaceDeclaration_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "normalInterfaceDeclaration"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:296:1: normalInterfaceDeclaration : 'interface' Identifier ( typeParameters )? ( 'extends' typeList )? interfaceBody -> ^( Identifier ( typeParameters )? ) ^( EXTENDS ) ^( IMPLEMENTS ( typeList )? ) ( interfaceBody )? ;
    public final JavaParser.normalInterfaceDeclaration_return normalInterfaceDeclaration() throws RecognitionException {
        JavaParser.normalInterfaceDeclaration_return retval = new JavaParser.normalInterfaceDeclaration_return();
        retval.start = input.LT(1);
        int normalInterfaceDeclaration_StartIndex = input.index();
        Object root_0 = null;

        Token string_literal57=null;
        Token Identifier58=null;
        Token string_literal60=null;
        JavaParser.typeParameters_return typeParameters59 = null;

        JavaParser.typeList_return typeList61 = null;

        JavaParser.interfaceBody_return interfaceBody62 = null;


        Object string_literal57_tree=null;
        Object Identifier58_tree=null;
        Object string_literal60_tree=null;
        RewriteRuleTokenStream stream_132=new RewriteRuleTokenStream(adaptor,"token 132");
        RewriteRuleTokenStream stream_140=new RewriteRuleTokenStream(adaptor,"token 140");
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleSubtreeStream stream_typeParameters=new RewriteRuleSubtreeStream(adaptor,"rule typeParameters");
        RewriteRuleSubtreeStream stream_interfaceBody=new RewriteRuleSubtreeStream(adaptor,"rule interfaceBody");
        RewriteRuleSubtreeStream stream_typeList=new RewriteRuleSubtreeStream(adaptor,"rule typeList");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 15) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:297:2: ( 'interface' Identifier ( typeParameters )? ( 'extends' typeList )? interfaceBody -> ^( Identifier ( typeParameters )? ) ^( EXTENDS ) ^( IMPLEMENTS ( typeList )? ) ( interfaceBody )? )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:297:4: 'interface' Identifier ( typeParameters )? ( 'extends' typeList )? interfaceBody
            {
            string_literal57=(Token)match(input,140,FOLLOW_140_in_normalInterfaceDeclaration1124); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_140.add(string_literal57);

            Identifier58=(Token)match(input,Identifier,FOLLOW_Identifier_in_normalInterfaceDeclaration1126); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_Identifier.add(Identifier58);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:297:27: ( typeParameters )?
            int alt28=2;
            int LA28_0 = input.LA(1);

            if ( (LA28_0==134) ) {
                alt28=1;
            }
            switch (alt28) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: typeParameters
                    {
                    pushFollow(FOLLOW_typeParameters_in_normalInterfaceDeclaration1128);
                    typeParameters59=typeParameters();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_typeParameters.add(typeParameters59.getTree());

                    }
                    break;

            }

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:297:43: ( 'extends' typeList )?
            int alt29=2;
            int LA29_0 = input.LA(1);

            if ( (LA29_0==132) ) {
                alt29=1;
            }
            switch (alt29) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:297:44: 'extends' typeList
                    {
                    string_literal60=(Token)match(input,132,FOLLOW_132_in_normalInterfaceDeclaration1132); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_132.add(string_literal60);

                    pushFollow(FOLLOW_typeList_in_normalInterfaceDeclaration1134);
                    typeList61=typeList();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_typeList.add(typeList61.getTree());

                    }
                    break;

            }

            pushFollow(FOLLOW_interfaceBody_in_normalInterfaceDeclaration1138);
            interfaceBody62=interfaceBody();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_interfaceBody.add(interfaceBody62.getTree());


            // AST REWRITE
            // elements: typeParameters, Identifier, typeList, interfaceBody
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 297:79: -> ^( Identifier ( typeParameters )? ) ^( EXTENDS ) ^( IMPLEMENTS ( typeList )? ) ( interfaceBody )?
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:297:82: ^( Identifier ( typeParameters )? )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot(stream_Identifier.nextNode(), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:297:95: ( typeParameters )?
                if ( stream_typeParameters.hasNext() ) {
                    adaptor.addChild(root_1, stream_typeParameters.nextTree());

                }
                stream_typeParameters.reset();

                adaptor.addChild(root_0, root_1);
                }
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:297:112: ^( EXTENDS )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(EXTENDS, "EXTENDS"), root_1);

                adaptor.addChild(root_0, root_1);
                }
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:297:123: ^( IMPLEMENTS ( typeList )? )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(IMPLEMENTS, "IMPLEMENTS"), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:297:136: ( typeList )?
                if ( stream_typeList.hasNext() ) {
                    adaptor.addChild(root_1, stream_typeList.nextTree());

                }
                stream_typeList.reset();

                adaptor.addChild(root_0, root_1);
                }
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:297:147: ( interfaceBody )?
                if ( stream_interfaceBody.hasNext() ) {
                    adaptor.addChild(root_0, stream_interfaceBody.nextTree());

                }
                stream_interfaceBody.reset();

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 15, normalInterfaceDeclaration_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "normalInterfaceDeclaration"

    public static class typeList_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "typeList"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:300:1: typeList : type ( ',' type )* ;
    public final JavaParser.typeList_return typeList() throws RecognitionException {
        JavaParser.typeList_return retval = new JavaParser.typeList_return();
        retval.start = input.LT(1);
        int typeList_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal64=null;
        JavaParser.type_return type63 = null;

        JavaParser.type_return type65 = null;


        Object char_literal64_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 16) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:301:2: ( type ( ',' type )* )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:301:4: type ( ',' type )*
            {
            root_0 = (Object)adaptor.nil();

            pushFollow(FOLLOW_type_in_typeList1173);
            type63=type();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) adaptor.addChild(root_0, type63.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:301:9: ( ',' type )*
            loop30:
            do {
                int alt30=2;
                int LA30_0 = input.LA(1);

                if ( (LA30_0==135) ) {
                    alt30=1;
                }


                switch (alt30) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:301:10: ',' type
            	    {
            	    char_literal64=(Token)match(input,135,FOLLOW_135_in_typeList1176); if (state.failed) return retval;
            	    pushFollow(FOLLOW_type_in_typeList1179);
            	    type65=type();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) adaptor.addChild(root_0, type65.getTree());

            	    }
            	    break;

            	default :
            	    break loop30;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 16, typeList_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "typeList"

    public static class classBody_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "classBody"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:304:1: classBody : '{' ( classBodyDeclaration )* '}' ;
    public final JavaParser.classBody_return classBody() throws RecognitionException {
        JavaParser.classBody_return retval = new JavaParser.classBody_return();
        retval.start = input.LT(1);
        int classBody_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal66=null;
        Token char_literal68=null;
        JavaParser.classBodyDeclaration_return classBodyDeclaration67 = null;


        Object char_literal66_tree=null;
        Object char_literal68_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 17) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:305:2: ( '{' ( classBodyDeclaration )* '}' )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:305:4: '{' ( classBodyDeclaration )* '}'
            {
            root_0 = (Object)adaptor.nil();

            char_literal66=(Token)match(input,138,FOLLOW_138_in_classBody1193); if (state.failed) return retval;
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:305:9: ( classBodyDeclaration )*
            loop31:
            do {
                int alt31=2;
                alt31 = dfa31.predict(input);
                switch (alt31) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: classBodyDeclaration
            	    {
            	    pushFollow(FOLLOW_classBodyDeclaration_in_classBody1196);
            	    classBodyDeclaration67=classBodyDeclaration();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) adaptor.addChild(root_0, classBodyDeclaration67.getTree());

            	    }
            	    break;

            	default :
            	    break loop31;
                }
            } while (true);

            char_literal68=(Token)match(input,139,FOLLOW_139_in_classBody1199); if (state.failed) return retval;

            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 17, classBody_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "classBody"

    public static class interfaceBody_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "interfaceBody"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:308:1: interfaceBody : '{' ( interfaceBodyDeclaration )* '}' ;
    public final JavaParser.interfaceBody_return interfaceBody() throws RecognitionException {
        JavaParser.interfaceBody_return retval = new JavaParser.interfaceBody_return();
        retval.start = input.LT(1);
        int interfaceBody_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal69=null;
        Token char_literal71=null;
        JavaParser.interfaceBodyDeclaration_return interfaceBodyDeclaration70 = null;


        Object char_literal69_tree=null;
        Object char_literal71_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 18) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:309:2: ( '{' ( interfaceBodyDeclaration )* '}' )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:309:4: '{' ( interfaceBodyDeclaration )* '}'
            {
            root_0 = (Object)adaptor.nil();

            char_literal69=(Token)match(input,138,FOLLOW_138_in_interfaceBody1212); if (state.failed) return retval;
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:309:9: ( interfaceBodyDeclaration )*
            loop32:
            do {
                int alt32=2;
                alt32 = dfa32.predict(input);
                switch (alt32) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: interfaceBodyDeclaration
            	    {
            	    pushFollow(FOLLOW_interfaceBodyDeclaration_in_interfaceBody1215);
            	    interfaceBodyDeclaration70=interfaceBodyDeclaration();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) adaptor.addChild(root_0, interfaceBodyDeclaration70.getTree());

            	    }
            	    break;

            	default :
            	    break loop32;
                }
            } while (true);

            char_literal71=(Token)match(input,139,FOLLOW_139_in_interfaceBody1218); if (state.failed) return retval;

            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 18, interfaceBody_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "interfaceBody"

    public static class classBodyDeclaration_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "classBodyDeclaration"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:312:1: classBodyDeclaration : ( ';' | 'static' block -> ^( STATIC block ) | ( 'static' )? block -> block | ( modifier )* ( genericMethodOrConstructorDecl -> ^( METHOD ^( MODIFIERS ( modifier )* ) genericMethodOrConstructorDecl ) | methodDeclaration -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) methodDeclaration ) | fieldDeclaration -> ^( FIELD ^( MODIFIERS ( modifier )* ) fieldDeclaration ) | 'void' Identifier ( ctxtParams )? voidMethodDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( TYPE VOID ) ( ctxtParams )? ( voidMethodDeclaratorRest )? ) | Identifier constructorDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( NONE ) constructorDeclaratorRest ) | normalInterfaceDeclaration -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) | classDeclaration -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) ) );
    public final JavaParser.classBodyDeclaration_return classBodyDeclaration() throws RecognitionException {
        JavaParser.classBodyDeclaration_return retval = new JavaParser.classBodyDeclaration_return();
        retval.start = input.LT(1);
        int classBodyDeclaration_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal72=null;
        Token string_literal73=null;
        Token string_literal75=null;
        Token string_literal81=null;
        Token Identifier82=null;
        Token Identifier85=null;
        JavaParser.block_return block74 = null;

        JavaParser.block_return block76 = null;

        JavaParser.modifier_return modifier77 = null;

        JavaParser.genericMethodOrConstructorDecl_return genericMethodOrConstructorDecl78 = null;

        JavaParser.methodDeclaration_return methodDeclaration79 = null;

        JavaParser.fieldDeclaration_return fieldDeclaration80 = null;

        JavaParser.ctxtParams_return ctxtParams83 = null;

        JavaParser.voidMethodDeclaratorRest_return voidMethodDeclaratorRest84 = null;

        JavaParser.constructorDeclaratorRest_return constructorDeclaratorRest86 = null;

        JavaParser.normalInterfaceDeclaration_return normalInterfaceDeclaration87 = null;

        JavaParser.annotationTypeDeclaration_return annotationTypeDeclaration88 = null;

        JavaParser.classDeclaration_return classDeclaration89 = null;

        JavaParser.enumDeclaration_return enumDeclaration90 = null;


        Object char_literal72_tree=null;
        Object string_literal73_tree=null;
        Object string_literal75_tree=null;
        Object string_literal81_tree=null;
        Object Identifier82_tree=null;
        Object Identifier85_tree=null;
        RewriteRuleTokenStream stream_128=new RewriteRuleTokenStream(adaptor,"token 128");
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleTokenStream stream_141=new RewriteRuleTokenStream(adaptor,"token 141");
        RewriteRuleSubtreeStream stream_modifier=new RewriteRuleSubtreeStream(adaptor,"rule modifier");
        RewriteRuleSubtreeStream stream_annotationTypeDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule annotationTypeDeclaration");
        RewriteRuleSubtreeStream stream_fieldDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule fieldDeclaration");
        RewriteRuleSubtreeStream stream_classDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule classDeclaration");
        RewriteRuleSubtreeStream stream_block=new RewriteRuleSubtreeStream(adaptor,"rule block");
        RewriteRuleSubtreeStream stream_genericMethodOrConstructorDecl=new RewriteRuleSubtreeStream(adaptor,"rule genericMethodOrConstructorDecl");
        RewriteRuleSubtreeStream stream_normalInterfaceDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule normalInterfaceDeclaration");
        RewriteRuleSubtreeStream stream_enumDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule enumDeclaration");
        RewriteRuleSubtreeStream stream_ctxtParams=new RewriteRuleSubtreeStream(adaptor,"rule ctxtParams");
        RewriteRuleSubtreeStream stream_voidMethodDeclaratorRest=new RewriteRuleSubtreeStream(adaptor,"rule voidMethodDeclaratorRest");
        RewriteRuleSubtreeStream stream_constructorDeclaratorRest=new RewriteRuleSubtreeStream(adaptor,"rule constructorDeclaratorRest");
        RewriteRuleSubtreeStream stream_methodDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule methodDeclaration");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 19) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:313:2: ( ';' | 'static' block -> ^( STATIC block ) | ( 'static' )? block -> block | ( modifier )* ( genericMethodOrConstructorDecl -> ^( METHOD ^( MODIFIERS ( modifier )* ) genericMethodOrConstructorDecl ) | methodDeclaration -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) methodDeclaration ) | fieldDeclaration -> ^( FIELD ^( MODIFIERS ( modifier )* ) fieldDeclaration ) | 'void' Identifier ( ctxtParams )? voidMethodDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( TYPE VOID ) ( ctxtParams )? ( voidMethodDeclaratorRest )? ) | Identifier constructorDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( NONE ) constructorDeclaratorRest ) | normalInterfaceDeclaration -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) | classDeclaration -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) ) )
            int alt37=4;
            alt37 = dfa37.predict(input);
            switch (alt37) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:313:4: ';'
                    {
                    root_0 = (Object)adaptor.nil();

                    char_literal72=(Token)match(input,126,FOLLOW_126_in_classBodyDeclaration1230); if (state.failed) return retval;

                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:314:4: 'static' block
                    {
                    string_literal73=(Token)match(input,128,FOLLOW_128_in_classBodyDeclaration1236); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_128.add(string_literal73);

                    pushFollow(FOLLOW_block_in_classBodyDeclaration1238);
                    block74=block();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_block.add(block74.getTree());


                    // AST REWRITE
                    // elements: block
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 314:19: -> ^( STATIC block )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:314:22: ^( STATIC block )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(STATIC, "STATIC"), root_1);

                        adaptor.addChild(root_1, stream_block.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:315:4: ( 'static' )? block
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:315:4: ( 'static' )?
                    int alt33=2;
                    int LA33_0 = input.LA(1);

                    if ( (LA33_0==128) ) {
                        alt33=1;
                    }
                    switch (alt33) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: 'static'
                            {
                            string_literal75=(Token)match(input,128,FOLLOW_128_in_classBodyDeclaration1251); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_128.add(string_literal75);


                            }
                            break;

                    }

                    pushFollow(FOLLOW_block_in_classBodyDeclaration1254);
                    block76=block();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_block.add(block76.getTree());


                    // AST REWRITE
                    // elements: block
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 315:20: -> block
                    {
                        adaptor.addChild(root_0, stream_block.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 4 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:316:4: ( modifier )* ( genericMethodOrConstructorDecl -> ^( METHOD ^( MODIFIERS ( modifier )* ) genericMethodOrConstructorDecl ) | methodDeclaration -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) methodDeclaration ) | fieldDeclaration -> ^( FIELD ^( MODIFIERS ( modifier )* ) fieldDeclaration ) | 'void' Identifier ( ctxtParams )? voidMethodDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( TYPE VOID ) ( ctxtParams )? ( voidMethodDeclaratorRest )? ) | Identifier constructorDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( NONE ) constructorDeclaratorRest ) | normalInterfaceDeclaration -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) | classDeclaration -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) )
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:316:4: ( modifier )*
                    loop34:
                    do {
                        int alt34=2;
                        alt34 = dfa34.predict(input);
                        switch (alt34) {
                    	case 1 :
                    	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: modifier
                    	    {
                    	    pushFollow(FOLLOW_modifier_in_classBodyDeclaration1263);
                    	    modifier77=modifier();

                    	    state._fsp--;
                    	    if (state.failed) return retval;
                    	    if ( state.backtracking==0 ) stream_modifier.add(modifier77.getTree());

                    	    }
                    	    break;

                    	default :
                    	    break loop34;
                        }
                    } while (true);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:316:14: ( genericMethodOrConstructorDecl -> ^( METHOD ^( MODIFIERS ( modifier )* ) genericMethodOrConstructorDecl ) | methodDeclaration -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) methodDeclaration ) | fieldDeclaration -> ^( FIELD ^( MODIFIERS ( modifier )* ) fieldDeclaration ) | 'void' Identifier ( ctxtParams )? voidMethodDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( TYPE VOID ) ( ctxtParams )? ( voidMethodDeclaratorRest )? ) | Identifier constructorDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( NONE ) constructorDeclaratorRest ) | normalInterfaceDeclaration -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) | classDeclaration -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) )
                    int alt36=9;
                    alt36 = dfa36.predict(input);
                    switch (alt36) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:317:6: genericMethodOrConstructorDecl
                            {
                            pushFollow(FOLLOW_genericMethodOrConstructorDecl_in_classBodyDeclaration1273);
                            genericMethodOrConstructorDecl78=genericMethodOrConstructorDecl();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_genericMethodOrConstructorDecl.add(genericMethodOrConstructorDecl78.getTree());


                            // AST REWRITE
                            // elements: genericMethodOrConstructorDecl, modifier
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 317:37: -> ^( METHOD ^( MODIFIERS ( modifier )* ) genericMethodOrConstructorDecl )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:317:40: ^( METHOD ^( MODIFIERS ( modifier )* ) genericMethodOrConstructorDecl )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(METHOD, "METHOD"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:317:49: ^( MODIFIERS ( modifier )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:317:61: ( modifier )*
                                while ( stream_modifier.hasNext() ) {
                                    adaptor.addChild(root_2, stream_modifier.nextTree());

                                }
                                stream_modifier.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_genericMethodOrConstructorDecl.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 2 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:318:9: methodDeclaration
                            {
                            pushFollow(FOLLOW_methodDeclaration_in_classBodyDeclaration1298);
                            methodDeclaration79=methodDeclaration();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_methodDeclaration.add(methodDeclaration79.getTree());


                            // AST REWRITE
                            // elements: methodDeclaration, modifier
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 318:27: -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) methodDeclaration )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:318:30: ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) methodDeclaration )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(METHOD, "METHOD"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:318:39: ^( MODIFIERS ( modifier )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:318:51: ( modifier )*
                                while ( stream_modifier.hasNext() ) {
                                    adaptor.addChild(root_2, stream_modifier.nextTree());

                                }
                                stream_modifier.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:318:62: ^( TYPE_PARAMETERS )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE_PARAMETERS, "TYPE_PARAMETERS"), root_2);

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_methodDeclaration.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 3 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:319:9: fieldDeclaration
                            {
                            pushFollow(FOLLOW_fieldDeclaration_in_classBodyDeclaration1327);
                            fieldDeclaration80=fieldDeclaration();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_fieldDeclaration.add(fieldDeclaration80.getTree());


                            // AST REWRITE
                            // elements: fieldDeclaration, modifier
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 319:26: -> ^( FIELD ^( MODIFIERS ( modifier )* ) fieldDeclaration )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:319:29: ^( FIELD ^( MODIFIERS ( modifier )* ) fieldDeclaration )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(FIELD, "FIELD"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:319:37: ^( MODIFIERS ( modifier )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:319:49: ( modifier )*
                                while ( stream_modifier.hasNext() ) {
                                    adaptor.addChild(root_2, stream_modifier.nextTree());

                                }
                                stream_modifier.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_fieldDeclaration.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 4 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:320:8: 'void' Identifier ( ctxtParams )? voidMethodDeclaratorRest
                            {
                            string_literal81=(Token)match(input,141,FOLLOW_141_in_classBodyDeclaration1351); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_141.add(string_literal81);

                            Identifier82=(Token)match(input,Identifier,FOLLOW_Identifier_in_classBodyDeclaration1353); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_Identifier.add(Identifier82);

                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:320:26: ( ctxtParams )?
                            int alt35=2;
                            int LA35_0 = input.LA(1);

                            if ( (LA35_0==134) ) {
                                alt35=1;
                            }
                            switch (alt35) {
                                case 1 :
                                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: ctxtParams
                                    {
                                    pushFollow(FOLLOW_ctxtParams_in_classBodyDeclaration1355);
                                    ctxtParams83=ctxtParams();

                                    state._fsp--;
                                    if (state.failed) return retval;
                                    if ( state.backtracking==0 ) stream_ctxtParams.add(ctxtParams83.getTree());

                                    }
                                    break;

                            }

                            pushFollow(FOLLOW_voidMethodDeclaratorRest_in_classBodyDeclaration1358);
                            voidMethodDeclaratorRest84=voidMethodDeclaratorRest();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_voidMethodDeclaratorRest.add(voidMethodDeclaratorRest84.getTree());


                            // AST REWRITE
                            // elements: ctxtParams, modifier, voidMethodDeclaratorRest, Identifier
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 320:63: -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( TYPE VOID ) ( ctxtParams )? ( voidMethodDeclaratorRest )? )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:320:66: ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( TYPE VOID ) ( ctxtParams )? ( voidMethodDeclaratorRest )? )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(METHOD, "METHOD"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:320:75: ^( MODIFIERS ( modifier )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:320:87: ( modifier )*
                                while ( stream_modifier.hasNext() ) {
                                    adaptor.addChild(root_2, stream_modifier.nextTree());

                                }
                                stream_modifier.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:320:98: ^( TYPE_PARAMETERS )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE_PARAMETERS, "TYPE_PARAMETERS"), root_2);

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_Identifier.nextNode());
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:320:128: ^( TYPE VOID )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE, "TYPE"), root_2);

                                adaptor.addChild(root_2, (Object)adaptor.create(VOID, "VOID"));

                                adaptor.addChild(root_1, root_2);
                                }
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:320:141: ( ctxtParams )?
                                if ( stream_ctxtParams.hasNext() ) {
                                    adaptor.addChild(root_1, stream_ctxtParams.nextTree());

                                }
                                stream_ctxtParams.reset();
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:320:153: ( voidMethodDeclaratorRest )?
                                if ( stream_voidMethodDeclaratorRest.hasNext() ) {
                                    adaptor.addChild(root_1, stream_voidMethodDeclaratorRest.nextTree());

                                }
                                stream_voidMethodDeclaratorRest.reset();

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 5 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:321:8: Identifier constructorDeclaratorRest
                            {
                            Identifier85=(Token)match(input,Identifier,FOLLOW_Identifier_in_classBodyDeclaration1398); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_Identifier.add(Identifier85);

                            pushFollow(FOLLOW_constructorDeclaratorRest_in_classBodyDeclaration1400);
                            constructorDeclaratorRest86=constructorDeclaratorRest();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_constructorDeclaratorRest.add(constructorDeclaratorRest86.getTree());


                            // AST REWRITE
                            // elements: constructorDeclaratorRest, modifier, Identifier
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 321:45: -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( NONE ) constructorDeclaratorRest )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:321:48: ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( NONE ) constructorDeclaratorRest )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(METHOD, "METHOD"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:321:57: ^( MODIFIERS ( modifier )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:321:69: ( modifier )*
                                while ( stream_modifier.hasNext() ) {
                                    adaptor.addChild(root_2, stream_modifier.nextTree());

                                }
                                stream_modifier.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:321:80: ^( TYPE_PARAMETERS )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE_PARAMETERS, "TYPE_PARAMETERS"), root_2);

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_Identifier.nextNode());
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:321:110: ^( NONE )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(NONE, "NONE"), root_2);

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_constructorDeclaratorRest.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 6 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:322:8: normalInterfaceDeclaration
                            {
                            pushFollow(FOLLOW_normalInterfaceDeclaration_in_classBodyDeclaration1434);
                            normalInterfaceDeclaration87=normalInterfaceDeclaration();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_normalInterfaceDeclaration.add(normalInterfaceDeclaration87.getTree());


                            // AST REWRITE
                            // elements: normalInterfaceDeclaration, modifier
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 322:35: -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:322:38: ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(INTERFACE, "INTERFACE"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:322:50: ^( MODIFIERS ( modifier )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:322:62: ( modifier )*
                                while ( stream_modifier.hasNext() ) {
                                    adaptor.addChild(root_2, stream_modifier.nextTree());

                                }
                                stream_modifier.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_normalInterfaceDeclaration.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 7 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:323:10: annotationTypeDeclaration
                            {
                            pushFollow(FOLLOW_annotationTypeDeclaration_in_classBodyDeclaration1460);
                            annotationTypeDeclaration88=annotationTypeDeclaration();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_annotationTypeDeclaration.add(annotationTypeDeclaration88.getTree());


                            // AST REWRITE
                            // elements: annotationTypeDeclaration, modifier
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 323:36: -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:323:39: ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ANNOTATION, "ANNOTATION"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:323:52: ^( MODIFIERS ( modifier )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:323:64: ( modifier )*
                                while ( stream_modifier.hasNext() ) {
                                    adaptor.addChild(root_2, stream_modifier.nextTree());

                                }
                                stream_modifier.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_annotationTypeDeclaration.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 8 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:324:8: classDeclaration
                            {
                            pushFollow(FOLLOW_classDeclaration_in_classBodyDeclaration1484);
                            classDeclaration89=classDeclaration();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_classDeclaration.add(classDeclaration89.getTree());


                            // AST REWRITE
                            // elements: classDeclaration, modifier
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 324:25: -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:324:28: ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(CLASS, "CLASS"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:324:36: ^( MODIFIERS ( modifier )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:324:48: ( modifier )*
                                while ( stream_modifier.hasNext() ) {
                                    adaptor.addChild(root_2, stream_modifier.nextTree());

                                }
                                stream_modifier.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_classDeclaration.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 9 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:325:10: enumDeclaration
                            {
                            pushFollow(FOLLOW_enumDeclaration_in_classBodyDeclaration1510);
                            enumDeclaration90=enumDeclaration();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_enumDeclaration.add(enumDeclaration90.getTree());


                            // AST REWRITE
                            // elements: modifier, enumDeclaration
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 325:26: -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:325:29: ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ENUM, "ENUM"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:325:36: ^( MODIFIERS ( modifier )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:325:48: ( modifier )*
                                while ( stream_modifier.hasNext() ) {
                                    adaptor.addChild(root_2, stream_modifier.nextTree());

                                }
                                stream_modifier.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_enumDeclaration.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;

                    }


                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 19, classBodyDeclaration_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "classBodyDeclaration"

    public static class genericMethodOrConstructorDecl_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "genericMethodOrConstructorDecl"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:329:1: genericMethodOrConstructorDecl : typeParameters genericMethodOrConstructorRest -> ^( TYPE_PARAMETERS typeParameters ) genericMethodOrConstructorRest ;
    public final JavaParser.genericMethodOrConstructorDecl_return genericMethodOrConstructorDecl() throws RecognitionException {
        JavaParser.genericMethodOrConstructorDecl_return retval = new JavaParser.genericMethodOrConstructorDecl_return();
        retval.start = input.LT(1);
        int genericMethodOrConstructorDecl_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.typeParameters_return typeParameters91 = null;

        JavaParser.genericMethodOrConstructorRest_return genericMethodOrConstructorRest92 = null;


        RewriteRuleSubtreeStream stream_typeParameters=new RewriteRuleSubtreeStream(adaptor,"rule typeParameters");
        RewriteRuleSubtreeStream stream_genericMethodOrConstructorRest=new RewriteRuleSubtreeStream(adaptor,"rule genericMethodOrConstructorRest");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 20) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:330:2: ( typeParameters genericMethodOrConstructorRest -> ^( TYPE_PARAMETERS typeParameters ) genericMethodOrConstructorRest )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:330:4: typeParameters genericMethodOrConstructorRest
            {
            pushFollow(FOLLOW_typeParameters_in_genericMethodOrConstructorDecl1543);
            typeParameters91=typeParameters();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_typeParameters.add(typeParameters91.getTree());
            pushFollow(FOLLOW_genericMethodOrConstructorRest_in_genericMethodOrConstructorDecl1545);
            genericMethodOrConstructorRest92=genericMethodOrConstructorRest();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_genericMethodOrConstructorRest.add(genericMethodOrConstructorRest92.getTree());


            // AST REWRITE
            // elements: genericMethodOrConstructorRest, typeParameters
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 330:50: -> ^( TYPE_PARAMETERS typeParameters ) genericMethodOrConstructorRest
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:330:53: ^( TYPE_PARAMETERS typeParameters )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE_PARAMETERS, "TYPE_PARAMETERS"), root_1);

                adaptor.addChild(root_1, stream_typeParameters.nextTree());

                adaptor.addChild(root_0, root_1);
                }
                adaptor.addChild(root_0, stream_genericMethodOrConstructorRest.nextTree());

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 20, genericMethodOrConstructorDecl_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "genericMethodOrConstructorDecl"

    public static class genericMethodOrConstructorRest_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "genericMethodOrConstructorRest"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:333:1: genericMethodOrConstructorRest : ( type Identifier ( ctxtParams )? methodDeclaratorRest -> Identifier type ( ctxtParams )? ( methodDeclaratorRest )? | 'void' Identifier ( ctxtParams )? methodDeclaratorRest -> Identifier ^( TYPE VOID ) ( ctxtParams )? ( methodDeclaratorRest )? | Identifier constructorDeclaratorRest -> Identifier ^( NONE ) constructorDeclaratorRest );
    public final JavaParser.genericMethodOrConstructorRest_return genericMethodOrConstructorRest() throws RecognitionException {
        JavaParser.genericMethodOrConstructorRest_return retval = new JavaParser.genericMethodOrConstructorRest_return();
        retval.start = input.LT(1);
        int genericMethodOrConstructorRest_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier94=null;
        Token string_literal97=null;
        Token Identifier98=null;
        Token Identifier101=null;
        JavaParser.type_return type93 = null;

        JavaParser.ctxtParams_return ctxtParams95 = null;

        JavaParser.methodDeclaratorRest_return methodDeclaratorRest96 = null;

        JavaParser.ctxtParams_return ctxtParams99 = null;

        JavaParser.methodDeclaratorRest_return methodDeclaratorRest100 = null;

        JavaParser.constructorDeclaratorRest_return constructorDeclaratorRest102 = null;


        Object Identifier94_tree=null;
        Object string_literal97_tree=null;
        Object Identifier98_tree=null;
        Object Identifier101_tree=null;
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleTokenStream stream_141=new RewriteRuleTokenStream(adaptor,"token 141");
        RewriteRuleSubtreeStream stream_constructorDeclaratorRest=new RewriteRuleSubtreeStream(adaptor,"rule constructorDeclaratorRest");
        RewriteRuleSubtreeStream stream_ctxtParams=new RewriteRuleSubtreeStream(adaptor,"rule ctxtParams");
        RewriteRuleSubtreeStream stream_type=new RewriteRuleSubtreeStream(adaptor,"rule type");
        RewriteRuleSubtreeStream stream_methodDeclaratorRest=new RewriteRuleSubtreeStream(adaptor,"rule methodDeclaratorRest");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 21) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:334:2: ( type Identifier ( ctxtParams )? methodDeclaratorRest -> Identifier type ( ctxtParams )? ( methodDeclaratorRest )? | 'void' Identifier ( ctxtParams )? methodDeclaratorRest -> Identifier ^( TYPE VOID ) ( ctxtParams )? ( methodDeclaratorRest )? | Identifier constructorDeclaratorRest -> Identifier ^( NONE ) constructorDeclaratorRest )
            int alt40=3;
            alt40 = dfa40.predict(input);
            switch (alt40) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:334:4: type Identifier ( ctxtParams )? methodDeclaratorRest
                    {
                    pushFollow(FOLLOW_type_in_genericMethodOrConstructorRest1567);
                    type93=type();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_type.add(type93.getTree());
                    Identifier94=(Token)match(input,Identifier,FOLLOW_Identifier_in_genericMethodOrConstructorRest1569); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_Identifier.add(Identifier94);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:334:20: ( ctxtParams )?
                    int alt38=2;
                    int LA38_0 = input.LA(1);

                    if ( (LA38_0==134) ) {
                        alt38=1;
                    }
                    switch (alt38) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: ctxtParams
                            {
                            pushFollow(FOLLOW_ctxtParams_in_genericMethodOrConstructorRest1571);
                            ctxtParams95=ctxtParams();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_ctxtParams.add(ctxtParams95.getTree());

                            }
                            break;

                    }

                    pushFollow(FOLLOW_methodDeclaratorRest_in_genericMethodOrConstructorRest1574);
                    methodDeclaratorRest96=methodDeclaratorRest();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_methodDeclaratorRest.add(methodDeclaratorRest96.getTree());


                    // AST REWRITE
                    // elements: type, methodDeclaratorRest, Identifier, ctxtParams
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 334:53: -> Identifier type ( ctxtParams )? ( methodDeclaratorRest )?
                    {
                        adaptor.addChild(root_0, stream_Identifier.nextNode());
                        adaptor.addChild(root_0, stream_type.nextTree());
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:334:72: ( ctxtParams )?
                        if ( stream_ctxtParams.hasNext() ) {
                            adaptor.addChild(root_0, stream_ctxtParams.nextTree());

                        }
                        stream_ctxtParams.reset();
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:334:84: ( methodDeclaratorRest )?
                        if ( stream_methodDeclaratorRest.hasNext() ) {
                            adaptor.addChild(root_0, stream_methodDeclaratorRest.nextTree());

                        }
                        stream_methodDeclaratorRest.reset();

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:335:4: 'void' Identifier ( ctxtParams )? methodDeclaratorRest
                    {
                    string_literal97=(Token)match(input,141,FOLLOW_141_in_genericMethodOrConstructorRest1591); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_141.add(string_literal97);

                    Identifier98=(Token)match(input,Identifier,FOLLOW_Identifier_in_genericMethodOrConstructorRest1593); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_Identifier.add(Identifier98);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:335:22: ( ctxtParams )?
                    int alt39=2;
                    int LA39_0 = input.LA(1);

                    if ( (LA39_0==134) ) {
                        alt39=1;
                    }
                    switch (alt39) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: ctxtParams
                            {
                            pushFollow(FOLLOW_ctxtParams_in_genericMethodOrConstructorRest1595);
                            ctxtParams99=ctxtParams();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_ctxtParams.add(ctxtParams99.getTree());

                            }
                            break;

                    }

                    pushFollow(FOLLOW_methodDeclaratorRest_in_genericMethodOrConstructorRest1598);
                    methodDeclaratorRest100=methodDeclaratorRest();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_methodDeclaratorRest.add(methodDeclaratorRest100.getTree());


                    // AST REWRITE
                    // elements: methodDeclaratorRest, Identifier, ctxtParams
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 335:55: -> Identifier ^( TYPE VOID ) ( ctxtParams )? ( methodDeclaratorRest )?
                    {
                        adaptor.addChild(root_0, stream_Identifier.nextNode());
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:335:69: ^( TYPE VOID )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE, "TYPE"), root_1);

                        adaptor.addChild(root_1, (Object)adaptor.create(VOID, "VOID"));

                        adaptor.addChild(root_0, root_1);
                        }
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:335:82: ( ctxtParams )?
                        if ( stream_ctxtParams.hasNext() ) {
                            adaptor.addChild(root_0, stream_ctxtParams.nextTree());

                        }
                        stream_ctxtParams.reset();
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:335:94: ( methodDeclaratorRest )?
                        if ( stream_methodDeclaratorRest.hasNext() ) {
                            adaptor.addChild(root_0, stream_methodDeclaratorRest.nextTree());

                        }
                        stream_methodDeclaratorRest.reset();

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:336:4: Identifier constructorDeclaratorRest
                    {
                    Identifier101=(Token)match(input,Identifier,FOLLOW_Identifier_in_genericMethodOrConstructorRest1619); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_Identifier.add(Identifier101);

                    pushFollow(FOLLOW_constructorDeclaratorRest_in_genericMethodOrConstructorRest1621);
                    constructorDeclaratorRest102=constructorDeclaratorRest();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_constructorDeclaratorRest.add(constructorDeclaratorRest102.getTree());


                    // AST REWRITE
                    // elements: Identifier, constructorDeclaratorRest
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 336:41: -> Identifier ^( NONE ) constructorDeclaratorRest
                    {
                        adaptor.addChild(root_0, stream_Identifier.nextNode());
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:336:55: ^( NONE )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(NONE, "NONE"), root_1);

                        adaptor.addChild(root_0, root_1);
                        }
                        adaptor.addChild(root_0, stream_constructorDeclaratorRest.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 21, genericMethodOrConstructorRest_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "genericMethodOrConstructorRest"

    public static class methodDeclaration_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "methodDeclaration"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:339:1: methodDeclaration : type Identifier ( ctxtParams )? methodDeclaratorRest -> Identifier type ( ctxtParams )? ( methodDeclaratorRest )? ;
    public final JavaParser.methodDeclaration_return methodDeclaration() throws RecognitionException {
        JavaParser.methodDeclaration_return retval = new JavaParser.methodDeclaration_return();
        retval.start = input.LT(1);
        int methodDeclaration_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier104=null;
        JavaParser.type_return type103 = null;

        JavaParser.ctxtParams_return ctxtParams105 = null;

        JavaParser.methodDeclaratorRest_return methodDeclaratorRest106 = null;


        Object Identifier104_tree=null;
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleSubtreeStream stream_ctxtParams=new RewriteRuleSubtreeStream(adaptor,"rule ctxtParams");
        RewriteRuleSubtreeStream stream_type=new RewriteRuleSubtreeStream(adaptor,"rule type");
        RewriteRuleSubtreeStream stream_methodDeclaratorRest=new RewriteRuleSubtreeStream(adaptor,"rule methodDeclaratorRest");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 22) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:340:2: ( type Identifier ( ctxtParams )? methodDeclaratorRest -> Identifier type ( ctxtParams )? ( methodDeclaratorRest )? )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:340:4: type Identifier ( ctxtParams )? methodDeclaratorRest
            {
            pushFollow(FOLLOW_type_in_methodDeclaration1642);
            type103=type();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_type.add(type103.getTree());
            Identifier104=(Token)match(input,Identifier,FOLLOW_Identifier_in_methodDeclaration1644); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_Identifier.add(Identifier104);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:340:20: ( ctxtParams )?
            int alt41=2;
            int LA41_0 = input.LA(1);

            if ( (LA41_0==134) ) {
                alt41=1;
            }
            switch (alt41) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: ctxtParams
                    {
                    pushFollow(FOLLOW_ctxtParams_in_methodDeclaration1646);
                    ctxtParams105=ctxtParams();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_ctxtParams.add(ctxtParams105.getTree());

                    }
                    break;

            }

            pushFollow(FOLLOW_methodDeclaratorRest_in_methodDeclaration1649);
            methodDeclaratorRest106=methodDeclaratorRest();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_methodDeclaratorRest.add(methodDeclaratorRest106.getTree());


            // AST REWRITE
            // elements: ctxtParams, Identifier, methodDeclaratorRest, type
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 340:53: -> Identifier type ( ctxtParams )? ( methodDeclaratorRest )?
            {
                adaptor.addChild(root_0, stream_Identifier.nextNode());
                adaptor.addChild(root_0, stream_type.nextTree());
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:340:72: ( ctxtParams )?
                if ( stream_ctxtParams.hasNext() ) {
                    adaptor.addChild(root_0, stream_ctxtParams.nextTree());

                }
                stream_ctxtParams.reset();
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:340:84: ( methodDeclaratorRest )?
                if ( stream_methodDeclaratorRest.hasNext() ) {
                    adaptor.addChild(root_0, stream_methodDeclaratorRest.nextTree());

                }
                stream_methodDeclaratorRest.reset();

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 22, methodDeclaration_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "methodDeclaration"

    public static class fieldDeclaration_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "fieldDeclaration"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:343:1: fieldDeclaration : type variableDeclarators ';' -> type variableDeclarators ;
    public final JavaParser.fieldDeclaration_return fieldDeclaration() throws RecognitionException {
        JavaParser.fieldDeclaration_return retval = new JavaParser.fieldDeclaration_return();
        retval.start = input.LT(1);
        int fieldDeclaration_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal109=null;
        JavaParser.type_return type107 = null;

        JavaParser.variableDeclarators_return variableDeclarators108 = null;


        Object char_literal109_tree=null;
        RewriteRuleTokenStream stream_126=new RewriteRuleTokenStream(adaptor,"token 126");
        RewriteRuleSubtreeStream stream_variableDeclarators=new RewriteRuleSubtreeStream(adaptor,"rule variableDeclarators");
        RewriteRuleSubtreeStream stream_type=new RewriteRuleSubtreeStream(adaptor,"rule type");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 23) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:344:2: ( type variableDeclarators ';' -> type variableDeclarators )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:344:4: type variableDeclarators ';'
            {
            pushFollow(FOLLOW_type_in_fieldDeclaration1672);
            type107=type();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_type.add(type107.getTree());
            pushFollow(FOLLOW_variableDeclarators_in_fieldDeclaration1674);
            variableDeclarators108=variableDeclarators();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_variableDeclarators.add(variableDeclarators108.getTree());
            char_literal109=(Token)match(input,126,FOLLOW_126_in_fieldDeclaration1676); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_126.add(char_literal109);



            // AST REWRITE
            // elements: type, variableDeclarators
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 344:33: -> type variableDeclarators
            {
                adaptor.addChild(root_0, stream_type.nextTree());
                adaptor.addChild(root_0, stream_variableDeclarators.nextTree());

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 23, fieldDeclaration_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "fieldDeclaration"

    public static class interfaceBodyDeclaration_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "interfaceBodyDeclaration"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:347:1: interfaceBodyDeclaration : ( ( modifier )* ( constantDeclaration -> ^( FIELD ^( MODIFIERS ( modifier )* ) constantDeclaration ) | type Identifier interfaceMethodDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier type ( interfaceMethodDeclaratorRest )? ) | interfaceGenericMethodDecl -> ^( METHOD ^( MODIFIERS ( modifier )* ) interfaceGenericMethodDecl ) | 'void' Identifier voidInterfaceMethodDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( TYPE VOID ) ( voidInterfaceMethodDeclaratorRest )? ) | normalInterfaceDeclaration -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) | classDeclaration -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) ) | ';' );
    public final JavaParser.interfaceBodyDeclaration_return interfaceBodyDeclaration() throws RecognitionException {
        JavaParser.interfaceBodyDeclaration_return retval = new JavaParser.interfaceBodyDeclaration_return();
        retval.start = input.LT(1);
        int interfaceBodyDeclaration_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier113=null;
        Token string_literal116=null;
        Token Identifier117=null;
        Token char_literal123=null;
        JavaParser.modifier_return modifier110 = null;

        JavaParser.constantDeclaration_return constantDeclaration111 = null;

        JavaParser.type_return type112 = null;

        JavaParser.interfaceMethodDeclaratorRest_return interfaceMethodDeclaratorRest114 = null;

        JavaParser.interfaceGenericMethodDecl_return interfaceGenericMethodDecl115 = null;

        JavaParser.voidInterfaceMethodDeclaratorRest_return voidInterfaceMethodDeclaratorRest118 = null;

        JavaParser.normalInterfaceDeclaration_return normalInterfaceDeclaration119 = null;

        JavaParser.annotationTypeDeclaration_return annotationTypeDeclaration120 = null;

        JavaParser.classDeclaration_return classDeclaration121 = null;

        JavaParser.enumDeclaration_return enumDeclaration122 = null;


        Object Identifier113_tree=null;
        Object string_literal116_tree=null;
        Object Identifier117_tree=null;
        Object char_literal123_tree=null;
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleTokenStream stream_141=new RewriteRuleTokenStream(adaptor,"token 141");
        RewriteRuleSubtreeStream stream_modifier=new RewriteRuleSubtreeStream(adaptor,"rule modifier");
        RewriteRuleSubtreeStream stream_annotationTypeDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule annotationTypeDeclaration");
        RewriteRuleSubtreeStream stream_interfaceGenericMethodDecl=new RewriteRuleSubtreeStream(adaptor,"rule interfaceGenericMethodDecl");
        RewriteRuleSubtreeStream stream_interfaceMethodDeclaratorRest=new RewriteRuleSubtreeStream(adaptor,"rule interfaceMethodDeclaratorRest");
        RewriteRuleSubtreeStream stream_constantDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule constantDeclaration");
        RewriteRuleSubtreeStream stream_classDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule classDeclaration");
        RewriteRuleSubtreeStream stream_voidInterfaceMethodDeclaratorRest=new RewriteRuleSubtreeStream(adaptor,"rule voidInterfaceMethodDeclaratorRest");
        RewriteRuleSubtreeStream stream_normalInterfaceDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule normalInterfaceDeclaration");
        RewriteRuleSubtreeStream stream_enumDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule enumDeclaration");
        RewriteRuleSubtreeStream stream_type=new RewriteRuleSubtreeStream(adaptor,"rule type");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 24) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:348:2: ( ( modifier )* ( constantDeclaration -> ^( FIELD ^( MODIFIERS ( modifier )* ) constantDeclaration ) | type Identifier interfaceMethodDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier type ( interfaceMethodDeclaratorRest )? ) | interfaceGenericMethodDecl -> ^( METHOD ^( MODIFIERS ( modifier )* ) interfaceGenericMethodDecl ) | 'void' Identifier voidInterfaceMethodDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( TYPE VOID ) ( voidInterfaceMethodDeclaratorRest )? ) | normalInterfaceDeclaration -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) | classDeclaration -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) ) | ';' )
            int alt44=2;
            alt44 = dfa44.predict(input);
            switch (alt44) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:348:4: ( modifier )* ( constantDeclaration -> ^( FIELD ^( MODIFIERS ( modifier )* ) constantDeclaration ) | type Identifier interfaceMethodDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier type ( interfaceMethodDeclaratorRest )? ) | interfaceGenericMethodDecl -> ^( METHOD ^( MODIFIERS ( modifier )* ) interfaceGenericMethodDecl ) | 'void' Identifier voidInterfaceMethodDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( TYPE VOID ) ( voidInterfaceMethodDeclaratorRest )? ) | normalInterfaceDeclaration -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) | classDeclaration -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) )
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:348:4: ( modifier )*
                    loop42:
                    do {
                        int alt42=2;
                        alt42 = dfa42.predict(input);
                        switch (alt42) {
                    	case 1 :
                    	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: modifier
                    	    {
                    	    pushFollow(FOLLOW_modifier_in_interfaceBodyDeclaration1695);
                    	    modifier110=modifier();

                    	    state._fsp--;
                    	    if (state.failed) return retval;
                    	    if ( state.backtracking==0 ) stream_modifier.add(modifier110.getTree());

                    	    }
                    	    break;

                    	default :
                    	    break loop42;
                        }
                    } while (true);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:348:14: ( constantDeclaration -> ^( FIELD ^( MODIFIERS ( modifier )* ) constantDeclaration ) | type Identifier interfaceMethodDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier type ( interfaceMethodDeclaratorRest )? ) | interfaceGenericMethodDecl -> ^( METHOD ^( MODIFIERS ( modifier )* ) interfaceGenericMethodDecl ) | 'void' Identifier voidInterfaceMethodDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( TYPE VOID ) ( voidInterfaceMethodDeclaratorRest )? ) | normalInterfaceDeclaration -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) | classDeclaration -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) )
                    int alt43=8;
                    alt43 = dfa43.predict(input);
                    switch (alt43) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:349:3: constantDeclaration
                            {
                            pushFollow(FOLLOW_constantDeclaration_in_interfaceBodyDeclaration1702);
                            constantDeclaration111=constantDeclaration();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_constantDeclaration.add(constantDeclaration111.getTree());


                            // AST REWRITE
                            // elements: modifier, constantDeclaration
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 349:23: -> ^( FIELD ^( MODIFIERS ( modifier )* ) constantDeclaration )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:349:26: ^( FIELD ^( MODIFIERS ( modifier )* ) constantDeclaration )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(FIELD, "FIELD"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:349:34: ^( MODIFIERS ( modifier )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:349:46: ( modifier )*
                                while ( stream_modifier.hasNext() ) {
                                    adaptor.addChild(root_2, stream_modifier.nextTree());

                                }
                                stream_modifier.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_constantDeclaration.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 2 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:350:5: type Identifier interfaceMethodDeclaratorRest
                            {
                            pushFollow(FOLLOW_type_in_interfaceBodyDeclaration1723);
                            type112=type();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_type.add(type112.getTree());
                            Identifier113=(Token)match(input,Identifier,FOLLOW_Identifier_in_interfaceBodyDeclaration1725); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_Identifier.add(Identifier113);

                            pushFollow(FOLLOW_interfaceMethodDeclaratorRest_in_interfaceBodyDeclaration1727);
                            interfaceMethodDeclaratorRest114=interfaceMethodDeclaratorRest();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_interfaceMethodDeclaratorRest.add(interfaceMethodDeclaratorRest114.getTree());


                            // AST REWRITE
                            // elements: Identifier, modifier, interfaceMethodDeclaratorRest, type
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 350:51: -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier type ( interfaceMethodDeclaratorRest )? )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:350:54: ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier type ( interfaceMethodDeclaratorRest )? )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(METHOD, "METHOD"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:350:63: ^( MODIFIERS ( modifier )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:350:75: ( modifier )*
                                while ( stream_modifier.hasNext() ) {
                                    adaptor.addChild(root_2, stream_modifier.nextTree());

                                }
                                stream_modifier.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:350:86: ^( TYPE_PARAMETERS )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE_PARAMETERS, "TYPE_PARAMETERS"), root_2);

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_Identifier.nextNode());
                                adaptor.addChild(root_1, stream_type.nextTree());
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:350:121: ( interfaceMethodDeclaratorRest )?
                                if ( stream_interfaceMethodDeclaratorRest.hasNext() ) {
                                    adaptor.addChild(root_1, stream_interfaceMethodDeclaratorRest.nextTree());

                                }
                                stream_interfaceMethodDeclaratorRest.reset();

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 3 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:351:5: interfaceGenericMethodDecl
                            {
                            pushFollow(FOLLOW_interfaceGenericMethodDecl_in_interfaceBodyDeclaration1757);
                            interfaceGenericMethodDecl115=interfaceGenericMethodDecl();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_interfaceGenericMethodDecl.add(interfaceGenericMethodDecl115.getTree());


                            // AST REWRITE
                            // elements: modifier, interfaceGenericMethodDecl
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 351:32: -> ^( METHOD ^( MODIFIERS ( modifier )* ) interfaceGenericMethodDecl )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:351:35: ^( METHOD ^( MODIFIERS ( modifier )* ) interfaceGenericMethodDecl )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(METHOD, "METHOD"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:351:44: ^( MODIFIERS ( modifier )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:351:56: ( modifier )*
                                while ( stream_modifier.hasNext() ) {
                                    adaptor.addChild(root_2, stream_modifier.nextTree());

                                }
                                stream_modifier.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_interfaceGenericMethodDecl.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 4 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:352:5: 'void' Identifier voidInterfaceMethodDeclaratorRest
                            {
                            string_literal116=(Token)match(input,141,FOLLOW_141_in_interfaceBodyDeclaration1778); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_141.add(string_literal116);

                            Identifier117=(Token)match(input,Identifier,FOLLOW_Identifier_in_interfaceBodyDeclaration1780); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_Identifier.add(Identifier117);

                            pushFollow(FOLLOW_voidInterfaceMethodDeclaratorRest_in_interfaceBodyDeclaration1782);
                            voidInterfaceMethodDeclaratorRest118=voidInterfaceMethodDeclaratorRest();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_voidInterfaceMethodDeclaratorRest.add(voidInterfaceMethodDeclaratorRest118.getTree());


                            // AST REWRITE
                            // elements: Identifier, voidInterfaceMethodDeclaratorRest, modifier
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 352:57: -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( TYPE VOID ) ( voidInterfaceMethodDeclaratorRest )? )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:352:60: ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( TYPE VOID ) ( voidInterfaceMethodDeclaratorRest )? )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(METHOD, "METHOD"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:352:69: ^( MODIFIERS ( modifier )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:352:81: ( modifier )*
                                while ( stream_modifier.hasNext() ) {
                                    adaptor.addChild(root_2, stream_modifier.nextTree());

                                }
                                stream_modifier.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:352:92: ^( TYPE_PARAMETERS )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE_PARAMETERS, "TYPE_PARAMETERS"), root_2);

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_Identifier.nextNode());
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:352:122: ^( TYPE VOID )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE, "TYPE"), root_2);

                                adaptor.addChild(root_2, (Object)adaptor.create(VOID, "VOID"));

                                adaptor.addChild(root_1, root_2);
                                }
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:352:135: ( voidInterfaceMethodDeclaratorRest )?
                                if ( stream_voidInterfaceMethodDeclaratorRest.hasNext() ) {
                                    adaptor.addChild(root_1, stream_voidInterfaceMethodDeclaratorRest.nextTree());

                                }
                                stream_voidInterfaceMethodDeclaratorRest.reset();

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 5 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:353:5: normalInterfaceDeclaration
                            {
                            pushFollow(FOLLOW_normalInterfaceDeclaration_in_interfaceBodyDeclaration1816);
                            normalInterfaceDeclaration119=normalInterfaceDeclaration();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_normalInterfaceDeclaration.add(normalInterfaceDeclaration119.getTree());


                            // AST REWRITE
                            // elements: normalInterfaceDeclaration, modifier
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 353:32: -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:353:35: ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(INTERFACE, "INTERFACE"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:353:47: ^( MODIFIERS ( modifier )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:353:59: ( modifier )*
                                while ( stream_modifier.hasNext() ) {
                                    adaptor.addChild(root_2, stream_modifier.nextTree());

                                }
                                stream_modifier.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_normalInterfaceDeclaration.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 6 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:354:10: annotationTypeDeclaration
                            {
                            pushFollow(FOLLOW_annotationTypeDeclaration_in_interfaceBodyDeclaration1843);
                            annotationTypeDeclaration120=annotationTypeDeclaration();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_annotationTypeDeclaration.add(annotationTypeDeclaration120.getTree());


                            // AST REWRITE
                            // elements: modifier, annotationTypeDeclaration
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 354:36: -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:354:39: ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ANNOTATION, "ANNOTATION"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:354:52: ^( MODIFIERS ( modifier )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:354:64: ( modifier )*
                                while ( stream_modifier.hasNext() ) {
                                    adaptor.addChild(root_2, stream_modifier.nextTree());

                                }
                                stream_modifier.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_annotationTypeDeclaration.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 7 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:355:5: classDeclaration
                            {
                            pushFollow(FOLLOW_classDeclaration_in_interfaceBodyDeclaration1864);
                            classDeclaration121=classDeclaration();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_classDeclaration.add(classDeclaration121.getTree());


                            // AST REWRITE
                            // elements: classDeclaration, modifier
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 355:22: -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:355:25: ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(CLASS, "CLASS"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:355:33: ^( MODIFIERS ( modifier )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:355:45: ( modifier )*
                                while ( stream_modifier.hasNext() ) {
                                    adaptor.addChild(root_2, stream_modifier.nextTree());

                                }
                                stream_modifier.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_classDeclaration.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 8 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:356:10: enumDeclaration
                            {
                            pushFollow(FOLLOW_enumDeclaration_in_interfaceBodyDeclaration1890);
                            enumDeclaration122=enumDeclaration();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_enumDeclaration.add(enumDeclaration122.getTree());


                            // AST REWRITE
                            // elements: modifier, enumDeclaration
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 356:26: -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:356:29: ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ENUM, "ENUM"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:356:36: ^( MODIFIERS ( modifier )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:356:48: ( modifier )*
                                while ( stream_modifier.hasNext() ) {
                                    adaptor.addChild(root_2, stream_modifier.nextTree());

                                }
                                stream_modifier.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_enumDeclaration.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;

                    }


                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:358:4: ';'
                    {
                    root_0 = (Object)adaptor.nil();

                    char_literal123=(Token)match(input,126,FOLLOW_126_in_interfaceBodyDeclaration1914); if (state.failed) return retval;

                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 24, interfaceBodyDeclaration_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "interfaceBodyDeclaration"

    public static class methodDeclaratorRest_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "methodDeclaratorRest"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:361:1: methodDeclaratorRest : formalParameters ( 'throws' typeList )? ( methodBody -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) methodBody | ';' -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) ) ;
    public final JavaParser.methodDeclaratorRest_return methodDeclaratorRest() throws RecognitionException {
        JavaParser.methodDeclaratorRest_return retval = new JavaParser.methodDeclaratorRest_return();
        retval.start = input.LT(1);
        int methodDeclaratorRest_StartIndex = input.index();
        Object root_0 = null;

        Token string_literal125=null;
        Token char_literal128=null;
        JavaParser.formalParameters_return formalParameters124 = null;

        JavaParser.typeList_return typeList126 = null;

        JavaParser.methodBody_return methodBody127 = null;


        Object string_literal125_tree=null;
        Object char_literal128_tree=null;
        RewriteRuleTokenStream stream_126=new RewriteRuleTokenStream(adaptor,"token 126");
        RewriteRuleTokenStream stream_142=new RewriteRuleTokenStream(adaptor,"token 142");
        RewriteRuleSubtreeStream stream_methodBody=new RewriteRuleSubtreeStream(adaptor,"rule methodBody");
        RewriteRuleSubtreeStream stream_formalParameters=new RewriteRuleSubtreeStream(adaptor,"rule formalParameters");
        RewriteRuleSubtreeStream stream_typeList=new RewriteRuleSubtreeStream(adaptor,"rule typeList");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 25) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:362:2: ( formalParameters ( 'throws' typeList )? ( methodBody -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) methodBody | ';' -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:362:4: formalParameters ( 'throws' typeList )? ( methodBody -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) methodBody | ';' -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) )
            {
            pushFollow(FOLLOW_formalParameters_in_methodDeclaratorRest1928);
            formalParameters124=formalParameters();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_formalParameters.add(formalParameters124.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:363:9: ( 'throws' typeList )?
            int alt45=2;
            int LA45_0 = input.LA(1);

            if ( (LA45_0==142) ) {
                alt45=1;
            }
            switch (alt45) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:363:10: 'throws' typeList
                    {
                    string_literal125=(Token)match(input,142,FOLLOW_142_in_methodDeclaratorRest1940); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_142.add(string_literal125);

                    pushFollow(FOLLOW_typeList_in_methodDeclaratorRest1942);
                    typeList126=typeList();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_typeList.add(typeList126.getTree());

                    }
                    break;

            }

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:364:9: ( methodBody -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) methodBody | ';' -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) )
            int alt46=2;
            int LA46_0 = input.LA(1);

            if ( (LA46_0==138) ) {
                alt46=1;
            }
            else if ( (LA46_0==126) ) {
                alt46=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return retval;}
                NoViableAltException nvae =
                    new NoViableAltException("", 46, 0, input);

                throw nvae;
            }
            switch (alt46) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:364:13: methodBody
                    {
                    pushFollow(FOLLOW_methodBody_in_methodDeclaratorRest1958);
                    methodBody127=methodBody();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_methodBody.add(methodBody127.getTree());


                    // AST REWRITE
                    // elements: typeList, methodBody, formalParameters
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 364:24: -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) methodBody
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:364:27: ^( PARAMETERS ( formalParameters )? )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(PARAMETERS, "PARAMETERS"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:364:40: ( formalParameters )?
                        if ( stream_formalParameters.hasNext() ) {
                            adaptor.addChild(root_1, stream_formalParameters.nextTree());

                        }
                        stream_formalParameters.reset();

                        adaptor.addChild(root_0, root_1);
                        }
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:364:59: ^( THROWS ( typeList )? )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(THROWS, "THROWS"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:364:68: ( typeList )?
                        if ( stream_typeList.hasNext() ) {
                            adaptor.addChild(root_1, stream_typeList.nextTree());

                        }
                        stream_typeList.reset();

                        adaptor.addChild(root_0, root_1);
                        }
                        adaptor.addChild(root_0, stream_methodBody.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:365:13: ';'
                    {
                    char_literal128=(Token)match(input,126,FOLLOW_126_in_methodDeclaratorRest1990); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_126.add(char_literal128);



                    // AST REWRITE
                    // elements: formalParameters, typeList
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 365:17: -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:365:20: ^( PARAMETERS ( formalParameters )? )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(PARAMETERS, "PARAMETERS"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:365:33: ( formalParameters )?
                        if ( stream_formalParameters.hasNext() ) {
                            adaptor.addChild(root_1, stream_formalParameters.nextTree());

                        }
                        stream_formalParameters.reset();

                        adaptor.addChild(root_0, root_1);
                        }
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:365:52: ^( THROWS ( typeList )? )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(THROWS, "THROWS"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:365:61: ( typeList )?
                        if ( stream_typeList.hasNext() ) {
                            adaptor.addChild(root_1, stream_typeList.nextTree());

                        }
                        stream_typeList.reset();

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 25, methodDeclaratorRest_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "methodDeclaratorRest"

    public static class voidMethodDeclaratorRest_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "voidMethodDeclaratorRest"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:369:1: voidMethodDeclaratorRest : formalParameters ( 'throws' typeList )? ( methodBody -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) methodBody | ';' -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) ) ;
    public final JavaParser.voidMethodDeclaratorRest_return voidMethodDeclaratorRest() throws RecognitionException {
        JavaParser.voidMethodDeclaratorRest_return retval = new JavaParser.voidMethodDeclaratorRest_return();
        retval.start = input.LT(1);
        int voidMethodDeclaratorRest_StartIndex = input.index();
        Object root_0 = null;

        Token string_literal130=null;
        Token char_literal133=null;
        JavaParser.formalParameters_return formalParameters129 = null;

        JavaParser.typeList_return typeList131 = null;

        JavaParser.methodBody_return methodBody132 = null;


        Object string_literal130_tree=null;
        Object char_literal133_tree=null;
        RewriteRuleTokenStream stream_126=new RewriteRuleTokenStream(adaptor,"token 126");
        RewriteRuleTokenStream stream_142=new RewriteRuleTokenStream(adaptor,"token 142");
        RewriteRuleSubtreeStream stream_methodBody=new RewriteRuleSubtreeStream(adaptor,"rule methodBody");
        RewriteRuleSubtreeStream stream_formalParameters=new RewriteRuleSubtreeStream(adaptor,"rule formalParameters");
        RewriteRuleSubtreeStream stream_typeList=new RewriteRuleSubtreeStream(adaptor,"rule typeList");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 26) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:370:2: ( formalParameters ( 'throws' typeList )? ( methodBody -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) methodBody | ';' -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:370:4: formalParameters ( 'throws' typeList )? ( methodBody -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) methodBody | ';' -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) )
            {
            pushFollow(FOLLOW_formalParameters_in_voidMethodDeclaratorRest2028);
            formalParameters129=formalParameters();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_formalParameters.add(formalParameters129.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:370:21: ( 'throws' typeList )?
            int alt47=2;
            int LA47_0 = input.LA(1);

            if ( (LA47_0==142) ) {
                alt47=1;
            }
            switch (alt47) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:370:22: 'throws' typeList
                    {
                    string_literal130=(Token)match(input,142,FOLLOW_142_in_voidMethodDeclaratorRest2031); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_142.add(string_literal130);

                    pushFollow(FOLLOW_typeList_in_voidMethodDeclaratorRest2033);
                    typeList131=typeList();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_typeList.add(typeList131.getTree());

                    }
                    break;

            }

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:371:9: ( methodBody -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) methodBody | ';' -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) )
            int alt48=2;
            int LA48_0 = input.LA(1);

            if ( (LA48_0==138) ) {
                alt48=1;
            }
            else if ( (LA48_0==126) ) {
                alt48=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return retval;}
                NoViableAltException nvae =
                    new NoViableAltException("", 48, 0, input);

                throw nvae;
            }
            switch (alt48) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:371:13: methodBody
                    {
                    pushFollow(FOLLOW_methodBody_in_voidMethodDeclaratorRest2049);
                    methodBody132=methodBody();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_methodBody.add(methodBody132.getTree());


                    // AST REWRITE
                    // elements: typeList, formalParameters, methodBody
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 371:24: -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) methodBody
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:371:27: ^( PARAMETERS ( formalParameters )? )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(PARAMETERS, "PARAMETERS"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:371:40: ( formalParameters )?
                        if ( stream_formalParameters.hasNext() ) {
                            adaptor.addChild(root_1, stream_formalParameters.nextTree());

                        }
                        stream_formalParameters.reset();

                        adaptor.addChild(root_0, root_1);
                        }
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:371:59: ^( THROWS ( typeList )? )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(THROWS, "THROWS"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:371:68: ( typeList )?
                        if ( stream_typeList.hasNext() ) {
                            adaptor.addChild(root_1, stream_typeList.nextTree());

                        }
                        stream_typeList.reset();

                        adaptor.addChild(root_0, root_1);
                        }
                        adaptor.addChild(root_0, stream_methodBody.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:372:13: ';'
                    {
                    char_literal133=(Token)match(input,126,FOLLOW_126_in_voidMethodDeclaratorRest2081); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_126.add(char_literal133);



                    // AST REWRITE
                    // elements: typeList, formalParameters
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 372:17: -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:372:20: ^( PARAMETERS ( formalParameters )? )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(PARAMETERS, "PARAMETERS"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:372:33: ( formalParameters )?
                        if ( stream_formalParameters.hasNext() ) {
                            adaptor.addChild(root_1, stream_formalParameters.nextTree());

                        }
                        stream_formalParameters.reset();

                        adaptor.addChild(root_0, root_1);
                        }
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:372:52: ^( THROWS ( typeList )? )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(THROWS, "THROWS"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:372:61: ( typeList )?
                        if ( stream_typeList.hasNext() ) {
                            adaptor.addChild(root_1, stream_typeList.nextTree());

                        }
                        stream_typeList.reset();

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 26, voidMethodDeclaratorRest_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "voidMethodDeclaratorRest"

    public static class interfaceMethodDeclaratorRest_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "interfaceMethodDeclaratorRest"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:376:1: interfaceMethodDeclaratorRest : formalParameters ( 'throws' typeList )? ';' -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) ;
    public final JavaParser.interfaceMethodDeclaratorRest_return interfaceMethodDeclaratorRest() throws RecognitionException {
        JavaParser.interfaceMethodDeclaratorRest_return retval = new JavaParser.interfaceMethodDeclaratorRest_return();
        retval.start = input.LT(1);
        int interfaceMethodDeclaratorRest_StartIndex = input.index();
        Object root_0 = null;

        Token string_literal135=null;
        Token char_literal137=null;
        JavaParser.formalParameters_return formalParameters134 = null;

        JavaParser.typeList_return typeList136 = null;


        Object string_literal135_tree=null;
        Object char_literal137_tree=null;
        RewriteRuleTokenStream stream_126=new RewriteRuleTokenStream(adaptor,"token 126");
        RewriteRuleTokenStream stream_142=new RewriteRuleTokenStream(adaptor,"token 142");
        RewriteRuleSubtreeStream stream_formalParameters=new RewriteRuleSubtreeStream(adaptor,"rule formalParameters");
        RewriteRuleSubtreeStream stream_typeList=new RewriteRuleSubtreeStream(adaptor,"rule typeList");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 27) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:377:2: ( formalParameters ( 'throws' typeList )? ';' -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:377:4: formalParameters ( 'throws' typeList )? ';'
            {
            pushFollow(FOLLOW_formalParameters_in_interfaceMethodDeclaratorRest2119);
            formalParameters134=formalParameters();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_formalParameters.add(formalParameters134.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:377:21: ( 'throws' typeList )?
            int alt49=2;
            int LA49_0 = input.LA(1);

            if ( (LA49_0==142) ) {
                alt49=1;
            }
            switch (alt49) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:377:22: 'throws' typeList
                    {
                    string_literal135=(Token)match(input,142,FOLLOW_142_in_interfaceMethodDeclaratorRest2122); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_142.add(string_literal135);

                    pushFollow(FOLLOW_typeList_in_interfaceMethodDeclaratorRest2124);
                    typeList136=typeList();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_typeList.add(typeList136.getTree());

                    }
                    break;

            }

            char_literal137=(Token)match(input,126,FOLLOW_126_in_interfaceMethodDeclaratorRest2128); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_126.add(char_literal137);



            // AST REWRITE
            // elements: formalParameters, typeList
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 377:46: -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? )
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:377:49: ^( PARAMETERS ( formalParameters )? )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(PARAMETERS, "PARAMETERS"), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:377:62: ( formalParameters )?
                if ( stream_formalParameters.hasNext() ) {
                    adaptor.addChild(root_1, stream_formalParameters.nextTree());

                }
                stream_formalParameters.reset();

                adaptor.addChild(root_0, root_1);
                }
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:377:81: ^( THROWS ( typeList )? )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(THROWS, "THROWS"), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:377:90: ( typeList )?
                if ( stream_typeList.hasNext() ) {
                    adaptor.addChild(root_1, stream_typeList.nextTree());

                }
                stream_typeList.reset();

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 27, interfaceMethodDeclaratorRest_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "interfaceMethodDeclaratorRest"

    public static class interfaceGenericMethodDecl_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "interfaceGenericMethodDecl"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:380:1: interfaceGenericMethodDecl : typeParameters ( type Identifier interfaceMethodDeclaratorRest -> ^( TYPE_PARAMETERS typeParameters ) Identifier type interfaceMethodDeclaratorRest | 'void' Identifier interfaceMethodDeclaratorRest -> ^( TYPE_PARAMETERS typeParameters ) Identifier ^( TYPE VOID ) interfaceMethodDeclaratorRest ) ;
    public final JavaParser.interfaceGenericMethodDecl_return interfaceGenericMethodDecl() throws RecognitionException {
        JavaParser.interfaceGenericMethodDecl_return retval = new JavaParser.interfaceGenericMethodDecl_return();
        retval.start = input.LT(1);
        int interfaceGenericMethodDecl_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier140=null;
        Token string_literal142=null;
        Token Identifier143=null;
        JavaParser.typeParameters_return typeParameters138 = null;

        JavaParser.type_return type139 = null;

        JavaParser.interfaceMethodDeclaratorRest_return interfaceMethodDeclaratorRest141 = null;

        JavaParser.interfaceMethodDeclaratorRest_return interfaceMethodDeclaratorRest144 = null;


        Object Identifier140_tree=null;
        Object string_literal142_tree=null;
        Object Identifier143_tree=null;
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleTokenStream stream_141=new RewriteRuleTokenStream(adaptor,"token 141");
        RewriteRuleSubtreeStream stream_interfaceMethodDeclaratorRest=new RewriteRuleSubtreeStream(adaptor,"rule interfaceMethodDeclaratorRest");
        RewriteRuleSubtreeStream stream_typeParameters=new RewriteRuleSubtreeStream(adaptor,"rule typeParameters");
        RewriteRuleSubtreeStream stream_type=new RewriteRuleSubtreeStream(adaptor,"rule type");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 28) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:381:2: ( typeParameters ( type Identifier interfaceMethodDeclaratorRest -> ^( TYPE_PARAMETERS typeParameters ) Identifier type interfaceMethodDeclaratorRest | 'void' Identifier interfaceMethodDeclaratorRest -> ^( TYPE_PARAMETERS typeParameters ) Identifier ^( TYPE VOID ) interfaceMethodDeclaratorRest ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:381:4: typeParameters ( type Identifier interfaceMethodDeclaratorRest -> ^( TYPE_PARAMETERS typeParameters ) Identifier type interfaceMethodDeclaratorRest | 'void' Identifier interfaceMethodDeclaratorRest -> ^( TYPE_PARAMETERS typeParameters ) Identifier ^( TYPE VOID ) interfaceMethodDeclaratorRest )
            {
            pushFollow(FOLLOW_typeParameters_in_interfaceGenericMethodDecl2156);
            typeParameters138=typeParameters();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_typeParameters.add(typeParameters138.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:382:3: ( type Identifier interfaceMethodDeclaratorRest -> ^( TYPE_PARAMETERS typeParameters ) Identifier type interfaceMethodDeclaratorRest | 'void' Identifier interfaceMethodDeclaratorRest -> ^( TYPE_PARAMETERS typeParameters ) Identifier ^( TYPE VOID ) interfaceMethodDeclaratorRest )
            int alt50=2;
            int LA50_0 = input.LA(1);

            if ( (LA50_0==Identifier||LA50_0==158||(LA50_0>=160 && LA50_0<=167)) ) {
                alt50=1;
            }
            else if ( (LA50_0==141) ) {
                alt50=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return retval;}
                NoViableAltException nvae =
                    new NoViableAltException("", 50, 0, input);

                throw nvae;
            }
            switch (alt50) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:382:4: type Identifier interfaceMethodDeclaratorRest
                    {
                    pushFollow(FOLLOW_type_in_interfaceGenericMethodDecl2162);
                    type139=type();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_type.add(type139.getTree());
                    Identifier140=(Token)match(input,Identifier,FOLLOW_Identifier_in_interfaceGenericMethodDecl2164); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_Identifier.add(Identifier140);

                    pushFollow(FOLLOW_interfaceMethodDeclaratorRest_in_interfaceGenericMethodDecl2166);
                    interfaceMethodDeclaratorRest141=interfaceMethodDeclaratorRest();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_interfaceMethodDeclaratorRest.add(interfaceMethodDeclaratorRest141.getTree());


                    // AST REWRITE
                    // elements: typeParameters, Identifier, interfaceMethodDeclaratorRest, type
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 382:50: -> ^( TYPE_PARAMETERS typeParameters ) Identifier type interfaceMethodDeclaratorRest
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:382:53: ^( TYPE_PARAMETERS typeParameters )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE_PARAMETERS, "TYPE_PARAMETERS"), root_1);

                        adaptor.addChild(root_1, stream_typeParameters.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }
                        adaptor.addChild(root_0, stream_Identifier.nextNode());
                        adaptor.addChild(root_0, stream_type.nextTree());
                        adaptor.addChild(root_0, stream_interfaceMethodDeclaratorRest.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:383:5: 'void' Identifier interfaceMethodDeclaratorRest
                    {
                    string_literal142=(Token)match(input,141,FOLLOW_141_in_interfaceGenericMethodDecl2186); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_141.add(string_literal142);

                    Identifier143=(Token)match(input,Identifier,FOLLOW_Identifier_in_interfaceGenericMethodDecl2188); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_Identifier.add(Identifier143);

                    pushFollow(FOLLOW_interfaceMethodDeclaratorRest_in_interfaceGenericMethodDecl2190);
                    interfaceMethodDeclaratorRest144=interfaceMethodDeclaratorRest();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_interfaceMethodDeclaratorRest.add(interfaceMethodDeclaratorRest144.getTree());


                    // AST REWRITE
                    // elements: Identifier, interfaceMethodDeclaratorRest, typeParameters
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 383:53: -> ^( TYPE_PARAMETERS typeParameters ) Identifier ^( TYPE VOID ) interfaceMethodDeclaratorRest
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:383:56: ^( TYPE_PARAMETERS typeParameters )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE_PARAMETERS, "TYPE_PARAMETERS"), root_1);

                        adaptor.addChild(root_1, stream_typeParameters.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }
                        adaptor.addChild(root_0, stream_Identifier.nextNode());
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:383:101: ^( TYPE VOID )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE, "TYPE"), root_1);

                        adaptor.addChild(root_1, (Object)adaptor.create(VOID, "VOID"));

                        adaptor.addChild(root_0, root_1);
                        }
                        adaptor.addChild(root_0, stream_interfaceMethodDeclaratorRest.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 28, interfaceGenericMethodDecl_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "interfaceGenericMethodDecl"

    public static class voidInterfaceMethodDeclaratorRest_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "voidInterfaceMethodDeclaratorRest"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:387:1: voidInterfaceMethodDeclaratorRest : formalParameters ( 'throws' typeList )? ';' -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) ;
    public final JavaParser.voidInterfaceMethodDeclaratorRest_return voidInterfaceMethodDeclaratorRest() throws RecognitionException {
        JavaParser.voidInterfaceMethodDeclaratorRest_return retval = new JavaParser.voidInterfaceMethodDeclaratorRest_return();
        retval.start = input.LT(1);
        int voidInterfaceMethodDeclaratorRest_StartIndex = input.index();
        Object root_0 = null;

        Token string_literal146=null;
        Token char_literal148=null;
        JavaParser.formalParameters_return formalParameters145 = null;

        JavaParser.typeList_return typeList147 = null;


        Object string_literal146_tree=null;
        Object char_literal148_tree=null;
        RewriteRuleTokenStream stream_126=new RewriteRuleTokenStream(adaptor,"token 126");
        RewriteRuleTokenStream stream_142=new RewriteRuleTokenStream(adaptor,"token 142");
        RewriteRuleSubtreeStream stream_formalParameters=new RewriteRuleSubtreeStream(adaptor,"rule formalParameters");
        RewriteRuleSubtreeStream stream_typeList=new RewriteRuleSubtreeStream(adaptor,"rule typeList");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 29) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:388:2: ( formalParameters ( 'throws' typeList )? ';' -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:388:4: formalParameters ( 'throws' typeList )? ';'
            {
            pushFollow(FOLLOW_formalParameters_in_voidInterfaceMethodDeclaratorRest2224);
            formalParameters145=formalParameters();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_formalParameters.add(formalParameters145.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:388:21: ( 'throws' typeList )?
            int alt51=2;
            int LA51_0 = input.LA(1);

            if ( (LA51_0==142) ) {
                alt51=1;
            }
            switch (alt51) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:388:22: 'throws' typeList
                    {
                    string_literal146=(Token)match(input,142,FOLLOW_142_in_voidInterfaceMethodDeclaratorRest2227); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_142.add(string_literal146);

                    pushFollow(FOLLOW_typeList_in_voidInterfaceMethodDeclaratorRest2229);
                    typeList147=typeList();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_typeList.add(typeList147.getTree());

                    }
                    break;

            }

            char_literal148=(Token)match(input,126,FOLLOW_126_in_voidInterfaceMethodDeclaratorRest2233); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_126.add(char_literal148);



            // AST REWRITE
            // elements: typeList, formalParameters
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 388:46: -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? )
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:388:49: ^( PARAMETERS ( formalParameters )? )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(PARAMETERS, "PARAMETERS"), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:388:62: ( formalParameters )?
                if ( stream_formalParameters.hasNext() ) {
                    adaptor.addChild(root_1, stream_formalParameters.nextTree());

                }
                stream_formalParameters.reset();

                adaptor.addChild(root_0, root_1);
                }
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:388:81: ^( THROWS ( typeList )? )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(THROWS, "THROWS"), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:388:90: ( typeList )?
                if ( stream_typeList.hasNext() ) {
                    adaptor.addChild(root_1, stream_typeList.nextTree());

                }
                stream_typeList.reset();

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 29, voidInterfaceMethodDeclaratorRest_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "voidInterfaceMethodDeclaratorRest"

    public static class constructorDeclaratorRest_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "constructorDeclaratorRest"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:391:1: constructorDeclaratorRest : formalParameters ( 'throws' typeList )? methodBody -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) methodBody ;
    public final JavaParser.constructorDeclaratorRest_return constructorDeclaratorRest() throws RecognitionException {
        JavaParser.constructorDeclaratorRest_return retval = new JavaParser.constructorDeclaratorRest_return();
        retval.start = input.LT(1);
        int constructorDeclaratorRest_StartIndex = input.index();
        Object root_0 = null;

        Token string_literal150=null;
        JavaParser.formalParameters_return formalParameters149 = null;

        JavaParser.typeList_return typeList151 = null;

        JavaParser.methodBody_return methodBody152 = null;


        Object string_literal150_tree=null;
        RewriteRuleTokenStream stream_142=new RewriteRuleTokenStream(adaptor,"token 142");
        RewriteRuleSubtreeStream stream_methodBody=new RewriteRuleSubtreeStream(adaptor,"rule methodBody");
        RewriteRuleSubtreeStream stream_formalParameters=new RewriteRuleSubtreeStream(adaptor,"rule formalParameters");
        RewriteRuleSubtreeStream stream_typeList=new RewriteRuleSubtreeStream(adaptor,"rule typeList");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 30) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:392:2: ( formalParameters ( 'throws' typeList )? methodBody -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) methodBody )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:392:4: formalParameters ( 'throws' typeList )? methodBody
            {
            pushFollow(FOLLOW_formalParameters_in_constructorDeclaratorRest2261);
            formalParameters149=formalParameters();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_formalParameters.add(formalParameters149.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:392:21: ( 'throws' typeList )?
            int alt52=2;
            int LA52_0 = input.LA(1);

            if ( (LA52_0==142) ) {
                alt52=1;
            }
            switch (alt52) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:392:22: 'throws' typeList
                    {
                    string_literal150=(Token)match(input,142,FOLLOW_142_in_constructorDeclaratorRest2264); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_142.add(string_literal150);

                    pushFollow(FOLLOW_typeList_in_constructorDeclaratorRest2266);
                    typeList151=typeList();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_typeList.add(typeList151.getTree());

                    }
                    break;

            }

            pushFollow(FOLLOW_methodBody_in_constructorDeclaratorRest2270);
            methodBody152=methodBody();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_methodBody.add(methodBody152.getTree());


            // AST REWRITE
            // elements: methodBody, formalParameters, typeList
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 392:53: -> ^( PARAMETERS ( formalParameters )? ) ^( THROWS ( typeList )? ) methodBody
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:392:56: ^( PARAMETERS ( formalParameters )? )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(PARAMETERS, "PARAMETERS"), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:392:69: ( formalParameters )?
                if ( stream_formalParameters.hasNext() ) {
                    adaptor.addChild(root_1, stream_formalParameters.nextTree());

                }
                stream_formalParameters.reset();

                adaptor.addChild(root_0, root_1);
                }
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:392:88: ^( THROWS ( typeList )? )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(THROWS, "THROWS"), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:392:97: ( typeList )?
                if ( stream_typeList.hasNext() ) {
                    adaptor.addChild(root_1, stream_typeList.nextTree());

                }
                stream_typeList.reset();

                adaptor.addChild(root_0, root_1);
                }
                adaptor.addChild(root_0, stream_methodBody.nextTree());

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 30, constructorDeclaratorRest_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "constructorDeclaratorRest"

    public static class variableDeclarators_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "variableDeclarators"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:396:1: variableDeclarators : i+= variableDeclarator ( ',' i+= variableDeclarator )* -> ( $i)+ ;
    public final JavaParser.variableDeclarators_return variableDeclarators() throws RecognitionException {
        JavaParser.variableDeclarators_return retval = new JavaParser.variableDeclarators_return();
        retval.start = input.LT(1);
        int variableDeclarators_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal153=null;
        List list_i=null;
        RuleReturnScope i = null;
        Object char_literal153_tree=null;
        RewriteRuleTokenStream stream_135=new RewriteRuleTokenStream(adaptor,"token 135");
        RewriteRuleSubtreeStream stream_variableDeclarator=new RewriteRuleSubtreeStream(adaptor,"rule variableDeclarator");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 31) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:397:2: (i+= variableDeclarator ( ',' i+= variableDeclarator )* -> ( $i)+ )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:397:4: i+= variableDeclarator ( ',' i+= variableDeclarator )*
            {
            pushFollow(FOLLOW_variableDeclarator_in_variableDeclarators2303);
            i=variableDeclarator();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_variableDeclarator.add(i.getTree());
            if (list_i==null) list_i=new ArrayList();
            list_i.add(i.getTree());

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:397:26: ( ',' i+= variableDeclarator )*
            loop53:
            do {
                int alt53=2;
                int LA53_0 = input.LA(1);

                if ( (LA53_0==135) ) {
                    alt53=1;
                }


                switch (alt53) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:397:27: ',' i+= variableDeclarator
            	    {
            	    char_literal153=(Token)match(input,135,FOLLOW_135_in_variableDeclarators2306); if (state.failed) return retval; 
            	    if ( state.backtracking==0 ) stream_135.add(char_literal153);

            	    pushFollow(FOLLOW_variableDeclarator_in_variableDeclarators2310);
            	    i=variableDeclarator();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) stream_variableDeclarator.add(i.getTree());
            	    if (list_i==null) list_i=new ArrayList();
            	    list_i.add(i.getTree());


            	    }
            	    break;

            	default :
            	    break loop53;
                }
            } while (true);



            // AST REWRITE
            // elements: i
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: i
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);
            RewriteRuleSubtreeStream stream_i=new RewriteRuleSubtreeStream(adaptor,"token i",list_i);
            root_0 = (Object)adaptor.nil();
            // 397:55: -> ( $i)+
            {
                if ( !(stream_i.hasNext()) ) {
                    throw new RewriteEarlyExitException();
                }
                while ( stream_i.hasNext() ) {
                    adaptor.addChild(root_0, stream_i.nextTree());

                }
                stream_i.reset();

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 31, variableDeclarators_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "variableDeclarators"

    public static class variableDeclarator_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "variableDeclarator"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:400:1: variableDeclarator : Identifier variableDeclaratorRest -> ^( Identifier ( variableDeclaratorRest )? ) ;
    public final JavaParser.variableDeclarator_return variableDeclarator() throws RecognitionException {
        JavaParser.variableDeclarator_return retval = new JavaParser.variableDeclarator_return();
        retval.start = input.LT(1);
        int variableDeclarator_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier154=null;
        JavaParser.variableDeclaratorRest_return variableDeclaratorRest155 = null;


        Object Identifier154_tree=null;
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleSubtreeStream stream_variableDeclaratorRest=new RewriteRuleSubtreeStream(adaptor,"rule variableDeclaratorRest");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 32) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:401:2: ( Identifier variableDeclaratorRest -> ^( Identifier ( variableDeclaratorRest )? ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:401:4: Identifier variableDeclaratorRest
            {
            Identifier154=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclarator2329); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_Identifier.add(Identifier154);

            pushFollow(FOLLOW_variableDeclaratorRest_in_variableDeclarator2331);
            variableDeclaratorRest155=variableDeclaratorRest();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_variableDeclaratorRest.add(variableDeclaratorRest155.getTree());


            // AST REWRITE
            // elements: Identifier, variableDeclaratorRest
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 401:38: -> ^( Identifier ( variableDeclaratorRest )? )
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:401:41: ^( Identifier ( variableDeclaratorRest )? )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot(stream_Identifier.nextNode(), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:401:54: ( variableDeclaratorRest )?
                if ( stream_variableDeclaratorRest.hasNext() ) {
                    adaptor.addChild(root_1, stream_variableDeclaratorRest.nextTree());

                }
                stream_variableDeclaratorRest.reset();

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 32, variableDeclarator_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "variableDeclarator"

    public static class variableDeclaratorRest_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "variableDeclaratorRest"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:404:1: variableDeclaratorRest : ( ( '[' ']' )+ ( '=' variableInitializer )? -> ( '[' )+ ( variableInitializer )? | '=' variableInitializer -> variableInitializer | );
    public final JavaParser.variableDeclaratorRest_return variableDeclaratorRest() throws RecognitionException {
        JavaParser.variableDeclaratorRest_return retval = new JavaParser.variableDeclaratorRest_return();
        retval.start = input.LT(1);
        int variableDeclaratorRest_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal156=null;
        Token char_literal157=null;
        Token char_literal158=null;
        Token char_literal160=null;
        JavaParser.variableInitializer_return variableInitializer159 = null;

        JavaParser.variableInitializer_return variableInitializer161 = null;


        Object char_literal156_tree=null;
        Object char_literal157_tree=null;
        Object char_literal158_tree=null;
        Object char_literal160_tree=null;
        RewriteRuleTokenStream stream_143=new RewriteRuleTokenStream(adaptor,"token 143");
        RewriteRuleTokenStream stream_144=new RewriteRuleTokenStream(adaptor,"token 144");
        RewriteRuleTokenStream stream_145=new RewriteRuleTokenStream(adaptor,"token 145");
        RewriteRuleSubtreeStream stream_variableInitializer=new RewriteRuleSubtreeStream(adaptor,"rule variableInitializer");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 33) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:405:2: ( ( '[' ']' )+ ( '=' variableInitializer )? -> ( '[' )+ ( variableInitializer )? | '=' variableInitializer -> variableInitializer | )
            int alt56=3;
            switch ( input.LA(1) ) {
            case 143:
                {
                alt56=1;
                }
                break;
            case 145:
                {
                alt56=2;
                }
                break;
            case EOF:
            case 126:
            case 135:
                {
                alt56=3;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return retval;}
                NoViableAltException nvae =
                    new NoViableAltException("", 56, 0, input);

                throw nvae;
            }

            switch (alt56) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:405:4: ( '[' ']' )+ ( '=' variableInitializer )?
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:405:4: ( '[' ']' )+
                    int cnt54=0;
                    loop54:
                    do {
                        int alt54=2;
                        int LA54_0 = input.LA(1);

                        if ( (LA54_0==143) ) {
                            alt54=1;
                        }


                        switch (alt54) {
                    	case 1 :
                    	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:405:5: '[' ']'
                    	    {
                    	    char_literal156=(Token)match(input,143,FOLLOW_143_in_variableDeclaratorRest2353); if (state.failed) return retval; 
                    	    if ( state.backtracking==0 ) stream_143.add(char_literal156);

                    	    char_literal157=(Token)match(input,144,FOLLOW_144_in_variableDeclaratorRest2355); if (state.failed) return retval; 
                    	    if ( state.backtracking==0 ) stream_144.add(char_literal157);


                    	    }
                    	    break;

                    	default :
                    	    if ( cnt54 >= 1 ) break loop54;
                    	    if (state.backtracking>0) {state.failed=true; return retval;}
                                EarlyExitException eee =
                                    new EarlyExitException(54, input);
                                throw eee;
                        }
                        cnt54++;
                    } while (true);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:405:15: ( '=' variableInitializer )?
                    int alt55=2;
                    int LA55_0 = input.LA(1);

                    if ( (LA55_0==145) ) {
                        alt55=1;
                    }
                    switch (alt55) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:405:16: '=' variableInitializer
                            {
                            char_literal158=(Token)match(input,145,FOLLOW_145_in_variableDeclaratorRest2360); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_145.add(char_literal158);

                            pushFollow(FOLLOW_variableInitializer_in_variableDeclaratorRest2362);
                            variableInitializer159=variableInitializer();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_variableInitializer.add(variableInitializer159.getTree());

                            }
                            break;

                    }



                    // AST REWRITE
                    // elements: 143, variableInitializer
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 405:42: -> ( '[' )+ ( variableInitializer )?
                    {
                        if ( !(stream_143.hasNext()) ) {
                            throw new RewriteEarlyExitException();
                        }
                        while ( stream_143.hasNext() ) {
                            adaptor.addChild(root_0, stream_143.nextNode());

                        }
                        stream_143.reset();
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:405:50: ( variableInitializer )?
                        if ( stream_variableInitializer.hasNext() ) {
                            adaptor.addChild(root_0, stream_variableInitializer.nextTree());

                        }
                        stream_variableInitializer.reset();

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:406:4: '=' variableInitializer
                    {
                    char_literal160=(Token)match(input,145,FOLLOW_145_in_variableDeclaratorRest2377); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_145.add(char_literal160);

                    pushFollow(FOLLOW_variableInitializer_in_variableDeclaratorRest2379);
                    variableInitializer161=variableInitializer();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_variableInitializer.add(variableInitializer161.getTree());


                    // AST REWRITE
                    // elements: variableInitializer
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 406:28: -> variableInitializer
                    {
                        adaptor.addChild(root_0, stream_variableInitializer.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:408:2: 
                    {
                    root_0 = (Object)adaptor.nil();

                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 33, variableDeclaratorRest_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "variableDeclaratorRest"

    public static class constantDeclaration_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "constantDeclaration"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:410:1: constantDeclaration : type constantDeclarators ';' -> type constantDeclarators ;
    public final JavaParser.constantDeclaration_return constantDeclaration() throws RecognitionException {
        JavaParser.constantDeclaration_return retval = new JavaParser.constantDeclaration_return();
        retval.start = input.LT(1);
        int constantDeclaration_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal164=null;
        JavaParser.type_return type162 = null;

        JavaParser.constantDeclarators_return constantDeclarators163 = null;


        Object char_literal164_tree=null;
        RewriteRuleTokenStream stream_126=new RewriteRuleTokenStream(adaptor,"token 126");
        RewriteRuleSubtreeStream stream_constantDeclarators=new RewriteRuleSubtreeStream(adaptor,"rule constantDeclarators");
        RewriteRuleSubtreeStream stream_type=new RewriteRuleSubtreeStream(adaptor,"rule type");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 34) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:411:2: ( type constantDeclarators ';' -> type constantDeclarators )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:411:4: type constantDeclarators ';'
            {
            pushFollow(FOLLOW_type_in_constantDeclaration2397);
            type162=type();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_type.add(type162.getTree());
            pushFollow(FOLLOW_constantDeclarators_in_constantDeclaration2399);
            constantDeclarators163=constantDeclarators();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_constantDeclarators.add(constantDeclarators163.getTree());
            char_literal164=(Token)match(input,126,FOLLOW_126_in_constantDeclaration2401); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_126.add(char_literal164);



            // AST REWRITE
            // elements: constantDeclarators, type
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 411:33: -> type constantDeclarators
            {
                adaptor.addChild(root_0, stream_type.nextTree());
                adaptor.addChild(root_0, stream_constantDeclarators.nextTree());

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 34, constantDeclaration_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "constantDeclaration"

    public static class constantDeclarator_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "constantDeclarator"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:414:1: constantDeclarator : Identifier constantDeclaratorRest -> ^( Identifier constantDeclaratorRest ) ;
    public final JavaParser.constantDeclarator_return constantDeclarator() throws RecognitionException {
        JavaParser.constantDeclarator_return retval = new JavaParser.constantDeclarator_return();
        retval.start = input.LT(1);
        int constantDeclarator_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier165=null;
        JavaParser.constantDeclaratorRest_return constantDeclaratorRest166 = null;


        Object Identifier165_tree=null;
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleSubtreeStream stream_constantDeclaratorRest=new RewriteRuleSubtreeStream(adaptor,"rule constantDeclaratorRest");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 35) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:415:2: ( Identifier constantDeclaratorRest -> ^( Identifier constantDeclaratorRest ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:415:4: Identifier constantDeclaratorRest
            {
            Identifier165=(Token)match(input,Identifier,FOLLOW_Identifier_in_constantDeclarator2418); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_Identifier.add(Identifier165);

            pushFollow(FOLLOW_constantDeclaratorRest_in_constantDeclarator2420);
            constantDeclaratorRest166=constantDeclaratorRest();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_constantDeclaratorRest.add(constantDeclaratorRest166.getTree());


            // AST REWRITE
            // elements: constantDeclaratorRest, Identifier
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 415:38: -> ^( Identifier constantDeclaratorRest )
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:415:41: ^( Identifier constantDeclaratorRest )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot(stream_Identifier.nextNode(), root_1);

                adaptor.addChild(root_1, stream_constantDeclaratorRest.nextTree());

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 35, constantDeclarator_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "constantDeclarator"

    public static class constantDeclarators_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "constantDeclarators"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:418:1: constantDeclarators : i+= constantDeclarator ( ',' i+= constantDeclarator )* -> ( $i)+ ;
    public final JavaParser.constantDeclarators_return constantDeclarators() throws RecognitionException {
        JavaParser.constantDeclarators_return retval = new JavaParser.constantDeclarators_return();
        retval.start = input.LT(1);
        int constantDeclarators_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal167=null;
        List list_i=null;
        RuleReturnScope i = null;
        Object char_literal167_tree=null;
        RewriteRuleTokenStream stream_135=new RewriteRuleTokenStream(adaptor,"token 135");
        RewriteRuleSubtreeStream stream_constantDeclarator=new RewriteRuleSubtreeStream(adaptor,"rule constantDeclarator");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 36) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:419:2: (i+= constantDeclarator ( ',' i+= constantDeclarator )* -> ( $i)+ )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:419:4: i+= constantDeclarator ( ',' i+= constantDeclarator )*
            {
            pushFollow(FOLLOW_constantDeclarator_in_constantDeclarators2443);
            i=constantDeclarator();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_constantDeclarator.add(i.getTree());
            if (list_i==null) list_i=new ArrayList();
            list_i.add(i.getTree());

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:419:26: ( ',' i+= constantDeclarator )*
            loop57:
            do {
                int alt57=2;
                int LA57_0 = input.LA(1);

                if ( (LA57_0==135) ) {
                    alt57=1;
                }


                switch (alt57) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:419:27: ',' i+= constantDeclarator
            	    {
            	    char_literal167=(Token)match(input,135,FOLLOW_135_in_constantDeclarators2446); if (state.failed) return retval; 
            	    if ( state.backtracking==0 ) stream_135.add(char_literal167);

            	    pushFollow(FOLLOW_constantDeclarator_in_constantDeclarators2450);
            	    i=constantDeclarator();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) stream_constantDeclarator.add(i.getTree());
            	    if (list_i==null) list_i=new ArrayList();
            	    list_i.add(i.getTree());


            	    }
            	    break;

            	default :
            	    break loop57;
                }
            } while (true);



            // AST REWRITE
            // elements: i
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: i
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);
            RewriteRuleSubtreeStream stream_i=new RewriteRuleSubtreeStream(adaptor,"token i",list_i);
            root_0 = (Object)adaptor.nil();
            // 419:55: -> ( $i)+
            {
                if ( !(stream_i.hasNext()) ) {
                    throw new RewriteEarlyExitException();
                }
                while ( stream_i.hasNext() ) {
                    adaptor.addChild(root_0, stream_i.nextTree());

                }
                stream_i.reset();

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 36, constantDeclarators_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "constantDeclarators"

    public static class constantDeclaratorRest_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "constantDeclaratorRest"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:422:1: constantDeclaratorRest : ( '[' ']' )* '=' variableInitializer -> ( '[' )* variableInitializer ;
    public final JavaParser.constantDeclaratorRest_return constantDeclaratorRest() throws RecognitionException {
        JavaParser.constantDeclaratorRest_return retval = new JavaParser.constantDeclaratorRest_return();
        retval.start = input.LT(1);
        int constantDeclaratorRest_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal168=null;
        Token char_literal169=null;
        Token char_literal170=null;
        JavaParser.variableInitializer_return variableInitializer171 = null;


        Object char_literal168_tree=null;
        Object char_literal169_tree=null;
        Object char_literal170_tree=null;
        RewriteRuleTokenStream stream_143=new RewriteRuleTokenStream(adaptor,"token 143");
        RewriteRuleTokenStream stream_144=new RewriteRuleTokenStream(adaptor,"token 144");
        RewriteRuleTokenStream stream_145=new RewriteRuleTokenStream(adaptor,"token 145");
        RewriteRuleSubtreeStream stream_variableInitializer=new RewriteRuleSubtreeStream(adaptor,"rule variableInitializer");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 37) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:423:2: ( ( '[' ']' )* '=' variableInitializer -> ( '[' )* variableInitializer )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:423:4: ( '[' ']' )* '=' variableInitializer
            {
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:423:4: ( '[' ']' )*
            loop58:
            do {
                int alt58=2;
                int LA58_0 = input.LA(1);

                if ( (LA58_0==143) ) {
                    alt58=1;
                }


                switch (alt58) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:423:5: '[' ']'
            	    {
            	    char_literal168=(Token)match(input,143,FOLLOW_143_in_constantDeclaratorRest2471); if (state.failed) return retval; 
            	    if ( state.backtracking==0 ) stream_143.add(char_literal168);

            	    char_literal169=(Token)match(input,144,FOLLOW_144_in_constantDeclaratorRest2473); if (state.failed) return retval; 
            	    if ( state.backtracking==0 ) stream_144.add(char_literal169);


            	    }
            	    break;

            	default :
            	    break loop58;
                }
            } while (true);

            char_literal170=(Token)match(input,145,FOLLOW_145_in_constantDeclaratorRest2477); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_145.add(char_literal170);

            pushFollow(FOLLOW_variableInitializer_in_constantDeclaratorRest2479);
            variableInitializer171=variableInitializer();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_variableInitializer.add(variableInitializer171.getTree());


            // AST REWRITE
            // elements: variableInitializer, 143
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 423:39: -> ( '[' )* variableInitializer
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:423:42: ( '[' )*
                while ( stream_143.hasNext() ) {
                    adaptor.addChild(root_0, stream_143.nextNode());

                }
                stream_143.reset();
                adaptor.addChild(root_0, stream_variableInitializer.nextTree());

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 37, constantDeclaratorRest_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "constantDeclaratorRest"

    public static class variableDeclaratorId_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "variableDeclaratorId"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:426:1: variableDeclaratorId : Identifier ( '[' ']' )* ;
    public final JavaParser.variableDeclaratorId_return variableDeclaratorId() throws RecognitionException {
        JavaParser.variableDeclaratorId_return retval = new JavaParser.variableDeclaratorId_return();
        retval.start = input.LT(1);
        int variableDeclaratorId_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier172=null;
        Token char_literal173=null;
        Token char_literal174=null;

        Object Identifier172_tree=null;
        Object char_literal173_tree=null;
        Object char_literal174_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 38) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:427:2: ( Identifier ( '[' ']' )* )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:427:4: Identifier ( '[' ']' )*
            {
            root_0 = (Object)adaptor.nil();

            Identifier172=(Token)match(input,Identifier,FOLLOW_Identifier_in_variableDeclaratorId2498); if (state.failed) return retval;
            if ( state.backtracking==0 ) {
            Identifier172_tree = (Object)adaptor.create(Identifier172);
            adaptor.addChild(root_0, Identifier172_tree);
            }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:427:15: ( '[' ']' )*
            loop59:
            do {
                int alt59=2;
                int LA59_0 = input.LA(1);

                if ( (LA59_0==143) ) {
                    alt59=1;
                }


                switch (alt59) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:427:16: '[' ']'
            	    {
            	    char_literal173=(Token)match(input,143,FOLLOW_143_in_variableDeclaratorId2501); if (state.failed) return retval;
            	    if ( state.backtracking==0 ) {
            	    char_literal173_tree = (Object)adaptor.create(char_literal173);
            	    adaptor.addChild(root_0, char_literal173_tree);
            	    }
            	    char_literal174=(Token)match(input,144,FOLLOW_144_in_variableDeclaratorId2503); if (state.failed) return retval;
            	    if ( state.backtracking==0 ) {
            	    char_literal174_tree = (Object)adaptor.create(char_literal174);
            	    adaptor.addChild(root_0, char_literal174_tree);
            	    }

            	    }
            	    break;

            	default :
            	    break loop59;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 38, variableDeclaratorId_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "variableDeclaratorId"

    public static class variableInitializer_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "variableInitializer"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:430:1: variableInitializer : ( arrayInitializer | expression );
    public final JavaParser.variableInitializer_return variableInitializer() throws RecognitionException {
        JavaParser.variableInitializer_return retval = new JavaParser.variableInitializer_return();
        retval.start = input.LT(1);
        int variableInitializer_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.arrayInitializer_return arrayInitializer175 = null;

        JavaParser.expression_return expression176 = null;



        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 39) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:431:2: ( arrayInitializer | expression )
            int alt60=2;
            alt60 = dfa60.predict(input);
            switch (alt60) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:431:4: arrayInitializer
                    {
                    root_0 = (Object)adaptor.nil();

                    pushFollow(FOLLOW_arrayInitializer_in_variableInitializer2516);
                    arrayInitializer175=arrayInitializer();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, arrayInitializer175.getTree());

                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:432:9: expression
                    {
                    root_0 = (Object)adaptor.nil();

                    pushFollow(FOLLOW_expression_in_variableInitializer2526);
                    expression176=expression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, expression176.getTree());

                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 39, variableInitializer_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "variableInitializer"

    public static class arrayInitializer_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "arrayInitializer"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:435:1: arrayInitializer : '{' ( variableInitializer ( ',' variableInitializer )* ( ',' )? )? '}' -> ^( ARRAYVAL ( variableInitializer )* ) ;
    public final JavaParser.arrayInitializer_return arrayInitializer() throws RecognitionException {
        JavaParser.arrayInitializer_return retval = new JavaParser.arrayInitializer_return();
        retval.start = input.LT(1);
        int arrayInitializer_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal177=null;
        Token char_literal179=null;
        Token char_literal181=null;
        Token char_literal182=null;
        JavaParser.variableInitializer_return variableInitializer178 = null;

        JavaParser.variableInitializer_return variableInitializer180 = null;


        Object char_literal177_tree=null;
        Object char_literal179_tree=null;
        Object char_literal181_tree=null;
        Object char_literal182_tree=null;
        RewriteRuleTokenStream stream_135=new RewriteRuleTokenStream(adaptor,"token 135");
        RewriteRuleTokenStream stream_138=new RewriteRuleTokenStream(adaptor,"token 138");
        RewriteRuleTokenStream stream_139=new RewriteRuleTokenStream(adaptor,"token 139");
        RewriteRuleSubtreeStream stream_variableInitializer=new RewriteRuleSubtreeStream(adaptor,"rule variableInitializer");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 40) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:436:2: ( '{' ( variableInitializer ( ',' variableInitializer )* ( ',' )? )? '}' -> ^( ARRAYVAL ( variableInitializer )* ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:436:4: '{' ( variableInitializer ( ',' variableInitializer )* ( ',' )? )? '}'
            {
            char_literal177=(Token)match(input,138,FOLLOW_138_in_arrayInitializer2538); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_138.add(char_literal177);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:436:8: ( variableInitializer ( ',' variableInitializer )* ( ',' )? )?
            int alt63=2;
            alt63 = dfa63.predict(input);
            switch (alt63) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:436:9: variableInitializer ( ',' variableInitializer )* ( ',' )?
                    {
                    pushFollow(FOLLOW_variableInitializer_in_arrayInitializer2541);
                    variableInitializer178=variableInitializer();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_variableInitializer.add(variableInitializer178.getTree());
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:436:29: ( ',' variableInitializer )*
                    loop61:
                    do {
                        int alt61=2;
                        alt61 = dfa61.predict(input);
                        switch (alt61) {
                    	case 1 :
                    	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:436:30: ',' variableInitializer
                    	    {
                    	    char_literal179=(Token)match(input,135,FOLLOW_135_in_arrayInitializer2544); if (state.failed) return retval; 
                    	    if ( state.backtracking==0 ) stream_135.add(char_literal179);

                    	    pushFollow(FOLLOW_variableInitializer_in_arrayInitializer2546);
                    	    variableInitializer180=variableInitializer();

                    	    state._fsp--;
                    	    if (state.failed) return retval;
                    	    if ( state.backtracking==0 ) stream_variableInitializer.add(variableInitializer180.getTree());

                    	    }
                    	    break;

                    	default :
                    	    break loop61;
                        }
                    } while (true);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:436:56: ( ',' )?
                    int alt62=2;
                    int LA62_0 = input.LA(1);

                    if ( (LA62_0==135) ) {
                        alt62=1;
                    }
                    switch (alt62) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:436:57: ','
                            {
                            char_literal181=(Token)match(input,135,FOLLOW_135_in_arrayInitializer2551); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_135.add(char_literal181);


                            }
                            break;

                    }


                    }
                    break;

            }

            char_literal182=(Token)match(input,139,FOLLOW_139_in_arrayInitializer2558); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_139.add(char_literal182);



            // AST REWRITE
            // elements: variableInitializer
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 436:70: -> ^( ARRAYVAL ( variableInitializer )* )
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:436:73: ^( ARRAYVAL ( variableInitializer )* )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ARRAYVAL, "ARRAYVAL"), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:436:84: ( variableInitializer )*
                while ( stream_variableInitializer.hasNext() ) {
                    adaptor.addChild(root_1, stream_variableInitializer.nextTree());

                }
                stream_variableInitializer.reset();

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 40, arrayInitializer_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "arrayInitializer"

    public static class modifier_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "modifier"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:439:1: modifier : ( annotation | 'public' | 'protected' | 'private' | 'static' | 'abstract' | 'final' | 'native' | 'synchronized' | 'transient' | 'volatile' | 'strictfp' );
    public final JavaParser.modifier_return modifier() throws RecognitionException {
        JavaParser.modifier_return retval = new JavaParser.modifier_return();
        retval.start = input.LT(1);
        int modifier_StartIndex = input.index();
        Object root_0 = null;

        Token string_literal184=null;
        Token string_literal185=null;
        Token string_literal186=null;
        Token string_literal187=null;
        Token string_literal188=null;
        Token string_literal189=null;
        Token string_literal190=null;
        Token string_literal191=null;
        Token string_literal192=null;
        Token string_literal193=null;
        Token string_literal194=null;
        JavaParser.annotation_return annotation183 = null;


        Object string_literal184_tree=null;
        Object string_literal185_tree=null;
        Object string_literal186_tree=null;
        Object string_literal187_tree=null;
        Object string_literal188_tree=null;
        Object string_literal189_tree=null;
        Object string_literal190_tree=null;
        Object string_literal191_tree=null;
        Object string_literal192_tree=null;
        Object string_literal193_tree=null;
        Object string_literal194_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 41) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:440:5: ( annotation | 'public' | 'protected' | 'private' | 'static' | 'abstract' | 'final' | 'native' | 'synchronized' | 'transient' | 'volatile' | 'strictfp' )
            int alt64=12;
            alt64 = dfa64.predict(input);
            switch (alt64) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:440:9: annotation
                    {
                    root_0 = (Object)adaptor.nil();

                    pushFollow(FOLLOW_annotation_in_modifier2583);
                    annotation183=annotation();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, annotation183.getTree());

                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:441:9: 'public'
                    {
                    root_0 = (Object)adaptor.nil();

                    string_literal184=(Token)match(input,146,FOLLOW_146_in_modifier2593); if (state.failed) return retval;
                    if ( state.backtracking==0 ) {
                    string_literal184_tree = (Object)adaptor.create(string_literal184);
                    adaptor.addChild(root_0, string_literal184_tree);
                    }

                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:442:9: 'protected'
                    {
                    root_0 = (Object)adaptor.nil();

                    string_literal185=(Token)match(input,147,FOLLOW_147_in_modifier2603); if (state.failed) return retval;
                    if ( state.backtracking==0 ) {
                    string_literal185_tree = (Object)adaptor.create(string_literal185);
                    adaptor.addChild(root_0, string_literal185_tree);
                    }

                    }
                    break;
                case 4 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:443:9: 'private'
                    {
                    root_0 = (Object)adaptor.nil();

                    string_literal186=(Token)match(input,148,FOLLOW_148_in_modifier2613); if (state.failed) return retval;
                    if ( state.backtracking==0 ) {
                    string_literal186_tree = (Object)adaptor.create(string_literal186);
                    adaptor.addChild(root_0, string_literal186_tree);
                    }

                    }
                    break;
                case 5 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:444:9: 'static'
                    {
                    root_0 = (Object)adaptor.nil();

                    string_literal187=(Token)match(input,128,FOLLOW_128_in_modifier2623); if (state.failed) return retval;
                    if ( state.backtracking==0 ) {
                    string_literal187_tree = (Object)adaptor.create(string_literal187);
                    adaptor.addChild(root_0, string_literal187_tree);
                    }

                    }
                    break;
                case 6 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:445:9: 'abstract'
                    {
                    root_0 = (Object)adaptor.nil();

                    string_literal188=(Token)match(input,149,FOLLOW_149_in_modifier2633); if (state.failed) return retval;
                    if ( state.backtracking==0 ) {
                    string_literal188_tree = (Object)adaptor.create(string_literal188);
                    adaptor.addChild(root_0, string_literal188_tree);
                    }

                    }
                    break;
                case 7 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:446:9: 'final'
                    {
                    root_0 = (Object)adaptor.nil();

                    string_literal189=(Token)match(input,150,FOLLOW_150_in_modifier2643); if (state.failed) return retval;
                    if ( state.backtracking==0 ) {
                    string_literal189_tree = (Object)adaptor.create(string_literal189);
                    adaptor.addChild(root_0, string_literal189_tree);
                    }

                    }
                    break;
                case 8 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:447:9: 'native'
                    {
                    root_0 = (Object)adaptor.nil();

                    string_literal190=(Token)match(input,151,FOLLOW_151_in_modifier2653); if (state.failed) return retval;
                    if ( state.backtracking==0 ) {
                    string_literal190_tree = (Object)adaptor.create(string_literal190);
                    adaptor.addChild(root_0, string_literal190_tree);
                    }

                    }
                    break;
                case 9 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:448:9: 'synchronized'
                    {
                    root_0 = (Object)adaptor.nil();

                    string_literal191=(Token)match(input,152,FOLLOW_152_in_modifier2663); if (state.failed) return retval;
                    if ( state.backtracking==0 ) {
                    string_literal191_tree = (Object)adaptor.create(string_literal191);
                    adaptor.addChild(root_0, string_literal191_tree);
                    }

                    }
                    break;
                case 10 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:449:9: 'transient'
                    {
                    root_0 = (Object)adaptor.nil();

                    string_literal192=(Token)match(input,153,FOLLOW_153_in_modifier2673); if (state.failed) return retval;
                    if ( state.backtracking==0 ) {
                    string_literal192_tree = (Object)adaptor.create(string_literal192);
                    adaptor.addChild(root_0, string_literal192_tree);
                    }

                    }
                    break;
                case 11 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:450:9: 'volatile'
                    {
                    root_0 = (Object)adaptor.nil();

                    string_literal193=(Token)match(input,154,FOLLOW_154_in_modifier2683); if (state.failed) return retval;
                    if ( state.backtracking==0 ) {
                    string_literal193_tree = (Object)adaptor.create(string_literal193);
                    adaptor.addChild(root_0, string_literal193_tree);
                    }

                    }
                    break;
                case 12 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:451:9: 'strictfp'
                    {
                    root_0 = (Object)adaptor.nil();

                    string_literal194=(Token)match(input,155,FOLLOW_155_in_modifier2693); if (state.failed) return retval;
                    if ( state.backtracking==0 ) {
                    string_literal194_tree = (Object)adaptor.create(string_literal194);
                    adaptor.addChild(root_0, string_literal194_tree);
                    }

                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 41, modifier_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "modifier"

    public static class packageOrTypeName_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "packageOrTypeName"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:454:1: packageOrTypeName : Identifier ( '.' Identifier )* ;
    public final JavaParser.packageOrTypeName_return packageOrTypeName() throws RecognitionException {
        JavaParser.packageOrTypeName_return retval = new JavaParser.packageOrTypeName_return();
        retval.start = input.LT(1);
        int packageOrTypeName_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier195=null;
        Token char_literal196=null;
        Token Identifier197=null;

        Object Identifier195_tree=null;
        Object char_literal196_tree=null;
        Object Identifier197_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 42) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:455:2: ( Identifier ( '.' Identifier )* )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:455:4: Identifier ( '.' Identifier )*
            {
            root_0 = (Object)adaptor.nil();

            Identifier195=(Token)match(input,Identifier,FOLLOW_Identifier_in_packageOrTypeName2707); if (state.failed) return retval;
            if ( state.backtracking==0 ) {
            Identifier195_tree = (Object)adaptor.create(Identifier195);
            adaptor.addChild(root_0, Identifier195_tree);
            }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:455:15: ( '.' Identifier )*
            loop65:
            do {
                int alt65=2;
                int LA65_0 = input.LA(1);

                if ( (LA65_0==129) ) {
                    int LA65_1 = input.LA(2);

                    if ( (LA65_1==Identifier) ) {
                        int LA65_2 = input.LA(3);

                        if ( (synpred94_Java()) ) {
                            alt65=1;
                        }


                    }


                }


                switch (alt65) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:455:16: '.' Identifier
            	    {
            	    char_literal196=(Token)match(input,129,FOLLOW_129_in_packageOrTypeName2710); if (state.failed) return retval;
            	    if ( state.backtracking==0 ) {
            	    char_literal196_tree = (Object)adaptor.create(char_literal196);
            	    adaptor.addChild(root_0, char_literal196_tree);
            	    }
            	    Identifier197=(Token)match(input,Identifier,FOLLOW_Identifier_in_packageOrTypeName2712); if (state.failed) return retval;
            	    if ( state.backtracking==0 ) {
            	    Identifier197_tree = (Object)adaptor.create(Identifier197);
            	    adaptor.addChild(root_0, Identifier197_tree);
            	    }

            	    }
            	    break;

            	default :
            	    break loop65;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 42, packageOrTypeName_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "packageOrTypeName"

    public static class enumConstantName_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "enumConstantName"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:458:1: enumConstantName : Identifier ;
    public final JavaParser.enumConstantName_return enumConstantName() throws RecognitionException {
        JavaParser.enumConstantName_return retval = new JavaParser.enumConstantName_return();
        retval.start = input.LT(1);
        int enumConstantName_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier198=null;

        Object Identifier198_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 43) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:459:5: ( Identifier )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:459:9: Identifier
            {
            root_0 = (Object)adaptor.nil();

            Identifier198=(Token)match(input,Identifier,FOLLOW_Identifier_in_enumConstantName2730); if (state.failed) return retval;
            if ( state.backtracking==0 ) {
            Identifier198_tree = (Object)adaptor.create(Identifier198);
            adaptor.addChild(root_0, Identifier198_tree);
            }

            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 43, enumConstantName_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "enumConstantName"

    public static class typeName_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "typeName"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:462:1: typeName : ( Identifier | packageOrTypeName '.' Identifier );
    public final JavaParser.typeName_return typeName() throws RecognitionException {
        JavaParser.typeName_return retval = new JavaParser.typeName_return();
        retval.start = input.LT(1);
        int typeName_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier199=null;
        Token char_literal201=null;
        Token Identifier202=null;
        JavaParser.packageOrTypeName_return packageOrTypeName200 = null;


        Object Identifier199_tree=null;
        Object char_literal201_tree=null;
        Object Identifier202_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 44) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:463:2: ( Identifier | packageOrTypeName '.' Identifier )
            int alt66=2;
            int LA66_0 = input.LA(1);

            if ( (LA66_0==Identifier) ) {
                int LA66_1 = input.LA(2);

                if ( (LA66_1==EOF) ) {
                    alt66=1;
                }
                else if ( (LA66_1==129) ) {
                    alt66=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return retval;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 66, 1, input);

                    throw nvae;
                }
            }
            else {
                if (state.backtracking>0) {state.failed=true; return retval;}
                NoViableAltException nvae =
                    new NoViableAltException("", 66, 0, input);

                throw nvae;
            }
            switch (alt66) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:463:6: Identifier
                    {
                    root_0 = (Object)adaptor.nil();

                    Identifier199=(Token)match(input,Identifier,FOLLOW_Identifier_in_typeName2746); if (state.failed) return retval;
                    if ( state.backtracking==0 ) {
                    Identifier199_tree = (Object)adaptor.create(Identifier199);
                    adaptor.addChild(root_0, Identifier199_tree);
                    }

                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:464:9: packageOrTypeName '.' Identifier
                    {
                    root_0 = (Object)adaptor.nil();

                    pushFollow(FOLLOW_packageOrTypeName_in_typeName2756);
                    packageOrTypeName200=packageOrTypeName();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, packageOrTypeName200.getTree());
                    char_literal201=(Token)match(input,129,FOLLOW_129_in_typeName2758); if (state.failed) return retval;
                    if ( state.backtracking==0 ) {
                    char_literal201_tree = (Object)adaptor.create(char_literal201);
                    adaptor.addChild(root_0, char_literal201_tree);
                    }
                    Identifier202=(Token)match(input,Identifier,FOLLOW_Identifier_in_typeName2760); if (state.failed) return retval;
                    if ( state.backtracking==0 ) {
                    Identifier202_tree = (Object)adaptor.create(Identifier202);
                    adaptor.addChild(root_0, Identifier202_tree);
                    }

                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 44, typeName_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "typeName"

    public static class type_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "type"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:467:1: type : ( ( context ':' )? i+= refComponent ( '.' i+= refComponent )* ( '[' ']' )* -> ^( TYPE ( context )? ( $i)+ ( '[' )* ) | primitiveType ( '[' ']' )* -> ^( TYPE primitiveType ( '[' )* ) );
    public final JavaParser.type_return type() throws RecognitionException {
        JavaParser.type_return retval = new JavaParser.type_return();
        retval.start = input.LT(1);
        int type_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal204=null;
        Token char_literal205=null;
        Token char_literal206=null;
        Token char_literal207=null;
        Token char_literal209=null;
        Token char_literal210=null;
        List list_i=null;
        JavaParser.context_return context203 = null;

        JavaParser.primitiveType_return primitiveType208 = null;

        RuleReturnScope i = null;
        Object char_literal204_tree=null;
        Object char_literal205_tree=null;
        Object char_literal206_tree=null;
        Object char_literal207_tree=null;
        Object char_literal209_tree=null;
        Object char_literal210_tree=null;
        RewriteRuleTokenStream stream_143=new RewriteRuleTokenStream(adaptor,"token 143");
        RewriteRuleTokenStream stream_144=new RewriteRuleTokenStream(adaptor,"token 144");
        RewriteRuleTokenStream stream_129=new RewriteRuleTokenStream(adaptor,"token 129");
        RewriteRuleTokenStream stream_156=new RewriteRuleTokenStream(adaptor,"token 156");
        RewriteRuleSubtreeStream stream_refComponent=new RewriteRuleSubtreeStream(adaptor,"rule refComponent");
        RewriteRuleSubtreeStream stream_primitiveType=new RewriteRuleSubtreeStream(adaptor,"rule primitiveType");
        RewriteRuleSubtreeStream stream_context=new RewriteRuleSubtreeStream(adaptor,"rule context");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 45) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:468:2: ( ( context ':' )? i+= refComponent ( '.' i+= refComponent )* ( '[' ']' )* -> ^( TYPE ( context )? ( $i)+ ( '[' )* ) | primitiveType ( '[' ']' )* -> ^( TYPE primitiveType ( '[' )* ) )
            int alt71=2;
            int LA71_0 = input.LA(1);

            if ( (LA71_0==Identifier||LA71_0==158) ) {
                alt71=1;
            }
            else if ( ((LA71_0>=160 && LA71_0<=167)) ) {
                alt71=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return retval;}
                NoViableAltException nvae =
                    new NoViableAltException("", 71, 0, input);

                throw nvae;
            }
            switch (alt71) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:468:4: ( context ':' )? i+= refComponent ( '.' i+= refComponent )* ( '[' ']' )*
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:468:4: ( context ':' )?
                    int alt67=2;
                    alt67 = dfa67.predict(input);
                    switch (alt67) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:468:5: context ':'
                            {
                            pushFollow(FOLLOW_context_in_type2772);
                            context203=context();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_context.add(context203.getTree());
                            char_literal204=(Token)match(input,156,FOLLOW_156_in_type2774); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_156.add(char_literal204);


                            }
                            break;

                    }

                    pushFollow(FOLLOW_refComponent_in_type2780);
                    i=refComponent();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_refComponent.add(i.getTree());
                    if (list_i==null) list_i=new ArrayList();
                    list_i.add(i.getTree());

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:468:35: ( '.' i+= refComponent )*
                    loop68:
                    do {
                        int alt68=2;
                        alt68 = dfa68.predict(input);
                        switch (alt68) {
                    	case 1 :
                    	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:468:36: '.' i+= refComponent
                    	    {
                    	    char_literal205=(Token)match(input,129,FOLLOW_129_in_type2783); if (state.failed) return retval; 
                    	    if ( state.backtracking==0 ) stream_129.add(char_literal205);

                    	    pushFollow(FOLLOW_refComponent_in_type2787);
                    	    i=refComponent();

                    	    state._fsp--;
                    	    if (state.failed) return retval;
                    	    if ( state.backtracking==0 ) stream_refComponent.add(i.getTree());
                    	    if (list_i==null) list_i=new ArrayList();
                    	    list_i.add(i.getTree());


                    	    }
                    	    break;

                    	default :
                    	    break loop68;
                        }
                    } while (true);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:468:58: ( '[' ']' )*
                    loop69:
                    do {
                        int alt69=2;
                        alt69 = dfa69.predict(input);
                        switch (alt69) {
                    	case 1 :
                    	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:468:59: '[' ']'
                    	    {
                    	    char_literal206=(Token)match(input,143,FOLLOW_143_in_type2792); if (state.failed) return retval; 
                    	    if ( state.backtracking==0 ) stream_143.add(char_literal206);

                    	    char_literal207=(Token)match(input,144,FOLLOW_144_in_type2794); if (state.failed) return retval; 
                    	    if ( state.backtracking==0 ) stream_144.add(char_literal207);


                    	    }
                    	    break;

                    	default :
                    	    break loop69;
                        }
                    } while (true);



                    // AST REWRITE
                    // elements: 143, i, context
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: i
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);
                    RewriteRuleSubtreeStream stream_i=new RewriteRuleSubtreeStream(adaptor,"token i",list_i);
                    root_0 = (Object)adaptor.nil();
                    // 468:69: -> ^( TYPE ( context )? ( $i)+ ( '[' )* )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:468:72: ^( TYPE ( context )? ( $i)+ ( '[' )* )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE, "TYPE"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:468:79: ( context )?
                        if ( stream_context.hasNext() ) {
                            adaptor.addChild(root_1, stream_context.nextTree());

                        }
                        stream_context.reset();
                        if ( !(stream_i.hasNext()) ) {
                            throw new RewriteEarlyExitException();
                        }
                        while ( stream_i.hasNext() ) {
                            adaptor.addChild(root_1, stream_i.nextTree());

                        }
                        stream_i.reset();
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:468:92: ( '[' )*
                        while ( stream_143.hasNext() ) {
                            adaptor.addChild(root_1, stream_143.nextNode());

                        }
                        stream_143.reset();

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:469:4: primitiveType ( '[' ']' )*
                    {
                    pushFollow(FOLLOW_primitiveType_in_type2819);
                    primitiveType208=primitiveType();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_primitiveType.add(primitiveType208.getTree());
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:469:18: ( '[' ']' )*
                    loop70:
                    do {
                        int alt70=2;
                        alt70 = dfa70.predict(input);
                        switch (alt70) {
                    	case 1 :
                    	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:469:19: '[' ']'
                    	    {
                    	    char_literal209=(Token)match(input,143,FOLLOW_143_in_type2822); if (state.failed) return retval; 
                    	    if ( state.backtracking==0 ) stream_143.add(char_literal209);

                    	    char_literal210=(Token)match(input,144,FOLLOW_144_in_type2824); if (state.failed) return retval; 
                    	    if ( state.backtracking==0 ) stream_144.add(char_literal210);


                    	    }
                    	    break;

                    	default :
                    	    break loop70;
                        }
                    } while (true);



                    // AST REWRITE
                    // elements: 143, primitiveType
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 469:29: -> ^( TYPE primitiveType ( '[' )* )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:469:32: ^( TYPE primitiveType ( '[' )* )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE, "TYPE"), root_1);

                        adaptor.addChild(root_1, stream_primitiveType.nextTree());
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:469:53: ( '[' )*
                        while ( stream_143.hasNext() ) {
                            adaptor.addChild(root_1, stream_143.nextNode());

                        }
                        stream_143.reset();

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 45, type_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "type"

    public static class refComponent_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "refComponent"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:472:1: refComponent : Identifier ( typeArguments )? -> ^( Identifier ( typeArguments )? ) ;
    public final JavaParser.refComponent_return refComponent() throws RecognitionException {
        JavaParser.refComponent_return retval = new JavaParser.refComponent_return();
        retval.start = input.LT(1);
        int refComponent_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier211=null;
        JavaParser.typeArguments_return typeArguments212 = null;


        Object Identifier211_tree=null;
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleSubtreeStream stream_typeArguments=new RewriteRuleSubtreeStream(adaptor,"rule typeArguments");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 46) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:473:5: ( Identifier ( typeArguments )? -> ^( Identifier ( typeArguments )? ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:473:7: Identifier ( typeArguments )?
            {
            Identifier211=(Token)match(input,Identifier,FOLLOW_Identifier_in_refComponent2853); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_Identifier.add(Identifier211);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:473:18: ( typeArguments )?
            int alt72=2;
            alt72 = dfa72.predict(input);
            switch (alt72) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:473:19: typeArguments
                    {
                    pushFollow(FOLLOW_typeArguments_in_refComponent2856);
                    typeArguments212=typeArguments();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_typeArguments.add(typeArguments212.getTree());

                    }
                    break;

            }



            // AST REWRITE
            // elements: Identifier, typeArguments
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 473:35: -> ^( Identifier ( typeArguments )? )
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:473:38: ^( Identifier ( typeArguments )? )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot(stream_Identifier.nextNode(), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:473:51: ( typeArguments )?
                if ( stream_typeArguments.hasNext() ) {
                    adaptor.addChild(root_1, stream_typeArguments.nextTree());

                }
                stream_typeArguments.reset();

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 46, refComponent_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "refComponent"

    public static class nwContext_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "nwContext"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:477:1: nwContext : Identifier ( '.owner' )? -> ^( CONTEXT Identifier ( '.owner' )? ) ;
    public final JavaParser.nwContext_return nwContext() throws RecognitionException {
        JavaParser.nwContext_return retval = new JavaParser.nwContext_return();
        retval.start = input.LT(1);
        int nwContext_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier213=null;
        Token string_literal214=null;

        Object Identifier213_tree=null;
        Object string_literal214_tree=null;
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleTokenStream stream_157=new RewriteRuleTokenStream(adaptor,"token 157");

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 47) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:478:2: ( Identifier ( '.owner' )? -> ^( CONTEXT Identifier ( '.owner' )? ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:478:4: Identifier ( '.owner' )?
            {
            Identifier213=(Token)match(input,Identifier,FOLLOW_Identifier_in_nwContext2886); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_Identifier.add(Identifier213);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:478:15: ( '.owner' )?
            int alt73=2;
            int LA73_0 = input.LA(1);

            if ( (LA73_0==157) ) {
                alt73=1;
            }
            switch (alt73) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: '.owner'
                    {
                    string_literal214=(Token)match(input,157,FOLLOW_157_in_nwContext2888); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_157.add(string_literal214);


                    }
                    break;

            }



            // AST REWRITE
            // elements: 157, Identifier
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 478:25: -> ^( CONTEXT Identifier ( '.owner' )? )
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:478:28: ^( CONTEXT Identifier ( '.owner' )? )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(CONTEXT, "CONTEXT"), root_1);

                adaptor.addChild(root_1, stream_Identifier.nextNode());
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:478:49: ( '.owner' )?
                if ( stream_157.hasNext() ) {
                    adaptor.addChild(root_1, stream_157.nextNode());

                }
                stream_157.reset();

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 47, nwContext_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "nwContext"

    public static class context_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "context"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:481:1: context : ( nwContext -> nwContext | '?' -> ^( CONTEXT '?' ) );
    public final JavaParser.context_return context() throws RecognitionException {
        JavaParser.context_return retval = new JavaParser.context_return();
        retval.start = input.LT(1);
        int context_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal216=null;
        JavaParser.nwContext_return nwContext215 = null;


        Object char_literal216_tree=null;
        RewriteRuleTokenStream stream_158=new RewriteRuleTokenStream(adaptor,"token 158");
        RewriteRuleSubtreeStream stream_nwContext=new RewriteRuleSubtreeStream(adaptor,"rule nwContext");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 48) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:482:2: ( nwContext -> nwContext | '?' -> ^( CONTEXT '?' ) )
            int alt74=2;
            int LA74_0 = input.LA(1);

            if ( (LA74_0==Identifier) ) {
                alt74=1;
            }
            else if ( (LA74_0==158) ) {
                alt74=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return retval;}
                NoViableAltException nvae =
                    new NoViableAltException("", 74, 0, input);

                throw nvae;
            }
            switch (alt74) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:482:4: nwContext
                    {
                    pushFollow(FOLLOW_nwContext_in_context2911);
                    nwContext215=nwContext();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_nwContext.add(nwContext215.getTree());


                    // AST REWRITE
                    // elements: nwContext
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 482:14: -> nwContext
                    {
                        adaptor.addChild(root_0, stream_nwContext.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:483:4: '?'
                    {
                    char_literal216=(Token)match(input,158,FOLLOW_158_in_context2920); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_158.add(char_literal216);



                    // AST REWRITE
                    // elements: 158
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 483:7: -> ^( CONTEXT '?' )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:483:10: ^( CONTEXT '?' )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(CONTEXT, "CONTEXT"), root_1);

                        adaptor.addChild(root_1, stream_158.nextNode());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 48, context_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "context"

    public static class ctxtParams_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "ctxtParams"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:486:1: ctxtParams : '<' t+= cParameter ( ',' t+= cParameter )* '>' -> ^( CTXT_PARAMETERS ( $t)* ) ;
    public final JavaParser.ctxtParams_return ctxtParams() throws RecognitionException {
        JavaParser.ctxtParams_return retval = new JavaParser.ctxtParams_return();
        retval.start = input.LT(1);
        int ctxtParams_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal217=null;
        Token char_literal218=null;
        Token char_literal219=null;
        List list_t=null;
        RuleReturnScope t = null;
        Object char_literal217_tree=null;
        Object char_literal218_tree=null;
        Object char_literal219_tree=null;
        RewriteRuleTokenStream stream_134=new RewriteRuleTokenStream(adaptor,"token 134");
        RewriteRuleTokenStream stream_135=new RewriteRuleTokenStream(adaptor,"token 135");
        RewriteRuleTokenStream stream_136=new RewriteRuleTokenStream(adaptor,"token 136");
        RewriteRuleSubtreeStream stream_cParameter=new RewriteRuleSubtreeStream(adaptor,"rule cParameter");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 49) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:487:2: ( '<' t+= cParameter ( ',' t+= cParameter )* '>' -> ^( CTXT_PARAMETERS ( $t)* ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:487:4: '<' t+= cParameter ( ',' t+= cParameter )* '>'
            {
            char_literal217=(Token)match(input,134,FOLLOW_134_in_ctxtParams2938); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_134.add(char_literal217);

            pushFollow(FOLLOW_cParameter_in_ctxtParams2942);
            t=cParameter();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_cParameter.add(t.getTree());
            if (list_t==null) list_t=new ArrayList();
            list_t.add(t.getTree());

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:487:22: ( ',' t+= cParameter )*
            loop75:
            do {
                int alt75=2;
                int LA75_0 = input.LA(1);

                if ( (LA75_0==135) ) {
                    alt75=1;
                }


                switch (alt75) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:487:23: ',' t+= cParameter
            	    {
            	    char_literal218=(Token)match(input,135,FOLLOW_135_in_ctxtParams2945); if (state.failed) return retval; 
            	    if ( state.backtracking==0 ) stream_135.add(char_literal218);

            	    pushFollow(FOLLOW_cParameter_in_ctxtParams2949);
            	    t=cParameter();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) stream_cParameter.add(t.getTree());
            	    if (list_t==null) list_t=new ArrayList();
            	    list_t.add(t.getTree());


            	    }
            	    break;

            	default :
            	    break loop75;
                }
            } while (true);

            char_literal219=(Token)match(input,136,FOLLOW_136_in_ctxtParams2953); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_136.add(char_literal219);



            // AST REWRITE
            // elements: t
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: t
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);
            RewriteRuleSubtreeStream stream_t=new RewriteRuleSubtreeStream(adaptor,"token t",list_t);
            root_0 = (Object)adaptor.nil();
            // 487:47: -> ^( CTXT_PARAMETERS ( $t)* )
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:487:50: ^( CTXT_PARAMETERS ( $t)* )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(CTXT_PARAMETERS, "CTXT_PARAMETERS"), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:487:68: ( $t)*
                while ( stream_t.hasNext() ) {
                    adaptor.addChild(root_1, stream_t.nextTree());

                }
                stream_t.reset();

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 49, ctxtParams_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "ctxtParams"

    public static class cParameter_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "cParameter"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:490:1: cParameter : Identifier ( 'inside' context )? -> ^( CTXT_PARAMETER ^( Identifier ) ( ^( INSIDE context ) )? ) ;
    public final JavaParser.cParameter_return cParameter() throws RecognitionException {
        JavaParser.cParameter_return retval = new JavaParser.cParameter_return();
        retval.start = input.LT(1);
        int cParameter_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier220=null;
        Token string_literal221=null;
        JavaParser.context_return context222 = null;


        Object Identifier220_tree=null;
        Object string_literal221_tree=null;
        RewriteRuleTokenStream stream_159=new RewriteRuleTokenStream(adaptor,"token 159");
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleSubtreeStream stream_context=new RewriteRuleSubtreeStream(adaptor,"rule context");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 50) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:491:2: ( Identifier ( 'inside' context )? -> ^( CTXT_PARAMETER ^( Identifier ) ( ^( INSIDE context ) )? ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:491:4: Identifier ( 'inside' context )?
            {
            Identifier220=(Token)match(input,Identifier,FOLLOW_Identifier_in_cParameter2974); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_Identifier.add(Identifier220);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:491:15: ( 'inside' context )?
            int alt76=2;
            int LA76_0 = input.LA(1);

            if ( (LA76_0==159) ) {
                alt76=1;
            }
            switch (alt76) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:491:16: 'inside' context
                    {
                    string_literal221=(Token)match(input,159,FOLLOW_159_in_cParameter2977); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_159.add(string_literal221);

                    pushFollow(FOLLOW_context_in_cParameter2979);
                    context222=context();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_context.add(context222.getTree());

                    }
                    break;

            }



            // AST REWRITE
            // elements: context, Identifier
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 491:35: -> ^( CTXT_PARAMETER ^( Identifier ) ( ^( INSIDE context ) )? )
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:491:38: ^( CTXT_PARAMETER ^( Identifier ) ( ^( INSIDE context ) )? )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(CTXT_PARAMETER, "CTXT_PARAMETER"), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:491:55: ^( Identifier )
                {
                Object root_2 = (Object)adaptor.nil();
                root_2 = (Object)adaptor.becomeRoot(stream_Identifier.nextNode(), root_2);

                adaptor.addChild(root_1, root_2);
                }
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:491:69: ( ^( INSIDE context ) )?
                if ( stream_context.hasNext() ) {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:491:69: ^( INSIDE context )
                    {
                    Object root_2 = (Object)adaptor.nil();
                    root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(INSIDE, "INSIDE"), root_2);

                    adaptor.addChild(root_2, stream_context.nextTree());

                    adaptor.addChild(root_1, root_2);
                    }

                }
                stream_context.reset();

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 50, cParameter_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "cParameter"

    public static class nwContextList_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "nwContextList"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:494:1: nwContextList : nwContext ( ',' nwContext )* ;
    public final JavaParser.nwContextList_return nwContextList() throws RecognitionException {
        JavaParser.nwContextList_return retval = new JavaParser.nwContextList_return();
        retval.start = input.LT(1);
        int nwContextList_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal224=null;
        JavaParser.nwContext_return nwContext223 = null;

        JavaParser.nwContext_return nwContext225 = null;


        Object char_literal224_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 51) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:495:2: ( nwContext ( ',' nwContext )* )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:495:4: nwContext ( ',' nwContext )*
            {
            root_0 = (Object)adaptor.nil();

            pushFollow(FOLLOW_nwContext_in_nwContextList3009);
            nwContext223=nwContext();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) adaptor.addChild(root_0, nwContext223.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:495:14: ( ',' nwContext )*
            loop77:
            do {
                int alt77=2;
                int LA77_0 = input.LA(1);

                if ( (LA77_0==135) ) {
                    alt77=1;
                }


                switch (alt77) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:495:15: ',' nwContext
            	    {
            	    char_literal224=(Token)match(input,135,FOLLOW_135_in_nwContextList3012); if (state.failed) return retval;
            	    pushFollow(FOLLOW_nwContext_in_nwContextList3015);
            	    nwContext225=nwContext();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) adaptor.addChild(root_0, nwContext225.getTree());

            	    }
            	    break;

            	default :
            	    break loop77;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 51, nwContextList_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "nwContextList"

    public static class nwContextArguments_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "nwContextArguments"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:499:1: nwContextArguments : '<' nwContextList '>' -> nwContextList ;
    public final JavaParser.nwContextArguments_return nwContextArguments() throws RecognitionException {
        JavaParser.nwContextArguments_return retval = new JavaParser.nwContextArguments_return();
        retval.start = input.LT(1);
        int nwContextArguments_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal226=null;
        Token char_literal228=null;
        JavaParser.nwContextList_return nwContextList227 = null;


        Object char_literal226_tree=null;
        Object char_literal228_tree=null;
        RewriteRuleTokenStream stream_134=new RewriteRuleTokenStream(adaptor,"token 134");
        RewriteRuleTokenStream stream_136=new RewriteRuleTokenStream(adaptor,"token 136");
        RewriteRuleSubtreeStream stream_nwContextList=new RewriteRuleSubtreeStream(adaptor,"rule nwContextList");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 52) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:500:2: ( '<' nwContextList '>' -> nwContextList )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:500:4: '<' nwContextList '>'
            {
            char_literal226=(Token)match(input,134,FOLLOW_134_in_nwContextArguments3030); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_134.add(char_literal226);

            pushFollow(FOLLOW_nwContextList_in_nwContextArguments3032);
            nwContextList227=nwContextList();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_nwContextList.add(nwContextList227.getTree());
            char_literal228=(Token)match(input,136,FOLLOW_136_in_nwContextArguments3034); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_136.add(char_literal228);



            // AST REWRITE
            // elements: nwContextList
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 500:26: -> nwContextList
            {
                adaptor.addChild(root_0, stream_nwContextList.nextTree());

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 52, nwContextArguments_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "nwContextArguments"

    public static class primitiveType_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "primitiveType"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:503:1: primitiveType : ( 'boolean' | 'char' | 'byte' | 'short' | 'int' | 'long' | 'float' | 'double' );
    public final JavaParser.primitiveType_return primitiveType() throws RecognitionException {
        JavaParser.primitiveType_return retval = new JavaParser.primitiveType_return();
        retval.start = input.LT(1);
        int primitiveType_StartIndex = input.index();
        Object root_0 = null;

        Token set229=null;

        Object set229_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 53) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:504:5: ( 'boolean' | 'char' | 'byte' | 'short' | 'int' | 'long' | 'float' | 'double' )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:
            {
            root_0 = (Object)adaptor.nil();

            set229=(Token)input.LT(1);
            if ( (input.LA(1)>=160 && input.LA(1)<=167) ) {
                input.consume();
                if ( state.backtracking==0 ) adaptor.addChild(root_0, (Object)adaptor.create(set229));
                state.errorRecovery=false;state.failed=false;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return retval;}
                MismatchedSetException mse = new MismatchedSetException(null,input);
                throw mse;
            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 53, primitiveType_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "primitiveType"

    public static class variableModifier_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "variableModifier"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:514:1: variableModifier : ( 'final' | annotation );
    public final JavaParser.variableModifier_return variableModifier() throws RecognitionException {
        JavaParser.variableModifier_return retval = new JavaParser.variableModifier_return();
        retval.start = input.LT(1);
        int variableModifier_StartIndex = input.index();
        Object root_0 = null;

        Token string_literal230=null;
        JavaParser.annotation_return annotation231 = null;


        Object string_literal230_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 54) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:515:2: ( 'final' | annotation )
            int alt78=2;
            int LA78_0 = input.LA(1);

            if ( (LA78_0==150) ) {
                alt78=1;
            }
            else if ( (LA78_0==175) ) {
                alt78=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return retval;}
                NoViableAltException nvae =
                    new NoViableAltException("", 78, 0, input);

                throw nvae;
            }
            switch (alt78) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:515:4: 'final'
                    {
                    root_0 = (Object)adaptor.nil();

                    string_literal230=(Token)match(input,150,FOLLOW_150_in_variableModifier3124); if (state.failed) return retval;
                    if ( state.backtracking==0 ) {
                    string_literal230_tree = (Object)adaptor.create(string_literal230);
                    adaptor.addChild(root_0, string_literal230_tree);
                    }

                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:516:9: annotation
                    {
                    root_0 = (Object)adaptor.nil();

                    pushFollow(FOLLOW_annotation_in_variableModifier3134);
                    annotation231=annotation();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, annotation231.getTree());

                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 54, variableModifier_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "variableModifier"

    public static class typeArguments_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "typeArguments"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:519:1: typeArguments : '<' t+= typeArgument ( ',' t+= typeArgument )* '>' -> ( $t)+ ;
    public final JavaParser.typeArguments_return typeArguments() throws RecognitionException {
        JavaParser.typeArguments_return retval = new JavaParser.typeArguments_return();
        retval.start = input.LT(1);
        int typeArguments_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal232=null;
        Token char_literal233=null;
        Token char_literal234=null;
        List list_t=null;
        RuleReturnScope t = null;
        Object char_literal232_tree=null;
        Object char_literal233_tree=null;
        Object char_literal234_tree=null;
        RewriteRuleTokenStream stream_134=new RewriteRuleTokenStream(adaptor,"token 134");
        RewriteRuleTokenStream stream_135=new RewriteRuleTokenStream(adaptor,"token 135");
        RewriteRuleTokenStream stream_136=new RewriteRuleTokenStream(adaptor,"token 136");
        RewriteRuleSubtreeStream stream_typeArgument=new RewriteRuleSubtreeStream(adaptor,"rule typeArgument");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 55) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:520:2: ( '<' t+= typeArgument ( ',' t+= typeArgument )* '>' -> ( $t)+ )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:520:4: '<' t+= typeArgument ( ',' t+= typeArgument )* '>'
            {
            char_literal232=(Token)match(input,134,FOLLOW_134_in_typeArguments3145); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_134.add(char_literal232);

            pushFollow(FOLLOW_typeArgument_in_typeArguments3149);
            t=typeArgument();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_typeArgument.add(t.getTree());
            if (list_t==null) list_t=new ArrayList();
            list_t.add(t.getTree());

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:520:24: ( ',' t+= typeArgument )*
            loop79:
            do {
                int alt79=2;
                int LA79_0 = input.LA(1);

                if ( (LA79_0==135) ) {
                    alt79=1;
                }


                switch (alt79) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:520:25: ',' t+= typeArgument
            	    {
            	    char_literal233=(Token)match(input,135,FOLLOW_135_in_typeArguments3152); if (state.failed) return retval; 
            	    if ( state.backtracking==0 ) stream_135.add(char_literal233);

            	    pushFollow(FOLLOW_typeArgument_in_typeArguments3156);
            	    t=typeArgument();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) stream_typeArgument.add(t.getTree());
            	    if (list_t==null) list_t=new ArrayList();
            	    list_t.add(t.getTree());


            	    }
            	    break;

            	default :
            	    break loop79;
                }
            } while (true);

            char_literal234=(Token)match(input,136,FOLLOW_136_in_typeArguments3160); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_136.add(char_literal234);



            // AST REWRITE
            // elements: t
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: t
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);
            RewriteRuleSubtreeStream stream_t=new RewriteRuleSubtreeStream(adaptor,"token t",list_t);
            root_0 = (Object)adaptor.nil();
            // 520:51: -> ( $t)+
            {
                if ( !(stream_t.hasNext()) ) {
                    throw new RewriteEarlyExitException();
                }
                while ( stream_t.hasNext() ) {
                    adaptor.addChild(root_0, stream_t.nextTree());

                }
                stream_t.reset();

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 55, typeArguments_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "typeArguments"

    public static class typeArgument_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "typeArgument"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:523:1: typeArgument : ( type | '?' ( ( 'extends' type )? -> ^( TYPE ^( '?' ( ^( EXTENDS type ) )? ) ) | ( 'super' type )? -> ^( TYPE ^( '?' ( ^( SUPER type ) )? ) ) ) );
    public final JavaParser.typeArgument_return typeArgument() throws RecognitionException {
        JavaParser.typeArgument_return retval = new JavaParser.typeArgument_return();
        retval.start = input.LT(1);
        int typeArgument_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal236=null;
        Token string_literal237=null;
        Token string_literal239=null;
        JavaParser.type_return type235 = null;

        JavaParser.type_return type238 = null;

        JavaParser.type_return type240 = null;


        Object char_literal236_tree=null;
        Object string_literal237_tree=null;
        Object string_literal239_tree=null;
        RewriteRuleTokenStream stream_132=new RewriteRuleTokenStream(adaptor,"token 132");
        RewriteRuleTokenStream stream_158=new RewriteRuleTokenStream(adaptor,"token 158");
        RewriteRuleTokenStream stream_168=new RewriteRuleTokenStream(adaptor,"token 168");
        RewriteRuleSubtreeStream stream_type=new RewriteRuleSubtreeStream(adaptor,"rule type");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 56) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:524:2: ( type | '?' ( ( 'extends' type )? -> ^( TYPE ^( '?' ( ^( EXTENDS type ) )? ) ) | ( 'super' type )? -> ^( TYPE ^( '?' ( ^( SUPER type ) )? ) ) ) )
            int alt83=2;
            alt83 = dfa83.predict(input);
            switch (alt83) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:524:4: type
                    {
                    root_0 = (Object)adaptor.nil();

                    pushFollow(FOLLOW_type_in_typeArgument3178);
                    type235=type();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, type235.getTree());

                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:525:4: '?' ( ( 'extends' type )? -> ^( TYPE ^( '?' ( ^( EXTENDS type ) )? ) ) | ( 'super' type )? -> ^( TYPE ^( '?' ( ^( SUPER type ) )? ) ) )
                    {
                    char_literal236=(Token)match(input,158,FOLLOW_158_in_typeArgument3183); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_158.add(char_literal236);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:525:8: ( ( 'extends' type )? -> ^( TYPE ^( '?' ( ^( EXTENDS type ) )? ) ) | ( 'super' type )? -> ^( TYPE ^( '?' ( ^( SUPER type ) )? ) ) )
                    int alt82=2;
                    alt82 = dfa82.predict(input);
                    switch (alt82) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:526:4: ( 'extends' type )?
                            {
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:526:4: ( 'extends' type )?
                            int alt80=2;
                            int LA80_0 = input.LA(1);

                            if ( (LA80_0==132) ) {
                                alt80=1;
                            }
                            switch (alt80) {
                                case 1 :
                                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:526:5: 'extends' type
                                    {
                                    string_literal237=(Token)match(input,132,FOLLOW_132_in_typeArgument3192); if (state.failed) return retval; 
                                    if ( state.backtracking==0 ) stream_132.add(string_literal237);

                                    pushFollow(FOLLOW_type_in_typeArgument3194);
                                    type238=type();

                                    state._fsp--;
                                    if (state.failed) return retval;
                                    if ( state.backtracking==0 ) stream_type.add(type238.getTree());

                                    }
                                    break;

                            }



                            // AST REWRITE
                            // elements: 158, type
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 526:22: -> ^( TYPE ^( '?' ( ^( EXTENDS type ) )? ) )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:526:25: ^( TYPE ^( '?' ( ^( EXTENDS type ) )? ) )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE, "TYPE"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:526:32: ^( '?' ( ^( EXTENDS type ) )? )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot(stream_158.nextNode(), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:526:38: ( ^( EXTENDS type ) )?
                                if ( stream_type.hasNext() ) {
                                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:526:38: ^( EXTENDS type )
                                    {
                                    Object root_3 = (Object)adaptor.nil();
                                    root_3 = (Object)adaptor.becomeRoot((Object)adaptor.create(EXTENDS, "EXTENDS"), root_3);

                                    adaptor.addChild(root_3, stream_type.nextTree());

                                    adaptor.addChild(root_2, root_3);
                                    }

                                }
                                stream_type.reset();

                                adaptor.addChild(root_1, root_2);
                                }

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 2 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:527:12: ( 'super' type )?
                            {
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:527:12: ( 'super' type )?
                            int alt81=2;
                            int LA81_0 = input.LA(1);

                            if ( (LA81_0==168) ) {
                                alt81=1;
                            }
                            switch (alt81) {
                                case 1 :
                                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:527:13: 'super' type
                                    {
                                    string_literal239=(Token)match(input,168,FOLLOW_168_in_typeArgument3227); if (state.failed) return retval; 
                                    if ( state.backtracking==0 ) stream_168.add(string_literal239);

                                    pushFollow(FOLLOW_type_in_typeArgument3229);
                                    type240=type();

                                    state._fsp--;
                                    if (state.failed) return retval;
                                    if ( state.backtracking==0 ) stream_type.add(type240.getTree());

                                    }
                                    break;

                            }



                            // AST REWRITE
                            // elements: 158, type
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 527:28: -> ^( TYPE ^( '?' ( ^( SUPER type ) )? ) )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:527:31: ^( TYPE ^( '?' ( ^( SUPER type ) )? ) )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE, "TYPE"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:527:38: ^( '?' ( ^( SUPER type ) )? )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot(stream_158.nextNode(), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:527:44: ( ^( SUPER type ) )?
                                if ( stream_type.hasNext() ) {
                                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:527:44: ^( SUPER type )
                                    {
                                    Object root_3 = (Object)adaptor.nil();
                                    root_3 = (Object)adaptor.becomeRoot((Object)adaptor.create(SUPER, "SUPER"), root_3);

                                    adaptor.addChild(root_3, stream_type.nextTree());

                                    adaptor.addChild(root_2, root_3);
                                    }

                                }
                                stream_type.reset();

                                adaptor.addChild(root_1, root_2);
                                }

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;

                    }


                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 56, typeArgument_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "typeArgument"

    public static class qualifiedNameList_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "qualifiedNameList"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:531:1: qualifiedNameList : qualifiedName ( ',' qualifiedName )* ;
    public final JavaParser.qualifiedNameList_return qualifiedNameList() throws RecognitionException {
        JavaParser.qualifiedNameList_return retval = new JavaParser.qualifiedNameList_return();
        retval.start = input.LT(1);
        int qualifiedNameList_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal242=null;
        JavaParser.qualifiedName_return qualifiedName241 = null;

        JavaParser.qualifiedName_return qualifiedName243 = null;


        Object char_literal242_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 57) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:532:2: ( qualifiedName ( ',' qualifiedName )* )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:532:4: qualifiedName ( ',' qualifiedName )*
            {
            root_0 = (Object)adaptor.nil();

            pushFollow(FOLLOW_qualifiedName_in_qualifiedNameList3271);
            qualifiedName241=qualifiedName();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) adaptor.addChild(root_0, qualifiedName241.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:532:18: ( ',' qualifiedName )*
            loop84:
            do {
                int alt84=2;
                int LA84_0 = input.LA(1);

                if ( (LA84_0==135) ) {
                    alt84=1;
                }


                switch (alt84) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:532:19: ',' qualifiedName
            	    {
            	    char_literal242=(Token)match(input,135,FOLLOW_135_in_qualifiedNameList3274); if (state.failed) return retval;
            	    pushFollow(FOLLOW_qualifiedName_in_qualifiedNameList3277);
            	    qualifiedName243=qualifiedName();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) adaptor.addChild(root_0, qualifiedName243.getTree());

            	    }
            	    break;

            	default :
            	    break loop84;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 57, qualifiedNameList_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "qualifiedNameList"

    public static class formalParameters_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "formalParameters"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:535:1: formalParameters : '(' ( formalParameterDecls )? ')' -> ( formalParameterDecls )? ;
    public final JavaParser.formalParameters_return formalParameters() throws RecognitionException {
        JavaParser.formalParameters_return retval = new JavaParser.formalParameters_return();
        retval.start = input.LT(1);
        int formalParameters_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal244=null;
        Token char_literal246=null;
        JavaParser.formalParameterDecls_return formalParameterDecls245 = null;


        Object char_literal244_tree=null;
        Object char_literal246_tree=null;
        RewriteRuleTokenStream stream_170=new RewriteRuleTokenStream(adaptor,"token 170");
        RewriteRuleTokenStream stream_169=new RewriteRuleTokenStream(adaptor,"token 169");
        RewriteRuleSubtreeStream stream_formalParameterDecls=new RewriteRuleSubtreeStream(adaptor,"rule formalParameterDecls");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 58) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:536:2: ( '(' ( formalParameterDecls )? ')' -> ( formalParameterDecls )? )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:536:4: '(' ( formalParameterDecls )? ')'
            {
            char_literal244=(Token)match(input,169,FOLLOW_169_in_formalParameters3291); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_169.add(char_literal244);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:536:8: ( formalParameterDecls )?
            int alt85=2;
            int LA85_0 = input.LA(1);

            if ( (LA85_0==Identifier||LA85_0==150||LA85_0==158||(LA85_0>=160 && LA85_0<=167)||LA85_0==175) ) {
                alt85=1;
            }
            switch (alt85) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: formalParameterDecls
                    {
                    pushFollow(FOLLOW_formalParameterDecls_in_formalParameters3293);
                    formalParameterDecls245=formalParameterDecls();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_formalParameterDecls.add(formalParameterDecls245.getTree());

                    }
                    break;

            }

            char_literal246=(Token)match(input,170,FOLLOW_170_in_formalParameters3296); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_170.add(char_literal246);



            // AST REWRITE
            // elements: formalParameterDecls
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 536:34: -> ( formalParameterDecls )?
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:536:37: ( formalParameterDecls )?
                if ( stream_formalParameterDecls.hasNext() ) {
                    adaptor.addChild(root_0, stream_formalParameterDecls.nextTree());

                }
                stream_formalParameterDecls.reset();

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 58, formalParameters_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "formalParameters"

    public static class formalParameterDecls_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "formalParameterDecls"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:539:1: formalParameterDecls : ( variableModifier )* type ( variableDeclaratorId ( ',' formalParameterDecls )? -> ^( PARAMETER ^( MODIFIERS ( variableModifier )* ) type variableDeclaratorId ) ( formalParameterDecls )? | '...' variableDeclaratorId -> ^( VARARGS ^( MODIFIERS ( variableModifier )* ) type variableDeclaratorId ) ) ;
    public final JavaParser.formalParameterDecls_return formalParameterDecls() throws RecognitionException {
        JavaParser.formalParameterDecls_return retval = new JavaParser.formalParameterDecls_return();
        retval.start = input.LT(1);
        int formalParameterDecls_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal250=null;
        Token string_literal252=null;
        JavaParser.variableModifier_return variableModifier247 = null;

        JavaParser.type_return type248 = null;

        JavaParser.variableDeclaratorId_return variableDeclaratorId249 = null;

        JavaParser.formalParameterDecls_return formalParameterDecls251 = null;

        JavaParser.variableDeclaratorId_return variableDeclaratorId253 = null;


        Object char_literal250_tree=null;
        Object string_literal252_tree=null;
        RewriteRuleTokenStream stream_171=new RewriteRuleTokenStream(adaptor,"token 171");
        RewriteRuleTokenStream stream_135=new RewriteRuleTokenStream(adaptor,"token 135");
        RewriteRuleSubtreeStream stream_variableDeclaratorId=new RewriteRuleSubtreeStream(adaptor,"rule variableDeclaratorId");
        RewriteRuleSubtreeStream stream_formalParameterDecls=new RewriteRuleSubtreeStream(adaptor,"rule formalParameterDecls");
        RewriteRuleSubtreeStream stream_type=new RewriteRuleSubtreeStream(adaptor,"rule type");
        RewriteRuleSubtreeStream stream_variableModifier=new RewriteRuleSubtreeStream(adaptor,"rule variableModifier");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 59) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:540:2: ( ( variableModifier )* type ( variableDeclaratorId ( ',' formalParameterDecls )? -> ^( PARAMETER ^( MODIFIERS ( variableModifier )* ) type variableDeclaratorId ) ( formalParameterDecls )? | '...' variableDeclaratorId -> ^( VARARGS ^( MODIFIERS ( variableModifier )* ) type variableDeclaratorId ) ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:540:4: ( variableModifier )* type ( variableDeclaratorId ( ',' formalParameterDecls )? -> ^( PARAMETER ^( MODIFIERS ( variableModifier )* ) type variableDeclaratorId ) ( formalParameterDecls )? | '...' variableDeclaratorId -> ^( VARARGS ^( MODIFIERS ( variableModifier )* ) type variableDeclaratorId ) )
            {
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:540:4: ( variableModifier )*
            loop86:
            do {
                int alt86=2;
                int LA86_0 = input.LA(1);

                if ( (LA86_0==150||LA86_0==175) ) {
                    alt86=1;
                }


                switch (alt86) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: variableModifier
            	    {
            	    pushFollow(FOLLOW_variableModifier_in_formalParameterDecls3313);
            	    variableModifier247=variableModifier();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) stream_variableModifier.add(variableModifier247.getTree());

            	    }
            	    break;

            	default :
            	    break loop86;
                }
            } while (true);

            pushFollow(FOLLOW_type_in_formalParameterDecls3316);
            type248=type();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_type.add(type248.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:540:27: ( variableDeclaratorId ( ',' formalParameterDecls )? -> ^( PARAMETER ^( MODIFIERS ( variableModifier )* ) type variableDeclaratorId ) ( formalParameterDecls )? | '...' variableDeclaratorId -> ^( VARARGS ^( MODIFIERS ( variableModifier )* ) type variableDeclaratorId ) )
            int alt88=2;
            int LA88_0 = input.LA(1);

            if ( (LA88_0==Identifier) ) {
                alt88=1;
            }
            else if ( (LA88_0==171) ) {
                alt88=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return retval;}
                NoViableAltException nvae =
                    new NoViableAltException("", 88, 0, input);

                throw nvae;
            }
            switch (alt88) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:541:9: variableDeclaratorId ( ',' formalParameterDecls )?
                    {
                    pushFollow(FOLLOW_variableDeclaratorId_in_formalParameterDecls3328);
                    variableDeclaratorId249=variableDeclaratorId();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_variableDeclaratorId.add(variableDeclaratorId249.getTree());
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:541:30: ( ',' formalParameterDecls )?
                    int alt87=2;
                    int LA87_0 = input.LA(1);

                    if ( (LA87_0==135) ) {
                        alt87=1;
                    }
                    switch (alt87) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:541:31: ',' formalParameterDecls
                            {
                            char_literal250=(Token)match(input,135,FOLLOW_135_in_formalParameterDecls3331); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_135.add(char_literal250);

                            pushFollow(FOLLOW_formalParameterDecls_in_formalParameterDecls3333);
                            formalParameterDecls251=formalParameterDecls();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_formalParameterDecls.add(formalParameterDecls251.getTree());

                            }
                            break;

                    }



                    // AST REWRITE
                    // elements: variableModifier, variableDeclaratorId, type, formalParameterDecls
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 541:58: -> ^( PARAMETER ^( MODIFIERS ( variableModifier )* ) type variableDeclaratorId ) ( formalParameterDecls )?
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:541:61: ^( PARAMETER ^( MODIFIERS ( variableModifier )* ) type variableDeclaratorId )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(PARAMETER, "PARAMETER"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:541:73: ^( MODIFIERS ( variableModifier )* )
                        {
                        Object root_2 = (Object)adaptor.nil();
                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:541:85: ( variableModifier )*
                        while ( stream_variableModifier.hasNext() ) {
                            adaptor.addChild(root_2, stream_variableModifier.nextTree());

                        }
                        stream_variableModifier.reset();

                        adaptor.addChild(root_1, root_2);
                        }
                        adaptor.addChild(root_1, stream_type.nextTree());
                        adaptor.addChild(root_1, stream_variableDeclaratorId.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:541:131: ( formalParameterDecls )?
                        if ( stream_formalParameterDecls.hasNext() ) {
                            adaptor.addChild(root_0, stream_formalParameterDecls.nextTree());

                        }
                        stream_formalParameterDecls.reset();

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:542:11: '...' variableDeclaratorId
                    {
                    string_literal252=(Token)match(input,171,FOLLOW_171_in_formalParameterDecls3367); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_171.add(string_literal252);

                    pushFollow(FOLLOW_variableDeclaratorId_in_formalParameterDecls3369);
                    variableDeclaratorId253=variableDeclaratorId();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_variableDeclaratorId.add(variableDeclaratorId253.getTree());


                    // AST REWRITE
                    // elements: variableDeclaratorId, type, variableModifier
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 542:38: -> ^( VARARGS ^( MODIFIERS ( variableModifier )* ) type variableDeclaratorId )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:542:41: ^( VARARGS ^( MODIFIERS ( variableModifier )* ) type variableDeclaratorId )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(VARARGS, "VARARGS"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:542:51: ^( MODIFIERS ( variableModifier )* )
                        {
                        Object root_2 = (Object)adaptor.nil();
                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:542:63: ( variableModifier )*
                        while ( stream_variableModifier.hasNext() ) {
                            adaptor.addChild(root_2, stream_variableModifier.nextTree());

                        }
                        stream_variableModifier.reset();

                        adaptor.addChild(root_1, root_2);
                        }
                        adaptor.addChild(root_1, stream_type.nextTree());
                        adaptor.addChild(root_1, stream_variableDeclaratorId.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 59, formalParameterDecls_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "formalParameterDecls"

    public static class methodBody_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "methodBody"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:547:1: methodBody : block -> block ;
    public final JavaParser.methodBody_return methodBody() throws RecognitionException {
        JavaParser.methodBody_return retval = new JavaParser.methodBody_return();
        retval.start = input.LT(1);
        int methodBody_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.block_return block254 = null;


        RewriteRuleSubtreeStream stream_block=new RewriteRuleSubtreeStream(adaptor,"rule block");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 60) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:548:2: ( block -> block )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:548:4: block
            {
            pushFollow(FOLLOW_block_in_methodBody3412);
            block254=block();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_block.add(block254.getTree());


            // AST REWRITE
            // elements: block
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 548:10: -> block
            {
                adaptor.addChild(root_0, stream_block.nextTree());

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 60, methodBody_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "methodBody"

    public static class qualifiedName_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "qualifiedName"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:551:1: qualifiedName : i+= Identifier ( '.' i+= Identifier )* -> ( $i)+ ;
    public final JavaParser.qualifiedName_return qualifiedName() throws RecognitionException {
        JavaParser.qualifiedName_return retval = new JavaParser.qualifiedName_return();
        retval.start = input.LT(1);
        int qualifiedName_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal255=null;
        Token i=null;
        List list_i=null;

        Object char_literal255_tree=null;
        Object i_tree=null;
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleTokenStream stream_129=new RewriteRuleTokenStream(adaptor,"token 129");

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 61) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:552:2: (i+= Identifier ( '.' i+= Identifier )* -> ( $i)+ )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:552:4: i+= Identifier ( '.' i+= Identifier )*
            {
            i=(Token)match(input,Identifier,FOLLOW_Identifier_in_qualifiedName3430); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_Identifier.add(i);

            if (list_i==null) list_i=new ArrayList();
            list_i.add(i);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:552:18: ( '.' i+= Identifier )*
            loop89:
            do {
                int alt89=2;
                int LA89_0 = input.LA(1);

                if ( (LA89_0==129) ) {
                    alt89=1;
                }


                switch (alt89) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:552:19: '.' i+= Identifier
            	    {
            	    char_literal255=(Token)match(input,129,FOLLOW_129_in_qualifiedName3433); if (state.failed) return retval; 
            	    if ( state.backtracking==0 ) stream_129.add(char_literal255);

            	    i=(Token)match(input,Identifier,FOLLOW_Identifier_in_qualifiedName3437); if (state.failed) return retval; 
            	    if ( state.backtracking==0 ) stream_Identifier.add(i);

            	    if (list_i==null) list_i=new ArrayList();
            	    list_i.add(i);


            	    }
            	    break;

            	default :
            	    break loop89;
                }
            } while (true);



            // AST REWRITE
            // elements: i
            // token labels: 
            // rule labels: retval
            // token list labels: i
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleTokenStream stream_i=new RewriteRuleTokenStream(adaptor,"token i", list_i);
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 552:39: -> ( $i)+
            {
                if ( !(stream_i.hasNext()) ) {
                    throw new RewriteEarlyExitException();
                }
                while ( stream_i.hasNext() ) {
                    adaptor.addChild(root_0, stream_i.nextNode());

                }
                stream_i.reset();

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 61, qualifiedName_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "qualifiedName"

    public static class literal_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "literal"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:555:1: literal : ( integerLiteral -> ^( INTVAL integerLiteral ) | FloatingPointLiteral -> ^( FLOATVAL FloatingPointLiteral ) | CharacterLiteral -> ^( CHARVAL CharacterLiteral ) | StringLiteral -> ^( STRINGVAL StringLiteral ) | booleanLiteral -> ^( BOOLVAL booleanLiteral ) | 'null' -> ^( NULLVAL ) );
    public final JavaParser.literal_return literal() throws RecognitionException {
        JavaParser.literal_return retval = new JavaParser.literal_return();
        retval.start = input.LT(1);
        int literal_StartIndex = input.index();
        Object root_0 = null;

        Token FloatingPointLiteral257=null;
        Token CharacterLiteral258=null;
        Token StringLiteral259=null;
        Token string_literal261=null;
        JavaParser.integerLiteral_return integerLiteral256 = null;

        JavaParser.booleanLiteral_return booleanLiteral260 = null;


        Object FloatingPointLiteral257_tree=null;
        Object CharacterLiteral258_tree=null;
        Object StringLiteral259_tree=null;
        Object string_literal261_tree=null;
        RewriteRuleTokenStream stream_StringLiteral=new RewriteRuleTokenStream(adaptor,"token StringLiteral");
        RewriteRuleTokenStream stream_172=new RewriteRuleTokenStream(adaptor,"token 172");
        RewriteRuleTokenStream stream_CharacterLiteral=new RewriteRuleTokenStream(adaptor,"token CharacterLiteral");
        RewriteRuleTokenStream stream_FloatingPointLiteral=new RewriteRuleTokenStream(adaptor,"token FloatingPointLiteral");
        RewriteRuleSubtreeStream stream_booleanLiteral=new RewriteRuleSubtreeStream(adaptor,"rule booleanLiteral");
        RewriteRuleSubtreeStream stream_integerLiteral=new RewriteRuleSubtreeStream(adaptor,"rule integerLiteral");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 62) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:556:2: ( integerLiteral -> ^( INTVAL integerLiteral ) | FloatingPointLiteral -> ^( FLOATVAL FloatingPointLiteral ) | CharacterLiteral -> ^( CHARVAL CharacterLiteral ) | StringLiteral -> ^( STRINGVAL StringLiteral ) | booleanLiteral -> ^( BOOLVAL booleanLiteral ) | 'null' -> ^( NULLVAL ) )
            int alt90=6;
            switch ( input.LA(1) ) {
            case HexLiteral:
            case OctalLiteral:
            case DecimalLiteral:
                {
                alt90=1;
                }
                break;
            case FloatingPointLiteral:
                {
                alt90=2;
                }
                break;
            case CharacterLiteral:
                {
                alt90=3;
                }
                break;
            case StringLiteral:
                {
                alt90=4;
                }
                break;
            case 173:
            case 174:
                {
                alt90=5;
                }
                break;
            case 172:
                {
                alt90=6;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return retval;}
                NoViableAltException nvae =
                    new NoViableAltException("", 90, 0, input);

                throw nvae;
            }

            switch (alt90) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:556:6: integerLiteral
                    {
                    pushFollow(FOLLOW_integerLiteral_in_literal3460);
                    integerLiteral256=integerLiteral();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_integerLiteral.add(integerLiteral256.getTree());


                    // AST REWRITE
                    // elements: integerLiteral
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 556:21: -> ^( INTVAL integerLiteral )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:556:24: ^( INTVAL integerLiteral )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(INTVAL, "INTVAL"), root_1);

                        adaptor.addChild(root_1, stream_integerLiteral.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:557:9: FloatingPointLiteral
                    {
                    FloatingPointLiteral257=(Token)match(input,FloatingPointLiteral,FOLLOW_FloatingPointLiteral_in_literal3478); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_FloatingPointLiteral.add(FloatingPointLiteral257);



                    // AST REWRITE
                    // elements: FloatingPointLiteral
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 557:30: -> ^( FLOATVAL FloatingPointLiteral )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:557:33: ^( FLOATVAL FloatingPointLiteral )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(FLOATVAL, "FLOATVAL"), root_1);

                        adaptor.addChild(root_1, stream_FloatingPointLiteral.nextNode());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:558:9: CharacterLiteral
                    {
                    CharacterLiteral258=(Token)match(input,CharacterLiteral,FOLLOW_CharacterLiteral_in_literal3496); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_CharacterLiteral.add(CharacterLiteral258);



                    // AST REWRITE
                    // elements: CharacterLiteral
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 558:26: -> ^( CHARVAL CharacterLiteral )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:558:29: ^( CHARVAL CharacterLiteral )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(CHARVAL, "CHARVAL"), root_1);

                        adaptor.addChild(root_1, stream_CharacterLiteral.nextNode());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 4 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:559:9: StringLiteral
                    {
                    StringLiteral259=(Token)match(input,StringLiteral,FOLLOW_StringLiteral_in_literal3514); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_StringLiteral.add(StringLiteral259);



                    // AST REWRITE
                    // elements: StringLiteral
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 559:23: -> ^( STRINGVAL StringLiteral )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:559:26: ^( STRINGVAL StringLiteral )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(STRINGVAL, "STRINGVAL"), root_1);

                        adaptor.addChild(root_1, stream_StringLiteral.nextNode());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 5 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:560:9: booleanLiteral
                    {
                    pushFollow(FOLLOW_booleanLiteral_in_literal3532);
                    booleanLiteral260=booleanLiteral();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_booleanLiteral.add(booleanLiteral260.getTree());


                    // AST REWRITE
                    // elements: booleanLiteral
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 560:24: -> ^( BOOLVAL booleanLiteral )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:560:27: ^( BOOLVAL booleanLiteral )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(BOOLVAL, "BOOLVAL"), root_1);

                        adaptor.addChild(root_1, stream_booleanLiteral.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 6 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:561:9: 'null'
                    {
                    string_literal261=(Token)match(input,172,FOLLOW_172_in_literal3550); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_172.add(string_literal261);



                    // AST REWRITE
                    // elements: 
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 561:16: -> ^( NULLVAL )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:561:19: ^( NULLVAL )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(NULLVAL, "NULLVAL"), root_1);

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 62, literal_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "literal"

    public static class integerLiteral_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "integerLiteral"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:564:1: integerLiteral : ( HexLiteral | OctalLiteral | DecimalLiteral );
    public final JavaParser.integerLiteral_return integerLiteral() throws RecognitionException {
        JavaParser.integerLiteral_return retval = new JavaParser.integerLiteral_return();
        retval.start = input.LT(1);
        int integerLiteral_StartIndex = input.index();
        Object root_0 = null;

        Token set262=null;

        Object set262_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 63) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:565:5: ( HexLiteral | OctalLiteral | DecimalLiteral )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:
            {
            root_0 = (Object)adaptor.nil();

            set262=(Token)input.LT(1);
            if ( (input.LA(1)>=HexLiteral && input.LA(1)<=DecimalLiteral) ) {
                input.consume();
                if ( state.backtracking==0 ) adaptor.addChild(root_0, (Object)adaptor.create(set262));
                state.errorRecovery=false;state.failed=false;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return retval;}
                MismatchedSetException mse = new MismatchedSetException(null,input);
                throw mse;
            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 63, integerLiteral_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "integerLiteral"

    public static class booleanLiteral_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "booleanLiteral"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:570:1: booleanLiteral : ( 'true' | 'false' );
    public final JavaParser.booleanLiteral_return booleanLiteral() throws RecognitionException {
        JavaParser.booleanLiteral_return retval = new JavaParser.booleanLiteral_return();
        retval.start = input.LT(1);
        int booleanLiteral_StartIndex = input.index();
        Object root_0 = null;

        Token set263=null;

        Object set263_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 64) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:571:5: ( 'true' | 'false' )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:
            {
            root_0 = (Object)adaptor.nil();

            set263=(Token)input.LT(1);
            if ( (input.LA(1)>=173 && input.LA(1)<=174) ) {
                input.consume();
                if ( state.backtracking==0 ) adaptor.addChild(root_0, (Object)adaptor.create(set263));
                state.errorRecovery=false;state.failed=false;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return retval;}
                MismatchedSetException mse = new MismatchedSetException(null,input);
                throw mse;
            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 64, booleanLiteral_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "booleanLiteral"

    public static class annotations_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "annotations"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:577:1: annotations : ( annotation )+ ;
    public final JavaParser.annotations_return annotations() throws RecognitionException {
        JavaParser.annotations_return retval = new JavaParser.annotations_return();
        retval.start = input.LT(1);
        int annotations_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.annotation_return annotation264 = null;



        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 65) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:578:2: ( ( annotation )+ )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:578:4: ( annotation )+
            {
            root_0 = (Object)adaptor.nil();

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:578:4: ( annotation )+
            int cnt91=0;
            loop91:
            do {
                int alt91=2;
                alt91 = dfa91.predict(input);
                switch (alt91) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: annotation
            	    {
            	    pushFollow(FOLLOW_annotation_in_annotations3638);
            	    annotation264=annotation();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) adaptor.addChild(root_0, annotation264.getTree());

            	    }
            	    break;

            	default :
            	    if ( cnt91 >= 1 ) break loop91;
            	    if (state.backtracking>0) {state.failed=true; return retval;}
                        EarlyExitException eee =
                            new EarlyExitException(91, input);
                        throw eee;
                }
                cnt91++;
            } while (true);


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 65, annotations_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "annotations"

    public static class annotation_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "annotation"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:581:1: annotation : '@' annotationName ( '(' ( elementValuePairs )? ')' )? -> ^( ANNOTATION annotationName ( elementValuePairs )? ) ;
    public final JavaParser.annotation_return annotation() throws RecognitionException {
        JavaParser.annotation_return retval = new JavaParser.annotation_return();
        retval.start = input.LT(1);
        int annotation_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal265=null;
        Token char_literal267=null;
        Token char_literal269=null;
        JavaParser.annotationName_return annotationName266 = null;

        JavaParser.elementValuePairs_return elementValuePairs268 = null;


        Object char_literal265_tree=null;
        Object char_literal267_tree=null;
        Object char_literal269_tree=null;
        RewriteRuleTokenStream stream_170=new RewriteRuleTokenStream(adaptor,"token 170");
        RewriteRuleTokenStream stream_175=new RewriteRuleTokenStream(adaptor,"token 175");
        RewriteRuleTokenStream stream_169=new RewriteRuleTokenStream(adaptor,"token 169");
        RewriteRuleSubtreeStream stream_annotationName=new RewriteRuleSubtreeStream(adaptor,"rule annotationName");
        RewriteRuleSubtreeStream stream_elementValuePairs=new RewriteRuleSubtreeStream(adaptor,"rule elementValuePairs");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 66) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:582:2: ( '@' annotationName ( '(' ( elementValuePairs )? ')' )? -> ^( ANNOTATION annotationName ( elementValuePairs )? ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:582:4: '@' annotationName ( '(' ( elementValuePairs )? ')' )?
            {
            char_literal265=(Token)match(input,175,FOLLOW_175_in_annotation3650); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_175.add(char_literal265);

            pushFollow(FOLLOW_annotationName_in_annotation3652);
            annotationName266=annotationName();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_annotationName.add(annotationName266.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:582:23: ( '(' ( elementValuePairs )? ')' )?
            int alt93=2;
            alt93 = dfa93.predict(input);
            switch (alt93) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:582:24: '(' ( elementValuePairs )? ')'
                    {
                    char_literal267=(Token)match(input,169,FOLLOW_169_in_annotation3655); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_169.add(char_literal267);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:582:28: ( elementValuePairs )?
                    int alt92=2;
                    alt92 = dfa92.predict(input);
                    switch (alt92) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: elementValuePairs
                            {
                            pushFollow(FOLLOW_elementValuePairs_in_annotation3657);
                            elementValuePairs268=elementValuePairs();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_elementValuePairs.add(elementValuePairs268.getTree());

                            }
                            break;

                    }

                    char_literal269=(Token)match(input,170,FOLLOW_170_in_annotation3660); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_170.add(char_literal269);


                    }
                    break;

            }



            // AST REWRITE
            // elements: elementValuePairs, annotationName
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 582:53: -> ^( ANNOTATION annotationName ( elementValuePairs )? )
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:582:56: ^( ANNOTATION annotationName ( elementValuePairs )? )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ANNOTATION, "ANNOTATION"), root_1);

                adaptor.addChild(root_1, stream_annotationName.nextTree());
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:582:84: ( elementValuePairs )?
                if ( stream_elementValuePairs.hasNext() ) {
                    adaptor.addChild(root_1, stream_elementValuePairs.nextTree());

                }
                stream_elementValuePairs.reset();

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 66, annotation_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "annotation"

    public static class annotationName_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "annotationName"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:585:1: annotationName : Identifier ( '.' Identifier )* ;
    public final JavaParser.annotationName_return annotationName() throws RecognitionException {
        JavaParser.annotationName_return retval = new JavaParser.annotationName_return();
        retval.start = input.LT(1);
        int annotationName_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier270=null;
        Token char_literal271=null;
        Token Identifier272=null;

        Object Identifier270_tree=null;
        Object char_literal271_tree=null;
        Object Identifier272_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 67) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:586:2: ( Identifier ( '.' Identifier )* )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:586:4: Identifier ( '.' Identifier )*
            {
            root_0 = (Object)adaptor.nil();

            Identifier270=(Token)match(input,Identifier,FOLLOW_Identifier_in_annotationName3685); if (state.failed) return retval;
            if ( state.backtracking==0 ) {
            Identifier270_tree = (Object)adaptor.create(Identifier270);
            adaptor.addChild(root_0, Identifier270_tree);
            }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:586:15: ( '.' Identifier )*
            loop94:
            do {
                int alt94=2;
                alt94 = dfa94.predict(input);
                switch (alt94) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:586:16: '.' Identifier
            	    {
            	    char_literal271=(Token)match(input,129,FOLLOW_129_in_annotationName3688); if (state.failed) return retval;
            	    if ( state.backtracking==0 ) {
            	    char_literal271_tree = (Object)adaptor.create(char_literal271);
            	    adaptor.addChild(root_0, char_literal271_tree);
            	    }
            	    Identifier272=(Token)match(input,Identifier,FOLLOW_Identifier_in_annotationName3690); if (state.failed) return retval;
            	    if ( state.backtracking==0 ) {
            	    Identifier272_tree = (Object)adaptor.create(Identifier272);
            	    adaptor.addChild(root_0, Identifier272_tree);
            	    }

            	    }
            	    break;

            	default :
            	    break loop94;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 67, annotationName_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "annotationName"

    public static class elementValuePairs_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "elementValuePairs"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:589:1: elementValuePairs : elementValuePair ( ',' elementValuePair )* ;
    public final JavaParser.elementValuePairs_return elementValuePairs() throws RecognitionException {
        JavaParser.elementValuePairs_return retval = new JavaParser.elementValuePairs_return();
        retval.start = input.LT(1);
        int elementValuePairs_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal274=null;
        JavaParser.elementValuePair_return elementValuePair273 = null;

        JavaParser.elementValuePair_return elementValuePair275 = null;


        Object char_literal274_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 68) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:590:2: ( elementValuePair ( ',' elementValuePair )* )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:590:4: elementValuePair ( ',' elementValuePair )*
            {
            root_0 = (Object)adaptor.nil();

            pushFollow(FOLLOW_elementValuePair_in_elementValuePairs3704);
            elementValuePair273=elementValuePair();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) adaptor.addChild(root_0, elementValuePair273.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:590:21: ( ',' elementValuePair )*
            loop95:
            do {
                int alt95=2;
                int LA95_0 = input.LA(1);

                if ( (LA95_0==135) ) {
                    alt95=1;
                }


                switch (alt95) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:590:22: ',' elementValuePair
            	    {
            	    char_literal274=(Token)match(input,135,FOLLOW_135_in_elementValuePairs3707); if (state.failed) return retval;
            	    if ( state.backtracking==0 ) {
            	    char_literal274_tree = (Object)adaptor.create(char_literal274);
            	    adaptor.addChild(root_0, char_literal274_tree);
            	    }
            	    pushFollow(FOLLOW_elementValuePair_in_elementValuePairs3709);
            	    elementValuePair275=elementValuePair();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) adaptor.addChild(root_0, elementValuePair275.getTree());

            	    }
            	    break;

            	default :
            	    break loop95;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 68, elementValuePairs_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "elementValuePairs"

    public static class elementValuePair_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "elementValuePair"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:593:1: elementValuePair : ( ( Identifier '=' ) elementValue -> ^( ASSIGN ^( VAR Identifier ) elementValue ) | elementValue -> elementValue );
    public final JavaParser.elementValuePair_return elementValuePair() throws RecognitionException {
        JavaParser.elementValuePair_return retval = new JavaParser.elementValuePair_return();
        retval.start = input.LT(1);
        int elementValuePair_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier276=null;
        Token char_literal277=null;
        JavaParser.elementValue_return elementValue278 = null;

        JavaParser.elementValue_return elementValue279 = null;


        Object Identifier276_tree=null;
        Object char_literal277_tree=null;
        RewriteRuleTokenStream stream_145=new RewriteRuleTokenStream(adaptor,"token 145");
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleSubtreeStream stream_elementValue=new RewriteRuleSubtreeStream(adaptor,"rule elementValue");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 69) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:594:2: ( ( Identifier '=' ) elementValue -> ^( ASSIGN ^( VAR Identifier ) elementValue ) | elementValue -> elementValue )
            int alt96=2;
            alt96 = dfa96.predict(input);
            switch (alt96) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:594:4: ( Identifier '=' ) elementValue
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:594:4: ( Identifier '=' )
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:594:5: Identifier '='
                    {
                    Identifier276=(Token)match(input,Identifier,FOLLOW_Identifier_in_elementValuePair3724); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_Identifier.add(Identifier276);

                    char_literal277=(Token)match(input,145,FOLLOW_145_in_elementValuePair3726); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_145.add(char_literal277);


                    }

                    pushFollow(FOLLOW_elementValue_in_elementValuePair3729);
                    elementValue278=elementValue();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_elementValue.add(elementValue278.getTree());


                    // AST REWRITE
                    // elements: elementValue, Identifier
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 594:34: -> ^( ASSIGN ^( VAR Identifier ) elementValue )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:594:37: ^( ASSIGN ^( VAR Identifier ) elementValue )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ASSIGN, "ASSIGN"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:594:46: ^( VAR Identifier )
                        {
                        Object root_2 = (Object)adaptor.nil();
                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(VAR, "VAR"), root_2);

                        adaptor.addChild(root_2, stream_Identifier.nextNode());

                        adaptor.addChild(root_1, root_2);
                        }
                        adaptor.addChild(root_1, stream_elementValue.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:595:4: elementValue
                    {
                    pushFollow(FOLLOW_elementValue_in_elementValuePair3748);
                    elementValue279=elementValue();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_elementValue.add(elementValue279.getTree());


                    // AST REWRITE
                    // elements: elementValue
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 595:17: -> elementValue
                    {
                        adaptor.addChild(root_0, stream_elementValue.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 69, elementValuePair_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "elementValuePair"

    public static class elementValue_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "elementValue"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:598:1: elementValue : ( conditionalExpression | annotation | elementValueArrayInitializer );
    public final JavaParser.elementValue_return elementValue() throws RecognitionException {
        JavaParser.elementValue_return retval = new JavaParser.elementValue_return();
        retval.start = input.LT(1);
        int elementValue_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.conditionalExpression_return conditionalExpression280 = null;

        JavaParser.annotation_return annotation281 = null;

        JavaParser.elementValueArrayInitializer_return elementValueArrayInitializer282 = null;



        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 70) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:599:2: ( conditionalExpression | annotation | elementValueArrayInitializer )
            int alt97=3;
            alt97 = dfa97.predict(input);
            switch (alt97) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:599:4: conditionalExpression
                    {
                    root_0 = (Object)adaptor.nil();

                    pushFollow(FOLLOW_conditionalExpression_in_elementValue3764);
                    conditionalExpression280=conditionalExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, conditionalExpression280.getTree());

                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:600:6: annotation
                    {
                    root_0 = (Object)adaptor.nil();

                    pushFollow(FOLLOW_annotation_in_elementValue3771);
                    annotation281=annotation();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, annotation281.getTree());

                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:601:6: elementValueArrayInitializer
                    {
                    root_0 = (Object)adaptor.nil();

                    pushFollow(FOLLOW_elementValueArrayInitializer_in_elementValue3778);
                    elementValueArrayInitializer282=elementValueArrayInitializer();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, elementValueArrayInitializer282.getTree());

                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 70, elementValue_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "elementValue"

    public static class elementValueArrayInitializer_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "elementValueArrayInitializer"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:604:1: elementValueArrayInitializer : '{' ( elementValue ( ',' elementValue )* )? '}' -> ^( ARRAYVAL ( elementValue )+ ) ;
    public final JavaParser.elementValueArrayInitializer_return elementValueArrayInitializer() throws RecognitionException {
        JavaParser.elementValueArrayInitializer_return retval = new JavaParser.elementValueArrayInitializer_return();
        retval.start = input.LT(1);
        int elementValueArrayInitializer_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal283=null;
        Token char_literal285=null;
        Token char_literal287=null;
        JavaParser.elementValue_return elementValue284 = null;

        JavaParser.elementValue_return elementValue286 = null;


        Object char_literal283_tree=null;
        Object char_literal285_tree=null;
        Object char_literal287_tree=null;
        RewriteRuleTokenStream stream_135=new RewriteRuleTokenStream(adaptor,"token 135");
        RewriteRuleTokenStream stream_138=new RewriteRuleTokenStream(adaptor,"token 138");
        RewriteRuleTokenStream stream_139=new RewriteRuleTokenStream(adaptor,"token 139");
        RewriteRuleSubtreeStream stream_elementValue=new RewriteRuleSubtreeStream(adaptor,"rule elementValue");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 71) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:605:2: ( '{' ( elementValue ( ',' elementValue )* )? '}' -> ^( ARRAYVAL ( elementValue )+ ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:605:4: '{' ( elementValue ( ',' elementValue )* )? '}'
            {
            char_literal283=(Token)match(input,138,FOLLOW_138_in_elementValueArrayInitializer3790); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_138.add(char_literal283);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:605:8: ( elementValue ( ',' elementValue )* )?
            int alt99=2;
            alt99 = dfa99.predict(input);
            switch (alt99) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:605:9: elementValue ( ',' elementValue )*
                    {
                    pushFollow(FOLLOW_elementValue_in_elementValueArrayInitializer3793);
                    elementValue284=elementValue();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_elementValue.add(elementValue284.getTree());
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:605:22: ( ',' elementValue )*
                    loop98:
                    do {
                        int alt98=2;
                        int LA98_0 = input.LA(1);

                        if ( (LA98_0==135) ) {
                            alt98=1;
                        }


                        switch (alt98) {
                    	case 1 :
                    	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:605:23: ',' elementValue
                    	    {
                    	    char_literal285=(Token)match(input,135,FOLLOW_135_in_elementValueArrayInitializer3796); if (state.failed) return retval; 
                    	    if ( state.backtracking==0 ) stream_135.add(char_literal285);

                    	    pushFollow(FOLLOW_elementValue_in_elementValueArrayInitializer3798);
                    	    elementValue286=elementValue();

                    	    state._fsp--;
                    	    if (state.failed) return retval;
                    	    if ( state.backtracking==0 ) stream_elementValue.add(elementValue286.getTree());

                    	    }
                    	    break;

                    	default :
                    	    break loop98;
                        }
                    } while (true);


                    }
                    break;

            }

            char_literal287=(Token)match(input,139,FOLLOW_139_in_elementValueArrayInitializer3805); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_139.add(char_literal287);



            // AST REWRITE
            // elements: elementValue
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 605:49: -> ^( ARRAYVAL ( elementValue )+ )
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:605:52: ^( ARRAYVAL ( elementValue )+ )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ARRAYVAL, "ARRAYVAL"), root_1);

                if ( !(stream_elementValue.hasNext()) ) {
                    throw new RewriteEarlyExitException();
                }
                while ( stream_elementValue.hasNext() ) {
                    adaptor.addChild(root_1, stream_elementValue.nextTree());

                }
                stream_elementValue.reset();

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 71, elementValueArrayInitializer_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "elementValueArrayInitializer"

    public static class annotationTypeDeclaration_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "annotationTypeDeclaration"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:608:1: annotationTypeDeclaration : '@' 'interface' Identifier annotationTypeBody -> Identifier ( annotationTypeBody )? ;
    public final JavaParser.annotationTypeDeclaration_return annotationTypeDeclaration() throws RecognitionException {
        JavaParser.annotationTypeDeclaration_return retval = new JavaParser.annotationTypeDeclaration_return();
        retval.start = input.LT(1);
        int annotationTypeDeclaration_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal288=null;
        Token string_literal289=null;
        Token Identifier290=null;
        JavaParser.annotationTypeBody_return annotationTypeBody291 = null;


        Object char_literal288_tree=null;
        Object string_literal289_tree=null;
        Object Identifier290_tree=null;
        RewriteRuleTokenStream stream_175=new RewriteRuleTokenStream(adaptor,"token 175");
        RewriteRuleTokenStream stream_140=new RewriteRuleTokenStream(adaptor,"token 140");
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleSubtreeStream stream_annotationTypeBody=new RewriteRuleSubtreeStream(adaptor,"rule annotationTypeBody");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 72) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:609:2: ( '@' 'interface' Identifier annotationTypeBody -> Identifier ( annotationTypeBody )? )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:609:4: '@' 'interface' Identifier annotationTypeBody
            {
            char_literal288=(Token)match(input,175,FOLLOW_175_in_annotationTypeDeclaration3826); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_175.add(char_literal288);

            string_literal289=(Token)match(input,140,FOLLOW_140_in_annotationTypeDeclaration3828); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_140.add(string_literal289);

            Identifier290=(Token)match(input,Identifier,FOLLOW_Identifier_in_annotationTypeDeclaration3830); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_Identifier.add(Identifier290);

            pushFollow(FOLLOW_annotationTypeBody_in_annotationTypeDeclaration3832);
            annotationTypeBody291=annotationTypeBody();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_annotationTypeBody.add(annotationTypeBody291.getTree());


            // AST REWRITE
            // elements: annotationTypeBody, Identifier
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 609:50: -> Identifier ( annotationTypeBody )?
            {
                adaptor.addChild(root_0, stream_Identifier.nextNode());
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:609:64: ( annotationTypeBody )?
                if ( stream_annotationTypeBody.hasNext() ) {
                    adaptor.addChild(root_0, stream_annotationTypeBody.nextTree());

                }
                stream_annotationTypeBody.reset();

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 72, annotationTypeDeclaration_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "annotationTypeDeclaration"

    public static class annotationTypeBody_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "annotationTypeBody"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:612:1: annotationTypeBody : '{' ( annotationTypeElementDeclarations )? '}' ;
    public final JavaParser.annotationTypeBody_return annotationTypeBody() throws RecognitionException {
        JavaParser.annotationTypeBody_return retval = new JavaParser.annotationTypeBody_return();
        retval.start = input.LT(1);
        int annotationTypeBody_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal292=null;
        Token char_literal294=null;
        JavaParser.annotationTypeElementDeclarations_return annotationTypeElementDeclarations293 = null;


        Object char_literal292_tree=null;
        Object char_literal294_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 73) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:613:2: ( '{' ( annotationTypeElementDeclarations )? '}' )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:613:4: '{' ( annotationTypeElementDeclarations )? '}'
            {
            root_0 = (Object)adaptor.nil();

            char_literal292=(Token)match(input,138,FOLLOW_138_in_annotationTypeBody3851); if (state.failed) return retval;
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:613:9: ( annotationTypeElementDeclarations )?
            int alt100=2;
            alt100 = dfa100.predict(input);
            switch (alt100) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:613:10: annotationTypeElementDeclarations
                    {
                    pushFollow(FOLLOW_annotationTypeElementDeclarations_in_annotationTypeBody3855);
                    annotationTypeElementDeclarations293=annotationTypeElementDeclarations();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, annotationTypeElementDeclarations293.getTree());

                    }
                    break;

            }

            char_literal294=(Token)match(input,139,FOLLOW_139_in_annotationTypeBody3859); if (state.failed) return retval;

            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 73, annotationTypeBody_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "annotationTypeBody"

    public static class annotationTypeElementDeclarations_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "annotationTypeElementDeclarations"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:616:1: annotationTypeElementDeclarations : ( annotationTypeElementDeclaration )* ;
    public final JavaParser.annotationTypeElementDeclarations_return annotationTypeElementDeclarations() throws RecognitionException {
        JavaParser.annotationTypeElementDeclarations_return retval = new JavaParser.annotationTypeElementDeclarations_return();
        retval.start = input.LT(1);
        int annotationTypeElementDeclarations_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.annotationTypeElementDeclaration_return annotationTypeElementDeclaration295 = null;



        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 74) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:617:2: ( ( annotationTypeElementDeclaration )* )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:617:4: ( annotationTypeElementDeclaration )*
            {
            root_0 = (Object)adaptor.nil();

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:617:4: ( annotationTypeElementDeclaration )*
            loop101:
            do {
                int alt101=2;
                alt101 = dfa101.predict(input);
                switch (alt101) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:617:5: annotationTypeElementDeclaration
            	    {
            	    pushFollow(FOLLOW_annotationTypeElementDeclaration_in_annotationTypeElementDeclarations3873);
            	    annotationTypeElementDeclaration295=annotationTypeElementDeclaration();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) adaptor.addChild(root_0, annotationTypeElementDeclaration295.getTree());

            	    }
            	    break;

            	default :
            	    break loop101;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 74, annotationTypeElementDeclarations_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "annotationTypeElementDeclarations"

    public static class annotationTypeElementDeclaration_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "annotationTypeElementDeclaration"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:620:1: annotationTypeElementDeclaration : ( modifier )* ( type ( annotationMethodRest ';' -> ^( METHOD ^( MODIFIERS ( modifier )* ) type annotationMethodRest ) | annotationConstantRest ';' -> ^( FIELD ^( MODIFIERS ( modifier )* ) type annotationConstantRest ) ) | classDeclaration ( ';' )? -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration ( ';' )? -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) | normalInterfaceDeclaration ( ';' )? -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration ( ';' )? -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) ) ;
    public final JavaParser.annotationTypeElementDeclaration_return annotationTypeElementDeclaration() throws RecognitionException {
        JavaParser.annotationTypeElementDeclaration_return retval = new JavaParser.annotationTypeElementDeclaration_return();
        retval.start = input.LT(1);
        int annotationTypeElementDeclaration_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal299=null;
        Token char_literal301=null;
        Token char_literal303=null;
        Token char_literal305=null;
        Token char_literal307=null;
        Token char_literal309=null;
        JavaParser.modifier_return modifier296 = null;

        JavaParser.type_return type297 = null;

        JavaParser.annotationMethodRest_return annotationMethodRest298 = null;

        JavaParser.annotationConstantRest_return annotationConstantRest300 = null;

        JavaParser.classDeclaration_return classDeclaration302 = null;

        JavaParser.enumDeclaration_return enumDeclaration304 = null;

        JavaParser.normalInterfaceDeclaration_return normalInterfaceDeclaration306 = null;

        JavaParser.annotationTypeDeclaration_return annotationTypeDeclaration308 = null;


        Object char_literal299_tree=null;
        Object char_literal301_tree=null;
        Object char_literal303_tree=null;
        Object char_literal305_tree=null;
        Object char_literal307_tree=null;
        Object char_literal309_tree=null;
        RewriteRuleTokenStream stream_126=new RewriteRuleTokenStream(adaptor,"token 126");
        RewriteRuleSubtreeStream stream_modifier=new RewriteRuleSubtreeStream(adaptor,"rule modifier");
        RewriteRuleSubtreeStream stream_annotationTypeDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule annotationTypeDeclaration");
        RewriteRuleSubtreeStream stream_annotationMethodRest=new RewriteRuleSubtreeStream(adaptor,"rule annotationMethodRest");
        RewriteRuleSubtreeStream stream_classDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule classDeclaration");
        RewriteRuleSubtreeStream stream_enumDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule enumDeclaration");
        RewriteRuleSubtreeStream stream_normalInterfaceDeclaration=new RewriteRuleSubtreeStream(adaptor,"rule normalInterfaceDeclaration");
        RewriteRuleSubtreeStream stream_annotationConstantRest=new RewriteRuleSubtreeStream(adaptor,"rule annotationConstantRest");
        RewriteRuleSubtreeStream stream_type=new RewriteRuleSubtreeStream(adaptor,"rule type");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 75) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:621:2: ( ( modifier )* ( type ( annotationMethodRest ';' -> ^( METHOD ^( MODIFIERS ( modifier )* ) type annotationMethodRest ) | annotationConstantRest ';' -> ^( FIELD ^( MODIFIERS ( modifier )* ) type annotationConstantRest ) ) | classDeclaration ( ';' )? -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration ( ';' )? -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) | normalInterfaceDeclaration ( ';' )? -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration ( ';' )? -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:621:4: ( modifier )* ( type ( annotationMethodRest ';' -> ^( METHOD ^( MODIFIERS ( modifier )* ) type annotationMethodRest ) | annotationConstantRest ';' -> ^( FIELD ^( MODIFIERS ( modifier )* ) type annotationConstantRest ) ) | classDeclaration ( ';' )? -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration ( ';' )? -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) | normalInterfaceDeclaration ( ';' )? -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration ( ';' )? -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) )
            {
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:621:4: ( modifier )*
            loop102:
            do {
                int alt102=2;
                alt102 = dfa102.predict(input);
                switch (alt102) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:621:5: modifier
            	    {
            	    pushFollow(FOLLOW_modifier_in_annotationTypeElementDeclaration3888);
            	    modifier296=modifier();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) stream_modifier.add(modifier296.getTree());

            	    }
            	    break;

            	default :
            	    break loop102;
                }
            } while (true);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:622:3: ( type ( annotationMethodRest ';' -> ^( METHOD ^( MODIFIERS ( modifier )* ) type annotationMethodRest ) | annotationConstantRest ';' -> ^( FIELD ^( MODIFIERS ( modifier )* ) type annotationConstantRest ) ) | classDeclaration ( ';' )? -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration ( ';' )? -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) | normalInterfaceDeclaration ( ';' )? -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration ( ';' )? -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) )
            int alt108=5;
            switch ( input.LA(1) ) {
            case Identifier:
            case 158:
            case 160:
            case 161:
            case 162:
            case 163:
            case 164:
            case 165:
            case 166:
            case 167:
                {
                alt108=1;
                }
                break;
            case 131:
                {
                alt108=2;
                }
                break;
            case ENUM:
                {
                alt108=3;
                }
                break;
            case 140:
                {
                alt108=4;
                }
                break;
            case 175:
                {
                alt108=5;
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return retval;}
                NoViableAltException nvae =
                    new NoViableAltException("", 108, 0, input);

                throw nvae;
            }

            switch (alt108) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:623:4: type ( annotationMethodRest ';' -> ^( METHOD ^( MODIFIERS ( modifier )* ) type annotationMethodRest ) | annotationConstantRest ';' -> ^( FIELD ^( MODIFIERS ( modifier )* ) type annotationConstantRest ) )
                    {
                    pushFollow(FOLLOW_type_in_annotationTypeElementDeclaration3900);
                    type297=type();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_type.add(type297.getTree());
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:624:4: ( annotationMethodRest ';' -> ^( METHOD ^( MODIFIERS ( modifier )* ) type annotationMethodRest ) | annotationConstantRest ';' -> ^( FIELD ^( MODIFIERS ( modifier )* ) type annotationConstantRest ) )
                    int alt103=2;
                    int LA103_0 = input.LA(1);

                    if ( (LA103_0==Identifier) ) {
                        int LA103_1 = input.LA(2);

                        if ( (LA103_1==169) ) {
                            alt103=1;
                        }
                        else if ( (LA103_1==126||LA103_1==135||LA103_1==143||LA103_1==145) ) {
                            alt103=2;
                        }
                        else {
                            if (state.backtracking>0) {state.failed=true; return retval;}
                            NoViableAltException nvae =
                                new NoViableAltException("", 103, 1, input);

                            throw nvae;
                        }
                    }
                    else {
                        if (state.backtracking>0) {state.failed=true; return retval;}
                        NoViableAltException nvae =
                            new NoViableAltException("", 103, 0, input);

                        throw nvae;
                    }
                    switch (alt103) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:625:5: annotationMethodRest ';'
                            {
                            pushFollow(FOLLOW_annotationMethodRest_in_annotationTypeElementDeclaration3912);
                            annotationMethodRest298=annotationMethodRest();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_annotationMethodRest.add(annotationMethodRest298.getTree());
                            char_literal299=(Token)match(input,126,FOLLOW_126_in_annotationTypeElementDeclaration3914); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_126.add(char_literal299);



                            // AST REWRITE
                            // elements: type, modifier, annotationMethodRest
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 625:30: -> ^( METHOD ^( MODIFIERS ( modifier )* ) type annotationMethodRest )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:625:33: ^( METHOD ^( MODIFIERS ( modifier )* ) type annotationMethodRest )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(METHOD, "METHOD"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:625:42: ^( MODIFIERS ( modifier )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:625:54: ( modifier )*
                                while ( stream_modifier.hasNext() ) {
                                    adaptor.addChild(root_2, stream_modifier.nextTree());

                                }
                                stream_modifier.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_type.nextTree());
                                adaptor.addChild(root_1, stream_annotationMethodRest.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 2 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:626:7: annotationConstantRest ';'
                            {
                            pushFollow(FOLLOW_annotationConstantRest_in_annotationTypeElementDeclaration3939);
                            annotationConstantRest300=annotationConstantRest();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_annotationConstantRest.add(annotationConstantRest300.getTree());
                            char_literal301=(Token)match(input,126,FOLLOW_126_in_annotationTypeElementDeclaration3941); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_126.add(char_literal301);



                            // AST REWRITE
                            // elements: annotationConstantRest, type, modifier
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 626:34: -> ^( FIELD ^( MODIFIERS ( modifier )* ) type annotationConstantRest )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:626:37: ^( FIELD ^( MODIFIERS ( modifier )* ) type annotationConstantRest )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(FIELD, "FIELD"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:626:45: ^( MODIFIERS ( modifier )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:626:57: ( modifier )*
                                while ( stream_modifier.hasNext() ) {
                                    adaptor.addChild(root_2, stream_modifier.nextTree());

                                }
                                stream_modifier.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_type.nextTree());
                                adaptor.addChild(root_1, stream_annotationConstantRest.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;

                    }


                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:628:6: classDeclaration ( ';' )?
                    {
                    pushFollow(FOLLOW_classDeclaration_in_annotationTypeElementDeclaration3970);
                    classDeclaration302=classDeclaration();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_classDeclaration.add(classDeclaration302.getTree());
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:628:23: ( ';' )?
                    int alt104=2;
                    alt104 = dfa104.predict(input);
                    switch (alt104) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: ';'
                            {
                            char_literal303=(Token)match(input,126,FOLLOW_126_in_annotationTypeElementDeclaration3972); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_126.add(char_literal303);


                            }
                            break;

                    }



                    // AST REWRITE
                    // elements: classDeclaration, modifier
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 628:28: -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:628:31: ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(CLASS, "CLASS"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:628:39: ^( MODIFIERS ( modifier )* )
                        {
                        Object root_2 = (Object)adaptor.nil();
                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:628:51: ( modifier )*
                        while ( stream_modifier.hasNext() ) {
                            adaptor.addChild(root_2, stream_modifier.nextTree());

                        }
                        stream_modifier.reset();

                        adaptor.addChild(root_1, root_2);
                        }
                        adaptor.addChild(root_1, stream_classDeclaration.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:629:6: enumDeclaration ( ';' )?
                    {
                    pushFollow(FOLLOW_enumDeclaration_in_annotationTypeElementDeclaration3995);
                    enumDeclaration304=enumDeclaration();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_enumDeclaration.add(enumDeclaration304.getTree());
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:629:22: ( ';' )?
                    int alt105=2;
                    alt105 = dfa105.predict(input);
                    switch (alt105) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: ';'
                            {
                            char_literal305=(Token)match(input,126,FOLLOW_126_in_annotationTypeElementDeclaration3997); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_126.add(char_literal305);


                            }
                            break;

                    }



                    // AST REWRITE
                    // elements: enumDeclaration, modifier
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 629:27: -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:629:30: ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ENUM, "ENUM"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:629:37: ^( MODIFIERS ( modifier )* )
                        {
                        Object root_2 = (Object)adaptor.nil();
                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:629:49: ( modifier )*
                        while ( stream_modifier.hasNext() ) {
                            adaptor.addChild(root_2, stream_modifier.nextTree());

                        }
                        stream_modifier.reset();

                        adaptor.addChild(root_1, root_2);
                        }
                        adaptor.addChild(root_1, stream_enumDeclaration.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 4 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:630:6: normalInterfaceDeclaration ( ';' )?
                    {
                    pushFollow(FOLLOW_normalInterfaceDeclaration_in_annotationTypeElementDeclaration4020);
                    normalInterfaceDeclaration306=normalInterfaceDeclaration();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_normalInterfaceDeclaration.add(normalInterfaceDeclaration306.getTree());
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:630:33: ( ';' )?
                    int alt106=2;
                    alt106 = dfa106.predict(input);
                    switch (alt106) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: ';'
                            {
                            char_literal307=(Token)match(input,126,FOLLOW_126_in_annotationTypeElementDeclaration4022); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_126.add(char_literal307);


                            }
                            break;

                    }



                    // AST REWRITE
                    // elements: normalInterfaceDeclaration, modifier
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 630:38: -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:630:41: ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(INTERFACE, "INTERFACE"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:630:53: ^( MODIFIERS ( modifier )* )
                        {
                        Object root_2 = (Object)adaptor.nil();
                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:630:65: ( modifier )*
                        while ( stream_modifier.hasNext() ) {
                            adaptor.addChild(root_2, stream_modifier.nextTree());

                        }
                        stream_modifier.reset();

                        adaptor.addChild(root_1, root_2);
                        }
                        adaptor.addChild(root_1, stream_normalInterfaceDeclaration.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 5 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:631:6: annotationTypeDeclaration ( ';' )?
                    {
                    pushFollow(FOLLOW_annotationTypeDeclaration_in_annotationTypeElementDeclaration4045);
                    annotationTypeDeclaration308=annotationTypeDeclaration();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_annotationTypeDeclaration.add(annotationTypeDeclaration308.getTree());
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:631:32: ( ';' )?
                    int alt107=2;
                    alt107 = dfa107.predict(input);
                    switch (alt107) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: ';'
                            {
                            char_literal309=(Token)match(input,126,FOLLOW_126_in_annotationTypeElementDeclaration4047); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_126.add(char_literal309);


                            }
                            break;

                    }



                    // AST REWRITE
                    // elements: annotationTypeDeclaration, modifier
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 631:37: -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:631:40: ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ANNOTATION, "ANNOTATION"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:631:53: ^( MODIFIERS ( modifier )* )
                        {
                        Object root_2 = (Object)adaptor.nil();
                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:631:65: ( modifier )*
                        while ( stream_modifier.hasNext() ) {
                            adaptor.addChild(root_2, stream_modifier.nextTree());

                        }
                        stream_modifier.reset();

                        adaptor.addChild(root_1, root_2);
                        }
                        adaptor.addChild(root_1, stream_annotationTypeDeclaration.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 75, annotationTypeElementDeclaration_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "annotationTypeElementDeclaration"

    public static class annotationMethodRest_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "annotationMethodRest"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:635:1: annotationMethodRest : Identifier '(' ')' ( defaultValue )? ;
    public final JavaParser.annotationMethodRest_return annotationMethodRest() throws RecognitionException {
        JavaParser.annotationMethodRest_return retval = new JavaParser.annotationMethodRest_return();
        retval.start = input.LT(1);
        int annotationMethodRest_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier310=null;
        Token char_literal311=null;
        Token char_literal312=null;
        JavaParser.defaultValue_return defaultValue313 = null;


        Object Identifier310_tree=null;
        Object char_literal311_tree=null;
        Object char_literal312_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 76) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:636:3: ( Identifier '(' ')' ( defaultValue )? )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:636:5: Identifier '(' ')' ( defaultValue )?
            {
            root_0 = (Object)adaptor.nil();

            Identifier310=(Token)match(input,Identifier,FOLLOW_Identifier_in_annotationMethodRest4080); if (state.failed) return retval;
            if ( state.backtracking==0 ) {
            Identifier310_tree = (Object)adaptor.create(Identifier310);
            adaptor.addChild(root_0, Identifier310_tree);
            }
            char_literal311=(Token)match(input,169,FOLLOW_169_in_annotationMethodRest4082); if (state.failed) return retval;
            char_literal312=(Token)match(input,170,FOLLOW_170_in_annotationMethodRest4085); if (state.failed) return retval;
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:636:26: ( defaultValue )?
            int alt109=2;
            int LA109_0 = input.LA(1);

            if ( (LA109_0==176) ) {
                alt109=1;
            }
            switch (alt109) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:636:27: defaultValue
                    {
                    pushFollow(FOLLOW_defaultValue_in_annotationMethodRest4089);
                    defaultValue313=defaultValue();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, defaultValue313.getTree());

                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 76, annotationMethodRest_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "annotationMethodRest"

    public static class annotationConstantRest_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "annotationConstantRest"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:639:1: annotationConstantRest : variableDeclarators ;
    public final JavaParser.annotationConstantRest_return annotationConstantRest() throws RecognitionException {
        JavaParser.annotationConstantRest_return retval = new JavaParser.annotationConstantRest_return();
        retval.start = input.LT(1);
        int annotationConstantRest_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.variableDeclarators_return variableDeclarators314 = null;



        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 77) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:640:3: ( variableDeclarators )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:640:5: variableDeclarators
            {
            root_0 = (Object)adaptor.nil();

            pushFollow(FOLLOW_variableDeclarators_in_annotationConstantRest4106);
            variableDeclarators314=variableDeclarators();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) adaptor.addChild(root_0, variableDeclarators314.getTree());

            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 77, annotationConstantRest_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "annotationConstantRest"

    public static class defaultValue_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "defaultValue"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:643:1: defaultValue : 'default' elementValue ;
    public final JavaParser.defaultValue_return defaultValue() throws RecognitionException {
        JavaParser.defaultValue_return retval = new JavaParser.defaultValue_return();
        retval.start = input.LT(1);
        int defaultValue_StartIndex = input.index();
        Object root_0 = null;

        Token string_literal315=null;
        JavaParser.elementValue_return elementValue316 = null;


        Object string_literal315_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 78) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:644:3: ( 'default' elementValue )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:644:5: 'default' elementValue
            {
            root_0 = (Object)adaptor.nil();

            string_literal315=(Token)match(input,176,FOLLOW_176_in_defaultValue4121); if (state.failed) return retval;
            pushFollow(FOLLOW_elementValue_in_defaultValue4124);
            elementValue316=elementValue();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) adaptor.addChild(root_0, elementValue316.getTree());

            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 78, defaultValue_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "defaultValue"

    public static class block_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "block"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:649:1: block : '{' ( blockStatement )* '}' -> ^( BLOCK ( blockStatement )* ) ;
    public final JavaParser.block_return block() throws RecognitionException {
        JavaParser.block_return retval = new JavaParser.block_return();
        retval.start = input.LT(1);
        int block_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal317=null;
        Token char_literal319=null;
        JavaParser.blockStatement_return blockStatement318 = null;


        Object char_literal317_tree=null;
        Object char_literal319_tree=null;
        RewriteRuleTokenStream stream_138=new RewriteRuleTokenStream(adaptor,"token 138");
        RewriteRuleTokenStream stream_139=new RewriteRuleTokenStream(adaptor,"token 139");
        RewriteRuleSubtreeStream stream_blockStatement=new RewriteRuleSubtreeStream(adaptor,"rule blockStatement");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 79) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:650:2: ( '{' ( blockStatement )* '}' -> ^( BLOCK ( blockStatement )* ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:650:4: '{' ( blockStatement )* '}'
            {
            char_literal317=(Token)match(input,138,FOLLOW_138_in_block4138); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_138.add(char_literal317);

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:650:8: ( blockStatement )*
            loop110:
            do {
                int alt110=2;
                alt110 = dfa110.predict(input);
                switch (alt110) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: blockStatement
            	    {
            	    pushFollow(FOLLOW_blockStatement_in_block4140);
            	    blockStatement318=blockStatement();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) stream_blockStatement.add(blockStatement318.getTree());

            	    }
            	    break;

            	default :
            	    break loop110;
                }
            } while (true);

            char_literal319=(Token)match(input,139,FOLLOW_139_in_block4143); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_139.add(char_literal319);



            // AST REWRITE
            // elements: blockStatement
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 650:28: -> ^( BLOCK ( blockStatement )* )
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:650:31: ^( BLOCK ( blockStatement )* )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(BLOCK, "BLOCK"), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:650:39: ( blockStatement )*
                while ( stream_blockStatement.hasNext() ) {
                    adaptor.addChild(root_1, stream_blockStatement.nextTree());

                }
                stream_blockStatement.reset();

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 79, block_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "block"

    public static class blockStatement_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "blockStatement"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:653:1: blockStatement : ( localVariableDeclaration | classOrInterfaceDeclaration | statement );
    public final JavaParser.blockStatement_return blockStatement() throws RecognitionException {
        JavaParser.blockStatement_return retval = new JavaParser.blockStatement_return();
        retval.start = input.LT(1);
        int blockStatement_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.localVariableDeclaration_return localVariableDeclaration320 = null;

        JavaParser.classOrInterfaceDeclaration_return classOrInterfaceDeclaration321 = null;

        JavaParser.statement_return statement322 = null;



        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 80) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:654:2: ( localVariableDeclaration | classOrInterfaceDeclaration | statement )
            int alt111=3;
            alt111 = dfa111.predict(input);
            switch (alt111) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:654:4: localVariableDeclaration
                    {
                    root_0 = (Object)adaptor.nil();

                    pushFollow(FOLLOW_localVariableDeclaration_in_blockStatement4164);
                    localVariableDeclaration320=localVariableDeclaration();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, localVariableDeclaration320.getTree());

                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:655:4: classOrInterfaceDeclaration
                    {
                    root_0 = (Object)adaptor.nil();

                    pushFollow(FOLLOW_classOrInterfaceDeclaration_in_blockStatement4169);
                    classOrInterfaceDeclaration321=classOrInterfaceDeclaration();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, classOrInterfaceDeclaration321.getTree());

                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:656:7: statement
                    {
                    root_0 = (Object)adaptor.nil();

                    pushFollow(FOLLOW_statement_in_blockStatement4177);
                    statement322=statement();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, statement322.getTree());

                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 80, blockStatement_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "blockStatement"

    public static class localVariableDeclaration_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "localVariableDeclaration"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:659:1: localVariableDeclaration : ( variableModifier )* type variableDeclarators ';' -> ^( VARDEF ^( MODIFIERS ( variableModifier )* ) type variableDeclarators ) ;
    public final JavaParser.localVariableDeclaration_return localVariableDeclaration() throws RecognitionException {
        JavaParser.localVariableDeclaration_return retval = new JavaParser.localVariableDeclaration_return();
        retval.start = input.LT(1);
        int localVariableDeclaration_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal326=null;
        JavaParser.variableModifier_return variableModifier323 = null;

        JavaParser.type_return type324 = null;

        JavaParser.variableDeclarators_return variableDeclarators325 = null;


        Object char_literal326_tree=null;
        RewriteRuleTokenStream stream_126=new RewriteRuleTokenStream(adaptor,"token 126");
        RewriteRuleSubtreeStream stream_variableDeclarators=new RewriteRuleSubtreeStream(adaptor,"rule variableDeclarators");
        RewriteRuleSubtreeStream stream_type=new RewriteRuleSubtreeStream(adaptor,"rule type");
        RewriteRuleSubtreeStream stream_variableModifier=new RewriteRuleSubtreeStream(adaptor,"rule variableModifier");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 81) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:660:2: ( ( variableModifier )* type variableDeclarators ';' -> ^( VARDEF ^( MODIFIERS ( variableModifier )* ) type variableDeclarators ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:660:4: ( variableModifier )* type variableDeclarators ';'
            {
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:660:4: ( variableModifier )*
            loop112:
            do {
                int alt112=2;
                int LA112_0 = input.LA(1);

                if ( (LA112_0==150||LA112_0==175) ) {
                    alt112=1;
                }


                switch (alt112) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: variableModifier
            	    {
            	    pushFollow(FOLLOW_variableModifier_in_localVariableDeclaration4189);
            	    variableModifier323=variableModifier();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) stream_variableModifier.add(variableModifier323.getTree());

            	    }
            	    break;

            	default :
            	    break loop112;
                }
            } while (true);

            pushFollow(FOLLOW_type_in_localVariableDeclaration4192);
            type324=type();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_type.add(type324.getTree());
            pushFollow(FOLLOW_variableDeclarators_in_localVariableDeclaration4194);
            variableDeclarators325=variableDeclarators();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_variableDeclarators.add(variableDeclarators325.getTree());
            char_literal326=(Token)match(input,126,FOLLOW_126_in_localVariableDeclaration4196); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_126.add(char_literal326);



            // AST REWRITE
            // elements: variableModifier, variableDeclarators, type
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 660:51: -> ^( VARDEF ^( MODIFIERS ( variableModifier )* ) type variableDeclarators )
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:660:54: ^( VARDEF ^( MODIFIERS ( variableModifier )* ) type variableDeclarators )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(VARDEF, "VARDEF"), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:660:63: ^( MODIFIERS ( variableModifier )* )
                {
                Object root_2 = (Object)adaptor.nil();
                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:660:75: ( variableModifier )*
                while ( stream_variableModifier.hasNext() ) {
                    adaptor.addChild(root_2, stream_variableModifier.nextTree());

                }
                stream_variableModifier.reset();

                adaptor.addChild(root_1, root_2);
                }
                adaptor.addChild(root_1, stream_type.nextTree());
                adaptor.addChild(root_1, stream_variableDeclarators.nextTree());

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 81, localVariableDeclaration_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "localVariableDeclaration"

    public static class statement_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "statement"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:663:1: statement : ( block | lc= 'assert' expression ( ':' expression )? ';' -> ^( ASSERT[$lc] expression ( expression )? ) | lc= 'if' parExpression statement ( options {k=1; } : 'else' statement )? -> ^( IF[$lc] parExpression statement ( statement )? ) | lc= 'for' '(' forControl ')' statement -> ^( FOR[$lc] forControl statement ) | lc= 'while' parExpression statement -> ^( WHILE[$lc] ^( TEST parExpression ) statement ) | lc= 'do' statement 'while' parExpression ';' -> ^( DOWHILE[$lc] ^( TEST parExpression ) statement ) | lc= 'try' block ( catches fc= 'finally' block -> ^( TRY[$lc] block catches ^( FINALLY[$fc] block ) ) | catches -> ^( TRY[$lc] block catches ) | fc= 'finally' block -> ^( TRY[$lc] block ^( FINALLY[$fc] block ) ) ) | lc= 'switch' parExpression '{' switchBlockStatementGroups '}' -> ^( SWITCH[$lc] parExpression switchBlockStatementGroups ) | lc= 'synchronized' parExpression block -> ^( SYNCHRONIZED[$lc] parExpression block ) | lc= 'return' ( expression )? ';' -> ^( RETURN[$lc] ( expression )? ) | lc= 'throw' expression ';' -> ^( THROW[$lc] expression ) | lc= 'break' ( Identifier )? ';' -> ^( BREAK[$lc] ( Identifier )? ) | lc= 'continue' ( Identifier )? ';' -> ^( CONTINUE[$lc] ( Identifier )? ) | ';' -> ^( BLOCK ) | statementExpression ';' -> statementExpression | lc= Identifier ':' statement -> ^( LABEL[$lc] Identifier statement ) );
    public final JavaParser.statement_return statement() throws RecognitionException {
        JavaParser.statement_return retval = new JavaParser.statement_return();
        retval.start = input.LT(1);
        int statement_StartIndex = input.index();
        Object root_0 = null;

        Token lc=null;
        Token fc=null;
        Token char_literal329=null;
        Token char_literal331=null;
        Token string_literal334=null;
        Token char_literal336=null;
        Token char_literal338=null;
        Token string_literal343=null;
        Token char_literal345=null;
        Token char_literal352=null;
        Token char_literal354=null;
        Token char_literal358=null;
        Token char_literal360=null;
        Token Identifier361=null;
        Token char_literal362=null;
        Token Identifier363=null;
        Token char_literal364=null;
        Token char_literal365=null;
        Token char_literal367=null;
        Token char_literal368=null;
        JavaParser.block_return block327 = null;

        JavaParser.expression_return expression328 = null;

        JavaParser.expression_return expression330 = null;

        JavaParser.parExpression_return parExpression332 = null;

        JavaParser.statement_return statement333 = null;

        JavaParser.statement_return statement335 = null;

        JavaParser.forControl_return forControl337 = null;

        JavaParser.statement_return statement339 = null;

        JavaParser.parExpression_return parExpression340 = null;

        JavaParser.statement_return statement341 = null;

        JavaParser.statement_return statement342 = null;

        JavaParser.parExpression_return parExpression344 = null;

        JavaParser.block_return block346 = null;

        JavaParser.catches_return catches347 = null;

        JavaParser.block_return block348 = null;

        JavaParser.catches_return catches349 = null;

        JavaParser.block_return block350 = null;

        JavaParser.parExpression_return parExpression351 = null;

        JavaParser.switchBlockStatementGroups_return switchBlockStatementGroups353 = null;

        JavaParser.parExpression_return parExpression355 = null;

        JavaParser.block_return block356 = null;

        JavaParser.expression_return expression357 = null;

        JavaParser.expression_return expression359 = null;

        JavaParser.statementExpression_return statementExpression366 = null;

        JavaParser.statement_return statement369 = null;


        Object lc_tree=null;
        Object fc_tree=null;
        Object char_literal329_tree=null;
        Object char_literal331_tree=null;
        Object string_literal334_tree=null;
        Object char_literal336_tree=null;
        Object char_literal338_tree=null;
        Object string_literal343_tree=null;
        Object char_literal345_tree=null;
        Object char_literal352_tree=null;
        Object char_literal354_tree=null;
        Object char_literal358_tree=null;
        Object char_literal360_tree=null;
        Object Identifier361_tree=null;
        Object char_literal362_tree=null;
        Object Identifier363_tree=null;
        Object char_literal364_tree=null;
        Object char_literal365_tree=null;
        Object char_literal367_tree=null;
        Object char_literal368_tree=null;
        RewriteRuleTokenStream stream_126=new RewriteRuleTokenStream(adaptor,"token 126");
        RewriteRuleTokenStream stream_138=new RewriteRuleTokenStream(adaptor,"token 138");
        RewriteRuleTokenStream stream_139=new RewriteRuleTokenStream(adaptor,"token 139");
        RewriteRuleTokenStream stream_188=new RewriteRuleTokenStream(adaptor,"token 188");
        RewriteRuleTokenStream stream_179=new RewriteRuleTokenStream(adaptor,"token 179");
        RewriteRuleTokenStream stream_187=new RewriteRuleTokenStream(adaptor,"token 187");
        RewriteRuleTokenStream stream_178=new RewriteRuleTokenStream(adaptor,"token 178");
        RewriteRuleTokenStream stream_169=new RewriteRuleTokenStream(adaptor,"token 169");
        RewriteRuleTokenStream stream_177=new RewriteRuleTokenStream(adaptor,"token 177");
        RewriteRuleTokenStream stream_189=new RewriteRuleTokenStream(adaptor,"token 189");
        RewriteRuleTokenStream stream_156=new RewriteRuleTokenStream(adaptor,"token 156");
        RewriteRuleTokenStream stream_152=new RewriteRuleTokenStream(adaptor,"token 152");
        RewriteRuleTokenStream stream_170=new RewriteRuleTokenStream(adaptor,"token 170");
        RewriteRuleTokenStream stream_180=new RewriteRuleTokenStream(adaptor,"token 180");
        RewriteRuleTokenStream stream_181=new RewriteRuleTokenStream(adaptor,"token 181");
        RewriteRuleTokenStream stream_182=new RewriteRuleTokenStream(adaptor,"token 182");
        RewriteRuleTokenStream stream_183=new RewriteRuleTokenStream(adaptor,"token 183");
        RewriteRuleTokenStream stream_184=new RewriteRuleTokenStream(adaptor,"token 184");
        RewriteRuleTokenStream stream_185=new RewriteRuleTokenStream(adaptor,"token 185");
        RewriteRuleTokenStream stream_186=new RewriteRuleTokenStream(adaptor,"token 186");
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleSubtreeStream stream_statement=new RewriteRuleSubtreeStream(adaptor,"rule statement");
        RewriteRuleSubtreeStream stream_expression=new RewriteRuleSubtreeStream(adaptor,"rule expression");
        RewriteRuleSubtreeStream stream_parExpression=new RewriteRuleSubtreeStream(adaptor,"rule parExpression");
        RewriteRuleSubtreeStream stream_switchBlockStatementGroups=new RewriteRuleSubtreeStream(adaptor,"rule switchBlockStatementGroups");
        RewriteRuleSubtreeStream stream_catches=new RewriteRuleSubtreeStream(adaptor,"rule catches");
        RewriteRuleSubtreeStream stream_statementExpression=new RewriteRuleSubtreeStream(adaptor,"rule statementExpression");
        RewriteRuleSubtreeStream stream_block=new RewriteRuleSubtreeStream(adaptor,"rule block");
        RewriteRuleSubtreeStream stream_forControl=new RewriteRuleSubtreeStream(adaptor,"rule forControl");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 82) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:664:2: ( block | lc= 'assert' expression ( ':' expression )? ';' -> ^( ASSERT[$lc] expression ( expression )? ) | lc= 'if' parExpression statement ( options {k=1; } : 'else' statement )? -> ^( IF[$lc] parExpression statement ( statement )? ) | lc= 'for' '(' forControl ')' statement -> ^( FOR[$lc] forControl statement ) | lc= 'while' parExpression statement -> ^( WHILE[$lc] ^( TEST parExpression ) statement ) | lc= 'do' statement 'while' parExpression ';' -> ^( DOWHILE[$lc] ^( TEST parExpression ) statement ) | lc= 'try' block ( catches fc= 'finally' block -> ^( TRY[$lc] block catches ^( FINALLY[$fc] block ) ) | catches -> ^( TRY[$lc] block catches ) | fc= 'finally' block -> ^( TRY[$lc] block ^( FINALLY[$fc] block ) ) ) | lc= 'switch' parExpression '{' switchBlockStatementGroups '}' -> ^( SWITCH[$lc] parExpression switchBlockStatementGroups ) | lc= 'synchronized' parExpression block -> ^( SYNCHRONIZED[$lc] parExpression block ) | lc= 'return' ( expression )? ';' -> ^( RETURN[$lc] ( expression )? ) | lc= 'throw' expression ';' -> ^( THROW[$lc] expression ) | lc= 'break' ( Identifier )? ';' -> ^( BREAK[$lc] ( Identifier )? ) | lc= 'continue' ( Identifier )? ';' -> ^( CONTINUE[$lc] ( Identifier )? ) | ';' -> ^( BLOCK ) | statementExpression ';' -> statementExpression | lc= Identifier ':' statement -> ^( LABEL[$lc] Identifier statement ) )
            int alt119=16;
            alt119 = dfa119.predict(input);
            switch (alt119) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:664:4: block
                    {
                    root_0 = (Object)adaptor.nil();

                    pushFollow(FOLLOW_block_in_statement4225);
                    block327=block();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, block327.getTree());

                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:665:7: lc= 'assert' expression ( ':' expression )? ';'
                    {
                    lc=(Token)match(input,177,FOLLOW_177_in_statement4235); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_177.add(lc);

                    pushFollow(FOLLOW_expression_in_statement4237);
                    expression328=expression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_expression.add(expression328.getTree());
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:665:30: ( ':' expression )?
                    int alt113=2;
                    int LA113_0 = input.LA(1);

                    if ( (LA113_0==156) ) {
                        alt113=1;
                    }
                    switch (alt113) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:665:31: ':' expression
                            {
                            char_literal329=(Token)match(input,156,FOLLOW_156_in_statement4240); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_156.add(char_literal329);

                            pushFollow(FOLLOW_expression_in_statement4242);
                            expression330=expression();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_expression.add(expression330.getTree());

                            }
                            break;

                    }

                    char_literal331=(Token)match(input,126,FOLLOW_126_in_statement4246); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_126.add(char_literal331);



                    // AST REWRITE
                    // elements: expression, expression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 665:52: -> ^( ASSERT[$lc] expression ( expression )? )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:665:55: ^( ASSERT[$lc] expression ( expression )? )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ASSERT, lc), root_1);

                        adaptor.addChild(root_1, stream_expression.nextTree());
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:665:80: ( expression )?
                        if ( stream_expression.hasNext() ) {
                            adaptor.addChild(root_1, stream_expression.nextTree());

                        }
                        stream_expression.reset();

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:666:7: lc= 'if' parExpression statement ( options {k=1; } : 'else' statement )?
                    {
                    lc=(Token)match(input,178,FOLLOW_178_in_statement4268); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_178.add(lc);

                    pushFollow(FOLLOW_parExpression_in_statement4270);
                    parExpression332=parExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_parExpression.add(parExpression332.getTree());
                    pushFollow(FOLLOW_statement_in_statement4272);
                    statement333=statement();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_statement.add(statement333.getTree());
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:666:39: ( options {k=1; } : 'else' statement )?
                    int alt114=2;
                    int LA114_0 = input.LA(1);

                    if ( (LA114_0==179) ) {
                        int LA114_1 = input.LA(2);

                        if ( (synpred164_Java()) ) {
                            alt114=1;
                        }
                    }
                    switch (alt114) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:666:55: 'else' statement
                            {
                            string_literal334=(Token)match(input,179,FOLLOW_179_in_statement4282); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_179.add(string_literal334);

                            pushFollow(FOLLOW_statement_in_statement4284);
                            statement335=statement();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_statement.add(statement335.getTree());

                            }
                            break;

                    }



                    // AST REWRITE
                    // elements: statement, statement, parExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 666:74: -> ^( IF[$lc] parExpression statement ( statement )? )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:666:77: ^( IF[$lc] parExpression statement ( statement )? )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(IF, lc), root_1);

                        adaptor.addChild(root_1, stream_parExpression.nextTree());
                        adaptor.addChild(root_1, stream_statement.nextTree());
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:666:111: ( statement )?
                        if ( stream_statement.hasNext() ) {
                            adaptor.addChild(root_1, stream_statement.nextTree());

                        }
                        stream_statement.reset();

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 4 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:667:7: lc= 'for' '(' forControl ')' statement
                    {
                    lc=(Token)match(input,180,FOLLOW_180_in_statement4310); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_180.add(lc);

                    char_literal336=(Token)match(input,169,FOLLOW_169_in_statement4312); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_169.add(char_literal336);

                    pushFollow(FOLLOW_forControl_in_statement4314);
                    forControl337=forControl();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_forControl.add(forControl337.getTree());
                    char_literal338=(Token)match(input,170,FOLLOW_170_in_statement4316); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_170.add(char_literal338);

                    pushFollow(FOLLOW_statement_in_statement4318);
                    statement339=statement();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_statement.add(statement339.getTree());


                    // AST REWRITE
                    // elements: statement, forControl
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 667:45: -> ^( FOR[$lc] forControl statement )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:667:48: ^( FOR[$lc] forControl statement )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(FOR, lc), root_1);

                        adaptor.addChild(root_1, stream_forControl.nextTree());
                        adaptor.addChild(root_1, stream_statement.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 5 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:668:7: lc= 'while' parExpression statement
                    {
                    lc=(Token)match(input,181,FOLLOW_181_in_statement4339); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_181.add(lc);

                    pushFollow(FOLLOW_parExpression_in_statement4341);
                    parExpression340=parExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_parExpression.add(parExpression340.getTree());
                    pushFollow(FOLLOW_statement_in_statement4343);
                    statement341=statement();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_statement.add(statement341.getTree());


                    // AST REWRITE
                    // elements: statement, parExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 668:42: -> ^( WHILE[$lc] ^( TEST parExpression ) statement )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:668:45: ^( WHILE[$lc] ^( TEST parExpression ) statement )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(WHILE, lc), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:668:58: ^( TEST parExpression )
                        {
                        Object root_2 = (Object)adaptor.nil();
                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(TEST, "TEST"), root_2);

                        adaptor.addChild(root_2, stream_parExpression.nextTree());

                        adaptor.addChild(root_1, root_2);
                        }
                        adaptor.addChild(root_1, stream_statement.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 6 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:669:7: lc= 'do' statement 'while' parExpression ';'
                    {
                    lc=(Token)match(input,182,FOLLOW_182_in_statement4368); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_182.add(lc);

                    pushFollow(FOLLOW_statement_in_statement4370);
                    statement342=statement();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_statement.add(statement342.getTree());
                    string_literal343=(Token)match(input,181,FOLLOW_181_in_statement4372); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_181.add(string_literal343);

                    pushFollow(FOLLOW_parExpression_in_statement4374);
                    parExpression344=parExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_parExpression.add(parExpression344.getTree());
                    char_literal345=(Token)match(input,126,FOLLOW_126_in_statement4376); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_126.add(char_literal345);



                    // AST REWRITE
                    // elements: statement, parExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 669:51: -> ^( DOWHILE[$lc] ^( TEST parExpression ) statement )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:669:54: ^( DOWHILE[$lc] ^( TEST parExpression ) statement )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(DOWHILE, lc), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:669:69: ^( TEST parExpression )
                        {
                        Object root_2 = (Object)adaptor.nil();
                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(TEST, "TEST"), root_2);

                        adaptor.addChild(root_2, stream_parExpression.nextTree());

                        adaptor.addChild(root_1, root_2);
                        }
                        adaptor.addChild(root_1, stream_statement.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 7 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:670:7: lc= 'try' block ( catches fc= 'finally' block -> ^( TRY[$lc] block catches ^( FINALLY[$fc] block ) ) | catches -> ^( TRY[$lc] block catches ) | fc= 'finally' block -> ^( TRY[$lc] block ^( FINALLY[$fc] block ) ) )
                    {
                    lc=(Token)match(input,183,FOLLOW_183_in_statement4401); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_183.add(lc);

                    pushFollow(FOLLOW_block_in_statement4403);
                    block346=block();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_block.add(block346.getTree());
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:671:7: ( catches fc= 'finally' block -> ^( TRY[$lc] block catches ^( FINALLY[$fc] block ) ) | catches -> ^( TRY[$lc] block catches ) | fc= 'finally' block -> ^( TRY[$lc] block ^( FINALLY[$fc] block ) ) )
                    int alt115=3;
                    int LA115_0 = input.LA(1);

                    if ( (LA115_0==190) ) {
                        int LA115_1 = input.LA(2);

                        if ( (LA115_1==169) ) {
                            int LA115_3 = input.LA(3);

                            if ( (synpred169_Java()) ) {
                                alt115=1;
                            }
                            else if ( (synpred170_Java()) ) {
                                alt115=2;
                            }
                            else {
                                if (state.backtracking>0) {state.failed=true; return retval;}
                                NoViableAltException nvae =
                                    new NoViableAltException("", 115, 3, input);

                                throw nvae;
                            }
                        }
                        else {
                            if (state.backtracking>0) {state.failed=true; return retval;}
                            NoViableAltException nvae =
                                new NoViableAltException("", 115, 1, input);

                            throw nvae;
                        }
                    }
                    else if ( (LA115_0==184) ) {
                        alt115=3;
                    }
                    else {
                        if (state.backtracking>0) {state.failed=true; return retval;}
                        NoViableAltException nvae =
                            new NoViableAltException("", 115, 0, input);

                        throw nvae;
                    }
                    switch (alt115) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:671:9: catches fc= 'finally' block
                            {
                            pushFollow(FOLLOW_catches_in_statement4413);
                            catches347=catches();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_catches.add(catches347.getTree());
                            fc=(Token)match(input,184,FOLLOW_184_in_statement4417); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_184.add(fc);

                            pushFollow(FOLLOW_block_in_statement4419);
                            block348=block();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_block.add(block348.getTree());


                            // AST REWRITE
                            // elements: catches, block, block
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 671:36: -> ^( TRY[$lc] block catches ^( FINALLY[$fc] block ) )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:671:39: ^( TRY[$lc] block catches ^( FINALLY[$fc] block ) )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(TRY, lc), root_1);

                                adaptor.addChild(root_1, stream_block.nextTree());
                                adaptor.addChild(root_1, stream_catches.nextTree());
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:671:64: ^( FINALLY[$fc] block )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(FINALLY, fc), root_2);

                                adaptor.addChild(root_2, stream_block.nextTree());

                                adaptor.addChild(root_1, root_2);
                                }

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 2 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:672:9: catches
                            {
                            pushFollow(FOLLOW_catches_in_statement4447);
                            catches349=catches();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_catches.add(catches349.getTree());


                            // AST REWRITE
                            // elements: block, catches
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 672:17: -> ^( TRY[$lc] block catches )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:672:20: ^( TRY[$lc] block catches )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(TRY, lc), root_1);

                                adaptor.addChild(root_1, stream_block.nextTree());
                                adaptor.addChild(root_1, stream_catches.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 3 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:673:9: fc= 'finally' block
                            {
                            fc=(Token)match(input,184,FOLLOW_184_in_statement4470); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_184.add(fc);

                            pushFollow(FOLLOW_block_in_statement4472);
                            block350=block();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_block.add(block350.getTree());


                            // AST REWRITE
                            // elements: block, block
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 673:28: -> ^( TRY[$lc] block ^( FINALLY[$fc] block ) )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:673:31: ^( TRY[$lc] block ^( FINALLY[$fc] block ) )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(TRY, lc), root_1);

                                adaptor.addChild(root_1, stream_block.nextTree());
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:673:48: ^( FINALLY[$fc] block )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(FINALLY, fc), root_2);

                                adaptor.addChild(root_2, stream_block.nextTree());

                                adaptor.addChild(root_1, root_2);
                                }

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;

                    }


                    }
                    break;
                case 8 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:675:7: lc= 'switch' parExpression '{' switchBlockStatementGroups '}'
                    {
                    lc=(Token)match(input,185,FOLLOW_185_in_statement4506); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_185.add(lc);

                    pushFollow(FOLLOW_parExpression_in_statement4508);
                    parExpression351=parExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_parExpression.add(parExpression351.getTree());
                    char_literal352=(Token)match(input,138,FOLLOW_138_in_statement4510); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_138.add(char_literal352);

                    pushFollow(FOLLOW_switchBlockStatementGroups_in_statement4512);
                    switchBlockStatementGroups353=switchBlockStatementGroups();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_switchBlockStatementGroups.add(switchBlockStatementGroups353.getTree());
                    char_literal354=(Token)match(input,139,FOLLOW_139_in_statement4514); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_139.add(char_literal354);



                    // AST REWRITE
                    // elements: switchBlockStatementGroups, parExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 675:68: -> ^( SWITCH[$lc] parExpression switchBlockStatementGroups )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:675:71: ^( SWITCH[$lc] parExpression switchBlockStatementGroups )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(SWITCH, lc), root_1);

                        adaptor.addChild(root_1, stream_parExpression.nextTree());
                        adaptor.addChild(root_1, stream_switchBlockStatementGroups.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 9 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:676:7: lc= 'synchronized' parExpression block
                    {
                    lc=(Token)match(input,152,FOLLOW_152_in_statement4535); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_152.add(lc);

                    pushFollow(FOLLOW_parExpression_in_statement4537);
                    parExpression355=parExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_parExpression.add(parExpression355.getTree());
                    pushFollow(FOLLOW_block_in_statement4539);
                    block356=block();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_block.add(block356.getTree());


                    // AST REWRITE
                    // elements: parExpression, block
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 676:45: -> ^( SYNCHRONIZED[$lc] parExpression block )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:676:48: ^( SYNCHRONIZED[$lc] parExpression block )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(SYNCHRONIZED, lc), root_1);

                        adaptor.addChild(root_1, stream_parExpression.nextTree());
                        adaptor.addChild(root_1, stream_block.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 10 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:677:7: lc= 'return' ( expression )? ';'
                    {
                    lc=(Token)match(input,186,FOLLOW_186_in_statement4560); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_186.add(lc);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:677:19: ( expression )?
                    int alt116=2;
                    alt116 = dfa116.predict(input);
                    switch (alt116) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: expression
                            {
                            pushFollow(FOLLOW_expression_in_statement4562);
                            expression357=expression();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_expression.add(expression357.getTree());

                            }
                            break;

                    }

                    char_literal358=(Token)match(input,126,FOLLOW_126_in_statement4565); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_126.add(char_literal358);



                    // AST REWRITE
                    // elements: expression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 677:35: -> ^( RETURN[$lc] ( expression )? )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:677:38: ^( RETURN[$lc] ( expression )? )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(RETURN, lc), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:677:52: ( expression )?
                        if ( stream_expression.hasNext() ) {
                            adaptor.addChild(root_1, stream_expression.nextTree());

                        }
                        stream_expression.reset();

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 11 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:678:7: lc= 'throw' expression ';'
                    {
                    lc=(Token)match(input,187,FOLLOW_187_in_statement4585); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_187.add(lc);

                    pushFollow(FOLLOW_expression_in_statement4587);
                    expression359=expression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_expression.add(expression359.getTree());
                    char_literal360=(Token)match(input,126,FOLLOW_126_in_statement4589); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_126.add(char_literal360);



                    // AST REWRITE
                    // elements: expression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 678:33: -> ^( THROW[$lc] expression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:678:36: ^( THROW[$lc] expression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(THROW, lc), root_1);

                        adaptor.addChild(root_1, stream_expression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 12 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:679:7: lc= 'break' ( Identifier )? ';'
                    {
                    lc=(Token)match(input,188,FOLLOW_188_in_statement4608); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_188.add(lc);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:679:18: ( Identifier )?
                    int alt117=2;
                    int LA117_0 = input.LA(1);

                    if ( (LA117_0==Identifier) ) {
                        alt117=1;
                    }
                    switch (alt117) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: Identifier
                            {
                            Identifier361=(Token)match(input,Identifier,FOLLOW_Identifier_in_statement4610); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_Identifier.add(Identifier361);


                            }
                            break;

                    }

                    char_literal362=(Token)match(input,126,FOLLOW_126_in_statement4613); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_126.add(char_literal362);



                    // AST REWRITE
                    // elements: Identifier
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 679:34: -> ^( BREAK[$lc] ( Identifier )? )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:679:37: ^( BREAK[$lc] ( Identifier )? )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(BREAK, lc), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:679:50: ( Identifier )?
                        if ( stream_Identifier.hasNext() ) {
                            adaptor.addChild(root_1, stream_Identifier.nextNode());

                        }
                        stream_Identifier.reset();

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 13 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:680:7: lc= 'continue' ( Identifier )? ';'
                    {
                    lc=(Token)match(input,189,FOLLOW_189_in_statement4633); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_189.add(lc);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:680:21: ( Identifier )?
                    int alt118=2;
                    int LA118_0 = input.LA(1);

                    if ( (LA118_0==Identifier) ) {
                        alt118=1;
                    }
                    switch (alt118) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: Identifier
                            {
                            Identifier363=(Token)match(input,Identifier,FOLLOW_Identifier_in_statement4635); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_Identifier.add(Identifier363);


                            }
                            break;

                    }

                    char_literal364=(Token)match(input,126,FOLLOW_126_in_statement4638); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_126.add(char_literal364);



                    // AST REWRITE
                    // elements: Identifier
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 680:37: -> ^( CONTINUE[$lc] ( Identifier )? )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:680:40: ^( CONTINUE[$lc] ( Identifier )? )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(CONTINUE, lc), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:680:56: ( Identifier )?
                        if ( stream_Identifier.hasNext() ) {
                            adaptor.addChild(root_1, stream_Identifier.nextNode());

                        }
                        stream_Identifier.reset();

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 14 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:681:7: ';'
                    {
                    char_literal365=(Token)match(input,126,FOLLOW_126_in_statement4656); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_126.add(char_literal365);



                    // AST REWRITE
                    // elements: 
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 681:11: -> ^( BLOCK )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:681:14: ^( BLOCK )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(BLOCK, "BLOCK"), root_1);

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 15 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:682:7: statementExpression ';'
                    {
                    pushFollow(FOLLOW_statementExpression_in_statement4671);
                    statementExpression366=statementExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_statementExpression.add(statementExpression366.getTree());
                    char_literal367=(Token)match(input,126,FOLLOW_126_in_statement4673); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_126.add(char_literal367);



                    // AST REWRITE
                    // elements: statementExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 682:31: -> statementExpression
                    {
                        adaptor.addChild(root_0, stream_statementExpression.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 16 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:683:7: lc= Identifier ':' statement
                    {
                    lc=(Token)match(input,Identifier,FOLLOW_Identifier_in_statement4687); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_Identifier.add(lc);

                    char_literal368=(Token)match(input,156,FOLLOW_156_in_statement4689); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_156.add(char_literal368);

                    pushFollow(FOLLOW_statement_in_statement4691);
                    statement369=statement();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_statement.add(statement369.getTree());


                    // AST REWRITE
                    // elements: statement, Identifier
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 683:35: -> ^( LABEL[$lc] Identifier statement )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:683:38: ^( LABEL[$lc] Identifier statement )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(LABEL, lc), root_1);

                        adaptor.addChild(root_1, stream_Identifier.nextNode());
                        adaptor.addChild(root_1, stream_statement.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 82, statement_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "statement"

    public static class catches_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "catches"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:686:1: catches : catchClause ( catchClause )* ;
    public final JavaParser.catches_return catches() throws RecognitionException {
        JavaParser.catches_return retval = new JavaParser.catches_return();
        retval.start = input.LT(1);
        int catches_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.catchClause_return catchClause370 = null;

        JavaParser.catchClause_return catchClause371 = null;



        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 83) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:687:2: ( catchClause ( catchClause )* )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:687:4: catchClause ( catchClause )*
            {
            root_0 = (Object)adaptor.nil();

            pushFollow(FOLLOW_catchClause_in_catches4713);
            catchClause370=catchClause();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) adaptor.addChild(root_0, catchClause370.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:687:16: ( catchClause )*
            loop120:
            do {
                int alt120=2;
                alt120 = dfa120.predict(input);
                switch (alt120) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:687:17: catchClause
            	    {
            	    pushFollow(FOLLOW_catchClause_in_catches4716);
            	    catchClause371=catchClause();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) adaptor.addChild(root_0, catchClause371.getTree());

            	    }
            	    break;

            	default :
            	    break loop120;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 83, catches_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "catches"

    public static class catchClause_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "catchClause"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:690:1: catchClause : lc= 'catch' '(' formalParameter ')' block -> ^( CATCH[$lc] ^( PARAMETER formalParameter ) block ) ;
    public final JavaParser.catchClause_return catchClause() throws RecognitionException {
        JavaParser.catchClause_return retval = new JavaParser.catchClause_return();
        retval.start = input.LT(1);
        int catchClause_StartIndex = input.index();
        Object root_0 = null;

        Token lc=null;
        Token char_literal372=null;
        Token char_literal374=null;
        JavaParser.formalParameter_return formalParameter373 = null;

        JavaParser.block_return block375 = null;


        Object lc_tree=null;
        Object char_literal372_tree=null;
        Object char_literal374_tree=null;
        RewriteRuleTokenStream stream_170=new RewriteRuleTokenStream(adaptor,"token 170");
        RewriteRuleTokenStream stream_169=new RewriteRuleTokenStream(adaptor,"token 169");
        RewriteRuleTokenStream stream_190=new RewriteRuleTokenStream(adaptor,"token 190");
        RewriteRuleSubtreeStream stream_formalParameter=new RewriteRuleSubtreeStream(adaptor,"rule formalParameter");
        RewriteRuleSubtreeStream stream_block=new RewriteRuleSubtreeStream(adaptor,"rule block");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 84) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:691:2: (lc= 'catch' '(' formalParameter ')' block -> ^( CATCH[$lc] ^( PARAMETER formalParameter ) block ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:691:4: lc= 'catch' '(' formalParameter ')' block
            {
            lc=(Token)match(input,190,FOLLOW_190_in_catchClause4732); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_190.add(lc);

            char_literal372=(Token)match(input,169,FOLLOW_169_in_catchClause4734); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_169.add(char_literal372);

            pushFollow(FOLLOW_formalParameter_in_catchClause4736);
            formalParameter373=formalParameter();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_formalParameter.add(formalParameter373.getTree());
            char_literal374=(Token)match(input,170,FOLLOW_170_in_catchClause4738); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_170.add(char_literal374);

            pushFollow(FOLLOW_block_in_catchClause4740);
            block375=block();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_block.add(block375.getTree());


            // AST REWRITE
            // elements: block, formalParameter
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 691:45: -> ^( CATCH[$lc] ^( PARAMETER formalParameter ) block )
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:691:48: ^( CATCH[$lc] ^( PARAMETER formalParameter ) block )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(CATCH, lc), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:691:61: ^( PARAMETER formalParameter )
                {
                Object root_2 = (Object)adaptor.nil();
                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(PARAMETER, "PARAMETER"), root_2);

                adaptor.addChild(root_2, stream_formalParameter.nextTree());

                adaptor.addChild(root_1, root_2);
                }
                adaptor.addChild(root_1, stream_block.nextTree());

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 84, catchClause_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "catchClause"

    public static class formalParameter_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "formalParameter"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:694:1: formalParameter : ( variableModifier )* type variableDeclaratorId ;
    public final JavaParser.formalParameter_return formalParameter() throws RecognitionException {
        JavaParser.formalParameter_return retval = new JavaParser.formalParameter_return();
        retval.start = input.LT(1);
        int formalParameter_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.variableModifier_return variableModifier376 = null;

        JavaParser.type_return type377 = null;

        JavaParser.variableDeclaratorId_return variableDeclaratorId378 = null;



        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 85) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:695:2: ( ( variableModifier )* type variableDeclaratorId )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:695:4: ( variableModifier )* type variableDeclaratorId
            {
            root_0 = (Object)adaptor.nil();

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:695:4: ( variableModifier )*
            loop121:
            do {
                int alt121=2;
                int LA121_0 = input.LA(1);

                if ( (LA121_0==150||LA121_0==175) ) {
                    alt121=1;
                }


                switch (alt121) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: variableModifier
            	    {
            	    pushFollow(FOLLOW_variableModifier_in_formalParameter4766);
            	    variableModifier376=variableModifier();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) adaptor.addChild(root_0, variableModifier376.getTree());

            	    }
            	    break;

            	default :
            	    break loop121;
                }
            } while (true);

            pushFollow(FOLLOW_type_in_formalParameter4769);
            type377=type();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) adaptor.addChild(root_0, type377.getTree());
            pushFollow(FOLLOW_variableDeclaratorId_in_formalParameter4771);
            variableDeclaratorId378=variableDeclaratorId();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) adaptor.addChild(root_0, variableDeclaratorId378.getTree());

            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 85, formalParameter_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "formalParameter"

    public static class switchBlockStatementGroups_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "switchBlockStatementGroups"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:698:1: switchBlockStatementGroups : ( switchBlockStatementGroup )* ;
    public final JavaParser.switchBlockStatementGroups_return switchBlockStatementGroups() throws RecognitionException {
        JavaParser.switchBlockStatementGroups_return retval = new JavaParser.switchBlockStatementGroups_return();
        retval.start = input.LT(1);
        int switchBlockStatementGroups_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.switchBlockStatementGroup_return switchBlockStatementGroup379 = null;



        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 86) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:699:2: ( ( switchBlockStatementGroup )* )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:699:4: ( switchBlockStatementGroup )*
            {
            root_0 = (Object)adaptor.nil();

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:699:4: ( switchBlockStatementGroup )*
            loop122:
            do {
                int alt122=2;
                int LA122_0 = input.LA(1);

                if ( (LA122_0==176||LA122_0==191) ) {
                    alt122=1;
                }


                switch (alt122) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:699:5: switchBlockStatementGroup
            	    {
            	    pushFollow(FOLLOW_switchBlockStatementGroup_in_switchBlockStatementGroups4785);
            	    switchBlockStatementGroup379=switchBlockStatementGroup();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) adaptor.addChild(root_0, switchBlockStatementGroup379.getTree());

            	    }
            	    break;

            	default :
            	    break loop122;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 86, switchBlockStatementGroups_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "switchBlockStatementGroups"

    public static class switchBlockStatementGroup_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "switchBlockStatementGroup"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:702:1: switchBlockStatementGroup : switchLabel ( blockStatement )* -> ^( switchLabel ^( BLOCK ( blockStatement )* ) ) ;
    public final JavaParser.switchBlockStatementGroup_return switchBlockStatementGroup() throws RecognitionException {
        JavaParser.switchBlockStatementGroup_return retval = new JavaParser.switchBlockStatementGroup_return();
        retval.start = input.LT(1);
        int switchBlockStatementGroup_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.switchLabel_return switchLabel380 = null;

        JavaParser.blockStatement_return blockStatement381 = null;


        RewriteRuleSubtreeStream stream_switchLabel=new RewriteRuleSubtreeStream(adaptor,"rule switchLabel");
        RewriteRuleSubtreeStream stream_blockStatement=new RewriteRuleSubtreeStream(adaptor,"rule blockStatement");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 87) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:703:2: ( switchLabel ( blockStatement )* -> ^( switchLabel ^( BLOCK ( blockStatement )* ) ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:703:4: switchLabel ( blockStatement )*
            {
            pushFollow(FOLLOW_switchLabel_in_switchBlockStatementGroup4799);
            switchLabel380=switchLabel();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_switchLabel.add(switchLabel380.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:703:16: ( blockStatement )*
            loop123:
            do {
                int alt123=2;
                alt123 = dfa123.predict(input);
                switch (alt123) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: blockStatement
            	    {
            	    pushFollow(FOLLOW_blockStatement_in_switchBlockStatementGroup4801);
            	    blockStatement381=blockStatement();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) stream_blockStatement.add(blockStatement381.getTree());

            	    }
            	    break;

            	default :
            	    break loop123;
                }
            } while (true);



            // AST REWRITE
            // elements: blockStatement, switchLabel
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 703:32: -> ^( switchLabel ^( BLOCK ( blockStatement )* ) )
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:703:35: ^( switchLabel ^( BLOCK ( blockStatement )* ) )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot(stream_switchLabel.nextNode(), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:703:49: ^( BLOCK ( blockStatement )* )
                {
                Object root_2 = (Object)adaptor.nil();
                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(BLOCK, "BLOCK"), root_2);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:703:57: ( blockStatement )*
                while ( stream_blockStatement.hasNext() ) {
                    adaptor.addChild(root_2, stream_blockStatement.nextTree());

                }
                stream_blockStatement.reset();

                adaptor.addChild(root_1, root_2);
                }

                adaptor.addChild(root_0, root_1);
                }

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 87, switchBlockStatementGroup_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "switchBlockStatementGroup"

    public static class switchLabel_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "switchLabel"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:706:1: switchLabel : (lc= 'case' constantExpression ':' -> ^( CASE[$lc] constantExpression ) | lc= 'case' enumConstantName ':' -> ^( CASE[$lc] enumConstantName ) | lc= 'default' ':' -> ^( DEFAULT ) );
    public final JavaParser.switchLabel_return switchLabel() throws RecognitionException {
        JavaParser.switchLabel_return retval = new JavaParser.switchLabel_return();
        retval.start = input.LT(1);
        int switchLabel_StartIndex = input.index();
        Object root_0 = null;

        Token lc=null;
        Token char_literal383=null;
        Token char_literal385=null;
        Token char_literal386=null;
        JavaParser.constantExpression_return constantExpression382 = null;

        JavaParser.enumConstantName_return enumConstantName384 = null;


        Object lc_tree=null;
        Object char_literal383_tree=null;
        Object char_literal385_tree=null;
        Object char_literal386_tree=null;
        RewriteRuleTokenStream stream_176=new RewriteRuleTokenStream(adaptor,"token 176");
        RewriteRuleTokenStream stream_191=new RewriteRuleTokenStream(adaptor,"token 191");
        RewriteRuleTokenStream stream_156=new RewriteRuleTokenStream(adaptor,"token 156");
        RewriteRuleSubtreeStream stream_constantExpression=new RewriteRuleSubtreeStream(adaptor,"rule constantExpression");
        RewriteRuleSubtreeStream stream_enumConstantName=new RewriteRuleSubtreeStream(adaptor,"rule enumConstantName");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 88) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:707:2: (lc= 'case' constantExpression ':' -> ^( CASE[$lc] constantExpression ) | lc= 'case' enumConstantName ':' -> ^( CASE[$lc] enumConstantName ) | lc= 'default' ':' -> ^( DEFAULT ) )
            int alt124=3;
            alt124 = dfa124.predict(input);
            switch (alt124) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:707:4: lc= 'case' constantExpression ':'
                    {
                    lc=(Token)match(input,191,FOLLOW_191_in_switchLabel4829); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_191.add(lc);

                    pushFollow(FOLLOW_constantExpression_in_switchLabel4831);
                    constantExpression382=constantExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_constantExpression.add(constantExpression382.getTree());
                    char_literal383=(Token)match(input,156,FOLLOW_156_in_switchLabel4833); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_156.add(char_literal383);



                    // AST REWRITE
                    // elements: constantExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 707:37: -> ^( CASE[$lc] constantExpression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:707:40: ^( CASE[$lc] constantExpression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(CASE, lc), root_1);

                        adaptor.addChild(root_1, stream_constantExpression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:708:4: lc= 'case' enumConstantName ':'
                    {
                    lc=(Token)match(input,191,FOLLOW_191_in_switchLabel4849); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_191.add(lc);

                    pushFollow(FOLLOW_enumConstantName_in_switchLabel4851);
                    enumConstantName384=enumConstantName();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_enumConstantName.add(enumConstantName384.getTree());
                    char_literal385=(Token)match(input,156,FOLLOW_156_in_switchLabel4853); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_156.add(char_literal385);



                    // AST REWRITE
                    // elements: enumConstantName
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 708:35: -> ^( CASE[$lc] enumConstantName )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:708:38: ^( CASE[$lc] enumConstantName )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(CASE, lc), root_1);

                        adaptor.addChild(root_1, stream_enumConstantName.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:709:4: lc= 'default' ':'
                    {
                    lc=(Token)match(input,176,FOLLOW_176_in_switchLabel4869); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_176.add(lc);

                    char_literal386=(Token)match(input,156,FOLLOW_156_in_switchLabel4871); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_156.add(char_literal386);



                    // AST REWRITE
                    // elements: 
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 709:21: -> ^( DEFAULT )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:709:24: ^( DEFAULT )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(DEFAULT, "DEFAULT"), root_1);

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 88, switchLabel_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "switchLabel"

    public static class moreStatementExpressions_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "moreStatementExpressions"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:712:1: moreStatementExpressions : ( ',' statementExpression )* ;
    public final JavaParser.moreStatementExpressions_return moreStatementExpressions() throws RecognitionException {
        JavaParser.moreStatementExpressions_return retval = new JavaParser.moreStatementExpressions_return();
        retval.start = input.LT(1);
        int moreStatementExpressions_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal387=null;
        JavaParser.statementExpression_return statementExpression388 = null;


        Object char_literal387_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 89) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:713:2: ( ( ',' statementExpression )* )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:713:4: ( ',' statementExpression )*
            {
            root_0 = (Object)adaptor.nil();

            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:713:4: ( ',' statementExpression )*
            loop125:
            do {
                int alt125=2;
                int LA125_0 = input.LA(1);

                if ( (LA125_0==135) ) {
                    alt125=1;
                }


                switch (alt125) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:713:5: ',' statementExpression
            	    {
            	    char_literal387=(Token)match(input,135,FOLLOW_135_in_moreStatementExpressions4890); if (state.failed) return retval;
            	    if ( state.backtracking==0 ) {
            	    char_literal387_tree = (Object)adaptor.create(char_literal387);
            	    adaptor.addChild(root_0, char_literal387_tree);
            	    }
            	    pushFollow(FOLLOW_statementExpression_in_moreStatementExpressions4892);
            	    statementExpression388=statementExpression();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) adaptor.addChild(root_0, statementExpression388.getTree());

            	    }
            	    break;

            	default :
            	    break loop125;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 89, moreStatementExpressions_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "moreStatementExpressions"

    public static class forControl_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "forControl"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:716:1: forControl options {k=3; } : ( forVarControl -> ^( FOREACH forVarControl ) | ( forInit )? ';' (fc= expression )? ';' (fu= forUpdate )? -> ^( INIT ( forInit )? ) ^( TEST ( expression )? ) ^( STEP ( forUpdate )? ) );
    public final JavaParser.forControl_return forControl() throws RecognitionException {
        JavaParser.forControl_return retval = new JavaParser.forControl_return();
        retval.start = input.LT(1);
        int forControl_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal391=null;
        Token char_literal392=null;
        JavaParser.expression_return fc = null;

        JavaParser.forUpdate_return fu = null;

        JavaParser.forVarControl_return forVarControl389 = null;

        JavaParser.forInit_return forInit390 = null;


        Object char_literal391_tree=null;
        Object char_literal392_tree=null;
        RewriteRuleTokenStream stream_126=new RewriteRuleTokenStream(adaptor,"token 126");
        RewriteRuleSubtreeStream stream_expression=new RewriteRuleSubtreeStream(adaptor,"rule expression");
        RewriteRuleSubtreeStream stream_forVarControl=new RewriteRuleSubtreeStream(adaptor,"rule forVarControl");
        RewriteRuleSubtreeStream stream_forInit=new RewriteRuleSubtreeStream(adaptor,"rule forInit");
        RewriteRuleSubtreeStream stream_forUpdate=new RewriteRuleSubtreeStream(adaptor,"rule forUpdate");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 90) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:718:2: ( forVarControl -> ^( FOREACH forVarControl ) | ( forInit )? ';' (fc= expression )? ';' (fu= forUpdate )? -> ^( INIT ( forInit )? ) ^( TEST ( expression )? ) ^( STEP ( forUpdate )? ) )
            int alt129=2;
            alt129 = dfa129.predict(input);
            switch (alt129) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:718:4: forVarControl
                    {
                    pushFollow(FOLLOW_forVarControl_in_forControl4913);
                    forVarControl389=forVarControl();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_forVarControl.add(forVarControl389.getTree());


                    // AST REWRITE
                    // elements: forVarControl
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 718:18: -> ^( FOREACH forVarControl )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:718:21: ^( FOREACH forVarControl )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(FOREACH, "FOREACH"), root_1);

                        adaptor.addChild(root_1, stream_forVarControl.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:719:4: ( forInit )? ';' (fc= expression )? ';' (fu= forUpdate )?
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:719:4: ( forInit )?
                    int alt126=2;
                    alt126 = dfa126.predict(input);
                    switch (alt126) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: forInit
                            {
                            pushFollow(FOLLOW_forInit_in_forControl4926);
                            forInit390=forInit();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_forInit.add(forInit390.getTree());

                            }
                            break;

                    }

                    char_literal391=(Token)match(input,126,FOLLOW_126_in_forControl4929); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_126.add(char_literal391);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:719:19: (fc= expression )?
                    int alt127=2;
                    alt127 = dfa127.predict(input);
                    switch (alt127) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: fc= expression
                            {
                            pushFollow(FOLLOW_expression_in_forControl4933);
                            fc=expression();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_expression.add(fc.getTree());

                            }
                            break;

                    }

                    char_literal392=(Token)match(input,126,FOLLOW_126_in_forControl4936); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_126.add(char_literal392);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:719:38: (fu= forUpdate )?
                    int alt128=2;
                    alt128 = dfa128.predict(input);
                    switch (alt128) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: fu= forUpdate
                            {
                            pushFollow(FOLLOW_forUpdate_in_forControl4940);
                            fu=forUpdate();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_forUpdate.add(fu.getTree());

                            }
                            break;

                    }



                    // AST REWRITE
                    // elements: expression, forUpdate, forInit
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 719:50: -> ^( INIT ( forInit )? ) ^( TEST ( expression )? ) ^( STEP ( forUpdate )? )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:719:53: ^( INIT ( forInit )? )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(INIT, "INIT"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:719:60: ( forInit )?
                        if ( stream_forInit.hasNext() ) {
                            adaptor.addChild(root_1, stream_forInit.nextTree());

                        }
                        stream_forInit.reset();

                        adaptor.addChild(root_0, root_1);
                        }
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:719:70: ^( TEST ( expression )? )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(TEST, "TEST"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:719:77: ( expression )?
                        if ( stream_expression.hasNext() ) {
                            adaptor.addChild(root_1, stream_expression.nextTree());

                        }
                        stream_expression.reset();

                        adaptor.addChild(root_0, root_1);
                        }
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:719:90: ^( STEP ( forUpdate )? )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(STEP, "STEP"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:719:97: ( forUpdate )?
                        if ( stream_forUpdate.hasNext() ) {
                            adaptor.addChild(root_1, stream_forUpdate.nextTree());

                        }
                        stream_forUpdate.reset();

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 90, forControl_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "forControl"

    public static class forInit_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "forInit"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:722:1: forInit : ( ( variableModifier )* type variableDeclarators -> ^( VARDEF ^( MODIFIERS ( variableModifier )* ) type variableDeclarators ) | expressionList );
    public final JavaParser.forInit_return forInit() throws RecognitionException {
        JavaParser.forInit_return retval = new JavaParser.forInit_return();
        retval.start = input.LT(1);
        int forInit_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.variableModifier_return variableModifier393 = null;

        JavaParser.type_return type394 = null;

        JavaParser.variableDeclarators_return variableDeclarators395 = null;

        JavaParser.expressionList_return expressionList396 = null;


        RewriteRuleSubtreeStream stream_variableDeclarators=new RewriteRuleSubtreeStream(adaptor,"rule variableDeclarators");
        RewriteRuleSubtreeStream stream_type=new RewriteRuleSubtreeStream(adaptor,"rule type");
        RewriteRuleSubtreeStream stream_variableModifier=new RewriteRuleSubtreeStream(adaptor,"rule variableModifier");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 91) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:723:2: ( ( variableModifier )* type variableDeclarators -> ^( VARDEF ^( MODIFIERS ( variableModifier )* ) type variableDeclarators ) | expressionList )
            int alt131=2;
            alt131 = dfa131.predict(input);
            switch (alt131) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:723:4: ( variableModifier )* type variableDeclarators
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:723:4: ( variableModifier )*
                    loop130:
                    do {
                        int alt130=2;
                        int LA130_0 = input.LA(1);

                        if ( (LA130_0==150||LA130_0==175) ) {
                            alt130=1;
                        }


                        switch (alt130) {
                    	case 1 :
                    	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: variableModifier
                    	    {
                    	    pushFollow(FOLLOW_variableModifier_in_forInit4975);
                    	    variableModifier393=variableModifier();

                    	    state._fsp--;
                    	    if (state.failed) return retval;
                    	    if ( state.backtracking==0 ) stream_variableModifier.add(variableModifier393.getTree());

                    	    }
                    	    break;

                    	default :
                    	    break loop130;
                        }
                    } while (true);

                    pushFollow(FOLLOW_type_in_forInit4978);
                    type394=type();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_type.add(type394.getTree());
                    pushFollow(FOLLOW_variableDeclarators_in_forInit4980);
                    variableDeclarators395=variableDeclarators();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_variableDeclarators.add(variableDeclarators395.getTree());


                    // AST REWRITE
                    // elements: type, variableModifier, variableDeclarators
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 723:47: -> ^( VARDEF ^( MODIFIERS ( variableModifier )* ) type variableDeclarators )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:723:50: ^( VARDEF ^( MODIFIERS ( variableModifier )* ) type variableDeclarators )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(VARDEF, "VARDEF"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:723:59: ^( MODIFIERS ( variableModifier )* )
                        {
                        Object root_2 = (Object)adaptor.nil();
                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:723:71: ( variableModifier )*
                        while ( stream_variableModifier.hasNext() ) {
                            adaptor.addChild(root_2, stream_variableModifier.nextTree());

                        }
                        stream_variableModifier.reset();

                        adaptor.addChild(root_1, root_2);
                        }
                        adaptor.addChild(root_1, stream_type.nextTree());
                        adaptor.addChild(root_1, stream_variableDeclarators.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:724:4: expressionList
                    {
                    root_0 = (Object)adaptor.nil();

                    pushFollow(FOLLOW_expressionList_in_forInit5002);
                    expressionList396=expressionList();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, expressionList396.getTree());

                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 91, forInit_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "forInit"

    public static class forVarControl_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "forVarControl"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:727:1: forVarControl : ( variableModifier )* type Identifier ':' expression -> ^( VARDEF ^( MODIFIERS ( variableModifier )* ) type Identifier ) expression ;
    public final JavaParser.forVarControl_return forVarControl() throws RecognitionException {
        JavaParser.forVarControl_return retval = new JavaParser.forVarControl_return();
        retval.start = input.LT(1);
        int forVarControl_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier399=null;
        Token char_literal400=null;
        JavaParser.variableModifier_return variableModifier397 = null;

        JavaParser.type_return type398 = null;

        JavaParser.expression_return expression401 = null;


        Object Identifier399_tree=null;
        Object char_literal400_tree=null;
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleTokenStream stream_156=new RewriteRuleTokenStream(adaptor,"token 156");
        RewriteRuleSubtreeStream stream_expression=new RewriteRuleSubtreeStream(adaptor,"rule expression");
        RewriteRuleSubtreeStream stream_type=new RewriteRuleSubtreeStream(adaptor,"rule type");
        RewriteRuleSubtreeStream stream_variableModifier=new RewriteRuleSubtreeStream(adaptor,"rule variableModifier");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 92) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:728:2: ( ( variableModifier )* type Identifier ':' expression -> ^( VARDEF ^( MODIFIERS ( variableModifier )* ) type Identifier ) expression )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:728:4: ( variableModifier )* type Identifier ':' expression
            {
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:728:4: ( variableModifier )*
            loop132:
            do {
                int alt132=2;
                int LA132_0 = input.LA(1);

                if ( (LA132_0==150||LA132_0==175) ) {
                    alt132=1;
                }


                switch (alt132) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: variableModifier
            	    {
            	    pushFollow(FOLLOW_variableModifier_in_forVarControl5014);
            	    variableModifier397=variableModifier();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) stream_variableModifier.add(variableModifier397.getTree());

            	    }
            	    break;

            	default :
            	    break loop132;
                }
            } while (true);

            pushFollow(FOLLOW_type_in_forVarControl5017);
            type398=type();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_type.add(type398.getTree());
            Identifier399=(Token)match(input,Identifier,FOLLOW_Identifier_in_forVarControl5019); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_Identifier.add(Identifier399);

            char_literal400=(Token)match(input,156,FOLLOW_156_in_forVarControl5021); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_156.add(char_literal400);

            pushFollow(FOLLOW_expression_in_forVarControl5023);
            expression401=expression();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_expression.add(expression401.getTree());


            // AST REWRITE
            // elements: Identifier, type, variableModifier, expression
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 728:53: -> ^( VARDEF ^( MODIFIERS ( variableModifier )* ) type Identifier ) expression
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:728:56: ^( VARDEF ^( MODIFIERS ( variableModifier )* ) type Identifier )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(VARDEF, "VARDEF"), root_1);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:728:65: ^( MODIFIERS ( variableModifier )* )
                {
                Object root_2 = (Object)adaptor.nil();
                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(MODIFIERS, "MODIFIERS"), root_2);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:728:77: ( variableModifier )*
                while ( stream_variableModifier.hasNext() ) {
                    adaptor.addChild(root_2, stream_variableModifier.nextTree());

                }
                stream_variableModifier.reset();

                adaptor.addChild(root_1, root_2);
                }
                adaptor.addChild(root_1, stream_type.nextTree());
                adaptor.addChild(root_1, stream_Identifier.nextNode());

                adaptor.addChild(root_0, root_1);
                }
                adaptor.addChild(root_0, stream_expression.nextTree());

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 92, forVarControl_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "forVarControl"

    public static class forUpdate_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "forUpdate"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:731:1: forUpdate : expressionList ;
    public final JavaParser.forUpdate_return forUpdate() throws RecognitionException {
        JavaParser.forUpdate_return retval = new JavaParser.forUpdate_return();
        retval.start = input.LT(1);
        int forUpdate_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.expressionList_return expressionList402 = null;



        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 93) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:732:2: ( expressionList )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:732:4: expressionList
            {
            root_0 = (Object)adaptor.nil();

            pushFollow(FOLLOW_expressionList_in_forUpdate5053);
            expressionList402=expressionList();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) adaptor.addChild(root_0, expressionList402.getTree());

            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 93, forUpdate_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "forUpdate"

    public static class parExpression_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "parExpression"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:737:1: parExpression : '(' expression ')' ;
    public final JavaParser.parExpression_return parExpression() throws RecognitionException {
        JavaParser.parExpression_return retval = new JavaParser.parExpression_return();
        retval.start = input.LT(1);
        int parExpression_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal403=null;
        Token char_literal405=null;
        JavaParser.expression_return expression404 = null;


        Object char_literal403_tree=null;
        Object char_literal405_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 94) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:738:2: ( '(' expression ')' )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:738:4: '(' expression ')'
            {
            root_0 = (Object)adaptor.nil();

            char_literal403=(Token)match(input,169,FOLLOW_169_in_parExpression5066); if (state.failed) return retval;
            pushFollow(FOLLOW_expression_in_parExpression5069);
            expression404=expression();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) adaptor.addChild(root_0, expression404.getTree());
            char_literal405=(Token)match(input,170,FOLLOW_170_in_parExpression5071); if (state.failed) return retval;

            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 94, parExpression_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "parExpression"

    public static class expressionList_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "expressionList"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:741:1: expressionList : expression ( ',' expression )* ;
    public final JavaParser.expressionList_return expressionList() throws RecognitionException {
        JavaParser.expressionList_return retval = new JavaParser.expressionList_return();
        retval.start = input.LT(1);
        int expressionList_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal407=null;
        JavaParser.expression_return expression406 = null;

        JavaParser.expression_return expression408 = null;


        Object char_literal407_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 95) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:742:5: ( expression ( ',' expression )* )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:742:9: expression ( ',' expression )*
            {
            root_0 = (Object)adaptor.nil();

            pushFollow(FOLLOW_expression_in_expressionList5089);
            expression406=expression();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) adaptor.addChild(root_0, expression406.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:742:20: ( ',' expression )*
            loop133:
            do {
                int alt133=2;
                int LA133_0 = input.LA(1);

                if ( (LA133_0==135) ) {
                    alt133=1;
                }


                switch (alt133) {
            	case 1 :
            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:742:21: ',' expression
            	    {
            	    char_literal407=(Token)match(input,135,FOLLOW_135_in_expressionList5092); if (state.failed) return retval;
            	    pushFollow(FOLLOW_expression_in_expressionList5095);
            	    expression408=expression();

            	    state._fsp--;
            	    if (state.failed) return retval;
            	    if ( state.backtracking==0 ) adaptor.addChild(root_0, expression408.getTree());

            	    }
            	    break;

            	default :
            	    break loop133;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 95, expressionList_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "expressionList"

    public static class statementExpression_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "statementExpression"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:745:1: statementExpression : expression ;
    public final JavaParser.statementExpression_return statementExpression() throws RecognitionException {
        JavaParser.statementExpression_return retval = new JavaParser.statementExpression_return();
        retval.start = input.LT(1);
        int statementExpression_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.expression_return expression409 = null;



        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 96) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:746:2: ( expression )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:746:4: expression
            {
            root_0 = (Object)adaptor.nil();

            pushFollow(FOLLOW_expression_in_statementExpression5111);
            expression409=expression();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) adaptor.addChild(root_0, expression409.getTree());

            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 96, statementExpression_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "statementExpression"

    public static class constantExpression_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "constantExpression"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:749:1: constantExpression : expression ;
    public final JavaParser.constantExpression_return constantExpression() throws RecognitionException {
        JavaParser.constantExpression_return retval = new JavaParser.constantExpression_return();
        retval.start = input.LT(1);
        int constantExpression_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.expression_return expression410 = null;



        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 97) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:750:2: ( expression )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:750:4: expression
            {
            root_0 = (Object)adaptor.nil();

            pushFollow(FOLLOW_expression_in_constantExpression5123);
            expression410=expression();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) adaptor.addChild(root_0, expression410.getTree());

            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 97, constantExpression_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "constantExpression"

    public static class expression_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "expression"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:753:1: expression : conditionalExpression ( '=' expression -> ^( ASSIGN conditionalExpression expression ) | '+' '=' expression -> ^( ASSIGNOP ADD conditionalExpression expression ) | '-' '=' expression -> ^( ASSIGNOP SUB conditionalExpression expression ) | '*' '=' expression -> ^( ASSIGNOP MUL conditionalExpression expression ) | '/' '=' expression -> ^( ASSIGNOP DIV conditionalExpression expression ) | '&=' expression -> ^( ASSIGNOP AND conditionalExpression expression ) | '|=' expression -> ^( ASSIGNOP OR conditionalExpression expression ) | '^=' expression -> ^( ASSIGNOP XOR conditionalExpression expression ) | '%' '=' expression -> ^( ASSIGNOP MOD conditionalExpression expression ) | '<' '<' '=' expression -> ^( ASSIGNOP SHL conditionalExpression expression ) | '>' '>' '=' expression -> ^( ASSIGNOP SHR conditionalExpression expression ) | '>' '>' '>' '=' expression -> ^( ASSIGNOP USHR conditionalExpression expression ) | -> conditionalExpression ) ;
    public final JavaParser.expression_return expression() throws RecognitionException {
        JavaParser.expression_return retval = new JavaParser.expression_return();
        retval.start = input.LT(1);
        int expression_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal412=null;
        Token char_literal414=null;
        Token char_literal415=null;
        Token char_literal417=null;
        Token char_literal418=null;
        Token char_literal420=null;
        Token char_literal421=null;
        Token char_literal423=null;
        Token char_literal424=null;
        Token string_literal426=null;
        Token string_literal428=null;
        Token string_literal430=null;
        Token char_literal432=null;
        Token char_literal433=null;
        Token char_literal435=null;
        Token char_literal436=null;
        Token char_literal437=null;
        Token char_literal439=null;
        Token char_literal440=null;
        Token char_literal441=null;
        Token char_literal443=null;
        Token char_literal444=null;
        Token char_literal445=null;
        Token char_literal446=null;
        JavaParser.conditionalExpression_return conditionalExpression411 = null;

        JavaParser.expression_return expression413 = null;

        JavaParser.expression_return expression416 = null;

        JavaParser.expression_return expression419 = null;

        JavaParser.expression_return expression422 = null;

        JavaParser.expression_return expression425 = null;

        JavaParser.expression_return expression427 = null;

        JavaParser.expression_return expression429 = null;

        JavaParser.expression_return expression431 = null;

        JavaParser.expression_return expression434 = null;

        JavaParser.expression_return expression438 = null;

        JavaParser.expression_return expression442 = null;

        JavaParser.expression_return expression447 = null;


        Object char_literal412_tree=null;
        Object char_literal414_tree=null;
        Object char_literal415_tree=null;
        Object char_literal417_tree=null;
        Object char_literal418_tree=null;
        Object char_literal420_tree=null;
        Object char_literal421_tree=null;
        Object char_literal423_tree=null;
        Object char_literal424_tree=null;
        Object string_literal426_tree=null;
        Object string_literal428_tree=null;
        Object string_literal430_tree=null;
        Object char_literal432_tree=null;
        Object char_literal433_tree=null;
        Object char_literal435_tree=null;
        Object char_literal436_tree=null;
        Object char_literal437_tree=null;
        Object char_literal439_tree=null;
        Object char_literal440_tree=null;
        Object char_literal441_tree=null;
        Object char_literal443_tree=null;
        Object char_literal444_tree=null;
        Object char_literal445_tree=null;
        Object char_literal446_tree=null;
        RewriteRuleTokenStream stream_134=new RewriteRuleTokenStream(adaptor,"token 134");
        RewriteRuleTokenStream stream_145=new RewriteRuleTokenStream(adaptor,"token 145");
        RewriteRuleTokenStream stream_198=new RewriteRuleTokenStream(adaptor,"token 198");
        RewriteRuleTokenStream stream_136=new RewriteRuleTokenStream(adaptor,"token 136");
        RewriteRuleTokenStream stream_195=new RewriteRuleTokenStream(adaptor,"token 195");
        RewriteRuleTokenStream stream_194=new RewriteRuleTokenStream(adaptor,"token 194");
        RewriteRuleTokenStream stream_197=new RewriteRuleTokenStream(adaptor,"token 197");
        RewriteRuleTokenStream stream_196=new RewriteRuleTokenStream(adaptor,"token 196");
        RewriteRuleTokenStream stream_130=new RewriteRuleTokenStream(adaptor,"token 130");
        RewriteRuleTokenStream stream_193=new RewriteRuleTokenStream(adaptor,"token 193");
        RewriteRuleTokenStream stream_192=new RewriteRuleTokenStream(adaptor,"token 192");
        RewriteRuleSubtreeStream stream_expression=new RewriteRuleSubtreeStream(adaptor,"rule expression");
        RewriteRuleSubtreeStream stream_conditionalExpression=new RewriteRuleSubtreeStream(adaptor,"rule conditionalExpression");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 98) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:754:2: ( conditionalExpression ( '=' expression -> ^( ASSIGN conditionalExpression expression ) | '+' '=' expression -> ^( ASSIGNOP ADD conditionalExpression expression ) | '-' '=' expression -> ^( ASSIGNOP SUB conditionalExpression expression ) | '*' '=' expression -> ^( ASSIGNOP MUL conditionalExpression expression ) | '/' '=' expression -> ^( ASSIGNOP DIV conditionalExpression expression ) | '&=' expression -> ^( ASSIGNOP AND conditionalExpression expression ) | '|=' expression -> ^( ASSIGNOP OR conditionalExpression expression ) | '^=' expression -> ^( ASSIGNOP XOR conditionalExpression expression ) | '%' '=' expression -> ^( ASSIGNOP MOD conditionalExpression expression ) | '<' '<' '=' expression -> ^( ASSIGNOP SHL conditionalExpression expression ) | '>' '>' '=' expression -> ^( ASSIGNOP SHR conditionalExpression expression ) | '>' '>' '>' '=' expression -> ^( ASSIGNOP USHR conditionalExpression expression ) | -> conditionalExpression ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:754:4: conditionalExpression ( '=' expression -> ^( ASSIGN conditionalExpression expression ) | '+' '=' expression -> ^( ASSIGNOP ADD conditionalExpression expression ) | '-' '=' expression -> ^( ASSIGNOP SUB conditionalExpression expression ) | '*' '=' expression -> ^( ASSIGNOP MUL conditionalExpression expression ) | '/' '=' expression -> ^( ASSIGNOP DIV conditionalExpression expression ) | '&=' expression -> ^( ASSIGNOP AND conditionalExpression expression ) | '|=' expression -> ^( ASSIGNOP OR conditionalExpression expression ) | '^=' expression -> ^( ASSIGNOP XOR conditionalExpression expression ) | '%' '=' expression -> ^( ASSIGNOP MOD conditionalExpression expression ) | '<' '<' '=' expression -> ^( ASSIGNOP SHL conditionalExpression expression ) | '>' '>' '=' expression -> ^( ASSIGNOP SHR conditionalExpression expression ) | '>' '>' '>' '=' expression -> ^( ASSIGNOP USHR conditionalExpression expression ) | -> conditionalExpression )
            {
            pushFollow(FOLLOW_conditionalExpression_in_expression5135);
            conditionalExpression411=conditionalExpression();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_conditionalExpression.add(conditionalExpression411.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:755:3: ( '=' expression -> ^( ASSIGN conditionalExpression expression ) | '+' '=' expression -> ^( ASSIGNOP ADD conditionalExpression expression ) | '-' '=' expression -> ^( ASSIGNOP SUB conditionalExpression expression ) | '*' '=' expression -> ^( ASSIGNOP MUL conditionalExpression expression ) | '/' '=' expression -> ^( ASSIGNOP DIV conditionalExpression expression ) | '&=' expression -> ^( ASSIGNOP AND conditionalExpression expression ) | '|=' expression -> ^( ASSIGNOP OR conditionalExpression expression ) | '^=' expression -> ^( ASSIGNOP XOR conditionalExpression expression ) | '%' '=' expression -> ^( ASSIGNOP MOD conditionalExpression expression ) | '<' '<' '=' expression -> ^( ASSIGNOP SHL conditionalExpression expression ) | '>' '>' '=' expression -> ^( ASSIGNOP SHR conditionalExpression expression ) | '>' '>' '>' '=' expression -> ^( ASSIGNOP USHR conditionalExpression expression ) | -> conditionalExpression )
            int alt134=13;
            alt134 = dfa134.predict(input);
            switch (alt134) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:756:4: '=' expression
                    {
                    char_literal412=(Token)match(input,145,FOLLOW_145_in_expression5145); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_145.add(char_literal412);

                    pushFollow(FOLLOW_expression_in_expression5147);
                    expression413=expression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_expression.add(expression413.getTree());


                    // AST REWRITE
                    // elements: expression, conditionalExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 756:19: -> ^( ASSIGN conditionalExpression expression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:756:22: ^( ASSIGN conditionalExpression expression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ASSIGN, "ASSIGN"), root_1);

                        adaptor.addChild(root_1, stream_conditionalExpression.nextTree());
                        adaptor.addChild(root_1, stream_expression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:757:6: '+' '=' expression
                    {
                    char_literal414=(Token)match(input,192,FOLLOW_192_in_expression5164); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_192.add(char_literal414);

                    char_literal415=(Token)match(input,145,FOLLOW_145_in_expression5166); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_145.add(char_literal415);

                    pushFollow(FOLLOW_expression_in_expression5168);
                    expression416=expression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_expression.add(expression416.getTree());


                    // AST REWRITE
                    // elements: expression, conditionalExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 757:25: -> ^( ASSIGNOP ADD conditionalExpression expression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:757:28: ^( ASSIGNOP ADD conditionalExpression expression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ASSIGNOP, "ASSIGNOP"), root_1);

                        adaptor.addChild(root_1, (Object)adaptor.create(ADD, "ADD"));
                        adaptor.addChild(root_1, stream_conditionalExpression.nextTree());
                        adaptor.addChild(root_1, stream_expression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:758:6: '-' '=' expression
                    {
                    char_literal417=(Token)match(input,193,FOLLOW_193_in_expression5187); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_193.add(char_literal417);

                    char_literal418=(Token)match(input,145,FOLLOW_145_in_expression5189); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_145.add(char_literal418);

                    pushFollow(FOLLOW_expression_in_expression5191);
                    expression419=expression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_expression.add(expression419.getTree());


                    // AST REWRITE
                    // elements: conditionalExpression, expression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 758:25: -> ^( ASSIGNOP SUB conditionalExpression expression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:758:28: ^( ASSIGNOP SUB conditionalExpression expression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ASSIGNOP, "ASSIGNOP"), root_1);

                        adaptor.addChild(root_1, (Object)adaptor.create(SUB, "SUB"));
                        adaptor.addChild(root_1, stream_conditionalExpression.nextTree());
                        adaptor.addChild(root_1, stream_expression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 4 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:759:6: '*' '=' expression
                    {
                    char_literal420=(Token)match(input,130,FOLLOW_130_in_expression5210); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_130.add(char_literal420);

                    char_literal421=(Token)match(input,145,FOLLOW_145_in_expression5212); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_145.add(char_literal421);

                    pushFollow(FOLLOW_expression_in_expression5214);
                    expression422=expression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_expression.add(expression422.getTree());


                    // AST REWRITE
                    // elements: conditionalExpression, expression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 759:25: -> ^( ASSIGNOP MUL conditionalExpression expression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:759:28: ^( ASSIGNOP MUL conditionalExpression expression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ASSIGNOP, "ASSIGNOP"), root_1);

                        adaptor.addChild(root_1, (Object)adaptor.create(MUL, "MUL"));
                        adaptor.addChild(root_1, stream_conditionalExpression.nextTree());
                        adaptor.addChild(root_1, stream_expression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 5 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:760:6: '/' '=' expression
                    {
                    char_literal423=(Token)match(input,194,FOLLOW_194_in_expression5233); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_194.add(char_literal423);

                    char_literal424=(Token)match(input,145,FOLLOW_145_in_expression5235); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_145.add(char_literal424);

                    pushFollow(FOLLOW_expression_in_expression5237);
                    expression425=expression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_expression.add(expression425.getTree());


                    // AST REWRITE
                    // elements: conditionalExpression, expression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 760:25: -> ^( ASSIGNOP DIV conditionalExpression expression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:760:28: ^( ASSIGNOP DIV conditionalExpression expression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ASSIGNOP, "ASSIGNOP"), root_1);

                        adaptor.addChild(root_1, (Object)adaptor.create(DIV, "DIV"));
                        adaptor.addChild(root_1, stream_conditionalExpression.nextTree());
                        adaptor.addChild(root_1, stream_expression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 6 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:761:6: '&=' expression
                    {
                    string_literal426=(Token)match(input,195,FOLLOW_195_in_expression5259); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_195.add(string_literal426);

                    pushFollow(FOLLOW_expression_in_expression5261);
                    expression427=expression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_expression.add(expression427.getTree());


                    // AST REWRITE
                    // elements: conditionalExpression, expression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 761:22: -> ^( ASSIGNOP AND conditionalExpression expression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:761:25: ^( ASSIGNOP AND conditionalExpression expression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ASSIGNOP, "ASSIGNOP"), root_1);

                        adaptor.addChild(root_1, (Object)adaptor.create(AND, "AND"));
                        adaptor.addChild(root_1, stream_conditionalExpression.nextTree());
                        adaptor.addChild(root_1, stream_expression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 7 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:762:6: '|=' expression
                    {
                    string_literal428=(Token)match(input,196,FOLLOW_196_in_expression5280); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_196.add(string_literal428);

                    pushFollow(FOLLOW_expression_in_expression5282);
                    expression429=expression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_expression.add(expression429.getTree());


                    // AST REWRITE
                    // elements: conditionalExpression, expression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 762:22: -> ^( ASSIGNOP OR conditionalExpression expression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:762:25: ^( ASSIGNOP OR conditionalExpression expression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ASSIGNOP, "ASSIGNOP"), root_1);

                        adaptor.addChild(root_1, (Object)adaptor.create(OR, "OR"));
                        adaptor.addChild(root_1, stream_conditionalExpression.nextTree());
                        adaptor.addChild(root_1, stream_expression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 8 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:763:6: '^=' expression
                    {
                    string_literal430=(Token)match(input,197,FOLLOW_197_in_expression5301); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_197.add(string_literal430);

                    pushFollow(FOLLOW_expression_in_expression5303);
                    expression431=expression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_expression.add(expression431.getTree());


                    // AST REWRITE
                    // elements: expression, conditionalExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 763:22: -> ^( ASSIGNOP XOR conditionalExpression expression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:763:25: ^( ASSIGNOP XOR conditionalExpression expression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ASSIGNOP, "ASSIGNOP"), root_1);

                        adaptor.addChild(root_1, (Object)adaptor.create(XOR, "XOR"));
                        adaptor.addChild(root_1, stream_conditionalExpression.nextTree());
                        adaptor.addChild(root_1, stream_expression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 9 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:764:6: '%' '=' expression
                    {
                    char_literal432=(Token)match(input,198,FOLLOW_198_in_expression5325); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_198.add(char_literal432);

                    char_literal433=(Token)match(input,145,FOLLOW_145_in_expression5327); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_145.add(char_literal433);

                    pushFollow(FOLLOW_expression_in_expression5329);
                    expression434=expression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_expression.add(expression434.getTree());


                    // AST REWRITE
                    // elements: expression, conditionalExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 764:25: -> ^( ASSIGNOP MOD conditionalExpression expression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:764:28: ^( ASSIGNOP MOD conditionalExpression expression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ASSIGNOP, "ASSIGNOP"), root_1);

                        adaptor.addChild(root_1, (Object)adaptor.create(MOD, "MOD"));
                        adaptor.addChild(root_1, stream_conditionalExpression.nextTree());
                        adaptor.addChild(root_1, stream_expression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 10 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:765:6: '<' '<' '=' expression
                    {
                    char_literal435=(Token)match(input,134,FOLLOW_134_in_expression5348); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_134.add(char_literal435);

                    char_literal436=(Token)match(input,134,FOLLOW_134_in_expression5350); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_134.add(char_literal436);

                    char_literal437=(Token)match(input,145,FOLLOW_145_in_expression5352); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_145.add(char_literal437);

                    pushFollow(FOLLOW_expression_in_expression5354);
                    expression438=expression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_expression.add(expression438.getTree());


                    // AST REWRITE
                    // elements: expression, conditionalExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 765:29: -> ^( ASSIGNOP SHL conditionalExpression expression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:765:32: ^( ASSIGNOP SHL conditionalExpression expression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ASSIGNOP, "ASSIGNOP"), root_1);

                        adaptor.addChild(root_1, (Object)adaptor.create(SHL, "SHL"));
                        adaptor.addChild(root_1, stream_conditionalExpression.nextTree());
                        adaptor.addChild(root_1, stream_expression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 11 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:766:6: '>' '>' '=' expression
                    {
                    char_literal439=(Token)match(input,136,FOLLOW_136_in_expression5373); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_136.add(char_literal439);

                    char_literal440=(Token)match(input,136,FOLLOW_136_in_expression5375); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_136.add(char_literal440);

                    char_literal441=(Token)match(input,145,FOLLOW_145_in_expression5377); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_145.add(char_literal441);

                    pushFollow(FOLLOW_expression_in_expression5379);
                    expression442=expression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_expression.add(expression442.getTree());


                    // AST REWRITE
                    // elements: expression, conditionalExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 766:29: -> ^( ASSIGNOP SHR conditionalExpression expression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:766:32: ^( ASSIGNOP SHR conditionalExpression expression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ASSIGNOP, "ASSIGNOP"), root_1);

                        adaptor.addChild(root_1, (Object)adaptor.create(SHR, "SHR"));
                        adaptor.addChild(root_1, stream_conditionalExpression.nextTree());
                        adaptor.addChild(root_1, stream_expression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 12 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:767:6: '>' '>' '>' '=' expression
                    {
                    char_literal443=(Token)match(input,136,FOLLOW_136_in_expression5398); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_136.add(char_literal443);

                    char_literal444=(Token)match(input,136,FOLLOW_136_in_expression5400); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_136.add(char_literal444);

                    char_literal445=(Token)match(input,136,FOLLOW_136_in_expression5402); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_136.add(char_literal445);

                    char_literal446=(Token)match(input,145,FOLLOW_145_in_expression5404); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_145.add(char_literal446);

                    pushFollow(FOLLOW_expression_in_expression5406);
                    expression447=expression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_expression.add(expression447.getTree());


                    // AST REWRITE
                    // elements: conditionalExpression, expression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 767:33: -> ^( ASSIGNOP USHR conditionalExpression expression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:767:36: ^( ASSIGNOP USHR conditionalExpression expression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ASSIGNOP, "ASSIGNOP"), root_1);

                        adaptor.addChild(root_1, (Object)adaptor.create(USHR, "USHR"));
                        adaptor.addChild(root_1, stream_conditionalExpression.nextTree());
                        adaptor.addChild(root_1, stream_expression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 13 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:768:6: 
                    {

                    // AST REWRITE
                    // elements: conditionalExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 768:6: -> conditionalExpression
                    {
                        adaptor.addChild(root_0, stream_conditionalExpression.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 98, expression_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "expression"

    public static class conditionalExpression_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "conditionalExpression"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:772:1: conditionalExpression : conditionalOrExpression ( '?' expression ':' expression -> ^( CONDEXPR conditionalOrExpression expression expression ) | -> conditionalOrExpression ) ;
    public final JavaParser.conditionalExpression_return conditionalExpression() throws RecognitionException {
        JavaParser.conditionalExpression_return retval = new JavaParser.conditionalExpression_return();
        retval.start = input.LT(1);
        int conditionalExpression_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal449=null;
        Token char_literal451=null;
        JavaParser.conditionalOrExpression_return conditionalOrExpression448 = null;

        JavaParser.expression_return expression450 = null;

        JavaParser.expression_return expression452 = null;


        Object char_literal449_tree=null;
        Object char_literal451_tree=null;
        RewriteRuleTokenStream stream_158=new RewriteRuleTokenStream(adaptor,"token 158");
        RewriteRuleTokenStream stream_156=new RewriteRuleTokenStream(adaptor,"token 156");
        RewriteRuleSubtreeStream stream_expression=new RewriteRuleSubtreeStream(adaptor,"rule expression");
        RewriteRuleSubtreeStream stream_conditionalOrExpression=new RewriteRuleSubtreeStream(adaptor,"rule conditionalOrExpression");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 99) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:773:5: ( conditionalOrExpression ( '?' expression ':' expression -> ^( CONDEXPR conditionalOrExpression expression expression ) | -> conditionalOrExpression ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:773:9: conditionalOrExpression ( '?' expression ':' expression -> ^( CONDEXPR conditionalOrExpression expression expression ) | -> conditionalOrExpression )
            {
            pushFollow(FOLLOW_conditionalOrExpression_in_conditionalExpression5449);
            conditionalOrExpression448=conditionalOrExpression();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_conditionalOrExpression.add(conditionalOrExpression448.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:774:6: ( '?' expression ':' expression -> ^( CONDEXPR conditionalOrExpression expression expression ) | -> conditionalOrExpression )
            int alt135=2;
            alt135 = dfa135.predict(input);
            switch (alt135) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:775:7: '?' expression ':' expression
                    {
                    char_literal449=(Token)match(input,158,FOLLOW_158_in_conditionalExpression5466); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_158.add(char_literal449);

                    pushFollow(FOLLOW_expression_in_conditionalExpression5468);
                    expression450=expression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_expression.add(expression450.getTree());
                    char_literal451=(Token)match(input,156,FOLLOW_156_in_conditionalExpression5470); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_156.add(char_literal451);

                    pushFollow(FOLLOW_expression_in_conditionalExpression5472);
                    expression452=expression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_expression.add(expression452.getTree());


                    // AST REWRITE
                    // elements: expression, expression, conditionalOrExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 775:37: -> ^( CONDEXPR conditionalOrExpression expression expression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:775:40: ^( CONDEXPR conditionalOrExpression expression expression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(CONDEXPR, "CONDEXPR"), root_1);

                        adaptor.addChild(root_1, stream_conditionalOrExpression.nextTree());
                        adaptor.addChild(root_1, stream_expression.nextTree());
                        adaptor.addChild(root_1, stream_expression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:776:9: 
                    {

                    // AST REWRITE
                    // elements: conditionalOrExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 776:9: -> conditionalOrExpression
                    {
                        adaptor.addChild(root_0, stream_conditionalOrExpression.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 99, conditionalExpression_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "conditionalExpression"

    public static class conditionalOrExpression_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "conditionalOrExpression"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:780:1: conditionalOrExpression : conditionalAndExpression ( ( '||' conditionalOrExpression ) -> ^( LOR conditionalAndExpression conditionalOrExpression ) | -> conditionalAndExpression ) ;
    public final JavaParser.conditionalOrExpression_return conditionalOrExpression() throws RecognitionException {
        JavaParser.conditionalOrExpression_return retval = new JavaParser.conditionalOrExpression_return();
        retval.start = input.LT(1);
        int conditionalOrExpression_StartIndex = input.index();
        Object root_0 = null;

        Token string_literal454=null;
        JavaParser.conditionalAndExpression_return conditionalAndExpression453 = null;

        JavaParser.conditionalOrExpression_return conditionalOrExpression455 = null;


        Object string_literal454_tree=null;
        RewriteRuleTokenStream stream_199=new RewriteRuleTokenStream(adaptor,"token 199");
        RewriteRuleSubtreeStream stream_conditionalAndExpression=new RewriteRuleSubtreeStream(adaptor,"rule conditionalAndExpression");
        RewriteRuleSubtreeStream stream_conditionalOrExpression=new RewriteRuleSubtreeStream(adaptor,"rule conditionalOrExpression");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 100) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:781:5: ( conditionalAndExpression ( ( '||' conditionalOrExpression ) -> ^( LOR conditionalAndExpression conditionalOrExpression ) | -> conditionalAndExpression ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:781:9: conditionalAndExpression ( ( '||' conditionalOrExpression ) -> ^( LOR conditionalAndExpression conditionalOrExpression ) | -> conditionalAndExpression )
            {
            pushFollow(FOLLOW_conditionalAndExpression_in_conditionalOrExpression5519);
            conditionalAndExpression453=conditionalAndExpression();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_conditionalAndExpression.add(conditionalAndExpression453.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:782:6: ( ( '||' conditionalOrExpression ) -> ^( LOR conditionalAndExpression conditionalOrExpression ) | -> conditionalAndExpression )
            int alt136=2;
            alt136 = dfa136.predict(input);
            switch (alt136) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:783:7: ( '||' conditionalOrExpression )
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:783:7: ( '||' conditionalOrExpression )
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:783:8: '||' conditionalOrExpression
                    {
                    string_literal454=(Token)match(input,199,FOLLOW_199_in_conditionalOrExpression5537); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_199.add(string_literal454);

                    pushFollow(FOLLOW_conditionalOrExpression_in_conditionalOrExpression5539);
                    conditionalOrExpression455=conditionalOrExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_conditionalOrExpression.add(conditionalOrExpression455.getTree());

                    }



                    // AST REWRITE
                    // elements: conditionalOrExpression, conditionalAndExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 783:38: -> ^( LOR conditionalAndExpression conditionalOrExpression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:783:41: ^( LOR conditionalAndExpression conditionalOrExpression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(LOR, "LOR"), root_1);

                        adaptor.addChild(root_1, stream_conditionalAndExpression.nextTree());
                        adaptor.addChild(root_1, stream_conditionalOrExpression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:784:9: 
                    {

                    // AST REWRITE
                    // elements: conditionalAndExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 784:9: -> conditionalAndExpression
                    {
                        adaptor.addChild(root_0, stream_conditionalAndExpression.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 100, conditionalOrExpression_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "conditionalOrExpression"

    public static class conditionalAndExpression_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "conditionalAndExpression"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:788:1: conditionalAndExpression : inclusiveOrExpression ( ( '&&' conditionalAndExpression ) -> ^( LAND inclusiveOrExpression conditionalAndExpression ) | -> inclusiveOrExpression ) ;
    public final JavaParser.conditionalAndExpression_return conditionalAndExpression() throws RecognitionException {
        JavaParser.conditionalAndExpression_return retval = new JavaParser.conditionalAndExpression_return();
        retval.start = input.LT(1);
        int conditionalAndExpression_StartIndex = input.index();
        Object root_0 = null;

        Token string_literal457=null;
        JavaParser.inclusiveOrExpression_return inclusiveOrExpression456 = null;

        JavaParser.conditionalAndExpression_return conditionalAndExpression458 = null;


        Object string_literal457_tree=null;
        RewriteRuleTokenStream stream_200=new RewriteRuleTokenStream(adaptor,"token 200");
        RewriteRuleSubtreeStream stream_inclusiveOrExpression=new RewriteRuleSubtreeStream(adaptor,"rule inclusiveOrExpression");
        RewriteRuleSubtreeStream stream_conditionalAndExpression=new RewriteRuleSubtreeStream(adaptor,"rule conditionalAndExpression");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 101) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:789:5: ( inclusiveOrExpression ( ( '&&' conditionalAndExpression ) -> ^( LAND inclusiveOrExpression conditionalAndExpression ) | -> inclusiveOrExpression ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:789:9: inclusiveOrExpression ( ( '&&' conditionalAndExpression ) -> ^( LAND inclusiveOrExpression conditionalAndExpression ) | -> inclusiveOrExpression )
            {
            pushFollow(FOLLOW_inclusiveOrExpression_in_conditionalAndExpression5585);
            inclusiveOrExpression456=inclusiveOrExpression();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_inclusiveOrExpression.add(inclusiveOrExpression456.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:790:6: ( ( '&&' conditionalAndExpression ) -> ^( LAND inclusiveOrExpression conditionalAndExpression ) | -> inclusiveOrExpression )
            int alt137=2;
            alt137 = dfa137.predict(input);
            switch (alt137) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:791:7: ( '&&' conditionalAndExpression )
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:791:7: ( '&&' conditionalAndExpression )
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:791:8: '&&' conditionalAndExpression
                    {
                    string_literal457=(Token)match(input,200,FOLLOW_200_in_conditionalAndExpression5603); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_200.add(string_literal457);

                    pushFollow(FOLLOW_conditionalAndExpression_in_conditionalAndExpression5605);
                    conditionalAndExpression458=conditionalAndExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_conditionalAndExpression.add(conditionalAndExpression458.getTree());

                    }



                    // AST REWRITE
                    // elements: inclusiveOrExpression, conditionalAndExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 791:39: -> ^( LAND inclusiveOrExpression conditionalAndExpression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:791:42: ^( LAND inclusiveOrExpression conditionalAndExpression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(LAND, "LAND"), root_1);

                        adaptor.addChild(root_1, stream_inclusiveOrExpression.nextTree());
                        adaptor.addChild(root_1, stream_conditionalAndExpression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:792:9: 
                    {

                    // AST REWRITE
                    // elements: inclusiveOrExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 792:9: -> inclusiveOrExpression
                    {
                        adaptor.addChild(root_0, stream_inclusiveOrExpression.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 101, conditionalAndExpression_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "conditionalAndExpression"

    public static class inclusiveOrExpression_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "inclusiveOrExpression"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:796:1: inclusiveOrExpression : exclusiveOrExpression ( ( '|' inclusiveOrExpression ) -> ^( OR exclusiveOrExpression inclusiveOrExpression ) | -> exclusiveOrExpression ) ;
    public final JavaParser.inclusiveOrExpression_return inclusiveOrExpression() throws RecognitionException {
        JavaParser.inclusiveOrExpression_return retval = new JavaParser.inclusiveOrExpression_return();
        retval.start = input.LT(1);
        int inclusiveOrExpression_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal460=null;
        JavaParser.exclusiveOrExpression_return exclusiveOrExpression459 = null;

        JavaParser.inclusiveOrExpression_return inclusiveOrExpression461 = null;


        Object char_literal460_tree=null;
        RewriteRuleTokenStream stream_201=new RewriteRuleTokenStream(adaptor,"token 201");
        RewriteRuleSubtreeStream stream_exclusiveOrExpression=new RewriteRuleSubtreeStream(adaptor,"rule exclusiveOrExpression");
        RewriteRuleSubtreeStream stream_inclusiveOrExpression=new RewriteRuleSubtreeStream(adaptor,"rule inclusiveOrExpression");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 102) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:797:5: ( exclusiveOrExpression ( ( '|' inclusiveOrExpression ) -> ^( OR exclusiveOrExpression inclusiveOrExpression ) | -> exclusiveOrExpression ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:797:9: exclusiveOrExpression ( ( '|' inclusiveOrExpression ) -> ^( OR exclusiveOrExpression inclusiveOrExpression ) | -> exclusiveOrExpression )
            {
            pushFollow(FOLLOW_exclusiveOrExpression_in_inclusiveOrExpression5657);
            exclusiveOrExpression459=exclusiveOrExpression();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_exclusiveOrExpression.add(exclusiveOrExpression459.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:798:9: ( ( '|' inclusiveOrExpression ) -> ^( OR exclusiveOrExpression inclusiveOrExpression ) | -> exclusiveOrExpression )
            int alt138=2;
            alt138 = dfa138.predict(input);
            switch (alt138) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:799:10: ( '|' inclusiveOrExpression )
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:799:10: ( '|' inclusiveOrExpression )
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:799:11: '|' inclusiveOrExpression
                    {
                    char_literal460=(Token)match(input,201,FOLLOW_201_in_inclusiveOrExpression5679); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_201.add(char_literal460);

                    pushFollow(FOLLOW_inclusiveOrExpression_in_inclusiveOrExpression5681);
                    inclusiveOrExpression461=inclusiveOrExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_inclusiveOrExpression.add(inclusiveOrExpression461.getTree());

                    }



                    // AST REWRITE
                    // elements: exclusiveOrExpression, inclusiveOrExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 799:38: -> ^( OR exclusiveOrExpression inclusiveOrExpression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:799:41: ^( OR exclusiveOrExpression inclusiveOrExpression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(OR, "OR"), root_1);

                        adaptor.addChild(root_1, stream_exclusiveOrExpression.nextTree());
                        adaptor.addChild(root_1, stream_inclusiveOrExpression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:800:6: 
                    {

                    // AST REWRITE
                    // elements: exclusiveOrExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 800:6: -> exclusiveOrExpression
                    {
                        adaptor.addChild(root_0, stream_exclusiveOrExpression.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 102, inclusiveOrExpression_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "inclusiveOrExpression"

    public static class exclusiveOrExpression_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "exclusiveOrExpression"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:804:1: exclusiveOrExpression : andExpression ( ( '^' exclusiveOrExpression ) -> ^( XOR andExpression exclusiveOrExpression ) | -> andExpression ) ;
    public final JavaParser.exclusiveOrExpression_return exclusiveOrExpression() throws RecognitionException {
        JavaParser.exclusiveOrExpression_return retval = new JavaParser.exclusiveOrExpression_return();
        retval.start = input.LT(1);
        int exclusiveOrExpression_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal463=null;
        JavaParser.andExpression_return andExpression462 = null;

        JavaParser.exclusiveOrExpression_return exclusiveOrExpression464 = null;


        Object char_literal463_tree=null;
        RewriteRuleTokenStream stream_202=new RewriteRuleTokenStream(adaptor,"token 202");
        RewriteRuleSubtreeStream stream_andExpression=new RewriteRuleSubtreeStream(adaptor,"rule andExpression");
        RewriteRuleSubtreeStream stream_exclusiveOrExpression=new RewriteRuleSubtreeStream(adaptor,"rule exclusiveOrExpression");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 103) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:805:5: ( andExpression ( ( '^' exclusiveOrExpression ) -> ^( XOR andExpression exclusiveOrExpression ) | -> andExpression ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:805:9: andExpression ( ( '^' exclusiveOrExpression ) -> ^( XOR andExpression exclusiveOrExpression ) | -> andExpression )
            {
            pushFollow(FOLLOW_andExpression_in_exclusiveOrExpression5728);
            andExpression462=andExpression();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_andExpression.add(andExpression462.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:806:5: ( ( '^' exclusiveOrExpression ) -> ^( XOR andExpression exclusiveOrExpression ) | -> andExpression )
            int alt139=2;
            alt139 = dfa139.predict(input);
            switch (alt139) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:807:6: ( '^' exclusiveOrExpression )
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:807:6: ( '^' exclusiveOrExpression )
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:807:7: '^' exclusiveOrExpression
                    {
                    char_literal463=(Token)match(input,202,FOLLOW_202_in_exclusiveOrExpression5744); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_202.add(char_literal463);

                    pushFollow(FOLLOW_exclusiveOrExpression_in_exclusiveOrExpression5746);
                    exclusiveOrExpression464=exclusiveOrExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_exclusiveOrExpression.add(exclusiveOrExpression464.getTree());

                    }



                    // AST REWRITE
                    // elements: exclusiveOrExpression, andExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 807:34: -> ^( XOR andExpression exclusiveOrExpression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:807:37: ^( XOR andExpression exclusiveOrExpression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(XOR, "XOR"), root_1);

                        adaptor.addChild(root_1, stream_andExpression.nextTree());
                        adaptor.addChild(root_1, stream_exclusiveOrExpression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:808:8: 
                    {

                    // AST REWRITE
                    // elements: andExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 808:8: -> andExpression
                    {
                        adaptor.addChild(root_0, stream_andExpression.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 103, exclusiveOrExpression_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "exclusiveOrExpression"

    public static class andExpression_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "andExpression"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:812:1: andExpression : equalityExpression ( ( '&' andExpression ) -> ^( AND equalityExpression andExpression ) | -> equalityExpression ) ;
    public final JavaParser.andExpression_return andExpression() throws RecognitionException {
        JavaParser.andExpression_return retval = new JavaParser.andExpression_return();
        retval.start = input.LT(1);
        int andExpression_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal466=null;
        JavaParser.equalityExpression_return equalityExpression465 = null;

        JavaParser.andExpression_return andExpression467 = null;


        Object char_literal466_tree=null;
        RewriteRuleTokenStream stream_137=new RewriteRuleTokenStream(adaptor,"token 137");
        RewriteRuleSubtreeStream stream_andExpression=new RewriteRuleSubtreeStream(adaptor,"rule andExpression");
        RewriteRuleSubtreeStream stream_equalityExpression=new RewriteRuleSubtreeStream(adaptor,"rule equalityExpression");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 104) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:813:5: ( equalityExpression ( ( '&' andExpression ) -> ^( AND equalityExpression andExpression ) | -> equalityExpression ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:813:9: equalityExpression ( ( '&' andExpression ) -> ^( AND equalityExpression andExpression ) | -> equalityExpression )
            {
            pushFollow(FOLLOW_equalityExpression_in_andExpression5790);
            equalityExpression465=equalityExpression();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_equalityExpression.add(equalityExpression465.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:814:5: ( ( '&' andExpression ) -> ^( AND equalityExpression andExpression ) | -> equalityExpression )
            int alt140=2;
            alt140 = dfa140.predict(input);
            switch (alt140) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:815:6: ( '&' andExpression )
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:815:6: ( '&' andExpression )
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:815:7: '&' andExpression
                    {
                    char_literal466=(Token)match(input,137,FOLLOW_137_in_andExpression5806); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_137.add(char_literal466);

                    pushFollow(FOLLOW_andExpression_in_andExpression5808);
                    andExpression467=andExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_andExpression.add(andExpression467.getTree());

                    }



                    // AST REWRITE
                    // elements: andExpression, equalityExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 815:26: -> ^( AND equalityExpression andExpression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:815:29: ^( AND equalityExpression andExpression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(AND, "AND"), root_1);

                        adaptor.addChild(root_1, stream_equalityExpression.nextTree());
                        adaptor.addChild(root_1, stream_andExpression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:816:8: 
                    {

                    // AST REWRITE
                    // elements: equalityExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 816:8: -> equalityExpression
                    {
                        adaptor.addChild(root_0, stream_equalityExpression.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 104, andExpression_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "andExpression"

    public static class equalityExpression_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "equalityExpression"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:820:1: equalityExpression : instanceOfExpression ( ( '==' instanceOfExpression ) -> ^( EQ instanceOfExpression instanceOfExpression ) | ( '!=' instanceOfExpression ) -> ^( NEQ instanceOfExpression instanceOfExpression ) | -> instanceOfExpression ) ;
    public final JavaParser.equalityExpression_return equalityExpression() throws RecognitionException {
        JavaParser.equalityExpression_return retval = new JavaParser.equalityExpression_return();
        retval.start = input.LT(1);
        int equalityExpression_StartIndex = input.index();
        Object root_0 = null;

        Token string_literal469=null;
        Token string_literal471=null;
        JavaParser.instanceOfExpression_return instanceOfExpression468 = null;

        JavaParser.instanceOfExpression_return instanceOfExpression470 = null;

        JavaParser.instanceOfExpression_return instanceOfExpression472 = null;


        Object string_literal469_tree=null;
        Object string_literal471_tree=null;
        RewriteRuleTokenStream stream_203=new RewriteRuleTokenStream(adaptor,"token 203");
        RewriteRuleTokenStream stream_204=new RewriteRuleTokenStream(adaptor,"token 204");
        RewriteRuleSubtreeStream stream_instanceOfExpression=new RewriteRuleSubtreeStream(adaptor,"rule instanceOfExpression");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 105) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:821:5: ( instanceOfExpression ( ( '==' instanceOfExpression ) -> ^( EQ instanceOfExpression instanceOfExpression ) | ( '!=' instanceOfExpression ) -> ^( NEQ instanceOfExpression instanceOfExpression ) | -> instanceOfExpression ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:821:9: instanceOfExpression ( ( '==' instanceOfExpression ) -> ^( EQ instanceOfExpression instanceOfExpression ) | ( '!=' instanceOfExpression ) -> ^( NEQ instanceOfExpression instanceOfExpression ) | -> instanceOfExpression )
            {
            pushFollow(FOLLOW_instanceOfExpression_in_equalityExpression5852);
            instanceOfExpression468=instanceOfExpression();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_instanceOfExpression.add(instanceOfExpression468.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:822:5: ( ( '==' instanceOfExpression ) -> ^( EQ instanceOfExpression instanceOfExpression ) | ( '!=' instanceOfExpression ) -> ^( NEQ instanceOfExpression instanceOfExpression ) | -> instanceOfExpression )
            int alt141=3;
            alt141 = dfa141.predict(input);
            switch (alt141) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:823:6: ( '==' instanceOfExpression )
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:823:6: ( '==' instanceOfExpression )
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:823:7: '==' instanceOfExpression
                    {
                    string_literal469=(Token)match(input,203,FOLLOW_203_in_equalityExpression5868); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_203.add(string_literal469);

                    pushFollow(FOLLOW_instanceOfExpression_in_equalityExpression5870);
                    instanceOfExpression470=instanceOfExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_instanceOfExpression.add(instanceOfExpression470.getTree());

                    }



                    // AST REWRITE
                    // elements: instanceOfExpression, instanceOfExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 823:34: -> ^( EQ instanceOfExpression instanceOfExpression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:823:37: ^( EQ instanceOfExpression instanceOfExpression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(EQ, "EQ"), root_1);

                        adaptor.addChild(root_1, stream_instanceOfExpression.nextTree());
                        adaptor.addChild(root_1, stream_instanceOfExpression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:824:8: ( '!=' instanceOfExpression )
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:824:8: ( '!=' instanceOfExpression )
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:824:9: '!=' instanceOfExpression
                    {
                    string_literal471=(Token)match(input,204,FOLLOW_204_in_equalityExpression5891); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_204.add(string_literal471);

                    pushFollow(FOLLOW_instanceOfExpression_in_equalityExpression5893);
                    instanceOfExpression472=instanceOfExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_instanceOfExpression.add(instanceOfExpression472.getTree());

                    }



                    // AST REWRITE
                    // elements: instanceOfExpression, instanceOfExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 824:36: -> ^( NEQ instanceOfExpression instanceOfExpression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:824:39: ^( NEQ instanceOfExpression instanceOfExpression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(NEQ, "NEQ"), root_1);

                        adaptor.addChild(root_1, stream_instanceOfExpression.nextTree());
                        adaptor.addChild(root_1, stream_instanceOfExpression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:825:8: 
                    {

                    // AST REWRITE
                    // elements: instanceOfExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 825:8: -> instanceOfExpression
                    {
                        adaptor.addChild(root_0, stream_instanceOfExpression.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 105, equalityExpression_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "equalityExpression"

    public static class instanceOfExpression_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "instanceOfExpression"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:829:1: instanceOfExpression : relationalExpression ( ( 'instanceof' type ) -> ^( INSTANCEOF relationalExpression type ) | -> relationalExpression ) ;
    public final JavaParser.instanceOfExpression_return instanceOfExpression() throws RecognitionException {
        JavaParser.instanceOfExpression_return retval = new JavaParser.instanceOfExpression_return();
        retval.start = input.LT(1);
        int instanceOfExpression_StartIndex = input.index();
        Object root_0 = null;

        Token string_literal474=null;
        JavaParser.relationalExpression_return relationalExpression473 = null;

        JavaParser.type_return type475 = null;


        Object string_literal474_tree=null;
        RewriteRuleTokenStream stream_205=new RewriteRuleTokenStream(adaptor,"token 205");
        RewriteRuleSubtreeStream stream_relationalExpression=new RewriteRuleSubtreeStream(adaptor,"rule relationalExpression");
        RewriteRuleSubtreeStream stream_type=new RewriteRuleSubtreeStream(adaptor,"rule type");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 106) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:830:5: ( relationalExpression ( ( 'instanceof' type ) -> ^( INSTANCEOF relationalExpression type ) | -> relationalExpression ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:830:9: relationalExpression ( ( 'instanceof' type ) -> ^( INSTANCEOF relationalExpression type ) | -> relationalExpression )
            {
            pushFollow(FOLLOW_relationalExpression_in_instanceOfExpression5937);
            relationalExpression473=relationalExpression();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_relationalExpression.add(relationalExpression473.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:831:5: ( ( 'instanceof' type ) -> ^( INSTANCEOF relationalExpression type ) | -> relationalExpression )
            int alt142=2;
            alt142 = dfa142.predict(input);
            switch (alt142) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:832:6: ( 'instanceof' type )
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:832:6: ( 'instanceof' type )
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:832:7: 'instanceof' type
                    {
                    string_literal474=(Token)match(input,205,FOLLOW_205_in_instanceOfExpression5952); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_205.add(string_literal474);

                    pushFollow(FOLLOW_type_in_instanceOfExpression5954);
                    type475=type();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_type.add(type475.getTree());

                    }



                    // AST REWRITE
                    // elements: type, relationalExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 832:26: -> ^( INSTANCEOF relationalExpression type )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:832:29: ^( INSTANCEOF relationalExpression type )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(INSTANCEOF, "INSTANCEOF"), root_1);

                        adaptor.addChild(root_1, stream_relationalExpression.nextTree());
                        adaptor.addChild(root_1, stream_type.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:833:8: 
                    {

                    // AST REWRITE
                    // elements: relationalExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 833:8: -> relationalExpression
                    {
                        adaptor.addChild(root_0, stream_relationalExpression.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 106, instanceOfExpression_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "instanceOfExpression"

    public static class relationalExpression_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "relationalExpression"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:837:1: relationalExpression : shiftExpression ( ( '<' '=' shiftExpression ) -> ^( LTEQ shiftExpression shiftExpression ) | ( '<' shiftExpression ) -> ^( LT shiftExpression shiftExpression ) | ( '>' '=' shiftExpression ) -> ^( GTEQ shiftExpression shiftExpression ) | ( '>' shiftExpression ) -> ^( GT shiftExpression shiftExpression ) | -> shiftExpression ) ;
    public final JavaParser.relationalExpression_return relationalExpression() throws RecognitionException {
        JavaParser.relationalExpression_return retval = new JavaParser.relationalExpression_return();
        retval.start = input.LT(1);
        int relationalExpression_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal477=null;
        Token char_literal478=null;
        Token char_literal480=null;
        Token char_literal482=null;
        Token char_literal483=null;
        Token char_literal485=null;
        JavaParser.shiftExpression_return shiftExpression476 = null;

        JavaParser.shiftExpression_return shiftExpression479 = null;

        JavaParser.shiftExpression_return shiftExpression481 = null;

        JavaParser.shiftExpression_return shiftExpression484 = null;

        JavaParser.shiftExpression_return shiftExpression486 = null;


        Object char_literal477_tree=null;
        Object char_literal478_tree=null;
        Object char_literal480_tree=null;
        Object char_literal482_tree=null;
        Object char_literal483_tree=null;
        Object char_literal485_tree=null;
        RewriteRuleTokenStream stream_134=new RewriteRuleTokenStream(adaptor,"token 134");
        RewriteRuleTokenStream stream_145=new RewriteRuleTokenStream(adaptor,"token 145");
        RewriteRuleTokenStream stream_136=new RewriteRuleTokenStream(adaptor,"token 136");
        RewriteRuleSubtreeStream stream_shiftExpression=new RewriteRuleSubtreeStream(adaptor,"rule shiftExpression");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 107) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:838:5: ( shiftExpression ( ( '<' '=' shiftExpression ) -> ^( LTEQ shiftExpression shiftExpression ) | ( '<' shiftExpression ) -> ^( LT shiftExpression shiftExpression ) | ( '>' '=' shiftExpression ) -> ^( GTEQ shiftExpression shiftExpression ) | ( '>' shiftExpression ) -> ^( GT shiftExpression shiftExpression ) | -> shiftExpression ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:838:9: shiftExpression ( ( '<' '=' shiftExpression ) -> ^( LTEQ shiftExpression shiftExpression ) | ( '<' shiftExpression ) -> ^( LT shiftExpression shiftExpression ) | ( '>' '=' shiftExpression ) -> ^( GTEQ shiftExpression shiftExpression ) | ( '>' shiftExpression ) -> ^( GT shiftExpression shiftExpression ) | -> shiftExpression )
            {
            pushFollow(FOLLOW_shiftExpression_in_relationalExpression5998);
            shiftExpression476=shiftExpression();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_shiftExpression.add(shiftExpression476.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:839:5: ( ( '<' '=' shiftExpression ) -> ^( LTEQ shiftExpression shiftExpression ) | ( '<' shiftExpression ) -> ^( LT shiftExpression shiftExpression ) | ( '>' '=' shiftExpression ) -> ^( GTEQ shiftExpression shiftExpression ) | ( '>' shiftExpression ) -> ^( GT shiftExpression shiftExpression ) | -> shiftExpression )
            int alt143=5;
            alt143 = dfa143.predict(input);
            switch (alt143) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:840:6: ( '<' '=' shiftExpression )
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:840:6: ( '<' '=' shiftExpression )
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:840:7: '<' '=' shiftExpression
                    {
                    char_literal477=(Token)match(input,134,FOLLOW_134_in_relationalExpression6014); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_134.add(char_literal477);

                    char_literal478=(Token)match(input,145,FOLLOW_145_in_relationalExpression6016); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_145.add(char_literal478);

                    pushFollow(FOLLOW_shiftExpression_in_relationalExpression6018);
                    shiftExpression479=shiftExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_shiftExpression.add(shiftExpression479.getTree());

                    }



                    // AST REWRITE
                    // elements: shiftExpression, shiftExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 840:32: -> ^( LTEQ shiftExpression shiftExpression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:840:35: ^( LTEQ shiftExpression shiftExpression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(LTEQ, "LTEQ"), root_1);

                        adaptor.addChild(root_1, stream_shiftExpression.nextTree());
                        adaptor.addChild(root_1, stream_shiftExpression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:841:8: ( '<' shiftExpression )
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:841:8: ( '<' shiftExpression )
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:841:9: '<' shiftExpression
                    {
                    char_literal480=(Token)match(input,134,FOLLOW_134_in_relationalExpression6039); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_134.add(char_literal480);

                    pushFollow(FOLLOW_shiftExpression_in_relationalExpression6041);
                    shiftExpression481=shiftExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_shiftExpression.add(shiftExpression481.getTree());

                    }



                    // AST REWRITE
                    // elements: shiftExpression, shiftExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 841:30: -> ^( LT shiftExpression shiftExpression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:841:33: ^( LT shiftExpression shiftExpression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(LT, "LT"), root_1);

                        adaptor.addChild(root_1, stream_shiftExpression.nextTree());
                        adaptor.addChild(root_1, stream_shiftExpression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:842:8: ( '>' '=' shiftExpression )
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:842:8: ( '>' '=' shiftExpression )
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:842:9: '>' '=' shiftExpression
                    {
                    char_literal482=(Token)match(input,136,FOLLOW_136_in_relationalExpression6062); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_136.add(char_literal482);

                    char_literal483=(Token)match(input,145,FOLLOW_145_in_relationalExpression6064); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_145.add(char_literal483);

                    pushFollow(FOLLOW_shiftExpression_in_relationalExpression6066);
                    shiftExpression484=shiftExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_shiftExpression.add(shiftExpression484.getTree());

                    }



                    // AST REWRITE
                    // elements: shiftExpression, shiftExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 842:34: -> ^( GTEQ shiftExpression shiftExpression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:842:37: ^( GTEQ shiftExpression shiftExpression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(GTEQ, "GTEQ"), root_1);

                        adaptor.addChild(root_1, stream_shiftExpression.nextTree());
                        adaptor.addChild(root_1, stream_shiftExpression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 4 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:843:8: ( '>' shiftExpression )
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:843:8: ( '>' shiftExpression )
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:843:9: '>' shiftExpression
                    {
                    char_literal485=(Token)match(input,136,FOLLOW_136_in_relationalExpression6087); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_136.add(char_literal485);

                    pushFollow(FOLLOW_shiftExpression_in_relationalExpression6089);
                    shiftExpression486=shiftExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_shiftExpression.add(shiftExpression486.getTree());

                    }



                    // AST REWRITE
                    // elements: shiftExpression, shiftExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 843:30: -> ^( GT shiftExpression shiftExpression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:843:33: ^( GT shiftExpression shiftExpression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(GT, "GT"), root_1);

                        adaptor.addChild(root_1, stream_shiftExpression.nextTree());
                        adaptor.addChild(root_1, stream_shiftExpression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 5 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:844:8: 
                    {

                    // AST REWRITE
                    // elements: shiftExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 844:8: -> shiftExpression
                    {
                        adaptor.addChild(root_0, stream_shiftExpression.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 107, relationalExpression_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "relationalExpression"

    public static class shiftExpression_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "shiftExpression"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:848:1: shiftExpression : additiveExpression ( ( (i+= '<' '<' | i+= '>' '>' ) additiveExpression )+ -> ^( LABINOP additiveExpression ( $i additiveExpression )+ ) | ( '>' '>' '>' additiveExpression )+ -> ^( USHR additiveExpression ( additiveExpression )+ ) | -> additiveExpression ) ;
    public final JavaParser.shiftExpression_return shiftExpression() throws RecognitionException {
        JavaParser.shiftExpression_return retval = new JavaParser.shiftExpression_return();
        retval.start = input.LT(1);
        int shiftExpression_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal488=null;
        Token char_literal489=null;
        Token char_literal491=null;
        Token char_literal492=null;
        Token char_literal493=null;
        Token i=null;
        List list_i=null;
        JavaParser.additiveExpression_return additiveExpression487 = null;

        JavaParser.additiveExpression_return additiveExpression490 = null;

        JavaParser.additiveExpression_return additiveExpression494 = null;


        Object char_literal488_tree=null;
        Object char_literal489_tree=null;
        Object char_literal491_tree=null;
        Object char_literal492_tree=null;
        Object char_literal493_tree=null;
        Object i_tree=null;
        RewriteRuleTokenStream stream_134=new RewriteRuleTokenStream(adaptor,"token 134");
        RewriteRuleTokenStream stream_136=new RewriteRuleTokenStream(adaptor,"token 136");
        RewriteRuleSubtreeStream stream_additiveExpression=new RewriteRuleSubtreeStream(adaptor,"rule additiveExpression");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 108) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:849:5: ( additiveExpression ( ( (i+= '<' '<' | i+= '>' '>' ) additiveExpression )+ -> ^( LABINOP additiveExpression ( $i additiveExpression )+ ) | ( '>' '>' '>' additiveExpression )+ -> ^( USHR additiveExpression ( additiveExpression )+ ) | -> additiveExpression ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:849:9: additiveExpression ( ( (i+= '<' '<' | i+= '>' '>' ) additiveExpression )+ -> ^( LABINOP additiveExpression ( $i additiveExpression )+ ) | ( '>' '>' '>' additiveExpression )+ -> ^( USHR additiveExpression ( additiveExpression )+ ) | -> additiveExpression )
            {
            pushFollow(FOLLOW_additiveExpression_in_shiftExpression6134);
            additiveExpression487=additiveExpression();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_additiveExpression.add(additiveExpression487.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:850:5: ( ( (i+= '<' '<' | i+= '>' '>' ) additiveExpression )+ -> ^( LABINOP additiveExpression ( $i additiveExpression )+ ) | ( '>' '>' '>' additiveExpression )+ -> ^( USHR additiveExpression ( additiveExpression )+ ) | -> additiveExpression )
            int alt147=3;
            alt147 = dfa147.predict(input);
            switch (alt147) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:851:6: ( (i+= '<' '<' | i+= '>' '>' ) additiveExpression )+
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:851:6: ( (i+= '<' '<' | i+= '>' '>' ) additiveExpression )+
                    int cnt145=0;
                    loop145:
                    do {
                        int alt145=2;
                        alt145 = dfa145.predict(input);
                        switch (alt145) {
                    	case 1 :
                    	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:851:7: (i+= '<' '<' | i+= '>' '>' ) additiveExpression
                    	    {
                    	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:851:7: (i+= '<' '<' | i+= '>' '>' )
                    	    int alt144=2;
                    	    int LA144_0 = input.LA(1);

                    	    if ( (LA144_0==134) ) {
                    	        alt144=1;
                    	    }
                    	    else if ( (LA144_0==136) ) {
                    	        alt144=2;
                    	    }
                    	    else {
                    	        if (state.backtracking>0) {state.failed=true; return retval;}
                    	        NoViableAltException nvae =
                    	            new NoViableAltException("", 144, 0, input);

                    	        throw nvae;
                    	    }
                    	    switch (alt144) {
                    	        case 1 :
                    	            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:851:8: i+= '<' '<'
                    	            {
                    	            i=(Token)match(input,134,FOLLOW_134_in_shiftExpression6153); if (state.failed) return retval; 
                    	            if ( state.backtracking==0 ) stream_134.add(i);

                    	            if (list_i==null) list_i=new ArrayList();
                    	            list_i.add(i);

                    	            char_literal488=(Token)match(input,134,FOLLOW_134_in_shiftExpression6155); if (state.failed) return retval; 
                    	            if ( state.backtracking==0 ) stream_134.add(char_literal488);


                    	            }
                    	            break;
                    	        case 2 :
                    	            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:851:19: i+= '>' '>'
                    	            {
                    	            i=(Token)match(input,136,FOLLOW_136_in_shiftExpression6159); if (state.failed) return retval; 
                    	            if ( state.backtracking==0 ) stream_136.add(i);

                    	            if (list_i==null) list_i=new ArrayList();
                    	            list_i.add(i);

                    	            char_literal489=(Token)match(input,136,FOLLOW_136_in_shiftExpression6161); if (state.failed) return retval; 
                    	            if ( state.backtracking==0 ) stream_136.add(char_literal489);


                    	            }
                    	            break;

                    	    }

                    	    pushFollow(FOLLOW_additiveExpression_in_shiftExpression6164);
                    	    additiveExpression490=additiveExpression();

                    	    state._fsp--;
                    	    if (state.failed) return retval;
                    	    if ( state.backtracking==0 ) stream_additiveExpression.add(additiveExpression490.getTree());

                    	    }
                    	    break;

                    	default :
                    	    if ( cnt145 >= 1 ) break loop145;
                    	    if (state.backtracking>0) {state.failed=true; return retval;}
                                EarlyExitException eee =
                                    new EarlyExitException(145, input);
                                throw eee;
                        }
                        cnt145++;
                    } while (true);



                    // AST REWRITE
                    // elements: additiveExpression, additiveExpression, i
                    // token labels: 
                    // rule labels: retval
                    // token list labels: i
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleTokenStream stream_i=new RewriteRuleTokenStream(adaptor,"token i", list_i);
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 851:52: -> ^( LABINOP additiveExpression ( $i additiveExpression )+ )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:851:55: ^( LABINOP additiveExpression ( $i additiveExpression )+ )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(LABINOP, "LABINOP"), root_1);

                        adaptor.addChild(root_1, stream_additiveExpression.nextTree());
                        if ( !(stream_additiveExpression.hasNext()||stream_i.hasNext()) ) {
                            throw new RewriteEarlyExitException();
                        }
                        while ( stream_additiveExpression.hasNext()||stream_i.hasNext() ) {
                            adaptor.addChild(root_1, stream_i.nextNode());
                            adaptor.addChild(root_1, stream_additiveExpression.nextTree());

                        }
                        stream_additiveExpression.reset();
                        stream_i.reset();

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:853:8: ( '>' '>' '>' additiveExpression )+
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:853:8: ( '>' '>' '>' additiveExpression )+
                    int cnt146=0;
                    loop146:
                    do {
                        int alt146=2;
                        alt146 = dfa146.predict(input);
                        switch (alt146) {
                    	case 1 :
                    	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:853:9: '>' '>' '>' additiveExpression
                    	    {
                    	    char_literal491=(Token)match(input,136,FOLLOW_136_in_shiftExpression6198); if (state.failed) return retval; 
                    	    if ( state.backtracking==0 ) stream_136.add(char_literal491);

                    	    char_literal492=(Token)match(input,136,FOLLOW_136_in_shiftExpression6200); if (state.failed) return retval; 
                    	    if ( state.backtracking==0 ) stream_136.add(char_literal492);

                    	    char_literal493=(Token)match(input,136,FOLLOW_136_in_shiftExpression6202); if (state.failed) return retval; 
                    	    if ( state.backtracking==0 ) stream_136.add(char_literal493);

                    	    pushFollow(FOLLOW_additiveExpression_in_shiftExpression6204);
                    	    additiveExpression494=additiveExpression();

                    	    state._fsp--;
                    	    if (state.failed) return retval;
                    	    if ( state.backtracking==0 ) stream_additiveExpression.add(additiveExpression494.getTree());

                    	    }
                    	    break;

                    	default :
                    	    if ( cnt146 >= 1 ) break loop146;
                    	    if (state.backtracking>0) {state.failed=true; return retval;}
                                EarlyExitException eee =
                                    new EarlyExitException(146, input);
                                throw eee;
                        }
                        cnt146++;
                    } while (true);



                    // AST REWRITE
                    // elements: additiveExpression, additiveExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 853:42: -> ^( USHR additiveExpression ( additiveExpression )+ )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:853:45: ^( USHR additiveExpression ( additiveExpression )+ )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(USHR, "USHR"), root_1);

                        adaptor.addChild(root_1, stream_additiveExpression.nextTree());
                        if ( !(stream_additiveExpression.hasNext()) ) {
                            throw new RewriteEarlyExitException();
                        }
                        while ( stream_additiveExpression.hasNext() ) {
                            adaptor.addChild(root_1, stream_additiveExpression.nextTree());

                        }
                        stream_additiveExpression.reset();

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:854:8: 
                    {

                    // AST REWRITE
                    // elements: additiveExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 854:8: -> additiveExpression
                    {
                        adaptor.addChild(root_0, stream_additiveExpression.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 108, shiftExpression_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "shiftExpression"

    public static class additiveExpression_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "additiveExpression"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:858:1: additiveExpression : multiplicativeExpression ( ( (i+= '+' | i+= '-' ) multiplicativeExpression )+ -> ^( LABINOP multiplicativeExpression ( $i multiplicativeExpression )+ ) | -> multiplicativeExpression ) ;
    public final JavaParser.additiveExpression_return additiveExpression() throws RecognitionException {
        JavaParser.additiveExpression_return retval = new JavaParser.additiveExpression_return();
        retval.start = input.LT(1);
        int additiveExpression_StartIndex = input.index();
        Object root_0 = null;

        Token i=null;
        List list_i=null;
        JavaParser.multiplicativeExpression_return multiplicativeExpression495 = null;

        JavaParser.multiplicativeExpression_return multiplicativeExpression496 = null;


        Object i_tree=null;
        RewriteRuleTokenStream stream_193=new RewriteRuleTokenStream(adaptor,"token 193");
        RewriteRuleTokenStream stream_192=new RewriteRuleTokenStream(adaptor,"token 192");
        RewriteRuleSubtreeStream stream_multiplicativeExpression=new RewriteRuleSubtreeStream(adaptor,"rule multiplicativeExpression");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 109) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:859:5: ( multiplicativeExpression ( ( (i+= '+' | i+= '-' ) multiplicativeExpression )+ -> ^( LABINOP multiplicativeExpression ( $i multiplicativeExpression )+ ) | -> multiplicativeExpression ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:859:9: multiplicativeExpression ( ( (i+= '+' | i+= '-' ) multiplicativeExpression )+ -> ^( LABINOP multiplicativeExpression ( $i multiplicativeExpression )+ ) | -> multiplicativeExpression )
            {
            pushFollow(FOLLOW_multiplicativeExpression_in_additiveExpression6247);
            multiplicativeExpression495=multiplicativeExpression();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_multiplicativeExpression.add(multiplicativeExpression495.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:860:5: ( ( (i+= '+' | i+= '-' ) multiplicativeExpression )+ -> ^( LABINOP multiplicativeExpression ( $i multiplicativeExpression )+ ) | -> multiplicativeExpression )
            int alt150=2;
            alt150 = dfa150.predict(input);
            switch (alt150) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:861:6: ( (i+= '+' | i+= '-' ) multiplicativeExpression )+
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:861:6: ( (i+= '+' | i+= '-' ) multiplicativeExpression )+
                    int cnt149=0;
                    loop149:
                    do {
                        int alt149=2;
                        alt149 = dfa149.predict(input);
                        switch (alt149) {
                    	case 1 :
                    	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:861:7: (i+= '+' | i+= '-' ) multiplicativeExpression
                    	    {
                    	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:861:7: (i+= '+' | i+= '-' )
                    	    int alt148=2;
                    	    int LA148_0 = input.LA(1);

                    	    if ( (LA148_0==192) ) {
                    	        alt148=1;
                    	    }
                    	    else if ( (LA148_0==193) ) {
                    	        alt148=2;
                    	    }
                    	    else {
                    	        if (state.backtracking>0) {state.failed=true; return retval;}
                    	        NoViableAltException nvae =
                    	            new NoViableAltException("", 148, 0, input);

                    	        throw nvae;
                    	    }
                    	    switch (alt148) {
                    	        case 1 :
                    	            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:861:8: i+= '+'
                    	            {
                    	            i=(Token)match(input,192,FOLLOW_192_in_additiveExpression6266); if (state.failed) return retval; 
                    	            if ( state.backtracking==0 ) stream_192.add(i);

                    	            if (list_i==null) list_i=new ArrayList();
                    	            list_i.add(i);


                    	            }
                    	            break;
                    	        case 2 :
                    	            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:861:15: i+= '-'
                    	            {
                    	            i=(Token)match(input,193,FOLLOW_193_in_additiveExpression6270); if (state.failed) return retval; 
                    	            if ( state.backtracking==0 ) stream_193.add(i);

                    	            if (list_i==null) list_i=new ArrayList();
                    	            list_i.add(i);


                    	            }
                    	            break;

                    	    }

                    	    pushFollow(FOLLOW_multiplicativeExpression_in_additiveExpression6273);
                    	    multiplicativeExpression496=multiplicativeExpression();

                    	    state._fsp--;
                    	    if (state.failed) return retval;
                    	    if ( state.backtracking==0 ) stream_multiplicativeExpression.add(multiplicativeExpression496.getTree());

                    	    }
                    	    break;

                    	default :
                    	    if ( cnt149 >= 1 ) break loop149;
                    	    if (state.backtracking>0) {state.failed=true; return retval;}
                                EarlyExitException eee =
                                    new EarlyExitException(149, input);
                                throw eee;
                        }
                        cnt149++;
                    } while (true);



                    // AST REWRITE
                    // elements: multiplicativeExpression, multiplicativeExpression, i
                    // token labels: 
                    // rule labels: retval
                    // token list labels: i
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleTokenStream stream_i=new RewriteRuleTokenStream(adaptor,"token i", list_i);
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 861:50: -> ^( LABINOP multiplicativeExpression ( $i multiplicativeExpression )+ )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:861:53: ^( LABINOP multiplicativeExpression ( $i multiplicativeExpression )+ )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(LABINOP, "LABINOP"), root_1);

                        adaptor.addChild(root_1, stream_multiplicativeExpression.nextTree());
                        if ( !(stream_multiplicativeExpression.hasNext()||stream_i.hasNext()) ) {
                            throw new RewriteEarlyExitException();
                        }
                        while ( stream_multiplicativeExpression.hasNext()||stream_i.hasNext() ) {
                            adaptor.addChild(root_1, stream_i.nextNode());
                            adaptor.addChild(root_1, stream_multiplicativeExpression.nextTree());

                        }
                        stream_multiplicativeExpression.reset();
                        stream_i.reset();

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:862:8: 
                    {

                    // AST REWRITE
                    // elements: multiplicativeExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 862:8: -> multiplicativeExpression
                    {
                        adaptor.addChild(root_0, stream_multiplicativeExpression.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 109, additiveExpression_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "additiveExpression"

    public static class multiplicativeExpression_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "multiplicativeExpression"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:866:1: multiplicativeExpression : unaryExpression ( ( (i+= '*' | i+= '/' | i+= '%' ) unaryExpression )+ -> ^( LABINOP unaryExpression ( $i unaryExpression )+ ) | -> unaryExpression ) ;
    public final JavaParser.multiplicativeExpression_return multiplicativeExpression() throws RecognitionException {
        JavaParser.multiplicativeExpression_return retval = new JavaParser.multiplicativeExpression_return();
        retval.start = input.LT(1);
        int multiplicativeExpression_StartIndex = input.index();
        Object root_0 = null;

        Token i=null;
        List list_i=null;
        JavaParser.unaryExpression_return unaryExpression497 = null;

        JavaParser.unaryExpression_return unaryExpression498 = null;


        Object i_tree=null;
        RewriteRuleTokenStream stream_198=new RewriteRuleTokenStream(adaptor,"token 198");
        RewriteRuleTokenStream stream_194=new RewriteRuleTokenStream(adaptor,"token 194");
        RewriteRuleTokenStream stream_130=new RewriteRuleTokenStream(adaptor,"token 130");
        RewriteRuleSubtreeStream stream_unaryExpression=new RewriteRuleSubtreeStream(adaptor,"rule unaryExpression");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 110) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:867:5: ( unaryExpression ( ( (i+= '*' | i+= '/' | i+= '%' ) unaryExpression )+ -> ^( LABINOP unaryExpression ( $i unaryExpression )+ ) | -> unaryExpression ) )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:867:9: unaryExpression ( ( (i+= '*' | i+= '/' | i+= '%' ) unaryExpression )+ -> ^( LABINOP unaryExpression ( $i unaryExpression )+ ) | -> unaryExpression )
            {
            pushFollow(FOLLOW_unaryExpression_in_multiplicativeExpression6324);
            unaryExpression497=unaryExpression();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_unaryExpression.add(unaryExpression497.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:868:5: ( ( (i+= '*' | i+= '/' | i+= '%' ) unaryExpression )+ -> ^( LABINOP unaryExpression ( $i unaryExpression )+ ) | -> unaryExpression )
            int alt153=2;
            alt153 = dfa153.predict(input);
            switch (alt153) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:869:6: ( (i+= '*' | i+= '/' | i+= '%' ) unaryExpression )+
                    {
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:869:6: ( (i+= '*' | i+= '/' | i+= '%' ) unaryExpression )+
                    int cnt152=0;
                    loop152:
                    do {
                        int alt152=2;
                        alt152 = dfa152.predict(input);
                        switch (alt152) {
                    	case 1 :
                    	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:869:8: (i+= '*' | i+= '/' | i+= '%' ) unaryExpression
                    	    {
                    	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:869:8: (i+= '*' | i+= '/' | i+= '%' )
                    	    int alt151=3;
                    	    switch ( input.LA(1) ) {
                    	    case 130:
                    	        {
                    	        alt151=1;
                    	        }
                    	        break;
                    	    case 194:
                    	        {
                    	        alt151=2;
                    	        }
                    	        break;
                    	    case 198:
                    	        {
                    	        alt151=3;
                    	        }
                    	        break;
                    	    default:
                    	        if (state.backtracking>0) {state.failed=true; return retval;}
                    	        NoViableAltException nvae =
                    	            new NoViableAltException("", 151, 0, input);

                    	        throw nvae;
                    	    }

                    	    switch (alt151) {
                    	        case 1 :
                    	            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:869:9: i+= '*'
                    	            {
                    	            i=(Token)match(input,130,FOLLOW_130_in_multiplicativeExpression6344); if (state.failed) return retval; 
                    	            if ( state.backtracking==0 ) stream_130.add(i);

                    	            if (list_i==null) list_i=new ArrayList();
                    	            list_i.add(i);


                    	            }
                    	            break;
                    	        case 2 :
                    	            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:869:16: i+= '/'
                    	            {
                    	            i=(Token)match(input,194,FOLLOW_194_in_multiplicativeExpression6348); if (state.failed) return retval; 
                    	            if ( state.backtracking==0 ) stream_194.add(i);

                    	            if (list_i==null) list_i=new ArrayList();
                    	            list_i.add(i);


                    	            }
                    	            break;
                    	        case 3 :
                    	            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:869:23: i+= '%'
                    	            {
                    	            i=(Token)match(input,198,FOLLOW_198_in_multiplicativeExpression6352); if (state.failed) return retval; 
                    	            if ( state.backtracking==0 ) stream_198.add(i);

                    	            if (list_i==null) list_i=new ArrayList();
                    	            list_i.add(i);


                    	            }
                    	            break;

                    	    }

                    	    pushFollow(FOLLOW_unaryExpression_in_multiplicativeExpression6355);
                    	    unaryExpression498=unaryExpression();

                    	    state._fsp--;
                    	    if (state.failed) return retval;
                    	    if ( state.backtracking==0 ) stream_unaryExpression.add(unaryExpression498.getTree());

                    	    }
                    	    break;

                    	default :
                    	    if ( cnt152 >= 1 ) break loop152;
                    	    if (state.backtracking>0) {state.failed=true; return retval;}
                                EarlyExitException eee =
                                    new EarlyExitException(152, input);
                                throw eee;
                        }
                        cnt152++;
                    } while (true);



                    // AST REWRITE
                    // elements: i, unaryExpression, unaryExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: i
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleTokenStream stream_i=new RewriteRuleTokenStream(adaptor,"token i", list_i);
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 869:49: -> ^( LABINOP unaryExpression ( $i unaryExpression )+ )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:869:52: ^( LABINOP unaryExpression ( $i unaryExpression )+ )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(LABINOP, "LABINOP"), root_1);

                        adaptor.addChild(root_1, stream_unaryExpression.nextTree());
                        if ( !(stream_i.hasNext()||stream_unaryExpression.hasNext()) ) {
                            throw new RewriteEarlyExitException();
                        }
                        while ( stream_i.hasNext()||stream_unaryExpression.hasNext() ) {
                            adaptor.addChild(root_1, stream_i.nextNode());
                            adaptor.addChild(root_1, stream_unaryExpression.nextTree());

                        }
                        stream_i.reset();
                        stream_unaryExpression.reset();

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:870:8: 
                    {

                    // AST REWRITE
                    // elements: unaryExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 870:8: -> unaryExpression
                    {
                        adaptor.addChild(root_0, stream_unaryExpression.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 110, multiplicativeExpression_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "multiplicativeExpression"

    public static class unaryExpression_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "unaryExpression"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:874:1: unaryExpression : ( '+' unaryExpression -> unaryExpression | '-' unaryExpression -> ^( NEG unaryExpression ) | '++' unaryExpression -> ^( PREINC unaryExpression ) | '--' unaryExpression -> ^( PREDEC unaryExpression ) | unaryExpressionNotPlusMinus -> unaryExpressionNotPlusMinus );
    public final JavaParser.unaryExpression_return unaryExpression() throws RecognitionException {
        JavaParser.unaryExpression_return retval = new JavaParser.unaryExpression_return();
        retval.start = input.LT(1);
        int unaryExpression_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal499=null;
        Token char_literal501=null;
        Token string_literal503=null;
        Token string_literal505=null;
        JavaParser.unaryExpression_return unaryExpression500 = null;

        JavaParser.unaryExpression_return unaryExpression502 = null;

        JavaParser.unaryExpression_return unaryExpression504 = null;

        JavaParser.unaryExpression_return unaryExpression506 = null;

        JavaParser.unaryExpressionNotPlusMinus_return unaryExpressionNotPlusMinus507 = null;


        Object char_literal499_tree=null;
        Object char_literal501_tree=null;
        Object string_literal503_tree=null;
        Object string_literal505_tree=null;
        RewriteRuleTokenStream stream_206=new RewriteRuleTokenStream(adaptor,"token 206");
        RewriteRuleTokenStream stream_207=new RewriteRuleTokenStream(adaptor,"token 207");
        RewriteRuleTokenStream stream_193=new RewriteRuleTokenStream(adaptor,"token 193");
        RewriteRuleTokenStream stream_192=new RewriteRuleTokenStream(adaptor,"token 192");
        RewriteRuleSubtreeStream stream_unaryExpression=new RewriteRuleSubtreeStream(adaptor,"rule unaryExpression");
        RewriteRuleSubtreeStream stream_unaryExpressionNotPlusMinus=new RewriteRuleSubtreeStream(adaptor,"rule unaryExpressionNotPlusMinus");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 111) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:875:5: ( '+' unaryExpression -> unaryExpression | '-' unaryExpression -> ^( NEG unaryExpression ) | '++' unaryExpression -> ^( PREINC unaryExpression ) | '--' unaryExpression -> ^( PREDEC unaryExpression ) | unaryExpressionNotPlusMinus -> unaryExpressionNotPlusMinus )
            int alt154=5;
            alt154 = dfa154.predict(input);
            switch (alt154) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:875:9: '+' unaryExpression
                    {
                    char_literal499=(Token)match(input,192,FOLLOW_192_in_unaryExpression6407); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_192.add(char_literal499);

                    pushFollow(FOLLOW_unaryExpression_in_unaryExpression6409);
                    unaryExpression500=unaryExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_unaryExpression.add(unaryExpression500.getTree());


                    // AST REWRITE
                    // elements: unaryExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 875:29: -> unaryExpression
                    {
                        adaptor.addChild(root_0, stream_unaryExpression.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:876:7: '-' unaryExpression
                    {
                    char_literal501=(Token)match(input,193,FOLLOW_193_in_unaryExpression6421); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_193.add(char_literal501);

                    pushFollow(FOLLOW_unaryExpression_in_unaryExpression6423);
                    unaryExpression502=unaryExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_unaryExpression.add(unaryExpression502.getTree());


                    // AST REWRITE
                    // elements: unaryExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 876:27: -> ^( NEG unaryExpression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:876:30: ^( NEG unaryExpression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(NEG, "NEG"), root_1);

                        adaptor.addChild(root_1, stream_unaryExpression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:877:9: '++' unaryExpression
                    {
                    string_literal503=(Token)match(input,206,FOLLOW_206_in_unaryExpression6441); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_206.add(string_literal503);

                    pushFollow(FOLLOW_unaryExpression_in_unaryExpression6443);
                    unaryExpression504=unaryExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_unaryExpression.add(unaryExpression504.getTree());


                    // AST REWRITE
                    // elements: unaryExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 877:30: -> ^( PREINC unaryExpression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:877:33: ^( PREINC unaryExpression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(PREINC, "PREINC"), root_1);

                        adaptor.addChild(root_1, stream_unaryExpression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 4 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:878:9: '--' unaryExpression
                    {
                    string_literal505=(Token)match(input,207,FOLLOW_207_in_unaryExpression6461); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_207.add(string_literal505);

                    pushFollow(FOLLOW_unaryExpression_in_unaryExpression6463);
                    unaryExpression506=unaryExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_unaryExpression.add(unaryExpression506.getTree());


                    // AST REWRITE
                    // elements: unaryExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 878:30: -> ^( PREDEC unaryExpression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:878:33: ^( PREDEC unaryExpression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(PREDEC, "PREDEC"), root_1);

                        adaptor.addChild(root_1, stream_unaryExpression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 5 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:879:9: unaryExpressionNotPlusMinus
                    {
                    pushFollow(FOLLOW_unaryExpressionNotPlusMinus_in_unaryExpression6481);
                    unaryExpressionNotPlusMinus507=unaryExpressionNotPlusMinus();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_unaryExpressionNotPlusMinus.add(unaryExpressionNotPlusMinus507.getTree());


                    // AST REWRITE
                    // elements: unaryExpressionNotPlusMinus
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 879:37: -> unaryExpressionNotPlusMinus
                    {
                        adaptor.addChild(root_0, stream_unaryExpressionNotPlusMinus.nextTree());

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 111, unaryExpression_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "unaryExpression"

    public static class unaryExpressionNotPlusMinus_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "unaryExpressionNotPlusMinus"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:882:1: unaryExpressionNotPlusMinus : ( '~' unaryExpression -> ^( INV unaryExpression ) | '!' unaryExpression -> ^( NOT unaryExpression ) | castExpression | primary ( ( selector )+ ( '++' -> ^( POSTINC ^( SELECTOR primary ( selector )+ ) ) | '--' -> ^( POSTDEC ^( SELECTOR primary ( selector )+ ) ) | -> ^( SELECTOR primary ( selector )+ ) ) | '++' -> ^( POSTINC primary ) | '--' -> ^( POSTDEC primary ) | -> primary ) );
    public final JavaParser.unaryExpressionNotPlusMinus_return unaryExpressionNotPlusMinus() throws RecognitionException {
        JavaParser.unaryExpressionNotPlusMinus_return retval = new JavaParser.unaryExpressionNotPlusMinus_return();
        retval.start = input.LT(1);
        int unaryExpressionNotPlusMinus_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal508=null;
        Token char_literal510=null;
        Token string_literal515=null;
        Token string_literal516=null;
        Token string_literal517=null;
        Token string_literal518=null;
        JavaParser.unaryExpression_return unaryExpression509 = null;

        JavaParser.unaryExpression_return unaryExpression511 = null;

        JavaParser.castExpression_return castExpression512 = null;

        JavaParser.primary_return primary513 = null;

        JavaParser.selector_return selector514 = null;


        Object char_literal508_tree=null;
        Object char_literal510_tree=null;
        Object string_literal515_tree=null;
        Object string_literal516_tree=null;
        Object string_literal517_tree=null;
        Object string_literal518_tree=null;
        RewriteRuleTokenStream stream_206=new RewriteRuleTokenStream(adaptor,"token 206");
        RewriteRuleTokenStream stream_207=new RewriteRuleTokenStream(adaptor,"token 207");
        RewriteRuleTokenStream stream_208=new RewriteRuleTokenStream(adaptor,"token 208");
        RewriteRuleTokenStream stream_209=new RewriteRuleTokenStream(adaptor,"token 209");
        RewriteRuleSubtreeStream stream_selector=new RewriteRuleSubtreeStream(adaptor,"rule selector");
        RewriteRuleSubtreeStream stream_unaryExpression=new RewriteRuleSubtreeStream(adaptor,"rule unaryExpression");
        RewriteRuleSubtreeStream stream_primary=new RewriteRuleSubtreeStream(adaptor,"rule primary");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 112) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:883:5: ( '~' unaryExpression -> ^( INV unaryExpression ) | '!' unaryExpression -> ^( NOT unaryExpression ) | castExpression | primary ( ( selector )+ ( '++' -> ^( POSTINC ^( SELECTOR primary ( selector )+ ) ) | '--' -> ^( POSTDEC ^( SELECTOR primary ( selector )+ ) ) | -> ^( SELECTOR primary ( selector )+ ) ) | '++' -> ^( POSTINC primary ) | '--' -> ^( POSTDEC primary ) | -> primary ) )
            int alt158=4;
            alt158 = dfa158.predict(input);
            switch (alt158) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:883:9: '~' unaryExpression
                    {
                    char_literal508=(Token)match(input,208,FOLLOW_208_in_unaryExpressionNotPlusMinus6512); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_208.add(char_literal508);

                    pushFollow(FOLLOW_unaryExpression_in_unaryExpressionNotPlusMinus6514);
                    unaryExpression509=unaryExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_unaryExpression.add(unaryExpression509.getTree());


                    // AST REWRITE
                    // elements: unaryExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 883:29: -> ^( INV unaryExpression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:883:32: ^( INV unaryExpression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(INV, "INV"), root_1);

                        adaptor.addChild(root_1, stream_unaryExpression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:884:8: '!' unaryExpression
                    {
                    char_literal510=(Token)match(input,209,FOLLOW_209_in_unaryExpressionNotPlusMinus6531); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_209.add(char_literal510);

                    pushFollow(FOLLOW_unaryExpression_in_unaryExpressionNotPlusMinus6533);
                    unaryExpression511=unaryExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_unaryExpression.add(unaryExpression511.getTree());


                    // AST REWRITE
                    // elements: unaryExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 884:28: -> ^( NOT unaryExpression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:884:31: ^( NOT unaryExpression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(NOT, "NOT"), root_1);

                        adaptor.addChild(root_1, stream_unaryExpression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:885:9: castExpression
                    {
                    root_0 = (Object)adaptor.nil();

                    pushFollow(FOLLOW_castExpression_in_unaryExpressionNotPlusMinus6551);
                    castExpression512=castExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, castExpression512.getTree());

                    }
                    break;
                case 4 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:886:6: primary ( ( selector )+ ( '++' -> ^( POSTINC ^( SELECTOR primary ( selector )+ ) ) | '--' -> ^( POSTDEC ^( SELECTOR primary ( selector )+ ) ) | -> ^( SELECTOR primary ( selector )+ ) ) | '++' -> ^( POSTINC primary ) | '--' -> ^( POSTDEC primary ) | -> primary )
                    {
                    pushFollow(FOLLOW_primary_in_unaryExpressionNotPlusMinus6558);
                    primary513=primary();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_primary.add(primary513.getTree());
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:887:3: ( ( selector )+ ( '++' -> ^( POSTINC ^( SELECTOR primary ( selector )+ ) ) | '--' -> ^( POSTDEC ^( SELECTOR primary ( selector )+ ) ) | -> ^( SELECTOR primary ( selector )+ ) ) | '++' -> ^( POSTINC primary ) | '--' -> ^( POSTDEC primary ) | -> primary )
                    int alt157=4;
                    alt157 = dfa157.predict(input);
                    switch (alt157) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:888:4: ( selector )+ ( '++' -> ^( POSTINC ^( SELECTOR primary ( selector )+ ) ) | '--' -> ^( POSTDEC ^( SELECTOR primary ( selector )+ ) ) | -> ^( SELECTOR primary ( selector )+ ) )
                            {
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:888:4: ( selector )+
                            int cnt155=0;
                            loop155:
                            do {
                                int alt155=2;
                                alt155 = dfa155.predict(input);
                                switch (alt155) {
                            	case 1 :
                            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: selector
                            	    {
                            	    pushFollow(FOLLOW_selector_in_unaryExpressionNotPlusMinus6568);
                            	    selector514=selector();

                            	    state._fsp--;
                            	    if (state.failed) return retval;
                            	    if ( state.backtracking==0 ) stream_selector.add(selector514.getTree());

                            	    }
                            	    break;

                            	default :
                            	    if ( cnt155 >= 1 ) break loop155;
                            	    if (state.backtracking>0) {state.failed=true; return retval;}
                                        EarlyExitException eee =
                                            new EarlyExitException(155, input);
                                        throw eee;
                                }
                                cnt155++;
                            } while (true);

                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:889:4: ( '++' -> ^( POSTINC ^( SELECTOR primary ( selector )+ ) ) | '--' -> ^( POSTDEC ^( SELECTOR primary ( selector )+ ) ) | -> ^( SELECTOR primary ( selector )+ ) )
                            int alt156=3;
                            alt156 = dfa156.predict(input);
                            switch (alt156) {
                                case 1 :
                                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:890:5: '++'
                                    {
                                    string_literal515=(Token)match(input,206,FOLLOW_206_in_unaryExpressionNotPlusMinus6581); if (state.failed) return retval; 
                                    if ( state.backtracking==0 ) stream_206.add(string_literal515);



                                    // AST REWRITE
                                    // elements: primary, selector
                                    // token labels: 
                                    // rule labels: retval
                                    // token list labels: 
                                    // rule list labels: 
                                    // wildcard labels: 
                                    if ( state.backtracking==0 ) {
                                    retval.tree = root_0;
                                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                                    root_0 = (Object)adaptor.nil();
                                    // 890:10: -> ^( POSTINC ^( SELECTOR primary ( selector )+ ) )
                                    {
                                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:890:13: ^( POSTINC ^( SELECTOR primary ( selector )+ ) )
                                        {
                                        Object root_1 = (Object)adaptor.nil();
                                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(POSTINC, "POSTINC"), root_1);

                                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:890:23: ^( SELECTOR primary ( selector )+ )
                                        {
                                        Object root_2 = (Object)adaptor.nil();
                                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(SELECTOR, "SELECTOR"), root_2);

                                        adaptor.addChild(root_2, stream_primary.nextTree());
                                        if ( !(stream_selector.hasNext()) ) {
                                            throw new RewriteEarlyExitException();
                                        }
                                        while ( stream_selector.hasNext() ) {
                                            adaptor.addChild(root_2, stream_selector.nextTree());

                                        }
                                        stream_selector.reset();

                                        adaptor.addChild(root_1, root_2);
                                        }

                                        adaptor.addChild(root_0, root_1);
                                        }

                                    }

                                    retval.tree = root_0;}
                                    }
                                    break;
                                case 2 :
                                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:891:6: '--'
                                    {
                                    string_literal516=(Token)match(input,207,FOLLOW_207_in_unaryExpressionNotPlusMinus6603); if (state.failed) return retval; 
                                    if ( state.backtracking==0 ) stream_207.add(string_literal516);



                                    // AST REWRITE
                                    // elements: primary, selector
                                    // token labels: 
                                    // rule labels: retval
                                    // token list labels: 
                                    // rule list labels: 
                                    // wildcard labels: 
                                    if ( state.backtracking==0 ) {
                                    retval.tree = root_0;
                                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                                    root_0 = (Object)adaptor.nil();
                                    // 891:11: -> ^( POSTDEC ^( SELECTOR primary ( selector )+ ) )
                                    {
                                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:891:14: ^( POSTDEC ^( SELECTOR primary ( selector )+ ) )
                                        {
                                        Object root_1 = (Object)adaptor.nil();
                                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(POSTDEC, "POSTDEC"), root_1);

                                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:891:24: ^( SELECTOR primary ( selector )+ )
                                        {
                                        Object root_2 = (Object)adaptor.nil();
                                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(SELECTOR, "SELECTOR"), root_2);

                                        adaptor.addChild(root_2, stream_primary.nextTree());
                                        if ( !(stream_selector.hasNext()) ) {
                                            throw new RewriteEarlyExitException();
                                        }
                                        while ( stream_selector.hasNext() ) {
                                            adaptor.addChild(root_2, stream_selector.nextTree());

                                        }
                                        stream_selector.reset();

                                        adaptor.addChild(root_1, root_2);
                                        }

                                        adaptor.addChild(root_0, root_1);
                                        }

                                    }

                                    retval.tree = root_0;}
                                    }
                                    break;
                                case 3 :
                                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:892:7: 
                                    {

                                    // AST REWRITE
                                    // elements: primary, selector
                                    // token labels: 
                                    // rule labels: retval
                                    // token list labels: 
                                    // rule list labels: 
                                    // wildcard labels: 
                                    if ( state.backtracking==0 ) {
                                    retval.tree = root_0;
                                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                                    root_0 = (Object)adaptor.nil();
                                    // 892:7: -> ^( SELECTOR primary ( selector )+ )
                                    {
                                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:892:10: ^( SELECTOR primary ( selector )+ )
                                        {
                                        Object root_1 = (Object)adaptor.nil();
                                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(SELECTOR, "SELECTOR"), root_1);

                                        adaptor.addChild(root_1, stream_primary.nextTree());
                                        if ( !(stream_selector.hasNext()) ) {
                                            throw new RewriteEarlyExitException();
                                        }
                                        while ( stream_selector.hasNext() ) {
                                            adaptor.addChild(root_1, stream_selector.nextTree());

                                        }
                                        stream_selector.reset();

                                        adaptor.addChild(root_0, root_1);
                                        }

                                    }

                                    retval.tree = root_0;}
                                    }
                                    break;

                            }


                            }
                            break;
                        case 2 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:894:6: '++'
                            {
                            string_literal517=(Token)match(input,206,FOLLOW_206_in_unaryExpressionNotPlusMinus6647); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_206.add(string_literal517);



                            // AST REWRITE
                            // elements: primary
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 894:11: -> ^( POSTINC primary )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:894:14: ^( POSTINC primary )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(POSTINC, "POSTINC"), root_1);

                                adaptor.addChild(root_1, stream_primary.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 3 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:895:6: '--'
                            {
                            string_literal518=(Token)match(input,207,FOLLOW_207_in_unaryExpressionNotPlusMinus6662); if (state.failed) return retval; 
                            if ( state.backtracking==0 ) stream_207.add(string_literal518);



                            // AST REWRITE
                            // elements: primary
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 895:11: -> ^( POSTDEC primary )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:895:14: ^( POSTDEC primary )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(POSTDEC, "POSTDEC"), root_1);

                                adaptor.addChild(root_1, stream_primary.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 4 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:896:6: 
                            {

                            // AST REWRITE
                            // elements: primary
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 896:6: -> primary
                            {
                                adaptor.addChild(root_0, stream_primary.nextTree());

                            }

                            retval.tree = root_0;}
                            }
                            break;

                    }


                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 112, unaryExpressionNotPlusMinus_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "unaryExpressionNotPlusMinus"

    public static class castExpression_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "castExpression"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:900:1: castExpression : ( '(' primitiveType ')' unaryExpression -> ^( CAST ^( TYPE primitiveType ) unaryExpression ) | '(' type ')' unaryExpressionNotPlusMinus -> ^( CAST type unaryExpressionNotPlusMinus ) | '(' expression ')' unaryExpressionNotPlusMinus ->);
    public final JavaParser.castExpression_return castExpression() throws RecognitionException {
        JavaParser.castExpression_return retval = new JavaParser.castExpression_return();
        retval.start = input.LT(1);
        int castExpression_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal519=null;
        Token char_literal521=null;
        Token char_literal523=null;
        Token char_literal525=null;
        Token char_literal527=null;
        Token char_literal529=null;
        JavaParser.primitiveType_return primitiveType520 = null;

        JavaParser.unaryExpression_return unaryExpression522 = null;

        JavaParser.type_return type524 = null;

        JavaParser.unaryExpressionNotPlusMinus_return unaryExpressionNotPlusMinus526 = null;

        JavaParser.expression_return expression528 = null;

        JavaParser.unaryExpressionNotPlusMinus_return unaryExpressionNotPlusMinus530 = null;


        Object char_literal519_tree=null;
        Object char_literal521_tree=null;
        Object char_literal523_tree=null;
        Object char_literal525_tree=null;
        Object char_literal527_tree=null;
        Object char_literal529_tree=null;
        RewriteRuleTokenStream stream_170=new RewriteRuleTokenStream(adaptor,"token 170");
        RewriteRuleTokenStream stream_169=new RewriteRuleTokenStream(adaptor,"token 169");
        RewriteRuleSubtreeStream stream_expression=new RewriteRuleSubtreeStream(adaptor,"rule expression");
        RewriteRuleSubtreeStream stream_primitiveType=new RewriteRuleSubtreeStream(adaptor,"rule primitiveType");
        RewriteRuleSubtreeStream stream_unaryExpression=new RewriteRuleSubtreeStream(adaptor,"rule unaryExpression");
        RewriteRuleSubtreeStream stream_unaryExpressionNotPlusMinus=new RewriteRuleSubtreeStream(adaptor,"rule unaryExpressionNotPlusMinus");
        RewriteRuleSubtreeStream stream_type=new RewriteRuleSubtreeStream(adaptor,"rule type");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 113) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:901:5: ( '(' primitiveType ')' unaryExpression -> ^( CAST ^( TYPE primitiveType ) unaryExpression ) | '(' type ')' unaryExpressionNotPlusMinus -> ^( CAST type unaryExpressionNotPlusMinus ) | '(' expression ')' unaryExpressionNotPlusMinus ->)
            int alt159=3;
            alt159 = dfa159.predict(input);
            switch (alt159) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:901:8: '(' primitiveType ')' unaryExpression
                    {
                    char_literal519=(Token)match(input,169,FOLLOW_169_in_castExpression6701); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_169.add(char_literal519);

                    pushFollow(FOLLOW_primitiveType_in_castExpression6703);
                    primitiveType520=primitiveType();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_primitiveType.add(primitiveType520.getTree());
                    char_literal521=(Token)match(input,170,FOLLOW_170_in_castExpression6705); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_170.add(char_literal521);

                    pushFollow(FOLLOW_unaryExpression_in_castExpression6707);
                    unaryExpression522=unaryExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_unaryExpression.add(unaryExpression522.getTree());


                    // AST REWRITE
                    // elements: primitiveType, unaryExpression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 901:46: -> ^( CAST ^( TYPE primitiveType ) unaryExpression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:901:49: ^( CAST ^( TYPE primitiveType ) unaryExpression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(CAST, "CAST"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:901:56: ^( TYPE primitiveType )
                        {
                        Object root_2 = (Object)adaptor.nil();
                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE, "TYPE"), root_2);

                        adaptor.addChild(root_2, stream_primitiveType.nextTree());

                        adaptor.addChild(root_1, root_2);
                        }
                        adaptor.addChild(root_1, stream_unaryExpression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:902:8: '(' type ')' unaryExpressionNotPlusMinus
                    {
                    char_literal523=(Token)match(input,169,FOLLOW_169_in_castExpression6730); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_169.add(char_literal523);

                    pushFollow(FOLLOW_type_in_castExpression6732);
                    type524=type();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_type.add(type524.getTree());
                    char_literal525=(Token)match(input,170,FOLLOW_170_in_castExpression6734); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_170.add(char_literal525);

                    pushFollow(FOLLOW_unaryExpressionNotPlusMinus_in_castExpression6736);
                    unaryExpressionNotPlusMinus526=unaryExpressionNotPlusMinus();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_unaryExpressionNotPlusMinus.add(unaryExpressionNotPlusMinus526.getTree());


                    // AST REWRITE
                    // elements: unaryExpressionNotPlusMinus, type
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 902:49: -> ^( CAST type unaryExpressionNotPlusMinus )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:902:52: ^( CAST type unaryExpressionNotPlusMinus )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(CAST, "CAST"), root_1);

                        adaptor.addChild(root_1, stream_type.nextTree());
                        adaptor.addChild(root_1, stream_unaryExpressionNotPlusMinus.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:903:8: '(' expression ')' unaryExpressionNotPlusMinus
                    {
                    char_literal527=(Token)match(input,169,FOLLOW_169_in_castExpression6755); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_169.add(char_literal527);

                    pushFollow(FOLLOW_expression_in_castExpression6757);
                    expression528=expression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_expression.add(expression528.getTree());
                    char_literal529=(Token)match(input,170,FOLLOW_170_in_castExpression6759); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_170.add(char_literal529);

                    pushFollow(FOLLOW_unaryExpressionNotPlusMinus_in_castExpression6761);
                    unaryExpressionNotPlusMinus530=unaryExpressionNotPlusMinus();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_unaryExpressionNotPlusMinus.add(unaryExpressionNotPlusMinus530.getTree());


                    // AST REWRITE
                    // elements: 
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 903:55: ->
                    {
                        root_0 = null;
                    }

                    retval.tree = root_0;}
                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 113, castExpression_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "castExpression"

    public static class primary_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "primary"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:906:1: primary : ( parExpression | nonWildcardTypeArguments explicitGenericInvocationSuffix -> ^( INVOKE ^( TYPE_PARAMETER nonWildcardTypeArguments ) explicitGenericInvocationSuffix ) | literal | 'new' ( nonWildcardTypeArguments )? primitiveType ( ( '[' expression ']' )+ ( '[' ']' )* -> ^( NEW ^( TYPE primitiveType ( '[' )* ) ( expression )* ) | ( '[' ']' )+ arrayInitializer -> ^( ARRAYINIT ^( TYPE primitiveType ( '[' )* ) arrayInitializer ) ) | 'new' ( nonWildcardTypeArguments )? nwContext ':' (i+= refComponent ( '.' i+= refComponent )* ) ( ( '[' expression ']' )+ ( '[' ']' )* -> ^( NEW ^( TYPE nwContext ( $i)+ ( '[' )* ) ( expression )* ) | ( '[' ']' )+ arrayInitializer -> ^( ARRAYINIT ^( TYPE nwContext ( $i)+ ( '[' )* ) arrayInitializer ) | classCreatorRest -> ^( NEW ^( TYPE nwContext ( $i)+ ) ( classCreatorRest )? ) ) | type '.' 'class' -> ^( GETCLASS type ) | 'void' '.' 'class' -> ^( GETCLASS ^( TYPE VOID ) ) | 'super' ( arguments -> ^( INVOKE 'super' ( arguments )? ) | -> ^( VAR 'super' ) ) | Identifier ( arguments -> ^( INVOKE Identifier ( arguments )? ) | -> ^( VAR Identifier ) ) );
    public final JavaParser.primary_return primary() throws RecognitionException {
        JavaParser.primary_return retval = new JavaParser.primary_return();
        retval.start = input.LT(1);
        int primary_StartIndex = input.index();
        Object root_0 = null;

        Token string_literal535=null;
        Token char_literal538=null;
        Token char_literal540=null;
        Token char_literal541=null;
        Token char_literal542=null;
        Token char_literal543=null;
        Token char_literal544=null;
        Token string_literal546=null;
        Token char_literal549=null;
        Token char_literal550=null;
        Token char_literal551=null;
        Token char_literal553=null;
        Token char_literal554=null;
        Token char_literal555=null;
        Token char_literal556=null;
        Token char_literal557=null;
        Token char_literal561=null;
        Token string_literal562=null;
        Token string_literal563=null;
        Token char_literal564=null;
        Token string_literal565=null;
        Token string_literal566=null;
        Token Identifier568=null;
        List list_i=null;
        JavaParser.parExpression_return parExpression531 = null;

        JavaParser.nonWildcardTypeArguments_return nonWildcardTypeArguments532 = null;

        JavaParser.explicitGenericInvocationSuffix_return explicitGenericInvocationSuffix533 = null;

        JavaParser.literal_return literal534 = null;

        JavaParser.nonWildcardTypeArguments_return nonWildcardTypeArguments536 = null;

        JavaParser.primitiveType_return primitiveType537 = null;

        JavaParser.expression_return expression539 = null;

        JavaParser.arrayInitializer_return arrayInitializer545 = null;

        JavaParser.nonWildcardTypeArguments_return nonWildcardTypeArguments547 = null;

        JavaParser.nwContext_return nwContext548 = null;

        JavaParser.expression_return expression552 = null;

        JavaParser.arrayInitializer_return arrayInitializer558 = null;

        JavaParser.classCreatorRest_return classCreatorRest559 = null;

        JavaParser.type_return type560 = null;

        JavaParser.arguments_return arguments567 = null;

        JavaParser.arguments_return arguments569 = null;

        RuleReturnScope i = null;
        Object string_literal535_tree=null;
        Object char_literal538_tree=null;
        Object char_literal540_tree=null;
        Object char_literal541_tree=null;
        Object char_literal542_tree=null;
        Object char_literal543_tree=null;
        Object char_literal544_tree=null;
        Object string_literal546_tree=null;
        Object char_literal549_tree=null;
        Object char_literal550_tree=null;
        Object char_literal551_tree=null;
        Object char_literal553_tree=null;
        Object char_literal554_tree=null;
        Object char_literal555_tree=null;
        Object char_literal556_tree=null;
        Object char_literal557_tree=null;
        Object char_literal561_tree=null;
        Object string_literal562_tree=null;
        Object string_literal563_tree=null;
        Object char_literal564_tree=null;
        Object string_literal565_tree=null;
        Object string_literal566_tree=null;
        Object Identifier568_tree=null;
        RewriteRuleTokenStream stream_143=new RewriteRuleTokenStream(adaptor,"token 143");
        RewriteRuleTokenStream stream_144=new RewriteRuleTokenStream(adaptor,"token 144");
        RewriteRuleTokenStream stream_210=new RewriteRuleTokenStream(adaptor,"token 210");
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleTokenStream stream_131=new RewriteRuleTokenStream(adaptor,"token 131");
        RewriteRuleTokenStream stream_129=new RewriteRuleTokenStream(adaptor,"token 129");
        RewriteRuleTokenStream stream_156=new RewriteRuleTokenStream(adaptor,"token 156");
        RewriteRuleTokenStream stream_168=new RewriteRuleTokenStream(adaptor,"token 168");
        RewriteRuleTokenStream stream_141=new RewriteRuleTokenStream(adaptor,"token 141");
        RewriteRuleSubtreeStream stream_expression=new RewriteRuleSubtreeStream(adaptor,"rule expression");
        RewriteRuleSubtreeStream stream_arguments=new RewriteRuleSubtreeStream(adaptor,"rule arguments");
        RewriteRuleSubtreeStream stream_refComponent=new RewriteRuleSubtreeStream(adaptor,"rule refComponent");
        RewriteRuleSubtreeStream stream_arrayInitializer=new RewriteRuleSubtreeStream(adaptor,"rule arrayInitializer");
        RewriteRuleSubtreeStream stream_nwContext=new RewriteRuleSubtreeStream(adaptor,"rule nwContext");
        RewriteRuleSubtreeStream stream_primitiveType=new RewriteRuleSubtreeStream(adaptor,"rule primitiveType");
        RewriteRuleSubtreeStream stream_nonWildcardTypeArguments=new RewriteRuleSubtreeStream(adaptor,"rule nonWildcardTypeArguments");
        RewriteRuleSubtreeStream stream_type=new RewriteRuleSubtreeStream(adaptor,"rule type");
        RewriteRuleSubtreeStream stream_classCreatorRest=new RewriteRuleSubtreeStream(adaptor,"rule classCreatorRest");
        RewriteRuleSubtreeStream stream_explicitGenericInvocationSuffix=new RewriteRuleSubtreeStream(adaptor,"rule explicitGenericInvocationSuffix");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 114) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:907:5: ( parExpression | nonWildcardTypeArguments explicitGenericInvocationSuffix -> ^( INVOKE ^( TYPE_PARAMETER nonWildcardTypeArguments ) explicitGenericInvocationSuffix ) | literal | 'new' ( nonWildcardTypeArguments )? primitiveType ( ( '[' expression ']' )+ ( '[' ']' )* -> ^( NEW ^( TYPE primitiveType ( '[' )* ) ( expression )* ) | ( '[' ']' )+ arrayInitializer -> ^( ARRAYINIT ^( TYPE primitiveType ( '[' )* ) arrayInitializer ) ) | 'new' ( nonWildcardTypeArguments )? nwContext ':' (i+= refComponent ( '.' i+= refComponent )* ) ( ( '[' expression ']' )+ ( '[' ']' )* -> ^( NEW ^( TYPE nwContext ( $i)+ ( '[' )* ) ( expression )* ) | ( '[' ']' )+ arrayInitializer -> ^( ARRAYINIT ^( TYPE nwContext ( $i)+ ( '[' )* ) arrayInitializer ) | classCreatorRest -> ^( NEW ^( TYPE nwContext ( $i)+ ) ( classCreatorRest )? ) ) | type '.' 'class' -> ^( GETCLASS type ) | 'void' '.' 'class' -> ^( GETCLASS ^( TYPE VOID ) ) | 'super' ( arguments -> ^( INVOKE 'super' ( arguments )? ) | -> ^( VAR 'super' ) ) | Identifier ( arguments -> ^( INVOKE Identifier ( arguments )? ) | -> ^( VAR Identifier ) ) )
            int alt173=9;
            alt173 = dfa173.predict(input);
            switch (alt173) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:907:7: parExpression
                    {
                    root_0 = (Object)adaptor.nil();

                    pushFollow(FOLLOW_parExpression_in_primary6781);
                    parExpression531=parExpression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, parExpression531.getTree());

                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:908:6: nonWildcardTypeArguments explicitGenericInvocationSuffix
                    {
                    pushFollow(FOLLOW_nonWildcardTypeArguments_in_primary6788);
                    nonWildcardTypeArguments532=nonWildcardTypeArguments();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_nonWildcardTypeArguments.add(nonWildcardTypeArguments532.getTree());
                    pushFollow(FOLLOW_explicitGenericInvocationSuffix_in_primary6790);
                    explicitGenericInvocationSuffix533=explicitGenericInvocationSuffix();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_explicitGenericInvocationSuffix.add(explicitGenericInvocationSuffix533.getTree());


                    // AST REWRITE
                    // elements: nonWildcardTypeArguments, explicitGenericInvocationSuffix
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 908:63: -> ^( INVOKE ^( TYPE_PARAMETER nonWildcardTypeArguments ) explicitGenericInvocationSuffix )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:908:66: ^( INVOKE ^( TYPE_PARAMETER nonWildcardTypeArguments ) explicitGenericInvocationSuffix )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(INVOKE, "INVOKE"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:908:75: ^( TYPE_PARAMETER nonWildcardTypeArguments )
                        {
                        Object root_2 = (Object)adaptor.nil();
                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE_PARAMETER, "TYPE_PARAMETER"), root_2);

                        adaptor.addChild(root_2, stream_nonWildcardTypeArguments.nextTree());

                        adaptor.addChild(root_1, root_2);
                        }
                        adaptor.addChild(root_1, stream_explicitGenericInvocationSuffix.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:909:9: literal
                    {
                    root_0 = (Object)adaptor.nil();

                    pushFollow(FOLLOW_literal_in_primary6814);
                    literal534=literal();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, literal534.getTree());

                    }
                    break;
                case 4 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:910:9: 'new' ( nonWildcardTypeArguments )? primitiveType ( ( '[' expression ']' )+ ( '[' ']' )* -> ^( NEW ^( TYPE primitiveType ( '[' )* ) ( expression )* ) | ( '[' ']' )+ arrayInitializer -> ^( ARRAYINIT ^( TYPE primitiveType ( '[' )* ) arrayInitializer ) )
                    {
                    string_literal535=(Token)match(input,210,FOLLOW_210_in_primary6824); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_210.add(string_literal535);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:910:15: ( nonWildcardTypeArguments )?
                    int alt160=2;
                    int LA160_0 = input.LA(1);

                    if ( (LA160_0==134) ) {
                        alt160=1;
                    }
                    switch (alt160) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: nonWildcardTypeArguments
                            {
                            pushFollow(FOLLOW_nonWildcardTypeArguments_in_primary6826);
                            nonWildcardTypeArguments536=nonWildcardTypeArguments();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_nonWildcardTypeArguments.add(nonWildcardTypeArguments536.getTree());

                            }
                            break;

                    }

                    pushFollow(FOLLOW_primitiveType_in_primary6829);
                    primitiveType537=primitiveType();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_primitiveType.add(primitiveType537.getTree());
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:911:6: ( ( '[' expression ']' )+ ( '[' ']' )* -> ^( NEW ^( TYPE primitiveType ( '[' )* ) ( expression )* ) | ( '[' ']' )+ arrayInitializer -> ^( ARRAYINIT ^( TYPE primitiveType ( '[' )* ) arrayInitializer ) )
                    int alt164=2;
                    alt164 = dfa164.predict(input);
                    switch (alt164) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:912:7: ( '[' expression ']' )+ ( '[' ']' )*
                            {
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:912:7: ( '[' expression ']' )+
                            int cnt161=0;
                            loop161:
                            do {
                                int alt161=2;
                                alt161 = dfa161.predict(input);
                                switch (alt161) {
                            	case 1 :
                            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:912:8: '[' expression ']'
                            	    {
                            	    char_literal538=(Token)match(input,143,FOLLOW_143_in_primary6845); if (state.failed) return retval; 
                            	    if ( state.backtracking==0 ) stream_143.add(char_literal538);

                            	    pushFollow(FOLLOW_expression_in_primary6847);
                            	    expression539=expression();

                            	    state._fsp--;
                            	    if (state.failed) return retval;
                            	    if ( state.backtracking==0 ) stream_expression.add(expression539.getTree());
                            	    char_literal540=(Token)match(input,144,FOLLOW_144_in_primary6849); if (state.failed) return retval; 
                            	    if ( state.backtracking==0 ) stream_144.add(char_literal540);


                            	    }
                            	    break;

                            	default :
                            	    if ( cnt161 >= 1 ) break loop161;
                            	    if (state.backtracking>0) {state.failed=true; return retval;}
                                        EarlyExitException eee =
                                            new EarlyExitException(161, input);
                                        throw eee;
                                }
                                cnt161++;
                            } while (true);

                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:912:29: ( '[' ']' )*
                            loop162:
                            do {
                                int alt162=2;
                                alt162 = dfa162.predict(input);
                                switch (alt162) {
                            	case 1 :
                            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:912:30: '[' ']'
                            	    {
                            	    char_literal541=(Token)match(input,143,FOLLOW_143_in_primary6854); if (state.failed) return retval; 
                            	    if ( state.backtracking==0 ) stream_143.add(char_literal541);

                            	    char_literal542=(Token)match(input,144,FOLLOW_144_in_primary6856); if (state.failed) return retval; 
                            	    if ( state.backtracking==0 ) stream_144.add(char_literal542);


                            	    }
                            	    break;

                            	default :
                            	    break loop162;
                                }
                            } while (true);



                            // AST REWRITE
                            // elements: primitiveType, 143, expression
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 912:40: -> ^( NEW ^( TYPE primitiveType ( '[' )* ) ( expression )* )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:912:43: ^( NEW ^( TYPE primitiveType ( '[' )* ) ( expression )* )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(NEW, "NEW"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:912:49: ^( TYPE primitiveType ( '[' )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE, "TYPE"), root_2);

                                adaptor.addChild(root_2, stream_primitiveType.nextTree());
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:912:70: ( '[' )*
                                while ( stream_143.hasNext() ) {
                                    adaptor.addChild(root_2, stream_143.nextNode());

                                }
                                stream_143.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:912:76: ( expression )*
                                while ( stream_expression.hasNext() ) {
                                    adaptor.addChild(root_1, stream_expression.nextTree());

                                }
                                stream_expression.reset();

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 2 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:913:9: ( '[' ']' )+ arrayInitializer
                            {
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:913:9: ( '[' ']' )+
                            int cnt163=0;
                            loop163:
                            do {
                                int alt163=2;
                                int LA163_0 = input.LA(1);

                                if ( (LA163_0==143) ) {
                                    alt163=1;
                                }


                                switch (alt163) {
                            	case 1 :
                            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:913:10: '[' ']'
                            	    {
                            	    char_literal543=(Token)match(input,143,FOLLOW_143_in_primary6887); if (state.failed) return retval; 
                            	    if ( state.backtracking==0 ) stream_143.add(char_literal543);

                            	    char_literal544=(Token)match(input,144,FOLLOW_144_in_primary6889); if (state.failed) return retval; 
                            	    if ( state.backtracking==0 ) stream_144.add(char_literal544);


                            	    }
                            	    break;

                            	default :
                            	    if ( cnt163 >= 1 ) break loop163;
                            	    if (state.backtracking>0) {state.failed=true; return retval;}
                                        EarlyExitException eee =
                                            new EarlyExitException(163, input);
                                        throw eee;
                                }
                                cnt163++;
                            } while (true);

                            pushFollow(FOLLOW_arrayInitializer_in_primary6893);
                            arrayInitializer545=arrayInitializer();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_arrayInitializer.add(arrayInitializer545.getTree());


                            // AST REWRITE
                            // elements: arrayInitializer, 143, primitiveType
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 913:37: -> ^( ARRAYINIT ^( TYPE primitiveType ( '[' )* ) arrayInitializer )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:913:40: ^( ARRAYINIT ^( TYPE primitiveType ( '[' )* ) arrayInitializer )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ARRAYINIT, "ARRAYINIT"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:913:52: ^( TYPE primitiveType ( '[' )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE, "TYPE"), root_2);

                                adaptor.addChild(root_2, stream_primitiveType.nextTree());
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:913:73: ( '[' )*
                                while ( stream_143.hasNext() ) {
                                    adaptor.addChild(root_2, stream_143.nextNode());

                                }
                                stream_143.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_arrayInitializer.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;

                    }


                    }
                    break;
                case 5 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:915:9: 'new' ( nonWildcardTypeArguments )? nwContext ':' (i+= refComponent ( '.' i+= refComponent )* ) ( ( '[' expression ']' )+ ( '[' ']' )* -> ^( NEW ^( TYPE nwContext ( $i)+ ( '[' )* ) ( expression )* ) | ( '[' ']' )+ arrayInitializer -> ^( ARRAYINIT ^( TYPE nwContext ( $i)+ ( '[' )* ) arrayInitializer ) | classCreatorRest -> ^( NEW ^( TYPE nwContext ( $i)+ ) ( classCreatorRest )? ) )
                    {
                    string_literal546=(Token)match(input,210,FOLLOW_210_in_primary6925); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_210.add(string_literal546);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:915:15: ( nonWildcardTypeArguments )?
                    int alt165=2;
                    int LA165_0 = input.LA(1);

                    if ( (LA165_0==134) ) {
                        alt165=1;
                    }
                    switch (alt165) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: nonWildcardTypeArguments
                            {
                            pushFollow(FOLLOW_nonWildcardTypeArguments_in_primary6927);
                            nonWildcardTypeArguments547=nonWildcardTypeArguments();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_nonWildcardTypeArguments.add(nonWildcardTypeArguments547.getTree());

                            }
                            break;

                    }

                    pushFollow(FOLLOW_nwContext_in_primary6930);
                    nwContext548=nwContext();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_nwContext.add(nwContext548.getTree());
                    char_literal549=(Token)match(input,156,FOLLOW_156_in_primary6932); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_156.add(char_literal549);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:915:55: (i+= refComponent ( '.' i+= refComponent )* )
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:915:56: i+= refComponent ( '.' i+= refComponent )*
                    {
                    pushFollow(FOLLOW_refComponent_in_primary6937);
                    i=refComponent();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_refComponent.add(i.getTree());
                    if (list_i==null) list_i=new ArrayList();
                    list_i.add(i.getTree());

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:915:72: ( '.' i+= refComponent )*
                    loop166:
                    do {
                        int alt166=2;
                        int LA166_0 = input.LA(1);

                        if ( (LA166_0==129) ) {
                            alt166=1;
                        }


                        switch (alt166) {
                    	case 1 :
                    	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:915:73: '.' i+= refComponent
                    	    {
                    	    char_literal550=(Token)match(input,129,FOLLOW_129_in_primary6940); if (state.failed) return retval; 
                    	    if ( state.backtracking==0 ) stream_129.add(char_literal550);

                    	    pushFollow(FOLLOW_refComponent_in_primary6944);
                    	    i=refComponent();

                    	    state._fsp--;
                    	    if (state.failed) return retval;
                    	    if ( state.backtracking==0 ) stream_refComponent.add(i.getTree());
                    	    if (list_i==null) list_i=new ArrayList();
                    	    list_i.add(i.getTree());


                    	    }
                    	    break;

                    	default :
                    	    break loop166;
                        }
                    } while (true);


                    }

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:916:6: ( ( '[' expression ']' )+ ( '[' ']' )* -> ^( NEW ^( TYPE nwContext ( $i)+ ( '[' )* ) ( expression )* ) | ( '[' ']' )+ arrayInitializer -> ^( ARRAYINIT ^( TYPE nwContext ( $i)+ ( '[' )* ) arrayInitializer ) | classCreatorRest -> ^( NEW ^( TYPE nwContext ( $i)+ ) ( classCreatorRest )? ) )
                    int alt170=3;
                    alt170 = dfa170.predict(input);
                    switch (alt170) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:917:7: ( '[' expression ']' )+ ( '[' ']' )*
                            {
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:917:7: ( '[' expression ']' )+
                            int cnt167=0;
                            loop167:
                            do {
                                int alt167=2;
                                alt167 = dfa167.predict(input);
                                switch (alt167) {
                            	case 1 :
                            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:917:8: '[' expression ']'
                            	    {
                            	    char_literal551=(Token)match(input,143,FOLLOW_143_in_primary6963); if (state.failed) return retval; 
                            	    if ( state.backtracking==0 ) stream_143.add(char_literal551);

                            	    pushFollow(FOLLOW_expression_in_primary6965);
                            	    expression552=expression();

                            	    state._fsp--;
                            	    if (state.failed) return retval;
                            	    if ( state.backtracking==0 ) stream_expression.add(expression552.getTree());
                            	    char_literal553=(Token)match(input,144,FOLLOW_144_in_primary6967); if (state.failed) return retval; 
                            	    if ( state.backtracking==0 ) stream_144.add(char_literal553);


                            	    }
                            	    break;

                            	default :
                            	    if ( cnt167 >= 1 ) break loop167;
                            	    if (state.backtracking>0) {state.failed=true; return retval;}
                                        EarlyExitException eee =
                                            new EarlyExitException(167, input);
                                        throw eee;
                                }
                                cnt167++;
                            } while (true);

                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:917:29: ( '[' ']' )*
                            loop168:
                            do {
                                int alt168=2;
                                alt168 = dfa168.predict(input);
                                switch (alt168) {
                            	case 1 :
                            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:917:30: '[' ']'
                            	    {
                            	    char_literal554=(Token)match(input,143,FOLLOW_143_in_primary6972); if (state.failed) return retval; 
                            	    if ( state.backtracking==0 ) stream_143.add(char_literal554);

                            	    char_literal555=(Token)match(input,144,FOLLOW_144_in_primary6974); if (state.failed) return retval; 
                            	    if ( state.backtracking==0 ) stream_144.add(char_literal555);


                            	    }
                            	    break;

                            	default :
                            	    break loop168;
                                }
                            } while (true);



                            // AST REWRITE
                            // elements: 143, nwContext, expression, i
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: i
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);
                            RewriteRuleSubtreeStream stream_i=new RewriteRuleSubtreeStream(adaptor,"token i",list_i);
                            root_0 = (Object)adaptor.nil();
                            // 917:40: -> ^( NEW ^( TYPE nwContext ( $i)+ ( '[' )* ) ( expression )* )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:917:43: ^( NEW ^( TYPE nwContext ( $i)+ ( '[' )* ) ( expression )* )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(NEW, "NEW"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:917:49: ^( TYPE nwContext ( $i)+ ( '[' )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE, "TYPE"), root_2);

                                adaptor.addChild(root_2, stream_nwContext.nextTree());
                                if ( !(stream_i.hasNext()) ) {
                                    throw new RewriteEarlyExitException();
                                }
                                while ( stream_i.hasNext() ) {
                                    adaptor.addChild(root_2, stream_i.nextTree());

                                }
                                stream_i.reset();
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:917:70: ( '[' )*
                                while ( stream_143.hasNext() ) {
                                    adaptor.addChild(root_2, stream_143.nextNode());

                                }
                                stream_143.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:917:76: ( expression )*
                                while ( stream_expression.hasNext() ) {
                                    adaptor.addChild(root_1, stream_expression.nextTree());

                                }
                                stream_expression.reset();

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 2 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:918:9: ( '[' ']' )+ arrayInitializer
                            {
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:918:9: ( '[' ']' )+
                            int cnt169=0;
                            loop169:
                            do {
                                int alt169=2;
                                int LA169_0 = input.LA(1);

                                if ( (LA169_0==143) ) {
                                    alt169=1;
                                }


                                switch (alt169) {
                            	case 1 :
                            	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:918:10: '[' ']'
                            	    {
                            	    char_literal556=(Token)match(input,143,FOLLOW_143_in_primary7009); if (state.failed) return retval; 
                            	    if ( state.backtracking==0 ) stream_143.add(char_literal556);

                            	    char_literal557=(Token)match(input,144,FOLLOW_144_in_primary7011); if (state.failed) return retval; 
                            	    if ( state.backtracking==0 ) stream_144.add(char_literal557);


                            	    }
                            	    break;

                            	default :
                            	    if ( cnt169 >= 1 ) break loop169;
                            	    if (state.backtracking>0) {state.failed=true; return retval;}
                                        EarlyExitException eee =
                                            new EarlyExitException(169, input);
                                        throw eee;
                                }
                                cnt169++;
                            } while (true);

                            pushFollow(FOLLOW_arrayInitializer_in_primary7015);
                            arrayInitializer558=arrayInitializer();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_arrayInitializer.add(arrayInitializer558.getTree());


                            // AST REWRITE
                            // elements: 143, arrayInitializer, i, nwContext
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: i
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);
                            RewriteRuleSubtreeStream stream_i=new RewriteRuleSubtreeStream(adaptor,"token i",list_i);
                            root_0 = (Object)adaptor.nil();
                            // 918:37: -> ^( ARRAYINIT ^( TYPE nwContext ( $i)+ ( '[' )* ) arrayInitializer )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:918:40: ^( ARRAYINIT ^( TYPE nwContext ( $i)+ ( '[' )* ) arrayInitializer )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ARRAYINIT, "ARRAYINIT"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:918:52: ^( TYPE nwContext ( $i)+ ( '[' )* )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE, "TYPE"), root_2);

                                adaptor.addChild(root_2, stream_nwContext.nextTree());
                                if ( !(stream_i.hasNext()) ) {
                                    throw new RewriteEarlyExitException();
                                }
                                while ( stream_i.hasNext() ) {
                                    adaptor.addChild(root_2, stream_i.nextTree());

                                }
                                stream_i.reset();
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:918:73: ( '[' )*
                                while ( stream_143.hasNext() ) {
                                    adaptor.addChild(root_2, stream_143.nextNode());

                                }
                                stream_143.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                adaptor.addChild(root_1, stream_arrayInitializer.nextTree());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 3 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:919:9: classCreatorRest
                            {
                            pushFollow(FOLLOW_classCreatorRest_in_primary7046);
                            classCreatorRest559=classCreatorRest();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_classCreatorRest.add(classCreatorRest559.getTree());


                            // AST REWRITE
                            // elements: i, nwContext, classCreatorRest
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: i
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);
                            RewriteRuleSubtreeStream stream_i=new RewriteRuleSubtreeStream(adaptor,"token i",list_i);
                            root_0 = (Object)adaptor.nil();
                            // 919:26: -> ^( NEW ^( TYPE nwContext ( $i)+ ) ( classCreatorRest )? )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:919:29: ^( NEW ^( TYPE nwContext ( $i)+ ) ( classCreatorRest )? )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(NEW, "NEW"), root_1);

                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:919:35: ^( TYPE nwContext ( $i)+ )
                                {
                                Object root_2 = (Object)adaptor.nil();
                                root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE, "TYPE"), root_2);

                                adaptor.addChild(root_2, stream_nwContext.nextTree());
                                if ( !(stream_i.hasNext()) ) {
                                    throw new RewriteEarlyExitException();
                                }
                                while ( stream_i.hasNext() ) {
                                    adaptor.addChild(root_2, stream_i.nextTree());

                                }
                                stream_i.reset();

                                adaptor.addChild(root_1, root_2);
                                }
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:919:57: ( classCreatorRest )?
                                if ( stream_classCreatorRest.hasNext() ) {
                                    adaptor.addChild(root_1, stream_classCreatorRest.nextTree());

                                }
                                stream_classCreatorRest.reset();

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;

                    }


                    }
                    break;
                case 6 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:921:9: type '.' 'class'
                    {
                    pushFollow(FOLLOW_type_in_primary7080);
                    type560=type();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_type.add(type560.getTree());
                    char_literal561=(Token)match(input,129,FOLLOW_129_in_primary7082); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_129.add(char_literal561);

                    string_literal562=(Token)match(input,131,FOLLOW_131_in_primary7084); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_131.add(string_literal562);



                    // AST REWRITE
                    // elements: type
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 921:26: -> ^( GETCLASS type )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:921:29: ^( GETCLASS type )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(GETCLASS, "GETCLASS"), root_1);

                        adaptor.addChild(root_1, stream_type.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 7 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:922:9: 'void' '.' 'class'
                    {
                    string_literal563=(Token)match(input,141,FOLLOW_141_in_primary7106); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_141.add(string_literal563);

                    char_literal564=(Token)match(input,129,FOLLOW_129_in_primary7108); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_129.add(char_literal564);

                    string_literal565=(Token)match(input,131,FOLLOW_131_in_primary7110); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_131.add(string_literal565);



                    // AST REWRITE
                    // elements: 
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 922:28: -> ^( GETCLASS ^( TYPE VOID ) )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:922:31: ^( GETCLASS ^( TYPE VOID ) )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(GETCLASS, "GETCLASS"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:922:42: ^( TYPE VOID )
                        {
                        Object root_2 = (Object)adaptor.nil();
                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE, "TYPE"), root_2);

                        adaptor.addChild(root_2, (Object)adaptor.create(VOID, "VOID"));

                        adaptor.addChild(root_1, root_2);
                        }

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 8 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:923:8: 'super' ( arguments -> ^( INVOKE 'super' ( arguments )? ) | -> ^( VAR 'super' ) )
                    {
                    string_literal566=(Token)match(input,168,FOLLOW_168_in_primary7131); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_168.add(string_literal566);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:924:3: ( arguments -> ^( INVOKE 'super' ( arguments )? ) | -> ^( VAR 'super' ) )
                    int alt171=2;
                    alt171 = dfa171.predict(input);
                    switch (alt171) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:925:4: arguments
                            {
                            pushFollow(FOLLOW_arguments_in_primary7141);
                            arguments567=arguments();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_arguments.add(arguments567.getTree());


                            // AST REWRITE
                            // elements: 168, arguments
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 925:14: -> ^( INVOKE 'super' ( arguments )? )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:925:17: ^( INVOKE 'super' ( arguments )? )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(INVOKE, "INVOKE"), root_1);

                                adaptor.addChild(root_1, stream_168.nextNode());
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:925:34: ( arguments )?
                                if ( stream_arguments.hasNext() ) {
                                    adaptor.addChild(root_1, stream_arguments.nextTree());

                                }
                                stream_arguments.reset();

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 2 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:926:6: 
                            {

                            // AST REWRITE
                            // elements: 168
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 926:6: -> ^( VAR 'super' )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:926:9: ^( VAR 'super' )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(VAR, "VAR"), root_1);

                                adaptor.addChild(root_1, stream_168.nextNode());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;

                    }


                    }
                    break;
                case 9 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:928:9: Identifier ( arguments -> ^( INVOKE Identifier ( arguments )? ) | -> ^( VAR Identifier ) )
                    {
                    Identifier568=(Token)match(input,Identifier,FOLLOW_Identifier_in_primary7179); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_Identifier.add(Identifier568);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:929:6: ( arguments -> ^( INVOKE Identifier ( arguments )? ) | -> ^( VAR Identifier ) )
                    int alt172=2;
                    alt172 = dfa172.predict(input);
                    switch (alt172) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:930:7: arguments
                            {
                            pushFollow(FOLLOW_arguments_in_primary7195);
                            arguments569=arguments();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_arguments.add(arguments569.getTree());


                            // AST REWRITE
                            // elements: Identifier, arguments
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 930:17: -> ^( INVOKE Identifier ( arguments )? )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:930:20: ^( INVOKE Identifier ( arguments )? )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(INVOKE, "INVOKE"), root_1);

                                adaptor.addChild(root_1, stream_Identifier.nextNode());
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:930:40: ( arguments )?
                                if ( stream_arguments.hasNext() ) {
                                    adaptor.addChild(root_1, stream_arguments.nextTree());

                                }
                                stream_arguments.reset();

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 2 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:931:9: 
                            {

                            // AST REWRITE
                            // elements: Identifier
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 931:9: -> ^( VAR Identifier )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:931:12: ^( VAR Identifier )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(VAR, "VAR"), root_1);

                                adaptor.addChild(root_1, stream_Identifier.nextNode());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;

                    }


                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 114, primary_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "primary"

    public static class innerCreator_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "innerCreator"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:935:1: innerCreator : Identifier classCreatorRest -> ^( TYPE Identifier ) ( classCreatorRest )? ;
    public final JavaParser.innerCreator_return innerCreator() throws RecognitionException {
        JavaParser.innerCreator_return retval = new JavaParser.innerCreator_return();
        retval.start = input.LT(1);
        int innerCreator_StartIndex = input.index();
        Object root_0 = null;

        Token Identifier570=null;
        JavaParser.classCreatorRest_return classCreatorRest571 = null;


        Object Identifier570_tree=null;
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleSubtreeStream stream_classCreatorRest=new RewriteRuleSubtreeStream(adaptor,"rule classCreatorRest");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 115) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:936:2: ( Identifier classCreatorRest -> ^( TYPE Identifier ) ( classCreatorRest )? )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:936:4: Identifier classCreatorRest
            {
            Identifier570=(Token)match(input,Identifier,FOLLOW_Identifier_in_innerCreator7240); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_Identifier.add(Identifier570);

            pushFollow(FOLLOW_classCreatorRest_in_innerCreator7242);
            classCreatorRest571=classCreatorRest();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_classCreatorRest.add(classCreatorRest571.getTree());


            // AST REWRITE
            // elements: classCreatorRest, Identifier
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 936:32: -> ^( TYPE Identifier ) ( classCreatorRest )?
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:936:35: ^( TYPE Identifier )
                {
                Object root_1 = (Object)adaptor.nil();
                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE, "TYPE"), root_1);

                adaptor.addChild(root_1, stream_Identifier.nextNode());

                adaptor.addChild(root_0, root_1);
                }
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:936:54: ( classCreatorRest )?
                if ( stream_classCreatorRest.hasNext() ) {
                    adaptor.addChild(root_0, stream_classCreatorRest.nextTree());

                }
                stream_classCreatorRest.reset();

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 115, innerCreator_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "innerCreator"

    public static class classCreatorRest_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "classCreatorRest"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:939:1: classCreatorRest : arguments ( classBody )? -> ( arguments )? ( classBody )? ;
    public final JavaParser.classCreatorRest_return classCreatorRest() throws RecognitionException {
        JavaParser.classCreatorRest_return retval = new JavaParser.classCreatorRest_return();
        retval.start = input.LT(1);
        int classCreatorRest_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.arguments_return arguments572 = null;

        JavaParser.classBody_return classBody573 = null;


        RewriteRuleSubtreeStream stream_arguments=new RewriteRuleSubtreeStream(adaptor,"rule arguments");
        RewriteRuleSubtreeStream stream_classBody=new RewriteRuleSubtreeStream(adaptor,"rule classBody");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 116) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:940:2: ( arguments ( classBody )? -> ( arguments )? ( classBody )? )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:940:4: arguments ( classBody )?
            {
            pushFollow(FOLLOW_arguments_in_classCreatorRest7264);
            arguments572=arguments();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_arguments.add(arguments572.getTree());
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:940:14: ( classBody )?
            int alt174=2;
            alt174 = dfa174.predict(input);
            switch (alt174) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: classBody
                    {
                    pushFollow(FOLLOW_classBody_in_classCreatorRest7266);
                    classBody573=classBody();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_classBody.add(classBody573.getTree());

                    }
                    break;

            }



            // AST REWRITE
            // elements: classBody, arguments
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 940:25: -> ( arguments )? ( classBody )?
            {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:940:28: ( arguments )?
                if ( stream_arguments.hasNext() ) {
                    adaptor.addChild(root_0, stream_arguments.nextTree());

                }
                stream_arguments.reset();
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:940:39: ( classBody )?
                if ( stream_classBody.hasNext() ) {
                    adaptor.addChild(root_0, stream_classBody.nextTree());

                }
                stream_classBody.reset();

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 116, classCreatorRest_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "classCreatorRest"

    public static class explicitGenericInvocation_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "explicitGenericInvocation"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:943:1: explicitGenericInvocation : nonWildcardTypeArguments explicitGenericInvocationSuffix ;
    public final JavaParser.explicitGenericInvocation_return explicitGenericInvocation() throws RecognitionException {
        JavaParser.explicitGenericInvocation_return retval = new JavaParser.explicitGenericInvocation_return();
        retval.start = input.LT(1);
        int explicitGenericInvocation_StartIndex = input.index();
        Object root_0 = null;

        JavaParser.nonWildcardTypeArguments_return nonWildcardTypeArguments574 = null;

        JavaParser.explicitGenericInvocationSuffix_return explicitGenericInvocationSuffix575 = null;



        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 117) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:944:2: ( nonWildcardTypeArguments explicitGenericInvocationSuffix )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:944:4: nonWildcardTypeArguments explicitGenericInvocationSuffix
            {
            root_0 = (Object)adaptor.nil();

            pushFollow(FOLLOW_nonWildcardTypeArguments_in_explicitGenericInvocation7287);
            nonWildcardTypeArguments574=nonWildcardTypeArguments();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) adaptor.addChild(root_0, nonWildcardTypeArguments574.getTree());
            pushFollow(FOLLOW_explicitGenericInvocationSuffix_in_explicitGenericInvocation7289);
            explicitGenericInvocationSuffix575=explicitGenericInvocationSuffix();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) adaptor.addChild(root_0, explicitGenericInvocationSuffix575.getTree());

            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 117, explicitGenericInvocation_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "explicitGenericInvocation"

    public static class nonWildcardTypeArguments_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "nonWildcardTypeArguments"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:947:1: nonWildcardTypeArguments : '<' typeList '>' -> typeList ;
    public final JavaParser.nonWildcardTypeArguments_return nonWildcardTypeArguments() throws RecognitionException {
        JavaParser.nonWildcardTypeArguments_return retval = new JavaParser.nonWildcardTypeArguments_return();
        retval.start = input.LT(1);
        int nonWildcardTypeArguments_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal576=null;
        Token char_literal578=null;
        JavaParser.typeList_return typeList577 = null;


        Object char_literal576_tree=null;
        Object char_literal578_tree=null;
        RewriteRuleTokenStream stream_134=new RewriteRuleTokenStream(adaptor,"token 134");
        RewriteRuleTokenStream stream_136=new RewriteRuleTokenStream(adaptor,"token 136");
        RewriteRuleSubtreeStream stream_typeList=new RewriteRuleSubtreeStream(adaptor,"rule typeList");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 118) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:948:2: ( '<' typeList '>' -> typeList )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:948:4: '<' typeList '>'
            {
            char_literal576=(Token)match(input,134,FOLLOW_134_in_nonWildcardTypeArguments7301); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_134.add(char_literal576);

            pushFollow(FOLLOW_typeList_in_nonWildcardTypeArguments7303);
            typeList577=typeList();

            state._fsp--;
            if (state.failed) return retval;
            if ( state.backtracking==0 ) stream_typeList.add(typeList577.getTree());
            char_literal578=(Token)match(input,136,FOLLOW_136_in_nonWildcardTypeArguments7305); if (state.failed) return retval; 
            if ( state.backtracking==0 ) stream_136.add(char_literal578);



            // AST REWRITE
            // elements: typeList
            // token labels: 
            // rule labels: retval
            // token list labels: 
            // rule list labels: 
            // wildcard labels: 
            if ( state.backtracking==0 ) {
            retval.tree = root_0;
            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

            root_0 = (Object)adaptor.nil();
            // 948:21: -> typeList
            {
                adaptor.addChild(root_0, stream_typeList.nextTree());

            }

            retval.tree = root_0;}
            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 118, nonWildcardTypeArguments_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "nonWildcardTypeArguments"

    public static class explicitGenericInvocationSuffix_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "explicitGenericInvocationSuffix"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:951:1: explicitGenericInvocationSuffix : ( 'super' superSuffix -> 'super' ( superSuffix )? | Identifier nwContextArguments arguments -> Identifier nwContextArguments ( arguments )? );
    public final JavaParser.explicitGenericInvocationSuffix_return explicitGenericInvocationSuffix() throws RecognitionException {
        JavaParser.explicitGenericInvocationSuffix_return retval = new JavaParser.explicitGenericInvocationSuffix_return();
        retval.start = input.LT(1);
        int explicitGenericInvocationSuffix_StartIndex = input.index();
        Object root_0 = null;

        Token string_literal579=null;
        Token Identifier581=null;
        JavaParser.superSuffix_return superSuffix580 = null;

        JavaParser.nwContextArguments_return nwContextArguments582 = null;

        JavaParser.arguments_return arguments583 = null;


        Object string_literal579_tree=null;
        Object Identifier581_tree=null;
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleTokenStream stream_168=new RewriteRuleTokenStream(adaptor,"token 168");
        RewriteRuleSubtreeStream stream_arguments=new RewriteRuleSubtreeStream(adaptor,"rule arguments");
        RewriteRuleSubtreeStream stream_superSuffix=new RewriteRuleSubtreeStream(adaptor,"rule superSuffix");
        RewriteRuleSubtreeStream stream_nwContextArguments=new RewriteRuleSubtreeStream(adaptor,"rule nwContextArguments");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 119) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:952:2: ( 'super' superSuffix -> 'super' ( superSuffix )? | Identifier nwContextArguments arguments -> Identifier nwContextArguments ( arguments )? )
            int alt175=2;
            int LA175_0 = input.LA(1);

            if ( (LA175_0==168) ) {
                alt175=1;
            }
            else if ( (LA175_0==Identifier) ) {
                alt175=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return retval;}
                NoViableAltException nvae =
                    new NoViableAltException("", 175, 0, input);

                throw nvae;
            }
            switch (alt175) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:952:4: 'super' superSuffix
                    {
                    string_literal579=(Token)match(input,168,FOLLOW_168_in_explicitGenericInvocationSuffix7321); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_168.add(string_literal579);

                    pushFollow(FOLLOW_superSuffix_in_explicitGenericInvocationSuffix7323);
                    superSuffix580=superSuffix();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_superSuffix.add(superSuffix580.getTree());


                    // AST REWRITE
                    // elements: 168, superSuffix
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 952:24: -> 'super' ( superSuffix )?
                    {
                        adaptor.addChild(root_0, stream_168.nextNode());
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:952:35: ( superSuffix )?
                        if ( stream_superSuffix.hasNext() ) {
                            adaptor.addChild(root_0, stream_superSuffix.nextTree());

                        }
                        stream_superSuffix.reset();

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:953:6: Identifier nwContextArguments arguments
                    {
                    Identifier581=(Token)match(input,Identifier,FOLLOW_Identifier_in_explicitGenericInvocationSuffix7337); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_Identifier.add(Identifier581);

                    pushFollow(FOLLOW_nwContextArguments_in_explicitGenericInvocationSuffix7339);
                    nwContextArguments582=nwContextArguments();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_nwContextArguments.add(nwContextArguments582.getTree());
                    pushFollow(FOLLOW_arguments_in_explicitGenericInvocationSuffix7341);
                    arguments583=arguments();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_arguments.add(arguments583.getTree());


                    // AST REWRITE
                    // elements: nwContextArguments, arguments, Identifier
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 953:46: -> Identifier nwContextArguments ( arguments )?
                    {
                        adaptor.addChild(root_0, stream_Identifier.nextNode());
                        adaptor.addChild(root_0, stream_nwContextArguments.nextTree());
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:953:79: ( arguments )?
                        if ( stream_arguments.hasNext() ) {
                            adaptor.addChild(root_0, stream_arguments.nextTree());

                        }
                        stream_arguments.reset();

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 119, explicitGenericInvocationSuffix_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "explicitGenericInvocationSuffix"

    public static class superSuffix_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "superSuffix"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:956:1: superSuffix : ( arguments -> ( arguments )? | '.' Identifier ( arguments )? );
    public final JavaParser.superSuffix_return superSuffix() throws RecognitionException {
        JavaParser.superSuffix_return retval = new JavaParser.superSuffix_return();
        retval.start = input.LT(1);
        int superSuffix_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal585=null;
        Token Identifier586=null;
        JavaParser.arguments_return arguments584 = null;

        JavaParser.arguments_return arguments587 = null;


        Object char_literal585_tree=null;
        Object Identifier586_tree=null;
        RewriteRuleSubtreeStream stream_arguments=new RewriteRuleSubtreeStream(adaptor,"rule arguments");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 120) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:957:2: ( arguments -> ( arguments )? | '.' Identifier ( arguments )? )
            int alt177=2;
            int LA177_0 = input.LA(1);

            if ( (LA177_0==169) ) {
                alt177=1;
            }
            else if ( (LA177_0==129) ) {
                alt177=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return retval;}
                NoViableAltException nvae =
                    new NoViableAltException("", 177, 0, input);

                throw nvae;
            }
            switch (alt177) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:957:4: arguments
                    {
                    pushFollow(FOLLOW_arguments_in_superSuffix7362);
                    arguments584=arguments();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_arguments.add(arguments584.getTree());


                    // AST REWRITE
                    // elements: arguments
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 957:14: -> ( arguments )?
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:957:17: ( arguments )?
                        if ( stream_arguments.hasNext() ) {
                            adaptor.addChild(root_0, stream_arguments.nextTree());

                        }
                        stream_arguments.reset();

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:958:6: '.' Identifier ( arguments )?
                    {
                    root_0 = (Object)adaptor.nil();

                    char_literal585=(Token)match(input,129,FOLLOW_129_in_superSuffix7374); if (state.failed) return retval;
                    if ( state.backtracking==0 ) {
                    char_literal585_tree = (Object)adaptor.create(char_literal585);
                    adaptor.addChild(root_0, char_literal585_tree);
                    }
                    Identifier586=(Token)match(input,Identifier,FOLLOW_Identifier_in_superSuffix7376); if (state.failed) return retval;
                    if ( state.backtracking==0 ) {
                    Identifier586_tree = (Object)adaptor.create(Identifier586);
                    adaptor.addChild(root_0, Identifier586_tree);
                    }
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:958:21: ( arguments )?
                    int alt176=2;
                    alt176 = dfa176.predict(input);
                    switch (alt176) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:958:22: arguments
                            {
                            pushFollow(FOLLOW_arguments_in_superSuffix7379);
                            arguments587=arguments();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) adaptor.addChild(root_0, arguments587.getTree());

                            }
                            break;

                    }


                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 120, superSuffix_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "superSuffix"

    public static class selector_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "selector"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:961:1: selector : ( '.' 'super' arguments -> ^( INVOKE 'super' ( arguments )? ) | '.' 'new' ( nonWildcardTypeArguments )? innerCreator -> ^( NEW innerCreator ) | '.' nonWildcardTypeArguments explicitGenericInvocationSuffix -> ^( INVOKE ^( TYPE_PARAMETER nonWildcardTypeArguments ) explicitGenericInvocationSuffix ) | '.' Identifier ( arguments -> ^( INVOKE Identifier ( arguments )? ) | -> ^( DEREF Identifier ) ) | '[' expression ']' -> ^( ARRAYINDEX expression ) );
    public final JavaParser.selector_return selector() throws RecognitionException {
        JavaParser.selector_return retval = new JavaParser.selector_return();
        retval.start = input.LT(1);
        int selector_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal588=null;
        Token string_literal589=null;
        Token char_literal591=null;
        Token string_literal592=null;
        Token char_literal595=null;
        Token char_literal598=null;
        Token Identifier599=null;
        Token char_literal601=null;
        Token char_literal603=null;
        JavaParser.arguments_return arguments590 = null;

        JavaParser.nonWildcardTypeArguments_return nonWildcardTypeArguments593 = null;

        JavaParser.innerCreator_return innerCreator594 = null;

        JavaParser.nonWildcardTypeArguments_return nonWildcardTypeArguments596 = null;

        JavaParser.explicitGenericInvocationSuffix_return explicitGenericInvocationSuffix597 = null;

        JavaParser.arguments_return arguments600 = null;

        JavaParser.expression_return expression602 = null;


        Object char_literal588_tree=null;
        Object string_literal589_tree=null;
        Object char_literal591_tree=null;
        Object string_literal592_tree=null;
        Object char_literal595_tree=null;
        Object char_literal598_tree=null;
        Object Identifier599_tree=null;
        Object char_literal601_tree=null;
        Object char_literal603_tree=null;
        RewriteRuleTokenStream stream_143=new RewriteRuleTokenStream(adaptor,"token 143");
        RewriteRuleTokenStream stream_144=new RewriteRuleTokenStream(adaptor,"token 144");
        RewriteRuleTokenStream stream_210=new RewriteRuleTokenStream(adaptor,"token 210");
        RewriteRuleTokenStream stream_Identifier=new RewriteRuleTokenStream(adaptor,"token Identifier");
        RewriteRuleTokenStream stream_129=new RewriteRuleTokenStream(adaptor,"token 129");
        RewriteRuleTokenStream stream_168=new RewriteRuleTokenStream(adaptor,"token 168");
        RewriteRuleSubtreeStream stream_expression=new RewriteRuleSubtreeStream(adaptor,"rule expression");
        RewriteRuleSubtreeStream stream_innerCreator=new RewriteRuleSubtreeStream(adaptor,"rule innerCreator");
        RewriteRuleSubtreeStream stream_arguments=new RewriteRuleSubtreeStream(adaptor,"rule arguments");
        RewriteRuleSubtreeStream stream_nonWildcardTypeArguments=new RewriteRuleSubtreeStream(adaptor,"rule nonWildcardTypeArguments");
        RewriteRuleSubtreeStream stream_explicitGenericInvocationSuffix=new RewriteRuleSubtreeStream(adaptor,"rule explicitGenericInvocationSuffix");
        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 121) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:962:2: ( '.' 'super' arguments -> ^( INVOKE 'super' ( arguments )? ) | '.' 'new' ( nonWildcardTypeArguments )? innerCreator -> ^( NEW innerCreator ) | '.' nonWildcardTypeArguments explicitGenericInvocationSuffix -> ^( INVOKE ^( TYPE_PARAMETER nonWildcardTypeArguments ) explicitGenericInvocationSuffix ) | '.' Identifier ( arguments -> ^( INVOKE Identifier ( arguments )? ) | -> ^( DEREF Identifier ) ) | '[' expression ']' -> ^( ARRAYINDEX expression ) )
            int alt180=5;
            int LA180_0 = input.LA(1);

            if ( (LA180_0==129) ) {
                switch ( input.LA(2) ) {
                case 168:
                    {
                    alt180=1;
                    }
                    break;
                case 210:
                    {
                    alt180=2;
                    }
                    break;
                case Identifier:
                    {
                    alt180=4;
                    }
                    break;
                case 134:
                    {
                    alt180=3;
                    }
                    break;
                default:
                    if (state.backtracking>0) {state.failed=true; return retval;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 180, 1, input);

                    throw nvae;
                }

            }
            else if ( (LA180_0==143) ) {
                alt180=5;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return retval;}
                NoViableAltException nvae =
                    new NoViableAltException("", 180, 0, input);

                throw nvae;
            }
            switch (alt180) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:962:4: '.' 'super' arguments
                    {
                    char_literal588=(Token)match(input,129,FOLLOW_129_in_selector7393); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_129.add(char_literal588);

                    string_literal589=(Token)match(input,168,FOLLOW_168_in_selector7395); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_168.add(string_literal589);

                    pushFollow(FOLLOW_arguments_in_selector7397);
                    arguments590=arguments();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_arguments.add(arguments590.getTree());


                    // AST REWRITE
                    // elements: 168, arguments
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 962:26: -> ^( INVOKE 'super' ( arguments )? )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:962:29: ^( INVOKE 'super' ( arguments )? )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(INVOKE, "INVOKE"), root_1);

                        adaptor.addChild(root_1, stream_168.nextNode());
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:962:46: ( arguments )?
                        if ( stream_arguments.hasNext() ) {
                            adaptor.addChild(root_1, stream_arguments.nextTree());

                        }
                        stream_arguments.reset();

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 2 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:963:6: '.' 'new' ( nonWildcardTypeArguments )? innerCreator
                    {
                    char_literal591=(Token)match(input,129,FOLLOW_129_in_selector7415); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_129.add(char_literal591);

                    string_literal592=(Token)match(input,210,FOLLOW_210_in_selector7417); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_210.add(string_literal592);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:963:16: ( nonWildcardTypeArguments )?
                    int alt178=2;
                    int LA178_0 = input.LA(1);

                    if ( (LA178_0==134) ) {
                        alt178=1;
                    }
                    switch (alt178) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:963:17: nonWildcardTypeArguments
                            {
                            pushFollow(FOLLOW_nonWildcardTypeArguments_in_selector7420);
                            nonWildcardTypeArguments593=nonWildcardTypeArguments();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_nonWildcardTypeArguments.add(nonWildcardTypeArguments593.getTree());

                            }
                            break;

                    }

                    pushFollow(FOLLOW_innerCreator_in_selector7424);
                    innerCreator594=innerCreator();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_innerCreator.add(innerCreator594.getTree());


                    // AST REWRITE
                    // elements: innerCreator
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 963:57: -> ^( NEW innerCreator )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:963:60: ^( NEW innerCreator )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(NEW, "NEW"), root_1);

                        adaptor.addChild(root_1, stream_innerCreator.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 3 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:964:5: '.' nonWildcardTypeArguments explicitGenericInvocationSuffix
                    {
                    char_literal595=(Token)match(input,129,FOLLOW_129_in_selector7439); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_129.add(char_literal595);

                    pushFollow(FOLLOW_nonWildcardTypeArguments_in_selector7441);
                    nonWildcardTypeArguments596=nonWildcardTypeArguments();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_nonWildcardTypeArguments.add(nonWildcardTypeArguments596.getTree());
                    pushFollow(FOLLOW_explicitGenericInvocationSuffix_in_selector7443);
                    explicitGenericInvocationSuffix597=explicitGenericInvocationSuffix();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_explicitGenericInvocationSuffix.add(explicitGenericInvocationSuffix597.getTree());


                    // AST REWRITE
                    // elements: explicitGenericInvocationSuffix, nonWildcardTypeArguments
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 964:66: -> ^( INVOKE ^( TYPE_PARAMETER nonWildcardTypeArguments ) explicitGenericInvocationSuffix )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:964:69: ^( INVOKE ^( TYPE_PARAMETER nonWildcardTypeArguments ) explicitGenericInvocationSuffix )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(INVOKE, "INVOKE"), root_1);

                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:964:78: ^( TYPE_PARAMETER nonWildcardTypeArguments )
                        {
                        Object root_2 = (Object)adaptor.nil();
                        root_2 = (Object)adaptor.becomeRoot((Object)adaptor.create(TYPE_PARAMETER, "TYPE_PARAMETER"), root_2);

                        adaptor.addChild(root_2, stream_nonWildcardTypeArguments.nextTree());

                        adaptor.addChild(root_1, root_2);
                        }
                        adaptor.addChild(root_1, stream_explicitGenericInvocationSuffix.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;
                case 4 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:965:4: '.' Identifier ( arguments -> ^( INVOKE Identifier ( arguments )? ) | -> ^( DEREF Identifier ) )
                    {
                    char_literal598=(Token)match(input,129,FOLLOW_129_in_selector7462); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_129.add(char_literal598);

                    Identifier599=(Token)match(input,Identifier,FOLLOW_Identifier_in_selector7464); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_Identifier.add(Identifier599);

                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:966:3: ( arguments -> ^( INVOKE Identifier ( arguments )? ) | -> ^( DEREF Identifier ) )
                    int alt179=2;
                    alt179 = dfa179.predict(input);
                    switch (alt179) {
                        case 1 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:967:4: arguments
                            {
                            pushFollow(FOLLOW_arguments_in_selector7474);
                            arguments600=arguments();

                            state._fsp--;
                            if (state.failed) return retval;
                            if ( state.backtracking==0 ) stream_arguments.add(arguments600.getTree());


                            // AST REWRITE
                            // elements: arguments, Identifier
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 967:14: -> ^( INVOKE Identifier ( arguments )? )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:967:17: ^( INVOKE Identifier ( arguments )? )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(INVOKE, "INVOKE"), root_1);

                                adaptor.addChild(root_1, stream_Identifier.nextNode());
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:967:37: ( arguments )?
                                if ( stream_arguments.hasNext() ) {
                                    adaptor.addChild(root_1, stream_arguments.nextTree());

                                }
                                stream_arguments.reset();

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;
                        case 2 :
                            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:968:6: 
                            {

                            // AST REWRITE
                            // elements: Identifier
                            // token labels: 
                            // rule labels: retval
                            // token list labels: 
                            // rule list labels: 
                            // wildcard labels: 
                            if ( state.backtracking==0 ) {
                            retval.tree = root_0;
                            RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                            root_0 = (Object)adaptor.nil();
                            // 968:6: -> ^( DEREF Identifier )
                            {
                                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:968:9: ^( DEREF Identifier )
                                {
                                Object root_1 = (Object)adaptor.nil();
                                root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(DEREF, "DEREF"), root_1);

                                adaptor.addChild(root_1, stream_Identifier.nextNode());

                                adaptor.addChild(root_0, root_1);
                                }

                            }

                            retval.tree = root_0;}
                            }
                            break;

                    }


                    }
                    break;
                case 5 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:970:6: '[' expression ']'
                    {
                    char_literal601=(Token)match(input,143,FOLLOW_143_in_selector7509); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_143.add(char_literal601);

                    pushFollow(FOLLOW_expression_in_selector7511);
                    expression602=expression();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) stream_expression.add(expression602.getTree());
                    char_literal603=(Token)match(input,144,FOLLOW_144_in_selector7513); if (state.failed) return retval; 
                    if ( state.backtracking==0 ) stream_144.add(char_literal603);



                    // AST REWRITE
                    // elements: expression
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    // wildcard labels: 
                    if ( state.backtracking==0 ) {
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"rule retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 970:25: -> ^( ARRAYINDEX expression )
                    {
                        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:970:28: ^( ARRAYINDEX expression )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot((Object)adaptor.create(ARRAYINDEX, "ARRAYINDEX"), root_1);

                        adaptor.addChild(root_1, stream_expression.nextTree());

                        adaptor.addChild(root_0, root_1);
                        }

                    }

                    retval.tree = root_0;}
                    }
                    break;

            }
            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 121, selector_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "selector"

    public static class arguments_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start "arguments"
    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:973:1: arguments : '(' ( expressionList )? ')' ;
    public final JavaParser.arguments_return arguments() throws RecognitionException {
        JavaParser.arguments_return retval = new JavaParser.arguments_return();
        retval.start = input.LT(1);
        int arguments_StartIndex = input.index();
        Object root_0 = null;

        Token char_literal604=null;
        Token char_literal606=null;
        JavaParser.expressionList_return expressionList605 = null;


        Object char_literal604_tree=null;
        Object char_literal606_tree=null;

        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 122) ) { return retval; }
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:974:2: ( '(' ( expressionList )? ')' )
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:974:4: '(' ( expressionList )? ')'
            {
            root_0 = (Object)adaptor.nil();

            char_literal604=(Token)match(input,169,FOLLOW_169_in_arguments7532); if (state.failed) return retval;
            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:974:9: ( expressionList )?
            int alt181=2;
            alt181 = dfa181.predict(input);
            switch (alt181) {
                case 1 :
                    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: expressionList
                    {
                    pushFollow(FOLLOW_expressionList_in_arguments7535);
                    expressionList605=expressionList();

                    state._fsp--;
                    if (state.failed) return retval;
                    if ( state.backtracking==0 ) adaptor.addChild(root_0, expressionList605.getTree());

                    }
                    break;

            }

            char_literal606=(Token)match(input,170,FOLLOW_170_in_arguments7538); if (state.failed) return retval;

            }

            retval.stop = input.LT(-1);

            if ( state.backtracking==0 ) {

            retval.tree = (Object)adaptor.rulePostProcessing(root_0);
            adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);
            }
        }
         
         catch(RecognitionException e) {  
          throw new SyntaxError("error on \"" + e.token.getText()+"\"",e.line,e.charPositionInLine,e.token.getText().length());
         } 
        finally {
            if ( state.backtracking>0 ) { memoize(input, 122, arguments_StartIndex); }
        }
        return retval;
    }
    // $ANTLR end "arguments"

    // $ANTLR start synpred1_Java
    public final void synpred1_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:228:4: ( annotations )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:228:4: annotations
        {
        pushFollow(FOLLOW_annotations_in_synpred1_Java495);
        annotations();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred1_Java

    // $ANTLR start synpred36_Java
    public final void synpred36_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:314:4: ( 'static' block )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:314:4: 'static' block
        {
        match(input,128,FOLLOW_128_in_synpred36_Java1236); if (state.failed) return ;
        pushFollow(FOLLOW_block_in_synpred36_Java1238);
        block();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred36_Java

    // $ANTLR start synpred38_Java
    public final void synpred38_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:315:4: ( ( 'static' )? block )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:315:4: ( 'static' )? block
        {
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:315:4: ( 'static' )?
        int alt184=2;
        int LA184_0 = input.LA(1);

        if ( (LA184_0==128) ) {
            alt184=1;
        }
        switch (alt184) {
            case 1 :
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: 'static'
                {
                match(input,128,FOLLOW_128_in_synpred38_Java1251); if (state.failed) return ;

                }
                break;

        }

        pushFollow(FOLLOW_block_in_synpred38_Java1254);
        block();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred38_Java

    // $ANTLR start synpred41_Java
    public final void synpred41_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:318:9: ( methodDeclaration )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:318:9: methodDeclaration
        {
        pushFollow(FOLLOW_methodDeclaration_in_synpred41_Java1298);
        methodDeclaration();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred41_Java

    // $ANTLR start synpred42_Java
    public final void synpred42_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:319:9: ( fieldDeclaration )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:319:9: fieldDeclaration
        {
        pushFollow(FOLLOW_fieldDeclaration_in_synpred42_Java1327);
        fieldDeclaration();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred42_Java

    // $ANTLR start synpred55_Java
    public final void synpred55_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:349:3: ( constantDeclaration )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:349:3: constantDeclaration
        {
        pushFollow(FOLLOW_constantDeclaration_in_synpred55_Java1702);
        constantDeclaration();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred55_Java

    // $ANTLR start synpred56_Java
    public final void synpred56_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:350:5: ( type Identifier interfaceMethodDeclaratorRest )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:350:5: type Identifier interfaceMethodDeclaratorRest
        {
        pushFollow(FOLLOW_type_in_synpred56_Java1723);
        type();

        state._fsp--;
        if (state.failed) return ;
        match(input,Identifier,FOLLOW_Identifier_in_synpred56_Java1725); if (state.failed) return ;
        pushFollow(FOLLOW_interfaceMethodDeclaratorRest_in_synpred56_Java1727);
        interfaceMethodDeclaratorRest();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred56_Java

    // $ANTLR start synpred94_Java
    public final void synpred94_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:455:16: ( '.' Identifier )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:455:16: '.' Identifier
        {
        match(input,129,FOLLOW_129_in_synpred94_Java2710); if (state.failed) return ;
        match(input,Identifier,FOLLOW_Identifier_in_synpred94_Java2712); if (state.failed) return ;

        }
    }
    // $ANTLR end synpred94_Java

    // $ANTLR start synpred96_Java
    public final void synpred96_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:468:5: ( context ':' )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:468:5: context ':'
        {
        pushFollow(FOLLOW_context_in_synpred96_Java2772);
        context();

        state._fsp--;
        if (state.failed) return ;
        match(input,156,FOLLOW_156_in_synpred96_Java2774); if (state.failed) return ;

        }
    }
    // $ANTLR end synpred96_Java

    // $ANTLR start synpred118_Java
    public final void synpred118_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:526:4: ( ( 'extends' type )? )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:526:4: ( 'extends' type )?
        {
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:526:4: ( 'extends' type )?
        int alt197=2;
        int LA197_0 = input.LA(1);

        if ( (LA197_0==132) ) {
            alt197=1;
        }
        switch (alt197) {
            case 1 :
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:526:5: 'extends' type
                {
                match(input,132,FOLLOW_132_in_synpred118_Java3192); if (state.failed) return ;
                pushFollow(FOLLOW_type_in_synpred118_Java3194);
                type();

                state._fsp--;
                if (state.failed) return ;

                }
                break;

        }


        }
    }
    // $ANTLR end synpred118_Java

    // $ANTLR start synpred134_Java
    public final void synpred134_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:578:4: ( annotation )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:578:4: annotation
        {
        pushFollow(FOLLOW_annotation_in_synpred134_Java3638);
        annotation();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred134_Java

    // $ANTLR start synpred144_Java
    public final void synpred144_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:613:10: ( annotationTypeElementDeclarations )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:613:10: annotationTypeElementDeclarations
        {
        pushFollow(FOLLOW_annotationTypeElementDeclarations_in_synpred144_Java3855);
        annotationTypeElementDeclarations();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred144_Java

    // $ANTLR start synpred158_Java
    public final void synpred158_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:654:4: ( localVariableDeclaration )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:654:4: localVariableDeclaration
        {
        pushFollow(FOLLOW_localVariableDeclaration_in_synpred158_Java4164);
        localVariableDeclaration();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred158_Java

    // $ANTLR start synpred159_Java
    public final void synpred159_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:655:4: ( classOrInterfaceDeclaration )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:655:4: classOrInterfaceDeclaration
        {
        pushFollow(FOLLOW_classOrInterfaceDeclaration_in_synpred159_Java4169);
        classOrInterfaceDeclaration();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred159_Java

    // $ANTLR start synpred164_Java
    public final void synpred164_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:666:55: ( 'else' statement )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:666:55: 'else' statement
        {
        match(input,179,FOLLOW_179_in_synpred164_Java4282); if (state.failed) return ;
        pushFollow(FOLLOW_statement_in_synpred164_Java4284);
        statement();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred164_Java

    // $ANTLR start synpred169_Java
    public final void synpred169_Java_fragment() throws RecognitionException {   
        Token fc=null;

        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:671:9: ( catches fc= 'finally' block )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:671:9: catches fc= 'finally' block
        {
        pushFollow(FOLLOW_catches_in_synpred169_Java4413);
        catches();

        state._fsp--;
        if (state.failed) return ;
        fc=(Token)match(input,184,FOLLOW_184_in_synpred169_Java4417); if (state.failed) return ;
        pushFollow(FOLLOW_block_in_synpred169_Java4419);
        block();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred169_Java

    // $ANTLR start synpred170_Java
    public final void synpred170_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:672:9: ( catches )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:672:9: catches
        {
        pushFollow(FOLLOW_catches_in_synpred170_Java4447);
        catches();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred170_Java

    // $ANTLR start synpred182_Java
    public final void synpred182_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:682:7: ( statementExpression ';' )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:682:7: statementExpression ';'
        {
        pushFollow(FOLLOW_statementExpression_in_synpred182_Java4671);
        statementExpression();

        state._fsp--;
        if (state.failed) return ;
        match(input,126,FOLLOW_126_in_synpred182_Java4673); if (state.failed) return ;

        }
    }
    // $ANTLR end synpred182_Java

    // $ANTLR start synpred187_Java
    public final void synpred187_Java_fragment() throws RecognitionException {   
        Token lc=null;

        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:707:4: (lc= 'case' constantExpression ':' )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:707:4: lc= 'case' constantExpression ':'
        {
        lc=(Token)match(input,191,FOLLOW_191_in_synpred187_Java4829); if (state.failed) return ;
        pushFollow(FOLLOW_constantExpression_in_synpred187_Java4831);
        constantExpression();

        state._fsp--;
        if (state.failed) return ;
        match(input,156,FOLLOW_156_in_synpred187_Java4833); if (state.failed) return ;

        }
    }
    // $ANTLR end synpred187_Java

    // $ANTLR start synpred188_Java
    public final void synpred188_Java_fragment() throws RecognitionException {   
        Token lc=null;

        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:708:4: (lc= 'case' enumConstantName ':' )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:708:4: lc= 'case' enumConstantName ':'
        {
        lc=(Token)match(input,191,FOLLOW_191_in_synpred188_Java4849); if (state.failed) return ;
        pushFollow(FOLLOW_enumConstantName_in_synpred188_Java4851);
        enumConstantName();

        state._fsp--;
        if (state.failed) return ;
        match(input,156,FOLLOW_156_in_synpred188_Java4853); if (state.failed) return ;

        }
    }
    // $ANTLR end synpred188_Java

    // $ANTLR start synpred190_Java
    public final void synpred190_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:718:4: ( forVarControl )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:718:4: forVarControl
        {
        pushFollow(FOLLOW_forVarControl_in_synpred190_Java4913);
        forVarControl();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred190_Java

    // $ANTLR start synpred195_Java
    public final void synpred195_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:723:4: ( ( variableModifier )* type variableDeclarators )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:723:4: ( variableModifier )* type variableDeclarators
        {
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:723:4: ( variableModifier )*
        loop211:
        do {
            int alt211=2;
            int LA211_0 = input.LA(1);

            if ( (LA211_0==150||LA211_0==175) ) {
                alt211=1;
            }


            switch (alt211) {
        	case 1 :
        	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: variableModifier
        	    {
        	    pushFollow(FOLLOW_variableModifier_in_synpred195_Java4975);
        	    variableModifier();

        	    state._fsp--;
        	    if (state.failed) return ;

        	    }
        	    break;

        	default :
        	    break loop211;
            }
        } while (true);

        pushFollow(FOLLOW_type_in_synpred195_Java4978);
        type();

        state._fsp--;
        if (state.failed) return ;
        pushFollow(FOLLOW_variableDeclarators_in_synpred195_Java4980);
        variableDeclarators();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred195_Java

    // $ANTLR start synpred198_Java
    public final void synpred198_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:756:4: ( '=' expression )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:756:4: '=' expression
        {
        match(input,145,FOLLOW_145_in_synpred198_Java5145); if (state.failed) return ;
        pushFollow(FOLLOW_expression_in_synpred198_Java5147);
        expression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred198_Java

    // $ANTLR start synpred199_Java
    public final void synpred199_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:757:6: ( '+' '=' expression )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:757:6: '+' '=' expression
        {
        match(input,192,FOLLOW_192_in_synpred199_Java5164); if (state.failed) return ;
        match(input,145,FOLLOW_145_in_synpred199_Java5166); if (state.failed) return ;
        pushFollow(FOLLOW_expression_in_synpred199_Java5168);
        expression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred199_Java

    // $ANTLR start synpred200_Java
    public final void synpred200_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:758:6: ( '-' '=' expression )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:758:6: '-' '=' expression
        {
        match(input,193,FOLLOW_193_in_synpred200_Java5187); if (state.failed) return ;
        match(input,145,FOLLOW_145_in_synpred200_Java5189); if (state.failed) return ;
        pushFollow(FOLLOW_expression_in_synpred200_Java5191);
        expression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred200_Java

    // $ANTLR start synpred201_Java
    public final void synpred201_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:759:6: ( '*' '=' expression )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:759:6: '*' '=' expression
        {
        match(input,130,FOLLOW_130_in_synpred201_Java5210); if (state.failed) return ;
        match(input,145,FOLLOW_145_in_synpred201_Java5212); if (state.failed) return ;
        pushFollow(FOLLOW_expression_in_synpred201_Java5214);
        expression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred201_Java

    // $ANTLR start synpred202_Java
    public final void synpred202_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:760:6: ( '/' '=' expression )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:760:6: '/' '=' expression
        {
        match(input,194,FOLLOW_194_in_synpred202_Java5233); if (state.failed) return ;
        match(input,145,FOLLOW_145_in_synpred202_Java5235); if (state.failed) return ;
        pushFollow(FOLLOW_expression_in_synpred202_Java5237);
        expression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred202_Java

    // $ANTLR start synpred203_Java
    public final void synpred203_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:761:6: ( '&=' expression )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:761:6: '&=' expression
        {
        match(input,195,FOLLOW_195_in_synpred203_Java5259); if (state.failed) return ;
        pushFollow(FOLLOW_expression_in_synpred203_Java5261);
        expression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred203_Java

    // $ANTLR start synpred204_Java
    public final void synpred204_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:762:6: ( '|=' expression )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:762:6: '|=' expression
        {
        match(input,196,FOLLOW_196_in_synpred204_Java5280); if (state.failed) return ;
        pushFollow(FOLLOW_expression_in_synpred204_Java5282);
        expression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred204_Java

    // $ANTLR start synpred205_Java
    public final void synpred205_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:763:6: ( '^=' expression )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:763:6: '^=' expression
        {
        match(input,197,FOLLOW_197_in_synpred205_Java5301); if (state.failed) return ;
        pushFollow(FOLLOW_expression_in_synpred205_Java5303);
        expression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred205_Java

    // $ANTLR start synpred206_Java
    public final void synpred206_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:764:6: ( '%' '=' expression )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:764:6: '%' '=' expression
        {
        match(input,198,FOLLOW_198_in_synpred206_Java5325); if (state.failed) return ;
        match(input,145,FOLLOW_145_in_synpred206_Java5327); if (state.failed) return ;
        pushFollow(FOLLOW_expression_in_synpred206_Java5329);
        expression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred206_Java

    // $ANTLR start synpred207_Java
    public final void synpred207_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:765:6: ( '<' '<' '=' expression )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:765:6: '<' '<' '=' expression
        {
        match(input,134,FOLLOW_134_in_synpred207_Java5348); if (state.failed) return ;
        match(input,134,FOLLOW_134_in_synpred207_Java5350); if (state.failed) return ;
        match(input,145,FOLLOW_145_in_synpred207_Java5352); if (state.failed) return ;
        pushFollow(FOLLOW_expression_in_synpred207_Java5354);
        expression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred207_Java

    // $ANTLR start synpred208_Java
    public final void synpred208_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:766:6: ( '>' '>' '=' expression )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:766:6: '>' '>' '=' expression
        {
        match(input,136,FOLLOW_136_in_synpred208_Java5373); if (state.failed) return ;
        match(input,136,FOLLOW_136_in_synpred208_Java5375); if (state.failed) return ;
        match(input,145,FOLLOW_145_in_synpred208_Java5377); if (state.failed) return ;
        pushFollow(FOLLOW_expression_in_synpred208_Java5379);
        expression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred208_Java

    // $ANTLR start synpred209_Java
    public final void synpred209_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:767:6: ( '>' '>' '>' '=' expression )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:767:6: '>' '>' '>' '=' expression
        {
        match(input,136,FOLLOW_136_in_synpred209_Java5398); if (state.failed) return ;
        match(input,136,FOLLOW_136_in_synpred209_Java5400); if (state.failed) return ;
        match(input,136,FOLLOW_136_in_synpred209_Java5402); if (state.failed) return ;
        match(input,145,FOLLOW_145_in_synpred209_Java5404); if (state.failed) return ;
        pushFollow(FOLLOW_expression_in_synpred209_Java5406);
        expression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred209_Java

    // $ANTLR start synpred220_Java
    public final void synpred220_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:841:8: ( ( '<' shiftExpression ) )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:841:8: ( '<' shiftExpression )
        {
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:841:8: ( '<' shiftExpression )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:841:9: '<' shiftExpression
        {
        match(input,134,FOLLOW_134_in_synpred220_Java6039); if (state.failed) return ;
        pushFollow(FOLLOW_shiftExpression_in_synpred220_Java6041);
        shiftExpression();

        state._fsp--;
        if (state.failed) return ;

        }


        }
    }
    // $ANTLR end synpred220_Java

    // $ANTLR start synpred224_Java
    public final void synpred224_Java_fragment() throws RecognitionException {   
        Token i=null;
        List list_i=null;

        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:851:7: ( (i+= '<' '<' | i+= '>' '>' ) additiveExpression )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:851:7: (i+= '<' '<' | i+= '>' '>' ) additiveExpression
        {
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:851:7: (i+= '<' '<' | i+= '>' '>' )
        int alt212=2;
        int LA212_0 = input.LA(1);

        if ( (LA212_0==134) ) {
            alt212=1;
        }
        else if ( (LA212_0==136) ) {
            alt212=2;
        }
        else {
            if (state.backtracking>0) {state.failed=true; return ;}
            NoViableAltException nvae =
                new NoViableAltException("", 212, 0, input);

            throw nvae;
        }
        switch (alt212) {
            case 1 :
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:851:8: i+= '<' '<'
                {
                i=(Token)match(input,134,FOLLOW_134_in_synpred224_Java6153); if (state.failed) return ;
                if (list_i==null) list_i=new ArrayList();
                list_i.add(i);

                match(input,134,FOLLOW_134_in_synpred224_Java6155); if (state.failed) return ;

                }
                break;
            case 2 :
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:851:19: i+= '>' '>'
                {
                i=(Token)match(input,136,FOLLOW_136_in_synpred224_Java6159); if (state.failed) return ;
                if (list_i==null) list_i=new ArrayList();
                list_i.add(i);

                match(input,136,FOLLOW_136_in_synpred224_Java6161); if (state.failed) return ;

                }
                break;

        }

        pushFollow(FOLLOW_additiveExpression_in_synpred224_Java6164);
        additiveExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred224_Java

    // $ANTLR start synpred225_Java
    public final void synpred225_Java_fragment() throws RecognitionException {   
        Token i=null;
        List list_i=null;

        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:851:6: ( ( (i+= '<' '<' | i+= '>' '>' ) additiveExpression )+ )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:851:6: ( (i+= '<' '<' | i+= '>' '>' ) additiveExpression )+
        {
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:851:6: ( (i+= '<' '<' | i+= '>' '>' ) additiveExpression )+
        int cnt214=0;
        loop214:
        do {
            int alt214=2;
            int LA214_0 = input.LA(1);

            if ( (LA214_0==134||LA214_0==136) ) {
                alt214=1;
            }


            switch (alt214) {
        	case 1 :
        	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:851:7: (i+= '<' '<' | i+= '>' '>' ) additiveExpression
        	    {
        	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:851:7: (i+= '<' '<' | i+= '>' '>' )
        	    int alt213=2;
        	    int LA213_0 = input.LA(1);

        	    if ( (LA213_0==134) ) {
        	        alt213=1;
        	    }
        	    else if ( (LA213_0==136) ) {
        	        alt213=2;
        	    }
        	    else {
        	        if (state.backtracking>0) {state.failed=true; return ;}
        	        NoViableAltException nvae =
        	            new NoViableAltException("", 213, 0, input);

        	        throw nvae;
        	    }
        	    switch (alt213) {
        	        case 1 :
        	            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:851:8: i+= '<' '<'
        	            {
        	            i=(Token)match(input,134,FOLLOW_134_in_synpred225_Java6153); if (state.failed) return ;
        	            if (list_i==null) list_i=new ArrayList();
        	            list_i.add(i);

        	            match(input,134,FOLLOW_134_in_synpred225_Java6155); if (state.failed) return ;

        	            }
        	            break;
        	        case 2 :
        	            // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:851:19: i+= '>' '>'
        	            {
        	            i=(Token)match(input,136,FOLLOW_136_in_synpred225_Java6159); if (state.failed) return ;
        	            if (list_i==null) list_i=new ArrayList();
        	            list_i.add(i);

        	            match(input,136,FOLLOW_136_in_synpred225_Java6161); if (state.failed) return ;

        	            }
        	            break;

        	    }

        	    pushFollow(FOLLOW_additiveExpression_in_synpred225_Java6164);
        	    additiveExpression();

        	    state._fsp--;
        	    if (state.failed) return ;

        	    }
        	    break;

        	default :
        	    if ( cnt214 >= 1 ) break loop214;
        	    if (state.backtracking>0) {state.failed=true; return ;}
                    EarlyExitException eee =
                        new EarlyExitException(214, input);
                    throw eee;
            }
            cnt214++;
        } while (true);


        }
    }
    // $ANTLR end synpred225_Java

    // $ANTLR start synpred226_Java
    public final void synpred226_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:853:9: ( '>' '>' '>' additiveExpression )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:853:9: '>' '>' '>' additiveExpression
        {
        match(input,136,FOLLOW_136_in_synpred226_Java6198); if (state.failed) return ;
        match(input,136,FOLLOW_136_in_synpred226_Java6200); if (state.failed) return ;
        match(input,136,FOLLOW_136_in_synpred226_Java6202); if (state.failed) return ;
        pushFollow(FOLLOW_additiveExpression_in_synpred226_Java6204);
        additiveExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred226_Java

    // $ANTLR start synpred227_Java
    public final void synpred227_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:853:8: ( ( '>' '>' '>' additiveExpression )+ )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:853:8: ( '>' '>' '>' additiveExpression )+
        {
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:853:8: ( '>' '>' '>' additiveExpression )+
        int cnt215=0;
        loop215:
        do {
            int alt215=2;
            int LA215_0 = input.LA(1);

            if ( (LA215_0==136) ) {
                alt215=1;
            }


            switch (alt215) {
        	case 1 :
        	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:853:9: '>' '>' '>' additiveExpression
        	    {
        	    match(input,136,FOLLOW_136_in_synpred227_Java6198); if (state.failed) return ;
        	    match(input,136,FOLLOW_136_in_synpred227_Java6200); if (state.failed) return ;
        	    match(input,136,FOLLOW_136_in_synpred227_Java6202); if (state.failed) return ;
        	    pushFollow(FOLLOW_additiveExpression_in_synpred227_Java6204);
        	    additiveExpression();

        	    state._fsp--;
        	    if (state.failed) return ;

        	    }
        	    break;

        	default :
        	    if ( cnt215 >= 1 ) break loop215;
        	    if (state.backtracking>0) {state.failed=true; return ;}
                    EarlyExitException eee =
                        new EarlyExitException(215, input);
                    throw eee;
            }
            cnt215++;
        } while (true);


        }
    }
    // $ANTLR end synpred227_Java

    // $ANTLR start synpred241_Java
    public final void synpred241_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:885:9: ( castExpression )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:885:9: castExpression
        {
        pushFollow(FOLLOW_castExpression_in_synpred241_Java6551);
        castExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred241_Java

    // $ANTLR start synpred248_Java
    public final void synpred248_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:901:8: ( '(' primitiveType ')' unaryExpression )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:901:8: '(' primitiveType ')' unaryExpression
        {
        match(input,169,FOLLOW_169_in_synpred248_Java6701); if (state.failed) return ;
        pushFollow(FOLLOW_primitiveType_in_synpred248_Java6703);
        primitiveType();

        state._fsp--;
        if (state.failed) return ;
        match(input,170,FOLLOW_170_in_synpred248_Java6705); if (state.failed) return ;
        pushFollow(FOLLOW_unaryExpression_in_synpred248_Java6707);
        unaryExpression();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred248_Java

    // $ANTLR start synpred249_Java
    public final void synpred249_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:902:8: ( '(' type ')' unaryExpressionNotPlusMinus )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:902:8: '(' type ')' unaryExpressionNotPlusMinus
        {
        match(input,169,FOLLOW_169_in_synpred249_Java6730); if (state.failed) return ;
        pushFollow(FOLLOW_type_in_synpred249_Java6732);
        type();

        state._fsp--;
        if (state.failed) return ;
        match(input,170,FOLLOW_170_in_synpred249_Java6734); if (state.failed) return ;
        pushFollow(FOLLOW_unaryExpressionNotPlusMinus_in_synpred249_Java6736);
        unaryExpressionNotPlusMinus();

        state._fsp--;
        if (state.failed) return ;

        }
    }
    // $ANTLR end synpred249_Java

    // $ANTLR start synpred254_Java
    public final void synpred254_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:912:8: ( '[' expression ']' )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:912:8: '[' expression ']'
        {
        match(input,143,FOLLOW_143_in_synpred254_Java6845); if (state.failed) return ;
        pushFollow(FOLLOW_expression_in_synpred254_Java6847);
        expression();

        state._fsp--;
        if (state.failed) return ;
        match(input,144,FOLLOW_144_in_synpred254_Java6849); if (state.failed) return ;

        }
    }
    // $ANTLR end synpred254_Java

    // $ANTLR start synpred258_Java
    public final void synpred258_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:910:9: ( 'new' ( nonWildcardTypeArguments )? primitiveType ( ( '[' expression ']' )+ ( '[' ']' )* | ( '[' ']' )+ arrayInitializer ) )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:910:9: 'new' ( nonWildcardTypeArguments )? primitiveType ( ( '[' expression ']' )+ ( '[' ']' )* | ( '[' ']' )+ arrayInitializer )
        {
        match(input,210,FOLLOW_210_in_synpred258_Java6824); if (state.failed) return ;
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:910:15: ( nonWildcardTypeArguments )?
        int alt226=2;
        int LA226_0 = input.LA(1);

        if ( (LA226_0==134) ) {
            alt226=1;
        }
        switch (alt226) {
            case 1 :
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: nonWildcardTypeArguments
                {
                pushFollow(FOLLOW_nonWildcardTypeArguments_in_synpred258_Java6826);
                nonWildcardTypeArguments();

                state._fsp--;
                if (state.failed) return ;

                }
                break;

        }

        pushFollow(FOLLOW_primitiveType_in_synpred258_Java6829);
        primitiveType();

        state._fsp--;
        if (state.failed) return ;
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:911:6: ( ( '[' expression ']' )+ ( '[' ']' )* | ( '[' ']' )+ arrayInitializer )
        int alt230=2;
        alt230 = dfa230.predict(input);
        switch (alt230) {
            case 1 :
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:912:7: ( '[' expression ']' )+ ( '[' ']' )*
                {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:912:7: ( '[' expression ']' )+
                int cnt227=0;
                loop227:
                do {
                    int alt227=2;
                    alt227 = dfa227.predict(input);
                    switch (alt227) {
                	case 1 :
                	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:912:8: '[' expression ']'
                	    {
                	    match(input,143,FOLLOW_143_in_synpred258_Java6845); if (state.failed) return ;
                	    pushFollow(FOLLOW_expression_in_synpred258_Java6847);
                	    expression();

                	    state._fsp--;
                	    if (state.failed) return ;
                	    match(input,144,FOLLOW_144_in_synpred258_Java6849); if (state.failed) return ;

                	    }
                	    break;

                	default :
                	    if ( cnt227 >= 1 ) break loop227;
                	    if (state.backtracking>0) {state.failed=true; return ;}
                            EarlyExitException eee =
                                new EarlyExitException(227, input);
                            throw eee;
                    }
                    cnt227++;
                } while (true);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:912:29: ( '[' ']' )*
                loop228:
                do {
                    int alt228=2;
                    int LA228_0 = input.LA(1);

                    if ( (LA228_0==143) ) {
                        alt228=1;
                    }


                    switch (alt228) {
                	case 1 :
                	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:912:30: '[' ']'
                	    {
                	    match(input,143,FOLLOW_143_in_synpred258_Java6854); if (state.failed) return ;
                	    match(input,144,FOLLOW_144_in_synpred258_Java6856); if (state.failed) return ;

                	    }
                	    break;

                	default :
                	    break loop228;
                    }
                } while (true);


                }
                break;
            case 2 :
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:913:9: ( '[' ']' )+ arrayInitializer
                {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:913:9: ( '[' ']' )+
                int cnt229=0;
                loop229:
                do {
                    int alt229=2;
                    int LA229_0 = input.LA(1);

                    if ( (LA229_0==143) ) {
                        alt229=1;
                    }


                    switch (alt229) {
                	case 1 :
                	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:913:10: '[' ']'
                	    {
                	    match(input,143,FOLLOW_143_in_synpred258_Java6887); if (state.failed) return ;
                	    match(input,144,FOLLOW_144_in_synpred258_Java6889); if (state.failed) return ;

                	    }
                	    break;

                	default :
                	    if ( cnt229 >= 1 ) break loop229;
                	    if (state.backtracking>0) {state.failed=true; return ;}
                            EarlyExitException eee =
                                new EarlyExitException(229, input);
                            throw eee;
                    }
                    cnt229++;
                } while (true);

                pushFollow(FOLLOW_arrayInitializer_in_synpred258_Java6893);
                arrayInitializer();

                state._fsp--;
                if (state.failed) return ;

                }
                break;

        }


        }
    }
    // $ANTLR end synpred258_Java

    // $ANTLR start synpred261_Java
    public final void synpred261_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:917:8: ( '[' expression ']' )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:917:8: '[' expression ']'
        {
        match(input,143,FOLLOW_143_in_synpred261_Java6963); if (state.failed) return ;
        pushFollow(FOLLOW_expression_in_synpred261_Java6965);
        expression();

        state._fsp--;
        if (state.failed) return ;
        match(input,144,FOLLOW_144_in_synpred261_Java6967); if (state.failed) return ;

        }
    }
    // $ANTLR end synpred261_Java

    // $ANTLR start synpred266_Java
    public final void synpred266_Java_fragment() throws RecognitionException {   
        List list_i=null;
        RuleReturnScope i = null;
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:915:9: ( 'new' ( nonWildcardTypeArguments )? nwContext ':' (i+= refComponent ( '.' i+= refComponent )* ) ( ( '[' expression ']' )+ ( '[' ']' )* | ( '[' ']' )+ arrayInitializer | classCreatorRest ) )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:915:9: 'new' ( nonWildcardTypeArguments )? nwContext ':' (i+= refComponent ( '.' i+= refComponent )* ) ( ( '[' expression ']' )+ ( '[' ']' )* | ( '[' ']' )+ arrayInitializer | classCreatorRest )
        {
        match(input,210,FOLLOW_210_in_synpred266_Java6925); if (state.failed) return ;
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:915:15: ( nonWildcardTypeArguments )?
        int alt234=2;
        int LA234_0 = input.LA(1);

        if ( (LA234_0==134) ) {
            alt234=1;
        }
        switch (alt234) {
            case 1 :
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:0:0: nonWildcardTypeArguments
                {
                pushFollow(FOLLOW_nonWildcardTypeArguments_in_synpred266_Java6927);
                nonWildcardTypeArguments();

                state._fsp--;
                if (state.failed) return ;

                }
                break;

        }

        pushFollow(FOLLOW_nwContext_in_synpred266_Java6930);
        nwContext();

        state._fsp--;
        if (state.failed) return ;
        match(input,156,FOLLOW_156_in_synpred266_Java6932); if (state.failed) return ;
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:915:55: (i+= refComponent ( '.' i+= refComponent )* )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:915:56: i+= refComponent ( '.' i+= refComponent )*
        {
        pushFollow(FOLLOW_refComponent_in_synpred266_Java6937);
        i=refComponent();

        state._fsp--;
        if (state.failed) return ;
        if (list_i==null) list_i=new ArrayList();
        list_i.add(i);

        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:915:72: ( '.' i+= refComponent )*
        loop235:
        do {
            int alt235=2;
            int LA235_0 = input.LA(1);

            if ( (LA235_0==129) ) {
                alt235=1;
            }


            switch (alt235) {
        	case 1 :
        	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:915:73: '.' i+= refComponent
        	    {
        	    match(input,129,FOLLOW_129_in_synpred266_Java6940); if (state.failed) return ;
        	    pushFollow(FOLLOW_refComponent_in_synpred266_Java6944);
        	    i=refComponent();

        	    state._fsp--;
        	    if (state.failed) return ;
        	    if (list_i==null) list_i=new ArrayList();
        	    list_i.add(i);


        	    }
        	    break;

        	default :
        	    break loop235;
            }
        } while (true);


        }

        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:916:6: ( ( '[' expression ']' )+ ( '[' ']' )* | ( '[' ']' )+ arrayInitializer | classCreatorRest )
        int alt239=3;
        alt239 = dfa239.predict(input);
        switch (alt239) {
            case 1 :
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:917:7: ( '[' expression ']' )+ ( '[' ']' )*
                {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:917:7: ( '[' expression ']' )+
                int cnt236=0;
                loop236:
                do {
                    int alt236=2;
                    alt236 = dfa236.predict(input);
                    switch (alt236) {
                	case 1 :
                	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:917:8: '[' expression ']'
                	    {
                	    match(input,143,FOLLOW_143_in_synpred266_Java6963); if (state.failed) return ;
                	    pushFollow(FOLLOW_expression_in_synpred266_Java6965);
                	    expression();

                	    state._fsp--;
                	    if (state.failed) return ;
                	    match(input,144,FOLLOW_144_in_synpred266_Java6967); if (state.failed) return ;

                	    }
                	    break;

                	default :
                	    if ( cnt236 >= 1 ) break loop236;
                	    if (state.backtracking>0) {state.failed=true; return ;}
                            EarlyExitException eee =
                                new EarlyExitException(236, input);
                            throw eee;
                    }
                    cnt236++;
                } while (true);

                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:917:29: ( '[' ']' )*
                loop237:
                do {
                    int alt237=2;
                    int LA237_0 = input.LA(1);

                    if ( (LA237_0==143) ) {
                        alt237=1;
                    }


                    switch (alt237) {
                	case 1 :
                	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:917:30: '[' ']'
                	    {
                	    match(input,143,FOLLOW_143_in_synpred266_Java6972); if (state.failed) return ;
                	    match(input,144,FOLLOW_144_in_synpred266_Java6974); if (state.failed) return ;

                	    }
                	    break;

                	default :
                	    break loop237;
                    }
                } while (true);


                }
                break;
            case 2 :
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:918:9: ( '[' ']' )+ arrayInitializer
                {
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:918:9: ( '[' ']' )+
                int cnt238=0;
                loop238:
                do {
                    int alt238=2;
                    int LA238_0 = input.LA(1);

                    if ( (LA238_0==143) ) {
                        alt238=1;
                    }


                    switch (alt238) {
                	case 1 :
                	    // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:918:10: '[' ']'
                	    {
                	    match(input,143,FOLLOW_143_in_synpred266_Java7009); if (state.failed) return ;
                	    match(input,144,FOLLOW_144_in_synpred266_Java7011); if (state.failed) return ;

                	    }
                	    break;

                	default :
                	    if ( cnt238 >= 1 ) break loop238;
                	    if (state.backtracking>0) {state.failed=true; return ;}
                            EarlyExitException eee =
                                new EarlyExitException(238, input);
                            throw eee;
                    }
                    cnt238++;
                } while (true);

                pushFollow(FOLLOW_arrayInitializer_in_synpred266_Java7015);
                arrayInitializer();

                state._fsp--;
                if (state.failed) return ;

                }
                break;
            case 3 :
                // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:919:9: classCreatorRest
                {
                pushFollow(FOLLOW_classCreatorRest_in_synpred266_Java7046);
                classCreatorRest();

                state._fsp--;
                if (state.failed) return ;

                }
                break;

        }


        }
    }
    // $ANTLR end synpred266_Java

    // $ANTLR start synpred267_Java
    public final void synpred267_Java_fragment() throws RecognitionException {   
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:921:9: ( type '.' 'class' )
        // H:\\private\\post doc\\jkit-parser\\OTs\\jkit\\java\\parser\\Java.g:921:9: type '.' 'class'
        {
        pushFollow(FOLLOW_type_in_synpred267_Java7080);
        type();

        state._fsp--;
        if (state.failed) return ;
        match(input,129,FOLLOW_129_in_synpred267_Java7082); if (state.failed) return ;
        match(input,131,FOLLOW_131_in_synpred267_Java7084); if (state.failed) return ;

        }
    }
    // $ANTLR end synpred267_Java

    // Delegated rules

    public final boolean synpred258_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred258_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred226_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred226_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred56_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred56_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred224_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred224_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred207_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred207_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred267_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred267_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred204_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred204_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred249_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred249_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred261_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred261_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred202_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred202_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred1_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred1_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred220_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred220_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred205_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred205_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred144_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred144_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred55_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred55_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred254_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred254_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred94_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred94_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred188_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred188_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred266_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred266_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred42_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred42_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred38_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred38_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred170_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred170_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred190_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred190_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred41_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred41_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred209_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred209_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred134_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred134_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred169_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred169_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred199_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred199_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred225_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred225_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred158_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred158_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred36_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred36_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred198_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred198_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred195_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred195_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred241_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred241_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred206_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred206_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred96_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred96_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred159_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred159_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred200_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred200_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred227_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred227_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred203_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred203_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred248_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred248_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred201_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred201_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred187_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred187_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred164_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred164_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred182_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred182_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred118_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred118_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }
    public final boolean synpred208_Java() {
        state.backtracking++;
        int start = input.mark();
        try {
            synpred208_Java_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !state.failed;
        input.rewind(start);
        state.backtracking--;
        state.failed=false;
        return success;
    }


    protected DFA1 dfa1 = new DFA1(this);
    protected DFA2 dfa2 = new DFA2(this);
    protected DFA3 dfa3 = new DFA3(this);
    protected DFA4 dfa4 = new DFA4(this);
    protected DFA10 dfa10 = new DFA10(this);
    protected DFA11 dfa11 = new DFA11(this);
    protected DFA27 dfa27 = new DFA27(this);
    protected DFA31 dfa31 = new DFA31(this);
    protected DFA32 dfa32 = new DFA32(this);
    protected DFA37 dfa37 = new DFA37(this);
    protected DFA34 dfa34 = new DFA34(this);
    protected DFA36 dfa36 = new DFA36(this);
    protected DFA40 dfa40 = new DFA40(this);
    protected DFA44 dfa44 = new DFA44(this);
    protected DFA42 dfa42 = new DFA42(this);
    protected DFA43 dfa43 = new DFA43(this);
    protected DFA60 dfa60 = new DFA60(this);
    protected DFA63 dfa63 = new DFA63(this);
    protected DFA61 dfa61 = new DFA61(this);
    protected DFA64 dfa64 = new DFA64(this);
    protected DFA67 dfa67 = new DFA67(this);
    protected DFA68 dfa68 = new DFA68(this);
    protected DFA69 dfa69 = new DFA69(this);
    protected DFA70 dfa70 = new DFA70(this);
    protected DFA72 dfa72 = new DFA72(this);
    protected DFA83 dfa83 = new DFA83(this);
    protected DFA82 dfa82 = new DFA82(this);
    protected DFA91 dfa91 = new DFA91(this);
    protected DFA93 dfa93 = new DFA93(this);
    protected DFA92 dfa92 = new DFA92(this);
    protected DFA94 dfa94 = new DFA94(this);
    protected DFA96 dfa96 = new DFA96(this);
    protected DFA97 dfa97 = new DFA97(this);
    protected DFA99 dfa99 = new DFA99(this);
    protected DFA100 dfa100 = new DFA100(this);
    protected DFA101 dfa101 = new DFA101(this);
    protected DFA102 dfa102 = new DFA102(this);
    protected DFA104 dfa104 = new DFA104(this);
    protected DFA105 dfa105 = new DFA105(this);
    protected DFA106 dfa106 = new DFA106(this);
    protected DFA107 dfa107 = new DFA107(this);
    protected DFA110 dfa110 = new DFA110(this);
    protected DFA111 dfa111 = new DFA111(this);
    protected DFA119 dfa119 = new DFA119(this);
    protected DFA116 dfa116 = new DFA116(this);
    protected DFA120 dfa120 = new DFA120(this);
    protected DFA123 dfa123 = new DFA123(this);
    protected DFA124 dfa124 = new DFA124(this);
    protected DFA129 dfa129 = new DFA129(this);
    protected DFA126 dfa126 = new DFA126(this);
    protected DFA127 dfa127 = new DFA127(this);
    protected DFA128 dfa128 = new DFA128(this);
    protected DFA131 dfa131 = new DFA131(this);
    protected DFA134 dfa134 = new DFA134(this);
    protected DFA135 dfa135 = new DFA135(this);
    protected DFA136 dfa136 = new DFA136(this);
    protected DFA137 dfa137 = new DFA137(this);
    protected DFA138 dfa138 = new DFA138(this);
    protected DFA139 dfa139 = new DFA139(this);
    protected DFA140 dfa140 = new DFA140(this);
    protected DFA141 dfa141 = new DFA141(this);
    protected DFA142 dfa142 = new DFA142(this);
    protected DFA143 dfa143 = new DFA143(this);
    protected DFA147 dfa147 = new DFA147(this);
    protected DFA145 dfa145 = new DFA145(this);
    protected DFA146 dfa146 = new DFA146(this);
    protected DFA150 dfa150 = new DFA150(this);
    protected DFA149 dfa149 = new DFA149(this);
    protected DFA153 dfa153 = new DFA153(this);
    protected DFA152 dfa152 = new DFA152(this);
    protected DFA154 dfa154 = new DFA154(this);
    protected DFA158 dfa158 = new DFA158(this);
    protected DFA157 dfa157 = new DFA157(this);
    protected DFA155 dfa155 = new DFA155(this);
    protected DFA156 dfa156 = new DFA156(this);
    protected DFA159 dfa159 = new DFA159(this);
    protected DFA173 dfa173 = new DFA173(this);
    protected DFA164 dfa164 = new DFA164(this);
    protected DFA161 dfa161 = new DFA161(this);
    protected DFA162 dfa162 = new DFA162(this);
    protected DFA170 dfa170 = new DFA170(this);
    protected DFA167 dfa167 = new DFA167(this);
    protected DFA168 dfa168 = new DFA168(this);
    protected DFA171 dfa171 = new DFA171(this);
    protected DFA172 dfa172 = new DFA172(this);
    protected DFA174 dfa174 = new DFA174(this);
    protected DFA176 dfa176 = new DFA176(this);
    protected DFA179 dfa179 = new DFA179(this);
    protected DFA181 dfa181 = new DFA181(this);
    protected DFA230 dfa230 = new DFA230(this);
    protected DFA227 dfa227 = new DFA227(this);
    protected DFA239 dfa239 = new DFA239(this);
    protected DFA236 dfa236 = new DFA236(this);
    static final String DFA1_eotS =
        "\27\uffff";
    static final String DFA1_eofS =
        "\1\2\26\uffff";
    static final String DFA1_minS =
        "\1\17\1\152\23\uffff\1\0\1\uffff";
    static final String DFA1_maxS =
        "\1\u00af\1\u008c\23\uffff\1\0\1\uffff";
    static final String DFA1_acceptS =
        "\2\uffff\1\2\23\uffff\1\1";
    static final String DFA1_specialS =
        "\25\uffff\1\0\1\uffff}>";
    static final String[] DFA1_transitionS = {
            "\1\2\155\uffff\4\2\2\uffff\1\2\10\uffff\1\2\5\uffff\12\2\23"+
            "\uffff\1\1",
            "\1\25\41\uffff\1\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            ""
    };

    static final short[] DFA1_eot = DFA.unpackEncodedString(DFA1_eotS);
    static final short[] DFA1_eof = DFA.unpackEncodedString(DFA1_eofS);
    static final char[] DFA1_min = DFA.unpackEncodedStringToUnsignedChars(DFA1_minS);
    static final char[] DFA1_max = DFA.unpackEncodedStringToUnsignedChars(DFA1_maxS);
    static final short[] DFA1_accept = DFA.unpackEncodedString(DFA1_acceptS);
    static final short[] DFA1_special = DFA.unpackEncodedString(DFA1_specialS);
    static final short[][] DFA1_transition;

    static {
        int numStates = DFA1_transitionS.length;
        DFA1_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA1_transition[i] = DFA.unpackEncodedString(DFA1_transitionS[i]);
        }
    }

    class DFA1 extends DFA {

        public DFA1(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 1;
            this.eot = DFA1_eot;
            this.eof = DFA1_eof;
            this.min = DFA1_min;
            this.max = DFA1_max;
            this.accept = DFA1_accept;
            this.special = DFA1_special;
            this.transition = DFA1_transition;
        }
        public String getDescription() {
            return "228:4: ( annotations )?";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA1_21 = input.LA(1);

                         
                        int index1_21 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred1_Java()) ) {s = 22;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index1_21);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 1, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA2_eotS =
        "\24\uffff";
    static final String DFA2_eofS =
        "\1\2\23\uffff";
    static final String DFA2_minS =
        "\1\17\23\uffff";
    static final String DFA2_maxS =
        "\1\u00af\23\uffff";
    static final String DFA2_acceptS =
        "\1\uffff\1\1\1\2\21\uffff";
    static final String DFA2_specialS =
        "\24\uffff}>";
    static final String[] DFA2_transitionS = {
            "\1\2\155\uffff\1\1\3\2\2\uffff\1\2\10\uffff\1\2\5\uffff\12"+
            "\2\23\uffff\1\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA2_eot = DFA.unpackEncodedString(DFA2_eotS);
    static final short[] DFA2_eof = DFA.unpackEncodedString(DFA2_eofS);
    static final char[] DFA2_min = DFA.unpackEncodedStringToUnsignedChars(DFA2_minS);
    static final char[] DFA2_max = DFA.unpackEncodedStringToUnsignedChars(DFA2_maxS);
    static final short[] DFA2_accept = DFA.unpackEncodedString(DFA2_acceptS);
    static final short[] DFA2_special = DFA.unpackEncodedString(DFA2_specialS);
    static final short[][] DFA2_transition;

    static {
        int numStates = DFA2_transitionS.length;
        DFA2_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA2_transition[i] = DFA.unpackEncodedString(DFA2_transitionS[i]);
        }
    }

    class DFA2 extends DFA {

        public DFA2(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 2;
            this.eot = DFA2_eot;
            this.eof = DFA2_eof;
            this.min = DFA2_min;
            this.max = DFA2_max;
            this.accept = DFA2_accept;
            this.special = DFA2_special;
            this.transition = DFA2_transition;
        }
        public String getDescription() {
            return "228:17: ( packageDeclaration )?";
        }
    }
    static final String DFA3_eotS =
        "\23\uffff";
    static final String DFA3_eofS =
        "\1\1\22\uffff";
    static final String DFA3_minS =
        "\1\17\22\uffff";
    static final String DFA3_maxS =
        "\1\u00af\22\uffff";
    static final String DFA3_acceptS =
        "\1\uffff\1\2\20\uffff\1\1";
    static final String DFA3_specialS =
        "\23\uffff}>";
    static final String[] DFA3_transitionS = {
            "\1\1\156\uffff\1\1\1\22\1\1\2\uffff\1\1\10\uffff\1\1\5\uffff"+
            "\12\1\23\uffff\1\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA3_eot = DFA.unpackEncodedString(DFA3_eotS);
    static final short[] DFA3_eof = DFA.unpackEncodedString(DFA3_eofS);
    static final char[] DFA3_min = DFA.unpackEncodedStringToUnsignedChars(DFA3_minS);
    static final char[] DFA3_max = DFA.unpackEncodedStringToUnsignedChars(DFA3_maxS);
    static final short[] DFA3_accept = DFA.unpackEncodedString(DFA3_acceptS);
    static final short[] DFA3_special = DFA.unpackEncodedString(DFA3_specialS);
    static final short[][] DFA3_transition;

    static {
        int numStates = DFA3_transitionS.length;
        DFA3_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA3_transition[i] = DFA.unpackEncodedString(DFA3_transitionS[i]);
        }
    }

    class DFA3 extends DFA {

        public DFA3(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 3;
            this.eot = DFA3_eot;
            this.eof = DFA3_eof;
            this.min = DFA3_min;
            this.max = DFA3_max;
            this.accept = DFA3_accept;
            this.special = DFA3_special;
            this.transition = DFA3_transition;
        }
        public String getDescription() {
            return "()* loopback of 228:37: ( importDeclaration )*";
        }
    }
    static final String DFA4_eotS =
        "\22\uffff";
    static final String DFA4_eofS =
        "\1\1\21\uffff";
    static final String DFA4_minS =
        "\1\17\21\uffff";
    static final String DFA4_maxS =
        "\1\u00af\21\uffff";
    static final String DFA4_acceptS =
        "\1\uffff\1\2\1\1\17\uffff";
    static final String DFA4_specialS =
        "\22\uffff}>";
    static final String[] DFA4_transitionS = {
            "\1\2\156\uffff\1\2\1\uffff\1\2\2\uffff\1\2\10\uffff\1\2\5\uffff"+
            "\12\2\23\uffff\1\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA4_eot = DFA.unpackEncodedString(DFA4_eotS);
    static final short[] DFA4_eof = DFA.unpackEncodedString(DFA4_eofS);
    static final char[] DFA4_min = DFA.unpackEncodedStringToUnsignedChars(DFA4_minS);
    static final char[] DFA4_max = DFA.unpackEncodedStringToUnsignedChars(DFA4_maxS);
    static final short[] DFA4_accept = DFA.unpackEncodedString(DFA4_acceptS);
    static final short[] DFA4_special = DFA.unpackEncodedString(DFA4_specialS);
    static final short[][] DFA4_transition;

    static {
        int numStates = DFA4_transitionS.length;
        DFA4_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA4_transition[i] = DFA.unpackEncodedString(DFA4_transitionS[i]);
        }
    }

    class DFA4 extends DFA {

        public DFA4(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 4;
            this.eot = DFA4_eot;
            this.eof = DFA4_eof;
            this.min = DFA4_min;
            this.max = DFA4_max;
            this.accept = DFA4_accept;
            this.special = DFA4_special;
            this.transition = DFA4_transition;
        }
        public String getDescription() {
            return "()* loopback of 228:56: ( typeDeclaration )*";
        }
    }
    static final String DFA10_eotS =
        "\21\uffff";
    static final String DFA10_eofS =
        "\21\uffff";
    static final String DFA10_minS =
        "\1\17\20\uffff";
    static final String DFA10_maxS =
        "\1\u00af\20\uffff";
    static final String DFA10_acceptS =
        "\1\uffff\1\1\16\uffff\1\2";
    static final String DFA10_specialS =
        "\21\uffff}>";
    static final String[] DFA10_transitionS = {
            "\1\1\156\uffff\1\20\1\uffff\1\1\2\uffff\1\1\10\uffff\1\1\5"+
            "\uffff\12\1\23\uffff\1\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA10_eot = DFA.unpackEncodedString(DFA10_eotS);
    static final short[] DFA10_eof = DFA.unpackEncodedString(DFA10_eofS);
    static final char[] DFA10_min = DFA.unpackEncodedStringToUnsignedChars(DFA10_minS);
    static final char[] DFA10_max = DFA.unpackEncodedStringToUnsignedChars(DFA10_maxS);
    static final short[] DFA10_accept = DFA.unpackEncodedString(DFA10_acceptS);
    static final short[] DFA10_special = DFA.unpackEncodedString(DFA10_specialS);
    static final short[][] DFA10_transition;

    static {
        int numStates = DFA10_transitionS.length;
        DFA10_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA10_transition[i] = DFA.unpackEncodedString(DFA10_transitionS[i]);
        }
    }

    class DFA10 extends DFA {

        public DFA10(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 10;
            this.eot = DFA10_eot;
            this.eof = DFA10_eof;
            this.min = DFA10_min;
            this.max = DFA10_max;
            this.accept = DFA10_accept;
            this.special = DFA10_special;
            this.transition = DFA10_transition;
        }
        public String getDescription() {
            return "243:1: typeDeclaration : ( classOrInterfaceDeclaration | ';' );";
        }
    }
    static final String DFA11_eotS =
        "\22\uffff";
    static final String DFA11_eofS =
        "\22\uffff";
    static final String DFA11_minS =
        "\1\17\3\uffff\1\152\15\uffff";
    static final String DFA11_maxS =
        "\1\u00af\3\uffff\1\u008c\15\uffff";
    static final String DFA11_acceptS =
        "\1\uffff\1\2\3\uffff\1\1\14\uffff";
    static final String DFA11_specialS =
        "\22\uffff}>";
    static final String[] DFA11_transitionS = {
            "\1\1\160\uffff\1\5\2\uffff\1\1\10\uffff\1\1\5\uffff\12\5\23"+
            "\uffff\1\4",
            "",
            "",
            "",
            "\1\5\41\uffff\1\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA11_eot = DFA.unpackEncodedString(DFA11_eotS);
    static final short[] DFA11_eof = DFA.unpackEncodedString(DFA11_eofS);
    static final char[] DFA11_min = DFA.unpackEncodedStringToUnsignedChars(DFA11_minS);
    static final char[] DFA11_max = DFA.unpackEncodedStringToUnsignedChars(DFA11_maxS);
    static final short[] DFA11_accept = DFA.unpackEncodedString(DFA11_acceptS);
    static final short[] DFA11_special = DFA.unpackEncodedString(DFA11_specialS);
    static final short[][] DFA11_transition;

    static {
        int numStates = DFA11_transitionS.length;
        DFA11_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA11_transition[i] = DFA.unpackEncodedString(DFA11_transitionS[i]);
        }
    }

    class DFA11 extends DFA {

        public DFA11(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 11;
            this.eot = DFA11_eot;
            this.eof = DFA11_eof;
            this.min = DFA11_min;
            this.max = DFA11_max;
            this.accept = DFA11_accept;
            this.special = DFA11_special;
            this.transition = DFA11_transition;
        }
        public String getDescription() {
            return "()* loopback of 249:4: ( modifier )*";
        }
    }
    static final String DFA27_eotS =
        "\31\uffff";
    static final String DFA27_eofS =
        "\1\1\30\uffff";
    static final String DFA27_minS =
        "\1\17\30\uffff";
    static final String DFA27_maxS =
        "\1\u00af\30\uffff";
    static final String DFA27_acceptS =
        "\1\uffff\1\2\1\uffff\1\1\25\uffff";
    static final String DFA27_specialS =
        "\31\uffff}>";
    static final String[] DFA27_transitionS = {
            "\1\3\132\uffff\1\3\23\uffff\1\3\1\uffff\1\3\2\uffff\1\3\2\uffff"+
            "\1\3\3\uffff\1\3\1\1\2\3\4\uffff\12\3\2\uffff\1\3\1\uffff\10"+
            "\3\7\uffff\1\3",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA27_eot = DFA.unpackEncodedString(DFA27_eotS);
    static final short[] DFA27_eof = DFA.unpackEncodedString(DFA27_eofS);
    static final char[] DFA27_min = DFA.unpackEncodedStringToUnsignedChars(DFA27_minS);
    static final char[] DFA27_max = DFA.unpackEncodedStringToUnsignedChars(DFA27_maxS);
    static final short[] DFA27_accept = DFA.unpackEncodedString(DFA27_acceptS);
    static final short[] DFA27_special = DFA.unpackEncodedString(DFA27_specialS);
    static final short[][] DFA27_transition;

    static {
        int numStates = DFA27_transitionS.length;
        DFA27_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA27_transition[i] = DFA.unpackEncodedString(DFA27_transitionS[i]);
        }
    }

    class DFA27 extends DFA {

        public DFA27(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 27;
            this.eot = DFA27_eot;
            this.eof = DFA27_eof;
            this.min = DFA27_min;
            this.max = DFA27_max;
            this.accept = DFA27_accept;
            this.special = DFA27_special;
            this.transition = DFA27_transition;
        }
        public String getDescription() {
            return "()* loopback of 293:8: ( classBodyDeclaration )*";
        }
    }
    static final String DFA31_eotS =
        "\30\uffff";
    static final String DFA31_eofS =
        "\30\uffff";
    static final String DFA31_minS =
        "\1\17\27\uffff";
    static final String DFA31_maxS =
        "\1\u00af\27\uffff";
    static final String DFA31_acceptS =
        "\1\uffff\1\2\1\1\25\uffff";
    static final String DFA31_specialS =
        "\30\uffff}>";
    static final String[] DFA31_transitionS = {
            "\1\2\132\uffff\1\2\23\uffff\1\2\1\uffff\1\2\2\uffff\1\2\2\uffff"+
            "\1\2\3\uffff\1\2\1\1\2\2\4\uffff\12\2\2\uffff\1\2\1\uffff\10"+
            "\2\7\uffff\1\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA31_eot = DFA.unpackEncodedString(DFA31_eotS);
    static final short[] DFA31_eof = DFA.unpackEncodedString(DFA31_eofS);
    static final char[] DFA31_min = DFA.unpackEncodedStringToUnsignedChars(DFA31_minS);
    static final char[] DFA31_max = DFA.unpackEncodedStringToUnsignedChars(DFA31_maxS);
    static final short[] DFA31_accept = DFA.unpackEncodedString(DFA31_acceptS);
    static final short[] DFA31_special = DFA.unpackEncodedString(DFA31_specialS);
    static final short[][] DFA31_transition;

    static {
        int numStates = DFA31_transitionS.length;
        DFA31_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA31_transition[i] = DFA.unpackEncodedString(DFA31_transitionS[i]);
        }
    }

    class DFA31 extends DFA {

        public DFA31(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 31;
            this.eot = DFA31_eot;
            this.eof = DFA31_eof;
            this.min = DFA31_min;
            this.max = DFA31_max;
            this.accept = DFA31_accept;
            this.special = DFA31_special;
            this.transition = DFA31_transition;
        }
        public String getDescription() {
            return "()* loopback of 305:9: ( classBodyDeclaration )*";
        }
    }
    static final String DFA32_eotS =
        "\27\uffff";
    static final String DFA32_eofS =
        "\27\uffff";
    static final String DFA32_minS =
        "\1\17\26\uffff";
    static final String DFA32_maxS =
        "\1\u00af\26\uffff";
    static final String DFA32_acceptS =
        "\1\uffff\1\2\1\1\24\uffff";
    static final String DFA32_specialS =
        "\27\uffff}>";
    static final String[] DFA32_transitionS = {
            "\1\2\132\uffff\1\2\23\uffff\1\2\1\uffff\1\2\2\uffff\1\2\2\uffff"+
            "\1\2\4\uffff\1\1\2\2\4\uffff\12\2\2\uffff\1\2\1\uffff\10\2\7"+
            "\uffff\1\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA32_eot = DFA.unpackEncodedString(DFA32_eotS);
    static final short[] DFA32_eof = DFA.unpackEncodedString(DFA32_eofS);
    static final char[] DFA32_min = DFA.unpackEncodedStringToUnsignedChars(DFA32_minS);
    static final char[] DFA32_max = DFA.unpackEncodedStringToUnsignedChars(DFA32_maxS);
    static final short[] DFA32_accept = DFA.unpackEncodedString(DFA32_acceptS);
    static final short[] DFA32_special = DFA.unpackEncodedString(DFA32_specialS);
    static final short[][] DFA32_transition;

    static {
        int numStates = DFA32_transitionS.length;
        DFA32_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA32_transition[i] = DFA.unpackEncodedString(DFA32_transitionS[i]);
        }
    }

    class DFA32 extends DFA {

        public DFA32(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 32;
            this.eot = DFA32_eot;
            this.eof = DFA32_eof;
            this.min = DFA32_min;
            this.max = DFA32_max;
            this.accept = DFA32_accept;
            this.special = DFA32_special;
            this.transition = DFA32_transition;
        }
        public String getDescription() {
            return "()* loopback of 309:9: ( interfaceBodyDeclaration )*";
        }
    }
    static final String DFA37_eotS =
        "\55\uffff";
    static final String DFA37_eofS =
        "\55\uffff";
    static final String DFA37_minS =
        "\1\17\1\uffff\1\17\24\uffff\1\0\25\uffff";
    static final String DFA37_maxS =
        "\1\u00af\1\uffff\1\u00af\24\uffff\1\0\25\uffff";
    static final String DFA37_acceptS =
        "\1\uffff\1\1\1\uffff\1\3\1\4\47\uffff\1\2";
    static final String DFA37_specialS =
        "\27\uffff\1\0\25\uffff}>";
    static final String[] DFA37_transitionS = {
            "\1\4\132\uffff\1\4\23\uffff\1\1\1\uffff\1\2\2\uffff\1\4\2\uffff"+
            "\1\4\3\uffff\1\3\1\uffff\2\4\4\uffff\12\4\2\uffff\1\4\1\uffff"+
            "\10\4\7\uffff\1\4",
            "",
            "\1\4\132\uffff\1\4\25\uffff\1\4\2\uffff\1\4\2\uffff\1\4\3"+
            "\uffff\1\27\1\uffff\2\4\4\uffff\12\4\2\uffff\1\4\1\uffff\10"+
            "\4\7\uffff\1\4",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA37_eot = DFA.unpackEncodedString(DFA37_eotS);
    static final short[] DFA37_eof = DFA.unpackEncodedString(DFA37_eofS);
    static final char[] DFA37_min = DFA.unpackEncodedStringToUnsignedChars(DFA37_minS);
    static final char[] DFA37_max = DFA.unpackEncodedStringToUnsignedChars(DFA37_maxS);
    static final short[] DFA37_accept = DFA.unpackEncodedString(DFA37_acceptS);
    static final short[] DFA37_special = DFA.unpackEncodedString(DFA37_specialS);
    static final short[][] DFA37_transition;

    static {
        int numStates = DFA37_transitionS.length;
        DFA37_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA37_transition[i] = DFA.unpackEncodedString(DFA37_transitionS[i]);
        }
    }

    class DFA37 extends DFA {

        public DFA37(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 37;
            this.eot = DFA37_eot;
            this.eof = DFA37_eof;
            this.min = DFA37_min;
            this.max = DFA37_max;
            this.accept = DFA37_accept;
            this.special = DFA37_special;
            this.transition = DFA37_transition;
        }
        public String getDescription() {
            return "312:1: classBodyDeclaration : ( ';' | 'static' block -> ^( STATIC block ) | ( 'static' )? block -> block | ( modifier )* ( genericMethodOrConstructorDecl -> ^( METHOD ^( MODIFIERS ( modifier )* ) genericMethodOrConstructorDecl ) | methodDeclaration -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) methodDeclaration ) | fieldDeclaration -> ^( FIELD ^( MODIFIERS ( modifier )* ) fieldDeclaration ) | 'void' Identifier ( ctxtParams )? voidMethodDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( TYPE VOID ) ( ctxtParams )? ( voidMethodDeclaratorRest )? ) | Identifier constructorDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( NONE ) constructorDeclaratorRest ) | normalInterfaceDeclaration -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) | classDeclaration -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) ) );";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA37_23 = input.LA(1);

                         
                        int index37_23 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred36_Java()) ) {s = 44;}

                        else if ( (synpred38_Java()) ) {s = 3;}

                         
                        input.seek(index37_23);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 37, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA34_eotS =
        "\27\uffff";
    static final String DFA34_eofS =
        "\27\uffff";
    static final String DFA34_minS =
        "\1\17\6\uffff\1\152\17\uffff";
    static final String DFA34_maxS =
        "\1\u00af\6\uffff\1\u008c\17\uffff";
    static final String DFA34_acceptS =
        "\1\uffff\1\2\10\uffff\1\1\14\uffff";
    static final String DFA34_specialS =
        "\27\uffff}>";
    static final String[] DFA34_transitionS = {
            "\1\1\132\uffff\1\1\25\uffff\1\12\2\uffff\1\1\2\uffff\1\1\5"+
            "\uffff\2\1\4\uffff\12\12\2\uffff\1\1\1\uffff\10\1\7\uffff\1"+
            "\7",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\12\41\uffff\1\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA34_eot = DFA.unpackEncodedString(DFA34_eotS);
    static final short[] DFA34_eof = DFA.unpackEncodedString(DFA34_eofS);
    static final char[] DFA34_min = DFA.unpackEncodedStringToUnsignedChars(DFA34_minS);
    static final char[] DFA34_max = DFA.unpackEncodedStringToUnsignedChars(DFA34_maxS);
    static final short[] DFA34_accept = DFA.unpackEncodedString(DFA34_acceptS);
    static final short[] DFA34_special = DFA.unpackEncodedString(DFA34_specialS);
    static final short[][] DFA34_transition;

    static {
        int numStates = DFA34_transitionS.length;
        DFA34_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA34_transition[i] = DFA.unpackEncodedString(DFA34_transitionS[i]);
        }
    }

    class DFA34 extends DFA {

        public DFA34(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 34;
            this.eot = DFA34_eot;
            this.eof = DFA34_eof;
            this.min = DFA34_min;
            this.max = DFA34_max;
            this.accept = DFA34_accept;
            this.special = DFA34_special;
            this.transition = DFA34_transition;
        }
        public String getDescription() {
            return "()* loopback of 316:4: ( modifier )*";
        }
    }
    static final String DFA36_eotS =
        "\26\uffff";
    static final String DFA36_eofS =
        "\26\uffff";
    static final String DFA36_minS =
        "\1\17\1\uffff\1\152\1\u009c\1\152\5\uffff\6\0\1\uffff\3\0\2\uffff";
    static final String DFA36_maxS =
        "\1\u00af\1\uffff\1\u00a9\1\u009c\1\u008f\5\uffff\6\0\1\uffff\3"+
        "\0\2\uffff";
    static final String DFA36_acceptS =
        "\1\uffff\1\1\3\uffff\1\4\1\6\1\7\1\10\1\11\6\uffff\1\5\3\uffff"+
        "\1\2\1\3";
    static final String DFA36_specialS =
        "\12\uffff\1\0\1\1\1\2\1\3\1\4\1\5\1\uffff\1\6\1\7\1\10\2\uffff}>";
    static final String[] DFA36_transitionS = {
            "\1\11\132\uffff\1\2\30\uffff\1\10\2\uffff\1\1\5\uffff\1\6\1"+
            "\5\20\uffff\1\3\1\uffff\10\4\7\uffff\1\7",
            "",
            "\1\15\26\uffff\1\13\4\uffff\1\12\10\uffff\1\14\14\uffff\1"+
            "\17\1\16\13\uffff\1\20",
            "\1\21",
            "\1\23\44\uffff\1\22",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "",
            ""
    };

    static final short[] DFA36_eot = DFA.unpackEncodedString(DFA36_eotS);
    static final short[] DFA36_eof = DFA.unpackEncodedString(DFA36_eofS);
    static final char[] DFA36_min = DFA.unpackEncodedStringToUnsignedChars(DFA36_minS);
    static final char[] DFA36_max = DFA.unpackEncodedStringToUnsignedChars(DFA36_maxS);
    static final short[] DFA36_accept = DFA.unpackEncodedString(DFA36_acceptS);
    static final short[] DFA36_special = DFA.unpackEncodedString(DFA36_specialS);
    static final short[][] DFA36_transition;

    static {
        int numStates = DFA36_transitionS.length;
        DFA36_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA36_transition[i] = DFA.unpackEncodedString(DFA36_transitionS[i]);
        }
    }

    class DFA36 extends DFA {

        public DFA36(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 36;
            this.eot = DFA36_eot;
            this.eof = DFA36_eof;
            this.min = DFA36_min;
            this.max = DFA36_max;
            this.accept = DFA36_accept;
            this.special = DFA36_special;
            this.transition = DFA36_transition;
        }
        public String getDescription() {
            return "316:14: ( genericMethodOrConstructorDecl -> ^( METHOD ^( MODIFIERS ( modifier )* ) genericMethodOrConstructorDecl ) | methodDeclaration -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) methodDeclaration ) | fieldDeclaration -> ^( FIELD ^( MODIFIERS ( modifier )* ) fieldDeclaration ) | 'void' Identifier ( ctxtParams )? voidMethodDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( TYPE VOID ) ( ctxtParams )? ( voidMethodDeclaratorRest )? ) | Identifier constructorDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( NONE ) constructorDeclaratorRest ) | normalInterfaceDeclaration -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) | classDeclaration -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) )";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA36_10 = input.LA(1);

                         
                        int index36_10 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred41_Java()) ) {s = 20;}

                        else if ( (synpred42_Java()) ) {s = 21;}

                         
                        input.seek(index36_10);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA36_11 = input.LA(1);

                         
                        int index36_11 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred41_Java()) ) {s = 20;}

                        else if ( (synpred42_Java()) ) {s = 21;}

                         
                        input.seek(index36_11);
                        if ( s>=0 ) return s;
                        break;
                    case 2 : 
                        int LA36_12 = input.LA(1);

                         
                        int index36_12 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred41_Java()) ) {s = 20;}

                        else if ( (synpred42_Java()) ) {s = 21;}

                         
                        input.seek(index36_12);
                        if ( s>=0 ) return s;
                        break;
                    case 3 : 
                        int LA36_13 = input.LA(1);

                         
                        int index36_13 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred41_Java()) ) {s = 20;}

                        else if ( (synpred42_Java()) ) {s = 21;}

                         
                        input.seek(index36_13);
                        if ( s>=0 ) return s;
                        break;
                    case 4 : 
                        int LA36_14 = input.LA(1);

                         
                        int index36_14 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred41_Java()) ) {s = 20;}

                        else if ( (synpred42_Java()) ) {s = 21;}

                         
                        input.seek(index36_14);
                        if ( s>=0 ) return s;
                        break;
                    case 5 : 
                        int LA36_15 = input.LA(1);

                         
                        int index36_15 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred41_Java()) ) {s = 20;}

                        else if ( (synpred42_Java()) ) {s = 21;}

                         
                        input.seek(index36_15);
                        if ( s>=0 ) return s;
                        break;
                    case 6 : 
                        int LA36_17 = input.LA(1);

                         
                        int index36_17 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred41_Java()) ) {s = 20;}

                        else if ( (synpred42_Java()) ) {s = 21;}

                         
                        input.seek(index36_17);
                        if ( s>=0 ) return s;
                        break;
                    case 7 : 
                        int LA36_18 = input.LA(1);

                         
                        int index36_18 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred41_Java()) ) {s = 20;}

                        else if ( (synpred42_Java()) ) {s = 21;}

                         
                        input.seek(index36_18);
                        if ( s>=0 ) return s;
                        break;
                    case 8 : 
                        int LA36_19 = input.LA(1);

                         
                        int index36_19 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred41_Java()) ) {s = 20;}

                        else if ( (synpred42_Java()) ) {s = 21;}

                         
                        input.seek(index36_19);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 36, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA40_eotS =
        "\14\uffff";
    static final String DFA40_eofS =
        "\14\uffff";
    static final String DFA40_minS =
        "\2\152\12\uffff";
    static final String DFA40_maxS =
        "\1\u00a7\1\u00a9\12\uffff";
    static final String DFA40_acceptS =
        "\2\uffff\1\1\1\uffff\1\2\6\uffff\1\3";
    static final String DFA40_specialS =
        "\14\uffff}>";
    static final String[] DFA40_transitionS = {
            "\1\1\42\uffff\1\4\20\uffff\1\2\1\uffff\10\2",
            "\1\2\26\uffff\1\2\4\uffff\1\2\10\uffff\1\2\14\uffff\2\2\13"+
            "\uffff\1\13",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA40_eot = DFA.unpackEncodedString(DFA40_eotS);
    static final short[] DFA40_eof = DFA.unpackEncodedString(DFA40_eofS);
    static final char[] DFA40_min = DFA.unpackEncodedStringToUnsignedChars(DFA40_minS);
    static final char[] DFA40_max = DFA.unpackEncodedStringToUnsignedChars(DFA40_maxS);
    static final short[] DFA40_accept = DFA.unpackEncodedString(DFA40_acceptS);
    static final short[] DFA40_special = DFA.unpackEncodedString(DFA40_specialS);
    static final short[][] DFA40_transition;

    static {
        int numStates = DFA40_transitionS.length;
        DFA40_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA40_transition[i] = DFA.unpackEncodedString(DFA40_transitionS[i]);
        }
    }

    class DFA40 extends DFA {

        public DFA40(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 40;
            this.eot = DFA40_eot;
            this.eof = DFA40_eof;
            this.min = DFA40_min;
            this.max = DFA40_max;
            this.accept = DFA40_accept;
            this.special = DFA40_special;
            this.transition = DFA40_transition;
        }
        public String getDescription() {
            return "333:1: genericMethodOrConstructorRest : ( type Identifier ( ctxtParams )? methodDeclaratorRest -> Identifier type ( ctxtParams )? ( methodDeclaratorRest )? | 'void' Identifier ( ctxtParams )? methodDeclaratorRest -> Identifier ^( TYPE VOID ) ( ctxtParams )? ( methodDeclaratorRest )? | Identifier constructorDeclaratorRest -> Identifier ^( NONE ) constructorDeclaratorRest );";
        }
    }
    static final String DFA44_eotS =
        "\26\uffff";
    static final String DFA44_eofS =
        "\26\uffff";
    static final String DFA44_minS =
        "\1\17\25\uffff";
    static final String DFA44_maxS =
        "\1\u00af\25\uffff";
    static final String DFA44_acceptS =
        "\1\uffff\1\1\23\uffff\1\2";
    static final String DFA44_specialS =
        "\26\uffff}>";
    static final String[] DFA44_transitionS = {
            "\1\1\132\uffff\1\1\23\uffff\1\25\1\uffff\1\1\2\uffff\1\1\2"+
            "\uffff\1\1\5\uffff\2\1\4\uffff\12\1\2\uffff\1\1\1\uffff\10\1"+
            "\7\uffff\1\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA44_eot = DFA.unpackEncodedString(DFA44_eotS);
    static final short[] DFA44_eof = DFA.unpackEncodedString(DFA44_eofS);
    static final char[] DFA44_min = DFA.unpackEncodedStringToUnsignedChars(DFA44_minS);
    static final char[] DFA44_max = DFA.unpackEncodedStringToUnsignedChars(DFA44_maxS);
    static final short[] DFA44_accept = DFA.unpackEncodedString(DFA44_acceptS);
    static final short[] DFA44_special = DFA.unpackEncodedString(DFA44_specialS);
    static final short[][] DFA44_transition;

    static {
        int numStates = DFA44_transitionS.length;
        DFA44_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA44_transition[i] = DFA.unpackEncodedString(DFA44_transitionS[i]);
        }
    }

    class DFA44 extends DFA {

        public DFA44(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 44;
            this.eot = DFA44_eot;
            this.eof = DFA44_eof;
            this.min = DFA44_min;
            this.max = DFA44_max;
            this.accept = DFA44_accept;
            this.special = DFA44_special;
            this.transition = DFA44_transition;
        }
        public String getDescription() {
            return "347:1: interfaceBodyDeclaration : ( ( modifier )* ( constantDeclaration -> ^( FIELD ^( MODIFIERS ( modifier )* ) constantDeclaration ) | type Identifier interfaceMethodDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier type ( interfaceMethodDeclaratorRest )? ) | interfaceGenericMethodDecl -> ^( METHOD ^( MODIFIERS ( modifier )* ) interfaceGenericMethodDecl ) | 'void' Identifier voidInterfaceMethodDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( TYPE VOID ) ( voidInterfaceMethodDeclaratorRest )? ) | normalInterfaceDeclaration -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) | classDeclaration -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) ) | ';' );";
        }
    }
    static final String DFA42_eotS =
        "\27\uffff";
    static final String DFA42_eofS =
        "\27\uffff";
    static final String DFA42_minS =
        "\1\17\6\uffff\1\152\17\uffff";
    static final String DFA42_maxS =
        "\1\u00af\6\uffff\1\u008c\17\uffff";
    static final String DFA42_acceptS =
        "\1\uffff\1\2\10\uffff\1\1\14\uffff";
    static final String DFA42_specialS =
        "\27\uffff}>";
    static final String[] DFA42_transitionS = {
            "\1\1\132\uffff\1\1\25\uffff\1\12\2\uffff\1\1\2\uffff\1\1\5"+
            "\uffff\2\1\4\uffff\12\12\2\uffff\1\1\1\uffff\10\1\7\uffff\1"+
            "\7",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\12\41\uffff\1\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA42_eot = DFA.unpackEncodedString(DFA42_eotS);
    static final short[] DFA42_eof = DFA.unpackEncodedString(DFA42_eofS);
    static final char[] DFA42_min = DFA.unpackEncodedStringToUnsignedChars(DFA42_minS);
    static final char[] DFA42_max = DFA.unpackEncodedStringToUnsignedChars(DFA42_maxS);
    static final short[] DFA42_accept = DFA.unpackEncodedString(DFA42_acceptS);
    static final short[] DFA42_special = DFA.unpackEncodedString(DFA42_specialS);
    static final short[][] DFA42_transition;

    static {
        int numStates = DFA42_transitionS.length;
        DFA42_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA42_transition[i] = DFA.unpackEncodedString(DFA42_transitionS[i]);
        }
    }

    class DFA42 extends DFA {

        public DFA42(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 42;
            this.eot = DFA42_eot;
            this.eof = DFA42_eof;
            this.min = DFA42_min;
            this.max = DFA42_max;
            this.accept = DFA42_accept;
            this.special = DFA42_special;
            this.transition = DFA42_transition;
        }
        public String getDescription() {
            return "()* loopback of 348:4: ( modifier )*";
        }
    }
    static final String DFA43_eotS =
        "\25\uffff";
    static final String DFA43_eofS =
        "\25\uffff";
    static final String DFA43_minS =
        "\1\17\1\152\1\u009c\1\152\6\uffff\11\0\2\uffff";
    static final String DFA43_maxS =
        "\1\u00af\1\u009d\1\u009c\1\u008f\6\uffff\11\0\2\uffff";
    static final String DFA43_acceptS =
        "\4\uffff\1\3\1\4\1\5\1\6\1\7\1\10\11\uffff\1\1\1\2";
    static final String DFA43_specialS =
        "\12\uffff\1\0\1\1\1\2\1\3\1\4\1\5\1\6\1\7\1\10\2\uffff}>";
    static final String[] DFA43_transitionS = {
            "\1\11\132\uffff\1\1\30\uffff\1\10\2\uffff\1\4\5\uffff\1\6\1"+
            "\5\20\uffff\1\2\1\uffff\10\3\7\uffff\1\7",
            "\1\17\26\uffff\1\15\4\uffff\1\14\10\uffff\1\16\14\uffff\1"+
            "\13\1\12",
            "\1\20",
            "\1\22\44\uffff\1\21",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "",
            ""
    };

    static final short[] DFA43_eot = DFA.unpackEncodedString(DFA43_eotS);
    static final short[] DFA43_eof = DFA.unpackEncodedString(DFA43_eofS);
    static final char[] DFA43_min = DFA.unpackEncodedStringToUnsignedChars(DFA43_minS);
    static final char[] DFA43_max = DFA.unpackEncodedStringToUnsignedChars(DFA43_maxS);
    static final short[] DFA43_accept = DFA.unpackEncodedString(DFA43_acceptS);
    static final short[] DFA43_special = DFA.unpackEncodedString(DFA43_specialS);
    static final short[][] DFA43_transition;

    static {
        int numStates = DFA43_transitionS.length;
        DFA43_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA43_transition[i] = DFA.unpackEncodedString(DFA43_transitionS[i]);
        }
    }

    class DFA43 extends DFA {

        public DFA43(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 43;
            this.eot = DFA43_eot;
            this.eof = DFA43_eof;
            this.min = DFA43_min;
            this.max = DFA43_max;
            this.accept = DFA43_accept;
            this.special = DFA43_special;
            this.transition = DFA43_transition;
        }
        public String getDescription() {
            return "348:14: ( constantDeclaration -> ^( FIELD ^( MODIFIERS ( modifier )* ) constantDeclaration ) | type Identifier interfaceMethodDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier type ( interfaceMethodDeclaratorRest )? ) | interfaceGenericMethodDecl -> ^( METHOD ^( MODIFIERS ( modifier )* ) interfaceGenericMethodDecl ) | 'void' Identifier voidInterfaceMethodDeclaratorRest -> ^( METHOD ^( MODIFIERS ( modifier )* ) ^( TYPE_PARAMETERS ) Identifier ^( TYPE VOID ) ( voidInterfaceMethodDeclaratorRest )? ) | normalInterfaceDeclaration -> ^( INTERFACE ^( MODIFIERS ( modifier )* ) normalInterfaceDeclaration ) | annotationTypeDeclaration -> ^( ANNOTATION ^( MODIFIERS ( modifier )* ) annotationTypeDeclaration ) | classDeclaration -> ^( CLASS ^( MODIFIERS ( modifier )* ) classDeclaration ) | enumDeclaration -> ^( ENUM ^( MODIFIERS ( modifier )* ) enumDeclaration ) )";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA43_10 = input.LA(1);

                         
                        int index43_10 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred55_Java()) ) {s = 19;}

                        else if ( (synpred56_Java()) ) {s = 20;}

                         
                        input.seek(index43_10);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA43_11 = input.LA(1);

                         
                        int index43_11 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred55_Java()) ) {s = 19;}

                        else if ( (synpred56_Java()) ) {s = 20;}

                         
                        input.seek(index43_11);
                        if ( s>=0 ) return s;
                        break;
                    case 2 : 
                        int LA43_12 = input.LA(1);

                         
                        int index43_12 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred55_Java()) ) {s = 19;}

                        else if ( (synpred56_Java()) ) {s = 20;}

                         
                        input.seek(index43_12);
                        if ( s>=0 ) return s;
                        break;
                    case 3 : 
                        int LA43_13 = input.LA(1);

                         
                        int index43_13 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred55_Java()) ) {s = 19;}

                        else if ( (synpred56_Java()) ) {s = 20;}

                         
                        input.seek(index43_13);
                        if ( s>=0 ) return s;
                        break;
                    case 4 : 
                        int LA43_14 = input.LA(1);

                         
                        int index43_14 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred55_Java()) ) {s = 19;}

                        else if ( (synpred56_Java()) ) {s = 20;}

                         
                        input.seek(index43_14);
                        if ( s>=0 ) return s;
                        break;
                    case 5 : 
                        int LA43_15 = input.LA(1);

                         
                        int index43_15 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred55_Java()) ) {s = 19;}

                        else if ( (synpred56_Java()) ) {s = 20;}

                         
                        input.seek(index43_15);
                        if ( s>=0 ) return s;
                        break;
                    case 6 : 
                        int LA43_16 = input.LA(1);

                         
                        int index43_16 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred55_Java()) ) {s = 19;}

                        else if ( (synpred56_Java()) ) {s = 20;}

                         
                        input.seek(index43_16);
                        if ( s>=0 ) return s;
                        break;
                    case 7 : 
                        int LA43_17 = input.LA(1);

                         
                        int index43_17 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred55_Java()) ) {s = 19;}

                        else if ( (synpred56_Java()) ) {s = 20;}

                         
                        input.seek(index43_17);
                        if ( s>=0 ) return s;
                        break;
                    case 8 : 
                        int LA43_18 = input.LA(1);

                         
                        int index43_18 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred55_Java()) ) {s = 19;}

                        else if ( (synpred56_Java()) ) {s = 20;}

                         
                        input.seek(index43_18);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 43, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA60_eotS =
        "\26\uffff";
    static final String DFA60_eofS =
        "\26\uffff";
    static final String DFA60_minS =
        "\1\152\25\uffff";
    static final String DFA60_maxS =
        "\1\u00d2\25\uffff";
    static final String DFA60_acceptS =
        "\1\uffff\1\1\1\2\23\uffff";
    static final String DFA60_specialS =
        "\26\uffff}>";
    static final String[] DFA60_transitionS = {
            "\7\2\25\uffff\1\2\3\uffff\1\1\2\uffff\1\2\20\uffff\1\2\1\uffff"+
            "\12\2\2\uffff\3\2\21\uffff\2\2\14\uffff\5\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA60_eot = DFA.unpackEncodedString(DFA60_eotS);
    static final short[] DFA60_eof = DFA.unpackEncodedString(DFA60_eofS);
    static final char[] DFA60_min = DFA.unpackEncodedStringToUnsignedChars(DFA60_minS);
    static final char[] DFA60_max = DFA.unpackEncodedStringToUnsignedChars(DFA60_maxS);
    static final short[] DFA60_accept = DFA.unpackEncodedString(DFA60_acceptS);
    static final short[] DFA60_special = DFA.unpackEncodedString(DFA60_specialS);
    static final short[][] DFA60_transition;

    static {
        int numStates = DFA60_transitionS.length;
        DFA60_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA60_transition[i] = DFA.unpackEncodedString(DFA60_transitionS[i]);
        }
    }

    class DFA60 extends DFA {

        public DFA60(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 60;
            this.eot = DFA60_eot;
            this.eof = DFA60_eof;
            this.min = DFA60_min;
            this.max = DFA60_max;
            this.accept = DFA60_accept;
            this.special = DFA60_special;
            this.transition = DFA60_transition;
        }
        public String getDescription() {
            return "430:1: variableInitializer : ( arrayInitializer | expression );";
        }
    }
    static final String DFA63_eotS =
        "\27\uffff";
    static final String DFA63_eofS =
        "\27\uffff";
    static final String DFA63_minS =
        "\1\152\26\uffff";
    static final String DFA63_maxS =
        "\1\u00d2\26\uffff";
    static final String DFA63_acceptS =
        "\1\uffff\1\1\24\uffff\1\2";
    static final String DFA63_specialS =
        "\27\uffff}>";
    static final String[] DFA63_transitionS = {
            "\7\1\25\uffff\1\1\3\uffff\1\1\1\26\1\uffff\1\1\20\uffff\1\1"+
            "\1\uffff\12\1\2\uffff\3\1\21\uffff\2\1\14\uffff\5\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA63_eot = DFA.unpackEncodedString(DFA63_eotS);
    static final short[] DFA63_eof = DFA.unpackEncodedString(DFA63_eofS);
    static final char[] DFA63_min = DFA.unpackEncodedStringToUnsignedChars(DFA63_minS);
    static final char[] DFA63_max = DFA.unpackEncodedStringToUnsignedChars(DFA63_maxS);
    static final short[] DFA63_accept = DFA.unpackEncodedString(DFA63_acceptS);
    static final short[] DFA63_special = DFA.unpackEncodedString(DFA63_specialS);
    static final short[][] DFA63_transition;

    static {
        int numStates = DFA63_transitionS.length;
        DFA63_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA63_transition[i] = DFA.unpackEncodedString(DFA63_transitionS[i]);
        }
    }

    class DFA63 extends DFA {

        public DFA63(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 63;
            this.eot = DFA63_eot;
            this.eof = DFA63_eof;
            this.min = DFA63_min;
            this.max = DFA63_max;
            this.accept = DFA63_accept;
            this.special = DFA63_special;
            this.transition = DFA63_transition;
        }
        public String getDescription() {
            return "436:8: ( variableInitializer ( ',' variableInitializer )* ( ',' )? )?";
        }
    }
    static final String DFA61_eotS =
        "\31\uffff";
    static final String DFA61_eofS =
        "\31\uffff";
    static final String DFA61_minS =
        "\1\u0087\1\152\27\uffff";
    static final String DFA61_maxS =
        "\1\u008b\1\u00d2\27\uffff";
    static final String DFA61_acceptS =
        "\2\uffff\1\2\1\1\25\uffff";
    static final String DFA61_specialS =
        "\31\uffff}>";
    static final String[] DFA61_transitionS = {
            "\1\1\3\uffff\1\2",
            "\7\3\25\uffff\1\3\3\uffff\1\3\1\2\1\uffff\1\3\20\uffff\1\3"+
            "\1\uffff\12\3\2\uffff\3\3\21\uffff\2\3\14\uffff\5\3",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA61_eot = DFA.unpackEncodedString(DFA61_eotS);
    static final short[] DFA61_eof = DFA.unpackEncodedString(DFA61_eofS);
    static final char[] DFA61_min = DFA.unpackEncodedStringToUnsignedChars(DFA61_minS);
    static final char[] DFA61_max = DFA.unpackEncodedStringToUnsignedChars(DFA61_maxS);
    static final short[] DFA61_accept = DFA.unpackEncodedString(DFA61_acceptS);
    static final short[] DFA61_special = DFA.unpackEncodedString(DFA61_specialS);
    static final short[][] DFA61_transition;

    static {
        int numStates = DFA61_transitionS.length;
        DFA61_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA61_transition[i] = DFA.unpackEncodedString(DFA61_transitionS[i]);
        }
    }

    class DFA61 extends DFA {

        public DFA61(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 61;
            this.eot = DFA61_eot;
            this.eof = DFA61_eof;
            this.min = DFA61_min;
            this.max = DFA61_max;
            this.accept = DFA61_accept;
            this.special = DFA61_special;
            this.transition = DFA61_transition;
        }
        public String getDescription() {
            return "()* loopback of 436:29: ( ',' variableInitializer )*";
        }
    }
    static final String DFA64_eotS =
        "\15\uffff";
    static final String DFA64_eofS =
        "\15\uffff";
    static final String DFA64_minS =
        "\1\u0080\14\uffff";
    static final String DFA64_maxS =
        "\1\u00af\14\uffff";
    static final String DFA64_acceptS =
        "\1\uffff\1\1\1\2\1\3\1\4\1\5\1\6\1\7\1\10\1\11\1\12\1\13\1\14";
    static final String DFA64_specialS =
        "\15\uffff}>";
    static final String[] DFA64_transitionS = {
            "\1\5\21\uffff\1\2\1\3\1\4\1\6\1\7\1\10\1\11\1\12\1\13\1\14"+
            "\23\uffff\1\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA64_eot = DFA.unpackEncodedString(DFA64_eotS);
    static final short[] DFA64_eof = DFA.unpackEncodedString(DFA64_eofS);
    static final char[] DFA64_min = DFA.unpackEncodedStringToUnsignedChars(DFA64_minS);
    static final char[] DFA64_max = DFA.unpackEncodedStringToUnsignedChars(DFA64_maxS);
    static final short[] DFA64_accept = DFA.unpackEncodedString(DFA64_acceptS);
    static final short[] DFA64_special = DFA.unpackEncodedString(DFA64_specialS);
    static final short[][] DFA64_transition;

    static {
        int numStates = DFA64_transitionS.length;
        DFA64_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA64_transition[i] = DFA.unpackEncodedString(DFA64_transitionS[i]);
        }
    }

    class DFA64 extends DFA {

        public DFA64(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 64;
            this.eot = DFA64_eot;
            this.eof = DFA64_eof;
            this.min = DFA64_min;
            this.max = DFA64_max;
            this.accept = DFA64_accept;
            this.special = DFA64_special;
            this.transition = DFA64_transition;
        }
        public String getDescription() {
            return "439:1: modifier : ( annotation | 'public' | 'protected' | 'private' | 'static' | 'abstract' | 'final' | 'native' | 'synchronized' | 'transient' | 'volatile' | 'strictfp' );";
        }
    }
    static final String DFA67_eotS =
        "\44\uffff";
    static final String DFA67_eofS =
        "\1\uffff\1\5\42\uffff";
    static final String DFA67_minS =
        "\2\152\2\uffff\1\0\37\uffff";
    static final String DFA67_maxS =
        "\1\u009e\1\u00cc\2\uffff\1\0\37\uffff";
    static final String DFA67_acceptS =
        "\2\uffff\1\1\2\uffff\1\2\36\uffff";
    static final String DFA67_specialS =
        "\4\uffff\1\0\37\uffff}>";
    static final String[] DFA67_transitionS = {
            "\1\1\63\uffff\1\2",
            "\1\5\23\uffff\1\5\2\uffff\2\5\2\uffff\7\5\3\uffff\3\5\12\uffff"+
            "\1\4\1\2\1\5\13\uffff\2\5\24\uffff\15\5",
            "",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA67_eot = DFA.unpackEncodedString(DFA67_eotS);
    static final short[] DFA67_eof = DFA.unpackEncodedString(DFA67_eofS);
    static final char[] DFA67_min = DFA.unpackEncodedStringToUnsignedChars(DFA67_minS);
    static final char[] DFA67_max = DFA.unpackEncodedStringToUnsignedChars(DFA67_maxS);
    static final short[] DFA67_accept = DFA.unpackEncodedString(DFA67_acceptS);
    static final short[] DFA67_special = DFA.unpackEncodedString(DFA67_specialS);
    static final short[][] DFA67_transition;

    static {
        int numStates = DFA67_transitionS.length;
        DFA67_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA67_transition[i] = DFA.unpackEncodedString(DFA67_transitionS[i]);
        }
    }

    class DFA67 extends DFA {

        public DFA67(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 67;
            this.eot = DFA67_eot;
            this.eof = DFA67_eof;
            this.min = DFA67_min;
            this.max = DFA67_max;
            this.accept = DFA67_accept;
            this.special = DFA67_special;
            this.transition = DFA67_transition;
        }
        public String getDescription() {
            return "468:4: ( context ':' )?";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA67_4 = input.LA(1);

                         
                        int index67_4 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred96_Java()) ) {s = 2;}

                        else if ( (true) ) {s = 5;}

                         
                        input.seek(index67_4);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 67, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA68_eotS =
        "\43\uffff";
    static final String DFA68_eofS =
        "\1\1\42\uffff";
    static final String DFA68_minS =
        "\1\152\37\uffff\1\152\2\uffff";
    static final String DFA68_maxS =
        "\1\u00cc\37\uffff\1\u0083\2\uffff";
    static final String DFA68_acceptS =
        "\1\uffff\1\2\40\uffff\1\1";
    static final String DFA68_specialS =
        "\43\uffff}>";
    static final String[] DFA68_transitionS = {
            "\1\1\23\uffff\1\1\2\uffff\1\40\1\1\2\uffff\7\1\3\uffff\3\1"+
            "\12\uffff\1\1\1\uffff\1\1\13\uffff\2\1\24\uffff\15\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\42\30\uffff\1\1",
            "",
            ""
    };

    static final short[] DFA68_eot = DFA.unpackEncodedString(DFA68_eotS);
    static final short[] DFA68_eof = DFA.unpackEncodedString(DFA68_eofS);
    static final char[] DFA68_min = DFA.unpackEncodedStringToUnsignedChars(DFA68_minS);
    static final char[] DFA68_max = DFA.unpackEncodedStringToUnsignedChars(DFA68_maxS);
    static final short[] DFA68_accept = DFA.unpackEncodedString(DFA68_acceptS);
    static final short[] DFA68_special = DFA.unpackEncodedString(DFA68_specialS);
    static final short[][] DFA68_transition;

    static {
        int numStates = DFA68_transitionS.length;
        DFA68_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA68_transition[i] = DFA.unpackEncodedString(DFA68_transitionS[i]);
        }
    }

    class DFA68 extends DFA {

        public DFA68(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 68;
            this.eot = DFA68_eot;
            this.eof = DFA68_eof;
            this.min = DFA68_min;
            this.max = DFA68_max;
            this.accept = DFA68_accept;
            this.special = DFA68_special;
            this.transition = DFA68_transition;
        }
        public String getDescription() {
            return "()* loopback of 468:35: ( '.' i+= refComponent )*";
        }
    }
    static final String DFA69_eotS =
        "\41\uffff";
    static final String DFA69_eofS =
        "\1\1\40\uffff";
    static final String DFA69_minS =
        "\1\152\40\uffff";
    static final String DFA69_maxS =
        "\1\u00cc\40\uffff";
    static final String DFA69_acceptS =
        "\1\uffff\1\2\36\uffff\1\1";
    static final String DFA69_specialS =
        "\41\uffff}>";
    static final String[] DFA69_transitionS = {
            "\1\1\23\uffff\1\1\2\uffff\2\1\2\uffff\7\1\3\uffff\1\40\2\1"+
            "\12\uffff\1\1\1\uffff\1\1\13\uffff\2\1\24\uffff\15\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA69_eot = DFA.unpackEncodedString(DFA69_eotS);
    static final short[] DFA69_eof = DFA.unpackEncodedString(DFA69_eofS);
    static final char[] DFA69_min = DFA.unpackEncodedStringToUnsignedChars(DFA69_minS);
    static final char[] DFA69_max = DFA.unpackEncodedStringToUnsignedChars(DFA69_maxS);
    static final short[] DFA69_accept = DFA.unpackEncodedString(DFA69_acceptS);
    static final short[] DFA69_special = DFA.unpackEncodedString(DFA69_specialS);
    static final short[][] DFA69_transition;

    static {
        int numStates = DFA69_transitionS.length;
        DFA69_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA69_transition[i] = DFA.unpackEncodedString(DFA69_transitionS[i]);
        }
    }

    class DFA69 extends DFA {

        public DFA69(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 69;
            this.eot = DFA69_eot;
            this.eof = DFA69_eof;
            this.min = DFA69_min;
            this.max = DFA69_max;
            this.accept = DFA69_accept;
            this.special = DFA69_special;
            this.transition = DFA69_transition;
        }
        public String getDescription() {
            return "()* loopback of 468:58: ( '[' ']' )*";
        }
    }
    static final String DFA70_eotS =
        "\41\uffff";
    static final String DFA70_eofS =
        "\1\1\40\uffff";
    static final String DFA70_minS =
        "\1\152\40\uffff";
    static final String DFA70_maxS =
        "\1\u00cc\40\uffff";
    static final String DFA70_acceptS =
        "\1\uffff\1\2\36\uffff\1\1";
    static final String DFA70_specialS =
        "\41\uffff}>";
    static final String[] DFA70_transitionS = {
            "\1\1\23\uffff\1\1\2\uffff\2\1\2\uffff\7\1\3\uffff\1\40\2\1"+
            "\12\uffff\1\1\1\uffff\1\1\13\uffff\2\1\24\uffff\15\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA70_eot = DFA.unpackEncodedString(DFA70_eotS);
    static final short[] DFA70_eof = DFA.unpackEncodedString(DFA70_eofS);
    static final char[] DFA70_min = DFA.unpackEncodedStringToUnsignedChars(DFA70_minS);
    static final char[] DFA70_max = DFA.unpackEncodedStringToUnsignedChars(DFA70_maxS);
    static final short[] DFA70_accept = DFA.unpackEncodedString(DFA70_acceptS);
    static final short[] DFA70_special = DFA.unpackEncodedString(DFA70_specialS);
    static final short[][] DFA70_transition;

    static {
        int numStates = DFA70_transitionS.length;
        DFA70_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA70_transition[i] = DFA.unpackEncodedString(DFA70_transitionS[i]);
        }
    }

    class DFA70 extends DFA {

        public DFA70(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 70;
            this.eot = DFA70_eot;
            this.eof = DFA70_eof;
            this.min = DFA70_min;
            this.max = DFA70_max;
            this.accept = DFA70_accept;
            this.special = DFA70_special;
            this.transition = DFA70_transition;
        }
        public String getDescription() {
            return "()* loopback of 469:18: ( '[' ']' )*";
        }
    }
    static final String DFA72_eotS =
        "\46\uffff";
    static final String DFA72_eofS =
        "\1\2\45\uffff";
    static final String DFA72_minS =
        "\2\152\44\uffff";
    static final String DFA72_maxS =
        "\1\u00cc\1\u00a7\44\uffff";
    static final String DFA72_acceptS =
        "\2\uffff\1\2\40\uffff\1\1\2\uffff";
    static final String DFA72_specialS =
        "\46\uffff}>";
    static final String[] DFA72_transitionS = {
            "\1\2\23\uffff\1\2\2\uffff\2\2\2\uffff\1\2\1\1\5\2\3\uffff\3"+
            "\2\12\uffff\1\2\1\uffff\1\2\12\uffff\3\2\24\uffff\15\2",
            "\1\43\33\uffff\1\2\27\uffff\1\43\1\uffff\10\43",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA72_eot = DFA.unpackEncodedString(DFA72_eotS);
    static final short[] DFA72_eof = DFA.unpackEncodedString(DFA72_eofS);
    static final char[] DFA72_min = DFA.unpackEncodedStringToUnsignedChars(DFA72_minS);
    static final char[] DFA72_max = DFA.unpackEncodedStringToUnsignedChars(DFA72_maxS);
    static final short[] DFA72_accept = DFA.unpackEncodedString(DFA72_acceptS);
    static final short[] DFA72_special = DFA.unpackEncodedString(DFA72_specialS);
    static final short[][] DFA72_transition;

    static {
        int numStates = DFA72_transitionS.length;
        DFA72_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA72_transition[i] = DFA.unpackEncodedString(DFA72_transitionS[i]);
        }
    }

    class DFA72 extends DFA {

        public DFA72(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 72;
            this.eot = DFA72_eot;
            this.eof = DFA72_eof;
            this.min = DFA72_min;
            this.max = DFA72_max;
            this.accept = DFA72_accept;
            this.special = DFA72_special;
            this.transition = DFA72_transition;
        }
        public String getDescription() {
            return "473:18: ( typeArguments )?";
        }
    }
    static final String DFA83_eotS =
        "\12\uffff";
    static final String DFA83_eofS =
        "\2\uffff\1\4\7\uffff";
    static final String DFA83_minS =
        "\1\152\1\uffff\1\u0084\7\uffff";
    static final String DFA83_maxS =
        "\1\u00a7\1\uffff\1\u00a8\7\uffff";
    static final String DFA83_acceptS =
        "\1\uffff\1\1\2\uffff\1\2\5\uffff";
    static final String DFA83_specialS =
        "\12\uffff}>";
    static final String[] DFA83_transitionS = {
            "\1\1\63\uffff\1\2\1\uffff\10\1",
            "",
            "\1\4\2\uffff\2\4\23\uffff\1\1\13\uffff\1\4",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA83_eot = DFA.unpackEncodedString(DFA83_eotS);
    static final short[] DFA83_eof = DFA.unpackEncodedString(DFA83_eofS);
    static final char[] DFA83_min = DFA.unpackEncodedStringToUnsignedChars(DFA83_minS);
    static final char[] DFA83_max = DFA.unpackEncodedStringToUnsignedChars(DFA83_maxS);
    static final short[] DFA83_accept = DFA.unpackEncodedString(DFA83_acceptS);
    static final short[] DFA83_special = DFA.unpackEncodedString(DFA83_specialS);
    static final short[][] DFA83_transition;

    static {
        int numStates = DFA83_transitionS.length;
        DFA83_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA83_transition[i] = DFA.unpackEncodedString(DFA83_transitionS[i]);
        }
    }

    class DFA83 extends DFA {

        public DFA83(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 83;
            this.eot = DFA83_eot;
            this.eof = DFA83_eof;
            this.min = DFA83_min;
            this.max = DFA83_max;
            this.accept = DFA83_accept;
            this.special = DFA83_special;
            this.transition = DFA83_transition;
        }
        public String getDescription() {
            return "523:1: typeArgument : ( type | '?' ( ( 'extends' type )? -> ^( TYPE ^( '?' ( ^( EXTENDS type ) )? ) ) | ( 'super' type )? -> ^( TYPE ^( '?' ( ^( SUPER type ) )? ) ) ) );";
        }
    }
    static final String DFA82_eotS =
        "\52\uffff";
    static final String DFA82_eofS =
        "\1\4\51\uffff";
    static final String DFA82_minS =
        "\1\u0084\1\uffff\3\0\45\uffff";
    static final String DFA82_maxS =
        "\1\u00a8\1\uffff\3\0\45\uffff";
    static final String DFA82_acceptS =
        "\1\uffff\1\1\3\uffff\1\2\44\uffff";
    static final String DFA82_specialS =
        "\2\uffff\1\0\1\1\1\2\45\uffff}>";
    static final String[] DFA82_transitionS = {
            "\1\1\2\uffff\1\2\1\3\37\uffff\1\5",
            "",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA82_eot = DFA.unpackEncodedString(DFA82_eotS);
    static final short[] DFA82_eof = DFA.unpackEncodedString(DFA82_eofS);
    static final char[] DFA82_min = DFA.unpackEncodedStringToUnsignedChars(DFA82_minS);
    static final char[] DFA82_max = DFA.unpackEncodedStringToUnsignedChars(DFA82_maxS);
    static final short[] DFA82_accept = DFA.unpackEncodedString(DFA82_acceptS);
    static final short[] DFA82_special = DFA.unpackEncodedString(DFA82_specialS);
    static final short[][] DFA82_transition;

    static {
        int numStates = DFA82_transitionS.length;
        DFA82_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA82_transition[i] = DFA.unpackEncodedString(DFA82_transitionS[i]);
        }
    }

    class DFA82 extends DFA {

        public DFA82(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 82;
            this.eot = DFA82_eot;
            this.eof = DFA82_eof;
            this.min = DFA82_min;
            this.max = DFA82_max;
            this.accept = DFA82_accept;
            this.special = DFA82_special;
            this.transition = DFA82_transition;
        }
        public String getDescription() {
            return "525:8: ( ( 'extends' type )? -> ^( TYPE ^( '?' ( ^( EXTENDS type ) )? ) ) | ( 'super' type )? -> ^( TYPE ^( '?' ( ^( SUPER type ) )? ) ) )";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA82_2 = input.LA(1);

                         
                        int index82_2 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred118_Java()) ) {s = 1;}

                        else if ( (true) ) {s = 5;}

                         
                        input.seek(index82_2);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA82_3 = input.LA(1);

                         
                        int index82_3 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred118_Java()) ) {s = 1;}

                        else if ( (true) ) {s = 5;}

                         
                        input.seek(index82_3);
                        if ( s>=0 ) return s;
                        break;
                    case 2 : 
                        int LA82_4 = input.LA(1);

                         
                        int index82_4 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred118_Java()) ) {s = 1;}

                        else if ( (true) ) {s = 5;}

                         
                        input.seek(index82_4);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 82, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA91_eotS =
        "\30\uffff";
    static final String DFA91_eofS =
        "\1\1\27\uffff";
    static final String DFA91_minS =
        "\1\17\2\uffff\1\152\22\uffff\1\0\1\uffff";
    static final String DFA91_maxS =
        "\1\u00af\2\uffff\1\u008c\22\uffff\1\0\1\uffff";
    static final String DFA91_acceptS =
        "\1\uffff\1\2\25\uffff\1\1";
    static final String DFA91_specialS =
        "\26\uffff\1\0\1\uffff}>";
    static final String[] DFA91_transitionS = {
            "\1\1\132\uffff\1\1\22\uffff\4\1\2\uffff\1\1\10\uffff\1\1\5"+
            "\uffff\12\1\23\uffff\1\3",
            "",
            "",
            "\1\26\41\uffff\1\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            ""
    };

    static final short[] DFA91_eot = DFA.unpackEncodedString(DFA91_eotS);
    static final short[] DFA91_eof = DFA.unpackEncodedString(DFA91_eofS);
    static final char[] DFA91_min = DFA.unpackEncodedStringToUnsignedChars(DFA91_minS);
    static final char[] DFA91_max = DFA.unpackEncodedStringToUnsignedChars(DFA91_maxS);
    static final short[] DFA91_accept = DFA.unpackEncodedString(DFA91_acceptS);
    static final short[] DFA91_special = DFA.unpackEncodedString(DFA91_specialS);
    static final short[][] DFA91_transition;

    static {
        int numStates = DFA91_transitionS.length;
        DFA91_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA91_transition[i] = DFA.unpackEncodedString(DFA91_transitionS[i]);
        }
    }

    class DFA91 extends DFA {

        public DFA91(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 91;
            this.eot = DFA91_eot;
            this.eof = DFA91_eof;
            this.min = DFA91_min;
            this.max = DFA91_max;
            this.accept = DFA91_accept;
            this.special = DFA91_special;
            this.transition = DFA91_transition;
        }
        public String getDescription() {
            return "()+ loopback of 578:4: ( annotation )+";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA91_22 = input.LA(1);

                         
                        int index91_22 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred134_Java()) ) {s = 23;}

                        else if ( (true) ) {s = 1;}

                         
                        input.seek(index91_22);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 91, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA93_eotS =
        "\35\uffff";
    static final String DFA93_eofS =
        "\1\2\34\uffff";
    static final String DFA93_minS =
        "\1\17\34\uffff";
    static final String DFA93_maxS =
        "\1\u00af\34\uffff";
    static final String DFA93_acceptS =
        "\1\uffff\1\1\1\2\32\uffff";
    static final String DFA93_specialS =
        "\35\uffff}>";
    static final String[] DFA93_transitionS = {
            "\1\2\132\uffff\1\2\22\uffff\4\2\2\uffff\1\2\2\uffff\2\2\3\uffff"+
            "\3\2\4\uffff\12\2\2\uffff\1\2\1\uffff\10\2\1\uffff\1\1\1\2\4"+
            "\uffff\1\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA93_eot = DFA.unpackEncodedString(DFA93_eotS);
    static final short[] DFA93_eof = DFA.unpackEncodedString(DFA93_eofS);
    static final char[] DFA93_min = DFA.unpackEncodedStringToUnsignedChars(DFA93_minS);
    static final char[] DFA93_max = DFA.unpackEncodedStringToUnsignedChars(DFA93_maxS);
    static final short[] DFA93_accept = DFA.unpackEncodedString(DFA93_acceptS);
    static final short[] DFA93_special = DFA.unpackEncodedString(DFA93_specialS);
    static final short[][] DFA93_transition;

    static {
        int numStates = DFA93_transitionS.length;
        DFA93_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA93_transition[i] = DFA.unpackEncodedString(DFA93_transitionS[i]);
        }
    }

    class DFA93 extends DFA {

        public DFA93(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 93;
            this.eot = DFA93_eot;
            this.eof = DFA93_eof;
            this.min = DFA93_min;
            this.max = DFA93_max;
            this.accept = DFA93_accept;
            this.special = DFA93_special;
            this.transition = DFA93_transition;
        }
        public String getDescription() {
            return "582:23: ( '(' ( elementValuePairs )? ')' )?";
        }
    }
    static final String DFA92_eotS =
        "\30\uffff";
    static final String DFA92_eofS =
        "\30\uffff";
    static final String DFA92_minS =
        "\1\152\27\uffff";
    static final String DFA92_maxS =
        "\1\u00d2\27\uffff";
    static final String DFA92_acceptS =
        "\1\uffff\1\1\25\uffff\1\2";
    static final String DFA92_specialS =
        "\30\uffff}>";
    static final String[] DFA92_transitionS = {
            "\7\1\25\uffff\1\1\3\uffff\1\1\2\uffff\1\1\20\uffff\1\1\1\uffff"+
            "\12\1\1\27\1\uffff\4\1\20\uffff\2\1\14\uffff\5\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA92_eot = DFA.unpackEncodedString(DFA92_eotS);
    static final short[] DFA92_eof = DFA.unpackEncodedString(DFA92_eofS);
    static final char[] DFA92_min = DFA.unpackEncodedStringToUnsignedChars(DFA92_minS);
    static final char[] DFA92_max = DFA.unpackEncodedStringToUnsignedChars(DFA92_maxS);
    static final short[] DFA92_accept = DFA.unpackEncodedString(DFA92_acceptS);
    static final short[] DFA92_special = DFA.unpackEncodedString(DFA92_specialS);
    static final short[][] DFA92_transition;

    static {
        int numStates = DFA92_transitionS.length;
        DFA92_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA92_transition[i] = DFA.unpackEncodedString(DFA92_transitionS[i]);
        }
    }

    class DFA92 extends DFA {

        public DFA92(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 92;
            this.eot = DFA92_eot;
            this.eof = DFA92_eof;
            this.min = DFA92_min;
            this.max = DFA92_max;
            this.accept = DFA92_accept;
            this.special = DFA92_special;
            this.transition = DFA92_transition;
        }
        public String getDescription() {
            return "582:28: ( elementValuePairs )?";
        }
    }
    static final String DFA94_eotS =
        "\36\uffff";
    static final String DFA94_eofS =
        "\1\1\35\uffff";
    static final String DFA94_minS =
        "\1\17\35\uffff";
    static final String DFA94_maxS =
        "\1\u00af\35\uffff";
    static final String DFA94_acceptS =
        "\1\uffff\1\2\33\uffff\1\1";
    static final String DFA94_specialS =
        "\36\uffff}>";
    static final String[] DFA94_transitionS = {
            "\1\1\132\uffff\1\1\22\uffff\4\1\1\35\1\uffff\1\1\2\uffff\2"+
            "\1\3\uffff\3\1\4\uffff\12\1\2\uffff\1\1\1\uffff\10\1\1\uffff"+
            "\2\1\4\uffff\1\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA94_eot = DFA.unpackEncodedString(DFA94_eotS);
    static final short[] DFA94_eof = DFA.unpackEncodedString(DFA94_eofS);
    static final char[] DFA94_min = DFA.unpackEncodedStringToUnsignedChars(DFA94_minS);
    static final char[] DFA94_max = DFA.unpackEncodedStringToUnsignedChars(DFA94_maxS);
    static final short[] DFA94_accept = DFA.unpackEncodedString(DFA94_acceptS);
    static final short[] DFA94_special = DFA.unpackEncodedString(DFA94_specialS);
    static final short[][] DFA94_transition;

    static {
        int numStates = DFA94_transitionS.length;
        DFA94_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA94_transition[i] = DFA.unpackEncodedString(DFA94_transitionS[i]);
        }
    }

    class DFA94 extends DFA {

        public DFA94(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 94;
            this.eot = DFA94_eot;
            this.eof = DFA94_eof;
            this.min = DFA94_min;
            this.max = DFA94_max;
            this.accept = DFA94_accept;
            this.special = DFA94_special;
            this.transition = DFA94_transition;
        }
        public String getDescription() {
            return "()* loopback of 586:15: ( '.' Identifier )*";
        }
    }
    static final String DFA96_eotS =
        "\62\uffff";
    static final String DFA96_eofS =
        "\1\uffff\1\2\60\uffff";
    static final String DFA96_minS =
        "\1\152\1\u0081\60\uffff";
    static final String DFA96_maxS =
        "\1\u00d2\1\u00cf\60\uffff";
    static final String DFA96_acceptS =
        "\2\uffff\1\2\24\uffff\1\1\32\uffff";
    static final String DFA96_specialS =
        "\62\uffff}>";
    static final String[] DFA96_transitionS = {
            "\1\1\6\2\25\uffff\1\2\3\uffff\1\2\2\uffff\1\2\20\uffff\1\2"+
            "\1\uffff\12\2\2\uffff\4\2\20\uffff\2\2\14\uffff\5\2",
            "\2\2\3\uffff\4\2\5\uffff\1\2\1\uffff\1\27\12\uffff\3\2\12"+
            "\uffff\2\2\25\uffff\3\2\3\uffff\12\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA96_eot = DFA.unpackEncodedString(DFA96_eotS);
    static final short[] DFA96_eof = DFA.unpackEncodedString(DFA96_eofS);
    static final char[] DFA96_min = DFA.unpackEncodedStringToUnsignedChars(DFA96_minS);
    static final char[] DFA96_max = DFA.unpackEncodedStringToUnsignedChars(DFA96_maxS);
    static final short[] DFA96_accept = DFA.unpackEncodedString(DFA96_acceptS);
    static final short[] DFA96_special = DFA.unpackEncodedString(DFA96_specialS);
    static final short[][] DFA96_transition;

    static {
        int numStates = DFA96_transitionS.length;
        DFA96_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA96_transition[i] = DFA.unpackEncodedString(DFA96_transitionS[i]);
        }
    }

    class DFA96 extends DFA {

        public DFA96(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 96;
            this.eot = DFA96_eot;
            this.eof = DFA96_eof;
            this.min = DFA96_min;
            this.max = DFA96_max;
            this.accept = DFA96_accept;
            this.special = DFA96_special;
            this.transition = DFA96_transition;
        }
        public String getDescription() {
            return "593:1: elementValuePair : ( ( Identifier '=' ) elementValue -> ^( ASSIGN ^( VAR Identifier ) elementValue ) | elementValue -> elementValue );";
        }
    }
    static final String DFA97_eotS =
        "\27\uffff";
    static final String DFA97_eofS =
        "\27\uffff";
    static final String DFA97_minS =
        "\1\152\26\uffff";
    static final String DFA97_maxS =
        "\1\u00d2\26\uffff";
    static final String DFA97_acceptS =
        "\1\uffff\1\1\23\uffff\1\2\1\3";
    static final String DFA97_specialS =
        "\27\uffff}>";
    static final String[] DFA97_transitionS = {
            "\7\1\25\uffff\1\1\3\uffff\1\26\2\uffff\1\1\20\uffff\1\1\1\uffff"+
            "\12\1\2\uffff\3\1\1\25\20\uffff\2\1\14\uffff\5\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA97_eot = DFA.unpackEncodedString(DFA97_eotS);
    static final short[] DFA97_eof = DFA.unpackEncodedString(DFA97_eofS);
    static final char[] DFA97_min = DFA.unpackEncodedStringToUnsignedChars(DFA97_minS);
    static final char[] DFA97_max = DFA.unpackEncodedStringToUnsignedChars(DFA97_maxS);
    static final short[] DFA97_accept = DFA.unpackEncodedString(DFA97_acceptS);
    static final short[] DFA97_special = DFA.unpackEncodedString(DFA97_specialS);
    static final short[][] DFA97_transition;

    static {
        int numStates = DFA97_transitionS.length;
        DFA97_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA97_transition[i] = DFA.unpackEncodedString(DFA97_transitionS[i]);
        }
    }

    class DFA97 extends DFA {

        public DFA97(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 97;
            this.eot = DFA97_eot;
            this.eof = DFA97_eof;
            this.min = DFA97_min;
            this.max = DFA97_max;
            this.accept = DFA97_accept;
            this.special = DFA97_special;
            this.transition = DFA97_transition;
        }
        public String getDescription() {
            return "598:1: elementValue : ( conditionalExpression | annotation | elementValueArrayInitializer );";
        }
    }
    static final String DFA99_eotS =
        "\30\uffff";
    static final String DFA99_eofS =
        "\30\uffff";
    static final String DFA99_minS =
        "\1\152\27\uffff";
    static final String DFA99_maxS =
        "\1\u00d2\27\uffff";
    static final String DFA99_acceptS =
        "\1\uffff\1\1\25\uffff\1\2";
    static final String DFA99_specialS =
        "\30\uffff}>";
    static final String[] DFA99_transitionS = {
            "\7\1\25\uffff\1\1\3\uffff\1\1\1\27\1\uffff\1\1\20\uffff\1\1"+
            "\1\uffff\12\1\2\uffff\4\1\20\uffff\2\1\14\uffff\5\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA99_eot = DFA.unpackEncodedString(DFA99_eotS);
    static final short[] DFA99_eof = DFA.unpackEncodedString(DFA99_eofS);
    static final char[] DFA99_min = DFA.unpackEncodedStringToUnsignedChars(DFA99_minS);
    static final char[] DFA99_max = DFA.unpackEncodedStringToUnsignedChars(DFA99_maxS);
    static final short[] DFA99_accept = DFA.unpackEncodedString(DFA99_acceptS);
    static final short[] DFA99_special = DFA.unpackEncodedString(DFA99_specialS);
    static final short[][] DFA99_transition;

    static {
        int numStates = DFA99_transitionS.length;
        DFA99_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA99_transition[i] = DFA.unpackEncodedString(DFA99_transitionS[i]);
        }
    }

    class DFA99 extends DFA {

        public DFA99(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 99;
            this.eot = DFA99_eot;
            this.eof = DFA99_eof;
            this.min = DFA99_min;
            this.max = DFA99_max;
            this.accept = DFA99_accept;
            this.special = DFA99_special;
            this.transition = DFA99_transition;
        }
        public String getDescription() {
            return "605:8: ( elementValue ( ',' elementValue )* )?";
        }
    }
    static final String DFA100_eotS =
        "\111\uffff";
    static final String DFA100_eofS =
        "\111\uffff";
    static final String DFA100_minS =
        "\1\17\22\uffff\1\0\65\uffff";
    static final String DFA100_maxS =
        "\1\u00af\22\uffff\1\0\65\uffff";
    static final String DFA100_acceptS =
        "\1\uffff\1\1\106\uffff\1\2";
    static final String DFA100_specialS =
        "\23\uffff\1\0\65\uffff}>";
    static final String[] DFA100_transitionS = {
            "\1\1\132\uffff\1\1\25\uffff\1\1\2\uffff\1\1\7\uffff\1\23\1"+
            "\1\5\uffff\12\1\2\uffff\1\1\1\uffff\10\1\7\uffff\1\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA100_eot = DFA.unpackEncodedString(DFA100_eotS);
    static final short[] DFA100_eof = DFA.unpackEncodedString(DFA100_eofS);
    static final char[] DFA100_min = DFA.unpackEncodedStringToUnsignedChars(DFA100_minS);
    static final char[] DFA100_max = DFA.unpackEncodedStringToUnsignedChars(DFA100_maxS);
    static final short[] DFA100_accept = DFA.unpackEncodedString(DFA100_acceptS);
    static final short[] DFA100_special = DFA.unpackEncodedString(DFA100_specialS);
    static final short[][] DFA100_transition;

    static {
        int numStates = DFA100_transitionS.length;
        DFA100_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA100_transition[i] = DFA.unpackEncodedString(DFA100_transitionS[i]);
        }
    }

    class DFA100 extends DFA {

        public DFA100(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 100;
            this.eot = DFA100_eot;
            this.eof = DFA100_eof;
            this.min = DFA100_min;
            this.max = DFA100_max;
            this.accept = DFA100_accept;
            this.special = DFA100_special;
            this.transition = DFA100_transition;
        }
        public String getDescription() {
            return "613:9: ( annotationTypeElementDeclarations )?";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA100_19 = input.LA(1);

                         
                        int index100_19 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred144_Java()) ) {s = 1;}

                        else if ( (true) ) {s = 72;}

                         
                        input.seek(index100_19);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 100, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA101_eotS =
        "\25\uffff";
    static final String DFA101_eofS =
        "\1\1\24\uffff";
    static final String DFA101_minS =
        "\1\17\24\uffff";
    static final String DFA101_maxS =
        "\1\u00af\24\uffff";
    static final String DFA101_acceptS =
        "\1\uffff\1\2\1\uffff\1\1\21\uffff";
    static final String DFA101_specialS =
        "\25\uffff}>";
    static final String[] DFA101_transitionS = {
            "\1\3\132\uffff\1\3\25\uffff\1\3\2\uffff\1\3\7\uffff\1\1\1\3"+
            "\5\uffff\12\3\2\uffff\1\3\1\uffff\10\3\7\uffff\1\3",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA101_eot = DFA.unpackEncodedString(DFA101_eotS);
    static final short[] DFA101_eof = DFA.unpackEncodedString(DFA101_eofS);
    static final char[] DFA101_min = DFA.unpackEncodedStringToUnsignedChars(DFA101_minS);
    static final char[] DFA101_max = DFA.unpackEncodedStringToUnsignedChars(DFA101_maxS);
    static final short[] DFA101_accept = DFA.unpackEncodedString(DFA101_acceptS);
    static final short[] DFA101_special = DFA.unpackEncodedString(DFA101_specialS);
    static final short[][] DFA101_transition;

    static {
        int numStates = DFA101_transitionS.length;
        DFA101_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA101_transition[i] = DFA.unpackEncodedString(DFA101_transitionS[i]);
        }
    }

    class DFA101 extends DFA {

        public DFA101(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 101;
            this.eot = DFA101_eot;
            this.eof = DFA101_eof;
            this.min = DFA101_min;
            this.max = DFA101_max;
            this.accept = DFA101_accept;
            this.special = DFA101_special;
            this.transition = DFA101_transition;
        }
        public String getDescription() {
            return "()* loopback of 617:4: ( annotationTypeElementDeclaration )*";
        }
    }
    static final String DFA102_eotS =
        "\25\uffff";
    static final String DFA102_eofS =
        "\25\uffff";
    static final String DFA102_minS =
        "\1\17\6\uffff\1\152\15\uffff";
    static final String DFA102_maxS =
        "\1\u00af\6\uffff\1\u008c\15\uffff";
    static final String DFA102_acceptS =
        "\1\uffff\1\2\6\uffff\1\1\14\uffff";
    static final String DFA102_specialS =
        "\25\uffff}>";
    static final String[] DFA102_transitionS = {
            "\1\1\132\uffff\1\1\25\uffff\1\10\2\uffff\1\1\10\uffff\1\1\5"+
            "\uffff\12\10\2\uffff\1\1\1\uffff\10\1\7\uffff\1\7",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\10\41\uffff\1\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA102_eot = DFA.unpackEncodedString(DFA102_eotS);
    static final short[] DFA102_eof = DFA.unpackEncodedString(DFA102_eofS);
    static final char[] DFA102_min = DFA.unpackEncodedStringToUnsignedChars(DFA102_minS);
    static final char[] DFA102_max = DFA.unpackEncodedStringToUnsignedChars(DFA102_maxS);
    static final short[] DFA102_accept = DFA.unpackEncodedString(DFA102_acceptS);
    static final short[] DFA102_special = DFA.unpackEncodedString(DFA102_specialS);
    static final short[][] DFA102_transition;

    static {
        int numStates = DFA102_transitionS.length;
        DFA102_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA102_transition[i] = DFA.unpackEncodedString(DFA102_transitionS[i]);
        }
    }

    class DFA102 extends DFA {

        public DFA102(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 102;
            this.eot = DFA102_eot;
            this.eof = DFA102_eof;
            this.min = DFA102_min;
            this.max = DFA102_max;
            this.accept = DFA102_accept;
            this.special = DFA102_special;
            this.transition = DFA102_transition;
        }
        public String getDescription() {
            return "()* loopback of 621:4: ( modifier )*";
        }
    }
    static final String DFA104_eotS =
        "\26\uffff";
    static final String DFA104_eofS =
        "\1\2\25\uffff";
    static final String DFA104_minS =
        "\1\17\25\uffff";
    static final String DFA104_maxS =
        "\1\u00af\25\uffff";
    static final String DFA104_acceptS =
        "\1\uffff\1\1\1\2\23\uffff";
    static final String DFA104_specialS =
        "\26\uffff}>";
    static final String[] DFA104_transitionS = {
            "\1\2\132\uffff\1\2\23\uffff\1\1\1\uffff\1\2\2\uffff\1\2\7\uffff"+
            "\2\2\5\uffff\12\2\2\uffff\1\2\1\uffff\10\2\7\uffff\1\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA104_eot = DFA.unpackEncodedString(DFA104_eotS);
    static final short[] DFA104_eof = DFA.unpackEncodedString(DFA104_eofS);
    static final char[] DFA104_min = DFA.unpackEncodedStringToUnsignedChars(DFA104_minS);
    static final char[] DFA104_max = DFA.unpackEncodedStringToUnsignedChars(DFA104_maxS);
    static final short[] DFA104_accept = DFA.unpackEncodedString(DFA104_acceptS);
    static final short[] DFA104_special = DFA.unpackEncodedString(DFA104_specialS);
    static final short[][] DFA104_transition;

    static {
        int numStates = DFA104_transitionS.length;
        DFA104_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA104_transition[i] = DFA.unpackEncodedString(DFA104_transitionS[i]);
        }
    }

    class DFA104 extends DFA {

        public DFA104(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 104;
            this.eot = DFA104_eot;
            this.eof = DFA104_eof;
            this.min = DFA104_min;
            this.max = DFA104_max;
            this.accept = DFA104_accept;
            this.special = DFA104_special;
            this.transition = DFA104_transition;
        }
        public String getDescription() {
            return "628:23: ( ';' )?";
        }
    }
    static final String DFA105_eotS =
        "\26\uffff";
    static final String DFA105_eofS =
        "\1\2\25\uffff";
    static final String DFA105_minS =
        "\1\17\25\uffff";
    static final String DFA105_maxS =
        "\1\u00af\25\uffff";
    static final String DFA105_acceptS =
        "\1\uffff\1\1\1\2\23\uffff";
    static final String DFA105_specialS =
        "\26\uffff}>";
    static final String[] DFA105_transitionS = {
            "\1\2\132\uffff\1\2\23\uffff\1\1\1\uffff\1\2\2\uffff\1\2\7\uffff"+
            "\2\2\5\uffff\12\2\2\uffff\1\2\1\uffff\10\2\7\uffff\1\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA105_eot = DFA.unpackEncodedString(DFA105_eotS);
    static final short[] DFA105_eof = DFA.unpackEncodedString(DFA105_eofS);
    static final char[] DFA105_min = DFA.unpackEncodedStringToUnsignedChars(DFA105_minS);
    static final char[] DFA105_max = DFA.unpackEncodedStringToUnsignedChars(DFA105_maxS);
    static final short[] DFA105_accept = DFA.unpackEncodedString(DFA105_acceptS);
    static final short[] DFA105_special = DFA.unpackEncodedString(DFA105_specialS);
    static final short[][] DFA105_transition;

    static {
        int numStates = DFA105_transitionS.length;
        DFA105_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA105_transition[i] = DFA.unpackEncodedString(DFA105_transitionS[i]);
        }
    }

    class DFA105 extends DFA {

        public DFA105(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 105;
            this.eot = DFA105_eot;
            this.eof = DFA105_eof;
            this.min = DFA105_min;
            this.max = DFA105_max;
            this.accept = DFA105_accept;
            this.special = DFA105_special;
            this.transition = DFA105_transition;
        }
        public String getDescription() {
            return "629:22: ( ';' )?";
        }
    }
    static final String DFA106_eotS =
        "\26\uffff";
    static final String DFA106_eofS =
        "\1\2\25\uffff";
    static final String DFA106_minS =
        "\1\17\25\uffff";
    static final String DFA106_maxS =
        "\1\u00af\25\uffff";
    static final String DFA106_acceptS =
        "\1\uffff\1\1\1\2\23\uffff";
    static final String DFA106_specialS =
        "\26\uffff}>";
    static final String[] DFA106_transitionS = {
            "\1\2\132\uffff\1\2\23\uffff\1\1\1\uffff\1\2\2\uffff\1\2\7\uffff"+
            "\2\2\5\uffff\12\2\2\uffff\1\2\1\uffff\10\2\7\uffff\1\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA106_eot = DFA.unpackEncodedString(DFA106_eotS);
    static final short[] DFA106_eof = DFA.unpackEncodedString(DFA106_eofS);
    static final char[] DFA106_min = DFA.unpackEncodedStringToUnsignedChars(DFA106_minS);
    static final char[] DFA106_max = DFA.unpackEncodedStringToUnsignedChars(DFA106_maxS);
    static final short[] DFA106_accept = DFA.unpackEncodedString(DFA106_acceptS);
    static final short[] DFA106_special = DFA.unpackEncodedString(DFA106_specialS);
    static final short[][] DFA106_transition;

    static {
        int numStates = DFA106_transitionS.length;
        DFA106_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA106_transition[i] = DFA.unpackEncodedString(DFA106_transitionS[i]);
        }
    }

    class DFA106 extends DFA {

        public DFA106(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 106;
            this.eot = DFA106_eot;
            this.eof = DFA106_eof;
            this.min = DFA106_min;
            this.max = DFA106_max;
            this.accept = DFA106_accept;
            this.special = DFA106_special;
            this.transition = DFA106_transition;
        }
        public String getDescription() {
            return "630:33: ( ';' )?";
        }
    }
    static final String DFA107_eotS =
        "\26\uffff";
    static final String DFA107_eofS =
        "\1\2\25\uffff";
    static final String DFA107_minS =
        "\1\17\25\uffff";
    static final String DFA107_maxS =
        "\1\u00af\25\uffff";
    static final String DFA107_acceptS =
        "\1\uffff\1\1\1\2\23\uffff";
    static final String DFA107_specialS =
        "\26\uffff}>";
    static final String[] DFA107_transitionS = {
            "\1\2\132\uffff\1\2\23\uffff\1\1\1\uffff\1\2\2\uffff\1\2\7\uffff"+
            "\2\2\5\uffff\12\2\2\uffff\1\2\1\uffff\10\2\7\uffff\1\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA107_eot = DFA.unpackEncodedString(DFA107_eotS);
    static final short[] DFA107_eof = DFA.unpackEncodedString(DFA107_eofS);
    static final char[] DFA107_min = DFA.unpackEncodedStringToUnsignedChars(DFA107_minS);
    static final char[] DFA107_max = DFA.unpackEncodedStringToUnsignedChars(DFA107_maxS);
    static final short[] DFA107_accept = DFA.unpackEncodedString(DFA107_acceptS);
    static final short[] DFA107_special = DFA.unpackEncodedString(DFA107_specialS);
    static final short[][] DFA107_transition;

    static {
        int numStates = DFA107_transitionS.length;
        DFA107_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA107_transition[i] = DFA.unpackEncodedString(DFA107_transitionS[i]);
        }
    }

    class DFA107 extends DFA {

        public DFA107(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 107;
            this.eot = DFA107_eot;
            this.eof = DFA107_eof;
            this.min = DFA107_min;
            this.max = DFA107_max;
            this.accept = DFA107_accept;
            this.special = DFA107_special;
            this.transition = DFA107_transition;
        }
        public String getDescription() {
            return "631:32: ( ';' )?";
        }
    }
    static final String DFA110_eotS =
        "\62\uffff";
    static final String DFA110_eofS =
        "\62\uffff";
    static final String DFA110_minS =
        "\1\17\61\uffff";
    static final String DFA110_maxS =
        "\1\u00d2\61\uffff";
    static final String DFA110_acceptS =
        "\1\uffff\1\2\1\1\57\uffff";
    static final String DFA110_specialS =
        "\62\uffff}>";
    static final String[] DFA110_transitionS = {
            "\1\2\132\uffff\7\2\15\uffff\1\2\1\uffff\1\2\2\uffff\1\2\2\uffff"+
            "\1\2\3\uffff\1\2\1\1\2\2\4\uffff\12\2\2\uffff\1\2\1\uffff\12"+
            "\2\2\uffff\4\2\1\uffff\2\2\1\uffff\4\2\1\uffff\5\2\2\uffff\2"+
            "\2\14\uffff\5\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA110_eot = DFA.unpackEncodedString(DFA110_eotS);
    static final short[] DFA110_eof = DFA.unpackEncodedString(DFA110_eofS);
    static final char[] DFA110_min = DFA.unpackEncodedStringToUnsignedChars(DFA110_minS);
    static final char[] DFA110_max = DFA.unpackEncodedStringToUnsignedChars(DFA110_maxS);
    static final short[] DFA110_accept = DFA.unpackEncodedString(DFA110_acceptS);
    static final short[] DFA110_special = DFA.unpackEncodedString(DFA110_specialS);
    static final short[][] DFA110_transition;

    static {
        int numStates = DFA110_transitionS.length;
        DFA110_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA110_transition[i] = DFA.unpackEncodedString(DFA110_transitionS[i]);
        }
    }

    class DFA110 extends DFA {

        public DFA110(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 110;
            this.eot = DFA110_eot;
            this.eof = DFA110_eof;
            this.min = DFA110_min;
            this.max = DFA110_max;
            this.accept = DFA110_accept;
            this.special = DFA110_special;
            this.transition = DFA110_transition;
        }
        public String getDescription() {
            return "()* loopback of 650:8: ( blockStatement )*";
        }
    }
    static final String DFA111_eotS =
        "\166\uffff";
    static final String DFA111_eofS =
        "\166\uffff";
    static final String DFA111_minS =
        "\2\17\2\152\1\u009c\1\152\6\uffff\1\17\47\uffff\2\0\16\uffff\3"+
        "\0\1\uffff\2\0\7\uffff\1\0\20\uffff\2\0\22\uffff";
    static final String DFA111_maxS =
        "\1\u00d2\1\u00af\1\u008c\1\u00cf\1\u009c\1\u008f\6\uffff\1\u00af"+
        "\47\uffff\2\0\16\uffff\3\0\1\uffff\2\0\7\uffff\1\0\20\uffff\2\0"+
        "\22\uffff";
    static final String DFA111_acceptS =
        "\6\uffff\1\2\14\uffff\1\3\35\uffff\1\1\104\uffff";
    static final String DFA111_specialS =
        "\64\uffff\1\0\1\1\16\uffff\1\2\1\3\1\4\1\uffff\1\5\1\6\7\uffff"+
        "\1\7\20\uffff\1\10\1\11\22\uffff}>";
    static final String[] DFA111_transitionS = {
            "\1\6\132\uffff\1\3\6\23\15\uffff\1\23\1\uffff\1\6\2\uffff\1"+
            "\6\2\uffff\1\23\3\uffff\1\23\1\uffff\1\6\1\23\4\uffff\4\6\1"+
            "\1\1\6\1\14\3\6\2\uffff\1\4\1\uffff\10\5\2\23\2\uffff\3\23\1"+
            "\2\1\uffff\2\23\1\uffff\4\23\1\uffff\5\23\2\uffff\2\23\14\uffff"+
            "\5\23",
            "\1\6\132\uffff\1\61\25\uffff\1\6\2\uffff\1\6\10\uffff\1\6"+
            "\5\uffff\4\6\1\64\5\6\2\uffff\1\61\1\uffff\10\61\7\uffff\1\65",
            "\1\104\41\uffff\1\6",
            "\1\61\23\uffff\1\23\2\uffff\1\110\1\23\3\uffff\1\121\1\uffff"+
            "\2\23\5\uffff\1\111\1\uffff\1\23\12\uffff\1\105\1\106\1\23\12"+
            "\uffff\1\23\26\uffff\20\23",
            "\1\142",
            "\1\61\26\uffff\1\23\15\uffff\1\143",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\6\160\uffff\1\6\2\uffff\1\6\10\uffff\1\6\5\uffff\12\6\15"+
            "\uffff\1\23\5\uffff\1\6",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "",
            "\1\uffff",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA111_eot = DFA.unpackEncodedString(DFA111_eotS);
    static final short[] DFA111_eof = DFA.unpackEncodedString(DFA111_eofS);
    static final char[] DFA111_min = DFA.unpackEncodedStringToUnsignedChars(DFA111_minS);
    static final char[] DFA111_max = DFA.unpackEncodedStringToUnsignedChars(DFA111_maxS);
    static final short[] DFA111_accept = DFA.unpackEncodedString(DFA111_acceptS);
    static final short[] DFA111_special = DFA.unpackEncodedString(DFA111_specialS);
    static final short[][] DFA111_transition;

    static {
        int numStates = DFA111_transitionS.length;
        DFA111_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA111_transition[i] = DFA.unpackEncodedString(DFA111_transitionS[i]);
        }
    }

    class DFA111 extends DFA {

        public DFA111(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 111;
            this.eot = DFA111_eot;
            this.eof = DFA111_eof;
            this.min = DFA111_min;
            this.max = DFA111_max;
            this.accept = DFA111_accept;
            this.special = DFA111_special;
            this.transition = DFA111_transition;
        }
        public String getDescription() {
            return "653:1: blockStatement : ( localVariableDeclaration | classOrInterfaceDeclaration | statement );";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA111_52 = input.LA(1);

                         
                        int index111_52 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred158_Java()) ) {s = 49;}

                        else if ( (synpred159_Java()) ) {s = 6;}

                         
                        input.seek(index111_52);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA111_53 = input.LA(1);

                         
                        int index111_53 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred158_Java()) ) {s = 49;}

                        else if ( (synpred159_Java()) ) {s = 6;}

                         
                        input.seek(index111_53);
                        if ( s>=0 ) return s;
                        break;
                    case 2 : 
                        int LA111_68 = input.LA(1);

                         
                        int index111_68 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred158_Java()) ) {s = 49;}

                        else if ( (synpred159_Java()) ) {s = 6;}

                         
                        input.seek(index111_68);
                        if ( s>=0 ) return s;
                        break;
                    case 3 : 
                        int LA111_69 = input.LA(1);

                         
                        int index111_69 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred158_Java()) ) {s = 49;}

                        else if ( (true) ) {s = 19;}

                         
                        input.seek(index111_69);
                        if ( s>=0 ) return s;
                        break;
                    case 4 : 
                        int LA111_70 = input.LA(1);

                         
                        int index111_70 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred158_Java()) ) {s = 49;}

                        else if ( (true) ) {s = 19;}

                         
                        input.seek(index111_70);
                        if ( s>=0 ) return s;
                        break;
                    case 5 : 
                        int LA111_72 = input.LA(1);

                         
                        int index111_72 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred158_Java()) ) {s = 49;}

                        else if ( (true) ) {s = 19;}

                         
                        input.seek(index111_72);
                        if ( s>=0 ) return s;
                        break;
                    case 6 : 
                        int LA111_73 = input.LA(1);

                         
                        int index111_73 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred158_Java()) ) {s = 49;}

                        else if ( (true) ) {s = 19;}

                         
                        input.seek(index111_73);
                        if ( s>=0 ) return s;
                        break;
                    case 7 : 
                        int LA111_81 = input.LA(1);

                         
                        int index111_81 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred158_Java()) ) {s = 49;}

                        else if ( (true) ) {s = 19;}

                         
                        input.seek(index111_81);
                        if ( s>=0 ) return s;
                        break;
                    case 8 : 
                        int LA111_98 = input.LA(1);

                         
                        int index111_98 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred158_Java()) ) {s = 49;}

                        else if ( (true) ) {s = 19;}

                         
                        input.seek(index111_98);
                        if ( s>=0 ) return s;
                        break;
                    case 9 : 
                        int LA111_99 = input.LA(1);

                         
                        int index111_99 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred158_Java()) ) {s = 49;}

                        else if ( (true) ) {s = 19;}

                         
                        input.seek(index111_99);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 111, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA119_eotS =
        "\100\uffff";
    static final String DFA119_eofS =
        "\100\uffff";
    static final String DFA119_minS =
        "\1\152\35\uffff\1\176\4\uffff\1\0\34\uffff";
    static final String DFA119_maxS =
        "\1\u00d2\35\uffff\1\u00cf\4\uffff\1\0\34\uffff";
    static final String DFA119_acceptS =
        "\1\uffff\1\1\1\2\1\3\1\4\1\5\1\6\1\7\1\10\1\11\1\12\1\13\1\14\1"+
        "\15\1\16\1\17\57\uffff\1\20";
    static final String DFA119_specialS =
        "\43\uffff\1\0\34\uffff}>";
    static final String[] DFA119_transitionS = {
            "\1\36\6\17\15\uffff\1\16\7\uffff\1\17\3\uffff\1\1\2\uffff\1"+
            "\17\12\uffff\1\11\5\uffff\1\17\1\uffff\12\17\2\uffff\3\17\2"+
            "\uffff\1\2\1\3\1\uffff\1\4\1\5\1\6\1\7\1\uffff\1\10\1\12\1\13"+
            "\1\14\1\15\2\uffff\2\17\14\uffff\5\17",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\17\2\uffff\2\17\3\uffff\1\17\1\uffff\2\17\5\uffff\1\17"+
            "\1\uffff\1\17\12\uffff\1\43\2\17\12\uffff\1\17\26\uffff\20\17",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA119_eot = DFA.unpackEncodedString(DFA119_eotS);
    static final short[] DFA119_eof = DFA.unpackEncodedString(DFA119_eofS);
    static final char[] DFA119_min = DFA.unpackEncodedStringToUnsignedChars(DFA119_minS);
    static final char[] DFA119_max = DFA.unpackEncodedStringToUnsignedChars(DFA119_maxS);
    static final short[] DFA119_accept = DFA.unpackEncodedString(DFA119_acceptS);
    static final short[] DFA119_special = DFA.unpackEncodedString(DFA119_specialS);
    static final short[][] DFA119_transition;

    static {
        int numStates = DFA119_transitionS.length;
        DFA119_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA119_transition[i] = DFA.unpackEncodedString(DFA119_transitionS[i]);
        }
    }

    class DFA119 extends DFA {

        public DFA119(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 119;
            this.eot = DFA119_eot;
            this.eof = DFA119_eof;
            this.min = DFA119_min;
            this.max = DFA119_max;
            this.accept = DFA119_accept;
            this.special = DFA119_special;
            this.transition = DFA119_transition;
        }
        public String getDescription() {
            return "663:1: statement : ( block | lc= 'assert' expression ( ':' expression )? ';' -> ^( ASSERT[$lc] expression ( expression )? ) | lc= 'if' parExpression statement ( options {k=1; } : 'else' statement )? -> ^( IF[$lc] parExpression statement ( statement )? ) | lc= 'for' '(' forControl ')' statement -> ^( FOR[$lc] forControl statement ) | lc= 'while' parExpression statement -> ^( WHILE[$lc] ^( TEST parExpression ) statement ) | lc= 'do' statement 'while' parExpression ';' -> ^( DOWHILE[$lc] ^( TEST parExpression ) statement ) | lc= 'try' block ( catches fc= 'finally' block -> ^( TRY[$lc] block catches ^( FINALLY[$fc] block ) ) | catches -> ^( TRY[$lc] block catches ) | fc= 'finally' block -> ^( TRY[$lc] block ^( FINALLY[$fc] block ) ) ) | lc= 'switch' parExpression '{' switchBlockStatementGroups '}' -> ^( SWITCH[$lc] parExpression switchBlockStatementGroups ) | lc= 'synchronized' parExpression block -> ^( SYNCHRONIZED[$lc] parExpression block ) | lc= 'return' ( expression )? ';' -> ^( RETURN[$lc] ( expression )? ) | lc= 'throw' expression ';' -> ^( THROW[$lc] expression ) | lc= 'break' ( Identifier )? ';' -> ^( BREAK[$lc] ( Identifier )? ) | lc= 'continue' ( Identifier )? ';' -> ^( CONTINUE[$lc] ( Identifier )? ) | ';' -> ^( BLOCK ) | statementExpression ';' -> statementExpression | lc= Identifier ':' statement -> ^( LABEL[$lc] Identifier statement ) );";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA119_35 = input.LA(1);

                         
                        int index119_35 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred182_Java()) ) {s = 15;}

                        else if ( (true) ) {s = 63;}

                         
                        input.seek(index119_35);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 119, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA116_eotS =
        "\26\uffff";
    static final String DFA116_eofS =
        "\26\uffff";
    static final String DFA116_minS =
        "\1\152\25\uffff";
    static final String DFA116_maxS =
        "\1\u00d2\25\uffff";
    static final String DFA116_acceptS =
        "\1\uffff\1\1\23\uffff\1\2";
    static final String DFA116_specialS =
        "\26\uffff}>";
    static final String[] DFA116_transitionS = {
            "\7\1\15\uffff\1\25\7\uffff\1\1\6\uffff\1\1\20\uffff\1\1\1\uffff"+
            "\12\1\2\uffff\3\1\21\uffff\2\1\14\uffff\5\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA116_eot = DFA.unpackEncodedString(DFA116_eotS);
    static final short[] DFA116_eof = DFA.unpackEncodedString(DFA116_eofS);
    static final char[] DFA116_min = DFA.unpackEncodedStringToUnsignedChars(DFA116_minS);
    static final char[] DFA116_max = DFA.unpackEncodedStringToUnsignedChars(DFA116_maxS);
    static final short[] DFA116_accept = DFA.unpackEncodedString(DFA116_acceptS);
    static final short[] DFA116_special = DFA.unpackEncodedString(DFA116_specialS);
    static final short[][] DFA116_transition;

    static {
        int numStates = DFA116_transitionS.length;
        DFA116_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA116_transition[i] = DFA.unpackEncodedString(DFA116_transitionS[i]);
        }
    }

    class DFA116 extends DFA {

        public DFA116(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 116;
            this.eot = DFA116_eot;
            this.eof = DFA116_eof;
            this.min = DFA116_min;
            this.max = DFA116_max;
            this.accept = DFA116_accept;
            this.special = DFA116_special;
            this.transition = DFA116_transition;
        }
        public String getDescription() {
            return "677:19: ( expression )?";
        }
    }
    static final String DFA120_eotS =
        "\70\uffff";
    static final String DFA120_eofS =
        "\1\1\67\uffff";
    static final String DFA120_minS =
        "\1\17\67\uffff";
    static final String DFA120_maxS =
        "\1\u00d2\67\uffff";
    static final String DFA120_acceptS =
        "\1\uffff\1\2\65\uffff\1\1";
    static final String DFA120_specialS =
        "\70\uffff}>";
    static final String[] DFA120_transitionS = {
            "\1\1\132\uffff\7\1\15\uffff\1\1\1\uffff\1\1\2\uffff\1\1\2\uffff"+
            "\1\1\3\uffff\4\1\4\uffff\12\1\2\uffff\1\1\1\uffff\12\1\2\uffff"+
            "\22\1\1\67\3\1\14\uffff\5\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA120_eot = DFA.unpackEncodedString(DFA120_eotS);
    static final short[] DFA120_eof = DFA.unpackEncodedString(DFA120_eofS);
    static final char[] DFA120_min = DFA.unpackEncodedStringToUnsignedChars(DFA120_minS);
    static final char[] DFA120_max = DFA.unpackEncodedStringToUnsignedChars(DFA120_maxS);
    static final short[] DFA120_accept = DFA.unpackEncodedString(DFA120_acceptS);
    static final short[] DFA120_special = DFA.unpackEncodedString(DFA120_specialS);
    static final short[][] DFA120_transition;

    static {
        int numStates = DFA120_transitionS.length;
        DFA120_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA120_transition[i] = DFA.unpackEncodedString(DFA120_transitionS[i]);
        }
    }

    class DFA120 extends DFA {

        public DFA120(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 120;
            this.eot = DFA120_eot;
            this.eof = DFA120_eof;
            this.min = DFA120_min;
            this.max = DFA120_max;
            this.accept = DFA120_accept;
            this.special = DFA120_special;
            this.transition = DFA120_transition;
        }
        public String getDescription() {
            return "()* loopback of 687:16: ( catchClause )*";
        }
    }
    static final String DFA123_eotS =
        "\65\uffff";
    static final String DFA123_eofS =
        "\1\1\64\uffff";
    static final String DFA123_minS =
        "\1\17\64\uffff";
    static final String DFA123_maxS =
        "\1\u00d2\64\uffff";
    static final String DFA123_acceptS =
        "\1\uffff\1\2\3\uffff\1\1\57\uffff";
    static final String DFA123_specialS =
        "\65\uffff}>";
    static final String[] DFA123_transitionS = {
            "\1\5\132\uffff\7\5\15\uffff\1\5\1\uffff\1\5\2\uffff\1\5\2\uffff"+
            "\1\5\3\uffff\1\5\1\1\2\5\4\uffff\12\5\2\uffff\1\5\1\uffff\12"+
            "\5\2\uffff\4\5\1\1\2\5\1\uffff\4\5\1\uffff\5\5\1\uffff\1\1\2"+
            "\5\14\uffff\5\5",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA123_eot = DFA.unpackEncodedString(DFA123_eotS);
    static final short[] DFA123_eof = DFA.unpackEncodedString(DFA123_eofS);
    static final char[] DFA123_min = DFA.unpackEncodedStringToUnsignedChars(DFA123_minS);
    static final char[] DFA123_max = DFA.unpackEncodedStringToUnsignedChars(DFA123_maxS);
    static final short[] DFA123_accept = DFA.unpackEncodedString(DFA123_acceptS);
    static final short[] DFA123_special = DFA.unpackEncodedString(DFA123_specialS);
    static final short[][] DFA123_transition;

    static {
        int numStates = DFA123_transitionS.length;
        DFA123_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA123_transition[i] = DFA.unpackEncodedString(DFA123_transitionS[i]);
        }
    }

    class DFA123 extends DFA {

        public DFA123(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 123;
            this.eot = DFA123_eot;
            this.eof = DFA123_eof;
            this.min = DFA123_min;
            this.max = DFA123_max;
            this.accept = DFA123_accept;
            this.special = DFA123_special;
            this.transition = DFA123_transition;
        }
        public String getDescription() {
            return "()* loopback of 703:16: ( blockStatement )*";
        }
    }
    static final String DFA124_eotS =
        "\30\uffff";
    static final String DFA124_eofS =
        "\30\uffff";
    static final String DFA124_minS =
        "\1\u00b0\1\152\1\uffff\1\0\24\uffff";
    static final String DFA124_maxS =
        "\1\u00bf\1\u00d2\1\uffff\1\0\24\uffff";
    static final String DFA124_acceptS =
        "\2\uffff\1\3\1\uffff\1\1\22\uffff\1\2";
    static final String DFA124_specialS =
        "\3\uffff\1\0\24\uffff}>";
    static final String[] DFA124_transitionS = {
            "\1\2\16\uffff\1\1",
            "\1\3\6\4\25\uffff\1\4\6\uffff\1\4\20\uffff\1\4\1\uffff\12"+
            "\4\2\uffff\3\4\21\uffff\2\4\14\uffff\5\4",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA124_eot = DFA.unpackEncodedString(DFA124_eotS);
    static final short[] DFA124_eof = DFA.unpackEncodedString(DFA124_eofS);
    static final char[] DFA124_min = DFA.unpackEncodedStringToUnsignedChars(DFA124_minS);
    static final char[] DFA124_max = DFA.unpackEncodedStringToUnsignedChars(DFA124_maxS);
    static final short[] DFA124_accept = DFA.unpackEncodedString(DFA124_acceptS);
    static final short[] DFA124_special = DFA.unpackEncodedString(DFA124_specialS);
    static final short[][] DFA124_transition;

    static {
        int numStates = DFA124_transitionS.length;
        DFA124_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA124_transition[i] = DFA.unpackEncodedString(DFA124_transitionS[i]);
        }
    }

    class DFA124 extends DFA {

        public DFA124(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 124;
            this.eot = DFA124_eot;
            this.eof = DFA124_eof;
            this.min = DFA124_min;
            this.max = DFA124_max;
            this.accept = DFA124_accept;
            this.special = DFA124_special;
            this.transition = DFA124_transition;
        }
        public String getDescription() {
            return "706:1: switchLabel : (lc= 'case' constantExpression ':' -> ^( CASE[$lc] constantExpression ) | lc= 'case' enumConstantName ':' -> ^( CASE[$lc] enumConstantName ) | lc= 'default' ':' -> ^( DEFAULT ) );";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA124_3 = input.LA(1);

                         
                        int index124_3 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred187_Java()) ) {s = 4;}

                        else if ( (synpred188_Java()) ) {s = 23;}

                         
                        input.seek(index124_3);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 124, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA129_eotS =
        "\u0093\uffff";
    static final String DFA129_eofS =
        "\u0093\uffff";
    static final String DFA129_minS =
        "\4\152\1\u009c\1\152\22\uffff\1\152\1\u009c\4\152\1\uffff\2\152"+
        "\7\uffff\1\152\20\uffff\1\u009c\1\152\1\176\1\152\1\u0090\1\176"+
        "\1\uffff\26\0\2\uffff\1\0\2\uffff\1\0\26\uffff\3\0\20\uffff\2\0"+
        "\5\uffff\2\0\5\uffff";
    static final String DFA129_maxS =
        "\1\u00d2\1\u00af\1\152\1\u00cf\1\u009c\1\u008f\22\uffff\1\u009d"+
        "\1\u009c\1\u008f\1\u00af\1\152\1\u00af\1\uffff\2\u00d2\7\uffff\1"+
        "\u00d2\20\uffff\1\u009c\1\152\1\u009c\1\152\1\u0090\1\u009c\1\uffff"+
        "\26\0\2\uffff\1\0\2\uffff\1\0\26\uffff\3\0\20\uffff\2\0\5\uffff"+
        "\2\0\5\uffff";
    static final String DFA129_acceptS =
        "\6\uffff\1\2\u0080\uffff\1\1\13\uffff";
    static final String DFA129_specialS =
        "\100\uffff\1\0\1\1\1\2\1\3\1\4\1\5\1\6\1\7\1\10\1\11\1\12\1\13"+
        "\1\14\1\15\1\16\1\17\1\20\1\21\1\22\1\23\1\24\1\25\2\uffff\1\26"+
        "\2\uffff\1\27\26\uffff\1\30\1\31\1\32\20\uffff\1\33\1\34\5\uffff"+
        "\1\35\1\36\5\uffff}>";
    static final String[] DFA129_transitionS = {
            "\1\3\6\6\15\uffff\1\6\7\uffff\1\6\6\uffff\1\6\10\uffff\1\1"+
            "\7\uffff\1\4\1\uffff\10\5\2\6\2\uffff\3\6\1\2\20\uffff\2\6\14"+
            "\uffff\5\6",
            "\1\30\53\uffff\1\33\7\uffff\1\31\1\uffff\10\32\7\uffff\1\34",
            "\1\35",
            "\1\73\23\uffff\1\6\2\uffff\1\37\1\6\3\uffff\1\50\3\6\5\uffff"+
            "\1\40\1\uffff\1\6\12\uffff\1\72\1\71\1\6\12\uffff\1\6\26\uffff"+
            "\20\6",
            "\1\74",
            "\1\76\26\uffff\1\6\15\uffff\1\75",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\105\26\uffff\1\103\4\uffff\1\102\10\uffff\1\104\14\uffff"+
            "\1\101\1\100",
            "\1\106",
            "\1\110\44\uffff\1\107",
            "\1\111\53\uffff\1\114\7\uffff\1\112\1\uffff\10\113\7\uffff"+
            "\1\115",
            "\1\116",
            "\1\121\26\uffff\1\117\24\uffff\1\124\7\uffff\1\122\1\uffff"+
            "\10\123\1\uffff\1\120\5\uffff\1\125",
            "",
            "\1\130\30\uffff\1\6\2\uffff\1\6\41\uffff\1\6\51\uffff\1\6",
            "\7\6\25\uffff\1\6\6\uffff\1\6\2\uffff\1\133\15\uffff\1\6\1"+
            "\uffff\12\6\2\uffff\3\6\21\uffff\2\6\14\uffff\5\6",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\162\6\6\25\uffff\1\6\6\uffff\1\6\3\uffff\1\6\14\uffff\1"+
            "\163\1\uffff\10\164\2\6\2\uffff\3\6\21\uffff\2\6\14\uffff\5"+
            "\6",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\u0085",
            "\1\u0086",
            "\1\6\10\uffff\1\6\7\uffff\1\6\1\uffff\1\6\12\uffff\1\u0087",
            "\1\u008c",
            "\1\u008d",
            "\1\6\10\uffff\1\6\7\uffff\1\6\1\uffff\1\6\12\uffff\1\u0087",
            "",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "",
            "",
            "\1\uffff",
            "",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "\1\uffff",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA129_eot = DFA.unpackEncodedString(DFA129_eotS);
    static final short[] DFA129_eof = DFA.unpackEncodedString(DFA129_eofS);
    static final char[] DFA129_min = DFA.unpackEncodedStringToUnsignedChars(DFA129_minS);
    static final char[] DFA129_max = DFA.unpackEncodedStringToUnsignedChars(DFA129_maxS);
    static final short[] DFA129_accept = DFA.unpackEncodedString(DFA129_acceptS);
    static final short[] DFA129_special = DFA.unpackEncodedString(DFA129_specialS);
    static final short[][] DFA129_transition;

    static {
        int numStates = DFA129_transitionS.length;
        DFA129_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA129_transition[i] = DFA.unpackEncodedString(DFA129_transitionS[i]);
        }
    }

    class DFA129 extends DFA {

        public DFA129(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 129;
            this.eot = DFA129_eot;
            this.eof = DFA129_eof;
            this.min = DFA129_min;
            this.max = DFA129_max;
            this.accept = DFA129_accept;
            this.special = DFA129_special;
            this.transition = DFA129_transition;
        }
        public String getDescription() {
            return "716:1: forControl options {k=3; } : ( forVarControl -> ^( FOREACH forVarControl ) | ( forInit )? ';' (fc= expression )? ';' (fu= forUpdate )? -> ^( INIT ( forInit )? ) ^( TEST ( expression )? ) ^( STEP ( forUpdate )? ) );";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA129_64 = input.LA(1);

                         
                        int index129_64 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_64);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA129_65 = input.LA(1);

                         
                        int index129_65 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_65);
                        if ( s>=0 ) return s;
                        break;
                    case 2 : 
                        int LA129_66 = input.LA(1);

                         
                        int index129_66 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_66);
                        if ( s>=0 ) return s;
                        break;
                    case 3 : 
                        int LA129_67 = input.LA(1);

                         
                        int index129_67 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_67);
                        if ( s>=0 ) return s;
                        break;
                    case 4 : 
                        int LA129_68 = input.LA(1);

                         
                        int index129_68 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_68);
                        if ( s>=0 ) return s;
                        break;
                    case 5 : 
                        int LA129_69 = input.LA(1);

                         
                        int index129_69 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_69);
                        if ( s>=0 ) return s;
                        break;
                    case 6 : 
                        int LA129_70 = input.LA(1);

                         
                        int index129_70 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_70);
                        if ( s>=0 ) return s;
                        break;
                    case 7 : 
                        int LA129_71 = input.LA(1);

                         
                        int index129_71 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_71);
                        if ( s>=0 ) return s;
                        break;
                    case 8 : 
                        int LA129_72 = input.LA(1);

                         
                        int index129_72 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_72);
                        if ( s>=0 ) return s;
                        break;
                    case 9 : 
                        int LA129_73 = input.LA(1);

                         
                        int index129_73 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_73);
                        if ( s>=0 ) return s;
                        break;
                    case 10 : 
                        int LA129_74 = input.LA(1);

                         
                        int index129_74 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_74);
                        if ( s>=0 ) return s;
                        break;
                    case 11 : 
                        int LA129_75 = input.LA(1);

                         
                        int index129_75 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_75);
                        if ( s>=0 ) return s;
                        break;
                    case 12 : 
                        int LA129_76 = input.LA(1);

                         
                        int index129_76 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_76);
                        if ( s>=0 ) return s;
                        break;
                    case 13 : 
                        int LA129_77 = input.LA(1);

                         
                        int index129_77 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_77);
                        if ( s>=0 ) return s;
                        break;
                    case 14 : 
                        int LA129_78 = input.LA(1);

                         
                        int index129_78 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_78);
                        if ( s>=0 ) return s;
                        break;
                    case 15 : 
                        int LA129_79 = input.LA(1);

                         
                        int index129_79 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_79);
                        if ( s>=0 ) return s;
                        break;
                    case 16 : 
                        int LA129_80 = input.LA(1);

                         
                        int index129_80 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_80);
                        if ( s>=0 ) return s;
                        break;
                    case 17 : 
                        int LA129_81 = input.LA(1);

                         
                        int index129_81 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_81);
                        if ( s>=0 ) return s;
                        break;
                    case 18 : 
                        int LA129_82 = input.LA(1);

                         
                        int index129_82 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_82);
                        if ( s>=0 ) return s;
                        break;
                    case 19 : 
                        int LA129_83 = input.LA(1);

                         
                        int index129_83 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_83);
                        if ( s>=0 ) return s;
                        break;
                    case 20 : 
                        int LA129_84 = input.LA(1);

                         
                        int index129_84 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_84);
                        if ( s>=0 ) return s;
                        break;
                    case 21 : 
                        int LA129_85 = input.LA(1);

                         
                        int index129_85 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_85);
                        if ( s>=0 ) return s;
                        break;
                    case 22 : 
                        int LA129_88 = input.LA(1);

                         
                        int index129_88 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_88);
                        if ( s>=0 ) return s;
                        break;
                    case 23 : 
                        int LA129_91 = input.LA(1);

                         
                        int index129_91 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_91);
                        if ( s>=0 ) return s;
                        break;
                    case 24 : 
                        int LA129_114 = input.LA(1);

                         
                        int index129_114 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_114);
                        if ( s>=0 ) return s;
                        break;
                    case 25 : 
                        int LA129_115 = input.LA(1);

                         
                        int index129_115 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_115);
                        if ( s>=0 ) return s;
                        break;
                    case 26 : 
                        int LA129_116 = input.LA(1);

                         
                        int index129_116 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_116);
                        if ( s>=0 ) return s;
                        break;
                    case 27 : 
                        int LA129_133 = input.LA(1);

                         
                        int index129_133 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_133);
                        if ( s>=0 ) return s;
                        break;
                    case 28 : 
                        int LA129_134 = input.LA(1);

                         
                        int index129_134 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_134);
                        if ( s>=0 ) return s;
                        break;
                    case 29 : 
                        int LA129_140 = input.LA(1);

                         
                        int index129_140 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_140);
                        if ( s>=0 ) return s;
                        break;
                    case 30 : 
                        int LA129_141 = input.LA(1);

                         
                        int index129_141 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred190_Java()) ) {s = 135;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index129_141);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 129, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA126_eotS =
        "\30\uffff";
    static final String DFA126_eofS =
        "\30\uffff";
    static final String DFA126_minS =
        "\1\152\27\uffff";
    static final String DFA126_maxS =
        "\1\u00d2\27\uffff";
    static final String DFA126_acceptS =
        "\1\uffff\1\1\25\uffff\1\2";
    static final String DFA126_specialS =
        "\30\uffff}>";
    static final String[] DFA126_transitionS = {
            "\7\1\15\uffff\1\27\7\uffff\1\1\6\uffff\1\1\10\uffff\1\1\7\uffff"+
            "\1\1\1\uffff\12\1\2\uffff\4\1\20\uffff\2\1\14\uffff\5\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA126_eot = DFA.unpackEncodedString(DFA126_eotS);
    static final short[] DFA126_eof = DFA.unpackEncodedString(DFA126_eofS);
    static final char[] DFA126_min = DFA.unpackEncodedStringToUnsignedChars(DFA126_minS);
    static final char[] DFA126_max = DFA.unpackEncodedStringToUnsignedChars(DFA126_maxS);
    static final short[] DFA126_accept = DFA.unpackEncodedString(DFA126_acceptS);
    static final short[] DFA126_special = DFA.unpackEncodedString(DFA126_specialS);
    static final short[][] DFA126_transition;

    static {
        int numStates = DFA126_transitionS.length;
        DFA126_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA126_transition[i] = DFA.unpackEncodedString(DFA126_transitionS[i]);
        }
    }

    class DFA126 extends DFA {

        public DFA126(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 126;
            this.eot = DFA126_eot;
            this.eof = DFA126_eof;
            this.min = DFA126_min;
            this.max = DFA126_max;
            this.accept = DFA126_accept;
            this.special = DFA126_special;
            this.transition = DFA126_transition;
        }
        public String getDescription() {
            return "719:4: ( forInit )?";
        }
    }
    static final String DFA127_eotS =
        "\26\uffff";
    static final String DFA127_eofS =
        "\26\uffff";
    static final String DFA127_minS =
        "\1\152\25\uffff";
    static final String DFA127_maxS =
        "\1\u00d2\25\uffff";
    static final String DFA127_acceptS =
        "\1\uffff\1\1\23\uffff\1\2";
    static final String DFA127_specialS =
        "\26\uffff}>";
    static final String[] DFA127_transitionS = {
            "\7\1\15\uffff\1\25\7\uffff\1\1\6\uffff\1\1\20\uffff\1\1\1\uffff"+
            "\12\1\2\uffff\3\1\21\uffff\2\1\14\uffff\5\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA127_eot = DFA.unpackEncodedString(DFA127_eotS);
    static final short[] DFA127_eof = DFA.unpackEncodedString(DFA127_eofS);
    static final char[] DFA127_min = DFA.unpackEncodedStringToUnsignedChars(DFA127_minS);
    static final char[] DFA127_max = DFA.unpackEncodedStringToUnsignedChars(DFA127_maxS);
    static final short[] DFA127_accept = DFA.unpackEncodedString(DFA127_acceptS);
    static final short[] DFA127_special = DFA.unpackEncodedString(DFA127_specialS);
    static final short[][] DFA127_transition;

    static {
        int numStates = DFA127_transitionS.length;
        DFA127_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA127_transition[i] = DFA.unpackEncodedString(DFA127_transitionS[i]);
        }
    }

    class DFA127 extends DFA {

        public DFA127(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 127;
            this.eot = DFA127_eot;
            this.eof = DFA127_eof;
            this.min = DFA127_min;
            this.max = DFA127_max;
            this.accept = DFA127_accept;
            this.special = DFA127_special;
            this.transition = DFA127_transition;
        }
        public String getDescription() {
            return "719:19: (fc= expression )?";
        }
    }
    static final String DFA128_eotS =
        "\26\uffff";
    static final String DFA128_eofS =
        "\26\uffff";
    static final String DFA128_minS =
        "\1\152\25\uffff";
    static final String DFA128_maxS =
        "\1\u00d2\25\uffff";
    static final String DFA128_acceptS =
        "\1\uffff\1\1\23\uffff\1\2";
    static final String DFA128_specialS =
        "\26\uffff}>";
    static final String[] DFA128_transitionS = {
            "\7\1\25\uffff\1\1\6\uffff\1\1\20\uffff\1\1\1\uffff\12\1\1\25"+
            "\1\uffff\3\1\21\uffff\2\1\14\uffff\5\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA128_eot = DFA.unpackEncodedString(DFA128_eotS);
    static final short[] DFA128_eof = DFA.unpackEncodedString(DFA128_eofS);
    static final char[] DFA128_min = DFA.unpackEncodedStringToUnsignedChars(DFA128_minS);
    static final char[] DFA128_max = DFA.unpackEncodedStringToUnsignedChars(DFA128_maxS);
    static final short[] DFA128_accept = DFA.unpackEncodedString(DFA128_acceptS);
    static final short[] DFA128_special = DFA.unpackEncodedString(DFA128_specialS);
    static final short[][] DFA128_transition;

    static {
        int numStates = DFA128_transitionS.length;
        DFA128_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA128_transition[i] = DFA.unpackEncodedString(DFA128_transitionS[i]);
        }
    }

    class DFA128 extends DFA {

        public DFA128(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 128;
            this.eot = DFA128_eot;
            this.eof = DFA128_eof;
            this.min = DFA128_min;
            this.max = DFA128_max;
            this.accept = DFA128_accept;
            this.special = DFA128_special;
            this.transition = DFA128_transition;
        }
        public String getDescription() {
            return "719:38: (fu= forUpdate )?";
        }
    }
    static final String DFA131_eotS =
        "\72\uffff";
    static final String DFA131_eofS =
        "\3\uffff\1\6\66\uffff";
    static final String DFA131_minS =
        "\1\152\2\uffff\1\152\1\u009c\1\152\21\uffff\3\0\1\uffff\2\0\31"+
        "\uffff\2\0\2\uffff";
    static final String DFA131_maxS =
        "\1\u00d2\2\uffff\1\u00cf\1\u009c\1\u008f\21\uffff\3\0\1\uffff\2"+
        "\0\31\uffff\2\0\2\uffff";
    static final String DFA131_acceptS =
        "\1\uffff\1\1\4\uffff\1\2\63\uffff";
    static final String DFA131_specialS =
        "\27\uffff\1\0\1\1\1\2\1\uffff\1\3\1\4\31\uffff\1\5\1\6\2\uffff}>";
    static final String[] DFA131_transitionS = {
            "\1\3\6\6\25\uffff\1\6\6\uffff\1\6\10\uffff\1\1\7\uffff\1\4"+
            "\1\uffff\10\5\2\6\2\uffff\3\6\1\1\20\uffff\2\6\14\uffff\5\6",
            "",
            "",
            "\1\1\23\uffff\1\6\2\uffff\1\30\1\6\3\uffff\1\27\3\6\5\uffff"+
            "\1\31\1\uffff\1\6\12\uffff\1\34\1\33\1\6\12\uffff\1\6\26\uffff"+
            "\20\6",
            "\1\66",
            "\1\1\26\uffff\1\6\15\uffff\1\67",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "",
            "\1\uffff",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "\1\uffff",
            "",
            ""
    };

    static final short[] DFA131_eot = DFA.unpackEncodedString(DFA131_eotS);
    static final short[] DFA131_eof = DFA.unpackEncodedString(DFA131_eofS);
    static final char[] DFA131_min = DFA.unpackEncodedStringToUnsignedChars(DFA131_minS);
    static final char[] DFA131_max = DFA.unpackEncodedStringToUnsignedChars(DFA131_maxS);
    static final short[] DFA131_accept = DFA.unpackEncodedString(DFA131_acceptS);
    static final short[] DFA131_special = DFA.unpackEncodedString(DFA131_specialS);
    static final short[][] DFA131_transition;

    static {
        int numStates = DFA131_transitionS.length;
        DFA131_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA131_transition[i] = DFA.unpackEncodedString(DFA131_transitionS[i]);
        }
    }

    class DFA131 extends DFA {

        public DFA131(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 131;
            this.eot = DFA131_eot;
            this.eof = DFA131_eof;
            this.min = DFA131_min;
            this.max = DFA131_max;
            this.accept = DFA131_accept;
            this.special = DFA131_special;
            this.transition = DFA131_transition;
        }
        public String getDescription() {
            return "722:1: forInit : ( ( variableModifier )* type variableDeclarators -> ^( VARDEF ^( MODIFIERS ( variableModifier )* ) type variableDeclarators ) | expressionList );";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA131_23 = input.LA(1);

                         
                        int index131_23 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred195_Java()) ) {s = 1;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index131_23);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA131_24 = input.LA(1);

                         
                        int index131_24 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred195_Java()) ) {s = 1;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index131_24);
                        if ( s>=0 ) return s;
                        break;
                    case 2 : 
                        int LA131_25 = input.LA(1);

                         
                        int index131_25 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred195_Java()) ) {s = 1;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index131_25);
                        if ( s>=0 ) return s;
                        break;
                    case 3 : 
                        int LA131_27 = input.LA(1);

                         
                        int index131_27 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred195_Java()) ) {s = 1;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index131_27);
                        if ( s>=0 ) return s;
                        break;
                    case 4 : 
                        int LA131_28 = input.LA(1);

                         
                        int index131_28 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred195_Java()) ) {s = 1;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index131_28);
                        if ( s>=0 ) return s;
                        break;
                    case 5 : 
                        int LA131_54 = input.LA(1);

                         
                        int index131_54 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred195_Java()) ) {s = 1;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index131_54);
                        if ( s>=0 ) return s;
                        break;
                    case 6 : 
                        int LA131_55 = input.LA(1);

                         
                        int index131_55 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred195_Java()) ) {s = 1;}

                        else if ( (true) ) {s = 6;}

                         
                        input.seek(index131_55);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 131, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA134_eotS =
        "\166\uffff";
    static final String DFA134_eofS =
        "\1\14\165\uffff";
    static final String DFA134_minS =
        "\1\176\13\0\152\uffff";
    static final String DFA134_maxS =
        "\1\u00c6\13\0\152\uffff";
    static final String DFA134_acceptS =
        "\14\uffff\1\15\32\uffff\1\1\1\uffff\1\2\1\uffff\1\3\1\uffff\1\4"+
        "\1\uffff\1\5\24\uffff\1\6\24\uffff\1\7\24\uffff\1\10\1\uffff\1\11"+
        "\1\uffff\1\12\1\uffff\1\13\1\14";
    static final String DFA134_specialS =
        "\1\uffff\1\0\1\1\1\2\1\3\1\4\1\5\1\6\1\7\1\10\1\11\1\12\152\uffff}>";
    static final String[] DFA134_transitionS = {
            "\1\14\3\uffff\1\4\3\uffff\1\12\1\14\1\13\2\uffff\1\14\4\uffff"+
            "\1\14\1\1\12\uffff\1\14\15\uffff\1\14\25\uffff\1\2\1\3\1\5\1"+
            "\6\1\7\1\10\1\11",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA134_eot = DFA.unpackEncodedString(DFA134_eotS);
    static final short[] DFA134_eof = DFA.unpackEncodedString(DFA134_eofS);
    static final char[] DFA134_min = DFA.unpackEncodedStringToUnsignedChars(DFA134_minS);
    static final char[] DFA134_max = DFA.unpackEncodedStringToUnsignedChars(DFA134_maxS);
    static final short[] DFA134_accept = DFA.unpackEncodedString(DFA134_acceptS);
    static final short[] DFA134_special = DFA.unpackEncodedString(DFA134_specialS);
    static final short[][] DFA134_transition;

    static {
        int numStates = DFA134_transitionS.length;
        DFA134_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA134_transition[i] = DFA.unpackEncodedString(DFA134_transitionS[i]);
        }
    }

    class DFA134 extends DFA {

        public DFA134(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 134;
            this.eot = DFA134_eot;
            this.eof = DFA134_eof;
            this.min = DFA134_min;
            this.max = DFA134_max;
            this.accept = DFA134_accept;
            this.special = DFA134_special;
            this.transition = DFA134_transition;
        }
        public String getDescription() {
            return "755:3: ( '=' expression -> ^( ASSIGN conditionalExpression expression ) | '+' '=' expression -> ^( ASSIGNOP ADD conditionalExpression expression ) | '-' '=' expression -> ^( ASSIGNOP SUB conditionalExpression expression ) | '*' '=' expression -> ^( ASSIGNOP MUL conditionalExpression expression ) | '/' '=' expression -> ^( ASSIGNOP DIV conditionalExpression expression ) | '&=' expression -> ^( ASSIGNOP AND conditionalExpression expression ) | '|=' expression -> ^( ASSIGNOP OR conditionalExpression expression ) | '^=' expression -> ^( ASSIGNOP XOR conditionalExpression expression ) | '%' '=' expression -> ^( ASSIGNOP MOD conditionalExpression expression ) | '<' '<' '=' expression -> ^( ASSIGNOP SHL conditionalExpression expression ) | '>' '>' '=' expression -> ^( ASSIGNOP SHR conditionalExpression expression ) | '>' '>' '>' '=' expression -> ^( ASSIGNOP USHR conditionalExpression expression ) | -> conditionalExpression )";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA134_1 = input.LA(1);

                         
                        int index134_1 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred198_Java()) ) {s = 39;}

                        else if ( (true) ) {s = 12;}

                         
                        input.seek(index134_1);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA134_2 = input.LA(1);

                         
                        int index134_2 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred199_Java()) ) {s = 41;}

                        else if ( (true) ) {s = 12;}

                         
                        input.seek(index134_2);
                        if ( s>=0 ) return s;
                        break;
                    case 2 : 
                        int LA134_3 = input.LA(1);

                         
                        int index134_3 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred200_Java()) ) {s = 43;}

                        else if ( (true) ) {s = 12;}

                         
                        input.seek(index134_3);
                        if ( s>=0 ) return s;
                        break;
                    case 3 : 
                        int LA134_4 = input.LA(1);

                         
                        int index134_4 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred201_Java()) ) {s = 45;}

                        else if ( (true) ) {s = 12;}

                         
                        input.seek(index134_4);
                        if ( s>=0 ) return s;
                        break;
                    case 4 : 
                        int LA134_5 = input.LA(1);

                         
                        int index134_5 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred202_Java()) ) {s = 47;}

                        else if ( (true) ) {s = 12;}

                         
                        input.seek(index134_5);
                        if ( s>=0 ) return s;
                        break;
                    case 5 : 
                        int LA134_6 = input.LA(1);

                         
                        int index134_6 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred203_Java()) ) {s = 68;}

                        else if ( (true) ) {s = 12;}

                         
                        input.seek(index134_6);
                        if ( s>=0 ) return s;
                        break;
                    case 6 : 
                        int LA134_7 = input.LA(1);

                         
                        int index134_7 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred204_Java()) ) {s = 89;}

                        else if ( (true) ) {s = 12;}

                         
                        input.seek(index134_7);
                        if ( s>=0 ) return s;
                        break;
                    case 7 : 
                        int LA134_8 = input.LA(1);

                         
                        int index134_8 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred205_Java()) ) {s = 110;}

                        else if ( (true) ) {s = 12;}

                         
                        input.seek(index134_8);
                        if ( s>=0 ) return s;
                        break;
                    case 8 : 
                        int LA134_9 = input.LA(1);

                         
                        int index134_9 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred206_Java()) ) {s = 112;}

                        else if ( (true) ) {s = 12;}

                         
                        input.seek(index134_9);
                        if ( s>=0 ) return s;
                        break;
                    case 9 : 
                        int LA134_10 = input.LA(1);

                         
                        int index134_10 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred207_Java()) ) {s = 114;}

                        else if ( (true) ) {s = 12;}

                         
                        input.seek(index134_10);
                        if ( s>=0 ) return s;
                        break;
                    case 10 : 
                        int LA134_11 = input.LA(1);

                         
                        int index134_11 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred208_Java()) ) {s = 116;}

                        else if ( (synpred209_Java()) ) {s = 117;}

                        else if ( (true) ) {s = 12;}

                         
                        input.seek(index134_11);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 134, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA135_eotS =
        "\24\uffff";
    static final String DFA135_eofS =
        "\1\2\23\uffff";
    static final String DFA135_minS =
        "\1\176\23\uffff";
    static final String DFA135_maxS =
        "\1\u00c6\23\uffff";
    static final String DFA135_acceptS =
        "\1\uffff\1\1\1\2\21\uffff";
    static final String DFA135_specialS =
        "\24\uffff}>";
    static final String[] DFA135_transitionS = {
            "\1\2\3\uffff\1\2\3\uffff\3\2\2\uffff\1\2\4\uffff\2\2\12\uffff"+
            "\1\2\1\uffff\1\1\13\uffff\1\2\25\uffff\7\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA135_eot = DFA.unpackEncodedString(DFA135_eotS);
    static final short[] DFA135_eof = DFA.unpackEncodedString(DFA135_eofS);
    static final char[] DFA135_min = DFA.unpackEncodedStringToUnsignedChars(DFA135_minS);
    static final char[] DFA135_max = DFA.unpackEncodedStringToUnsignedChars(DFA135_maxS);
    static final short[] DFA135_accept = DFA.unpackEncodedString(DFA135_acceptS);
    static final short[] DFA135_special = DFA.unpackEncodedString(DFA135_specialS);
    static final short[][] DFA135_transition;

    static {
        int numStates = DFA135_transitionS.length;
        DFA135_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA135_transition[i] = DFA.unpackEncodedString(DFA135_transitionS[i]);
        }
    }

    class DFA135 extends DFA {

        public DFA135(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 135;
            this.eot = DFA135_eot;
            this.eof = DFA135_eof;
            this.min = DFA135_min;
            this.max = DFA135_max;
            this.accept = DFA135_accept;
            this.special = DFA135_special;
            this.transition = DFA135_transition;
        }
        public String getDescription() {
            return "774:6: ( '?' expression ':' expression -> ^( CONDEXPR conditionalOrExpression expression expression ) | -> conditionalOrExpression )";
        }
    }
    static final String DFA136_eotS =
        "\25\uffff";
    static final String DFA136_eofS =
        "\1\2\24\uffff";
    static final String DFA136_minS =
        "\1\176\24\uffff";
    static final String DFA136_maxS =
        "\1\u00c7\24\uffff";
    static final String DFA136_acceptS =
        "\1\uffff\1\1\1\2\22\uffff";
    static final String DFA136_specialS =
        "\25\uffff}>";
    static final String[] DFA136_transitionS = {
            "\1\2\3\uffff\1\2\3\uffff\3\2\2\uffff\1\2\4\uffff\2\2\12\uffff"+
            "\1\2\1\uffff\1\2\13\uffff\1\2\25\uffff\7\2\1\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA136_eot = DFA.unpackEncodedString(DFA136_eotS);
    static final short[] DFA136_eof = DFA.unpackEncodedString(DFA136_eofS);
    static final char[] DFA136_min = DFA.unpackEncodedStringToUnsignedChars(DFA136_minS);
    static final char[] DFA136_max = DFA.unpackEncodedStringToUnsignedChars(DFA136_maxS);
    static final short[] DFA136_accept = DFA.unpackEncodedString(DFA136_acceptS);
    static final short[] DFA136_special = DFA.unpackEncodedString(DFA136_specialS);
    static final short[][] DFA136_transition;

    static {
        int numStates = DFA136_transitionS.length;
        DFA136_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA136_transition[i] = DFA.unpackEncodedString(DFA136_transitionS[i]);
        }
    }

    class DFA136 extends DFA {

        public DFA136(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 136;
            this.eot = DFA136_eot;
            this.eof = DFA136_eof;
            this.min = DFA136_min;
            this.max = DFA136_max;
            this.accept = DFA136_accept;
            this.special = DFA136_special;
            this.transition = DFA136_transition;
        }
        public String getDescription() {
            return "782:6: ( ( '||' conditionalOrExpression ) -> ^( LOR conditionalAndExpression conditionalOrExpression ) | -> conditionalAndExpression )";
        }
    }
    static final String DFA137_eotS =
        "\26\uffff";
    static final String DFA137_eofS =
        "\1\2\25\uffff";
    static final String DFA137_minS =
        "\1\176\25\uffff";
    static final String DFA137_maxS =
        "\1\u00c8\25\uffff";
    static final String DFA137_acceptS =
        "\1\uffff\1\1\1\2\23\uffff";
    static final String DFA137_specialS =
        "\26\uffff}>";
    static final String[] DFA137_transitionS = {
            "\1\2\3\uffff\1\2\3\uffff\3\2\2\uffff\1\2\4\uffff\2\2\12\uffff"+
            "\1\2\1\uffff\1\2\13\uffff\1\2\25\uffff\10\2\1\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA137_eot = DFA.unpackEncodedString(DFA137_eotS);
    static final short[] DFA137_eof = DFA.unpackEncodedString(DFA137_eofS);
    static final char[] DFA137_min = DFA.unpackEncodedStringToUnsignedChars(DFA137_minS);
    static final char[] DFA137_max = DFA.unpackEncodedStringToUnsignedChars(DFA137_maxS);
    static final short[] DFA137_accept = DFA.unpackEncodedString(DFA137_acceptS);
    static final short[] DFA137_special = DFA.unpackEncodedString(DFA137_specialS);
    static final short[][] DFA137_transition;

    static {
        int numStates = DFA137_transitionS.length;
        DFA137_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA137_transition[i] = DFA.unpackEncodedString(DFA137_transitionS[i]);
        }
    }

    class DFA137 extends DFA {

        public DFA137(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 137;
            this.eot = DFA137_eot;
            this.eof = DFA137_eof;
            this.min = DFA137_min;
            this.max = DFA137_max;
            this.accept = DFA137_accept;
            this.special = DFA137_special;
            this.transition = DFA137_transition;
        }
        public String getDescription() {
            return "790:6: ( ( '&&' conditionalAndExpression ) -> ^( LAND inclusiveOrExpression conditionalAndExpression ) | -> inclusiveOrExpression )";
        }
    }
    static final String DFA138_eotS =
        "\27\uffff";
    static final String DFA138_eofS =
        "\1\2\26\uffff";
    static final String DFA138_minS =
        "\1\176\26\uffff";
    static final String DFA138_maxS =
        "\1\u00c9\26\uffff";
    static final String DFA138_acceptS =
        "\1\uffff\1\1\1\2\24\uffff";
    static final String DFA138_specialS =
        "\27\uffff}>";
    static final String[] DFA138_transitionS = {
            "\1\2\3\uffff\1\2\3\uffff\3\2\2\uffff\1\2\4\uffff\2\2\12\uffff"+
            "\1\2\1\uffff\1\2\13\uffff\1\2\25\uffff\11\2\1\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA138_eot = DFA.unpackEncodedString(DFA138_eotS);
    static final short[] DFA138_eof = DFA.unpackEncodedString(DFA138_eofS);
    static final char[] DFA138_min = DFA.unpackEncodedStringToUnsignedChars(DFA138_minS);
    static final char[] DFA138_max = DFA.unpackEncodedStringToUnsignedChars(DFA138_maxS);
    static final short[] DFA138_accept = DFA.unpackEncodedString(DFA138_acceptS);
    static final short[] DFA138_special = DFA.unpackEncodedString(DFA138_specialS);
    static final short[][] DFA138_transition;

    static {
        int numStates = DFA138_transitionS.length;
        DFA138_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA138_transition[i] = DFA.unpackEncodedString(DFA138_transitionS[i]);
        }
    }

    class DFA138 extends DFA {

        public DFA138(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 138;
            this.eot = DFA138_eot;
            this.eof = DFA138_eof;
            this.min = DFA138_min;
            this.max = DFA138_max;
            this.accept = DFA138_accept;
            this.special = DFA138_special;
            this.transition = DFA138_transition;
        }
        public String getDescription() {
            return "798:9: ( ( '|' inclusiveOrExpression ) -> ^( OR exclusiveOrExpression inclusiveOrExpression ) | -> exclusiveOrExpression )";
        }
    }
    static final String DFA139_eotS =
        "\30\uffff";
    static final String DFA139_eofS =
        "\1\2\27\uffff";
    static final String DFA139_minS =
        "\1\176\27\uffff";
    static final String DFA139_maxS =
        "\1\u00ca\27\uffff";
    static final String DFA139_acceptS =
        "\1\uffff\1\1\1\2\25\uffff";
    static final String DFA139_specialS =
        "\30\uffff}>";
    static final String[] DFA139_transitionS = {
            "\1\2\3\uffff\1\2\3\uffff\3\2\2\uffff\1\2\4\uffff\2\2\12\uffff"+
            "\1\2\1\uffff\1\2\13\uffff\1\2\25\uffff\12\2\1\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA139_eot = DFA.unpackEncodedString(DFA139_eotS);
    static final short[] DFA139_eof = DFA.unpackEncodedString(DFA139_eofS);
    static final char[] DFA139_min = DFA.unpackEncodedStringToUnsignedChars(DFA139_minS);
    static final char[] DFA139_max = DFA.unpackEncodedStringToUnsignedChars(DFA139_maxS);
    static final short[] DFA139_accept = DFA.unpackEncodedString(DFA139_acceptS);
    static final short[] DFA139_special = DFA.unpackEncodedString(DFA139_specialS);
    static final short[][] DFA139_transition;

    static {
        int numStates = DFA139_transitionS.length;
        DFA139_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA139_transition[i] = DFA.unpackEncodedString(DFA139_transitionS[i]);
        }
    }

    class DFA139 extends DFA {

        public DFA139(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 139;
            this.eot = DFA139_eot;
            this.eof = DFA139_eof;
            this.min = DFA139_min;
            this.max = DFA139_max;
            this.accept = DFA139_accept;
            this.special = DFA139_special;
            this.transition = DFA139_transition;
        }
        public String getDescription() {
            return "806:5: ( ( '^' exclusiveOrExpression ) -> ^( XOR andExpression exclusiveOrExpression ) | -> andExpression )";
        }
    }
    static final String DFA140_eotS =
        "\31\uffff";
    static final String DFA140_eofS =
        "\1\2\30\uffff";
    static final String DFA140_minS =
        "\1\176\30\uffff";
    static final String DFA140_maxS =
        "\1\u00ca\30\uffff";
    static final String DFA140_acceptS =
        "\1\uffff\1\1\1\2\26\uffff";
    static final String DFA140_specialS =
        "\31\uffff}>";
    static final String[] DFA140_transitionS = {
            "\1\2\3\uffff\1\2\3\uffff\3\2\1\1\1\uffff\1\2\4\uffff\2\2\12"+
            "\uffff\1\2\1\uffff\1\2\13\uffff\1\2\25\uffff\13\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA140_eot = DFA.unpackEncodedString(DFA140_eotS);
    static final short[] DFA140_eof = DFA.unpackEncodedString(DFA140_eofS);
    static final char[] DFA140_min = DFA.unpackEncodedStringToUnsignedChars(DFA140_minS);
    static final char[] DFA140_max = DFA.unpackEncodedStringToUnsignedChars(DFA140_maxS);
    static final short[] DFA140_accept = DFA.unpackEncodedString(DFA140_acceptS);
    static final short[] DFA140_special = DFA.unpackEncodedString(DFA140_specialS);
    static final short[][] DFA140_transition;

    static {
        int numStates = DFA140_transitionS.length;
        DFA140_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA140_transition[i] = DFA.unpackEncodedString(DFA140_transitionS[i]);
        }
    }

    class DFA140 extends DFA {

        public DFA140(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 140;
            this.eot = DFA140_eot;
            this.eof = DFA140_eof;
            this.min = DFA140_min;
            this.max = DFA140_max;
            this.accept = DFA140_accept;
            this.special = DFA140_special;
            this.transition = DFA140_transition;
        }
        public String getDescription() {
            return "814:5: ( ( '&' andExpression ) -> ^( AND equalityExpression andExpression ) | -> equalityExpression )";
        }
    }
    static final String DFA141_eotS =
        "\33\uffff";
    static final String DFA141_eofS =
        "\1\3\32\uffff";
    static final String DFA141_minS =
        "\1\176\32\uffff";
    static final String DFA141_maxS =
        "\1\u00cc\32\uffff";
    static final String DFA141_acceptS =
        "\1\uffff\1\1\1\2\1\3\27\uffff";
    static final String DFA141_specialS =
        "\33\uffff}>";
    static final String[] DFA141_transitionS = {
            "\1\3\3\uffff\1\3\3\uffff\4\3\1\uffff\1\3\4\uffff\2\3\12\uffff"+
            "\1\3\1\uffff\1\3\13\uffff\1\3\25\uffff\13\3\1\1\1\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA141_eot = DFA.unpackEncodedString(DFA141_eotS);
    static final short[] DFA141_eof = DFA.unpackEncodedString(DFA141_eofS);
    static final char[] DFA141_min = DFA.unpackEncodedStringToUnsignedChars(DFA141_minS);
    static final char[] DFA141_max = DFA.unpackEncodedStringToUnsignedChars(DFA141_maxS);
    static final short[] DFA141_accept = DFA.unpackEncodedString(DFA141_acceptS);
    static final short[] DFA141_special = DFA.unpackEncodedString(DFA141_specialS);
    static final short[][] DFA141_transition;

    static {
        int numStates = DFA141_transitionS.length;
        DFA141_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA141_transition[i] = DFA.unpackEncodedString(DFA141_transitionS[i]);
        }
    }

    class DFA141 extends DFA {

        public DFA141(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 141;
            this.eot = DFA141_eot;
            this.eof = DFA141_eof;
            this.min = DFA141_min;
            this.max = DFA141_max;
            this.accept = DFA141_accept;
            this.special = DFA141_special;
            this.transition = DFA141_transition;
        }
        public String getDescription() {
            return "822:5: ( ( '==' instanceOfExpression ) -> ^( EQ instanceOfExpression instanceOfExpression ) | ( '!=' instanceOfExpression ) -> ^( NEQ instanceOfExpression instanceOfExpression ) | -> instanceOfExpression )";
        }
    }
    static final String DFA142_eotS =
        "\34\uffff";
    static final String DFA142_eofS =
        "\1\2\33\uffff";
    static final String DFA142_minS =
        "\1\176\33\uffff";
    static final String DFA142_maxS =
        "\1\u00cd\33\uffff";
    static final String DFA142_acceptS =
        "\1\uffff\1\1\1\2\31\uffff";
    static final String DFA142_specialS =
        "\34\uffff}>";
    static final String[] DFA142_transitionS = {
            "\1\2\3\uffff\1\2\3\uffff\4\2\1\uffff\1\2\4\uffff\2\2\12\uffff"+
            "\1\2\1\uffff\1\2\13\uffff\1\2\25\uffff\15\2\1\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA142_eot = DFA.unpackEncodedString(DFA142_eotS);
    static final short[] DFA142_eof = DFA.unpackEncodedString(DFA142_eofS);
    static final char[] DFA142_min = DFA.unpackEncodedStringToUnsignedChars(DFA142_minS);
    static final char[] DFA142_max = DFA.unpackEncodedStringToUnsignedChars(DFA142_maxS);
    static final short[] DFA142_accept = DFA.unpackEncodedString(DFA142_acceptS);
    static final short[] DFA142_special = DFA.unpackEncodedString(DFA142_specialS);
    static final short[][] DFA142_transition;

    static {
        int numStates = DFA142_transitionS.length;
        DFA142_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA142_transition[i] = DFA.unpackEncodedString(DFA142_transitionS[i]);
        }
    }

    class DFA142 extends DFA {

        public DFA142(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 142;
            this.eot = DFA142_eot;
            this.eof = DFA142_eof;
            this.min = DFA142_min;
            this.max = DFA142_max;
            this.accept = DFA142_accept;
            this.special = DFA142_special;
            this.transition = DFA142_transition;
        }
        public String getDescription() {
            return "831:5: ( ( 'instanceof' type ) -> ^( INSTANCEOF relationalExpression type ) | -> relationalExpression )";
        }
    }
    static final String DFA143_eotS =
        "\107\uffff";
    static final String DFA143_eofS =
        "\1\3\106\uffff";
    static final String DFA143_minS =
        "\1\176\2\152\32\uffff\1\0\51\uffff";
    static final String DFA143_maxS =
        "\1\u00cd\2\u00d2\32\uffff\1\0\51\uffff";
    static final String DFA143_acceptS =
        "\3\uffff\1\5\30\uffff\1\1\1\uffff\1\2\22\uffff\1\3\1\uffff\1\4"+
        "\23\uffff";
    static final String DFA143_specialS =
        "\35\uffff\1\0\51\uffff}>";
    static final String[] DFA143_transitionS = {
            "\1\3\3\uffff\1\3\3\uffff\1\1\1\3\1\2\1\3\1\uffff\1\3\4\uffff"+
            "\2\3\12\uffff\1\3\1\uffff\1\3\13\uffff\1\3\25\uffff\16\3",
            "\7\36\25\uffff\1\35\6\uffff\1\36\3\uffff\1\34\14\uffff\1\36"+
            "\1\uffff\12\36\2\uffff\3\36\21\uffff\2\36\14\uffff\5\36",
            "\7\63\25\uffff\1\63\1\uffff\1\3\4\uffff\1\63\3\uffff\1\61"+
            "\14\uffff\1\63\1\uffff\12\63\2\uffff\3\63\21\uffff\2\63\14\uffff"+
            "\5\63",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA143_eot = DFA.unpackEncodedString(DFA143_eotS);
    static final short[] DFA143_eof = DFA.unpackEncodedString(DFA143_eofS);
    static final char[] DFA143_min = DFA.unpackEncodedStringToUnsignedChars(DFA143_minS);
    static final char[] DFA143_max = DFA.unpackEncodedStringToUnsignedChars(DFA143_maxS);
    static final short[] DFA143_accept = DFA.unpackEncodedString(DFA143_acceptS);
    static final short[] DFA143_special = DFA.unpackEncodedString(DFA143_specialS);
    static final short[][] DFA143_transition;

    static {
        int numStates = DFA143_transitionS.length;
        DFA143_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA143_transition[i] = DFA.unpackEncodedString(DFA143_transitionS[i]);
        }
    }

    class DFA143 extends DFA {

        public DFA143(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 143;
            this.eot = DFA143_eot;
            this.eof = DFA143_eof;
            this.min = DFA143_min;
            this.max = DFA143_max;
            this.accept = DFA143_accept;
            this.special = DFA143_special;
            this.transition = DFA143_transition;
        }
        public String getDescription() {
            return "839:5: ( ( '<' '=' shiftExpression ) -> ^( LTEQ shiftExpression shiftExpression ) | ( '<' shiftExpression ) -> ^( LT shiftExpression shiftExpression ) | ( '>' '=' shiftExpression ) -> ^( GTEQ shiftExpression shiftExpression ) | ( '>' shiftExpression ) -> ^( GT shiftExpression shiftExpression ) | -> shiftExpression )";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA143_29 = input.LA(1);

                         
                        int index143_29 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred220_Java()) ) {s = 30;}

                        else if ( (true) ) {s = 3;}

                         
                        input.seek(index143_29);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 143, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA147_eotS =
        "\111\uffff";
    static final String DFA147_eofS =
        "\1\3\110\uffff";
    static final String DFA147_minS =
        "\1\176\2\152\31\uffff\1\0\24\uffff\1\0\27\uffff";
    static final String DFA147_maxS =
        "\1\u00cd\2\u00d2\31\uffff\1\0\24\uffff\1\0\27\uffff";
    static final String DFA147_acceptS =
        "\3\uffff\1\3\103\uffff\1\1\1\2";
    static final String DFA147_specialS =
        "\34\uffff\1\0\24\uffff\1\1\27\uffff}>";
    static final String[] DFA147_transitionS = {
            "\1\3\3\uffff\1\3\3\uffff\1\1\1\3\1\2\1\3\1\uffff\1\3\4\uffff"+
            "\2\3\12\uffff\1\3\1\uffff\1\3\13\uffff\1\3\25\uffff\16\3",
            "\7\3\25\uffff\1\34\6\uffff\1\3\3\uffff\1\3\14\uffff\1\3\1"+
            "\uffff\12\3\2\uffff\3\3\21\uffff\2\3\14\uffff\5\3",
            "\7\3\25\uffff\1\3\1\uffff\1\61\4\uffff\1\3\3\uffff\1\3\14"+
            "\uffff\1\3\1\uffff\12\3\2\uffff\3\3\21\uffff\2\3\14\uffff\5"+
            "\3",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA147_eot = DFA.unpackEncodedString(DFA147_eotS);
    static final short[] DFA147_eof = DFA.unpackEncodedString(DFA147_eofS);
    static final char[] DFA147_min = DFA.unpackEncodedStringToUnsignedChars(DFA147_minS);
    static final char[] DFA147_max = DFA.unpackEncodedStringToUnsignedChars(DFA147_maxS);
    static final short[] DFA147_accept = DFA.unpackEncodedString(DFA147_acceptS);
    static final short[] DFA147_special = DFA.unpackEncodedString(DFA147_specialS);
    static final short[][] DFA147_transition;

    static {
        int numStates = DFA147_transitionS.length;
        DFA147_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA147_transition[i] = DFA.unpackEncodedString(DFA147_transitionS[i]);
        }
    }

    class DFA147 extends DFA {

        public DFA147(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 147;
            this.eot = DFA147_eot;
            this.eof = DFA147_eof;
            this.min = DFA147_min;
            this.max = DFA147_max;
            this.accept = DFA147_accept;
            this.special = DFA147_special;
            this.transition = DFA147_transition;
        }
        public String getDescription() {
            return "850:5: ( ( (i+= '<' '<' | i+= '>' '>' ) additiveExpression )+ -> ^( LABINOP additiveExpression ( $i additiveExpression )+ ) | ( '>' '>' '>' additiveExpression )+ -> ^( USHR additiveExpression ( additiveExpression )+ ) | -> additiveExpression )";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA147_28 = input.LA(1);

                         
                        int index147_28 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred225_Java()) ) {s = 71;}

                        else if ( (true) ) {s = 3;}

                         
                        input.seek(index147_28);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA147_49 = input.LA(1);

                         
                        int index147_49 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred225_Java()) ) {s = 71;}

                        else if ( (synpred227_Java()) ) {s = 72;}

                        else if ( (true) ) {s = 3;}

                         
                        input.seek(index147_49);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 147, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA145_eotS =
        "\110\uffff";
    static final String DFA145_eofS =
        "\1\3\107\uffff";
    static final String DFA145_minS =
        "\1\176\2\152\32\uffff\1\0\24\uffff\1\0\25\uffff";
    static final String DFA145_maxS =
        "\1\u00cd\2\u00d2\32\uffff\1\0\24\uffff\1\0\25\uffff";
    static final String DFA145_acceptS =
        "\3\uffff\1\2\103\uffff\1\1";
    static final String DFA145_specialS =
        "\35\uffff\1\0\24\uffff\1\1\25\uffff}>";
    static final String[] DFA145_transitionS = {
            "\1\3\3\uffff\1\3\3\uffff\1\1\1\3\1\2\1\3\1\uffff\1\3\4\uffff"+
            "\2\3\12\uffff\1\3\1\uffff\1\3\13\uffff\1\3\25\uffff\16\3",
            "\7\3\25\uffff\1\35\6\uffff\1\3\3\uffff\1\3\14\uffff\1\3\1"+
            "\uffff\12\3\2\uffff\3\3\21\uffff\2\3\14\uffff\5\3",
            "\7\3\25\uffff\1\3\1\uffff\1\62\4\uffff\1\3\3\uffff\1\3\14"+
            "\uffff\1\3\1\uffff\12\3\2\uffff\3\3\21\uffff\2\3\14\uffff\5"+
            "\3",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA145_eot = DFA.unpackEncodedString(DFA145_eotS);
    static final short[] DFA145_eof = DFA.unpackEncodedString(DFA145_eofS);
    static final char[] DFA145_min = DFA.unpackEncodedStringToUnsignedChars(DFA145_minS);
    static final char[] DFA145_max = DFA.unpackEncodedStringToUnsignedChars(DFA145_maxS);
    static final short[] DFA145_accept = DFA.unpackEncodedString(DFA145_acceptS);
    static final short[] DFA145_special = DFA.unpackEncodedString(DFA145_specialS);
    static final short[][] DFA145_transition;

    static {
        int numStates = DFA145_transitionS.length;
        DFA145_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA145_transition[i] = DFA.unpackEncodedString(DFA145_transitionS[i]);
        }
    }

    class DFA145 extends DFA {

        public DFA145(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 145;
            this.eot = DFA145_eot;
            this.eof = DFA145_eof;
            this.min = DFA145_min;
            this.max = DFA145_max;
            this.accept = DFA145_accept;
            this.special = DFA145_special;
            this.transition = DFA145_transition;
        }
        public String getDescription() {
            return "()+ loopback of 851:6: ( (i+= '<' '<' | i+= '>' '>' ) additiveExpression )+";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA145_29 = input.LA(1);

                         
                        int index145_29 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred224_Java()) ) {s = 71;}

                        else if ( (true) ) {s = 3;}

                         
                        input.seek(index145_29);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA145_50 = input.LA(1);

                         
                        int index145_50 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred224_Java()) ) {s = 71;}

                        else if ( (true) ) {s = 3;}

                         
                        input.seek(index145_50);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 145, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA146_eotS =
        "\63\uffff";
    static final String DFA146_eofS =
        "\1\1\62\uffff";
    static final String DFA146_minS =
        "\1\176\1\uffff\1\152\32\uffff\1\0\25\uffff";
    static final String DFA146_maxS =
        "\1\u00cd\1\uffff\1\u00d2\32\uffff\1\0\25\uffff";
    static final String DFA146_acceptS =
        "\1\uffff\1\2\60\uffff\1\1";
    static final String DFA146_specialS =
        "\35\uffff\1\0\25\uffff}>";
    static final String[] DFA146_transitionS = {
            "\1\1\3\uffff\1\1\3\uffff\2\1\1\2\1\1\1\uffff\1\1\4\uffff\2"+
            "\1\12\uffff\1\1\1\uffff\1\1\13\uffff\1\1\25\uffff\16\1",
            "",
            "\7\1\25\uffff\1\1\1\uffff\1\35\4\uffff\1\1\3\uffff\1\1\14"+
            "\uffff\1\1\1\uffff\12\1\2\uffff\3\1\21\uffff\2\1\14\uffff\5"+
            "\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA146_eot = DFA.unpackEncodedString(DFA146_eotS);
    static final short[] DFA146_eof = DFA.unpackEncodedString(DFA146_eofS);
    static final char[] DFA146_min = DFA.unpackEncodedStringToUnsignedChars(DFA146_minS);
    static final char[] DFA146_max = DFA.unpackEncodedStringToUnsignedChars(DFA146_maxS);
    static final short[] DFA146_accept = DFA.unpackEncodedString(DFA146_acceptS);
    static final short[] DFA146_special = DFA.unpackEncodedString(DFA146_specialS);
    static final short[][] DFA146_transition;

    static {
        int numStates = DFA146_transitionS.length;
        DFA146_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA146_transition[i] = DFA.unpackEncodedString(DFA146_transitionS[i]);
        }
    }

    class DFA146 extends DFA {

        public DFA146(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 146;
            this.eot = DFA146_eot;
            this.eof = DFA146_eof;
            this.min = DFA146_min;
            this.max = DFA146_max;
            this.accept = DFA146_accept;
            this.special = DFA146_special;
            this.transition = DFA146_transition;
        }
        public String getDescription() {
            return "()+ loopback of 853:8: ( '>' '>' '>' additiveExpression )+";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA146_29 = input.LA(1);

                         
                        int index146_29 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred226_Java()) ) {s = 50;}

                        else if ( (true) ) {s = 1;}

                         
                        input.seek(index146_29);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 146, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA150_eotS =
        "\106\uffff";
    static final String DFA150_eofS =
        "\1\3\105\uffff";
    static final String DFA150_minS =
        "\1\176\2\152\103\uffff";
    static final String DFA150_maxS =
        "\1\u00cd\2\u00d2\103\uffff";
    static final String DFA150_acceptS =
        "\3\uffff\1\2\31\uffff\1\1\50\uffff";
    static final String DFA150_specialS =
        "\106\uffff}>";
    static final String[] DFA150_transitionS = {
            "\1\3\3\uffff\1\3\3\uffff\4\3\1\uffff\1\3\4\uffff\2\3\12\uffff"+
            "\1\3\1\uffff\1\3\13\uffff\1\3\25\uffff\1\1\1\2\14\3",
            "\7\35\25\uffff\1\35\6\uffff\1\35\3\uffff\1\3\14\uffff\1\35"+
            "\1\uffff\12\35\2\uffff\3\35\21\uffff\2\35\14\uffff\5\35",
            "\7\35\25\uffff\1\35\6\uffff\1\35\3\uffff\1\3\14\uffff\1\35"+
            "\1\uffff\12\35\2\uffff\3\35\21\uffff\2\35\14\uffff\5\35",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA150_eot = DFA.unpackEncodedString(DFA150_eotS);
    static final short[] DFA150_eof = DFA.unpackEncodedString(DFA150_eofS);
    static final char[] DFA150_min = DFA.unpackEncodedStringToUnsignedChars(DFA150_minS);
    static final char[] DFA150_max = DFA.unpackEncodedStringToUnsignedChars(DFA150_maxS);
    static final short[] DFA150_accept = DFA.unpackEncodedString(DFA150_acceptS);
    static final short[] DFA150_special = DFA.unpackEncodedString(DFA150_specialS);
    static final short[][] DFA150_transition;

    static {
        int numStates = DFA150_transitionS.length;
        DFA150_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA150_transition[i] = DFA.unpackEncodedString(DFA150_transitionS[i]);
        }
    }

    class DFA150 extends DFA {

        public DFA150(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 150;
            this.eot = DFA150_eot;
            this.eof = DFA150_eof;
            this.min = DFA150_min;
            this.max = DFA150_max;
            this.accept = DFA150_accept;
            this.special = DFA150_special;
            this.transition = DFA150_transition;
        }
        public String getDescription() {
            return "860:5: ( ( (i+= '+' | i+= '-' ) multiplicativeExpression )+ -> ^( LABINOP multiplicativeExpression ( $i multiplicativeExpression )+ ) | -> multiplicativeExpression )";
        }
    }
    static final String DFA149_eotS =
        "\106\uffff";
    static final String DFA149_eofS =
        "\1\1\105\uffff";
    static final String DFA149_minS =
        "\1\176\21\uffff\2\152\62\uffff";
    static final String DFA149_maxS =
        "\1\u00cd\21\uffff\2\u00d2\62\uffff";
    static final String DFA149_acceptS =
        "\1\uffff\1\2\33\uffff\1\1\50\uffff";
    static final String DFA149_specialS =
        "\106\uffff}>";
    static final String[] DFA149_transitionS = {
            "\1\1\3\uffff\1\1\3\uffff\4\1\1\uffff\1\1\4\uffff\2\1\12\uffff"+
            "\1\1\1\uffff\1\1\13\uffff\1\1\25\uffff\1\22\1\23\14\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\7\35\25\uffff\1\35\6\uffff\1\35\3\uffff\1\1\14\uffff\1\35"+
            "\1\uffff\12\35\2\uffff\3\35\21\uffff\2\35\14\uffff\5\35",
            "\7\35\25\uffff\1\35\6\uffff\1\35\3\uffff\1\1\14\uffff\1\35"+
            "\1\uffff\12\35\2\uffff\3\35\21\uffff\2\35\14\uffff\5\35",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA149_eot = DFA.unpackEncodedString(DFA149_eotS);
    static final short[] DFA149_eof = DFA.unpackEncodedString(DFA149_eofS);
    static final char[] DFA149_min = DFA.unpackEncodedStringToUnsignedChars(DFA149_minS);
    static final char[] DFA149_max = DFA.unpackEncodedStringToUnsignedChars(DFA149_maxS);
    static final short[] DFA149_accept = DFA.unpackEncodedString(DFA149_acceptS);
    static final short[] DFA149_special = DFA.unpackEncodedString(DFA149_specialS);
    static final short[][] DFA149_transition;

    static {
        int numStates = DFA149_transitionS.length;
        DFA149_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA149_transition[i] = DFA.unpackEncodedString(DFA149_transitionS[i]);
        }
    }

    class DFA149 extends DFA {

        public DFA149(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 149;
            this.eot = DFA149_eot;
            this.eof = DFA149_eof;
            this.min = DFA149_min;
            this.max = DFA149_max;
            this.accept = DFA149_accept;
            this.special = DFA149_special;
            this.transition = DFA149_transition;
        }
        public String getDescription() {
            return "()+ loopback of 861:6: ( (i+= '+' | i+= '-' ) multiplicativeExpression )+";
        }
    }
    static final String DFA153_eotS =
        "\133\uffff";
    static final String DFA153_eofS =
        "\1\4\132\uffff";
    static final String DFA153_minS =
        "\1\176\3\152\127\uffff";
    static final String DFA153_maxS =
        "\1\u00cd\3\u00d2\127\uffff";
    static final String DFA153_acceptS =
        "\4\uffff\1\2\30\uffff\1\1\75\uffff";
    static final String DFA153_specialS =
        "\133\uffff}>";
    static final String[] DFA153_transitionS = {
            "\1\4\3\uffff\1\1\3\uffff\4\4\1\uffff\1\4\4\uffff\2\4\12\uffff"+
            "\1\4\1\uffff\1\4\13\uffff\1\4\25\uffff\2\4\1\2\3\4\1\3\7\4",
            "\7\35\25\uffff\1\35\6\uffff\1\35\3\uffff\1\4\14\uffff\1\35"+
            "\1\uffff\12\35\2\uffff\3\35\21\uffff\2\35\14\uffff\5\35",
            "\7\35\25\uffff\1\35\6\uffff\1\35\3\uffff\1\4\14\uffff\1\35"+
            "\1\uffff\12\35\2\uffff\3\35\21\uffff\2\35\14\uffff\5\35",
            "\7\35\25\uffff\1\35\6\uffff\1\35\3\uffff\1\4\14\uffff\1\35"+
            "\1\uffff\12\35\2\uffff\3\35\21\uffff\2\35\14\uffff\5\35",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA153_eot = DFA.unpackEncodedString(DFA153_eotS);
    static final short[] DFA153_eof = DFA.unpackEncodedString(DFA153_eofS);
    static final char[] DFA153_min = DFA.unpackEncodedStringToUnsignedChars(DFA153_minS);
    static final char[] DFA153_max = DFA.unpackEncodedStringToUnsignedChars(DFA153_maxS);
    static final short[] DFA153_accept = DFA.unpackEncodedString(DFA153_acceptS);
    static final short[] DFA153_special = DFA.unpackEncodedString(DFA153_specialS);
    static final short[][] DFA153_transition;

    static {
        int numStates = DFA153_transitionS.length;
        DFA153_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA153_transition[i] = DFA.unpackEncodedString(DFA153_transitionS[i]);
        }
    }

    class DFA153 extends DFA {

        public DFA153(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 153;
            this.eot = DFA153_eot;
            this.eof = DFA153_eof;
            this.min = DFA153_min;
            this.max = DFA153_max;
            this.accept = DFA153_accept;
            this.special = DFA153_special;
            this.transition = DFA153_transition;
        }
        public String getDescription() {
            return "868:5: ( ( (i+= '*' | i+= '/' | i+= '%' ) unaryExpression )+ -> ^( LABINOP unaryExpression ( $i unaryExpression )+ ) | -> unaryExpression )";
        }
    }
    static final String DFA152_eotS =
        "\133\uffff";
    static final String DFA152_eofS =
        "\1\1\132\uffff";
    static final String DFA152_minS =
        "\1\176\23\uffff\2\152\3\uffff\1\152\101\uffff";
    static final String DFA152_maxS =
        "\1\u00cd\23\uffff\2\u00d2\3\uffff\1\u00d2\101\uffff";
    static final String DFA152_acceptS =
        "\1\uffff\1\2\33\uffff\1\1\75\uffff";
    static final String DFA152_specialS =
        "\133\uffff}>";
    static final String[] DFA152_transitionS = {
            "\1\1\3\uffff\1\24\3\uffff\4\1\1\uffff\1\1\4\uffff\2\1\12\uffff"+
            "\1\1\1\uffff\1\1\13\uffff\1\1\25\uffff\2\1\1\25\3\1\1\31\7\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\7\35\25\uffff\1\35\6\uffff\1\35\3\uffff\1\1\14\uffff\1\35"+
            "\1\uffff\12\35\2\uffff\3\35\21\uffff\2\35\14\uffff\5\35",
            "\7\35\25\uffff\1\35\6\uffff\1\35\3\uffff\1\1\14\uffff\1\35"+
            "\1\uffff\12\35\2\uffff\3\35\21\uffff\2\35\14\uffff\5\35",
            "",
            "",
            "",
            "\7\35\25\uffff\1\35\6\uffff\1\35\3\uffff\1\1\14\uffff\1\35"+
            "\1\uffff\12\35\2\uffff\3\35\21\uffff\2\35\14\uffff\5\35",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA152_eot = DFA.unpackEncodedString(DFA152_eotS);
    static final short[] DFA152_eof = DFA.unpackEncodedString(DFA152_eofS);
    static final char[] DFA152_min = DFA.unpackEncodedStringToUnsignedChars(DFA152_minS);
    static final char[] DFA152_max = DFA.unpackEncodedStringToUnsignedChars(DFA152_maxS);
    static final short[] DFA152_accept = DFA.unpackEncodedString(DFA152_acceptS);
    static final short[] DFA152_special = DFA.unpackEncodedString(DFA152_specialS);
    static final short[][] DFA152_transition;

    static {
        int numStates = DFA152_transitionS.length;
        DFA152_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA152_transition[i] = DFA.unpackEncodedString(DFA152_transitionS[i]);
        }
    }

    class DFA152 extends DFA {

        public DFA152(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 152;
            this.eot = DFA152_eot;
            this.eof = DFA152_eof;
            this.min = DFA152_min;
            this.max = DFA152_max;
            this.accept = DFA152_accept;
            this.special = DFA152_special;
            this.transition = DFA152_transition;
        }
        public String getDescription() {
            return "()+ loopback of 869:6: ( (i+= '*' | i+= '/' | i+= '%' ) unaryExpression )+";
        }
    }
    static final String DFA154_eotS =
        "\25\uffff";
    static final String DFA154_eofS =
        "\25\uffff";
    static final String DFA154_minS =
        "\1\152\24\uffff";
    static final String DFA154_maxS =
        "\1\u00d2\24\uffff";
    static final String DFA154_acceptS =
        "\1\uffff\1\1\1\2\1\3\1\4\1\5\17\uffff";
    static final String DFA154_specialS =
        "\25\uffff}>";
    static final String[] DFA154_transitionS = {
            "\7\5\25\uffff\1\5\6\uffff\1\5\20\uffff\1\5\1\uffff\12\5\2\uffff"+
            "\3\5\21\uffff\1\1\1\2\14\uffff\1\3\1\4\3\5",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA154_eot = DFA.unpackEncodedString(DFA154_eotS);
    static final short[] DFA154_eof = DFA.unpackEncodedString(DFA154_eofS);
    static final char[] DFA154_min = DFA.unpackEncodedStringToUnsignedChars(DFA154_minS);
    static final char[] DFA154_max = DFA.unpackEncodedStringToUnsignedChars(DFA154_maxS);
    static final short[] DFA154_accept = DFA.unpackEncodedString(DFA154_acceptS);
    static final short[] DFA154_special = DFA.unpackEncodedString(DFA154_specialS);
    static final short[][] DFA154_transition;

    static {
        int numStates = DFA154_transitionS.length;
        DFA154_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA154_transition[i] = DFA.unpackEncodedString(DFA154_transitionS[i]);
        }
    }

    class DFA154 extends DFA {

        public DFA154(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 154;
            this.eot = DFA154_eot;
            this.eof = DFA154_eof;
            this.min = DFA154_min;
            this.max = DFA154_max;
            this.accept = DFA154_accept;
            this.special = DFA154_special;
            this.transition = DFA154_transition;
        }
        public String getDescription() {
            return "874:1: unaryExpression : ( '+' unaryExpression -> unaryExpression | '-' unaryExpression -> ^( NEG unaryExpression ) | '++' unaryExpression -> ^( PREINC unaryExpression ) | '--' unaryExpression -> ^( PREDEC unaryExpression ) | unaryExpressionNotPlusMinus -> unaryExpressionNotPlusMinus );";
        }
    }
    static final String DFA158_eotS =
        "\46\uffff";
    static final String DFA158_eofS =
        "\46\uffff";
    static final String DFA158_minS =
        "\1\152\2\uffff\1\152\15\uffff\24\0\1\uffff";
    static final String DFA158_maxS =
        "\1\u00d2\2\uffff\1\u00d2\15\uffff\24\0\1\uffff";
    static final String DFA158_acceptS =
        "\1\uffff\1\1\1\2\1\uffff\1\4\40\uffff\1\3";
    static final String DFA158_specialS =
        "\21\uffff\1\0\1\1\1\2\1\3\1\4\1\5\1\6\1\7\1\10\1\11\1\12\1\13\1"+
        "\14\1\15\1\16\1\17\1\20\1\21\1\22\1\23\1\uffff}>";
    static final String[] DFA158_transitionS = {
            "\7\4\25\uffff\1\4\6\uffff\1\4\20\uffff\1\4\1\uffff\11\4\1\3"+
            "\2\uffff\3\4\41\uffff\1\1\1\2\1\4",
            "",
            "",
            "\1\21\1\35\1\36\1\37\3\34\25\uffff\1\33\6\uffff\1\43\20\uffff"+
            "\1\22\1\uffff\10\23\1\44\1\32\2\uffff\1\41\2\40\21\uffff\1\24"+
            "\1\25\14\uffff\1\26\1\27\1\30\1\31\1\42",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            ""
    };

    static final short[] DFA158_eot = DFA.unpackEncodedString(DFA158_eotS);
    static final short[] DFA158_eof = DFA.unpackEncodedString(DFA158_eofS);
    static final char[] DFA158_min = DFA.unpackEncodedStringToUnsignedChars(DFA158_minS);
    static final char[] DFA158_max = DFA.unpackEncodedStringToUnsignedChars(DFA158_maxS);
    static final short[] DFA158_accept = DFA.unpackEncodedString(DFA158_acceptS);
    static final short[] DFA158_special = DFA.unpackEncodedString(DFA158_specialS);
    static final short[][] DFA158_transition;

    static {
        int numStates = DFA158_transitionS.length;
        DFA158_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA158_transition[i] = DFA.unpackEncodedString(DFA158_transitionS[i]);
        }
    }

    class DFA158 extends DFA {

        public DFA158(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 158;
            this.eot = DFA158_eot;
            this.eof = DFA158_eof;
            this.min = DFA158_min;
            this.max = DFA158_max;
            this.accept = DFA158_accept;
            this.special = DFA158_special;
            this.transition = DFA158_transition;
        }
        public String getDescription() {
            return "882:1: unaryExpressionNotPlusMinus : ( '~' unaryExpression -> ^( INV unaryExpression ) | '!' unaryExpression -> ^( NOT unaryExpression ) | castExpression | primary ( ( selector )+ ( '++' -> ^( POSTINC ^( SELECTOR primary ( selector )+ ) ) | '--' -> ^( POSTDEC ^( SELECTOR primary ( selector )+ ) ) | -> ^( SELECTOR primary ( selector )+ ) ) | '++' -> ^( POSTINC primary ) | '--' -> ^( POSTDEC primary ) | -> primary ) );";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA158_17 = input.LA(1);

                         
                        int index158_17 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_17);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA158_18 = input.LA(1);

                         
                        int index158_18 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_18);
                        if ( s>=0 ) return s;
                        break;
                    case 2 : 
                        int LA158_19 = input.LA(1);

                         
                        int index158_19 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_19);
                        if ( s>=0 ) return s;
                        break;
                    case 3 : 
                        int LA158_20 = input.LA(1);

                         
                        int index158_20 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_20);
                        if ( s>=0 ) return s;
                        break;
                    case 4 : 
                        int LA158_21 = input.LA(1);

                         
                        int index158_21 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_21);
                        if ( s>=0 ) return s;
                        break;
                    case 5 : 
                        int LA158_22 = input.LA(1);

                         
                        int index158_22 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_22);
                        if ( s>=0 ) return s;
                        break;
                    case 6 : 
                        int LA158_23 = input.LA(1);

                         
                        int index158_23 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_23);
                        if ( s>=0 ) return s;
                        break;
                    case 7 : 
                        int LA158_24 = input.LA(1);

                         
                        int index158_24 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_24);
                        if ( s>=0 ) return s;
                        break;
                    case 8 : 
                        int LA158_25 = input.LA(1);

                         
                        int index158_25 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_25);
                        if ( s>=0 ) return s;
                        break;
                    case 9 : 
                        int LA158_26 = input.LA(1);

                         
                        int index158_26 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_26);
                        if ( s>=0 ) return s;
                        break;
                    case 10 : 
                        int LA158_27 = input.LA(1);

                         
                        int index158_27 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_27);
                        if ( s>=0 ) return s;
                        break;
                    case 11 : 
                        int LA158_28 = input.LA(1);

                         
                        int index158_28 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_28);
                        if ( s>=0 ) return s;
                        break;
                    case 12 : 
                        int LA158_29 = input.LA(1);

                         
                        int index158_29 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_29);
                        if ( s>=0 ) return s;
                        break;
                    case 13 : 
                        int LA158_30 = input.LA(1);

                         
                        int index158_30 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_30);
                        if ( s>=0 ) return s;
                        break;
                    case 14 : 
                        int LA158_31 = input.LA(1);

                         
                        int index158_31 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_31);
                        if ( s>=0 ) return s;
                        break;
                    case 15 : 
                        int LA158_32 = input.LA(1);

                         
                        int index158_32 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_32);
                        if ( s>=0 ) return s;
                        break;
                    case 16 : 
                        int LA158_33 = input.LA(1);

                         
                        int index158_33 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_33);
                        if ( s>=0 ) return s;
                        break;
                    case 17 : 
                        int LA158_34 = input.LA(1);

                         
                        int index158_34 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_34);
                        if ( s>=0 ) return s;
                        break;
                    case 18 : 
                        int LA158_35 = input.LA(1);

                         
                        int index158_35 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_35);
                        if ( s>=0 ) return s;
                        break;
                    case 19 : 
                        int LA158_36 = input.LA(1);

                         
                        int index158_36 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred241_Java()) ) {s = 37;}

                        else if ( (true) ) {s = 4;}

                         
                        input.seek(index158_36);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 158, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA157_eotS =
        "\40\uffff";
    static final String DFA157_eofS =
        "\1\5\37\uffff";
    static final String DFA157_minS =
        "\1\176\37\uffff";
    static final String DFA157_maxS =
        "\1\u00cf\37\uffff";
    static final String DFA157_acceptS =
        "\1\uffff\1\1\1\uffff\1\2\1\3\1\4\32\uffff";
    static final String DFA157_specialS =
        "\40\uffff}>";
    static final String[] DFA157_transitionS = {
            "\1\5\2\uffff\1\1\1\5\3\uffff\4\5\1\uffff\1\5\3\uffff\1\1\2"+
            "\5\12\uffff\1\5\1\uffff\1\5\13\uffff\1\5\25\uffff\16\5\1\3\1"+
            "\4",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA157_eot = DFA.unpackEncodedString(DFA157_eotS);
    static final short[] DFA157_eof = DFA.unpackEncodedString(DFA157_eofS);
    static final char[] DFA157_min = DFA.unpackEncodedStringToUnsignedChars(DFA157_minS);
    static final char[] DFA157_max = DFA.unpackEncodedStringToUnsignedChars(DFA157_maxS);
    static final short[] DFA157_accept = DFA.unpackEncodedString(DFA157_acceptS);
    static final short[] DFA157_special = DFA.unpackEncodedString(DFA157_specialS);
    static final short[][] DFA157_transition;

    static {
        int numStates = DFA157_transitionS.length;
        DFA157_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA157_transition[i] = DFA.unpackEncodedString(DFA157_transitionS[i]);
        }
    }

    class DFA157 extends DFA {

        public DFA157(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 157;
            this.eot = DFA157_eot;
            this.eof = DFA157_eof;
            this.min = DFA157_min;
            this.max = DFA157_max;
            this.accept = DFA157_accept;
            this.special = DFA157_special;
            this.transition = DFA157_transition;
        }
        public String getDescription() {
            return "887:3: ( ( selector )+ ( '++' -> ^( POSTINC ^( SELECTOR primary ( selector )+ ) ) | '--' -> ^( POSTDEC ^( SELECTOR primary ( selector )+ ) ) | -> ^( SELECTOR primary ( selector )+ ) ) | '++' -> ^( POSTINC primary ) | '--' -> ^( POSTDEC primary ) | -> primary )";
        }
    }
    static final String DFA155_eotS =
        "\40\uffff";
    static final String DFA155_eofS =
        "\1\1\37\uffff";
    static final String DFA155_minS =
        "\1\176\37\uffff";
    static final String DFA155_maxS =
        "\1\u00cf\37\uffff";
    static final String DFA155_acceptS =
        "\1\uffff\1\2\34\uffff\1\1\1\uffff";
    static final String DFA155_specialS =
        "\40\uffff}>";
    static final String[] DFA155_transitionS = {
            "\1\1\2\uffff\1\36\1\1\3\uffff\4\1\1\uffff\1\1\3\uffff\1\36"+
            "\2\1\12\uffff\1\1\1\uffff\1\1\13\uffff\1\1\25\uffff\20\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA155_eot = DFA.unpackEncodedString(DFA155_eotS);
    static final short[] DFA155_eof = DFA.unpackEncodedString(DFA155_eofS);
    static final char[] DFA155_min = DFA.unpackEncodedStringToUnsignedChars(DFA155_minS);
    static final char[] DFA155_max = DFA.unpackEncodedStringToUnsignedChars(DFA155_maxS);
    static final short[] DFA155_accept = DFA.unpackEncodedString(DFA155_acceptS);
    static final short[] DFA155_special = DFA.unpackEncodedString(DFA155_specialS);
    static final short[][] DFA155_transition;

    static {
        int numStates = DFA155_transitionS.length;
        DFA155_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA155_transition[i] = DFA.unpackEncodedString(DFA155_transitionS[i]);
        }
    }

    class DFA155 extends DFA {

        public DFA155(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 155;
            this.eot = DFA155_eot;
            this.eof = DFA155_eof;
            this.min = DFA155_min;
            this.max = DFA155_max;
            this.accept = DFA155_accept;
            this.special = DFA155_special;
            this.transition = DFA155_transition;
        }
        public String getDescription() {
            return "()+ loopback of 888:4: ( selector )+";
        }
    }
    static final String DFA156_eotS =
        "\36\uffff";
    static final String DFA156_eofS =
        "\1\3\35\uffff";
    static final String DFA156_minS =
        "\1\176\35\uffff";
    static final String DFA156_maxS =
        "\1\u00cf\35\uffff";
    static final String DFA156_acceptS =
        "\1\uffff\1\1\1\2\1\3\32\uffff";
    static final String DFA156_specialS =
        "\36\uffff}>";
    static final String[] DFA156_transitionS = {
            "\1\3\3\uffff\1\3\3\uffff\4\3\1\uffff\1\3\4\uffff\2\3\12\uffff"+
            "\1\3\1\uffff\1\3\13\uffff\1\3\25\uffff\16\3\1\1\1\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA156_eot = DFA.unpackEncodedString(DFA156_eotS);
    static final short[] DFA156_eof = DFA.unpackEncodedString(DFA156_eofS);
    static final char[] DFA156_min = DFA.unpackEncodedStringToUnsignedChars(DFA156_minS);
    static final char[] DFA156_max = DFA.unpackEncodedStringToUnsignedChars(DFA156_maxS);
    static final short[] DFA156_accept = DFA.unpackEncodedString(DFA156_acceptS);
    static final short[] DFA156_special = DFA.unpackEncodedString(DFA156_specialS);
    static final short[][] DFA156_transition;

    static {
        int numStates = DFA156_transitionS.length;
        DFA156_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA156_transition[i] = DFA.unpackEncodedString(DFA156_transitionS[i]);
        }
    }

    class DFA156 extends DFA {

        public DFA156(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 156;
            this.eot = DFA156_eot;
            this.eof = DFA156_eof;
            this.min = DFA156_min;
            this.max = DFA156_max;
            this.accept = DFA156_accept;
            this.special = DFA156_special;
            this.transition = DFA156_transition;
        }
        public String getDescription() {
            return "889:4: ( '++' -> ^( POSTINC ^( SELECTOR primary ( selector )+ ) ) | '--' -> ^( POSTDEC ^( SELECTOR primary ( selector )+ ) ) | -> ^( SELECTOR primary ( selector )+ ) )";
        }
    }
    static final String DFA159_eotS =
        "\30\uffff";
    static final String DFA159_eofS =
        "\30\uffff";
    static final String DFA159_minS =
        "\1\u00a9\1\152\17\uffff\3\0\4\uffff";
    static final String DFA159_maxS =
        "\1\u00a9\1\u00d2\17\uffff\3\0\4\uffff";
    static final String DFA159_acceptS =
        "\2\uffff\1\3\23\uffff\1\2\1\1";
    static final String DFA159_specialS =
        "\21\uffff\1\0\1\1\1\2\4\uffff}>";
    static final String[] DFA159_transitionS = {
            "\1\1",
            "\1\21\6\2\25\uffff\1\2\6\uffff\1\2\20\uffff\1\22\1\uffff\10"+
            "\23\2\2\2\uffff\3\2\21\uffff\2\2\14\uffff\5\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA159_eot = DFA.unpackEncodedString(DFA159_eotS);
    static final short[] DFA159_eof = DFA.unpackEncodedString(DFA159_eofS);
    static final char[] DFA159_min = DFA.unpackEncodedStringToUnsignedChars(DFA159_minS);
    static final char[] DFA159_max = DFA.unpackEncodedStringToUnsignedChars(DFA159_maxS);
    static final short[] DFA159_accept = DFA.unpackEncodedString(DFA159_acceptS);
    static final short[] DFA159_special = DFA.unpackEncodedString(DFA159_specialS);
    static final short[][] DFA159_transition;

    static {
        int numStates = DFA159_transitionS.length;
        DFA159_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA159_transition[i] = DFA.unpackEncodedString(DFA159_transitionS[i]);
        }
    }

    class DFA159 extends DFA {

        public DFA159(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 159;
            this.eot = DFA159_eot;
            this.eof = DFA159_eof;
            this.min = DFA159_min;
            this.max = DFA159_max;
            this.accept = DFA159_accept;
            this.special = DFA159_special;
            this.transition = DFA159_transition;
        }
        public String getDescription() {
            return "900:1: castExpression : ( '(' primitiveType ')' unaryExpression -> ^( CAST ^( TYPE primitiveType ) unaryExpression ) | '(' type ')' unaryExpressionNotPlusMinus -> ^( CAST type unaryExpressionNotPlusMinus ) | '(' expression ')' unaryExpressionNotPlusMinus ->);";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA159_17 = input.LA(1);

                         
                        int index159_17 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred249_Java()) ) {s = 22;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index159_17);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA159_18 = input.LA(1);

                         
                        int index159_18 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred249_Java()) ) {s = 22;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index159_18);
                        if ( s>=0 ) return s;
                        break;
                    case 2 : 
                        int LA159_19 = input.LA(1);

                         
                        int index159_19 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred248_Java()) ) {s = 23;}

                        else if ( (synpred249_Java()) ) {s = 22;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index159_19);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 159, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA173_eotS =
        "\63\uffff";
    static final String DFA173_eofS =
        "\12\uffff\1\24\50\uffff";
    static final String DFA173_minS =
        "\1\152\10\uffff\1\152\1\176\4\uffff\1\0\3\uffff\1\0\1\uffff\2\0"+
        "\7\uffff\1\0\24\uffff";
    static final String DFA173_maxS =
        "\1\u00d2\10\uffff\1\u00a7\1\u00cf\4\uffff\1\0\3\uffff\1\0\1\uffff"+
        "\2\0\7\uffff\1\0\24\uffff";
    static final String DFA173_acceptS =
        "\1\uffff\1\1\1\2\1\3\7\uffff\1\6\1\uffff\1\7\1\10\1\uffff\1\5\1"+
        "\4\2\uffff\1\11\36\uffff";
    static final String DFA173_specialS =
        "\17\uffff\1\0\3\uffff\1\1\1\uffff\1\2\1\3\7\uffff\1\4\24\uffff}>";
    static final String[] DFA173_transitionS = {
            "\1\12\6\3\25\uffff\1\2\6\uffff\1\15\20\uffff\1\13\1\uffff\10"+
            "\13\1\16\1\1\2\uffff\3\3\43\uffff\1\11",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\20\33\uffff\1\17\31\uffff\10\21",
            "\1\24\2\uffff\1\25\1\24\3\uffff\1\36\3\24\1\uffff\1\24\3\uffff"+
            "\1\26\2\24\12\uffff\1\23\1\13\1\24\12\uffff\2\24\25\uffff\20"+
            "\24",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "\1\uffff",
            "",
            "\1\uffff",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA173_eot = DFA.unpackEncodedString(DFA173_eotS);
    static final short[] DFA173_eof = DFA.unpackEncodedString(DFA173_eofS);
    static final char[] DFA173_min = DFA.unpackEncodedStringToUnsignedChars(DFA173_minS);
    static final char[] DFA173_max = DFA.unpackEncodedStringToUnsignedChars(DFA173_maxS);
    static final short[] DFA173_accept = DFA.unpackEncodedString(DFA173_acceptS);
    static final short[] DFA173_special = DFA.unpackEncodedString(DFA173_specialS);
    static final short[][] DFA173_transition;

    static {
        int numStates = DFA173_transitionS.length;
        DFA173_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA173_transition[i] = DFA.unpackEncodedString(DFA173_transitionS[i]);
        }
    }

    class DFA173 extends DFA {

        public DFA173(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 173;
            this.eot = DFA173_eot;
            this.eof = DFA173_eof;
            this.min = DFA173_min;
            this.max = DFA173_max;
            this.accept = DFA173_accept;
            this.special = DFA173_special;
            this.transition = DFA173_transition;
        }
        public String getDescription() {
            return "906:1: primary : ( parExpression | nonWildcardTypeArguments explicitGenericInvocationSuffix -> ^( INVOKE ^( TYPE_PARAMETER nonWildcardTypeArguments ) explicitGenericInvocationSuffix ) | literal | 'new' ( nonWildcardTypeArguments )? primitiveType ( ( '[' expression ']' )+ ( '[' ']' )* -> ^( NEW ^( TYPE primitiveType ( '[' )* ) ( expression )* ) | ( '[' ']' )+ arrayInitializer -> ^( ARRAYINIT ^( TYPE primitiveType ( '[' )* ) arrayInitializer ) ) | 'new' ( nonWildcardTypeArguments )? nwContext ':' (i+= refComponent ( '.' i+= refComponent )* ) ( ( '[' expression ']' )+ ( '[' ']' )* -> ^( NEW ^( TYPE nwContext ( $i)+ ( '[' )* ) ( expression )* ) | ( '[' ']' )+ arrayInitializer -> ^( ARRAYINIT ^( TYPE nwContext ( $i)+ ( '[' )* ) arrayInitializer ) | classCreatorRest -> ^( NEW ^( TYPE nwContext ( $i)+ ) ( classCreatorRest )? ) ) | type '.' 'class' -> ^( GETCLASS type ) | 'void' '.' 'class' -> ^( GETCLASS ^( TYPE VOID ) ) | 'super' ( arguments -> ^( INVOKE 'super' ( arguments )? ) | -> ^( VAR 'super' ) ) | Identifier ( arguments -> ^( INVOKE Identifier ( arguments )? ) | -> ^( VAR Identifier ) ) );";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA173_15 = input.LA(1);

                         
                        int index173_15 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred258_Java()) ) {s = 17;}

                        else if ( (synpred266_Java()) ) {s = 16;}

                         
                        input.seek(index173_15);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA173_19 = input.LA(1);

                         
                        int index173_19 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred267_Java()) ) {s = 11;}

                        else if ( (true) ) {s = 20;}

                         
                        input.seek(index173_19);
                        if ( s>=0 ) return s;
                        break;
                    case 2 : 
                        int LA173_21 = input.LA(1);

                         
                        int index173_21 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred267_Java()) ) {s = 11;}

                        else if ( (true) ) {s = 20;}

                         
                        input.seek(index173_21);
                        if ( s>=0 ) return s;
                        break;
                    case 3 : 
                        int LA173_22 = input.LA(1);

                         
                        int index173_22 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred267_Java()) ) {s = 11;}

                        else if ( (true) ) {s = 20;}

                         
                        input.seek(index173_22);
                        if ( s>=0 ) return s;
                        break;
                    case 4 : 
                        int LA173_30 = input.LA(1);

                         
                        int index173_30 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred267_Java()) ) {s = 11;}

                        else if ( (true) ) {s = 20;}

                         
                        input.seek(index173_30);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 173, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA164_eotS =
        "\27\uffff";
    static final String DFA164_eofS =
        "\27\uffff";
    static final String DFA164_minS =
        "\1\u008f\1\152\25\uffff";
    static final String DFA164_maxS =
        "\1\u008f\1\u00d2\25\uffff";
    static final String DFA164_acceptS =
        "\2\uffff\1\2\1\1\23\uffff";
    static final String DFA164_specialS =
        "\27\uffff}>";
    static final String[] DFA164_transitionS = {
            "\1\1",
            "\7\3\25\uffff\1\3\6\uffff\1\3\2\uffff\1\2\15\uffff\1\3\1\uffff"+
            "\12\3\2\uffff\3\3\21\uffff\2\3\14\uffff\5\3",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA164_eot = DFA.unpackEncodedString(DFA164_eotS);
    static final short[] DFA164_eof = DFA.unpackEncodedString(DFA164_eofS);
    static final char[] DFA164_min = DFA.unpackEncodedStringToUnsignedChars(DFA164_minS);
    static final char[] DFA164_max = DFA.unpackEncodedStringToUnsignedChars(DFA164_maxS);
    static final short[] DFA164_accept = DFA.unpackEncodedString(DFA164_acceptS);
    static final short[] DFA164_special = DFA.unpackEncodedString(DFA164_specialS);
    static final short[][] DFA164_transition;

    static {
        int numStates = DFA164_transitionS.length;
        DFA164_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA164_transition[i] = DFA.unpackEncodedString(DFA164_transitionS[i]);
        }
    }

    class DFA164 extends DFA {

        public DFA164(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 164;
            this.eot = DFA164_eot;
            this.eof = DFA164_eof;
            this.min = DFA164_min;
            this.max = DFA164_max;
            this.accept = DFA164_accept;
            this.special = DFA164_special;
            this.transition = DFA164_transition;
        }
        public String getDescription() {
            return "911:6: ( ( '[' expression ']' )+ ( '[' ']' )* -> ^( NEW ^( TYPE primitiveType ( '[' )* ) ( expression )* ) | ( '[' ']' )+ arrayInitializer -> ^( ARRAYINIT ^( TYPE primitiveType ( '[' )* ) arrayInitializer ) )";
        }
    }
    static final String DFA161_eotS =
        "\66\uffff";
    static final String DFA161_eofS =
        "\1\2\65\uffff";
    static final String DFA161_minS =
        "\1\176\1\152\37\uffff\24\0\1\uffff";
    static final String DFA161_maxS =
        "\1\u00cf\1\u00d2\37\uffff\24\0\1\uffff";
    static final String DFA161_acceptS =
        "\2\uffff\1\2\62\uffff\1\1";
    static final String DFA161_specialS =
        "\41\uffff\1\0\1\1\1\2\1\3\1\4\1\5\1\6\1\7\1\10\1\11\1\12\1\13\1"+
        "\14\1\15\1\16\1\17\1\20\1\21\1\22\1\23\1\uffff}>";
    static final String[] DFA161_transitionS = {
            "\1\2\2\uffff\2\2\3\uffff\4\2\1\uffff\1\2\3\uffff\1\1\2\2\12"+
            "\uffff\1\2\1\uffff\1\2\13\uffff\1\2\25\uffff\20\2",
            "\1\60\1\52\1\53\1\54\3\51\25\uffff\1\50\6\uffff\1\63\2\uffff"+
            "\1\2\15\uffff\1\61\1\uffff\10\62\1\64\1\47\2\uffff\1\56\2\55"+
            "\21\uffff\1\41\1\42\14\uffff\1\43\1\44\1\45\1\46\1\57",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            ""
    };

    static final short[] DFA161_eot = DFA.unpackEncodedString(DFA161_eotS);
    static final short[] DFA161_eof = DFA.unpackEncodedString(DFA161_eofS);
    static final char[] DFA161_min = DFA.unpackEncodedStringToUnsignedChars(DFA161_minS);
    static final char[] DFA161_max = DFA.unpackEncodedStringToUnsignedChars(DFA161_maxS);
    static final short[] DFA161_accept = DFA.unpackEncodedString(DFA161_acceptS);
    static final short[] DFA161_special = DFA.unpackEncodedString(DFA161_specialS);
    static final short[][] DFA161_transition;

    static {
        int numStates = DFA161_transitionS.length;
        DFA161_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA161_transition[i] = DFA.unpackEncodedString(DFA161_transitionS[i]);
        }
    }

    class DFA161 extends DFA {

        public DFA161(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 161;
            this.eot = DFA161_eot;
            this.eof = DFA161_eof;
            this.min = DFA161_min;
            this.max = DFA161_max;
            this.accept = DFA161_accept;
            this.special = DFA161_special;
            this.transition = DFA161_transition;
        }
        public String getDescription() {
            return "()+ loopback of 912:7: ( '[' expression ']' )+";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA161_33 = input.LA(1);

                         
                        int index161_33 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_33);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA161_34 = input.LA(1);

                         
                        int index161_34 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_34);
                        if ( s>=0 ) return s;
                        break;
                    case 2 : 
                        int LA161_35 = input.LA(1);

                         
                        int index161_35 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_35);
                        if ( s>=0 ) return s;
                        break;
                    case 3 : 
                        int LA161_36 = input.LA(1);

                         
                        int index161_36 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_36);
                        if ( s>=0 ) return s;
                        break;
                    case 4 : 
                        int LA161_37 = input.LA(1);

                         
                        int index161_37 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_37);
                        if ( s>=0 ) return s;
                        break;
                    case 5 : 
                        int LA161_38 = input.LA(1);

                         
                        int index161_38 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_38);
                        if ( s>=0 ) return s;
                        break;
                    case 6 : 
                        int LA161_39 = input.LA(1);

                         
                        int index161_39 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_39);
                        if ( s>=0 ) return s;
                        break;
                    case 7 : 
                        int LA161_40 = input.LA(1);

                         
                        int index161_40 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_40);
                        if ( s>=0 ) return s;
                        break;
                    case 8 : 
                        int LA161_41 = input.LA(1);

                         
                        int index161_41 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_41);
                        if ( s>=0 ) return s;
                        break;
                    case 9 : 
                        int LA161_42 = input.LA(1);

                         
                        int index161_42 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_42);
                        if ( s>=0 ) return s;
                        break;
                    case 10 : 
                        int LA161_43 = input.LA(1);

                         
                        int index161_43 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_43);
                        if ( s>=0 ) return s;
                        break;
                    case 11 : 
                        int LA161_44 = input.LA(1);

                         
                        int index161_44 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_44);
                        if ( s>=0 ) return s;
                        break;
                    case 12 : 
                        int LA161_45 = input.LA(1);

                         
                        int index161_45 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_45);
                        if ( s>=0 ) return s;
                        break;
                    case 13 : 
                        int LA161_46 = input.LA(1);

                         
                        int index161_46 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_46);
                        if ( s>=0 ) return s;
                        break;
                    case 14 : 
                        int LA161_47 = input.LA(1);

                         
                        int index161_47 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_47);
                        if ( s>=0 ) return s;
                        break;
                    case 15 : 
                        int LA161_48 = input.LA(1);

                         
                        int index161_48 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_48);
                        if ( s>=0 ) return s;
                        break;
                    case 16 : 
                        int LA161_49 = input.LA(1);

                         
                        int index161_49 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_49);
                        if ( s>=0 ) return s;
                        break;
                    case 17 : 
                        int LA161_50 = input.LA(1);

                         
                        int index161_50 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_50);
                        if ( s>=0 ) return s;
                        break;
                    case 18 : 
                        int LA161_51 = input.LA(1);

                         
                        int index161_51 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_51);
                        if ( s>=0 ) return s;
                        break;
                    case 19 : 
                        int LA161_52 = input.LA(1);

                         
                        int index161_52 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred254_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index161_52);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 161, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA162_eotS =
        "\65\uffff";
    static final String DFA162_eofS =
        "\1\1\64\uffff";
    static final String DFA162_minS =
        "\1\176\1\uffff\1\152\62\uffff";
    static final String DFA162_maxS =
        "\1\u00cf\1\uffff\1\u00d2\62\uffff";
    static final String DFA162_acceptS =
        "\1\uffff\1\2\36\uffff\1\1\24\uffff";
    static final String DFA162_specialS =
        "\65\uffff}>";
    static final String[] DFA162_transitionS = {
            "\1\1\2\uffff\2\1\3\uffff\4\1\1\uffff\1\1\3\uffff\1\2\2\1\12"+
            "\uffff\1\1\1\uffff\1\1\13\uffff\1\1\25\uffff\20\1",
            "",
            "\7\1\25\uffff\1\1\6\uffff\1\1\2\uffff\1\40\15\uffff\1\1\1"+
            "\uffff\12\1\2\uffff\3\1\21\uffff\2\1\14\uffff\5\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA162_eot = DFA.unpackEncodedString(DFA162_eotS);
    static final short[] DFA162_eof = DFA.unpackEncodedString(DFA162_eofS);
    static final char[] DFA162_min = DFA.unpackEncodedStringToUnsignedChars(DFA162_minS);
    static final char[] DFA162_max = DFA.unpackEncodedStringToUnsignedChars(DFA162_maxS);
    static final short[] DFA162_accept = DFA.unpackEncodedString(DFA162_acceptS);
    static final short[] DFA162_special = DFA.unpackEncodedString(DFA162_specialS);
    static final short[][] DFA162_transition;

    static {
        int numStates = DFA162_transitionS.length;
        DFA162_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA162_transition[i] = DFA.unpackEncodedString(DFA162_transitionS[i]);
        }
    }

    class DFA162 extends DFA {

        public DFA162(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 162;
            this.eot = DFA162_eot;
            this.eof = DFA162_eof;
            this.min = DFA162_min;
            this.max = DFA162_max;
            this.accept = DFA162_accept;
            this.special = DFA162_special;
            this.transition = DFA162_transition;
        }
        public String getDescription() {
            return "()* loopback of 912:29: ( '[' ']' )*";
        }
    }
    static final String DFA170_eotS =
        "\30\uffff";
    static final String DFA170_eofS =
        "\30\uffff";
    static final String DFA170_minS =
        "\1\u008f\1\152\26\uffff";
    static final String DFA170_maxS =
        "\1\u00a9\1\u00d2\26\uffff";
    static final String DFA170_acceptS =
        "\2\uffff\1\3\1\2\1\1\23\uffff";
    static final String DFA170_specialS =
        "\30\uffff}>";
    static final String[] DFA170_transitionS = {
            "\1\1\31\uffff\1\2",
            "\7\4\25\uffff\1\4\6\uffff\1\4\2\uffff\1\3\15\uffff\1\4\1\uffff"+
            "\12\4\2\uffff\3\4\21\uffff\2\4\14\uffff\5\4",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA170_eot = DFA.unpackEncodedString(DFA170_eotS);
    static final short[] DFA170_eof = DFA.unpackEncodedString(DFA170_eofS);
    static final char[] DFA170_min = DFA.unpackEncodedStringToUnsignedChars(DFA170_minS);
    static final char[] DFA170_max = DFA.unpackEncodedStringToUnsignedChars(DFA170_maxS);
    static final short[] DFA170_accept = DFA.unpackEncodedString(DFA170_acceptS);
    static final short[] DFA170_special = DFA.unpackEncodedString(DFA170_specialS);
    static final short[][] DFA170_transition;

    static {
        int numStates = DFA170_transitionS.length;
        DFA170_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA170_transition[i] = DFA.unpackEncodedString(DFA170_transitionS[i]);
        }
    }

    class DFA170 extends DFA {

        public DFA170(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 170;
            this.eot = DFA170_eot;
            this.eof = DFA170_eof;
            this.min = DFA170_min;
            this.max = DFA170_max;
            this.accept = DFA170_accept;
            this.special = DFA170_special;
            this.transition = DFA170_transition;
        }
        public String getDescription() {
            return "916:6: ( ( '[' expression ']' )+ ( '[' ']' )* -> ^( NEW ^( TYPE nwContext ( $i)+ ( '[' )* ) ( expression )* ) | ( '[' ']' )+ arrayInitializer -> ^( ARRAYINIT ^( TYPE nwContext ( $i)+ ( '[' )* ) arrayInitializer ) | classCreatorRest -> ^( NEW ^( TYPE nwContext ( $i)+ ) ( classCreatorRest )? ) )";
        }
    }
    static final String DFA167_eotS =
        "\66\uffff";
    static final String DFA167_eofS =
        "\1\2\65\uffff";
    static final String DFA167_minS =
        "\1\176\1\152\37\uffff\24\0\1\uffff";
    static final String DFA167_maxS =
        "\1\u00cf\1\u00d2\37\uffff\24\0\1\uffff";
    static final String DFA167_acceptS =
        "\2\uffff\1\2\62\uffff\1\1";
    static final String DFA167_specialS =
        "\41\uffff\1\0\1\1\1\2\1\3\1\4\1\5\1\6\1\7\1\10\1\11\1\12\1\13\1"+
        "\14\1\15\1\16\1\17\1\20\1\21\1\22\1\23\1\uffff}>";
    static final String[] DFA167_transitionS = {
            "\1\2\2\uffff\2\2\3\uffff\4\2\1\uffff\1\2\3\uffff\1\1\2\2\12"+
            "\uffff\1\2\1\uffff\1\2\13\uffff\1\2\25\uffff\20\2",
            "\1\60\1\52\1\53\1\54\3\51\25\uffff\1\50\6\uffff\1\63\2\uffff"+
            "\1\2\15\uffff\1\61\1\uffff\10\62\1\64\1\47\2\uffff\1\56\2\55"+
            "\21\uffff\1\41\1\42\14\uffff\1\43\1\44\1\45\1\46\1\57",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            "\1\uffff",
            ""
    };

    static final short[] DFA167_eot = DFA.unpackEncodedString(DFA167_eotS);
    static final short[] DFA167_eof = DFA.unpackEncodedString(DFA167_eofS);
    static final char[] DFA167_min = DFA.unpackEncodedStringToUnsignedChars(DFA167_minS);
    static final char[] DFA167_max = DFA.unpackEncodedStringToUnsignedChars(DFA167_maxS);
    static final short[] DFA167_accept = DFA.unpackEncodedString(DFA167_acceptS);
    static final short[] DFA167_special = DFA.unpackEncodedString(DFA167_specialS);
    static final short[][] DFA167_transition;

    static {
        int numStates = DFA167_transitionS.length;
        DFA167_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA167_transition[i] = DFA.unpackEncodedString(DFA167_transitionS[i]);
        }
    }

    class DFA167 extends DFA {

        public DFA167(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 167;
            this.eot = DFA167_eot;
            this.eof = DFA167_eof;
            this.min = DFA167_min;
            this.max = DFA167_max;
            this.accept = DFA167_accept;
            this.special = DFA167_special;
            this.transition = DFA167_transition;
        }
        public String getDescription() {
            return "()+ loopback of 917:7: ( '[' expression ']' )+";
        }
        public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
            TokenStream input = (TokenStream)_input;
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA167_33 = input.LA(1);

                         
                        int index167_33 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_33);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA167_34 = input.LA(1);

                         
                        int index167_34 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_34);
                        if ( s>=0 ) return s;
                        break;
                    case 2 : 
                        int LA167_35 = input.LA(1);

                         
                        int index167_35 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_35);
                        if ( s>=0 ) return s;
                        break;
                    case 3 : 
                        int LA167_36 = input.LA(1);

                         
                        int index167_36 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_36);
                        if ( s>=0 ) return s;
                        break;
                    case 4 : 
                        int LA167_37 = input.LA(1);

                         
                        int index167_37 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_37);
                        if ( s>=0 ) return s;
                        break;
                    case 5 : 
                        int LA167_38 = input.LA(1);

                         
                        int index167_38 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_38);
                        if ( s>=0 ) return s;
                        break;
                    case 6 : 
                        int LA167_39 = input.LA(1);

                         
                        int index167_39 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_39);
                        if ( s>=0 ) return s;
                        break;
                    case 7 : 
                        int LA167_40 = input.LA(1);

                         
                        int index167_40 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_40);
                        if ( s>=0 ) return s;
                        break;
                    case 8 : 
                        int LA167_41 = input.LA(1);

                         
                        int index167_41 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_41);
                        if ( s>=0 ) return s;
                        break;
                    case 9 : 
                        int LA167_42 = input.LA(1);

                         
                        int index167_42 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_42);
                        if ( s>=0 ) return s;
                        break;
                    case 10 : 
                        int LA167_43 = input.LA(1);

                         
                        int index167_43 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_43);
                        if ( s>=0 ) return s;
                        break;
                    case 11 : 
                        int LA167_44 = input.LA(1);

                         
                        int index167_44 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_44);
                        if ( s>=0 ) return s;
                        break;
                    case 12 : 
                        int LA167_45 = input.LA(1);

                         
                        int index167_45 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_45);
                        if ( s>=0 ) return s;
                        break;
                    case 13 : 
                        int LA167_46 = input.LA(1);

                         
                        int index167_46 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_46);
                        if ( s>=0 ) return s;
                        break;
                    case 14 : 
                        int LA167_47 = input.LA(1);

                         
                        int index167_47 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_47);
                        if ( s>=0 ) return s;
                        break;
                    case 15 : 
                        int LA167_48 = input.LA(1);

                         
                        int index167_48 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_48);
                        if ( s>=0 ) return s;
                        break;
                    case 16 : 
                        int LA167_49 = input.LA(1);

                         
                        int index167_49 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_49);
                        if ( s>=0 ) return s;
                        break;
                    case 17 : 
                        int LA167_50 = input.LA(1);

                         
                        int index167_50 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_50);
                        if ( s>=0 ) return s;
                        break;
                    case 18 : 
                        int LA167_51 = input.LA(1);

                         
                        int index167_51 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_51);
                        if ( s>=0 ) return s;
                        break;
                    case 19 : 
                        int LA167_52 = input.LA(1);

                         
                        int index167_52 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred261_Java()) ) {s = 53;}

                        else if ( (true) ) {s = 2;}

                         
                        input.seek(index167_52);
                        if ( s>=0 ) return s;
                        break;
            }
            if (state.backtracking>0) {state.failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 167, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA168_eotS =
        "\65\uffff";
    static final String DFA168_eofS =
        "\1\1\64\uffff";
    static final String DFA168_minS =
        "\1\176\1\uffff\1\152\62\uffff";
    static final String DFA168_maxS =
        "\1\u00cf\1\uffff\1\u00d2\62\uffff";
    static final String DFA168_acceptS =
        "\1\uffff\1\2\36\uffff\1\1\24\uffff";
    static final String DFA168_specialS =
        "\65\uffff}>";
    static final String[] DFA168_transitionS = {
            "\1\1\2\uffff\2\1\3\uffff\4\1\1\uffff\1\1\3\uffff\1\2\2\1\12"+
            "\uffff\1\1\1\uffff\1\1\13\uffff\1\1\25\uffff\20\1",
            "",
            "\7\1\25\uffff\1\1\6\uffff\1\1\2\uffff\1\40\15\uffff\1\1\1"+
            "\uffff\12\1\2\uffff\3\1\21\uffff\2\1\14\uffff\5\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA168_eot = DFA.unpackEncodedString(DFA168_eotS);
    static final short[] DFA168_eof = DFA.unpackEncodedString(DFA168_eofS);
    static final char[] DFA168_min = DFA.unpackEncodedStringToUnsignedChars(DFA168_minS);
    static final char[] DFA168_max = DFA.unpackEncodedStringToUnsignedChars(DFA168_maxS);
    static final short[] DFA168_accept = DFA.unpackEncodedString(DFA168_acceptS);
    static final short[] DFA168_special = DFA.unpackEncodedString(DFA168_specialS);
    static final short[][] DFA168_transition;

    static {
        int numStates = DFA168_transitionS.length;
        DFA168_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA168_transition[i] = DFA.unpackEncodedString(DFA168_transitionS[i]);
        }
    }

    class DFA168 extends DFA {

        public DFA168(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 168;
            this.eot = DFA168_eot;
            this.eof = DFA168_eof;
            this.min = DFA168_min;
            this.max = DFA168_max;
            this.accept = DFA168_accept;
            this.special = DFA168_special;
            this.transition = DFA168_transition;
        }
        public String getDescription() {
            return "()* loopback of 917:29: ( '[' ']' )*";
        }
    }
    static final String DFA171_eotS =
        "\41\uffff";
    static final String DFA171_eofS =
        "\1\2\40\uffff";
    static final String DFA171_minS =
        "\1\176\40\uffff";
    static final String DFA171_maxS =
        "\1\u00cf\40\uffff";
    static final String DFA171_acceptS =
        "\1\uffff\1\1\1\2\36\uffff";
    static final String DFA171_specialS =
        "\41\uffff}>";
    static final String[] DFA171_transitionS = {
            "\1\2\2\uffff\2\2\3\uffff\4\2\1\uffff\1\2\3\uffff\3\2\12\uffff"+
            "\1\2\1\uffff\1\2\12\uffff\1\1\1\2\25\uffff\20\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA171_eot = DFA.unpackEncodedString(DFA171_eotS);
    static final short[] DFA171_eof = DFA.unpackEncodedString(DFA171_eofS);
    static final char[] DFA171_min = DFA.unpackEncodedStringToUnsignedChars(DFA171_minS);
    static final char[] DFA171_max = DFA.unpackEncodedStringToUnsignedChars(DFA171_maxS);
    static final short[] DFA171_accept = DFA.unpackEncodedString(DFA171_acceptS);
    static final short[] DFA171_special = DFA.unpackEncodedString(DFA171_specialS);
    static final short[][] DFA171_transition;

    static {
        int numStates = DFA171_transitionS.length;
        DFA171_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA171_transition[i] = DFA.unpackEncodedString(DFA171_transitionS[i]);
        }
    }

    class DFA171 extends DFA {

        public DFA171(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 171;
            this.eot = DFA171_eot;
            this.eof = DFA171_eof;
            this.min = DFA171_min;
            this.max = DFA171_max;
            this.accept = DFA171_accept;
            this.special = DFA171_special;
            this.transition = DFA171_transition;
        }
        public String getDescription() {
            return "924:3: ( arguments -> ^( INVOKE 'super' ( arguments )? ) | -> ^( VAR 'super' ) )";
        }
    }
    static final String DFA172_eotS =
        "\41\uffff";
    static final String DFA172_eofS =
        "\1\2\40\uffff";
    static final String DFA172_minS =
        "\1\176\40\uffff";
    static final String DFA172_maxS =
        "\1\u00cf\40\uffff";
    static final String DFA172_acceptS =
        "\1\uffff\1\1\1\2\36\uffff";
    static final String DFA172_specialS =
        "\41\uffff}>";
    static final String[] DFA172_transitionS = {
            "\1\2\2\uffff\2\2\3\uffff\4\2\1\uffff\1\2\3\uffff\3\2\12\uffff"+
            "\1\2\1\uffff\1\2\12\uffff\1\1\1\2\25\uffff\20\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA172_eot = DFA.unpackEncodedString(DFA172_eotS);
    static final short[] DFA172_eof = DFA.unpackEncodedString(DFA172_eofS);
    static final char[] DFA172_min = DFA.unpackEncodedStringToUnsignedChars(DFA172_minS);
    static final char[] DFA172_max = DFA.unpackEncodedStringToUnsignedChars(DFA172_maxS);
    static final short[] DFA172_accept = DFA.unpackEncodedString(DFA172_acceptS);
    static final short[] DFA172_special = DFA.unpackEncodedString(DFA172_specialS);
    static final short[][] DFA172_transition;

    static {
        int numStates = DFA172_transitionS.length;
        DFA172_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA172_transition[i] = DFA.unpackEncodedString(DFA172_transitionS[i]);
        }
    }

    class DFA172 extends DFA {

        public DFA172(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 172;
            this.eot = DFA172_eot;
            this.eof = DFA172_eof;
            this.min = DFA172_min;
            this.max = DFA172_max;
            this.accept = DFA172_accept;
            this.special = DFA172_special;
            this.transition = DFA172_transition;
        }
        public String getDescription() {
            return "929:6: ( arguments -> ^( INVOKE Identifier ( arguments )? ) | -> ^( VAR Identifier ) )";
        }
    }
    static final String DFA174_eotS =
        "\41\uffff";
    static final String DFA174_eofS =
        "\1\2\40\uffff";
    static final String DFA174_minS =
        "\1\176\40\uffff";
    static final String DFA174_maxS =
        "\1\u00cf\40\uffff";
    static final String DFA174_acceptS =
        "\1\uffff\1\1\1\2\36\uffff";
    static final String DFA174_specialS =
        "\41\uffff}>";
    static final String[] DFA174_transitionS = {
            "\1\2\2\uffff\2\2\3\uffff\4\2\1\1\1\2\3\uffff\3\2\12\uffff\1"+
            "\2\1\uffff\1\2\13\uffff\1\2\25\uffff\20\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA174_eot = DFA.unpackEncodedString(DFA174_eotS);
    static final short[] DFA174_eof = DFA.unpackEncodedString(DFA174_eofS);
    static final char[] DFA174_min = DFA.unpackEncodedStringToUnsignedChars(DFA174_minS);
    static final char[] DFA174_max = DFA.unpackEncodedStringToUnsignedChars(DFA174_maxS);
    static final short[] DFA174_accept = DFA.unpackEncodedString(DFA174_acceptS);
    static final short[] DFA174_special = DFA.unpackEncodedString(DFA174_specialS);
    static final short[][] DFA174_transition;

    static {
        int numStates = DFA174_transitionS.length;
        DFA174_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA174_transition[i] = DFA.unpackEncodedString(DFA174_transitionS[i]);
        }
    }

    class DFA174 extends DFA {

        public DFA174(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 174;
            this.eot = DFA174_eot;
            this.eof = DFA174_eof;
            this.min = DFA174_min;
            this.max = DFA174_max;
            this.accept = DFA174_accept;
            this.special = DFA174_special;
            this.transition = DFA174_transition;
        }
        public String getDescription() {
            return "940:14: ( classBody )?";
        }
    }
    static final String DFA176_eotS =
        "\41\uffff";
    static final String DFA176_eofS =
        "\1\2\40\uffff";
    static final String DFA176_minS =
        "\1\176\40\uffff";
    static final String DFA176_maxS =
        "\1\u00cf\40\uffff";
    static final String DFA176_acceptS =
        "\1\uffff\1\1\1\2\36\uffff";
    static final String DFA176_specialS =
        "\41\uffff}>";
    static final String[] DFA176_transitionS = {
            "\1\2\2\uffff\2\2\3\uffff\4\2\1\uffff\1\2\3\uffff\3\2\12\uffff"+
            "\1\2\1\uffff\1\2\12\uffff\1\1\1\2\25\uffff\20\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA176_eot = DFA.unpackEncodedString(DFA176_eotS);
    static final short[] DFA176_eof = DFA.unpackEncodedString(DFA176_eofS);
    static final char[] DFA176_min = DFA.unpackEncodedStringToUnsignedChars(DFA176_minS);
    static final char[] DFA176_max = DFA.unpackEncodedStringToUnsignedChars(DFA176_maxS);
    static final short[] DFA176_accept = DFA.unpackEncodedString(DFA176_acceptS);
    static final short[] DFA176_special = DFA.unpackEncodedString(DFA176_specialS);
    static final short[][] DFA176_transition;

    static {
        int numStates = DFA176_transitionS.length;
        DFA176_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA176_transition[i] = DFA.unpackEncodedString(DFA176_transitionS[i]);
        }
    }

    class DFA176 extends DFA {

        public DFA176(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 176;
            this.eot = DFA176_eot;
            this.eof = DFA176_eof;
            this.min = DFA176_min;
            this.max = DFA176_max;
            this.accept = DFA176_accept;
            this.special = DFA176_special;
            this.transition = DFA176_transition;
        }
        public String getDescription() {
            return "958:21: ( arguments )?";
        }
    }
    static final String DFA179_eotS =
        "\41\uffff";
    static final String DFA179_eofS =
        "\1\2\40\uffff";
    static final String DFA179_minS =
        "\1\176\40\uffff";
    static final String DFA179_maxS =
        "\1\u00cf\40\uffff";
    static final String DFA179_acceptS =
        "\1\uffff\1\1\1\2\36\uffff";
    static final String DFA179_specialS =
        "\41\uffff}>";
    static final String[] DFA179_transitionS = {
            "\1\2\2\uffff\2\2\3\uffff\4\2\1\uffff\1\2\3\uffff\3\2\12\uffff"+
            "\1\2\1\uffff\1\2\12\uffff\1\1\1\2\25\uffff\20\2",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA179_eot = DFA.unpackEncodedString(DFA179_eotS);
    static final short[] DFA179_eof = DFA.unpackEncodedString(DFA179_eofS);
    static final char[] DFA179_min = DFA.unpackEncodedStringToUnsignedChars(DFA179_minS);
    static final char[] DFA179_max = DFA.unpackEncodedStringToUnsignedChars(DFA179_maxS);
    static final short[] DFA179_accept = DFA.unpackEncodedString(DFA179_acceptS);
    static final short[] DFA179_special = DFA.unpackEncodedString(DFA179_specialS);
    static final short[][] DFA179_transition;

    static {
        int numStates = DFA179_transitionS.length;
        DFA179_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA179_transition[i] = DFA.unpackEncodedString(DFA179_transitionS[i]);
        }
    }

    class DFA179 extends DFA {

        public DFA179(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 179;
            this.eot = DFA179_eot;
            this.eof = DFA179_eof;
            this.min = DFA179_min;
            this.max = DFA179_max;
            this.accept = DFA179_accept;
            this.special = DFA179_special;
            this.transition = DFA179_transition;
        }
        public String getDescription() {
            return "966:3: ( arguments -> ^( INVOKE Identifier ( arguments )? ) | -> ^( DEREF Identifier ) )";
        }
    }
    static final String DFA181_eotS =
        "\26\uffff";
    static final String DFA181_eofS =
        "\26\uffff";
    static final String DFA181_minS =
        "\1\152\25\uffff";
    static final String DFA181_maxS =
        "\1\u00d2\25\uffff";
    static final String DFA181_acceptS =
        "\1\uffff\1\1\23\uffff\1\2";
    static final String DFA181_specialS =
        "\26\uffff}>";
    static final String[] DFA181_transitionS = {
            "\7\1\25\uffff\1\1\6\uffff\1\1\20\uffff\1\1\1\uffff\12\1\1\25"+
            "\1\uffff\3\1\21\uffff\2\1\14\uffff\5\1",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA181_eot = DFA.unpackEncodedString(DFA181_eotS);
    static final short[] DFA181_eof = DFA.unpackEncodedString(DFA181_eofS);
    static final char[] DFA181_min = DFA.unpackEncodedStringToUnsignedChars(DFA181_minS);
    static final char[] DFA181_max = DFA.unpackEncodedStringToUnsignedChars(DFA181_maxS);
    static final short[] DFA181_accept = DFA.unpackEncodedString(DFA181_acceptS);
    static final short[] DFA181_special = DFA.unpackEncodedString(DFA181_specialS);
    static final short[][] DFA181_transition;

    static {
        int numStates = DFA181_transitionS.length;
        DFA181_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA181_transition[i] = DFA.unpackEncodedString(DFA181_transitionS[i]);
        }
    }

    class DFA181 extends DFA {

        public DFA181(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 181;
            this.eot = DFA181_eot;
            this.eof = DFA181_eof;
            this.min = DFA181_min;
            this.max = DFA181_max;
            this.accept = DFA181_accept;
            this.special = DFA181_special;
            this.transition = DFA181_transition;
        }
        public String getDescription() {
            return "974:9: ( expressionList )?";
        }
    }
    static final String DFA230_eotS =
        "\27\uffff";
    static final String DFA230_eofS =
        "\27\uffff";
    static final String DFA230_minS =
        "\1\u008f\1\152\25\uffff";
    static final String DFA230_maxS =
        "\1\u008f\1\u00d2\25\uffff";
    static final String DFA230_acceptS =
        "\2\uffff\1\2\1\1\23\uffff";
    static final String DFA230_specialS =
        "\27\uffff}>";
    static final String[] DFA230_transitionS = {
            "\1\1",
            "\7\3\25\uffff\1\3\6\uffff\1\3\2\uffff\1\2\15\uffff\1\3\1\uffff"+
            "\12\3\2\uffff\3\3\21\uffff\2\3\14\uffff\5\3",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA230_eot = DFA.unpackEncodedString(DFA230_eotS);
    static final short[] DFA230_eof = DFA.unpackEncodedString(DFA230_eofS);
    static final char[] DFA230_min = DFA.unpackEncodedStringToUnsignedChars(DFA230_minS);
    static final char[] DFA230_max = DFA.unpackEncodedStringToUnsignedChars(DFA230_maxS);
    static final short[] DFA230_accept = DFA.unpackEncodedString(DFA230_acceptS);
    static final short[] DFA230_special = DFA.unpackEncodedString(DFA230_specialS);
    static final short[][] DFA230_transition;

    static {
        int numStates = DFA230_transitionS.length;
        DFA230_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA230_transition[i] = DFA.unpackEncodedString(DFA230_transitionS[i]);
        }
    }

    class DFA230 extends DFA {

        public DFA230(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 230;
            this.eot = DFA230_eot;
            this.eof = DFA230_eof;
            this.min = DFA230_min;
            this.max = DFA230_max;
            this.accept = DFA230_accept;
            this.special = DFA230_special;
            this.transition = DFA230_transition;
        }
        public String getDescription() {
            return "911:6: ( ( '[' expression ']' )+ ( '[' ']' )* | ( '[' ']' )+ arrayInitializer )";
        }
    }
    static final String DFA227_eotS =
        "\30\uffff";
    static final String DFA227_eofS =
        "\1\2\27\uffff";
    static final String DFA227_minS =
        "\1\u008f\1\152\26\uffff";
    static final String DFA227_maxS =
        "\1\u008f\1\u00d2\26\uffff";
    static final String DFA227_acceptS =
        "\2\uffff\1\2\1\uffff\1\1\23\uffff";
    static final String DFA227_specialS =
        "\30\uffff}>";
    static final String[] DFA227_transitionS = {
            "\1\1",
            "\7\4\25\uffff\1\4\6\uffff\1\4\2\uffff\1\2\15\uffff\1\4\1\uffff"+
            "\12\4\2\uffff\3\4\21\uffff\2\4\14\uffff\5\4",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA227_eot = DFA.unpackEncodedString(DFA227_eotS);
    static final short[] DFA227_eof = DFA.unpackEncodedString(DFA227_eofS);
    static final char[] DFA227_min = DFA.unpackEncodedStringToUnsignedChars(DFA227_minS);
    static final char[] DFA227_max = DFA.unpackEncodedStringToUnsignedChars(DFA227_maxS);
    static final short[] DFA227_accept = DFA.unpackEncodedString(DFA227_acceptS);
    static final short[] DFA227_special = DFA.unpackEncodedString(DFA227_specialS);
    static final short[][] DFA227_transition;

    static {
        int numStates = DFA227_transitionS.length;
        DFA227_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA227_transition[i] = DFA.unpackEncodedString(DFA227_transitionS[i]);
        }
    }

    class DFA227 extends DFA {

        public DFA227(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 227;
            this.eot = DFA227_eot;
            this.eof = DFA227_eof;
            this.min = DFA227_min;
            this.max = DFA227_max;
            this.accept = DFA227_accept;
            this.special = DFA227_special;
            this.transition = DFA227_transition;
        }
        public String getDescription() {
            return "()+ loopback of 912:7: ( '[' expression ']' )+";
        }
    }
    static final String DFA239_eotS =
        "\30\uffff";
    static final String DFA239_eofS =
        "\30\uffff";
    static final String DFA239_minS =
        "\1\u008f\1\152\26\uffff";
    static final String DFA239_maxS =
        "\1\u00a9\1\u00d2\26\uffff";
    static final String DFA239_acceptS =
        "\2\uffff\1\3\1\2\1\1\23\uffff";
    static final String DFA239_specialS =
        "\30\uffff}>";
    static final String[] DFA239_transitionS = {
            "\1\1\31\uffff\1\2",
            "\7\4\25\uffff\1\4\6\uffff\1\4\2\uffff\1\3\15\uffff\1\4\1\uffff"+
            "\12\4\2\uffff\3\4\21\uffff\2\4\14\uffff\5\4",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA239_eot = DFA.unpackEncodedString(DFA239_eotS);
    static final short[] DFA239_eof = DFA.unpackEncodedString(DFA239_eofS);
    static final char[] DFA239_min = DFA.unpackEncodedStringToUnsignedChars(DFA239_minS);
    static final char[] DFA239_max = DFA.unpackEncodedStringToUnsignedChars(DFA239_maxS);
    static final short[] DFA239_accept = DFA.unpackEncodedString(DFA239_acceptS);
    static final short[] DFA239_special = DFA.unpackEncodedString(DFA239_specialS);
    static final short[][] DFA239_transition;

    static {
        int numStates = DFA239_transitionS.length;
        DFA239_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA239_transition[i] = DFA.unpackEncodedString(DFA239_transitionS[i]);
        }
    }

    class DFA239 extends DFA {

        public DFA239(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 239;
            this.eot = DFA239_eot;
            this.eof = DFA239_eof;
            this.min = DFA239_min;
            this.max = DFA239_max;
            this.accept = DFA239_accept;
            this.special = DFA239_special;
            this.transition = DFA239_transition;
        }
        public String getDescription() {
            return "916:6: ( ( '[' expression ']' )+ ( '[' ']' )* | ( '[' ']' )+ arrayInitializer | classCreatorRest )";
        }
    }
    static final String DFA236_eotS =
        "\30\uffff";
    static final String DFA236_eofS =
        "\1\2\27\uffff";
    static final String DFA236_minS =
        "\1\u008f\1\152\26\uffff";
    static final String DFA236_maxS =
        "\1\u008f\1\u00d2\26\uffff";
    static final String DFA236_acceptS =
        "\2\uffff\1\2\1\uffff\1\1\23\uffff";
    static final String DFA236_specialS =
        "\30\uffff}>";
    static final String[] DFA236_transitionS = {
            "\1\1",
            "\7\4\25\uffff\1\4\6\uffff\1\4\2\uffff\1\2\15\uffff\1\4\1\uffff"+
            "\12\4\2\uffff\3\4\21\uffff\2\4\14\uffff\5\4",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
    };

    static final short[] DFA236_eot = DFA.unpackEncodedString(DFA236_eotS);
    static final short[] DFA236_eof = DFA.unpackEncodedString(DFA236_eofS);
    static final char[] DFA236_min = DFA.unpackEncodedStringToUnsignedChars(DFA236_minS);
    static final char[] DFA236_max = DFA.unpackEncodedStringToUnsignedChars(DFA236_maxS);
    static final short[] DFA236_accept = DFA.unpackEncodedString(DFA236_acceptS);
    static final short[] DFA236_special = DFA.unpackEncodedString(DFA236_specialS);
    static final short[][] DFA236_transition;

    static {
        int numStates = DFA236_transitionS.length;
        DFA236_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA236_transition[i] = DFA.unpackEncodedString(DFA236_transitionS[i]);
        }
    }

    class DFA236 extends DFA {

        public DFA236(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 236;
            this.eot = DFA236_eot;
            this.eof = DFA236_eof;
            this.min = DFA236_min;
            this.max = DFA236_max;
            this.accept = DFA236_accept;
            this.special = DFA236_special;
            this.transition = DFA236_transition;
        }
        public String getDescription() {
            return "()+ loopback of 917:7: ( '[' expression ']' )+";
        }
    }
 

    public static final BitSet FOLLOW_annotations_in_compilationUnit495 = new BitSet(new long[]{0x0000000000008002L,0xE000000000000000L,0x000080000FFC1009L});
    public static final BitSet FOLLOW_packageDeclaration_in_compilationUnit498 = new BitSet(new long[]{0x0000000000008002L,0xC000000000000000L,0x000080000FFC1009L});
    public static final BitSet FOLLOW_importDeclaration_in_compilationUnit501 = new BitSet(new long[]{0x0000000000008002L,0xC000000000000000L,0x000080000FFC1009L});
    public static final BitSet FOLLOW_typeDeclaration_in_compilationUnit504 = new BitSet(new long[]{0x0000000000008002L,0x4000000000000000L,0x000080000FFC1009L});
    public static final BitSet FOLLOW_125_in_packageDeclaration538 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_qualifiedName_in_packageDeclaration540 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_packageDeclaration542 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_127_in_importDeclaration562 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x0000000000000001L});
    public static final BitSet FOLLOW_128_in_importDeclaration569 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_importDeclaration573 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_129_in_importDeclaration576 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_importDeclaration580 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_129_in_importDeclaration585 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_130_in_importDeclaration589 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_importDeclaration593 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_importDeclaration612 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_129_in_importDeclaration615 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_importDeclaration619 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_129_in_importDeclaration624 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000004L});
    public static final BitSet FOLLOW_130_in_importDeclaration628 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_importDeclaration632 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_classOrInterfaceDeclaration_in_typeDeclaration659 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_126_in_typeDeclaration669 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_modifier_in_classOrInterfaceDeclaration681 = new BitSet(new long[]{0x0000000000008000L,0x0000000000000000L,0x000080000FFC1009L});
    public static final BitSet FOLLOW_classDeclaration_in_classOrInterfaceDeclaration688 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_enumDeclaration_in_classOrInterfaceDeclaration709 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_normalInterfaceDeclaration_in_classOrInterfaceDeclaration730 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_annotationTypeDeclaration_in_classOrInterfaceDeclaration751 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_131_in_classDeclaration783 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_classDeclaration785 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000470L});
    public static final BitSet FOLLOW_typeParameters_in_classDeclaration788 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000470L});
    public static final BitSet FOLLOW_132_in_classDeclaration801 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_type_in_classDeclaration803 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000470L});
    public static final BitSet FOLLOW_133_in_classDeclaration817 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_typeList_in_classDeclaration819 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000470L});
    public static final BitSet FOLLOW_classBody_in_classDeclaration831 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_134_in_typeParameters868 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_typeParameter_in_typeParameters872 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000180L});
    public static final BitSet FOLLOW_135_in_typeParameters875 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_typeParameter_in_typeParameters879 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000180L});
    public static final BitSet FOLLOW_136_in_typeParameters883 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_typeParameter900 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000010L});
    public static final BitSet FOLLOW_132_in_typeParameter903 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_bound_in_typeParameter905 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_type_in_bound939 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000200L});
    public static final BitSet FOLLOW_137_in_bound942 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_type_in_bound946 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000200L});
    public static final BitSet FOLLOW_ENUM_in_enumDeclaration965 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_enumDeclaration967 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000420L});
    public static final BitSet FOLLOW_133_in_enumDeclaration970 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_typeList_in_enumDeclaration972 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000420L});
    public static final BitSet FOLLOW_enumBody_in_enumDeclaration976 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_138_in_enumBody1002 = new BitSet(new long[]{0x0000000000000000L,0x4000040000000000L,0x0000800000000880L});
    public static final BitSet FOLLOW_enumConstants_in_enumBody1004 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L,0x0000000000000880L});
    public static final BitSet FOLLOW_135_in_enumBody1007 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_enumBodyDeclarations_in_enumBody1010 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_139_in_enumBody1013 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_enumConstant_in_enumConstants1032 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000080L});
    public static final BitSet FOLLOW_135_in_enumConstants1035 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x0000800000000000L});
    public static final BitSet FOLLOW_enumConstant_in_enumConstants1037 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000080L});
    public static final BitSet FOLLOW_annotations_in_enumConstant1056 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_enumConstant1059 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000020000000470L});
    public static final BitSet FOLLOW_arguments_in_enumConstant1062 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000470L});
    public static final BitSet FOLLOW_classBody_in_enumConstant1067 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_126_in_enumBodyDeclarations1102 = new BitSet(new long[]{0x0000000000008002L,0x4000040000000000L,0x000080FF4FFC3449L});
    public static final BitSet FOLLOW_classBodyDeclaration_in_enumBodyDeclarations1105 = new BitSet(new long[]{0x0000000000008002L,0x4000040000000000L,0x000080FF4FFC3449L});
    public static final BitSet FOLLOW_140_in_normalInterfaceDeclaration1124 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_normalInterfaceDeclaration1126 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000450L});
    public static final BitSet FOLLOW_typeParameters_in_normalInterfaceDeclaration1128 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000450L});
    public static final BitSet FOLLOW_132_in_normalInterfaceDeclaration1132 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_typeList_in_normalInterfaceDeclaration1134 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000450L});
    public static final BitSet FOLLOW_interfaceBody_in_normalInterfaceDeclaration1138 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_type_in_typeList1173 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000080L});
    public static final BitSet FOLLOW_135_in_typeList1176 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_type_in_typeList1179 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000080L});
    public static final BitSet FOLLOW_138_in_classBody1193 = new BitSet(new long[]{0x0000000000008000L,0x4000040000000000L,0x000080FF4FFC3C49L});
    public static final BitSet FOLLOW_classBodyDeclaration_in_classBody1196 = new BitSet(new long[]{0x0000000000008000L,0x4000040000000000L,0x000080FF4FFC3C49L});
    public static final BitSet FOLLOW_139_in_classBody1199 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_138_in_interfaceBody1212 = new BitSet(new long[]{0x0000000000008000L,0x4000040000000000L,0x000080FF4FFC3849L});
    public static final BitSet FOLLOW_interfaceBodyDeclaration_in_interfaceBody1215 = new BitSet(new long[]{0x0000000000008000L,0x4000040000000000L,0x000080FF4FFC3849L});
    public static final BitSet FOLLOW_139_in_interfaceBody1218 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_126_in_classBodyDeclaration1230 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_128_in_classBodyDeclaration1236 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000401L});
    public static final BitSet FOLLOW_block_in_classBodyDeclaration1238 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_128_in_classBodyDeclaration1251 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000401L});
    public static final BitSet FOLLOW_block_in_classBodyDeclaration1254 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_modifier_in_classBodyDeclaration1263 = new BitSet(new long[]{0x0000000000008000L,0x0000040000000000L,0x000080FF4FFC3049L});
    public static final BitSet FOLLOW_genericMethodOrConstructorDecl_in_classBodyDeclaration1273 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_methodDeclaration_in_classBodyDeclaration1298 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_fieldDeclaration_in_classBodyDeclaration1327 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_141_in_classBodyDeclaration1351 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_classBodyDeclaration1353 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000040L});
    public static final BitSet FOLLOW_ctxtParams_in_classBodyDeclaration1355 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000040L});
    public static final BitSet FOLLOW_voidMethodDeclaratorRest_in_classBodyDeclaration1358 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_classBodyDeclaration1398 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000040L});
    public static final BitSet FOLLOW_constructorDeclaratorRest_in_classBodyDeclaration1400 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_normalInterfaceDeclaration_in_classBodyDeclaration1434 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_annotationTypeDeclaration_in_classBodyDeclaration1460 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_classDeclaration_in_classBodyDeclaration1484 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_enumDeclaration_in_classBodyDeclaration1510 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeParameters_in_genericMethodOrConstructorDecl1543 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40002000L});
    public static final BitSet FOLLOW_genericMethodOrConstructorRest_in_genericMethodOrConstructorDecl1545 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_type_in_genericMethodOrConstructorRest1567 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_genericMethodOrConstructorRest1569 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000040L});
    public static final BitSet FOLLOW_ctxtParams_in_genericMethodOrConstructorRest1571 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000040L});
    public static final BitSet FOLLOW_methodDeclaratorRest_in_genericMethodOrConstructorRest1574 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_141_in_genericMethodOrConstructorRest1591 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_genericMethodOrConstructorRest1593 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000040L});
    public static final BitSet FOLLOW_ctxtParams_in_genericMethodOrConstructorRest1595 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000040L});
    public static final BitSet FOLLOW_methodDeclaratorRest_in_genericMethodOrConstructorRest1598 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_genericMethodOrConstructorRest1619 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000040L});
    public static final BitSet FOLLOW_constructorDeclaratorRest_in_genericMethodOrConstructorRest1621 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_type_in_methodDeclaration1642 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_methodDeclaration1644 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000040L});
    public static final BitSet FOLLOW_ctxtParams_in_methodDeclaration1646 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000040L});
    public static final BitSet FOLLOW_methodDeclaratorRest_in_methodDeclaration1649 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_type_in_fieldDeclaration1672 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_variableDeclarators_in_fieldDeclaration1674 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_fieldDeclaration1676 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_modifier_in_interfaceBodyDeclaration1695 = new BitSet(new long[]{0x0000000000008000L,0x0000040000000000L,0x000080FF4FFC3049L});
    public static final BitSet FOLLOW_constantDeclaration_in_interfaceBodyDeclaration1702 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_type_in_interfaceBodyDeclaration1723 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_interfaceBodyDeclaration1725 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000040L});
    public static final BitSet FOLLOW_interfaceMethodDeclaratorRest_in_interfaceBodyDeclaration1727 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_interfaceGenericMethodDecl_in_interfaceBodyDeclaration1757 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_141_in_interfaceBodyDeclaration1778 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_interfaceBodyDeclaration1780 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000040L});
    public static final BitSet FOLLOW_voidInterfaceMethodDeclaratorRest_in_interfaceBodyDeclaration1782 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_normalInterfaceDeclaration_in_interfaceBodyDeclaration1816 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_annotationTypeDeclaration_in_interfaceBodyDeclaration1843 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_classDeclaration_in_interfaceBodyDeclaration1864 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_enumDeclaration_in_interfaceBodyDeclaration1890 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_126_in_interfaceBodyDeclaration1914 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_formalParameters_in_methodDeclaratorRest1928 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L,0x0000000000004401L});
    public static final BitSet FOLLOW_142_in_methodDeclaratorRest1940 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_typeList_in_methodDeclaratorRest1942 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L,0x0000000000000401L});
    public static final BitSet FOLLOW_methodBody_in_methodDeclaratorRest1958 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_126_in_methodDeclaratorRest1990 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_formalParameters_in_voidMethodDeclaratorRest2028 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L,0x0000000000004401L});
    public static final BitSet FOLLOW_142_in_voidMethodDeclaratorRest2031 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_typeList_in_voidMethodDeclaratorRest2033 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L,0x0000000000000401L});
    public static final BitSet FOLLOW_methodBody_in_voidMethodDeclaratorRest2049 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_126_in_voidMethodDeclaratorRest2081 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_formalParameters_in_interfaceMethodDeclaratorRest2119 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L,0x0000000000004000L});
    public static final BitSet FOLLOW_142_in_interfaceMethodDeclaratorRest2122 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_typeList_in_interfaceMethodDeclaratorRest2124 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_interfaceMethodDeclaratorRest2128 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_typeParameters_in_interfaceGenericMethodDecl2156 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40002000L});
    public static final BitSet FOLLOW_type_in_interfaceGenericMethodDecl2162 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_interfaceGenericMethodDecl2164 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000040L});
    public static final BitSet FOLLOW_interfaceMethodDeclaratorRest_in_interfaceGenericMethodDecl2166 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_141_in_interfaceGenericMethodDecl2186 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_interfaceGenericMethodDecl2188 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000040L});
    public static final BitSet FOLLOW_interfaceMethodDeclaratorRest_in_interfaceGenericMethodDecl2190 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_formalParameters_in_voidInterfaceMethodDeclaratorRest2224 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L,0x0000000000004000L});
    public static final BitSet FOLLOW_142_in_voidInterfaceMethodDeclaratorRest2227 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_typeList_in_voidInterfaceMethodDeclaratorRest2229 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_voidInterfaceMethodDeclaratorRest2233 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_formalParameters_in_constructorDeclaratorRest2261 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000004401L});
    public static final BitSet FOLLOW_142_in_constructorDeclaratorRest2264 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_typeList_in_constructorDeclaratorRest2266 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000401L});
    public static final BitSet FOLLOW_methodBody_in_constructorDeclaratorRest2270 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_variableDeclarator_in_variableDeclarators2303 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000080L});
    public static final BitSet FOLLOW_135_in_variableDeclarators2306 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_variableDeclarator_in_variableDeclarators2310 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000080L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclarator2329 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000028000L});
    public static final BitSet FOLLOW_variableDeclaratorRest_in_variableDeclarator2331 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_143_in_variableDeclaratorRest2353 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_variableDeclaratorRest2355 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000028000L});
    public static final BitSet FOLLOW_145_in_variableDeclaratorRest2360 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_variableInitializer_in_variableDeclaratorRest2362 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_145_in_variableDeclaratorRest2377 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_variableInitializer_in_variableDeclaratorRest2379 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_type_in_constantDeclaration2397 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_constantDeclarators_in_constantDeclaration2399 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_constantDeclaration2401 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_constantDeclarator2418 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000028000L});
    public static final BitSet FOLLOW_constantDeclaratorRest_in_constantDeclarator2420 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_constantDeclarator_in_constantDeclarators2443 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000080L});
    public static final BitSet FOLLOW_135_in_constantDeclarators2446 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_constantDeclarator_in_constantDeclarators2450 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000080L});
    public static final BitSet FOLLOW_143_in_constantDeclaratorRest2471 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_constantDeclaratorRest2473 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000028000L});
    public static final BitSet FOLLOW_145_in_constantDeclaratorRest2477 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_variableInitializer_in_constantDeclaratorRest2479 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_variableDeclaratorId2498 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000008000L});
    public static final BitSet FOLLOW_143_in_variableDeclaratorId2501 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_variableDeclaratorId2503 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000008000L});
    public static final BitSet FOLLOW_arrayInitializer_in_variableInitializer2516 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_expression_in_variableInitializer2526 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_138_in_arrayInitializer2538 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002C40L,0x000000000007C003L});
    public static final BitSet FOLLOW_variableInitializer_in_arrayInitializer2541 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000880L});
    public static final BitSet FOLLOW_135_in_arrayInitializer2544 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_variableInitializer_in_arrayInitializer2546 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000880L});
    public static final BitSet FOLLOW_135_in_arrayInitializer2551 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_139_in_arrayInitializer2558 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_annotation_in_modifier2583 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_146_in_modifier2593 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_147_in_modifier2603 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_148_in_modifier2613 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_128_in_modifier2623 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_149_in_modifier2633 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_150_in_modifier2643 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_151_in_modifier2653 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_152_in_modifier2663 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_153_in_modifier2673 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_154_in_modifier2683 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_155_in_modifier2693 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_packageOrTypeName2707 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_129_in_packageOrTypeName2710 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_packageOrTypeName2712 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_enumConstantName2730 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_typeName2746 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_packageOrTypeName_in_typeName2756 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_129_in_typeName2758 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_typeName2760 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_context_in_type2772 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000010000000L});
    public static final BitSet FOLLOW_156_in_type2774 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x0000000040000000L});
    public static final BitSet FOLLOW_refComponent_in_type2780 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000008002L});
    public static final BitSet FOLLOW_129_in_type2783 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x0000000040000000L});
    public static final BitSet FOLLOW_refComponent_in_type2787 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000008002L});
    public static final BitSet FOLLOW_143_in_type2792 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_type2794 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000008000L});
    public static final BitSet FOLLOW_primitiveType_in_type2819 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000008000L});
    public static final BitSet FOLLOW_143_in_type2822 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_type2824 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000008000L});
    public static final BitSet FOLLOW_Identifier_in_refComponent2853 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_typeArguments_in_refComponent2856 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_nwContext2886 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000020000000L});
    public static final BitSet FOLLOW_157_in_nwContext2888 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_nwContext_in_context2911 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_158_in_context2920 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_134_in_ctxtParams2938 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_cParameter_in_ctxtParams2942 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000180L});
    public static final BitSet FOLLOW_135_in_ctxtParams2945 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_cParameter_in_ctxtParams2949 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000180L});
    public static final BitSet FOLLOW_136_in_ctxtParams2953 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_cParameter2974 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000080000000L});
    public static final BitSet FOLLOW_159_in_cParameter2977 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x0000000040000000L});
    public static final BitSet FOLLOW_context_in_cParameter2979 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_nwContext_in_nwContextList3009 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000080L});
    public static final BitSet FOLLOW_135_in_nwContextList3012 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_nwContext_in_nwContextList3015 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000080L});
    public static final BitSet FOLLOW_134_in_nwContextArguments3030 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_nwContextList_in_nwContextArguments3032 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_136_in_nwContextArguments3034 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_set_in_primitiveType0 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_150_in_variableModifier3124 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_annotation_in_variableModifier3134 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_134_in_typeArguments3145 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_typeArgument_in_typeArguments3149 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000180L});
    public static final BitSet FOLLOW_135_in_typeArguments3152 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_typeArgument_in_typeArguments3156 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000180L});
    public static final BitSet FOLLOW_136_in_typeArguments3160 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_type_in_typeArgument3178 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_158_in_typeArgument3183 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000010000000010L});
    public static final BitSet FOLLOW_132_in_typeArgument3192 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_type_in_typeArgument3194 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_168_in_typeArgument3227 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_type_in_typeArgument3229 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_qualifiedName_in_qualifiedNameList3271 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000080L});
    public static final BitSet FOLLOW_135_in_qualifiedNameList3274 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_qualifiedName_in_qualifiedNameList3277 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000080L});
    public static final BitSet FOLLOW_169_in_formalParameters3291 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000084FF40400000L});
    public static final BitSet FOLLOW_formalParameterDecls_in_formalParameters3293 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_170_in_formalParameters3296 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_variableModifier_in_formalParameterDecls3313 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000080FF40400000L});
    public static final BitSet FOLLOW_type_in_formalParameterDecls3316 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x0000080000000000L});
    public static final BitSet FOLLOW_variableDeclaratorId_in_formalParameterDecls3328 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000080L});
    public static final BitSet FOLLOW_135_in_formalParameterDecls3331 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000080FF40400000L});
    public static final BitSet FOLLOW_formalParameterDecls_in_formalParameterDecls3333 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_171_in_formalParameterDecls3367 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_variableDeclaratorId_in_formalParameterDecls3369 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_block_in_methodBody3412 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_qualifiedName3430 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_129_in_qualifiedName3433 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_qualifiedName3437 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_integerLiteral_in_literal3460 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_FloatingPointLiteral_in_literal3478 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_CharacterLiteral_in_literal3496 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_StringLiteral_in_literal3514 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_booleanLiteral_in_literal3532 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_172_in_literal3550 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_set_in_integerLiteral0 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_set_in_booleanLiteral0 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_annotation_in_annotations3638 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000800000000000L});
    public static final BitSet FOLLOW_175_in_annotation3650 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_annotationName_in_annotation3652 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000020000000000L});
    public static final BitSet FOLLOW_169_in_annotation3655 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x0000F7FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_elementValuePairs_in_annotation3657 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_170_in_annotation3660 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_annotationName3685 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_129_in_annotationName3688 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_annotationName3690 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_elementValuePair_in_elementValuePairs3704 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000080L});
    public static final BitSet FOLLOW_135_in_elementValuePairs3707 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x0000F3FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_elementValuePair_in_elementValuePairs3709 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000080L});
    public static final BitSet FOLLOW_Identifier_in_elementValuePair3724 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_145_in_elementValuePair3726 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x0000F3FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_elementValue_in_elementValuePair3729 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_elementValue_in_elementValuePair3748 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionalExpression_in_elementValue3764 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_annotation_in_elementValue3771 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_elementValueArrayInitializer_in_elementValue3778 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_138_in_elementValueArrayInitializer3790 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x0000F3FF40002C40L,0x000000000007C003L});
    public static final BitSet FOLLOW_elementValue_in_elementValueArrayInitializer3793 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000880L});
    public static final BitSet FOLLOW_135_in_elementValueArrayInitializer3796 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x0000F3FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_elementValue_in_elementValueArrayInitializer3798 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000880L});
    public static final BitSet FOLLOW_139_in_elementValueArrayInitializer3805 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_175_in_annotationTypeDeclaration3826 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000001000L});
    public static final BitSet FOLLOW_140_in_annotationTypeDeclaration3828 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_annotationTypeDeclaration3830 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000400L});
    public static final BitSet FOLLOW_annotationTypeBody_in_annotationTypeDeclaration3832 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_138_in_annotationTypeBody3851 = new BitSet(new long[]{0x0000000000008000L,0x0000040000000000L,0x000080FF4FFC1809L});
    public static final BitSet FOLLOW_annotationTypeElementDeclarations_in_annotationTypeBody3855 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_139_in_annotationTypeBody3859 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_annotationTypeElementDeclaration_in_annotationTypeElementDeclarations3873 = new BitSet(new long[]{0x0000000000008002L,0x0000040000000000L,0x000080FF4FFC1009L});
    public static final BitSet FOLLOW_modifier_in_annotationTypeElementDeclaration3888 = new BitSet(new long[]{0x0000000000008000L,0x0000040000000000L,0x000080FF4FFC1009L});
    public static final BitSet FOLLOW_type_in_annotationTypeElementDeclaration3900 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_annotationMethodRest_in_annotationTypeElementDeclaration3912 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_annotationTypeElementDeclaration3914 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_annotationConstantRest_in_annotationTypeElementDeclaration3939 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_annotationTypeElementDeclaration3941 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_classDeclaration_in_annotationTypeElementDeclaration3970 = new BitSet(new long[]{0x0000000000000002L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_annotationTypeElementDeclaration3972 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_enumDeclaration_in_annotationTypeElementDeclaration3995 = new BitSet(new long[]{0x0000000000000002L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_annotationTypeElementDeclaration3997 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_normalInterfaceDeclaration_in_annotationTypeElementDeclaration4020 = new BitSet(new long[]{0x0000000000000002L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_annotationTypeElementDeclaration4022 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_annotationTypeDeclaration_in_annotationTypeElementDeclaration4045 = new BitSet(new long[]{0x0000000000000002L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_annotationTypeElementDeclaration4047 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_annotationMethodRest4080 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000000L});
    public static final BitSet FOLLOW_169_in_annotationMethodRest4082 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_170_in_annotationMethodRest4085 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0001000000000000L});
    public static final BitSet FOLLOW_defaultValue_in_annotationMethodRest4089 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_variableDeclarators_in_annotationConstantRest4106 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_176_in_defaultValue4121 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x0000F3FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_elementValue_in_defaultValue4124 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_138_in_block4138 = new BitSet(new long[]{0x0000000000008000L,0x4001FC0000000000L,0x3EF6F3FF4FFC3C49L,0x000000000007C003L});
    public static final BitSet FOLLOW_blockStatement_in_block4140 = new BitSet(new long[]{0x0000000000008000L,0x4001FC0000000000L,0x3EF6F3FF4FFC3C49L,0x000000000007C003L});
    public static final BitSet FOLLOW_139_in_block4143 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_localVariableDeclaration_in_blockStatement4164 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_classOrInterfaceDeclaration_in_blockStatement4169 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_statement_in_blockStatement4177 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_variableModifier_in_localVariableDeclaration4189 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000080FF40400000L});
    public static final BitSet FOLLOW_type_in_localVariableDeclaration4192 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_variableDeclarators_in_localVariableDeclaration4194 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_localVariableDeclaration4196 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_block_in_statement4225 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_177_in_statement4235 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_statement4237 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L,0x0000000010000000L});
    public static final BitSet FOLLOW_156_in_statement4240 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_statement4242 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_statement4246 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_178_in_statement4268 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000000L});
    public static final BitSet FOLLOW_parExpression_in_statement4270 = new BitSet(new long[]{0x0000000000008000L,0x4001FC0000000000L,0x3EF6F3FF4FFC3449L,0x000000000007C003L});
    public static final BitSet FOLLOW_statement_in_statement4272 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0008000000000000L});
    public static final BitSet FOLLOW_179_in_statement4282 = new BitSet(new long[]{0x0000000000008000L,0x4001FC0000000000L,0x3EF6F3FF4FFC3449L,0x000000000007C003L});
    public static final BitSet FOLLOW_statement_in_statement4284 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_180_in_statement4310 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000000L});
    public static final BitSet FOLLOW_169_in_statement4312 = new BitSet(new long[]{0x0000000000000000L,0x4001FC0000000000L,0x0000F3FF40402440L,0x000000000007C003L});
    public static final BitSet FOLLOW_forControl_in_statement4314 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_170_in_statement4316 = new BitSet(new long[]{0x0000000000008000L,0x4001FC0000000000L,0x3EF6F3FF4FFC3449L,0x000000000007C003L});
    public static final BitSet FOLLOW_statement_in_statement4318 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_181_in_statement4339 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000000L});
    public static final BitSet FOLLOW_parExpression_in_statement4341 = new BitSet(new long[]{0x0000000000008000L,0x4001FC0000000000L,0x3EF6F3FF4FFC3449L,0x000000000007C003L});
    public static final BitSet FOLLOW_statement_in_statement4343 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_182_in_statement4368 = new BitSet(new long[]{0x0000000000008000L,0x4001FC0000000000L,0x3EF6F3FF4FFC3449L,0x000000000007C003L});
    public static final BitSet FOLLOW_statement_in_statement4370 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0020000000000000L});
    public static final BitSet FOLLOW_181_in_statement4372 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000000L});
    public static final BitSet FOLLOW_parExpression_in_statement4374 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_statement4376 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_183_in_statement4401 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000401L});
    public static final BitSet FOLLOW_block_in_statement4403 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x4100000000000000L});
    public static final BitSet FOLLOW_catches_in_statement4413 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0100000000000000L});
    public static final BitSet FOLLOW_184_in_statement4417 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000401L});
    public static final BitSet FOLLOW_block_in_statement4419 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_catches_in_statement4447 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_184_in_statement4470 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000401L});
    public static final BitSet FOLLOW_block_in_statement4472 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_185_in_statement4506 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000000L});
    public static final BitSet FOLLOW_parExpression_in_statement4508 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000400L});
    public static final BitSet FOLLOW_138_in_statement4510 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x8001000000000800L});
    public static final BitSet FOLLOW_switchBlockStatementGroups_in_statement4512 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000800L});
    public static final BitSet FOLLOW_139_in_statement4514 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_152_in_statement4535 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000000L});
    public static final BitSet FOLLOW_parExpression_in_statement4537 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000401L});
    public static final BitSet FOLLOW_block_in_statement4539 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_186_in_statement4560 = new BitSet(new long[]{0x0000000000000000L,0x4001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_statement4562 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_statement4565 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_187_in_statement4585 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_statement4587 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_statement4589 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_188_in_statement4608 = new BitSet(new long[]{0x0000000000000000L,0x4000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_statement4610 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_statement4613 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_189_in_statement4633 = new BitSet(new long[]{0x0000000000000000L,0x4000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_statement4635 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_statement4638 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_126_in_statement4656 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_statementExpression_in_statement4671 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_statement4673 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_statement4687 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000010000000L});
    public static final BitSet FOLLOW_156_in_statement4689 = new BitSet(new long[]{0x0000000000008000L,0x4001FC0000000000L,0x3EF6F3FF4FFC3449L,0x000000000007C003L});
    public static final BitSet FOLLOW_statement_in_statement4691 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_catchClause_in_catches4713 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_catchClause_in_catches4716 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_190_in_catchClause4732 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000000L});
    public static final BitSet FOLLOW_169_in_catchClause4734 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000080FF40400000L});
    public static final BitSet FOLLOW_formalParameter_in_catchClause4736 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_170_in_catchClause4738 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000401L});
    public static final BitSet FOLLOW_block_in_catchClause4740 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_variableModifier_in_formalParameter4766 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000080FF40400000L});
    public static final BitSet FOLLOW_type_in_formalParameter4769 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_variableDeclaratorId_in_formalParameter4771 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_switchBlockStatementGroup_in_switchBlockStatementGroups4785 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x8001000000000000L});
    public static final BitSet FOLLOW_switchLabel_in_switchBlockStatementGroup4799 = new BitSet(new long[]{0x0000000000008002L,0x4001FC0000000000L,0x3EF6F3FF4FFC3449L,0x000000000007C003L});
    public static final BitSet FOLLOW_blockStatement_in_switchBlockStatementGroup4801 = new BitSet(new long[]{0x0000000000008002L,0x4001FC0000000000L,0x3EF6F3FF4FFC3449L,0x000000000007C003L});
    public static final BitSet FOLLOW_191_in_switchLabel4829 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_constantExpression_in_switchLabel4831 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000010000000L});
    public static final BitSet FOLLOW_156_in_switchLabel4833 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_191_in_switchLabel4849 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_enumConstantName_in_switchLabel4851 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000010000000L});
    public static final BitSet FOLLOW_156_in_switchLabel4853 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_176_in_switchLabel4869 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000010000000L});
    public static final BitSet FOLLOW_156_in_switchLabel4871 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_135_in_moreStatementExpressions4890 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_statementExpression_in_moreStatementExpressions4892 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000080L});
    public static final BitSet FOLLOW_forVarControl_in_forControl4913 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_forInit_in_forControl4926 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_forControl4929 = new BitSet(new long[]{0x0000000000000000L,0x4001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_forControl4933 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_forControl4936 = new BitSet(new long[]{0x0000000000000002L,0x0001FC0000000000L,0x0000F3FF40402440L,0x000000000007C003L});
    public static final BitSet FOLLOW_forUpdate_in_forControl4940 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_variableModifier_in_forInit4975 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000080FF40400000L});
    public static final BitSet FOLLOW_type_in_forInit4978 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_variableDeclarators_in_forInit4980 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_expressionList_in_forInit5002 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_variableModifier_in_forVarControl5014 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000080FF40400000L});
    public static final BitSet FOLLOW_type_in_forVarControl5017 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_forVarControl5019 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000010000000L});
    public static final BitSet FOLLOW_156_in_forVarControl5021 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_forVarControl5023 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_expressionList_in_forUpdate5053 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_169_in_parExpression5066 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_parExpression5069 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_170_in_parExpression5071 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_expression_in_expressionList5089 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000080L});
    public static final BitSet FOLLOW_135_in_expressionList5092 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_expressionList5095 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000080L});
    public static final BitSet FOLLOW_expression_in_statementExpression5111 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_expression_in_constantExpression5123 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionalExpression_in_expression5135 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000020144L,0x000000000000007FL});
    public static final BitSet FOLLOW_145_in_expression5145 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_expression5147 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_192_in_expression5164 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_145_in_expression5166 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_expression5168 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_193_in_expression5187 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_145_in_expression5189 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_expression5191 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_130_in_expression5210 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_145_in_expression5212 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_expression5214 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_194_in_expression5233 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_145_in_expression5235 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_expression5237 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_195_in_expression5259 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_expression5261 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_196_in_expression5280 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_expression5282 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_197_in_expression5301 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_expression5303 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_198_in_expression5325 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_145_in_expression5327 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_expression5329 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_134_in_expression5348 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_134_in_expression5350 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_145_in_expression5352 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_expression5354 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_136_in_expression5373 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_136_in_expression5375 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_145_in_expression5377 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_expression5379 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_136_in_expression5398 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_136_in_expression5400 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_136_in_expression5402 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_145_in_expression5404 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_expression5406 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionalOrExpression_in_conditionalExpression5449 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000040000000L});
    public static final BitSet FOLLOW_158_in_conditionalExpression5466 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_conditionalExpression5468 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000010000000L});
    public static final BitSet FOLLOW_156_in_conditionalExpression5470 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_conditionalExpression5472 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_conditionalAndExpression_in_conditionalOrExpression5519 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000000L,0x0000000000000080L});
    public static final BitSet FOLLOW_199_in_conditionalOrExpression5537 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_conditionalOrExpression_in_conditionalOrExpression5539 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_inclusiveOrExpression_in_conditionalAndExpression5585 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_200_in_conditionalAndExpression5603 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_conditionalAndExpression_in_conditionalAndExpression5605 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_exclusiveOrExpression_in_inclusiveOrExpression5657 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000000L,0x0000000000000200L});
    public static final BitSet FOLLOW_201_in_inclusiveOrExpression5679 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_inclusiveOrExpression_in_inclusiveOrExpression5681 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_andExpression_in_exclusiveOrExpression5728 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000000L,0x0000000000000400L});
    public static final BitSet FOLLOW_202_in_exclusiveOrExpression5744 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_exclusiveOrExpression_in_exclusiveOrExpression5746 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_equalityExpression_in_andExpression5790 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000200L});
    public static final BitSet FOLLOW_137_in_andExpression5806 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_andExpression_in_andExpression5808 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_instanceOfExpression_in_equalityExpression5852 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000000L,0x0000000000001800L});
    public static final BitSet FOLLOW_203_in_equalityExpression5868 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_instanceOfExpression_in_equalityExpression5870 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_204_in_equalityExpression5891 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_instanceOfExpression_in_equalityExpression5893 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_relationalExpression_in_instanceOfExpression5937 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000000L,0x0000000000002000L});
    public static final BitSet FOLLOW_205_in_instanceOfExpression5952 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_type_in_instanceOfExpression5954 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_shiftExpression_in_relationalExpression5998 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000140L});
    public static final BitSet FOLLOW_134_in_relationalExpression6014 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_145_in_relationalExpression6016 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_shiftExpression_in_relationalExpression6018 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_134_in_relationalExpression6039 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_shiftExpression_in_relationalExpression6041 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_136_in_relationalExpression6062 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_145_in_relationalExpression6064 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_shiftExpression_in_relationalExpression6066 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_136_in_relationalExpression6087 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_shiftExpression_in_relationalExpression6089 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_additiveExpression_in_shiftExpression6134 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000140L});
    public static final BitSet FOLLOW_134_in_shiftExpression6153 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_134_in_shiftExpression6155 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_136_in_shiftExpression6159 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_136_in_shiftExpression6161 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_additiveExpression_in_shiftExpression6164 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000140L});
    public static final BitSet FOLLOW_136_in_shiftExpression6198 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_136_in_shiftExpression6200 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_136_in_shiftExpression6202 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_additiveExpression_in_shiftExpression6204 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_multiplicativeExpression_in_additiveExpression6247 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000000L,0x0000000000000003L});
    public static final BitSet FOLLOW_192_in_additiveExpression6266 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_193_in_additiveExpression6270 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_multiplicativeExpression_in_additiveExpression6273 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000000L,0x0000000000000003L});
    public static final BitSet FOLLOW_unaryExpression_in_multiplicativeExpression6324 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000004L,0x0000000000000044L});
    public static final BitSet FOLLOW_130_in_multiplicativeExpression6344 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_194_in_multiplicativeExpression6348 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_198_in_multiplicativeExpression6352 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_unaryExpression_in_multiplicativeExpression6355 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000004L,0x0000000000000044L});
    public static final BitSet FOLLOW_192_in_unaryExpression6407 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_unaryExpression_in_unaryExpression6409 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_193_in_unaryExpression6421 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_unaryExpression_in_unaryExpression6423 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_206_in_unaryExpression6441 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_unaryExpression_in_unaryExpression6443 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_207_in_unaryExpression6461 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_unaryExpression_in_unaryExpression6463 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_unaryExpressionNotPlusMinus_in_unaryExpression6481 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_208_in_unaryExpressionNotPlusMinus6512 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_unaryExpression_in_unaryExpressionNotPlusMinus6514 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_209_in_unaryExpressionNotPlusMinus6531 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_unaryExpression_in_unaryExpressionNotPlusMinus6533 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_castExpression_in_unaryExpressionNotPlusMinus6551 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_primary_in_unaryExpressionNotPlusMinus6558 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000008002L,0x000000000000C000L});
    public static final BitSet FOLLOW_selector_in_unaryExpressionNotPlusMinus6568 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000008002L,0x000000000000C000L});
    public static final BitSet FOLLOW_206_in_unaryExpressionNotPlusMinus6581 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_207_in_unaryExpressionNotPlusMinus6603 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_206_in_unaryExpressionNotPlusMinus6647 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_207_in_unaryExpressionNotPlusMinus6662 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_169_in_castExpression6701 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_primitiveType_in_castExpression6703 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_170_in_castExpression6705 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_unaryExpression_in_castExpression6707 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_169_in_castExpression6730 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_type_in_castExpression6732 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_170_in_castExpression6734 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_unaryExpressionNotPlusMinus_in_castExpression6736 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_169_in_castExpression6755 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_castExpression6757 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_170_in_castExpression6759 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_unaryExpressionNotPlusMinus_in_castExpression6761 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_parExpression_in_primary6781 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_nonWildcardTypeArguments_in_primary6788 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x0000010000000000L});
    public static final BitSet FOLLOW_explicitGenericInvocationSuffix_in_primary6790 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_literal_in_primary6814 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_210_in_primary6824 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000040L});
    public static final BitSet FOLLOW_nonWildcardTypeArguments_in_primary6826 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_primitiveType_in_primary6829 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000008000L});
    public static final BitSet FOLLOW_143_in_primary6845 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_primary6847 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_primary6849 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000008000L});
    public static final BitSet FOLLOW_143_in_primary6854 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_primary6856 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000008000L});
    public static final BitSet FOLLOW_143_in_primary6887 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_primary6889 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000008400L});
    public static final BitSet FOLLOW_arrayInitializer_in_primary6893 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_210_in_primary6925 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_nonWildcardTypeArguments_in_primary6927 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_nwContext_in_primary6930 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000010000000L});
    public static final BitSet FOLLOW_156_in_primary6932 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x0000000040000000L});
    public static final BitSet FOLLOW_refComponent_in_primary6937 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000008002L});
    public static final BitSet FOLLOW_129_in_primary6940 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x0000000040000000L});
    public static final BitSet FOLLOW_refComponent_in_primary6944 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000008002L});
    public static final BitSet FOLLOW_143_in_primary6963 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_primary6965 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_primary6967 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000008000L});
    public static final BitSet FOLLOW_143_in_primary6972 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_primary6974 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000008000L});
    public static final BitSet FOLLOW_143_in_primary7009 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_primary7011 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000008400L});
    public static final BitSet FOLLOW_arrayInitializer_in_primary7015 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_classCreatorRest_in_primary7046 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_type_in_primary7080 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_129_in_primary7082 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000008L});
    public static final BitSet FOLLOW_131_in_primary7084 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_141_in_primary7106 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_129_in_primary7108 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000008L});
    public static final BitSet FOLLOW_131_in_primary7110 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_168_in_primary7131 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000020000000000L});
    public static final BitSet FOLLOW_arguments_in_primary7141 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_primary7179 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000020000000000L});
    public static final BitSet FOLLOW_arguments_in_primary7195 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_innerCreator7240 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000008002L});
    public static final BitSet FOLLOW_classCreatorRest_in_innerCreator7242 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_arguments_in_classCreatorRest7264 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000470L});
    public static final BitSet FOLLOW_classBody_in_classCreatorRest7266 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_nonWildcardTypeArguments_in_explicitGenericInvocation7287 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x0000010000000000L});
    public static final BitSet FOLLOW_explicitGenericInvocationSuffix_in_explicitGenericInvocation7289 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_134_in_nonWildcardTypeArguments7301 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_typeList_in_nonWildcardTypeArguments7303 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_136_in_nonWildcardTypeArguments7305 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_168_in_explicitGenericInvocationSuffix7321 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000002L});
    public static final BitSet FOLLOW_superSuffix_in_explicitGenericInvocationSuffix7323 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_Identifier_in_explicitGenericInvocationSuffix7337 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_nwContextArguments_in_explicitGenericInvocationSuffix7339 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000000L});
    public static final BitSet FOLLOW_arguments_in_explicitGenericInvocationSuffix7341 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_arguments_in_superSuffix7362 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_129_in_superSuffix7374 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_superSuffix7376 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000020000000000L});
    public static final BitSet FOLLOW_arguments_in_superSuffix7379 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_129_in_selector7393 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000010000000000L});
    public static final BitSet FOLLOW_168_in_selector7395 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000000L});
    public static final BitSet FOLLOW_arguments_in_selector7397 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_129_in_selector7415 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000000L,0x0000000000040000L});
    public static final BitSet FOLLOW_210_in_selector7417 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_nonWildcardTypeArguments_in_selector7420 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_innerCreator_in_selector7424 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_129_in_selector7439 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_nonWildcardTypeArguments_in_selector7441 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x0000010000000000L});
    public static final BitSet FOLLOW_explicitGenericInvocationSuffix_in_selector7443 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_129_in_selector7462 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_selector7464 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000020000000000L});
    public static final BitSet FOLLOW_arguments_in_selector7474 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_143_in_selector7509 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_selector7511 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_selector7513 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_169_in_arguments7532 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x0000F7FF40402440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expressionList_in_arguments7535 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_170_in_arguments7538 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_annotations_in_synpred1_Java495 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_128_in_synpred36_Java1236 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000401L});
    public static final BitSet FOLLOW_block_in_synpred36_Java1238 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_128_in_synpred38_Java1251 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000401L});
    public static final BitSet FOLLOW_block_in_synpred38_Java1254 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_methodDeclaration_in_synpred41_Java1298 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_fieldDeclaration_in_synpred42_Java1327 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_constantDeclaration_in_synpred55_Java1702 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_type_in_synpred56_Java1723 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_synpred56_Java1725 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000000040L});
    public static final BitSet FOLLOW_interfaceMethodDeclaratorRest_in_synpred56_Java1727 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_129_in_synpred94_Java2710 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_Identifier_in_synpred94_Java2712 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_context_in_synpred96_Java2772 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000010000000L});
    public static final BitSet FOLLOW_156_in_synpred96_Java2774 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_132_in_synpred118_Java3192 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_type_in_synpred118_Java3194 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_annotation_in_synpred134_Java3638 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_annotationTypeElementDeclarations_in_synpred144_Java3855 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_localVariableDeclaration_in_synpred158_Java4164 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_classOrInterfaceDeclaration_in_synpred159_Java4169 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_179_in_synpred164_Java4282 = new BitSet(new long[]{0x0000000000008000L,0x4001FC0000000000L,0x3EF6F3FF4FFC3449L,0x000000000007C003L});
    public static final BitSet FOLLOW_statement_in_synpred164_Java4284 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_catches_in_synpred169_Java4413 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0100000000000000L});
    public static final BitSet FOLLOW_184_in_synpred169_Java4417 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000401L});
    public static final BitSet FOLLOW_block_in_synpred169_Java4419 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_catches_in_synpred170_Java4447 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_statementExpression_in_synpred182_Java4671 = new BitSet(new long[]{0x0000000000000000L,0x4000000000000000L});
    public static final BitSet FOLLOW_126_in_synpred182_Java4673 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_191_in_synpred187_Java4829 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_constantExpression_in_synpred187_Java4831 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000010000000L});
    public static final BitSet FOLLOW_156_in_synpred187_Java4833 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_191_in_synpred188_Java4849 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_enumConstantName_in_synpred188_Java4851 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000010000000L});
    public static final BitSet FOLLOW_156_in_synpred188_Java4853 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_forVarControl_in_synpred190_Java4913 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_variableModifier_in_synpred195_Java4975 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000080FF40400000L});
    public static final BitSet FOLLOW_type_in_synpred195_Java4978 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_variableDeclarators_in_synpred195_Java4980 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_145_in_synpred198_Java5145 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_synpred198_Java5147 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_192_in_synpred199_Java5164 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_145_in_synpred199_Java5166 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_synpred199_Java5168 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_193_in_synpred200_Java5187 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_145_in_synpred200_Java5189 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_synpred200_Java5191 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_130_in_synpred201_Java5210 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_145_in_synpred201_Java5212 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_synpred201_Java5214 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_194_in_synpred202_Java5233 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_145_in_synpred202_Java5235 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_synpred202_Java5237 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_195_in_synpred203_Java5259 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_synpred203_Java5261 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_196_in_synpred204_Java5280 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_synpred204_Java5282 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_197_in_synpred205_Java5301 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_synpred205_Java5303 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_198_in_synpred206_Java5325 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_145_in_synpred206_Java5327 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_synpred206_Java5329 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_134_in_synpred207_Java5348 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_134_in_synpred207_Java5350 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_145_in_synpred207_Java5352 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_synpred207_Java5354 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_136_in_synpred208_Java5373 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_136_in_synpred208_Java5375 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_145_in_synpred208_Java5377 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_synpred208_Java5379 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_136_in_synpred209_Java5398 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_136_in_synpred209_Java5400 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_136_in_synpred209_Java5402 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000020000L});
    public static final BitSet FOLLOW_145_in_synpred209_Java5404 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_synpred209_Java5406 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_134_in_synpred220_Java6039 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_shiftExpression_in_synpred220_Java6041 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_134_in_synpred224_Java6153 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_134_in_synpred224_Java6155 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_136_in_synpred224_Java6159 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_136_in_synpred224_Java6161 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_additiveExpression_in_synpred224_Java6164 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_134_in_synpred225_Java6153 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_134_in_synpred225_Java6155 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_136_in_synpred225_Java6159 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_136_in_synpred225_Java6161 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_additiveExpression_in_synpred225_Java6164 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000140L});
    public static final BitSet FOLLOW_136_in_synpred226_Java6198 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_136_in_synpred226_Java6200 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_136_in_synpred226_Java6202 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_additiveExpression_in_synpred226_Java6204 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_136_in_synpred227_Java6198 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_136_in_synpred227_Java6200 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_136_in_synpred227_Java6202 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_additiveExpression_in_synpred227_Java6204 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000000100L});
    public static final BitSet FOLLOW_castExpression_in_synpred241_Java6551 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_169_in_synpred248_Java6701 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_primitiveType_in_synpred248_Java6703 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_170_in_synpred248_Java6705 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_unaryExpression_in_synpred248_Java6707 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_169_in_synpred249_Java6730 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_type_in_synpred249_Java6732 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_170_in_synpred249_Java6734 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_unaryExpressionNotPlusMinus_in_synpred249_Java6736 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_143_in_synpred254_Java6845 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_synpred254_Java6847 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_synpred254_Java6849 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_210_in_synpred258_Java6824 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000040L});
    public static final BitSet FOLLOW_nonWildcardTypeArguments_in_synpred258_Java6826 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x000000FF40000000L});
    public static final BitSet FOLLOW_primitiveType_in_synpred258_Java6829 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000008000L});
    public static final BitSet FOLLOW_143_in_synpred258_Java6845 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_synpred258_Java6847 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_synpred258_Java6849 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000008000L});
    public static final BitSet FOLLOW_143_in_synpred258_Java6854 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_synpred258_Java6856 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000008000L});
    public static final BitSet FOLLOW_143_in_synpred258_Java6887 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_synpred258_Java6889 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000008400L});
    public static final BitSet FOLLOW_arrayInitializer_in_synpred258_Java6893 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_143_in_synpred261_Java6963 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_synpred261_Java6965 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_synpred261_Java6967 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_210_in_synpred266_Java6925 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x0000000000000040L});
    public static final BitSet FOLLOW_nonWildcardTypeArguments_in_synpred266_Java6927 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L});
    public static final BitSet FOLLOW_nwContext_in_synpred266_Java6930 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000010000000L});
    public static final BitSet FOLLOW_156_in_synpred266_Java6932 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x0000000040000000L});
    public static final BitSet FOLLOW_refComponent_in_synpred266_Java6937 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000008002L});
    public static final BitSet FOLLOW_129_in_synpred266_Java6940 = new BitSet(new long[]{0x0000000000000000L,0x0000040000000000L,0x0000000040000000L});
    public static final BitSet FOLLOW_refComponent_in_synpred266_Java6944 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000020000008002L});
    public static final BitSet FOLLOW_143_in_synpred266_Java6963 = new BitSet(new long[]{0x0000000000000000L,0x0001FC0000000000L,0x000073FF40002440L,0x000000000007C003L});
    public static final BitSet FOLLOW_expression_in_synpred266_Java6965 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_synpred266_Java6967 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000008000L});
    public static final BitSet FOLLOW_143_in_synpred266_Java6972 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_synpred266_Java6974 = new BitSet(new long[]{0x0000000000000002L,0x0000000000000000L,0x0000000000008000L});
    public static final BitSet FOLLOW_143_in_synpred266_Java7009 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000010000L});
    public static final BitSet FOLLOW_144_in_synpred266_Java7011 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000008400L});
    public static final BitSet FOLLOW_arrayInitializer_in_synpred266_Java7015 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_classCreatorRest_in_synpred266_Java7046 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_type_in_synpred267_Java7080 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000002L});
    public static final BitSet FOLLOW_129_in_synpred267_Java7082 = new BitSet(new long[]{0x0000000000000000L,0x0000000000000000L,0x0000000000000008L});
    public static final BitSet FOLLOW_131_in_synpred267_Java7084 = new BitSet(new long[]{0x0000000000000002L});

}